// SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause)
//
// THIS FILE IS AUTOGENERATED BY CARGO-LIBBPF-GEN!

#![allow(dead_code)]
#![allow(non_snake_case)]
#![allow(clippy::transmute_ptr_to_ref)]

use libbpf_rs::libbpf_sys;

fn build_skel_config() -> libbpf_rs::Result<libbpf_rs::skeleton::ObjectSkeletonConfig<'static>> {
    let mut builder = libbpf_rs::skeleton::ObjectSkeletonConfigBuilder::new(DATA);
    builder
        .name("exitstat_bpf")
        .map("events", false)
        .prog("tracepoint__sched__sched_process_exit");

    builder.build()
}

#[derive(Default)]
pub struct ExitstatSkelBuilder {
    pub obj_builder: libbpf_rs::ObjectBuilder,
}

impl<'a> ExitstatSkelBuilder {
    pub fn open(mut self) -> libbpf_rs::Result<OpenExitstatSkel<'a>> {
        let mut skel_config = build_skel_config()?;
        let open_opts = self.obj_builder.opts(std::ptr::null());

        let ret = unsafe { libbpf_sys::bpf_object__open_skeleton(skel_config.get(), &open_opts) };
        if ret != 0 {
            return Err(libbpf_rs::Error::System(-ret));
        }

        let obj = unsafe { libbpf_rs::OpenObject::from_ptr(skel_config.object_ptr())? };

        Ok(OpenExitstatSkel { obj, skel_config })
    }
}

pub struct OpenExitstatMaps<'a> {
    inner: &'a libbpf_rs::OpenObject,
}

impl<'a> OpenExitstatMaps<'a> {
    pub fn events(&self) -> &libbpf_rs::OpenMap {
        self.inner.map("events").unwrap()
    }
}

pub struct OpenExitstatMapsMut<'a> {
    inner: &'a mut libbpf_rs::OpenObject,
}

impl<'a> OpenExitstatMapsMut<'a> {
    pub fn events(&mut self) -> &mut libbpf_rs::OpenMap {
        self.inner.map_mut("events").unwrap()
    }
}

pub struct OpenExitstatProgs<'a> {
    inner: &'a libbpf_rs::OpenObject,
}

impl<'a> OpenExitstatProgs<'a> {
    pub fn tracepoint__sched__sched_process_exit(&self) -> &libbpf_rs::OpenProgram {
        self.inner
            .prog("tracepoint__sched__sched_process_exit")
            .unwrap()
    }
}

pub struct OpenExitstatProgsMut<'a> {
    inner: &'a mut libbpf_rs::OpenObject,
}

impl<'a> OpenExitstatProgsMut<'a> {
    pub fn tracepoint__sched__sched_process_exit(&mut self) -> &mut libbpf_rs::OpenProgram {
        self.inner
            .prog_mut("tracepoint__sched__sched_process_exit")
            .unwrap()
    }
}

pub struct OpenExitstatSkel<'a> {
    pub obj: libbpf_rs::OpenObject,
    skel_config: libbpf_rs::skeleton::ObjectSkeletonConfig<'a>,
}

impl<'a> OpenExitstatSkel<'a> {
    pub fn load(mut self) -> libbpf_rs::Result<ExitstatSkel<'a>> {
        let ret = unsafe { libbpf_sys::bpf_object__load_skeleton(self.skel_config.get()) };
        if ret != 0 {
            return Err(libbpf_rs::Error::System(-ret));
        }

        let obj = unsafe { libbpf_rs::Object::from_ptr(self.obj.take_ptr())? };

        Ok(ExitstatSkel {
            obj,
            skel_config: self.skel_config,
            links: ExitstatLinks::default(),
        })
    }

    pub fn progs(&self) -> OpenExitstatProgs {
        OpenExitstatProgs { inner: &self.obj }
    }

    pub fn progs_mut(&mut self) -> OpenExitstatProgsMut {
        OpenExitstatProgsMut {
            inner: &mut self.obj,
        }
    }

    pub fn maps(&self) -> OpenExitstatMaps {
        OpenExitstatMaps { inner: &self.obj }
    }

    pub fn maps_mut(&mut self) -> OpenExitstatMapsMut {
        OpenExitstatMapsMut {
            inner: &mut self.obj,
        }
    }
}

pub struct ExitstatMaps<'a> {
    inner: &'a libbpf_rs::Object,
}

impl<'a> ExitstatMaps<'a> {
    pub fn events(&self) -> &libbpf_rs::Map {
        self.inner.map("events").unwrap()
    }
}

pub struct ExitstatMapsMut<'a> {
    inner: &'a mut libbpf_rs::Object,
}

impl<'a> ExitstatMapsMut<'a> {
    pub fn events(&mut self) -> &mut libbpf_rs::Map {
        self.inner.map_mut("events").unwrap()
    }
}

pub struct ExitstatProgs<'a> {
    inner: &'a libbpf_rs::Object,
}

impl<'a> ExitstatProgs<'a> {
    pub fn tracepoint__sched__sched_process_exit(&self) -> &libbpf_rs::Program {
        self.inner
            .prog("tracepoint__sched__sched_process_exit")
            .unwrap()
    }
}

pub struct ExitstatProgsMut<'a> {
    inner: &'a mut libbpf_rs::Object,
}

impl<'a> ExitstatProgsMut<'a> {
    pub fn tracepoint__sched__sched_process_exit(&mut self) -> &mut libbpf_rs::Program {
        self.inner
            .prog_mut("tracepoint__sched__sched_process_exit")
            .unwrap()
    }
}

#[derive(Default)]
pub struct ExitstatLinks {
    pub tracepoint__sched__sched_process_exit: Option<libbpf_rs::Link>,
}

pub struct ExitstatSkel<'a> {
    pub obj: libbpf_rs::Object,
    skel_config: libbpf_rs::skeleton::ObjectSkeletonConfig<'a>,
    pub links: ExitstatLinks,
}

impl<'a> ExitstatSkel<'a> {
    pub fn progs(&self) -> ExitstatProgs {
        ExitstatProgs { inner: &self.obj }
    }

    pub fn progs_mut(&mut self) -> ExitstatProgsMut {
        ExitstatProgsMut {
            inner: &mut self.obj,
        }
    }

    pub fn maps(&self) -> ExitstatMaps {
        ExitstatMaps { inner: &self.obj }
    }

    pub fn maps_mut(&mut self) -> ExitstatMapsMut {
        ExitstatMapsMut {
            inner: &mut self.obj,
        }
    }

    pub fn attach(&mut self) -> libbpf_rs::Result<()> {
        let ret = unsafe { libbpf_sys::bpf_object__attach_skeleton(self.skel_config.get()) };
        if ret != 0 {
            return Err(libbpf_rs::Error::System(-ret));
        }

        self.links = ExitstatLinks {
            tracepoint__sched__sched_process_exit: (|| {
                let ptr = self.skel_config.prog_link_ptr(0)?;
                if ptr.is_null() {
                    Ok(None)
                } else {
                    Ok(Some(unsafe { libbpf_rs::Link::from_ptr(ptr) }))
                }
            })()?,
        };

        Ok(())
    }
}

const DATA: &[u8] = &[
    127, 69, 76, 70, 2, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 247, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 208, 34, 14, 0, 0, 0, 0, 0, 0, 0, 0, 0, 64, 0, 0, 0, 0, 0, 64,
    0, 23, 0, 1, 0, 123, 26, 120, 255, 0, 0, 0, 0, 133, 0, 0, 0, 35, 0, 0, 0, 191, 7, 0, 0, 0, 0,
    0, 0, 133, 0, 0, 0, 14, 0, 0, 0, 191, 9, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 5, 0, 0, 0, 191, 8, 0,
    0, 0, 0, 0, 0, 183, 6, 0, 0, 0, 0, 0, 0, 123, 106, 144, 255, 0, 0, 0, 0, 99, 154, 144, 255, 0,
    0, 0, 0, 123, 106, 248, 255, 0, 0, 0, 0, 123, 106, 240, 255, 0, 0, 0, 0, 123, 106, 232, 255, 0,
    0, 0, 0, 123, 106, 224, 255, 0, 0, 0, 0, 123, 106, 216, 255, 0, 0, 0, 0, 123, 106, 208, 255, 0,
    0, 0, 0, 123, 106, 200, 255, 0, 0, 0, 0, 123, 106, 192, 255, 0, 0, 0, 0, 123, 106, 184, 255, 0,
    0, 0, 0, 123, 106, 176, 255, 0, 0, 0, 0, 123, 106, 168, 255, 0, 0, 0, 0, 123, 106, 160, 255, 0,
    0, 0, 0, 123, 106, 152, 255, 0, 0, 0, 0, 183, 1, 0, 0, 24, 5, 0, 0, 191, 115, 0, 0, 0, 0, 0, 0,
    15, 19, 0, 0, 0, 0, 0, 0, 191, 161, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 128, 255, 255, 255, 183, 2,
    0, 0, 8, 0, 0, 0, 133, 0, 0, 0, 4, 0, 0, 0, 183, 9, 0, 0, 12, 5, 0, 0, 121, 163, 128, 255, 0,
    0, 0, 0, 15, 147, 0, 0, 0, 0, 0, 0, 191, 161, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 140, 255, 255, 255,
    183, 2, 0, 0, 4, 0, 0, 0, 133, 0, 0, 0, 4, 0, 0, 0, 97, 161, 140, 255, 0, 0, 0, 0, 99, 26, 148,
    255, 0, 0, 0, 0, 183, 1, 0, 0, 72, 5, 0, 0, 191, 115, 0, 0, 0, 0, 0, 0, 15, 19, 0, 0, 0, 0, 0,
    0, 191, 161, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 128, 255, 255, 255, 183, 2, 0, 0, 8, 0, 0, 0, 133,
    0, 0, 0, 4, 0, 0, 0, 121, 163, 128, 255, 0, 0, 0, 0, 15, 147, 0, 0, 0, 0, 0, 0, 191, 161, 0, 0,
    0, 0, 0, 0, 7, 1, 0, 0, 140, 255, 255, 255, 183, 2, 0, 0, 4, 0, 0, 0, 133, 0, 0, 0, 4, 0, 0, 0,
    97, 161, 140, 255, 0, 0, 0, 0, 99, 26, 152, 255, 0, 0, 0, 0, 183, 1, 0, 0, 164, 7, 0, 0, 191,
    115, 0, 0, 0, 0, 0, 0, 15, 19, 0, 0, 0, 0, 0, 0, 191, 161, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 128,
    255, 255, 255, 183, 2, 0, 0, 4, 0, 0, 0, 133, 0, 0, 0, 4, 0, 0, 0, 97, 161, 128, 255, 0, 0, 0,
    0, 99, 26, 156, 255, 0, 0, 0, 0, 183, 1, 0, 0, 64, 0, 0, 0, 191, 115, 0, 0, 0, 0, 0, 0, 15, 19,
    0, 0, 0, 0, 0, 0, 191, 161, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 128, 255, 255, 255, 183, 2, 0, 0, 4,
    0, 0, 0, 133, 0, 0, 0, 4, 0, 0, 0, 97, 161, 128, 255, 0, 0, 0, 0, 99, 26, 160, 255, 0, 0, 0, 0,
    191, 161, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 164, 255, 255, 255, 183, 2, 0, 0, 16, 0, 0, 0, 133, 0,
    0, 0, 16, 0, 0, 0, 183, 1, 0, 0, 64, 6, 0, 0, 191, 115, 0, 0, 0, 0, 0, 0, 15, 19, 0, 0, 0, 0,
    0, 0, 191, 161, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 128, 255, 255, 255, 183, 2, 0, 0, 8, 0, 0, 0,
    133, 0, 0, 0, 4, 0, 0, 0, 121, 161, 128, 255, 0, 0, 0, 0, 123, 26, 184, 255, 0, 0, 0, 0, 183,
    1, 0, 0, 72, 6, 0, 0, 191, 115, 0, 0, 0, 0, 0, 0, 15, 19, 0, 0, 0, 0, 0, 0, 191, 161, 0, 0, 0,
    0, 0, 0, 7, 1, 0, 0, 128, 255, 255, 255, 183, 2, 0, 0, 8, 0, 0, 0, 133, 0, 0, 0, 4, 0, 0, 0,
    121, 161, 128, 255, 0, 0, 0, 0, 123, 26, 192, 255, 0, 0, 0, 0, 183, 1, 0, 0, 240, 5, 0, 0, 191,
    115, 0, 0, 0, 0, 0, 0, 15, 19, 0, 0, 0, 0, 0, 0, 191, 161, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 128,
    255, 255, 255, 183, 2, 0, 0, 8, 0, 0, 0, 133, 0, 0, 0, 4, 0, 0, 0, 121, 161, 128, 255, 0, 0, 0,
    0, 55, 1, 0, 0, 232, 3, 0, 0, 123, 26, 200, 255, 0, 0, 0, 0, 183, 1, 0, 0, 248, 5, 0, 0, 191,
    115, 0, 0, 0, 0, 0, 0, 15, 19, 0, 0, 0, 0, 0, 0, 191, 161, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 128,
    255, 255, 255, 183, 2, 0, 0, 8, 0, 0, 0, 133, 0, 0, 0, 4, 0, 0, 0, 121, 161, 128, 255, 0, 0, 0,
    0, 55, 1, 0, 0, 232, 3, 0, 0, 123, 26, 208, 255, 0, 0, 0, 0, 183, 1, 0, 0, 56, 7, 0, 0, 191,
    115, 0, 0, 0, 0, 0, 0, 15, 19, 0, 0, 0, 0, 0, 0, 191, 161, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 128,
    255, 255, 255, 183, 2, 0, 0, 8, 0, 0, 0, 133, 0, 0, 0, 4, 0, 0, 0, 183, 1, 0, 0, 8, 0, 0, 0,
    121, 163, 128, 255, 0, 0, 0, 0, 15, 19, 0, 0, 0, 0, 0, 0, 191, 161, 0, 0, 0, 0, 0, 0, 7, 1, 0,
    0, 140, 255, 255, 255, 183, 2, 0, 0, 4, 0, 0, 0, 133, 0, 0, 0, 4, 0, 0, 0, 97, 161, 140, 255,
    0, 0, 0, 0, 103, 1, 0, 0, 32, 0, 0, 0, 199, 1, 0, 0, 32, 0, 0, 0, 123, 26, 224, 255, 0, 0, 0,
    0, 183, 1, 0, 0, 96, 8, 0, 0, 191, 115, 0, 0, 0, 0, 0, 0, 15, 19, 0, 0, 0, 0, 0, 0, 191, 161,
    0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 128, 255, 255, 255, 183, 2, 0, 0, 8, 0, 0, 0, 133, 0, 0, 0, 4, 0,
    0, 0, 121, 161, 128, 255, 0, 0, 0, 0, 123, 26, 232, 255, 0, 0, 0, 0, 183, 1, 0, 0, 104, 8, 0,
    0, 191, 115, 0, 0, 0, 0, 0, 0, 15, 19, 0, 0, 0, 0, 0, 0, 191, 161, 0, 0, 0, 0, 0, 0, 7, 1, 0,
    0, 128, 255, 255, 255, 183, 2, 0, 0, 8, 0, 0, 0, 133, 0, 0, 0, 4, 0, 0, 0, 121, 161, 128, 255,
    0, 0, 0, 0, 123, 26, 240, 255, 0, 0, 0, 0, 183, 1, 0, 0, 48, 6, 0, 0, 191, 115, 0, 0, 0, 0, 0,
    0, 15, 19, 0, 0, 0, 0, 0, 0, 191, 161, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 128, 255, 255, 255, 183,
    2, 0, 0, 8, 0, 0, 0, 133, 0, 0, 0, 4, 0, 0, 0, 121, 161, 128, 255, 0, 0, 0, 0, 31, 24, 0, 0, 0,
    0, 0, 0, 55, 8, 0, 0, 232, 3, 0, 0, 123, 138, 216, 255, 0, 0, 0, 0, 183, 1, 0, 0, 88, 4, 0, 0,
    15, 23, 0, 0, 0, 0, 0, 0, 191, 161, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 128, 255, 255, 255, 183, 2,
    0, 0, 8, 0, 0, 0, 191, 115, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 4, 0, 0, 0, 121, 167, 128, 255, 0,
    0, 0, 0, 21, 7, 26, 0, 0, 0, 0, 0, 183, 1, 0, 0, 200, 2, 0, 0, 191, 115, 0, 0, 0, 0, 0, 0, 15,
    19, 0, 0, 0, 0, 0, 0, 191, 161, 0, 0, 0, 0, 0, 0, 7, 1, 0, 0, 128, 255, 255, 255, 183, 2, 0, 0,
    8, 0, 0, 0, 133, 0, 0, 0, 4, 0, 0, 0, 183, 1, 0, 0, 208, 2, 0, 0, 191, 115, 0, 0, 0, 0, 0, 0,
    15, 19, 0, 0, 0, 0, 0, 0, 121, 168, 128, 255, 0, 0, 0, 0, 191, 161, 0, 0, 0, 0, 0, 0, 7, 1, 0,
    0, 128, 255, 255, 255, 183, 2, 0, 0, 8, 0, 0, 0, 133, 0, 0, 0, 4, 0, 0, 0, 183, 1, 0, 0, 224,
    2, 0, 0, 15, 23, 0, 0, 0, 0, 0, 0, 121, 166, 128, 255, 0, 0, 0, 0, 191, 161, 0, 0, 0, 0, 0, 0,
    7, 1, 0, 0, 128, 255, 255, 255, 183, 2, 0, 0, 8, 0, 0, 0, 191, 115, 0, 0, 0, 0, 0, 0, 133, 0,
    0, 0, 4, 0, 0, 0, 15, 134, 0, 0, 0, 0, 0, 0, 121, 161, 128, 255, 0, 0, 0, 0, 15, 22, 0, 0, 0,
    0, 0, 0, 123, 106, 248, 255, 0, 0, 0, 0, 191, 164, 0, 0, 0, 0, 0, 0, 7, 4, 0, 0, 144, 255, 255,
    255, 121, 161, 120, 255, 0, 0, 0, 0, 24, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 24, 3, 0,
    0, 255, 255, 255, 255, 0, 0, 0, 0, 0, 0, 0, 0, 183, 5, 0, 0, 112, 0, 0, 0, 133, 0, 0, 0, 25, 0,
    0, 0, 183, 0, 0, 0, 1, 0, 0, 0, 149, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 71, 80, 76, 0, 0, 0, 0, 0, 0, 0, 0, 0, 8, 0, 0, 0, 0, 0, 0,
    0, 1, 0, 81, 8, 0, 0, 0, 0, 0, 0, 0, 128, 6, 0, 0, 0, 0, 0, 0, 2, 0, 122, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 24, 0, 0, 0, 0, 0, 0, 0, 24, 5, 0, 0, 0, 0, 0, 0, 1, 0, 87, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 40, 0, 0, 0, 0, 0, 0, 0, 248, 0, 0, 0, 0, 0, 0, 0, 1,
    0, 89, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 56, 0, 0, 0, 0, 0, 0, 0, 248, 4, 0, 0,
    0, 0, 0, 0, 1, 0, 88, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 208, 0, 0, 0, 0, 0, 0, 0,
    240, 0, 0, 0, 0, 0, 0, 0, 2, 0, 122, 8, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 8, 1,
    0, 0, 0, 0, 0, 0, 48, 1, 0, 0, 0, 0, 0, 0, 2, 0, 122, 20, 48, 1, 0, 0, 0, 0, 0, 0, 64, 1, 0, 0,
    0, 0, 0, 0, 1, 0, 81, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 80, 1, 0, 0, 0, 0, 0, 0,
    112, 1, 0, 0, 0, 0, 0, 0, 2, 0, 122, 8, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 128, 1,
    0, 0, 0, 0, 0, 0, 168, 1, 0, 0, 0, 0, 0, 0, 2, 0, 122, 20, 168, 1, 0, 0, 0, 0, 0, 0, 184, 1, 0,
    0, 0, 0, 0, 0, 1, 0, 81, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 200, 1, 0, 0, 0, 0, 0,
    0, 240, 1, 0, 0, 0, 0, 0, 0, 2, 0, 122, 8, 240, 1, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 0, 0, 0, 0, 1,
    0, 81, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 16, 2, 0, 0, 0, 0, 0, 0, 56, 2, 0, 0, 0,
    0, 0, 0, 2, 0, 122, 8, 56, 2, 0, 0, 0, 0, 0, 0, 72, 2, 0, 0, 0, 0, 0, 0, 1, 0, 81, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 120, 2, 0, 0, 0, 0, 0, 0, 160, 2, 0, 0, 0, 0, 0, 0, 2, 0,
    122, 8, 160, 2, 0, 0, 0, 0, 0, 0, 176, 2, 0, 0, 0, 0, 0, 0, 1, 0, 81, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 192, 2, 0, 0, 0, 0, 0, 0, 232, 2, 0, 0, 0, 0, 0, 0, 2, 0, 122, 8, 232,
    2, 0, 0, 0, 0, 0, 0, 248, 2, 0, 0, 0, 0, 0, 0, 1, 0, 81, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 8, 3, 0, 0, 0, 0, 0, 0, 48, 3, 0, 0, 0, 0, 0, 0, 2, 0, 122, 8, 48, 3, 0, 0, 0, 0, 0,
    0, 56, 3, 0, 0, 0, 0, 0, 0, 1, 0, 81, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 88, 3, 0,
    0, 0, 0, 0, 0, 128, 3, 0, 0, 0, 0, 0, 0, 2, 0, 122, 8, 128, 3, 0, 0, 0, 0, 0, 0, 136, 3, 0, 0,
    0, 0, 0, 0, 1, 0, 81, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 168, 3, 0, 0, 0, 0, 0, 0,
    200, 3, 0, 0, 0, 0, 0, 0, 2, 0, 122, 8, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 224, 3,
    0, 0, 0, 0, 0, 0, 56, 4, 0, 0, 0, 0, 0, 0, 2, 0, 122, 20, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 56, 4, 0, 0, 0, 0, 0, 0, 96, 4, 0, 0, 0, 0, 0, 0, 2, 0, 122, 8, 96, 4, 0, 0, 0, 0,
    0, 0, 112, 4, 0, 0, 0, 0, 0, 0, 1, 0, 81, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 128,
    4, 0, 0, 0, 0, 0, 0, 168, 4, 0, 0, 0, 0, 0, 0, 2, 0, 122, 8, 168, 4, 0, 0, 0, 0, 0, 0, 184, 4,
    0, 0, 0, 0, 0, 0, 1, 0, 81, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 200, 4, 0, 0, 0, 0,
    0, 0, 240, 4, 0, 0, 0, 0, 0, 0, 2, 0, 122, 8, 240, 4, 0, 0, 0, 0, 0, 0, 16, 5, 0, 0, 0, 0, 0,
    0, 1, 0, 81, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 24, 5, 0, 0, 0, 0, 0, 0, 72, 5, 0,
    0, 0, 0, 0, 0, 2, 0, 122, 8, 72, 5, 0, 0, 0, 0, 0, 0, 80, 5, 0, 0, 0, 0, 0, 0, 1, 0, 87, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 72, 5, 0, 0, 0, 0, 0, 0, 216, 5, 0, 0, 0, 0, 0, 0, 1,
    0, 87, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 104, 5, 0, 0, 0, 0, 0, 0, 168, 5, 0, 0,
    0, 0, 0, 0, 2, 0, 122, 8, 168, 5, 0, 0, 0, 0, 0, 0, 32, 6, 0, 0, 0, 0, 0, 0, 1, 0, 88, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 168, 5, 0, 0, 0, 0, 0, 0, 224, 5, 0, 0, 0, 0, 0, 0, 2,
    0, 122, 8, 224, 5, 0, 0, 0, 0, 0, 0, 16, 6, 0, 0, 0, 0, 0, 0, 1, 0, 86, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 168, 5, 0, 0, 0, 0, 0, 0, 32, 6, 0, 0, 0, 0, 0, 0, 1, 0, 88, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 224, 5, 0, 0, 0, 0, 0, 0, 16, 6, 0, 0, 0, 0, 0, 0, 1, 0,
    86, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 17, 1, 37, 14, 19, 5, 3, 14, 16, 23, 27,
    14, 17, 1, 18, 6, 0, 0, 2, 52, 0, 3, 14, 73, 19, 63, 25, 58, 11, 59, 11, 2, 24, 0, 0, 3, 1, 1,
    73, 19, 0, 0, 4, 33, 0, 73, 19, 55, 11, 0, 0, 5, 36, 0, 3, 14, 62, 11, 11, 11, 0, 0, 6, 36, 0,
    3, 14, 11, 11, 62, 11, 0, 0, 7, 19, 1, 11, 11, 58, 11, 59, 11, 0, 0, 8, 13, 0, 3, 14, 73, 19,
    58, 11, 59, 11, 56, 11, 0, 0, 9, 15, 0, 73, 19, 0, 0, 10, 52, 0, 3, 14, 73, 19, 58, 11, 59, 5,
    0, 0, 11, 21, 0, 73, 19, 39, 25, 0, 0, 12, 22, 0, 73, 19, 3, 14, 58, 11, 59, 11, 0, 0, 13, 52,
    0, 3, 14, 73, 19, 58, 11, 59, 11, 0, 0, 14, 21, 1, 73, 19, 39, 25, 0, 0, 15, 5, 0, 73, 19, 0,
    0, 16, 15, 0, 0, 0, 17, 38, 0, 0, 0, 18, 4, 1, 73, 19, 3, 14, 11, 11, 58, 11, 59, 5, 0, 0, 19,
    40, 0, 3, 14, 28, 15, 0, 0, 20, 4, 1, 73, 19, 11, 11, 58, 11, 59, 5, 0, 0, 21, 4, 1, 73, 19, 3,
    14, 11, 11, 58, 11, 59, 6, 0, 0, 22, 19, 1, 3, 14, 11, 5, 58, 11, 59, 6, 0, 0, 23, 13, 0, 73,
    19, 58, 11, 59, 6, 56, 11, 0, 0, 24, 23, 1, 11, 11, 58, 11, 59, 6, 0, 0, 25, 13, 0, 3, 14, 73,
    19, 58, 11, 59, 6, 56, 11, 0, 0, 26, 4, 1, 73, 19, 11, 11, 58, 11, 59, 6, 0, 0, 27, 13, 0, 3,
    14, 73, 19, 58, 11, 59, 6, 56, 5, 0, 0, 28, 19, 1, 3, 14, 11, 5, 58, 11, 59, 5, 0, 0, 29, 13,
    0, 3, 14, 73, 19, 58, 11, 59, 5, 56, 11, 0, 0, 30, 19, 1, 11, 11, 58, 11, 59, 5, 0, 0, 31, 13,
    0, 3, 14, 73, 19, 58, 11, 59, 5, 56, 5, 0, 0, 32, 13, 0, 3, 14, 73, 19, 58, 11, 59, 5, 11, 11,
    13, 11, 12, 11, 56, 5, 0, 0, 33, 13, 0, 73, 19, 58, 11, 59, 5, 56, 5, 0, 0, 34, 23, 1, 11, 11,
    58, 11, 59, 5, 0, 0, 35, 19, 1, 3, 14, 11, 11, 58, 11, 59, 5, 0, 0, 36, 19, 1, 3, 14, 11, 11,
    58, 11, 59, 11, 0, 0, 37, 38, 0, 73, 19, 0, 0, 38, 21, 1, 39, 25, 0, 0, 39, 22, 0, 73, 19, 3,
    14, 58, 11, 59, 5, 0, 0, 40, 19, 1, 3, 14, 11, 11, 58, 11, 59, 6, 0, 0, 41, 23, 1, 3, 14, 11,
    11, 58, 11, 59, 6, 0, 0, 42, 22, 0, 73, 19, 3, 14, 58, 11, 59, 6, 0, 0, 43, 19, 0, 3, 14, 60,
    25, 0, 0, 44, 13, 0, 73, 19, 58, 11, 59, 5, 56, 11, 0, 0, 45, 13, 0, 3, 14, 73, 19, 58, 11, 59,
    5, 11, 11, 13, 11, 12, 11, 56, 11, 0, 0, 46, 53, 0, 73, 19, 0, 0, 47, 13, 0, 73, 19, 58, 11,
    59, 11, 56, 11, 0, 0, 48, 23, 1, 11, 11, 58, 11, 59, 11, 0, 0, 49, 19, 1, 3, 14, 11, 5, 58, 11,
    59, 11, 0, 0, 50, 33, 0, 73, 19, 55, 5, 0, 0, 51, 19, 1, 11, 5, 58, 11, 59, 5, 0, 0, 52, 23, 1,
    3, 14, 11, 11, 58, 11, 59, 5, 0, 0, 53, 19, 0, 3, 14, 11, 11, 58, 11, 59, 11, 0, 0, 54, 19, 0,
    3, 14, 11, 11, 58, 11, 59, 5, 0, 0, 55, 13, 0, 3, 14, 73, 19, 58, 11, 59, 6, 11, 11, 13, 11,
    12, 11, 56, 11, 0, 0, 56, 13, 0, 3, 14, 73, 19, 58, 11, 59, 6, 11, 11, 13, 11, 12, 11, 56, 5,
    0, 0, 57, 21, 1, 73, 19, 0, 0, 58, 24, 0, 0, 0, 59, 19, 1, 11, 11, 58, 11, 59, 6, 0, 0, 60, 21,
    1, 0, 0, 61, 19, 0, 11, 11, 58, 11, 59, 6, 0, 0, 62, 23, 1, 3, 14, 11, 5, 58, 11, 59, 5, 0, 0,
    63, 19, 1, 11, 5, 58, 11, 59, 6, 0, 0, 64, 46, 1, 17, 1, 18, 6, 64, 24, 151, 66, 25, 3, 14, 58,
    11, 59, 11, 39, 25, 73, 19, 63, 25, 0, 0, 65, 5, 0, 2, 23, 3, 14, 58, 11, 59, 11, 73, 19, 0, 0,
    66, 52, 0, 2, 24, 3, 14, 58, 11, 59, 11, 73, 19, 0, 0, 67, 52, 0, 2, 23, 3, 14, 58, 11, 59, 11,
    73, 19, 0, 0, 68, 11, 1, 85, 23, 0, 0, 69, 11, 1, 17, 1, 18, 6, 0, 0, 70, 52, 0, 3, 14, 58, 11,
    59, 11, 73, 19, 0, 0, 0, 22, 146, 3, 0, 4, 0, 0, 0, 0, 0, 8, 1, 0, 0, 0, 0, 12, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 128, 6, 0, 0, 2, 0, 0, 0, 0, 63, 0, 0, 0, 1,
    94, 9, 3, 0, 0, 0, 0, 0, 0, 0, 0, 3, 75, 0, 0, 0, 4, 82, 0, 0, 0, 4, 0, 5, 0, 0, 0, 0, 6, 1, 6,
    0, 0, 0, 0, 8, 7, 2, 0, 0, 0, 0, 110, 0, 0, 0, 1, 17, 9, 3, 0, 0, 0, 0, 0, 0, 0, 0, 7, 24, 1,
    13, 8, 0, 0, 0, 0, 151, 0, 0, 0, 1, 14, 0, 8, 0, 0, 0, 0, 151, 0, 0, 0, 1, 15, 8, 8, 0, 0, 0,
    0, 151, 0, 0, 0, 1, 16, 16, 0, 9, 156, 0, 0, 0, 3, 168, 0, 0, 0, 4, 82, 0, 0, 0, 4, 0, 5, 0, 0,
    0, 0, 5, 4, 10, 0, 0, 0, 0, 187, 0, 0, 0, 3, 149, 3, 9, 192, 0, 0, 0, 11, 197, 0, 0, 0, 12,
    208, 0, 0, 0, 0, 0, 0, 0, 2, 20, 5, 0, 0, 0, 0, 7, 8, 10, 0, 0, 0, 0, 187, 0, 0, 0, 3, 97, 1,
    13, 0, 0, 0, 0, 187, 0, 0, 0, 3, 100, 13, 0, 0, 0, 0, 249, 0, 0, 0, 3, 88, 9, 254, 0, 0, 0, 14,
    19, 1, 0, 0, 15, 26, 1, 0, 0, 15, 27, 1, 0, 0, 15, 45, 1, 0, 0, 0, 5, 0, 0, 0, 0, 5, 8, 16, 12,
    38, 1, 0, 0, 0, 0, 0, 0, 2, 16, 5, 0, 0, 0, 0, 7, 4, 9, 50, 1, 0, 0, 17, 10, 0, 0, 0, 0, 63, 1,
    0, 0, 3, 122, 1, 9, 68, 1, 0, 0, 14, 19, 1, 0, 0, 15, 26, 1, 0, 0, 15, 27, 1, 0, 0, 0, 10, 0,
    0, 0, 0, 96, 1, 0, 0, 3, 165, 2, 9, 101, 1, 0, 0, 14, 19, 1, 0, 0, 15, 26, 1, 0, 0, 15, 26, 1,
    0, 0, 15, 197, 0, 0, 0, 15, 26, 1, 0, 0, 15, 197, 0, 0, 0, 0, 18, 38, 1, 0, 0, 0, 0, 0, 0, 4,
    2, 178, 32, 19, 0, 0, 0, 0, 0, 19, 0, 0, 0, 0, 1, 19, 0, 0, 0, 0, 2, 19, 0, 0, 0, 0, 3, 19, 0,
    0, 0, 0, 4, 19, 0, 0, 0, 0, 5, 0, 18, 38, 1, 0, 0, 0, 0, 0, 0, 4, 2, 96, 23, 19, 0, 0, 0, 0, 0,
    19, 0, 0, 0, 0, 1, 0, 18, 38, 1, 0, 0, 0, 0, 0, 0, 4, 2, 60, 20, 19, 0, 0, 0, 0, 0, 19, 0, 0,
    0, 0, 1, 19, 0, 0, 0, 0, 2, 19, 0, 0, 0, 0, 3, 0, 18, 38, 1, 0, 0, 0, 0, 0, 0, 4, 2, 57, 29,
    19, 0, 0, 0, 0, 0, 19, 0, 0, 0, 0, 1, 19, 0, 0, 0, 0, 2, 19, 0, 0, 0, 0, 3, 19, 0, 0, 0, 0, 4,
    19, 0, 0, 0, 0, 5, 19, 0, 0, 0, 0, 6, 19, 0, 0, 0, 0, 7, 0, 18, 38, 1, 0, 0, 0, 0, 0, 0, 4, 2,
    41, 29, 19, 0, 0, 0, 0, 0, 19, 0, 0, 0, 0, 1, 19, 0, 0, 0, 0, 2, 19, 0, 0, 0, 0, 3, 0, 18, 38,
    1, 0, 0, 0, 0, 0, 0, 4, 2, 140, 163, 19, 0, 0, 0, 0, 0, 19, 0, 0, 0, 0, 1, 19, 0, 0, 0, 0, 2,
    0, 18, 38, 1, 0, 0, 0, 0, 0, 0, 4, 2, 135, 39, 19, 0, 0, 0, 0, 0, 19, 0, 0, 0, 0, 1, 19, 0, 0,
    0, 0, 2, 19, 0, 0, 0, 0, 3, 19, 0, 0, 0, 0, 4, 19, 0, 0, 0, 0, 5, 19, 0, 0, 0, 0, 6, 19, 0, 0,
    0, 0, 7, 19, 0, 0, 0, 0, 8, 19, 0, 0, 0, 0, 9, 19, 0, 0, 0, 0, 10, 19, 0, 0, 0, 0, 11, 19, 0,
    0, 0, 0, 12, 19, 0, 0, 0, 0, 13, 19, 0, 0, 0, 0, 14, 19, 0, 0, 0, 0, 15, 19, 0, 0, 0, 0, 16,
    19, 0, 0, 0, 0, 17, 19, 0, 0, 0, 0, 18, 19, 0, 0, 0, 0, 19, 19, 0, 0, 0, 0, 20, 19, 0, 0, 0, 0,
    21, 19, 0, 0, 0, 0, 22, 19, 0, 0, 0, 0, 23, 19, 0, 0, 0, 0, 24, 19, 0, 0, 0, 0, 25, 19, 0, 0,
    0, 0, 26, 19, 0, 0, 0, 0, 27, 19, 0, 0, 0, 0, 28, 19, 0, 0, 0, 0, 29, 19, 0, 0, 0, 0, 30, 0,
    18, 38, 1, 0, 0, 0, 0, 0, 0, 4, 2, 169, 39, 19, 0, 0, 0, 0, 0, 19, 0, 0, 0, 0, 1, 19, 0, 0, 0,
    0, 2, 19, 0, 0, 0, 0, 3, 19, 0, 0, 0, 0, 4, 19, 0, 0, 0, 0, 5, 19, 0, 0, 0, 0, 6, 19, 0, 0, 0,
    0, 7, 19, 0, 0, 0, 0, 8, 19, 0, 0, 0, 0, 9, 19, 0, 0, 0, 0, 10, 19, 0, 0, 0, 0, 11, 19, 0, 0,
    0, 0, 12, 19, 0, 0, 0, 0, 13, 19, 0, 0, 0, 0, 14, 19, 0, 0, 0, 0, 15, 19, 0, 0, 0, 0, 16, 19,
    0, 0, 0, 0, 17, 19, 0, 0, 0, 0, 18, 19, 0, 0, 0, 0, 19, 19, 0, 0, 0, 0, 20, 19, 0, 0, 0, 0, 21,
    19, 0, 0, 0, 0, 22, 19, 0, 0, 0, 0, 23, 19, 0, 0, 0, 0, 24, 19, 0, 0, 0, 0, 25, 19, 0, 0, 0, 0,
    26, 19, 0, 0, 0, 0, 27, 19, 0, 0, 0, 0, 28, 19, 0, 0, 0, 0, 29, 19, 0, 0, 0, 0, 30, 19, 0, 0,
    0, 0, 31, 19, 0, 0, 0, 0, 32, 19, 0, 0, 0, 0, 33, 19, 0, 0, 0, 0, 34, 19, 0, 0, 0, 0, 35, 19,
    0, 0, 0, 0, 36, 19, 0, 0, 0, 0, 37, 19, 0, 0, 0, 0, 38, 0, 18, 38, 1, 0, 0, 0, 0, 0, 0, 4, 2,
    198, 42, 19, 0, 0, 0, 0, 0, 19, 0, 0, 0, 0, 1, 19, 0, 0, 0, 0, 2, 19, 0, 0, 0, 0, 3, 19, 0, 0,
    0, 0, 4, 19, 0, 0, 0, 0, 5, 19, 0, 0, 0, 0, 6, 19, 0, 0, 0, 0, 7, 19, 0, 0, 0, 0, 8, 19, 0, 0,
    0, 0, 9, 19, 0, 0, 0, 0, 10, 19, 0, 0, 0, 0, 11, 19, 0, 0, 0, 0, 12, 19, 0, 0, 0, 0, 13, 19, 0,
    0, 0, 0, 14, 19, 0, 0, 0, 0, 15, 19, 0, 0, 0, 0, 16, 19, 0, 0, 0, 0, 17, 19, 0, 0, 0, 0, 18,
    19, 0, 0, 0, 0, 19, 19, 0, 0, 0, 0, 20, 19, 0, 0, 0, 0, 21, 19, 0, 0, 0, 0, 22, 19, 0, 0, 0, 0,
    23, 19, 0, 0, 0, 0, 24, 19, 0, 0, 0, 0, 25, 19, 0, 0, 0, 0, 26, 0, 18, 38, 1, 0, 0, 0, 0, 0, 0,
    4, 2, 7, 41, 19, 0, 0, 0, 0, 0, 19, 0, 0, 0, 0, 1, 19, 0, 0, 0, 0, 2, 19, 0, 0, 0, 0, 3, 19, 0,
    0, 0, 0, 4, 0, 18, 38, 1, 0, 0, 0, 0, 0, 0, 4, 2, 104, 39, 19, 0, 0, 0, 0, 0, 19, 0, 0, 0, 0,
    1, 19, 0, 0, 0, 0, 2, 19, 0, 0, 0, 0, 3, 19, 0, 0, 0, 0, 4, 19, 0, 0, 0, 0, 5, 19, 0, 0, 0, 0,
    6, 19, 0, 0, 0, 0, 7, 19, 0, 0, 0, 0, 8, 19, 0, 0, 0, 0, 9, 19, 0, 0, 0, 0, 10, 19, 0, 0, 0, 0,
    11, 19, 0, 0, 0, 0, 12, 19, 0, 0, 0, 0, 13, 19, 0, 0, 0, 0, 14, 19, 0, 0, 0, 0, 15, 19, 0, 0,
    0, 0, 16, 19, 0, 0, 0, 0, 17, 19, 0, 0, 0, 0, 18, 19, 0, 0, 0, 0, 19, 19, 0, 0, 0, 0, 20, 19,
    0, 0, 0, 0, 21, 19, 0, 0, 0, 0, 22, 19, 0, 0, 0, 0, 23, 19, 0, 0, 0, 0, 24, 19, 0, 0, 0, 0, 25,
    19, 0, 0, 0, 0, 26, 19, 0, 0, 0, 0, 27, 0, 18, 38, 1, 0, 0, 0, 0, 0, 0, 4, 2, 213, 48, 19, 0,
    0, 0, 0, 128, 128, 128, 128, 8, 19, 0, 0, 0, 0, 0, 19, 0, 0, 0, 0, 16, 0, 18, 38, 1, 0, 0, 0,
    0, 0, 0, 4, 2, 180, 44, 19, 0, 0, 0, 0, 0, 19, 0, 0, 0, 0, 1, 19, 0, 0, 0, 0, 2, 19, 0, 0, 0,
    0, 3, 19, 0, 0, 0, 0, 4, 19, 0, 0, 0, 0, 5, 0, 18, 38, 1, 0, 0, 0, 0, 0, 0, 4, 2, 206, 1, 19,
    0, 0, 0, 0, 0, 19, 0, 0, 0, 0, 1, 0, 18, 38, 1, 0, 0, 0, 0, 0, 0, 4, 2, 105, 45, 19, 0, 0, 0,
    0, 0, 19, 0, 0, 0, 0, 1, 19, 0, 0, 0, 0, 2, 0, 18, 38, 1, 0, 0, 0, 0, 0, 0, 4, 2, 124, 55, 19,
    0, 0, 0, 0, 0, 19, 0, 0, 0, 0, 1, 19, 0, 0, 0, 0, 2, 19, 0, 0, 0, 0, 3, 19, 0, 0, 0, 0, 4, 19,
    0, 0, 0, 0, 5, 19, 0, 0, 0, 0, 6, 19, 0, 0, 0, 0, 7, 19, 0, 0, 0, 0, 8, 19, 0, 0, 0, 0, 9, 19,
    0, 0, 0, 0, 10, 0, 18, 38, 1, 0, 0, 0, 0, 0, 0, 4, 2, 118, 55, 19, 0, 0, 0, 0, 0, 19, 0, 0, 0,
    0, 1, 19, 0, 0, 0, 0, 2, 0, 18, 38, 1, 0, 0, 0, 0, 0, 0, 4, 2, 82, 131, 19, 0, 0, 0, 0, 0, 19,
    0, 0, 0, 0, 1, 19, 0, 0, 0, 0, 2, 19, 0, 0, 0, 0, 3, 0, 20, 38, 1, 0, 0, 4, 2, 157, 45, 19, 0,
    0, 0, 0, 0, 19, 0, 0, 0, 0, 1, 19, 0, 0, 0, 0, 2, 19, 0, 0, 0, 0, 3, 19, 0, 0, 0, 0, 4, 0, 18,
    38, 1, 0, 0, 0, 0, 0, 0, 4, 2, 171, 17, 19, 0, 0, 0, 0, 0, 19, 0, 0, 0, 0, 1, 19, 0, 0, 0, 0,
    2, 0, 18, 38, 1, 0, 0, 0, 0, 0, 0, 4, 2, 171, 18, 19, 0, 0, 0, 0, 0, 19, 0, 0, 0, 0, 1, 19, 0,
    0, 0, 0, 2, 19, 0, 0, 0, 0, 3, 19, 0, 0, 0, 0, 4, 19, 0, 0, 0, 0, 5, 0, 18, 38, 1, 0, 0, 0, 0,
    0, 0, 4, 2, 130, 49, 19, 0, 0, 0, 0, 0, 19, 0, 0, 0, 0, 1, 19, 0, 0, 0, 0, 2, 19, 0, 0, 0, 0,
    3, 19, 0, 0, 0, 0, 4, 19, 0, 0, 0, 0, 5, 19, 0, 0, 0, 0, 6, 19, 0, 0, 0, 0, 7, 19, 0, 0, 0, 0,
    8, 19, 0, 0, 0, 0, 9, 19, 0, 0, 0, 0, 10, 19, 0, 0, 0, 0, 11, 19, 0, 0, 0, 0, 12, 19, 0, 0, 0,
    0, 13, 19, 0, 0, 0, 0, 14, 19, 0, 0, 0, 0, 15, 19, 0, 0, 0, 0, 16, 19, 0, 0, 0, 0, 17, 0, 18,
    38, 1, 0, 0, 0, 0, 0, 0, 4, 2, 151, 49, 19, 0, 0, 0, 0, 0, 19, 0, 0, 0, 0, 1, 19, 0, 0, 0, 0,
    2, 19, 0, 0, 0, 0, 3, 19, 0, 0, 0, 0, 4, 0, 21, 38, 1, 0, 0, 0, 0, 0, 0, 4, 2, 49, 129, 1, 0,
    19, 0, 0, 0, 0, 0, 19, 0, 0, 0, 0, 1, 0, 21, 38, 1, 0, 0, 0, 0, 0, 0, 4, 2, 8, 128, 1, 0, 19,
    0, 0, 0, 0, 0, 19, 0, 0, 0, 0, 1, 19, 0, 0, 0, 0, 2, 19, 0, 0, 0, 0, 3, 0, 21, 38, 1, 0, 0, 0,
    0, 0, 0, 4, 2, 14, 129, 1, 0, 19, 0, 0, 0, 0, 0, 19, 0, 0, 0, 0, 1, 0, 21, 38, 1, 0, 0, 0, 0,
    0, 0, 4, 2, 19, 129, 1, 0, 19, 0, 0, 0, 0, 0, 19, 0, 0, 0, 0, 1, 0, 21, 38, 1, 0, 0, 0, 0, 0,
    0, 4, 2, 24, 129, 1, 0, 19, 0, 0, 0, 0, 0, 19, 0, 0, 0, 0, 1, 0, 21, 38, 1, 0, 0, 0, 0, 0, 0,
    4, 2, 43, 129, 1, 0, 19, 0, 0, 0, 0, 0, 19, 0, 0, 0, 0, 1, 19, 0, 0, 0, 0, 2, 0, 21, 38, 1, 0,
    0, 0, 0, 0, 0, 4, 2, 37, 129, 1, 0, 19, 0, 0, 0, 0, 0, 19, 0, 0, 0, 0, 1, 19, 0, 0, 0, 0, 2, 0,
    21, 38, 1, 0, 0, 0, 0, 0, 0, 4, 2, 15, 128, 1, 0, 19, 0, 0, 0, 0, 0, 19, 0, 0, 0, 0, 1, 19, 0,
    0, 0, 0, 2, 19, 0, 0, 0, 0, 3, 19, 0, 0, 0, 0, 4, 19, 0, 0, 0, 0, 5, 0, 18, 38, 1, 0, 0, 0, 0,
    0, 0, 4, 2, 138, 46, 19, 0, 0, 0, 0, 0, 19, 0, 0, 0, 0, 1, 19, 0, 0, 0, 0, 2, 19, 0, 0, 0, 0,
    3, 19, 0, 0, 0, 0, 4, 19, 0, 0, 0, 0, 5, 19, 0, 0, 0, 0, 6, 19, 0, 0, 0, 0, 7, 19, 0, 0, 0, 0,
    8, 19, 0, 0, 0, 0, 9, 0, 18, 38, 1, 0, 0, 0, 0, 0, 0, 4, 2, 151, 46, 19, 0, 0, 0, 0, 1, 19, 0,
    0, 0, 0, 2, 19, 0, 0, 0, 0, 3, 19, 0, 0, 0, 0, 4, 19, 0, 0, 0, 0, 5, 19, 0, 0, 0, 0, 6, 0, 18,
    38, 1, 0, 0, 0, 0, 0, 0, 4, 2, 160, 46, 19, 0, 0, 0, 0, 1, 19, 0, 0, 0, 0, 2, 19, 0, 0, 0, 0,
    3, 19, 0, 0, 0, 0, 4, 0, 18, 38, 1, 0, 0, 0, 0, 0, 0, 4, 2, 167, 46, 19, 0, 0, 0, 0, 1, 19, 0,
    0, 0, 0, 2, 19, 0, 0, 0, 0, 3, 19, 0, 0, 0, 0, 4, 19, 0, 0, 0, 0, 5, 0, 18, 38, 1, 0, 0, 0, 0,
    0, 0, 4, 2, 175, 46, 19, 0, 0, 0, 0, 1, 19, 0, 0, 0, 0, 2, 0, 18, 38, 1, 0, 0, 0, 0, 0, 0, 4,
    2, 180, 46, 19, 0, 0, 0, 0, 1, 19, 0, 0, 0, 0, 2, 0, 18, 38, 1, 0, 0, 0, 0, 0, 0, 4, 2, 87, 47,
    19, 0, 0, 0, 0, 0, 19, 0, 0, 0, 0, 1, 19, 0, 0, 0, 0, 2, 19, 0, 0, 0, 0, 3, 0, 18, 38, 1, 0, 0,
    0, 0, 0, 0, 4, 2, 100, 50, 19, 0, 0, 0, 0, 0, 19, 0, 0, 0, 0, 1, 0, 21, 38, 1, 0, 0, 0, 0, 0,
    0, 4, 2, 48, 130, 1, 0, 19, 0, 0, 0, 0, 0, 19, 0, 0, 0, 0, 1, 19, 0, 0, 0, 0, 2, 19, 0, 0, 0,
    0, 3, 19, 0, 0, 0, 0, 4, 19, 0, 0, 0, 0, 5, 19, 0, 0, 0, 0, 6, 19, 0, 0, 0, 0, 7, 19, 0, 0, 0,
    0, 8, 19, 0, 0, 0, 0, 9, 19, 0, 0, 0, 0, 10, 19, 0, 0, 0, 0, 11, 19, 0, 0, 0, 0, 12, 19, 0, 0,
    0, 0, 13, 19, 0, 0, 0, 0, 14, 19, 0, 0, 0, 0, 15, 19, 0, 0, 0, 0, 16, 19, 0, 0, 0, 0, 17, 0,
    22, 0, 0, 0, 0, 208, 1, 2, 106, 128, 1, 0, 23, 247, 10, 0, 0, 2, 107, 128, 1, 0, 0, 24, 8, 2,
    107, 128, 1, 0, 25, 0, 0, 0, 0, 162, 12, 0, 0, 2, 108, 128, 1, 0, 0, 25, 0, 0, 0, 0, 162, 12,
    0, 0, 2, 109, 128, 1, 0, 0, 0, 25, 0, 0, 0, 0, 158, 113, 3, 0, 2, 111, 128, 1, 0, 8, 25, 0, 0,
    0, 0, 83, 115, 3, 0, 2, 112, 128, 1, 0, 16, 25, 0, 0, 0, 0, 50, 114, 3, 0, 2, 113, 128, 1, 0,
    24, 25, 0, 0, 0, 0, 62, 115, 3, 0, 2, 114, 128, 1, 0, 32, 25, 0, 0, 0, 0, 104, 11, 0, 0, 2,
    120, 128, 1, 0, 40, 26, 38, 1, 0, 0, 4, 2, 115, 128, 1, 0, 19, 0, 0, 0, 0, 0, 19, 0, 0, 0, 0,
    1, 19, 0, 0, 0, 0, 2, 19, 0, 0, 0, 0, 3, 0, 25, 0, 0, 0, 0, 228, 116, 3, 0, 2, 121, 128, 1, 0,
    48, 25, 0, 0, 0, 0, 38, 1, 0, 0, 2, 122, 128, 1, 0, 56, 25, 0, 0, 0, 0, 233, 21, 0, 0, 2, 123,
    128, 1, 0, 64, 25, 0, 0, 0, 0, 43, 9, 3, 0, 2, 124, 128, 1, 0, 72, 25, 0, 0, 0, 0, 233, 21, 0,
    0, 2, 125, 128, 1, 0, 80, 25, 0, 0, 0, 0, 214, 183, 0, 0, 2, 126, 128, 1, 0, 88, 25, 0, 0, 0,
    0, 38, 1, 0, 0, 2, 127, 128, 1, 0, 96, 25, 0, 0, 0, 0, 181, 51, 0, 0, 2, 128, 128, 1, 0, 100,
    25, 0, 0, 0, 0, 218, 67, 0, 0, 2, 129, 128, 1, 0, 101, 25, 0, 0, 0, 0, 162, 12, 0, 0, 2, 130,
    128, 1, 0, 104, 25, 0, 0, 0, 0, 92, 223, 2, 0, 2, 131, 128, 1, 0, 112, 27, 0, 0, 0, 0, 254,
    108, 3, 0, 2, 132, 128, 1, 0, 128, 1, 27, 0, 0, 0, 0, 52, 141, 3, 0, 2, 133, 128, 1, 0, 136, 1,
    27, 0, 0, 0, 0, 195, 21, 0, 0, 2, 134, 128, 1, 0, 160, 1, 27, 0, 0, 0, 0, 26, 1, 0, 0, 2, 135,
    128, 1, 0, 176, 1, 27, 0, 0, 0, 0, 118, 236, 2, 0, 2, 136, 128, 1, 0, 184, 1, 27, 0, 0, 0, 0,
    189, 141, 3, 0, 2, 137, 128, 1, 0, 192, 1, 27, 0, 0, 0, 0, 181, 51, 0, 0, 2, 138, 128, 1, 0,
    200, 1, 0, 9, 167, 12, 0, 0, 28, 0, 0, 0, 0, 64, 9, 2, 26, 42, 29, 0, 0, 0, 0, 73, 21, 0, 0, 2,
    27, 42, 0, 29, 0, 0, 0, 0, 85, 21, 0, 0, 2, 28, 42, 16, 29, 0, 0, 0, 0, 243, 21, 0, 0, 2, 29,
    42, 24, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 30, 42, 32, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 31, 42,
    40, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 32, 42, 48, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 33, 42, 56,
    29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 34, 42, 64, 29, 0, 0, 0, 0, 195, 21, 0, 0, 2, 35, 42, 72, 29,
    0, 0, 0, 0, 195, 21, 0, 0, 2, 36, 42, 88, 29, 0, 0, 0, 0, 195, 21, 0, 0, 2, 37, 42, 104, 29, 0,
    0, 0, 0, 195, 21, 0, 0, 2, 38, 42, 120, 29, 0, 0, 0, 0, 195, 21, 0, 0, 2, 39, 42, 136, 29, 0,
    0, 0, 0, 195, 21, 0, 0, 2, 40, 42, 152, 29, 0, 0, 0, 0, 116, 13, 0, 0, 2, 44, 42, 168, 30, 32,
    2, 41, 42, 29, 0, 0, 0, 0, 195, 21, 0, 0, 2, 42, 42, 0, 29, 0, 0, 0, 0, 195, 21, 0, 0, 2, 43,
    42, 16, 0, 29, 0, 0, 0, 0, 97, 22, 0, 0, 2, 45, 42, 200, 29, 0, 0, 0, 0, 97, 22, 0, 0, 2, 46,
    42, 208, 29, 0, 0, 0, 0, 97, 22, 0, 0, 2, 47, 42, 216, 29, 0, 0, 0, 0, 97, 22, 0, 0, 2, 48, 42,
    224, 29, 0, 0, 0, 0, 97, 22, 0, 0, 2, 49, 42, 232, 29, 0, 0, 0, 0, 97, 22, 0, 0, 2, 50, 42,
    240, 29, 0, 0, 0, 0, 97, 22, 0, 0, 2, 51, 42, 248, 31, 0, 0, 0, 0, 168, 0, 0, 0, 2, 52, 42, 0,
    1, 31, 0, 0, 0, 0, 168, 0, 0, 0, 2, 53, 42, 4, 1, 31, 0, 0, 0, 0, 120, 22, 0, 0, 2, 54, 42, 8,
    1, 31, 0, 0, 0, 0, 173, 23, 0, 0, 2, 55, 42, 192, 1, 31, 0, 0, 0, 0, 173, 23, 0, 0, 2, 56, 42,
    200, 1, 31, 0, 0, 0, 0, 173, 23, 0, 0, 2, 57, 42, 208, 1, 31, 0, 0, 0, 0, 242, 23, 0, 0, 2, 58,
    42, 216, 1, 31, 0, 0, 0, 0, 242, 23, 0, 0, 2, 59, 42, 220, 1, 31, 0, 0, 0, 0, 14, 24, 0, 0, 2,
    60, 42, 224, 1, 31, 0, 0, 0, 0, 192, 28, 0, 0, 2, 61, 42, 232, 1, 31, 0, 0, 0, 0, 150, 29, 0,
    0, 2, 62, 42, 240, 1, 31, 0, 0, 0, 0, 118, 236, 2, 0, 2, 63, 42, 248, 1, 31, 0, 0, 0, 0, 183,
    255, 2, 0, 2, 64, 42, 0, 2, 31, 0, 0, 0, 0, 98, 0, 3, 0, 2, 65, 42, 8, 2, 31, 0, 0, 0, 0, 215,
    2, 3, 0, 2, 66, 42, 16, 2, 31, 0, 0, 0, 0, 65, 3, 3, 0, 2, 67, 42, 24, 2, 31, 0, 0, 0, 0, 103,
    7, 3, 0, 2, 68, 42, 32, 2, 31, 0, 0, 0, 0, 38, 1, 0, 0, 2, 69, 42, 40, 2, 31, 0, 0, 0, 0, 38,
    1, 0, 0, 2, 70, 42, 44, 2, 31, 0, 0, 0, 0, 236, 24, 0, 0, 2, 71, 42, 48, 2, 31, 0, 0, 0, 0,
    236, 24, 0, 0, 2, 72, 42, 50, 2, 31, 0, 0, 0, 0, 169, 26, 0, 0, 2, 73, 42, 52, 2, 31, 0, 0, 0,
    0, 169, 26, 0, 0, 2, 74, 42, 53, 2, 31, 0, 0, 0, 0, 169, 26, 0, 0, 2, 75, 42, 54, 2, 31, 0, 0,
    0, 0, 169, 26, 0, 0, 2, 76, 42, 55, 2, 31, 0, 0, 0, 0, 38, 1, 0, 0, 2, 77, 42, 56, 2, 31, 0, 0,
    0, 0, 38, 1, 0, 0, 2, 78, 42, 60, 2, 31, 0, 0, 0, 0, 38, 1, 0, 0, 2, 79, 42, 64, 2, 31, 0, 0,
    0, 0, 236, 24, 0, 0, 2, 80, 42, 68, 2, 31, 0, 0, 0, 0, 236, 24, 0, 0, 2, 81, 42, 70, 2, 31, 0,
    0, 0, 0, 169, 26, 0, 0, 2, 82, 42, 72, 2, 31, 0, 0, 0, 0, 169, 26, 0, 0, 2, 83, 42, 73, 2, 31,
    0, 0, 0, 0, 236, 24, 0, 0, 2, 84, 42, 74, 2, 31, 0, 0, 0, 0, 236, 24, 0, 0, 2, 85, 42, 76, 2,
    31, 0, 0, 0, 0, 198, 66, 0, 0, 2, 86, 42, 78, 2, 31, 0, 0, 0, 0, 169, 26, 0, 0, 2, 87, 42, 110,
    2, 31, 0, 0, 0, 0, 169, 26, 0, 0, 2, 88, 42, 111, 2, 31, 0, 0, 0, 0, 169, 26, 0, 0, 2, 89, 42,
    112, 2, 31, 0, 0, 0, 0, 169, 26, 0, 0, 2, 90, 42, 113, 2, 31, 0, 0, 0, 0, 236, 24, 0, 0, 2, 91,
    42, 114, 2, 31, 0, 0, 0, 0, 236, 24, 0, 0, 2, 92, 42, 116, 2, 31, 0, 0, 0, 0, 236, 24, 0, 0, 2,
    93, 42, 118, 2, 31, 0, 0, 0, 0, 33, 67, 0, 0, 2, 94, 42, 120, 2, 31, 0, 0, 0, 0, 97, 8, 3, 0,
    2, 95, 42, 128, 2, 31, 0, 0, 0, 0, 97, 8, 3, 0, 2, 96, 42, 152, 2, 31, 0, 0, 0, 0, 97, 8, 3, 0,
    2, 97, 42, 176, 2, 31, 0, 0, 0, 0, 153, 86, 0, 0, 2, 98, 42, 200, 2, 31, 0, 0, 0, 0, 38, 1, 0,
    0, 2, 99, 42, 208, 2, 31, 0, 0, 0, 0, 38, 1, 0, 0, 2, 100, 42, 212, 2, 31, 0, 0, 0, 0, 181, 51,
    0, 0, 2, 101, 42, 216, 2, 31, 0, 0, 0, 0, 133, 8, 3, 0, 2, 102, 42, 224, 2, 31, 0, 0, 0, 0, 43,
    9, 3, 0, 2, 103, 42, 232, 2, 31, 0, 0, 0, 0, 48, 9, 3, 0, 2, 104, 42, 240, 2, 31, 0, 0, 0, 0,
    26, 1, 0, 0, 2, 105, 42, 248, 2, 31, 0, 0, 0, 0, 58, 9, 3, 0, 2, 106, 42, 0, 3, 31, 0, 0, 0, 0,
    70, 163, 1, 0, 2, 107, 42, 8, 3, 31, 0, 0, 0, 0, 26, 1, 0, 0, 2, 108, 42, 16, 3, 31, 0, 0, 0,
    0, 103, 13, 3, 0, 2, 109, 42, 24, 3, 31, 0, 0, 0, 0, 109, 49, 3, 0, 2, 110, 42, 32, 3, 31, 0,
    0, 0, 0, 33, 54, 3, 0, 2, 111, 42, 40, 3, 31, 0, 0, 0, 0, 239, 206, 1, 0, 2, 112, 42, 48, 3,
    31, 0, 0, 0, 0, 43, 54, 3, 0, 2, 113, 42, 56, 3, 31, 0, 0, 0, 0, 38, 1, 0, 0, 2, 114, 42, 64,
    3, 31, 0, 0, 0, 0, 38, 1, 0, 0, 2, 115, 42, 68, 3, 31, 0, 0, 0, 0, 61, 255, 0, 0, 2, 116, 42,
    72, 3, 31, 0, 0, 0, 0, 90, 22, 0, 0, 2, 117, 42, 80, 3, 31, 0, 0, 0, 0, 168, 0, 0, 0, 2, 118,
    42, 88, 3, 31, 0, 0, 0, 0, 62, 55, 3, 0, 2, 119, 42, 96, 3, 31, 0, 0, 0, 0, 26, 1, 0, 0, 2,
    120, 42, 104, 3, 31, 0, 0, 0, 0, 145, 55, 3, 0, 2, 121, 42, 112, 3, 31, 0, 0, 0, 0, 9, 66, 3,
    0, 2, 122, 42, 120, 3, 31, 0, 0, 0, 0, 191, 174, 1, 0, 2, 123, 42, 128, 3, 31, 0, 0, 0, 0, 198,
    66, 0, 0, 2, 124, 42, 136, 3, 31, 0, 0, 0, 0, 172, 72, 3, 0, 2, 125, 42, 168, 3, 31, 0, 0, 0,
    0, 152, 21, 0, 0, 2, 126, 42, 176, 3, 31, 0, 0, 0, 0, 9, 66, 3, 0, 2, 127, 42, 192, 3, 31, 0,
    0, 0, 0, 38, 1, 0, 0, 2, 128, 42, 200, 3, 31, 0, 0, 0, 0, 38, 1, 0, 0, 2, 129, 42, 204, 3, 31,
    0, 0, 0, 0, 99, 62, 3, 0, 2, 130, 42, 208, 3, 31, 0, 0, 0, 0, 38, 1, 0, 0, 2, 131, 42, 216, 3,
    31, 0, 0, 0, 0, 33, 67, 0, 0, 2, 132, 42, 220, 3, 31, 0, 0, 0, 0, 40, 73, 3, 0, 2, 133, 42,
    224, 3, 31, 0, 0, 0, 0, 132, 73, 3, 0, 2, 134, 42, 232, 3, 31, 0, 0, 0, 0, 132, 73, 3, 0, 2,
    135, 42, 240, 3, 31, 0, 0, 0, 0, 145, 55, 3, 0, 2, 136, 42, 248, 3, 31, 0, 0, 0, 0, 252, 73, 3,
    0, 2, 137, 42, 0, 4, 31, 0, 0, 0, 0, 134, 156, 0, 0, 2, 138, 42, 128, 4, 31, 0, 0, 0, 0, 168,
    0, 0, 0, 2, 139, 42, 168, 4, 31, 0, 0, 0, 0, 177, 66, 0, 0, 2, 140, 42, 172, 4, 31, 0, 0, 0, 0,
    195, 21, 0, 0, 2, 141, 42, 176, 4, 31, 0, 0, 0, 0, 176, 51, 0, 0, 2, 142, 42, 192, 4, 31, 0, 0,
    0, 0, 195, 21, 0, 0, 2, 143, 42, 200, 4, 32, 0, 0, 0, 0, 8, 19, 0, 0, 2, 151, 42, 4, 8, 24,
    216, 4, 20, 38, 1, 0, 0, 4, 2, 144, 42, 19, 0, 0, 0, 0, 0, 19, 0, 0, 0, 0, 1, 19, 0, 0, 0, 0,
    2, 19, 0, 0, 0, 0, 3, 19, 0, 0, 0, 0, 4, 19, 0, 0, 0, 0, 5, 0, 31, 0, 0, 0, 0, 181, 51, 0, 0,
    2, 152, 42, 217, 4, 32, 0, 0, 0, 0, 85, 19, 0, 0, 2, 156, 42, 4, 16, 0, 216, 4, 20, 38, 1, 0,
    0, 4, 2, 153, 42, 19, 0, 0, 0, 0, 0, 19, 0, 0, 0, 0, 1, 0, 31, 0, 0, 0, 0, 181, 51, 0, 0, 2,
    157, 42, 220, 4, 31, 0, 0, 0, 0, 237, 33, 0, 0, 2, 158, 42, 224, 4, 31, 0, 0, 0, 0, 211, 206,
    2, 0, 2, 159, 42, 232, 4, 31, 0, 0, 0, 0, 112, 145, 1, 0, 2, 160, 42, 240, 4, 33, 173, 19, 0,
    0, 2, 161, 42, 248, 4, 34, 8, 2, 161, 42, 29, 0, 0, 0, 0, 26, 1, 0, 0, 2, 162, 42, 0, 29, 0, 0,
    0, 0, 8, 74, 3, 0, 2, 163, 42, 0, 29, 0, 0, 0, 0, 93, 74, 3, 0, 2, 164, 42, 0, 29, 0, 0, 0, 0,
    173, 74, 3, 0, 2, 165, 42, 0, 0, 31, 0, 0, 0, 0, 183, 74, 3, 0, 2, 167, 42, 0, 5, 31, 0, 0, 0,
    0, 193, 74, 3, 0, 2, 168, 42, 8, 5, 31, 0, 0, 0, 0, 5, 166, 0, 0, 2, 169, 42, 16, 5, 31, 0, 0,
    0, 0, 203, 74, 3, 0, 2, 170, 42, 0, 8, 31, 0, 0, 0, 0, 20, 89, 0, 0, 2, 171, 42, 32, 8, 31, 0,
    0, 0, 0, 215, 74, 3, 0, 2, 172, 42, 40, 8, 31, 0, 0, 0, 0, 38, 1, 0, 0, 2, 173, 42, 48, 8, 31,
    0, 0, 0, 0, 229, 67, 0, 0, 2, 174, 42, 52, 8, 31, 0, 0, 0, 0, 89, 77, 3, 0, 2, 175, 42, 56, 8,
    31, 0, 0, 0, 0, 152, 112, 1, 0, 2, 176, 42, 64, 8, 31, 0, 0, 0, 0, 102, 85, 3, 0, 2, 177, 42,
    66, 8, 31, 0, 0, 0, 0, 170, 110, 2, 0, 2, 178, 42, 130, 8, 31, 0, 0, 0, 0, 38, 1, 0, 0, 2, 179,
    42, 148, 8, 31, 0, 0, 0, 0, 150, 85, 3, 0, 2, 180, 42, 152, 8, 31, 0, 0, 0, 0, 204, 85, 3, 0,
    2, 181, 42, 160, 8, 31, 0, 0, 0, 0, 23, 99, 3, 0, 2, 182, 42, 168, 8, 31, 0, 0, 0, 0, 37, 93,
    2, 0, 2, 183, 42, 176, 8, 31, 0, 0, 0, 0, 37, 93, 2, 0, 2, 184, 42, 184, 8, 31, 0, 0, 0, 0,
    181, 51, 0, 0, 2, 185, 42, 192, 8, 32, 0, 0, 0, 0, 38, 1, 0, 0, 2, 186, 42, 4, 1, 23, 192, 8,
    31, 0, 0, 0, 0, 195, 21, 0, 0, 2, 187, 42, 200, 8, 31, 0, 0, 0, 0, 239, 109, 3, 0, 2, 188, 42,
    216, 8, 31, 0, 0, 0, 0, 254, 109, 3, 0, 2, 189, 42, 224, 8, 31, 0, 0, 0, 0, 183, 110, 3, 0, 2,
    190, 42, 232, 8, 31, 0, 0, 0, 0, 193, 110, 3, 0, 2, 191, 42, 240, 8, 0, 3, 75, 0, 0, 0, 4, 82,
    0, 0, 0, 16, 0, 9, 90, 21, 0, 0, 35, 0, 0, 0, 0, 48, 2, 190, 49, 29, 0, 0, 0, 0, 152, 21, 0, 0,
    2, 191, 49, 0, 29, 0, 0, 0, 0, 195, 21, 0, 0, 2, 192, 49, 16, 29, 0, 0, 0, 0, 162, 12, 0, 0, 2,
    193, 49, 32, 29, 0, 0, 0, 0, 233, 21, 0, 0, 2, 194, 49, 40, 0, 36, 0, 0, 0, 0, 16, 2, 126, 8,
    0, 0, 0, 0, 185, 21, 0, 0, 2, 127, 0, 8, 0, 0, 0, 0, 190, 21, 0, 0, 2, 128, 8, 0, 9, 152, 21,
    0, 0, 9, 185, 21, 0, 0, 36, 0, 0, 0, 0, 16, 2, 115, 8, 0, 0, 0, 0, 228, 21, 0, 0, 2, 116, 0, 8,
    0, 0, 0, 0, 228, 21, 0, 0, 2, 117, 8, 0, 9, 195, 21, 0, 0, 9, 238, 21, 0, 0, 37, 75, 0, 0, 0,
    9, 248, 21, 0, 0, 35, 0, 0, 0, 0, 16, 2, 185, 49, 29, 0, 0, 0, 0, 28, 22, 0, 0, 2, 186, 49, 0,
    29, 0, 0, 0, 0, 78, 22, 0, 0, 2, 187, 49, 16, 0, 36, 0, 0, 0, 0, 16, 2, 131, 8, 0, 0, 0, 0, 61,
    22, 0, 0, 2, 132, 0, 8, 0, 0, 0, 0, 66, 22, 0, 0, 2, 133, 8, 0, 9, 28, 22, 0, 0, 9, 71, 22, 0,
    0, 38, 15, 61, 22, 0, 0, 0, 3, 75, 0, 0, 0, 4, 82, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 7, 8, 39, 109,
    22, 0, 0, 0, 0, 0, 0, 2, 235, 33, 12, 197, 0, 0, 0, 0, 0, 0, 0, 2, 34, 35, 0, 0, 0, 0, 184, 2,
    148, 41, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 149, 41, 0, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 150, 41,
    8, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 151, 41, 16, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 152, 41, 24,
    29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 153, 41, 32, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 154, 41, 40, 29,
    0, 0, 0, 0, 90, 22, 0, 0, 2, 155, 41, 48, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 156, 41, 56, 29, 0,
    0, 0, 0, 90, 22, 0, 0, 2, 157, 41, 64, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 158, 41, 72, 29, 0, 0,
    0, 0, 90, 22, 0, 0, 2, 159, 41, 80, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 160, 41, 88, 29, 0, 0, 0,
    0, 90, 22, 0, 0, 2, 161, 41, 96, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 162, 41, 104, 29, 0, 0, 0, 0,
    90, 22, 0, 0, 2, 163, 41, 112, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 164, 41, 120, 29, 0, 0, 0, 0,
    90, 22, 0, 0, 2, 165, 41, 128, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 166, 41, 136, 29, 0, 0, 0, 0,
    90, 22, 0, 0, 2, 167, 41, 144, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 168, 41, 152, 29, 0, 0, 0, 0,
    90, 22, 0, 0, 2, 169, 41, 160, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 170, 41, 168, 29, 0, 0, 0, 0,
    90, 22, 0, 0, 2, 171, 41, 176, 0, 39, 185, 23, 0, 0, 0, 0, 0, 0, 2, 129, 2, 12, 196, 23, 0, 0,
    0, 0, 0, 0, 2, 113, 7, 8, 2, 111, 8, 0, 0, 0, 0, 213, 23, 0, 0, 2, 112, 0, 0, 12, 224, 23, 0,
    0, 0, 0, 0, 0, 2, 32, 12, 235, 23, 0, 0, 0, 0, 0, 0, 2, 18, 5, 0, 0, 0, 0, 5, 8, 12, 253, 23,
    0, 0, 0, 0, 0, 0, 2, 109, 7, 4, 2, 107, 8, 0, 0, 0, 0, 168, 0, 0, 0, 2, 108, 0, 0, 9, 19, 24,
    0, 0, 37, 24, 24, 0, 0, 35, 0, 0, 0, 0, 40, 2, 68, 50, 29, 0, 0, 0, 0, 125, 24, 0, 0, 2, 69,
    50, 0, 29, 0, 0, 0, 0, 225, 24, 0, 0, 2, 70, 50, 8, 29, 0, 0, 0, 0, 225, 24, 0, 0, 2, 71, 50,
    10, 29, 0, 0, 0, 0, 225, 24, 0, 0, 2, 72, 50, 12, 29, 0, 0, 0, 0, 125, 24, 0, 0, 2, 73, 50, 16,
    29, 0, 0, 0, 0, 159, 27, 0, 0, 2, 74, 50, 24, 29, 0, 0, 0, 0, 241, 27, 0, 0, 2, 75, 50, 32, 0,
    9, 130, 24, 0, 0, 37, 135, 24, 0, 0, 39, 147, 24, 0, 0, 0, 0, 0, 0, 2, 62, 50, 9, 152, 24, 0,
    0, 14, 168, 0, 0, 0, 15, 162, 12, 0, 0, 15, 178, 24, 0, 0, 15, 243, 24, 0, 0, 15, 154, 27, 0,
    0, 0, 9, 183, 24, 0, 0, 40, 0, 0, 0, 0, 4, 2, 244, 122, 1, 0, 25, 0, 0, 0, 0, 225, 24, 0, 0, 2,
    245, 122, 1, 0, 0, 25, 0, 0, 0, 0, 225, 24, 0, 0, 2, 246, 122, 1, 0, 2, 0, 12, 236, 24, 0, 0,
    0, 0, 0, 0, 2, 12, 5, 0, 0, 0, 0, 7, 2, 9, 248, 24, 0, 0, 41, 0, 0, 0, 0, 16, 2, 211, 122, 1,
    0, 25, 0, 0, 0, 0, 73, 21, 0, 0, 2, 212, 122, 1, 0, 0, 25, 0, 0, 0, 0, 18, 26, 0, 0, 2, 213,
    122, 1, 0, 0, 25, 0, 0, 0, 0, 75, 26, 0, 0, 2, 214, 122, 1, 0, 0, 25, 0, 0, 0, 0, 176, 26, 0,
    0, 2, 215, 122, 1, 0, 0, 25, 0, 0, 0, 0, 75, 26, 0, 0, 2, 216, 122, 1, 0, 0, 25, 0, 0, 0, 0,
    75, 26, 0, 0, 2, 217, 122, 1, 0, 0, 25, 0, 0, 0, 0, 75, 26, 0, 0, 2, 218, 122, 1, 0, 0, 25, 0,
    0, 0, 0, 75, 26, 0, 0, 2, 219, 122, 1, 0, 0, 25, 0, 0, 0, 0, 75, 26, 0, 0, 2, 220, 122, 1, 0,
    0, 25, 0, 0, 0, 0, 27, 1, 0, 0, 2, 221, 122, 1, 0, 0, 25, 0, 0, 0, 0, 75, 26, 0, 0, 2, 222,
    122, 1, 0, 0, 25, 0, 0, 0, 0, 18, 26, 0, 0, 2, 223, 122, 1, 0, 0, 25, 0, 0, 0, 0, 75, 26, 0, 0,
    2, 224, 122, 1, 0, 0, 25, 0, 0, 0, 0, 10, 27, 0, 0, 2, 225, 122, 1, 0, 0, 25, 0, 0, 0, 0, 82,
    27, 0, 0, 2, 226, 122, 1, 0, 0, 25, 0, 0, 0, 0, 82, 27, 0, 0, 2, 227, 122, 1, 0, 0, 25, 0, 0,
    0, 0, 75, 26, 0, 0, 2, 228, 122, 1, 0, 0, 25, 0, 0, 0, 0, 18, 26, 0, 0, 2, 229, 122, 1, 0, 0,
    0, 40, 0, 0, 0, 0, 16, 2, 172, 122, 1, 0, 25, 0, 0, 0, 0, 26, 1, 0, 0, 2, 173, 122, 1, 0, 0,
    25, 0, 0, 0, 0, 225, 24, 0, 0, 2, 174, 122, 1, 0, 8, 25, 0, 0, 0, 0, 225, 24, 0, 0, 2, 175,
    122, 1, 0, 10, 0, 40, 0, 0, 0, 0, 8, 2, 165, 122, 1, 0, 25, 0, 0, 0, 0, 147, 26, 0, 0, 2, 166,
    122, 1, 0, 0, 25, 0, 0, 0, 0, 158, 26, 0, 0, 2, 167, 122, 1, 0, 4, 25, 0, 0, 0, 0, 158, 26, 0,
    0, 2, 168, 122, 1, 0, 5, 25, 0, 0, 0, 0, 225, 24, 0, 0, 2, 169, 122, 1, 0, 6, 0, 12, 168, 0, 0,
    0, 0, 0, 0, 0, 2, 14, 12, 169, 26, 0, 0, 0, 0, 0, 0, 2, 8, 5, 0, 0, 0, 0, 8, 1, 40, 0, 0, 0, 0,
    8, 2, 178, 122, 1, 0, 25, 0, 0, 0, 0, 147, 26, 0, 0, 2, 179, 122, 1, 0, 0, 25, 0, 0, 0, 0, 248,
    26, 0, 0, 2, 180, 122, 1, 0, 4, 25, 0, 0, 0, 0, 158, 26, 0, 0, 2, 181, 122, 1, 0, 6, 25, 0, 0,
    0, 0, 158, 26, 0, 0, 2, 182, 122, 1, 0, 7, 0, 12, 3, 27, 0, 0, 0, 0, 0, 0, 2, 10, 5, 0, 0, 0,
    0, 5, 2, 40, 0, 0, 0, 0, 4, 2, 185, 122, 1, 0, 25, 0, 0, 0, 0, 158, 26, 0, 0, 2, 186, 122, 1,
    0, 0, 25, 0, 0, 0, 0, 158, 26, 0, 0, 2, 187, 122, 1, 0, 1, 25, 0, 0, 0, 0, 158, 26, 0, 0, 2,
    188, 122, 1, 0, 2, 25, 0, 0, 0, 0, 158, 26, 0, 0, 2, 189, 122, 1, 0, 3, 0, 35, 0, 0, 0, 0, 16,
    2, 197, 34, 29, 0, 0, 0, 0, 118, 27, 0, 0, 2, 198, 34, 0, 29, 0, 0, 0, 0, 142, 27, 0, 0, 2,
    199, 34, 2, 0, 39, 130, 27, 0, 0, 0, 0, 0, 0, 2, 195, 34, 39, 236, 24, 0, 0, 0, 0, 0, 0, 2,
    193, 34, 3, 75, 0, 0, 0, 4, 82, 0, 0, 0, 14, 0, 9, 75, 0, 0, 0, 9, 164, 27, 0, 0, 37, 169, 27,
    0, 0, 40, 0, 0, 0, 0, 24, 2, 232, 122, 1, 0, 25, 0, 0, 0, 0, 27, 1, 0, 0, 2, 233, 122, 1, 0, 0,
    25, 0, 0, 0, 0, 225, 24, 0, 0, 2, 234, 122, 1, 0, 4, 25, 0, 0, 0, 0, 225, 24, 0, 0, 2, 235,
    122, 1, 0, 6, 25, 0, 0, 0, 0, 73, 21, 0, 0, 2, 236, 122, 1, 0, 8, 0, 9, 246, 27, 0, 0, 14, 1,
    28, 0, 0, 15, 162, 12, 0, 0, 0, 9, 6, 28, 0, 0, 40, 0, 0, 0, 0, 32, 2, 204, 122, 1, 0, 25, 0,
    0, 0, 0, 225, 24, 0, 0, 2, 205, 122, 1, 0, 0, 25, 0, 0, 0, 0, 10, 27, 0, 0, 2, 206, 122, 1, 0,
    2, 25, 0, 0, 0, 0, 78, 28, 0, 0, 2, 207, 122, 1, 0, 8, 25, 0, 0, 0, 0, 165, 28, 0, 0, 2, 208,
    122, 1, 0, 28, 0, 40, 0, 0, 0, 0, 20, 2, 192, 122, 1, 0, 25, 0, 0, 0, 0, 27, 1, 0, 0, 2, 193,
    122, 1, 0, 0, 25, 0, 0, 0, 0, 27, 1, 0, 0, 2, 194, 122, 1, 0, 4, 25, 0, 0, 0, 0, 27, 1, 0, 0,
    2, 195, 122, 1, 0, 8, 25, 0, 0, 0, 0, 27, 1, 0, 0, 2, 196, 122, 1, 0, 12, 25, 0, 0, 0, 0, 27,
    1, 0, 0, 2, 197, 122, 1, 0, 16, 0, 40, 0, 0, 0, 0, 4, 2, 200, 122, 1, 0, 25, 0, 0, 0, 0, 27, 1,
    0, 0, 2, 201, 122, 1, 0, 0, 0, 9, 197, 28, 0, 0, 40, 0, 0, 0, 0, 16, 2, 160, 122, 1, 0, 25, 0,
    0, 0, 0, 239, 28, 0, 0, 2, 161, 122, 1, 0, 0, 25, 0, 0, 0, 0, 140, 29, 0, 0, 2, 162, 122, 1, 0,
    8, 0, 9, 244, 28, 0, 0, 40, 0, 0, 0, 0, 100, 2, 249, 122, 1, 0, 25, 0, 0, 0, 0, 168, 0, 0, 0,
    2, 250, 122, 1, 0, 0, 25, 0, 0, 0, 0, 90, 29, 0, 0, 2, 251, 122, 1, 0, 4, 25, 0, 0, 0, 0, 116,
    29, 0, 0, 2, 252, 122, 1, 0, 52, 25, 0, 0, 0, 0, 10, 27, 0, 0, 2, 253, 122, 1, 0, 84, 25, 0, 0,
    0, 0, 10, 27, 0, 0, 2, 254, 122, 1, 0, 88, 25, 0, 0, 0, 0, 128, 29, 0, 0, 2, 255, 122, 1, 0,
    92, 0, 3, 102, 29, 0, 0, 4, 82, 0, 0, 0, 48, 0, 42, 169, 26, 0, 0, 0, 0, 0, 0, 2, 154, 13, 1,
    0, 3, 10, 27, 0, 0, 4, 82, 0, 0, 0, 8, 0, 3, 102, 29, 0, 0, 4, 82, 0, 0, 0, 8, 0, 9, 145, 29,
    0, 0, 43, 0, 0, 0, 0, 9, 155, 29, 0, 0, 37, 160, 29, 0, 0, 28, 0, 0, 0, 0, 120, 2, 2, 203, 49,
    29, 0, 0, 0, 0, 221, 33, 0, 0, 2, 204, 49, 0, 29, 0, 0, 0, 0, 237, 33, 0, 0, 2, 205, 49, 8, 29,
    0, 0, 0, 0, 221, 33, 0, 0, 2, 206, 49, 16, 29, 0, 0, 0, 0, 221, 33, 0, 0, 2, 207, 49, 24, 29,
    0, 0, 0, 0, 249, 33, 0, 0, 2, 208, 49, 32, 29, 0, 0, 0, 0, 70, 200, 2, 0, 2, 209, 49, 40, 29,
    0, 0, 0, 0, 96, 200, 2, 0, 2, 210, 49, 48, 29, 0, 0, 0, 0, 122, 200, 2, 0, 2, 211, 49, 56, 29,
    0, 0, 0, 0, 237, 33, 0, 0, 2, 212, 49, 64, 29, 0, 0, 0, 0, 139, 200, 2, 0, 2, 213, 49, 72, 29,
    0, 0, 0, 0, 221, 33, 0, 0, 2, 214, 49, 80, 29, 0, 0, 0, 0, 160, 200, 2, 0, 2, 215, 49, 88, 29,
    0, 0, 0, 0, 179, 204, 2, 0, 2, 216, 49, 96, 29, 0, 0, 0, 0, 205, 204, 2, 0, 2, 217, 49, 104,
    29, 0, 0, 0, 0, 226, 204, 2, 0, 2, 218, 49, 112, 29, 0, 0, 0, 0, 247, 204, 2, 0, 2, 219, 49,
    120, 29, 0, 0, 0, 0, 8, 205, 2, 0, 2, 220, 49, 128, 29, 0, 0, 0, 0, 96, 206, 2, 0, 2, 221, 49,
    136, 29, 0, 0, 0, 0, 117, 206, 2, 0, 2, 222, 49, 144, 29, 0, 0, 0, 0, 143, 206, 2, 0, 2, 223,
    49, 152, 29, 0, 0, 0, 0, 164, 206, 2, 0, 2, 224, 49, 160, 29, 0, 0, 0, 0, 164, 206, 2, 0, 2,
    225, 49, 168, 29, 0, 0, 0, 0, 237, 33, 0, 0, 2, 226, 49, 176, 29, 0, 0, 0, 0, 190, 206, 2, 0,
    2, 227, 49, 184, 29, 0, 0, 0, 0, 237, 33, 0, 0, 2, 228, 49, 192, 29, 0, 0, 0, 0, 57, 208, 2, 0,
    2, 229, 49, 200, 29, 0, 0, 0, 0, 83, 208, 2, 0, 2, 230, 49, 208, 29, 0, 0, 0, 0, 119, 208, 2,
    0, 2, 231, 49, 216, 29, 0, 0, 0, 0, 150, 208, 2, 0, 2, 232, 49, 224, 29, 0, 0, 0, 0, 150, 208,
    2, 0, 2, 233, 49, 232, 29, 0, 0, 0, 0, 176, 208, 2, 0, 2, 234, 49, 240, 29, 0, 0, 0, 0, 116,
    209, 2, 0, 2, 235, 49, 248, 31, 0, 0, 0, 0, 142, 209, 2, 0, 2, 236, 49, 0, 1, 31, 0, 0, 0, 0,
    31, 210, 2, 0, 2, 237, 49, 8, 1, 31, 0, 0, 0, 0, 57, 210, 2, 0, 2, 238, 49, 16, 1, 31, 0, 0, 0,
    0, 83, 210, 2, 0, 2, 239, 49, 24, 1, 31, 0, 0, 0, 0, 155, 210, 2, 0, 2, 240, 49, 32, 1, 31, 0,
    0, 0, 0, 150, 208, 2, 0, 2, 241, 49, 40, 1, 31, 0, 0, 0, 0, 186, 210, 2, 0, 2, 242, 49, 48, 1,
    31, 0, 0, 0, 0, 221, 33, 0, 0, 2, 243, 49, 56, 1, 31, 0, 0, 0, 0, 221, 33, 0, 0, 2, 244, 49,
    64, 1, 31, 0, 0, 0, 0, 212, 210, 2, 0, 2, 245, 49, 72, 1, 31, 0, 0, 0, 0, 243, 210, 2, 0, 2,
    246, 49, 80, 1, 31, 0, 0, 0, 0, 212, 210, 2, 0, 2, 247, 49, 88, 1, 31, 0, 0, 0, 0, 8, 211, 2,
    0, 2, 248, 49, 96, 1, 31, 0, 0, 0, 0, 153, 211, 2, 0, 2, 249, 49, 104, 1, 31, 0, 0, 0, 0, 179,
    211, 2, 0, 2, 250, 49, 112, 1, 31, 0, 0, 0, 0, 210, 211, 2, 0, 2, 251, 49, 120, 1, 31, 0, 0, 0,
    0, 236, 211, 2, 0, 2, 252, 49, 128, 1, 31, 0, 0, 0, 0, 1, 212, 2, 0, 2, 253, 49, 136, 1, 31, 0,
    0, 0, 0, 27, 212, 2, 0, 2, 254, 49, 144, 1, 31, 0, 0, 0, 0, 48, 212, 2, 0, 2, 255, 49, 152, 1,
    31, 0, 0, 0, 0, 69, 212, 2, 0, 2, 0, 50, 160, 1, 31, 0, 0, 0, 0, 90, 212, 2, 0, 2, 1, 50, 168,
    1, 31, 0, 0, 0, 0, 107, 212, 2, 0, 2, 2, 50, 176, 1, 31, 0, 0, 0, 0, 3, 213, 2, 0, 2, 3, 50,
    184, 1, 31, 0, 0, 0, 0, 39, 213, 2, 0, 2, 4, 50, 192, 1, 31, 0, 0, 0, 0, 178, 214, 2, 0, 2, 5,
    50, 200, 1, 31, 0, 0, 0, 0, 229, 214, 2, 0, 2, 6, 50, 208, 1, 31, 0, 0, 0, 0, 9, 215, 2, 0, 2,
    7, 50, 216, 1, 31, 0, 0, 0, 0, 50, 215, 2, 0, 2, 8, 50, 224, 1, 31, 0, 0, 0, 0, 76, 215, 2, 0,
    2, 9, 50, 232, 1, 31, 0, 0, 0, 0, 97, 215, 2, 0, 2, 10, 50, 240, 1, 31, 0, 0, 0, 0, 97, 215, 2,
    0, 2, 11, 50, 248, 1, 31, 0, 0, 0, 0, 159, 215, 2, 0, 2, 12, 50, 0, 2, 31, 0, 0, 0, 0, 185,
    215, 2, 0, 2, 13, 50, 8, 2, 31, 0, 0, 0, 0, 185, 215, 2, 0, 2, 14, 50, 16, 2, 31, 0, 0, 0, 0,
    23, 216, 2, 0, 2, 15, 50, 24, 2, 31, 0, 0, 0, 0, 44, 216, 2, 0, 2, 16, 50, 32, 2, 31, 0, 0, 0,
    0, 61, 216, 2, 0, 2, 17, 50, 40, 2, 31, 0, 0, 0, 0, 87, 216, 2, 0, 2, 18, 50, 48, 2, 31, 0, 0,
    0, 0, 76, 215, 2, 0, 2, 19, 50, 56, 2, 31, 0, 0, 0, 0, 103, 216, 2, 0, 2, 20, 50, 64, 2, 31, 0,
    0, 0, 0, 122, 200, 2, 0, 2, 21, 50, 72, 2, 31, 0, 0, 0, 0, 124, 216, 2, 0, 2, 22, 50, 80, 2,
    31, 0, 0, 0, 0, 153, 222, 2, 0, 2, 23, 50, 88, 2, 31, 0, 0, 0, 0, 45, 223, 2, 0, 2, 24, 50, 96,
    2, 31, 0, 0, 0, 0, 71, 223, 2, 0, 2, 25, 50, 104, 2, 31, 0, 0, 0, 0, 55, 235, 2, 0, 2, 26, 50,
    112, 2, 0, 9, 226, 33, 0, 0, 14, 168, 0, 0, 0, 15, 162, 12, 0, 0, 0, 9, 242, 33, 0, 0, 38, 15,
    162, 12, 0, 0, 0, 9, 254, 33, 0, 0, 14, 14, 34, 0, 0, 15, 26, 34, 0, 0, 15, 162, 12, 0, 0, 0,
    39, 204, 5, 0, 0, 0, 0, 0, 0, 2, 219, 48, 9, 31, 34, 0, 0, 35, 0, 0, 0, 0, 224, 2, 48, 43, 44,
    49, 34, 0, 0, 2, 49, 43, 0, 34, 24, 2, 49, 43, 44, 63, 34, 0, 0, 2, 50, 43, 0, 30, 24, 2, 50,
    43, 29, 0, 0, 0, 0, 26, 34, 0, 0, 2, 51, 43, 0, 29, 0, 0, 0, 0, 26, 34, 0, 0, 2, 52, 43, 8, 44,
    103, 34, 0, 0, 2, 53, 43, 16, 34, 8, 2, 53, 43, 29, 0, 0, 0, 0, 162, 12, 0, 0, 2, 54, 43, 0,
    29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 55, 43, 0, 0, 0, 29, 0, 0, 0, 0, 229, 39, 0, 0, 2, 58, 43, 0,
    29, 0, 0, 0, 0, 195, 21, 0, 0, 2, 59, 43, 0, 0, 44, 172, 34, 0, 0, 2, 61, 43, 24, 34, 8, 2, 61,
    43, 29, 0, 0, 0, 0, 27, 40, 0, 0, 2, 62, 43, 0, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 63, 43, 0, 0,
    44, 213, 34, 0, 0, 2, 65, 43, 32, 34, 8, 2, 65, 43, 29, 0, 0, 0, 0, 183, 198, 0, 0, 2, 66, 43,
    0, 29, 0, 0, 0, 0, 109, 22, 0, 0, 2, 67, 43, 0, 0, 29, 0, 0, 0, 0, 115, 227, 0, 0, 2, 69, 43,
    40, 44, 11, 35, 0, 0, 2, 70, 43, 88, 34, 16, 2, 70, 43, 44, 25, 35, 0, 0, 2, 71, 43, 0, 30, 16,
    2, 71, 43, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 72, 43, 0, 29, 0, 0, 0, 0, 54, 141, 1, 0, 2, 73,
    43, 8, 0, 29, 0, 0, 0, 0, 195, 21, 0, 0, 2, 75, 43, 0, 0, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 77,
    43, 104, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 78, 43, 112, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 79, 43,
    116, 29, 0, 0, 0, 0, 225, 24, 0, 0, 2, 80, 43, 120, 29, 0, 0, 0, 0, 225, 24, 0, 0, 2, 81, 43,
    122, 29, 0, 0, 0, 0, 225, 24, 0, 0, 2, 82, 43, 124, 29, 0, 0, 0, 0, 198, 137, 1, 0, 2, 83, 43,
    126, 45, 0, 0, 0, 0, 158, 26, 0, 0, 2, 84, 43, 1, 1, 7, 126, 45, 0, 0, 0, 0, 158, 26, 0, 0, 2,
    85, 43, 1, 1, 6, 126, 45, 0, 0, 0, 0, 158, 26, 0, 0, 2, 86, 43, 1, 2, 4, 126, 45, 0, 0, 0, 0,
    158, 26, 0, 0, 2, 87, 43, 1, 1, 3, 126, 45, 0, 0, 0, 0, 158, 26, 0, 0, 2, 88, 43, 1, 1, 2, 126,
    45, 0, 0, 0, 0, 158, 26, 0, 0, 2, 89, 43, 1, 1, 1, 126, 29, 0, 0, 0, 0, 158, 26, 0, 0, 2, 90,
    43, 127, 29, 0, 0, 0, 0, 30, 156, 1, 0, 2, 91, 43, 128, 29, 0, 0, 0, 0, 198, 137, 1, 0, 2, 92,
    43, 128, 45, 0, 0, 0, 0, 158, 26, 0, 0, 2, 93, 43, 1, 3, 5, 128, 45, 0, 0, 0, 0, 158, 26, 0, 0,
    2, 94, 43, 1, 1, 4, 128, 45, 0, 0, 0, 0, 158, 26, 0, 0, 2, 95, 43, 1, 1, 3, 128, 45, 0, 0, 0,
    0, 158, 26, 0, 0, 2, 96, 43, 1, 2, 1, 128, 45, 0, 0, 0, 0, 158, 26, 0, 0, 2, 97, 43, 1, 1, 0,
    128, 45, 0, 0, 0, 0, 158, 26, 0, 0, 2, 98, 43, 1, 1, 7, 129, 45, 0, 0, 0, 0, 158, 26, 0, 0, 2,
    99, 43, 1, 1, 6, 129, 45, 0, 0, 0, 0, 158, 26, 0, 0, 2, 100, 43, 1, 1, 5, 129, 45, 0, 0, 0, 0,
    158, 26, 0, 0, 2, 101, 43, 1, 1, 4, 129, 45, 0, 0, 0, 0, 158, 26, 0, 0, 2, 102, 43, 1, 1, 3,
    129, 45, 0, 0, 0, 0, 158, 26, 0, 0, 2, 103, 43, 1, 1, 2, 129, 45, 0, 0, 0, 0, 158, 26, 0, 0, 2,
    104, 43, 1, 1, 1, 129, 45, 0, 0, 0, 0, 158, 26, 0, 0, 2, 105, 43, 1, 1, 0, 129, 29, 0, 0, 0, 0,
    198, 137, 1, 0, 2, 106, 43, 130, 45, 0, 0, 0, 0, 158, 26, 0, 0, 2, 107, 43, 1, 1, 7, 130, 45,
    0, 0, 0, 0, 158, 26, 0, 0, 2, 108, 43, 1, 1, 6, 130, 45, 0, 0, 0, 0, 158, 26, 0, 0, 2, 109, 43,
    1, 2, 4, 130, 45, 0, 0, 0, 0, 158, 26, 0, 0, 2, 110, 43, 1, 1, 3, 130, 45, 0, 0, 0, 0, 158, 26,
    0, 0, 2, 111, 43, 1, 1, 2, 130, 45, 0, 0, 0, 0, 158, 26, 0, 0, 2, 112, 43, 1, 2, 0, 130, 45, 0,
    0, 0, 0, 158, 26, 0, 0, 2, 113, 43, 1, 1, 7, 131, 45, 0, 0, 0, 0, 158, 26, 0, 0, 2, 114, 43, 1,
    1, 6, 131, 45, 0, 0, 0, 0, 158, 26, 0, 0, 2, 115, 43, 1, 1, 5, 131, 45, 0, 0, 0, 0, 158, 26, 0,
    0, 2, 116, 43, 1, 1, 4, 131, 45, 0, 0, 0, 0, 158, 26, 0, 0, 2, 117, 43, 1, 1, 3, 131, 45, 0, 0,
    0, 0, 158, 26, 0, 0, 2, 118, 43, 1, 1, 2, 131, 45, 0, 0, 0, 0, 158, 26, 0, 0, 2, 119, 43, 1, 1,
    1, 131, 45, 0, 0, 0, 0, 158, 26, 0, 0, 2, 120, 43, 1, 1, 0, 131, 45, 0, 0, 0, 0, 158, 26, 0, 0,
    2, 121, 43, 1, 1, 7, 132, 45, 0, 0, 0, 0, 158, 26, 0, 0, 2, 122, 43, 1, 1, 6, 132, 29, 0, 0, 0,
    0, 225, 24, 0, 0, 2, 123, 43, 134, 44, 28, 38, 0, 0, 2, 124, 43, 136, 34, 4, 2, 124, 43, 29, 0,
    0, 0, 0, 235, 199, 2, 0, 2, 125, 43, 0, 44, 55, 38, 0, 0, 2, 126, 43, 0, 30, 4, 2, 126, 43, 29,
    0, 0, 0, 0, 225, 24, 0, 0, 2, 127, 43, 0, 29, 0, 0, 0, 0, 225, 24, 0, 0, 2, 128, 43, 2, 0, 0,
    29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 131, 43, 140, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 132, 43, 144,
    29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 133, 43, 148, 29, 0, 0, 0, 0, 57, 48, 0, 0, 2, 134, 43, 152,
    29, 0, 0, 0, 0, 225, 24, 0, 0, 2, 135, 43, 154, 44, 162, 38, 0, 0, 2, 136, 43, 156, 34, 4, 2,
    136, 43, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 137, 43, 0, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 138, 43,
    0, 0, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 140, 43, 160, 44, 216, 38, 0, 0, 2, 141, 43, 164, 34, 4,
    2, 141, 43, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 142, 43, 0, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 143,
    43, 0, 0, 44, 1, 39, 0, 0, 2, 145, 43, 168, 34, 2, 2, 145, 43, 29, 0, 0, 0, 0, 57, 48, 0, 0, 2,
    146, 43, 0, 29, 0, 0, 0, 0, 158, 26, 0, 0, 2, 147, 43, 0, 0, 29, 0, 0, 0, 0, 225, 24, 0, 0, 2,
    149, 43, 170, 29, 0, 0, 0, 0, 225, 24, 0, 0, 2, 150, 43, 172, 29, 0, 0, 0, 0, 225, 24, 0, 0, 2,
    151, 43, 174, 29, 0, 0, 0, 0, 57, 48, 0, 0, 2, 152, 43, 176, 29, 0, 0, 0, 0, 225, 24, 0, 0, 2,
    153, 43, 178, 29, 0, 0, 0, 0, 225, 24, 0, 0, 2, 154, 43, 180, 29, 0, 0, 0, 0, 225, 24, 0, 0, 2,
    155, 43, 182, 29, 0, 0, 0, 0, 30, 156, 1, 0, 2, 156, 43, 184, 29, 0, 0, 0, 0, 247, 199, 2, 0,
    2, 157, 43, 184, 29, 0, 0, 0, 0, 247, 199, 2, 0, 2, 158, 43, 188, 29, 0, 0, 0, 0, 239, 206, 1,
    0, 2, 159, 43, 192, 29, 0, 0, 0, 0, 239, 206, 1, 0, 2, 160, 43, 200, 29, 0, 0, 0, 0, 38, 1, 0,
    0, 2, 161, 43, 208, 29, 0, 0, 0, 0, 254, 62, 0, 0, 2, 162, 43, 212, 29, 0, 0, 0, 0, 3, 200, 2,
    0, 2, 163, 43, 216, 0, 35, 0, 0, 0, 0, 24, 2, 112, 1, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 113, 1,
    0, 29, 0, 0, 0, 0, 22, 40, 0, 0, 2, 114, 1, 8, 29, 0, 0, 0, 0, 22, 40, 0, 0, 2, 115, 1, 16, 0,
    9, 229, 39, 0, 0, 9, 32, 40, 0, 0, 28, 0, 0, 0, 0, 248, 2, 2, 11, 34, 29, 0, 0, 0, 0, 111, 45,
    0, 0, 2, 12, 34, 0, 29, 0, 0, 0, 0, 214, 189, 2, 0, 2, 13, 34, 136, 29, 0, 0, 0, 0, 242, 23, 0,
    0, 2, 14, 34, 168, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 15, 34, 172, 29, 0, 0, 0, 0, 126, 146, 1,
    0, 2, 16, 34, 176, 29, 0, 0, 0, 0, 26, 34, 0, 0, 2, 17, 34, 200, 29, 0, 0, 0, 0, 126, 146, 1,
    0, 2, 18, 34, 208, 29, 0, 0, 0, 0, 146, 40, 0, 0, 2, 24, 34, 232, 30, 24, 2, 19, 34, 29, 0, 0,
    0, 0, 242, 23, 0, 0, 2, 20, 34, 0, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 21, 34, 4, 29, 0, 0, 0, 0,
    26, 34, 0, 0, 2, 22, 34, 8, 29, 0, 0, 0, 0, 26, 34, 0, 0, 2, 23, 34, 16, 0, 31, 0, 0, 0, 0,
    168, 0, 0, 0, 2, 25, 34, 0, 1, 31, 0, 0, 0, 0, 38, 1, 0, 0, 2, 26, 34, 4, 1, 31, 0, 0, 0, 0,
    38, 1, 0, 0, 2, 27, 34, 8, 1, 31, 0, 0, 0, 0, 168, 0, 0, 0, 2, 28, 34, 12, 1, 31, 0, 0, 0, 0,
    15, 190, 2, 0, 2, 29, 34, 16, 1, 33, 28, 41, 0, 0, 2, 30, 34, 24, 1, 34, 8, 2, 30, 34, 29, 0,
    0, 0, 0, 69, 190, 2, 0, 2, 31, 34, 0, 29, 0, 0, 0, 0, 69, 190, 2, 0, 2, 32, 34, 0, 0, 31, 0, 0,
    0, 0, 136, 190, 2, 0, 2, 34, 34, 32, 1, 31, 0, 0, 0, 0, 208, 140, 1, 0, 2, 35, 34, 48, 1, 31,
    0, 0, 0, 0, 208, 140, 1, 0, 2, 36, 34, 56, 1, 31, 0, 0, 0, 0, 242, 23, 0, 0, 2, 37, 34, 64, 1,
    31, 0, 0, 0, 0, 168, 0, 0, 0, 2, 38, 34, 68, 1, 31, 0, 0, 0, 0, 168, 0, 0, 0, 2, 39, 34, 72, 1,
    31, 0, 0, 0, 0, 254, 62, 0, 0, 2, 40, 34, 76, 1, 31, 0, 0, 0, 0, 90, 22, 0, 0, 2, 41, 34, 80,
    1, 33, 182, 41, 0, 0, 2, 42, 34, 88, 1, 34, 8, 2, 42, 34, 29, 0, 0, 0, 0, 26, 34, 0, 0, 2, 43,
    34, 0, 29, 0, 0, 0, 0, 206, 94, 0, 0, 2, 44, 34, 0, 0, 31, 0, 0, 0, 0, 26, 34, 0, 0, 2, 46, 34,
    96, 1, 31, 0, 0, 0, 0, 126, 146, 1, 0, 2, 47, 34, 104, 1, 31, 0, 0, 0, 0, 147, 26, 0, 0, 2, 48,
    34, 128, 1, 31, 0, 0, 0, 0, 168, 0, 0, 0, 2, 49, 34, 132, 1, 31, 0, 0, 0, 0, 27, 1, 0, 0, 2,
    50, 34, 136, 1, 31, 0, 0, 0, 0, 177, 66, 0, 0, 2, 51, 34, 140, 1, 31, 0, 0, 0, 0, 19, 1, 0, 0,
    2, 52, 34, 144, 1, 31, 0, 0, 0, 0, 134, 156, 0, 0, 2, 53, 34, 152, 1, 31, 0, 0, 0, 0, 27, 1, 0,
    0, 2, 54, 34, 192, 1, 31, 0, 0, 0, 0, 27, 1, 0, 0, 2, 55, 34, 196, 1, 31, 0, 0, 0, 0, 90, 22,
    0, 0, 2, 56, 34, 200, 1, 31, 0, 0, 0, 0, 90, 22, 0, 0, 2, 57, 34, 208, 1, 31, 0, 0, 0, 0, 138,
    157, 1, 0, 2, 58, 34, 216, 1, 31, 0, 0, 0, 0, 97, 22, 0, 0, 2, 59, 34, 232, 1, 31, 0, 0, 0, 0,
    97, 22, 0, 0, 2, 60, 34, 240, 1, 31, 0, 0, 0, 0, 97, 22, 0, 0, 2, 61, 34, 248, 1, 31, 0, 0, 0,
    0, 168, 0, 0, 0, 2, 62, 34, 0, 2, 31, 0, 0, 0, 0, 38, 1, 0, 0, 2, 63, 34, 4, 2, 31, 0, 0, 0, 0,
    252, 147, 0, 0, 2, 64, 34, 8, 2, 31, 0, 0, 0, 0, 27, 1, 0, 0, 2, 65, 34, 12, 2, 32, 0, 0, 0, 0,
    218, 67, 0, 0, 2, 66, 34, 1, 1, 7, 16, 2, 32, 0, 0, 0, 0, 218, 67, 0, 0, 2, 67, 34, 1, 1, 6,
    16, 2, 32, 0, 0, 0, 0, 218, 67, 0, 0, 2, 68, 34, 1, 1, 5, 16, 2, 32, 0, 0, 0, 0, 218, 67, 0, 0,
    2, 69, 34, 1, 1, 4, 16, 2, 32, 0, 0, 0, 0, 218, 67, 0, 0, 2, 70, 34, 1, 4, 0, 16, 2, 31, 0, 0,
    0, 0, 218, 67, 0, 0, 2, 71, 34, 17, 2, 31, 0, 0, 0, 0, 229, 67, 0, 0, 2, 72, 34, 18, 2, 31, 0,
    0, 0, 0, 229, 67, 0, 0, 2, 73, 34, 20, 2, 31, 0, 0, 0, 0, 229, 67, 0, 0, 2, 74, 34, 22, 2, 31,
    0, 0, 0, 0, 90, 22, 0, 0, 2, 75, 34, 24, 2, 31, 0, 0, 0, 0, 74, 48, 0, 0, 2, 76, 34, 32, 2, 31,
    0, 0, 0, 0, 75, 105, 0, 0, 2, 77, 34, 40, 2, 31, 0, 0, 0, 0, 168, 0, 0, 0, 2, 78, 34, 48, 2,
    31, 0, 0, 0, 0, 168, 0, 0, 0, 2, 79, 34, 52, 2, 31, 0, 0, 0, 0, 177, 66, 0, 0, 2, 80, 34, 56,
    2, 31, 0, 0, 0, 0, 177, 66, 0, 0, 2, 81, 34, 60, 2, 31, 0, 0, 0, 0, 81, 62, 0, 0, 2, 82, 34,
    64, 2, 31, 0, 0, 0, 0, 144, 67, 1, 0, 2, 83, 34, 72, 2, 31, 0, 0, 0, 0, 244, 107, 0, 0, 2, 84,
    34, 80, 2, 31, 0, 0, 0, 0, 19, 1, 0, 0, 2, 85, 34, 88, 2, 31, 0, 0, 0, 0, 183, 198, 0, 0, 2,
    86, 34, 96, 2, 31, 0, 0, 0, 0, 229, 67, 0, 0, 2, 87, 34, 104, 2, 31, 0, 0, 0, 0, 218, 67, 0, 0,
    2, 88, 34, 106, 2, 31, 0, 0, 0, 0, 177, 66, 0, 0, 2, 89, 34, 108, 2, 31, 0, 0, 0, 0, 242, 23,
    0, 0, 2, 90, 34, 112, 2, 31, 0, 0, 0, 0, 218, 67, 0, 0, 2, 91, 34, 116, 2, 32, 0, 0, 0, 0, 218,
    67, 0, 0, 2, 92, 34, 1, 1, 7, 117, 2, 32, 0, 0, 0, 0, 218, 67, 0, 0, 2, 93, 34, 1, 1, 6, 117,
    2, 32, 0, 0, 0, 0, 218, 67, 0, 0, 2, 94, 34, 1, 6, 0, 117, 2, 31, 0, 0, 0, 0, 9, 193, 2, 0, 2,
    95, 34, 120, 2, 31, 0, 0, 0, 0, 26, 1, 0, 0, 2, 96, 34, 128, 2, 31, 0, 0, 0, 0, 26, 1, 0, 0, 2,
    97, 34, 136, 2, 31, 0, 0, 0, 0, 136, 197, 2, 0, 2, 98, 34, 144, 2, 31, 0, 0, 0, 0, 153, 99, 2,
    0, 2, 99, 34, 152, 2, 31, 0, 0, 0, 0, 241, 51, 0, 0, 2, 100, 34, 160, 2, 31, 0, 0, 0, 0, 241,
    51, 0, 0, 2, 101, 34, 168, 2, 31, 0, 0, 0, 0, 241, 51, 0, 0, 2, 102, 34, 176, 2, 31, 0, 0, 0,
    0, 241, 51, 0, 0, 2, 103, 34, 184, 2, 31, 0, 0, 0, 0, 142, 186, 2, 0, 2, 104, 34, 192, 2, 31,
    0, 0, 0, 0, 20, 198, 2, 0, 2, 105, 34, 200, 2, 31, 0, 0, 0, 0, 241, 51, 0, 0, 2, 106, 34, 208,
    2, 31, 0, 0, 0, 0, 46, 198, 2, 0, 2, 107, 34, 216, 2, 31, 0, 0, 0, 0, 196, 198, 2, 0, 2, 108,
    34, 224, 2, 31, 0, 0, 0, 0, 28, 22, 0, 0, 2, 109, 34, 232, 2, 0, 35, 0, 0, 0, 0, 136, 2, 159,
    33, 44, 129, 45, 0, 0, 2, 160, 33, 0, 34, 8, 2, 160, 33, 29, 0, 0, 0, 0, 9, 48, 0, 0, 2, 161,
    33, 0, 44, 156, 45, 0, 0, 2, 162, 33, 0, 30, 8, 2, 162, 33, 29, 0, 0, 0, 0, 21, 48, 0, 0, 2,
    163, 33, 0, 29, 0, 0, 0, 0, 21, 48, 0, 0, 2, 164, 33, 4, 0, 0, 44, 198, 45, 0, 0, 2, 167, 33,
    8, 34, 4, 2, 167, 33, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 168, 33, 0, 29, 0, 0, 0, 0, 33, 48, 0, 0,
    2, 169, 33, 0, 0, 44, 239, 45, 0, 0, 2, 171, 33, 12, 34, 4, 2, 171, 33, 29, 0, 0, 0, 0, 45, 48,
    0, 0, 2, 172, 33, 0, 44, 10, 46, 0, 0, 2, 173, 33, 0, 30, 4, 2, 173, 33, 29, 0, 0, 0, 0, 57,
    48, 0, 0, 2, 174, 33, 0, 29, 0, 0, 0, 0, 225, 24, 0, 0, 2, 175, 33, 2, 0, 0, 29, 0, 0, 0, 0,
    236, 24, 0, 0, 2, 178, 33, 16, 29, 0, 0, 0, 0, 69, 48, 0, 0, 2, 179, 33, 18, 45, 0, 0, 0, 0,
    169, 26, 0, 0, 2, 180, 33, 1, 4, 4, 19, 45, 0, 0, 0, 0, 169, 26, 0, 0, 2, 181, 33, 1, 1, 3, 19,
    45, 0, 0, 0, 0, 169, 26, 0, 0, 2, 182, 33, 1, 1, 2, 19, 45, 0, 0, 0, 0, 169, 26, 0, 0, 2, 183,
    33, 1, 1, 1, 19, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 184, 33, 20, 44, 155, 46, 0, 0, 2, 185, 33,
    24, 34, 16, 2, 185, 33, 29, 0, 0, 0, 0, 152, 21, 0, 0, 2, 186, 33, 0, 29, 0, 0, 0, 0, 152, 21,
    0, 0, 2, 187, 33, 0, 0, 29, 0, 0, 0, 0, 74, 48, 0, 0, 2, 189, 33, 40, 29, 0, 0, 0, 0, 112, 145,
    1, 0, 2, 190, 33, 48, 29, 0, 0, 0, 0, 183, 108, 1, 0, 2, 191, 33, 56, 29, 0, 0, 0, 0, 183, 108,
    1, 0, 2, 192, 33, 72, 29, 0, 0, 0, 0, 185, 23, 0, 0, 2, 193, 33, 88, 44, 5, 47, 0, 0, 2, 194,
    33, 96, 34, 8, 2, 194, 33, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 195, 33, 0, 29, 0, 0, 0, 0, 27, 40,
    0, 0, 2, 196, 33, 0, 29, 0, 0, 0, 0, 197, 189, 2, 0, 2, 197, 33, 0, 0, 29, 0, 0, 0, 0, 202,
    189, 2, 0, 2, 199, 33, 104, 44, 72, 47, 0, 0, 2, 200, 33, 104, 34, 16, 2, 200, 33, 29, 0, 0, 0,
    0, 152, 21, 0, 0, 2, 201, 33, 0, 29, 0, 0, 0, 0, 229, 118, 1, 0, 2, 202, 33, 0, 0, 29, 0, 0, 0,
    0, 236, 24, 0, 0, 2, 204, 33, 120, 29, 0, 0, 0, 0, 236, 24, 0, 0, 2, 205, 33, 122, 44, 139, 47,
    0, 0, 2, 206, 33, 124, 34, 4, 2, 206, 33, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 207, 33, 0, 29, 0,
    0, 0, 0, 177, 66, 0, 0, 2, 208, 33, 0, 29, 0, 0, 0, 0, 177, 66, 0, 0, 2, 209, 33, 0, 0, 29, 0,
    0, 0, 0, 254, 62, 0, 0, 2, 211, 33, 128, 29, 0, 0, 0, 0, 202, 189, 2, 0, 2, 212, 33, 132, 44,
    219, 47, 0, 0, 2, 213, 33, 132, 34, 4, 2, 213, 33, 29, 0, 0, 0, 0, 177, 66, 0, 0, 2, 214, 33,
    0, 29, 0, 0, 0, 0, 177, 66, 0, 0, 2, 215, 33, 0, 29, 0, 0, 0, 0, 177, 66, 0, 0, 2, 216, 33, 0,
    0, 0, 39, 197, 0, 0, 0, 0, 0, 0, 0, 2, 134, 33, 39, 27, 1, 0, 0, 0, 0, 0, 0, 2, 103, 33, 3,
    225, 24, 0, 0, 4, 82, 0, 0, 0, 2, 0, 39, 27, 1, 0, 0, 0, 0, 0, 0, 2, 136, 33, 39, 225, 24, 0,
    0, 0, 0, 0, 0, 2, 101, 33, 46, 169, 26, 0, 0, 9, 79, 48, 0, 0, 28, 0, 0, 0, 0, 160, 1, 2, 146,
    52, 29, 0, 0, 0, 0, 76, 51, 0, 0, 2, 147, 52, 0, 29, 0, 0, 0, 0, 93, 51, 0, 0, 2, 148, 52, 8,
    29, 0, 0, 0, 0, 93, 51, 0, 0, 2, 149, 52, 16, 29, 0, 0, 0, 0, 124, 51, 0, 0, 2, 150, 52, 24,
    29, 0, 0, 0, 0, 145, 51, 0, 0, 2, 151, 52, 32, 29, 0, 0, 0, 0, 199, 51, 0, 0, 2, 152, 52, 40,
    29, 0, 0, 0, 0, 225, 51, 0, 0, 2, 153, 52, 48, 29, 0, 0, 0, 0, 241, 51, 0, 0, 2, 154, 52, 56,
    29, 0, 0, 0, 0, 253, 51, 0, 0, 2, 155, 52, 64, 29, 0, 0, 0, 0, 14, 52, 0, 0, 2, 156, 52, 72,
    29, 0, 0, 0, 0, 125, 52, 0, 0, 2, 157, 52, 80, 29, 0, 0, 0, 0, 253, 51, 0, 0, 2, 158, 52, 88,
    29, 0, 0, 0, 0, 161, 52, 0, 0, 2, 159, 52, 96, 29, 0, 0, 0, 0, 187, 52, 0, 0, 2, 160, 52, 104,
    29, 0, 0, 0, 0, 65, 186, 2, 0, 2, 161, 52, 112, 29, 0, 0, 0, 0, 106, 186, 2, 0, 2, 162, 52,
    120, 29, 0, 0, 0, 0, 93, 51, 0, 0, 2, 163, 52, 128, 29, 0, 0, 0, 0, 93, 51, 0, 0, 2, 164, 52,
    136, 29, 0, 0, 0, 0, 142, 186, 2, 0, 2, 165, 52, 144, 29, 0, 0, 0, 0, 241, 51, 0, 0, 2, 166,
    52, 152, 29, 0, 0, 0, 0, 225, 51, 0, 0, 2, 167, 52, 160, 29, 0, 0, 0, 0, 241, 51, 0, 0, 2, 168,
    52, 168, 29, 0, 0, 0, 0, 241, 51, 0, 0, 2, 169, 52, 176, 29, 0, 0, 0, 0, 163, 186, 2, 0, 2,
    170, 52, 184, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 171, 52, 192, 29, 0, 0, 0, 0, 184, 186, 2, 0, 2,
    172, 52, 200, 29, 0, 0, 0, 0, 215, 186, 2, 0, 2, 173, 52, 208, 29, 0, 0, 0, 0, 241, 51, 0, 0,
    2, 174, 52, 216, 29, 0, 0, 0, 0, 241, 51, 0, 0, 2, 175, 52, 224, 29, 0, 0, 0, 0, 236, 163, 2,
    0, 2, 176, 52, 232, 29, 0, 0, 0, 0, 231, 186, 2, 0, 2, 177, 52, 240, 29, 0, 0, 0, 0, 216, 107,
    0, 0, 2, 178, 52, 248, 31, 0, 0, 0, 0, 236, 186, 2, 0, 2, 179, 52, 0, 1, 31, 0, 0, 0, 0, 176,
    51, 0, 0, 2, 180, 52, 8, 1, 31, 0, 0, 0, 0, 176, 51, 0, 0, 2, 181, 52, 16, 1, 31, 0, 0, 0, 0,
    177, 66, 0, 0, 2, 182, 52, 24, 1, 31, 0, 0, 0, 0, 177, 66, 0, 0, 2, 183, 52, 28, 1, 31, 0, 0,
    0, 0, 168, 0, 0, 0, 2, 184, 52, 32, 1, 31, 0, 0, 0, 0, 181, 51, 0, 0, 2, 185, 52, 36, 1, 31, 0,
    0, 0, 0, 251, 68, 1, 0, 2, 186, 52, 40, 1, 31, 0, 0, 0, 0, 38, 1, 0, 0, 2, 187, 52, 48, 1, 31,
    0, 0, 0, 0, 160, 70, 1, 0, 2, 188, 52, 52, 1, 31, 0, 0, 0, 0, 38, 1, 0, 0, 2, 189, 52, 56, 1,
    31, 0, 0, 0, 0, 38, 1, 0, 0, 2, 190, 52, 60, 1, 31, 0, 0, 0, 0, 231, 186, 2, 0, 2, 191, 52, 64,
    1, 31, 0, 0, 0, 0, 241, 186, 2, 0, 2, 192, 52, 72, 1, 31, 0, 0, 0, 0, 155, 188, 2, 0, 2, 193,
    52, 80, 1, 31, 0, 0, 0, 0, 217, 50, 0, 0, 2, 199, 52, 88, 1, 34, 8, 2, 194, 52, 29, 0, 0, 0, 0,
    27, 118, 1, 0, 2, 195, 52, 0, 29, 0, 0, 0, 0, 5, 189, 2, 0, 2, 196, 52, 0, 29, 0, 0, 0, 0, 126,
    189, 2, 0, 2, 197, 52, 0, 29, 0, 0, 0, 0, 187, 189, 2, 0, 2, 198, 52, 0, 0, 31, 0, 0, 0, 0,
    120, 81, 0, 0, 2, 200, 52, 96, 1, 31, 0, 0, 0, 0, 131, 192, 0, 0, 2, 201, 52, 104, 1, 31, 0, 0,
    0, 0, 195, 21, 0, 0, 2, 202, 52, 136, 1, 31, 0, 0, 0, 0, 124, 51, 0, 0, 2, 203, 52, 152, 1, 0,
    9, 81, 51, 0, 0, 38, 15, 27, 40, 0, 0, 15, 19, 1, 0, 0, 0, 9, 98, 51, 0, 0, 14, 168, 0, 0, 0,
    15, 27, 40, 0, 0, 15, 119, 51, 0, 0, 15, 168, 0, 0, 0, 0, 9, 82, 27, 0, 0, 9, 129, 51, 0, 0,
    14, 168, 0, 0, 0, 15, 27, 40, 0, 0, 15, 168, 0, 0, 0, 0, 9, 150, 51, 0, 0, 14, 27, 40, 0, 0,
    15, 27, 40, 0, 0, 15, 168, 0, 0, 0, 15, 176, 51, 0, 0, 15, 181, 51, 0, 0, 0, 9, 168, 0, 0, 0,
    12, 192, 51, 0, 0, 0, 0, 0, 0, 2, 77, 5, 0, 0, 0, 0, 2, 1, 9, 204, 51, 0, 0, 14, 168, 0, 0, 0,
    15, 27, 40, 0, 0, 15, 168, 0, 0, 0, 15, 90, 22, 0, 0, 0, 9, 230, 51, 0, 0, 14, 168, 0, 0, 0,
    15, 27, 40, 0, 0, 0, 9, 246, 51, 0, 0, 38, 15, 27, 40, 0, 0, 0, 9, 2, 52, 0, 0, 38, 15, 27, 40,
    0, 0, 15, 168, 0, 0, 0, 0, 9, 19, 52, 0, 0, 14, 168, 0, 0, 0, 15, 27, 40, 0, 0, 15, 168, 0, 0,
    0, 15, 168, 0, 0, 0, 15, 50, 52, 0, 0, 15, 38, 1, 0, 0, 0, 39, 62, 52, 0, 0, 0, 0, 0, 0, 2,
    155, 45, 30, 16, 2, 149, 45, 44, 76, 52, 0, 0, 2, 150, 45, 0, 34, 8, 2, 150, 45, 29, 0, 0, 0,
    0, 26, 1, 0, 0, 2, 151, 45, 0, 29, 0, 0, 0, 0, 26, 1, 0, 0, 2, 152, 45, 0, 0, 45, 0, 0, 0, 0,
    181, 51, 0, 0, 2, 154, 45, 1, 1, 7, 8, 0, 9, 130, 52, 0, 0, 14, 168, 0, 0, 0, 15, 27, 40, 0, 0,
    15, 168, 0, 0, 0, 15, 168, 0, 0, 0, 15, 154, 27, 0, 0, 15, 176, 51, 0, 0, 0, 9, 166, 52, 0, 0,
    14, 168, 0, 0, 0, 15, 27, 40, 0, 0, 15, 38, 1, 0, 0, 15, 90, 22, 0, 0, 0, 9, 192, 52, 0, 0, 14,
    168, 0, 0, 0, 15, 27, 40, 0, 0, 15, 213, 52, 0, 0, 15, 36, 54, 0, 0, 0, 9, 218, 52, 0, 0, 35,
    0, 0, 0, 0, 96, 2, 202, 34, 29, 0, 0, 0, 0, 26, 1, 0, 0, 2, 203, 34, 0, 29, 0, 0, 0, 0, 168, 0,
    0, 0, 2, 204, 34, 8, 29, 0, 0, 0, 0, 107, 53, 0, 0, 2, 205, 34, 16, 44, 19, 53, 0, 0, 2, 206,
    34, 56, 34, 8, 2, 206, 34, 29, 0, 0, 0, 0, 26, 1, 0, 0, 2, 207, 34, 0, 29, 0, 0, 0, 0, 26, 1,
    0, 0, 2, 208, 34, 0, 0, 45, 0, 0, 0, 0, 181, 51, 0, 0, 2, 210, 34, 1, 1, 7, 64, 29, 0, 0, 0, 0,
    47, 54, 0, 0, 2, 211, 34, 72, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 212, 34, 80, 29, 0, 0, 0, 0, 155,
    133, 2, 0, 2, 213, 34, 88, 0, 35, 0, 0, 0, 0, 40, 2, 139, 23, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2,
    140, 23, 0, 29, 0, 0, 0, 0, 36, 54, 0, 0, 2, 141, 23, 8, 29, 0, 0, 0, 0, 36, 54, 0, 0, 2, 142,
    23, 16, 44, 164, 53, 0, 0, 2, 143, 23, 24, 34, 8, 2, 143, 23, 29, 0, 0, 0, 0, 69, 54, 0, 0, 2,
    144, 23, 0, 29, 0, 0, 0, 0, 115, 54, 0, 0, 2, 145, 23, 0, 29, 0, 0, 0, 0, 161, 54, 0, 0, 2,
    146, 23, 0, 29, 0, 0, 0, 0, 109, 103, 0, 0, 2, 147, 23, 0, 0, 44, 231, 53, 0, 0, 2, 149, 23,
    32, 34, 8, 2, 149, 23, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 150, 23, 0, 44, 2, 54, 0, 0, 2, 151,
    23, 0, 30, 8, 2, 151, 23, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 152, 23, 0, 29, 0, 0, 0, 0, 38, 1, 0,
    0, 2, 153, 23, 4, 0, 0, 0, 12, 47, 54, 0, 0, 0, 0, 0, 0, 2, 85, 12, 58, 54, 0, 0, 0, 0, 0, 0,
    2, 51, 12, 90, 22, 0, 0, 0, 0, 0, 0, 2, 43, 9, 74, 54, 0, 0, 37, 79, 54, 0, 0, 35, 0, 0, 0, 0,
    16, 2, 34, 25, 29, 0, 0, 0, 0, 26, 1, 0, 0, 2, 35, 25, 0, 29, 0, 0, 0, 0, 47, 54, 0, 0, 2, 36,
    25, 8, 0, 9, 120, 54, 0, 0, 37, 125, 54, 0, 0, 35, 0, 0, 0, 0, 16, 2, 39, 25, 29, 0, 0, 0, 0,
    26, 1, 0, 0, 2, 40, 25, 0, 29, 0, 0, 0, 0, 36, 54, 0, 0, 2, 41, 25, 8, 0, 9, 166, 54, 0, 0, 37,
    171, 54, 0, 0, 35, 0, 0, 0, 0, 16, 2, 55, 24, 29, 0, 0, 0, 0, 220, 54, 0, 0, 2, 56, 24, 0, 29,
    0, 0, 0, 0, 38, 1, 0, 0, 2, 57, 24, 8, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 58, 24, 12, 0, 9, 225,
    54, 0, 0, 35, 0, 0, 0, 0, 64, 2, 238, 5, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 239, 5, 0, 44, 0, 55,
    0, 0, 2, 240, 5, 8, 34, 40, 2, 240, 5, 44, 14, 55, 0, 0, 2, 241, 5, 0, 30, 40, 2, 241, 5, 29,
    0, 0, 0, 0, 195, 21, 0, 0, 2, 242, 5, 0, 29, 0, 0, 0, 0, 234, 57, 0, 0, 2, 243, 5, 16, 29, 0,
    0, 0, 0, 90, 22, 0, 0, 2, 244, 5, 24, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 245, 5, 32, 0, 44, 81,
    55, 0, 0, 2, 247, 5, 0, 30, 8, 2, 247, 5, 29, 0, 0, 0, 0, 198, 176, 0, 0, 2, 248, 5, 0, 0, 44,
    109, 55, 0, 0, 2, 250, 5, 0, 30, 40, 2, 250, 5, 44, 123, 55, 0, 0, 2, 251, 5, 0, 34, 16, 2,
    251, 5, 29, 0, 0, 0, 0, 195, 21, 0, 0, 2, 252, 5, 0, 44, 150, 55, 0, 0, 2, 253, 5, 0, 30, 16,
    2, 253, 5, 29, 0, 0, 0, 0, 220, 54, 0, 0, 2, 254, 5, 0, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 255,
    5, 8, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 0, 6, 12, 0, 0, 29, 0, 0, 0, 0, 251, 68, 1, 0, 2, 3, 6,
    16, 29, 0, 0, 0, 0, 26, 1, 0, 0, 2, 4, 6, 24, 44, 231, 55, 0, 0, 2, 5, 6, 32, 34, 8, 2, 5, 6,
    29, 0, 0, 0, 0, 26, 1, 0, 0, 2, 6, 6, 0, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 7, 6, 0, 44, 15, 56,
    0, 0, 2, 8, 6, 0, 30, 4, 2, 8, 6, 45, 0, 0, 0, 0, 38, 1, 0, 0, 2, 9, 6, 4, 16, 16, 0, 45, 0, 0,
    0, 0, 38, 1, 0, 0, 2, 10, 6, 4, 15, 1, 0, 45, 0, 0, 0, 0, 38, 1, 0, 0, 2, 11, 6, 4, 1, 0, 0, 0,
    0, 0, 44, 80, 56, 0, 0, 2, 15, 6, 0, 30, 24, 2, 15, 6, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 16, 6,
    0, 29, 0, 0, 0, 0, 169, 26, 0, 0, 2, 17, 6, 8, 29, 0, 0, 0, 0, 169, 26, 0, 0, 2, 18, 6, 9, 29,
    0, 0, 0, 0, 242, 23, 0, 0, 2, 19, 6, 12, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 20, 6, 16, 0, 44, 160,
    56, 0, 0, 2, 22, 6, 0, 30, 32, 2, 22, 6, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 23, 6, 0, 29, 0, 0,
    0, 0, 242, 23, 0, 0, 2, 24, 6, 8, 29, 0, 0, 0, 0, 195, 21, 0, 0, 2, 25, 6, 16, 0, 44, 214, 56,
    0, 0, 2, 27, 6, 0, 30, 40, 2, 27, 6, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 28, 6, 0, 29, 0, 0, 0, 0,
    14, 153, 0, 0, 2, 29, 6, 8, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 30, 6, 16, 44, 11, 57, 0, 0, 2,
    31, 6, 24, 34, 8, 2, 31, 6, 29, 0, 0, 0, 0, 104, 91, 0, 0, 2, 32, 6, 0, 29, 0, 0, 0, 0, 242,
    23, 0, 0, 2, 33, 6, 0, 0, 29, 0, 0, 0, 0, 33, 67, 0, 0, 2, 35, 6, 32, 0, 44, 66, 57, 0, 0, 2,
    37, 6, 0, 30, 16, 2, 37, 6, 29, 0, 0, 0, 0, 225, 184, 2, 0, 2, 38, 6, 0, 29, 0, 0, 0, 0, 26, 1,
    0, 0, 2, 39, 6, 8, 0, 29, 0, 0, 0, 0, 28, 22, 0, 0, 2, 41, 6, 0, 0, 44, 121, 57, 0, 0, 2, 43,
    6, 48, 34, 4, 2, 43, 6, 29, 0, 0, 0, 0, 242, 23, 0, 0, 2, 44, 6, 0, 29, 0, 0, 0, 0, 38, 1, 0,
    0, 2, 45, 6, 0, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 46, 6, 0, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 47,
    6, 0, 0, 29, 0, 0, 0, 0, 242, 23, 0, 0, 2, 49, 6, 52, 44, 201, 57, 0, 0, 2, 50, 6, 56, 34, 8,
    2, 50, 6, 29, 0, 0, 0, 0, 153, 99, 2, 0, 2, 51, 6, 0, 29, 0, 0, 0, 0, 60, 186, 2, 0, 2, 52, 6,
    0, 0, 0, 9, 239, 57, 0, 0, 35, 0, 0, 0, 0, 168, 2, 212, 7, 29, 0, 0, 0, 0, 201, 58, 0, 0, 2,
    213, 7, 0, 29, 0, 0, 0, 0, 203, 147, 0, 0, 2, 214, 7, 8, 29, 0, 0, 0, 0, 252, 147, 0, 0, 2,
    215, 7, 24, 29, 0, 0, 0, 0, 242, 23, 0, 0, 2, 216, 7, 28, 29, 0, 0, 0, 0, 242, 23, 0, 0, 2,
    217, 7, 32, 29, 0, 0, 0, 0, 68, 139, 0, 0, 2, 218, 7, 40, 29, 0, 0, 0, 0, 57, 95, 0, 0, 2, 219,
    7, 56, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 220, 7, 96, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 221, 7,
    104, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 222, 7, 112, 29, 0, 0, 0, 0, 138, 179, 2, 0, 2, 223, 7,
    120, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 224, 7, 128, 29, 0, 0, 0, 0, 171, 140, 2, 0, 2, 225, 7,
    136, 29, 0, 0, 0, 0, 33, 67, 0, 0, 2, 226, 7, 140, 29, 0, 0, 0, 0, 195, 21, 0, 0, 2, 227, 7,
    144, 29, 0, 0, 0, 0, 26, 1, 0, 0, 2, 228, 7, 160, 0, 9, 206, 58, 0, 0, 28, 0, 0, 0, 0, 96, 2,
    2, 32, 11, 29, 0, 0, 0, 0, 70, 62, 0, 0, 2, 33, 11, 0, 29, 0, 0, 0, 0, 236, 24, 0, 0, 2, 34,
    11, 2, 29, 0, 0, 0, 0, 81, 62, 0, 0, 2, 35, 11, 4, 29, 0, 0, 0, 0, 134, 62, 0, 0, 2, 36, 11, 8,
    29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 37, 11, 12, 29, 0, 0, 0, 0, 187, 62, 0, 0, 2, 38, 11, 16, 29,
    0, 0, 0, 0, 187, 62, 0, 0, 2, 39, 11, 24, 29, 0, 0, 0, 0, 122, 63, 0, 0, 2, 40, 11, 32, 29, 0,
    0, 0, 0, 172, 69, 0, 0, 2, 41, 11, 40, 29, 0, 0, 0, 0, 234, 57, 0, 0, 2, 42, 11, 48, 29, 0, 0,
    0, 0, 26, 1, 0, 0, 2, 43, 11, 56, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 44, 11, 64, 44, 125, 59, 0,
    0, 2, 45, 11, 72, 34, 4, 2, 45, 11, 29, 0, 0, 0, 0, 48, 8, 2, 0, 2, 46, 11, 0, 29, 0, 0, 0, 0,
    38, 1, 0, 0, 2, 47, 11, 0, 0, 29, 0, 0, 0, 0, 18, 73, 0, 0, 2, 49, 11, 76, 29, 0, 0, 0, 0, 40,
    73, 0, 0, 2, 50, 11, 80, 29, 0, 0, 0, 0, 13, 156, 0, 0, 2, 51, 11, 88, 29, 0, 0, 0, 0, 13, 156,
    0, 0, 2, 52, 11, 104, 29, 0, 0, 0, 0, 13, 156, 0, 0, 2, 53, 11, 120, 29, 0, 0, 0, 0, 33, 67, 0,
    0, 2, 54, 11, 136, 29, 0, 0, 0, 0, 236, 24, 0, 0, 2, 55, 11, 140, 29, 0, 0, 0, 0, 218, 67, 0,
    0, 2, 56, 11, 142, 29, 0, 0, 0, 0, 218, 67, 0, 0, 2, 57, 11, 143, 29, 0, 0, 0, 0, 24, 154, 2,
    0, 2, 58, 11, 144, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 59, 11, 152, 29, 0, 0, 0, 0, 57, 95, 0, 0,
    2, 60, 11, 160, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 61, 11, 200, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2,
    62, 11, 208, 29, 0, 0, 0, 0, 152, 21, 0, 0, 2, 63, 11, 216, 29, 0, 0, 0, 0, 195, 21, 0, 0, 2,
    64, 11, 232, 29, 0, 0, 0, 0, 172, 145, 2, 0, 2, 65, 11, 248, 31, 0, 0, 0, 0, 168, 0, 0, 0, 2,
    66, 11, 0, 1, 31, 0, 0, 0, 0, 229, 67, 0, 0, 2, 67, 11, 4, 1, 31, 0, 0, 0, 0, 229, 67, 0, 0, 2,
    68, 11, 6, 1, 31, 0, 0, 0, 0, 195, 21, 0, 0, 2, 69, 11, 8, 1, 31, 0, 0, 0, 0, 195, 21, 0, 0, 2,
    70, 11, 24, 1, 31, 0, 0, 0, 0, 195, 21, 0, 0, 2, 71, 11, 40, 1, 33, 216, 60, 0, 0, 2, 72, 11,
    56, 1, 34, 16, 2, 72, 11, 29, 0, 0, 0, 0, 90, 101, 0, 0, 2, 73, 11, 0, 29, 0, 0, 0, 0, 28, 22,
    0, 0, 2, 74, 11, 0, 0, 31, 0, 0, 0, 0, 185, 23, 0, 0, 2, 76, 11, 72, 1, 31, 0, 0, 0, 0, 185,
    23, 0, 0, 2, 77, 11, 80, 1, 31, 0, 0, 0, 0, 242, 23, 0, 0, 2, 78, 11, 88, 1, 31, 0, 0, 0, 0,
    242, 23, 0, 0, 2, 79, 11, 92, 1, 31, 0, 0, 0, 0, 242, 23, 0, 0, 2, 80, 11, 96, 1, 31, 0, 0, 0,
    0, 242, 23, 0, 0, 2, 81, 11, 100, 1, 33, 86, 61, 0, 0, 2, 82, 11, 104, 1, 34, 8, 2, 82, 11, 29,
    0, 0, 0, 0, 203, 79, 0, 0, 2, 83, 11, 0, 29, 0, 0, 0, 0, 66, 144, 2, 0, 2, 84, 11, 0, 0, 31, 0,
    0, 0, 0, 160, 168, 2, 0, 2, 86, 11, 112, 1, 31, 0, 0, 0, 0, 239, 57, 0, 0, 2, 87, 11, 120, 1,
    31, 0, 0, 0, 0, 195, 21, 0, 0, 2, 88, 11, 32, 2, 33, 170, 61, 0, 0, 2, 89, 11, 48, 2, 34, 8, 2,
    89, 11, 29, 0, 0, 0, 0, 109, 103, 0, 0, 2, 90, 11, 0, 29, 0, 0, 0, 0, 71, 233, 1, 0, 2, 91, 11,
    0, 29, 0, 0, 0, 0, 170, 202, 1, 0, 2, 92, 11, 0, 29, 0, 0, 0, 0, 154, 27, 0, 0, 2, 93, 11, 0,
    29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 94, 11, 0, 0, 31, 0, 0, 0, 0, 27, 1, 0, 0, 2, 96, 11, 56, 2,
    31, 0, 0, 0, 0, 27, 1, 0, 0, 2, 97, 11, 60, 2, 31, 0, 0, 0, 0, 122, 84, 1, 0, 2, 98, 11, 64, 2,
    31, 0, 0, 0, 0, 227, 168, 2, 0, 2, 99, 11, 72, 2, 31, 0, 0, 0, 0, 174, 176, 2, 0, 2, 100, 11,
    80, 2, 31, 0, 0, 0, 0, 26, 1, 0, 0, 2, 101, 11, 88, 2, 0, 12, 236, 24, 0, 0, 0, 0, 0, 0, 2, 71,
    39, 93, 62, 0, 0, 0, 0, 0, 0, 2, 89, 2, 30, 4, 2, 87, 2, 29, 0, 0, 0, 0, 112, 62, 0, 0, 2, 88,
    2, 0, 0, 12, 123, 62, 0, 0, 0, 0, 0, 0, 2, 79, 12, 38, 1, 0, 0, 0, 0, 0, 0, 2, 47, 39, 146, 62,
    0, 0, 0, 0, 0, 0, 2, 24, 9, 30, 4, 2, 22, 9, 29, 0, 0, 0, 0, 165, 62, 0, 0, 2, 23, 9, 0, 0, 12,
    176, 62, 0, 0, 0, 0, 0, 0, 2, 81, 12, 38, 1, 0, 0, 0, 0, 0, 0, 2, 49, 9, 192, 62, 0, 0, 35, 0,
    0, 0, 0, 32, 2, 175, 35, 29, 0, 0, 0, 0, 254, 62, 0, 0, 2, 176, 35, 0, 29, 0, 0, 0, 0, 28, 22,
    0, 0, 2, 177, 35, 8, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 178, 35, 24, 29, 0, 0, 0, 0, 33, 63, 0, 0,
    2, 179, 35, 28, 0, 39, 10, 63, 0, 0, 0, 0, 0, 0, 2, 93, 1, 35, 0, 0, 0, 0, 4, 2, 89, 1, 29, 0,
    0, 0, 0, 242, 23, 0, 0, 2, 90, 1, 0, 0, 3, 45, 63, 0, 0, 4, 82, 0, 0, 0, 0, 0, 35, 0, 0, 0, 0,
    8, 2, 166, 35, 29, 0, 0, 0, 0, 3, 27, 0, 0, 2, 167, 35, 0, 29, 0, 0, 0, 0, 236, 24, 0, 0, 2,
    168, 35, 2, 44, 89, 63, 0, 0, 2, 169, 35, 4, 34, 4, 2, 169, 35, 29, 0, 0, 0, 0, 81, 62, 0, 0,
    2, 170, 35, 0, 29, 0, 0, 0, 0, 134, 62, 0, 0, 2, 171, 35, 0, 0, 0, 9, 127, 63, 0, 0, 37, 132,
    63, 0, 0, 35, 0, 0, 0, 0, 192, 2, 87, 13, 29, 0, 0, 0, 0, 159, 64, 0, 0, 2, 88, 13, 0, 29, 0,
    0, 0, 0, 9, 165, 2, 0, 2, 89, 13, 8, 29, 0, 0, 0, 0, 40, 165, 2, 0, 2, 90, 13, 16, 29, 0, 0, 0,
    0, 61, 165, 2, 0, 2, 91, 13, 24, 29, 0, 0, 0, 0, 82, 165, 2, 0, 2, 92, 13, 32, 29, 0, 0, 0, 0,
    108, 165, 2, 0, 2, 93, 13, 40, 29, 0, 0, 0, 0, 139, 165, 2, 0, 2, 94, 13, 48, 29, 0, 0, 0, 0,
    165, 165, 2, 0, 2, 95, 13, 56, 29, 0, 0, 0, 0, 186, 165, 2, 0, 2, 96, 13, 64, 29, 0, 0, 0, 0,
    212, 165, 2, 0, 2, 97, 13, 72, 29, 0, 0, 0, 0, 165, 165, 2, 0, 2, 98, 13, 80, 29, 0, 0, 0, 0,
    238, 165, 2, 0, 2, 99, 13, 88, 29, 0, 0, 0, 0, 13, 166, 2, 0, 2, 100, 13, 96, 29, 0, 0, 0, 0,
    49, 166, 2, 0, 2, 101, 13, 104, 29, 0, 0, 0, 0, 70, 166, 2, 0, 2, 102, 13, 112, 29, 0, 0, 0, 0,
    94, 167, 2, 0, 2, 103, 13, 120, 29, 0, 0, 0, 0, 120, 167, 2, 0, 2, 104, 13, 128, 29, 0, 0, 0,
    0, 67, 168, 2, 0, 2, 105, 13, 136, 29, 0, 0, 0, 0, 98, 168, 2, 0, 2, 106, 13, 144, 29, 0, 0, 0,
    0, 212, 165, 2, 0, 2, 107, 13, 152, 29, 0, 0, 0, 0, 134, 168, 2, 0, 2, 108, 13, 160, 0, 9, 164,
    64, 0, 0, 14, 185, 64, 0, 0, 15, 201, 58, 0, 0, 15, 185, 64, 0, 0, 15, 38, 1, 0, 0, 0, 9, 190,
    64, 0, 0, 35, 0, 0, 0, 0, 192, 2, 244, 10, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 245, 10, 0, 29, 0,
    0, 0, 0, 225, 65, 0, 0, 2, 246, 10, 4, 29, 0, 0, 0, 0, 39, 66, 0, 0, 2, 247, 10, 8, 29, 0, 0,
    0, 0, 185, 64, 0, 0, 2, 248, 10, 24, 29, 0, 0, 0, 0, 85, 66, 0, 0, 2, 249, 10, 32, 29, 0, 0, 0,
    0, 201, 58, 0, 0, 2, 250, 10, 48, 29, 0, 0, 0, 0, 198, 66, 0, 0, 2, 251, 10, 56, 29, 0, 0, 0,
    0, 210, 66, 0, 0, 2, 252, 10, 88, 29, 0, 0, 0, 0, 240, 67, 0, 0, 2, 253, 10, 96, 29, 0, 0, 0,
    0, 172, 69, 0, 0, 2, 254, 10, 104, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 255, 10, 112, 29, 0, 0, 0,
    0, 26, 1, 0, 0, 2, 0, 11, 120, 44, 108, 65, 0, 0, 2, 1, 11, 128, 34, 16, 2, 1, 11, 29, 0, 0, 0,
    0, 195, 21, 0, 0, 2, 2, 11, 0, 29, 0, 0, 0, 0, 57, 155, 0, 0, 2, 3, 11, 0, 0, 29, 0, 0, 0, 0,
    195, 21, 0, 0, 2, 5, 11, 144, 29, 0, 0, 0, 0, 195, 21, 0, 0, 2, 6, 11, 160, 29, 0, 0, 0, 0,
    179, 65, 0, 0, 2, 11, 11, 176, 34, 16, 2, 7, 11, 29, 0, 0, 0, 0, 152, 21, 0, 0, 2, 8, 11, 0,
    29, 0, 0, 0, 0, 39, 66, 0, 0, 2, 9, 11, 0, 29, 0, 0, 0, 0, 28, 22, 0, 0, 2, 10, 11, 0, 0, 0,
    39, 237, 65, 0, 0, 0, 0, 0, 0, 2, 127, 2, 35, 0, 0, 0, 0, 4, 2, 123, 2, 29, 0, 0, 0, 0, 4, 66,
    0, 0, 2, 124, 2, 0, 0, 39, 16, 66, 0, 0, 0, 0, 0, 0, 2, 121, 2, 35, 0, 0, 0, 0, 4, 2, 117, 2,
    29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 118, 2, 0, 0, 35, 0, 0, 0, 0, 16, 2, 216, 10, 29, 0, 0, 0, 0,
    75, 66, 0, 0, 2, 217, 10, 0, 29, 0, 0, 0, 0, 80, 66, 0, 0, 2, 218, 10, 8, 0, 9, 39, 66, 0, 0,
    9, 75, 66, 0, 0, 35, 0, 0, 0, 0, 16, 2, 231, 10, 44, 103, 66, 0, 0, 2, 232, 10, 0, 34, 8, 2,
    232, 10, 44, 117, 66, 0, 0, 2, 233, 10, 0, 30, 8, 2, 233, 10, 29, 0, 0, 0, 0, 177, 66, 0, 0, 2,
    234, 10, 0, 29, 0, 0, 0, 0, 177, 66, 0, 0, 2, 235, 10, 4, 0, 29, 0, 0, 0, 0, 109, 22, 0, 0, 2,
    237, 10, 0, 0, 29, 0, 0, 0, 0, 188, 66, 0, 0, 2, 239, 10, 8, 0, 12, 27, 1, 0, 0, 0, 0, 0, 0, 2,
    30, 9, 193, 66, 0, 0, 37, 169, 26, 0, 0, 3, 169, 26, 0, 0, 4, 82, 0, 0, 0, 32, 0, 35, 0, 0, 0,
    0, 8, 2, 221, 10, 44, 228, 66, 0, 0, 2, 222, 10, 0, 34, 8, 2, 222, 10, 29, 0, 0, 0, 0, 197, 0,
    0, 0, 2, 223, 10, 0, 44, 255, 66, 0, 0, 2, 224, 10, 0, 30, 8, 2, 224, 10, 29, 0, 0, 0, 0, 33,
    67, 0, 0, 2, 225, 10, 0, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 226, 10, 4, 0, 0, 0, 12, 44, 67, 0,
    0, 0, 0, 0, 0, 2, 208, 36, 0, 0, 0, 0, 4, 2, 202, 47, 60, 67, 0, 0, 2, 203, 0, 48, 4, 2, 203,
    8, 0, 0, 0, 0, 78, 67, 0, 0, 2, 204, 0, 0, 0, 36, 0, 0, 0, 0, 4, 2, 196, 8, 0, 0, 0, 0, 99, 67,
    0, 0, 2, 197, 0, 0, 12, 110, 67, 0, 0, 0, 0, 0, 0, 2, 181, 36, 0, 0, 0, 0, 4, 2, 167, 47, 126,
    67, 0, 0, 2, 168, 0, 48, 4, 2, 168, 8, 0, 0, 0, 0, 242, 23, 0, 0, 2, 169, 0, 47, 150, 67, 0, 0,
    2, 170, 0, 7, 2, 2, 170, 8, 0, 0, 0, 0, 218, 67, 0, 0, 2, 171, 0, 8, 0, 0, 0, 0, 218, 67, 0, 0,
    2, 172, 1, 0, 47, 187, 67, 0, 0, 2, 174, 0, 7, 4, 2, 174, 8, 0, 0, 0, 0, 229, 67, 0, 0, 2, 175,
    0, 8, 0, 0, 0, 0, 229, 67, 0, 0, 2, 176, 2, 0, 0, 0, 12, 158, 26, 0, 0, 0, 0, 0, 0, 2, 22, 12,
    225, 24, 0, 0, 0, 0, 0, 0, 2, 26, 9, 245, 67, 0, 0, 37, 250, 67, 0, 0, 35, 0, 0, 0, 0, 128, 2,
    104, 11, 29, 0, 0, 0, 0, 173, 68, 0, 0, 2, 105, 11, 0, 29, 0, 0, 0, 0, 173, 68, 0, 0, 2, 106,
    11, 8, 29, 0, 0, 0, 0, 194, 68, 0, 0, 2, 107, 11, 16, 29, 0, 0, 0, 0, 230, 68, 0, 0, 2, 108,
    11, 24, 29, 0, 0, 0, 0, 15, 69, 0, 0, 2, 109, 11, 32, 29, 0, 0, 0, 0, 31, 69, 0, 0, 2, 110, 11,
    40, 29, 0, 0, 0, 0, 47, 69, 0, 0, 2, 111, 11, 48, 29, 0, 0, 0, 0, 47, 69, 0, 0, 2, 112, 11, 56,
    29, 0, 0, 0, 0, 59, 69, 0, 0, 2, 113, 11, 64, 29, 0, 0, 0, 0, 76, 69, 0, 0, 2, 114, 11, 72, 29,
    0, 0, 0, 0, 102, 69, 0, 0, 2, 115, 11, 80, 29, 0, 0, 0, 0, 213, 164, 2, 0, 2, 116, 11, 88, 29,
    0, 0, 0, 0, 234, 164, 2, 0, 2, 117, 11, 96, 0, 9, 178, 68, 0, 0, 14, 168, 0, 0, 0, 15, 185, 64,
    0, 0, 15, 38, 1, 0, 0, 0, 9, 199, 68, 0, 0, 14, 168, 0, 0, 0, 15, 215, 68, 0, 0, 15, 225, 68,
    0, 0, 0, 9, 220, 68, 0, 0, 37, 190, 64, 0, 0, 9, 85, 66, 0, 0, 9, 235, 68, 0, 0, 14, 168, 0, 0,
    0, 15, 215, 68, 0, 0, 15, 38, 1, 0, 0, 15, 233, 21, 0, 0, 15, 5, 69, 0, 0, 0, 9, 10, 69, 0, 0,
    37, 85, 66, 0, 0, 9, 20, 69, 0, 0, 14, 168, 0, 0, 0, 15, 215, 68, 0, 0, 0, 9, 36, 69, 0, 0, 14,
    168, 0, 0, 0, 15, 185, 64, 0, 0, 0, 9, 52, 69, 0, 0, 38, 15, 185, 64, 0, 0, 0, 9, 64, 69, 0, 0,
    38, 15, 185, 64, 0, 0, 15, 201, 58, 0, 0, 0, 9, 81, 69, 0, 0, 14, 154, 27, 0, 0, 15, 185, 64,
    0, 0, 15, 154, 27, 0, 0, 15, 168, 0, 0, 0, 0, 9, 107, 69, 0, 0, 14, 118, 69, 0, 0, 15, 208,
    164, 2, 0, 0, 9, 123, 69, 0, 0, 35, 0, 0, 0, 0, 24, 2, 56, 35, 29, 0, 0, 0, 0, 185, 64, 0, 0,
    2, 57, 35, 0, 29, 0, 0, 0, 0, 172, 69, 0, 0, 2, 58, 35, 8, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 59,
    35, 16, 0, 9, 177, 69, 0, 0, 28, 0, 0, 0, 0, 128, 5, 2, 205, 11, 29, 0, 0, 0, 0, 195, 21, 0, 0,
    2, 206, 11, 0, 29, 0, 0, 0, 0, 18, 73, 0, 0, 2, 207, 11, 16, 29, 0, 0, 0, 0, 169, 26, 0, 0, 2,
    208, 11, 20, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 209, 11, 24, 29, 0, 0, 0, 0, 40, 73, 0, 0, 2,
    210, 11, 32, 29, 0, 0, 0, 0, 62, 73, 0, 0, 2, 211, 11, 40, 29, 0, 0, 0, 0, 204, 142, 2, 0, 2,
    212, 11, 48, 29, 0, 0, 0, 0, 139, 149, 2, 0, 2, 213, 11, 56, 29, 0, 0, 0, 0, 189, 150, 2, 0, 2,
    214, 11, 64, 29, 0, 0, 0, 0, 35, 154, 2, 0, 2, 215, 11, 72, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2,
    216, 11, 80, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 217, 11, 88, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2,
    218, 11, 96, 29, 0, 0, 0, 0, 185, 64, 0, 0, 2, 219, 11, 104, 29, 0, 0, 0, 0, 57, 95, 0, 0, 2,
    220, 11, 112, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 221, 11, 152, 29, 0, 0, 0, 0, 242, 23, 0, 0, 2,
    222, 11, 156, 29, 0, 0, 0, 0, 26, 1, 0, 0, 2, 223, 11, 160, 29, 0, 0, 0, 0, 220, 156, 2, 0, 2,
    224, 11, 168, 29, 0, 0, 0, 0, 170, 157, 2, 0, 2, 225, 11, 176, 29, 0, 0, 0, 0, 32, 99, 0, 0, 2,
    226, 11, 184, 29, 0, 0, 0, 0, 230, 159, 2, 0, 2, 227, 11, 192, 29, 0, 0, 0, 0, 147, 160, 2, 0,
    2, 228, 11, 200, 29, 0, 0, 0, 0, 195, 21, 0, 0, 2, 229, 11, 208, 29, 0, 0, 0, 0, 71, 233, 1, 0,
    2, 230, 11, 224, 29, 0, 0, 0, 0, 77, 234, 1, 0, 2, 231, 11, 232, 29, 0, 0, 0, 0, 170, 160, 2,
    0, 2, 232, 11, 240, 29, 0, 0, 0, 0, 152, 21, 0, 0, 2, 233, 11, 248, 31, 0, 0, 0, 0, 38, 1, 0,
    0, 2, 234, 11, 8, 1, 31, 0, 0, 0, 0, 180, 160, 2, 0, 2, 235, 11, 16, 1, 31, 0, 0, 0, 0, 99,
    162, 2, 0, 2, 236, 11, 72, 2, 31, 0, 0, 0, 0, 26, 1, 0, 0, 2, 237, 11, 136, 3, 31, 0, 0, 0, 0,
    177, 66, 0, 0, 2, 238, 11, 144, 3, 31, 0, 0, 0, 0, 130, 108, 0, 0, 2, 239, 11, 152, 3, 31, 0,
    0, 0, 0, 130, 108, 0, 0, 2, 240, 11, 160, 3, 31, 0, 0, 0, 0, 27, 1, 0, 0, 2, 241, 11, 168, 3,
    31, 0, 0, 0, 0, 122, 84, 1, 0, 2, 242, 11, 176, 3, 31, 0, 0, 0, 0, 131, 192, 0, 0, 2, 243, 11,
    184, 3, 31, 0, 0, 0, 0, 65, 163, 2, 0, 2, 244, 11, 216, 3, 31, 0, 0, 0, 0, 38, 1, 0, 0, 2, 245,
    11, 232, 3, 31, 0, 0, 0, 0, 228, 237, 1, 0, 2, 246, 11, 236, 3, 31, 0, 0, 0, 0, 128, 104, 0, 0,
    2, 247, 11, 240, 3, 31, 0, 0, 0, 0, 233, 21, 0, 0, 2, 248, 11, 16, 4, 31, 0, 0, 0, 0, 240, 67,
    0, 0, 2, 249, 11, 24, 4, 31, 0, 0, 0, 0, 168, 0, 0, 0, 2, 250, 11, 32, 4, 31, 0, 0, 0, 0, 96,
    163, 2, 0, 2, 251, 11, 40, 4, 31, 0, 0, 0, 0, 173, 23, 0, 0, 2, 252, 11, 104, 4, 31, 0, 0, 0,
    0, 173, 23, 0, 0, 2, 253, 11, 112, 4, 31, 0, 0, 0, 0, 168, 0, 0, 0, 2, 254, 11, 120, 4, 31, 0,
    0, 0, 0, 171, 140, 2, 0, 2, 255, 11, 124, 4, 31, 0, 0, 0, 0, 170, 160, 0, 0, 2, 0, 12, 128, 4,
    31, 0, 0, 0, 0, 90, 101, 0, 0, 2, 1, 12, 136, 4, 31, 0, 0, 0, 0, 131, 115, 0, 0, 2, 2, 12, 144,
    4, 31, 0, 0, 0, 0, 241, 163, 2, 0, 2, 3, 12, 152, 4, 31, 0, 0, 0, 0, 241, 163, 2, 0, 2, 4, 12,
    184, 4, 31, 0, 0, 0, 0, 28, 22, 0, 0, 2, 5, 12, 216, 4, 31, 0, 0, 0, 0, 117, 158, 0, 0, 2, 6,
    12, 232, 4, 31, 0, 0, 0, 0, 128, 104, 0, 0, 2, 7, 12, 8, 5, 31, 0, 0, 0, 0, 168, 0, 0, 0, 2, 8,
    12, 40, 5, 31, 0, 0, 0, 0, 33, 67, 0, 0, 2, 12, 12, 64, 5, 31, 0, 0, 0, 0, 195, 21, 0, 0, 2,
    13, 12, 72, 5, 31, 0, 0, 0, 0, 33, 67, 0, 0, 2, 14, 12, 88, 5, 31, 0, 0, 0, 0, 195, 21, 0, 0,
    2, 15, 12, 96, 5, 0, 12, 29, 73, 0, 0, 0, 0, 0, 0, 2, 69, 12, 177, 66, 0, 0, 0, 0, 0, 0, 2, 67,
    12, 51, 73, 0, 0, 0, 0, 0, 0, 2, 83, 12, 235, 23, 0, 0, 0, 0, 0, 0, 2, 55, 9, 67, 73, 0, 0, 36,
    0, 0, 0, 0, 72, 2, 148, 8, 0, 0, 0, 0, 233, 21, 0, 0, 2, 149, 0, 8, 0, 0, 0, 0, 168, 0, 0, 0,
    2, 150, 8, 8, 0, 0, 0, 0, 12, 74, 0, 0, 2, 151, 16, 8, 0, 0, 0, 0, 177, 141, 2, 0, 2, 152, 24,
    8, 0, 0, 0, 0, 149, 142, 2, 0, 2, 153, 32, 8, 0, 0, 0, 0, 180, 142, 2, 0, 2, 154, 40, 8, 0, 0,
    0, 0, 120, 81, 0, 0, 2, 155, 48, 8, 0, 0, 0, 0, 62, 73, 0, 0, 2, 156, 56, 8, 0, 0, 0, 0, 90,
    101, 0, 0, 2, 157, 64, 8, 0, 0, 0, 0, 23, 115, 0, 0, 2, 158, 72, 8, 0, 0, 0, 0, 23, 115, 0, 0,
    2, 159, 72, 8, 0, 0, 0, 0, 23, 115, 0, 0, 2, 160, 72, 8, 0, 0, 0, 0, 192, 142, 2, 0, 2, 161,
    72, 8, 0, 0, 0, 0, 23, 115, 0, 0, 2, 162, 72, 8, 0, 0, 0, 0, 23, 115, 0, 0, 2, 163, 72, 8, 0,
    0, 0, 0, 23, 115, 0, 0, 2, 164, 72, 0, 9, 17, 74, 0, 0, 14, 168, 0, 0, 0, 15, 28, 74, 0, 0, 0,
    9, 33, 74, 0, 0, 35, 0, 0, 0, 0, 160, 2, 5, 24, 29, 0, 0, 0, 0, 88, 75, 0, 0, 2, 6, 24, 0, 29,
    0, 0, 0, 0, 128, 104, 0, 0, 2, 7, 24, 8, 29, 0, 0, 0, 0, 62, 73, 0, 0, 2, 8, 24, 40, 29, 0, 0,
    0, 0, 26, 1, 0, 0, 2, 9, 24, 48, 29, 0, 0, 0, 0, 26, 1, 0, 0, 2, 10, 24, 56, 29, 0, 0, 0, 0,
    185, 64, 0, 0, 2, 11, 24, 64, 29, 0, 0, 0, 0, 131, 115, 0, 0, 2, 12, 24, 72, 29, 0, 0, 0, 0,
    47, 85, 1, 0, 2, 13, 24, 80, 29, 0, 0, 0, 0, 244, 107, 0, 0, 2, 14, 24, 88, 29, 0, 0, 0, 0,
    204, 140, 2, 0, 2, 15, 24, 96, 29, 0, 0, 0, 0, 233, 21, 0, 0, 2, 16, 24, 112, 29, 0, 0, 0, 0,
    26, 1, 0, 0, 2, 17, 24, 120, 29, 0, 0, 0, 0, 26, 1, 0, 0, 2, 18, 24, 128, 29, 0, 0, 0, 0, 38,
    1, 0, 0, 2, 19, 24, 136, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 20, 24, 140, 29, 0, 0, 0, 0, 38, 1, 0,
    0, 2, 21, 24, 144, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 22, 24, 148, 45, 0, 0, 0, 0, 89, 141, 2, 0,
    2, 23, 24, 4, 8, 24, 152, 45, 0, 0, 0, 0, 121, 141, 2, 0, 2, 24, 24, 4, 8, 16, 152, 45, 0, 0,
    0, 0, 181, 51, 0, 0, 2, 25, 24, 1, 1, 7, 154, 45, 0, 0, 0, 0, 181, 51, 0, 0, 2, 26, 24, 1, 1,
    6, 154, 45, 0, 0, 0, 0, 181, 51, 0, 0, 2, 27, 24, 1, 1, 5, 154, 0, 9, 93, 75, 0, 0, 37, 98, 75,
    0, 0, 35, 0, 0, 0, 0, 48, 2, 209, 32, 29, 0, 0, 0, 0, 186, 75, 0, 0, 2, 210, 32, 0, 29, 0, 0,
    0, 0, 198, 75, 0, 0, 2, 211, 32, 8, 29, 0, 0, 0, 0, 219, 75, 0, 0, 2, 212, 32, 16, 29, 0, 0, 0,
    0, 183, 140, 2, 0, 2, 213, 32, 24, 29, 0, 0, 0, 0, 12, 74, 0, 0, 2, 214, 32, 32, 29, 0, 0, 0,
    0, 12, 74, 0, 0, 2, 215, 32, 40, 0, 9, 191, 75, 0, 0, 38, 15, 28, 74, 0, 0, 0, 9, 203, 75, 0,
    0, 14, 168, 0, 0, 0, 15, 28, 74, 0, 0, 15, 28, 74, 0, 0, 0, 9, 224, 75, 0, 0, 14, 168, 0, 0, 0,
    15, 28, 74, 0, 0, 15, 240, 75, 0, 0, 0, 9, 245, 75, 0, 0, 35, 0, 0, 0, 0, 40, 2, 187, 32, 29,
    0, 0, 0, 0, 233, 21, 0, 0, 2, 188, 32, 0, 45, 0, 0, 0, 0, 132, 1, 0, 0, 2, 189, 32, 4, 8, 24,
    8, 44, 36, 76, 0, 0, 2, 190, 32, 16, 34, 8, 2, 190, 32, 29, 0, 0, 0, 0, 154, 27, 0, 0, 2, 191,
    32, 0, 29, 0, 0, 0, 0, 26, 1, 0, 0, 2, 192, 32, 0, 29, 0, 0, 0, 0, 121, 76, 0, 0, 2, 193, 32,
    0, 29, 0, 0, 0, 0, 61, 78, 0, 0, 2, 194, 32, 0, 0, 29, 0, 0, 0, 0, 36, 54, 0, 0, 2, 196, 32,
    24, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 197, 32, 32, 0, 9, 126, 76, 0, 0, 35, 0, 0, 0, 0, 32, 2,
    32, 24, 29, 0, 0, 0, 0, 233, 21, 0, 0, 2, 33, 24, 0, 29, 0, 0, 0, 0, 233, 21, 0, 0, 2, 34, 24,
    8, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 35, 24, 16, 29, 0, 0, 0, 0, 201, 76, 0, 0, 2, 36, 24, 24,
    29, 0, 0, 0, 0, 49, 78, 0, 0, 2, 37, 24, 32, 0, 9, 206, 76, 0, 0, 35, 0, 0, 0, 0, 112, 2, 180,
    131, 29, 0, 0, 0, 0, 195, 21, 0, 0, 2, 181, 131, 0, 29, 0, 0, 0, 0, 121, 76, 0, 0, 2, 182, 131,
    16, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 183, 131, 24, 29, 0, 0, 0, 0, 181, 51, 0, 0, 2, 184, 131,
    28, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 185, 131, 32, 29, 0, 0, 0, 0, 18, 73, 0, 0, 2, 186, 131,
    40, 29, 0, 0, 0, 0, 70, 62, 0, 0, 2, 187, 131, 44, 29, 0, 0, 0, 0, 81, 62, 0, 0, 2, 188, 131,
    48, 29, 0, 0, 0, 0, 134, 62, 0, 0, 2, 189, 131, 52, 29, 0, 0, 0, 0, 18, 73, 0, 0, 2, 190, 131,
    56, 29, 0, 0, 0, 0, 177, 66, 0, 0, 2, 191, 131, 60, 29, 0, 0, 0, 0, 155, 77, 0, 0, 2, 192, 131,
    64, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 193, 131, 100, 29, 0, 0, 0, 0, 169, 26, 0, 0, 2, 194, 131,
    104, 29, 0, 0, 0, 0, 181, 51, 0, 0, 2, 195, 131, 105, 0, 35, 0, 0, 0, 0, 36, 2, 169, 131, 29,
    0, 0, 0, 0, 2, 78, 0, 0, 2, 170, 131, 0, 29, 0, 0, 0, 0, 2, 78, 0, 0, 2, 171, 131, 8, 44, 199,
    77, 0, 0, 2, 172, 131, 16, 34, 8, 2, 172, 131, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 173, 131, 0, 29,
    0, 0, 0, 0, 2, 78, 0, 0, 2, 174, 131, 0, 0, 29, 0, 0, 0, 0, 2, 78, 0, 0, 2, 176, 131, 24, 29,
    0, 0, 0, 0, 81, 62, 0, 0, 2, 177, 131, 32, 0, 39, 14, 78, 0, 0, 0, 0, 0, 0, 2, 53, 10, 35, 0,
    0, 0, 0, 8, 2, 49, 10, 29, 0, 0, 0, 0, 37, 78, 0, 0, 2, 50, 10, 0, 0, 3, 27, 1, 0, 0, 4, 82, 0,
    0, 0, 2, 0, 3, 238, 21, 0, 0, 4, 82, 0, 0, 0, 0, 0, 9, 66, 78, 0, 0, 28, 0, 0, 0, 0, 0, 1, 2,
    72, 8, 29, 0, 0, 0, 0, 89, 78, 0, 0, 2, 76, 8, 0, 34, 16, 2, 73, 8, 29, 0, 0, 0, 0, 139, 79, 0,
    0, 2, 74, 8, 0, 29, 0, 0, 0, 0, 28, 22, 0, 0, 2, 75, 8, 0, 0, 29, 0, 0, 0, 0, 167, 79, 0, 0, 2,
    77, 8, 16, 29, 0, 0, 0, 0, 201, 58, 0, 0, 2, 78, 8, 32, 29, 0, 0, 0, 0, 203, 79, 0, 0, 2, 79,
    8, 40, 29, 0, 0, 0, 0, 33, 67, 0, 0, 2, 80, 8, 48, 29, 0, 0, 0, 0, 157, 139, 2, 0, 2, 81, 8,
    52, 29, 0, 0, 0, 0, 173, 23, 0, 0, 2, 82, 8, 56, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 83, 8, 64, 29,
    0, 0, 0, 0, 228, 237, 1, 0, 2, 84, 8, 68, 29, 0, 0, 0, 0, 128, 104, 0, 0, 2, 85, 8, 72, 29, 0,
    0, 0, 0, 40, 73, 0, 0, 2, 86, 8, 104, 29, 0, 0, 0, 0, 207, 139, 2, 0, 2, 87, 8, 112, 29, 0, 0,
    0, 0, 244, 107, 0, 0, 2, 88, 8, 144, 29, 0, 0, 0, 0, 83, 140, 2, 0, 2, 89, 8, 152, 29, 0, 0, 0,
    0, 109, 22, 0, 0, 2, 90, 8, 184, 29, 0, 0, 0, 0, 26, 1, 0, 0, 2, 91, 8, 192, 29, 0, 0, 0, 0,
    26, 1, 0, 0, 2, 92, 8, 200, 29, 0, 0, 0, 0, 195, 21, 0, 0, 2, 93, 8, 208, 29, 0, 0, 0, 0, 195,
    21, 0, 0, 2, 94, 8, 224, 29, 0, 0, 0, 0, 234, 57, 0, 0, 2, 95, 8, 240, 29, 0, 0, 0, 0, 171,
    140, 2, 0, 2, 96, 8, 248, 29, 0, 0, 0, 0, 171, 140, 2, 0, 2, 97, 8, 252, 0, 35, 0, 0, 0, 0, 8,
    2, 95, 1, 29, 0, 0, 0, 0, 162, 79, 0, 0, 2, 96, 1, 0, 0, 9, 139, 79, 0, 0, 35, 0, 0, 0, 0, 16,
    2, 32, 8, 29, 0, 0, 0, 0, 118, 69, 0, 0, 2, 33, 8, 0, 29, 0, 0, 0, 0, 185, 64, 0, 0, 2, 34, 8,
    8, 0, 9, 208, 79, 0, 0, 37, 213, 79, 0, 0, 49, 0, 0, 0, 0, 0, 1, 2, 248, 8, 0, 0, 0, 0, 120,
    81, 0, 0, 2, 249, 0, 8, 0, 0, 0, 0, 227, 226, 0, 0, 2, 250, 8, 8, 0, 0, 0, 0, 165, 226, 0, 0,
    2, 251, 16, 8, 0, 0, 0, 0, 196, 226, 0, 0, 2, 252, 24, 8, 0, 0, 0, 0, 134, 133, 2, 0, 2, 253,
    32, 8, 0, 0, 0, 0, 134, 133, 2, 0, 2, 254, 40, 8, 0, 0, 0, 0, 127, 134, 2, 0, 2, 255, 48, 29,
    0, 0, 0, 0, 148, 134, 2, 0, 2, 0, 1, 56, 29, 0, 0, 0, 0, 148, 134, 2, 0, 2, 1, 1, 64, 29, 0, 0,
    0, 0, 253, 226, 0, 0, 2, 2, 1, 72, 29, 0, 0, 0, 0, 18, 227, 0, 0, 2, 3, 1, 80, 29, 0, 0, 0, 0,
    18, 227, 0, 0, 2, 4, 1, 88, 29, 0, 0, 0, 0, 44, 227, 0, 0, 2, 5, 1, 96, 29, 0, 0, 0, 0, 90, 22,
    0, 0, 2, 6, 1, 104, 29, 0, 0, 0, 0, 144, 226, 0, 0, 2, 7, 1, 112, 29, 0, 0, 0, 0, 7, 135, 2, 0,
    2, 8, 1, 120, 29, 0, 0, 0, 0, 144, 226, 0, 0, 2, 9, 1, 128, 29, 0, 0, 0, 0, 39, 135, 2, 0, 2,
    10, 1, 136, 29, 0, 0, 0, 0, 70, 135, 2, 0, 2, 11, 1, 144, 29, 0, 0, 0, 0, 96, 135, 2, 0, 2, 12,
    1, 152, 29, 0, 0, 0, 0, 118, 138, 2, 0, 2, 13, 1, 160, 29, 0, 0, 0, 0, 229, 94, 0, 0, 2, 14, 1,
    168, 29, 0, 0, 0, 0, 159, 138, 2, 0, 2, 15, 1, 176, 29, 0, 0, 0, 0, 96, 135, 2, 0, 2, 16, 1,
    184, 29, 0, 0, 0, 0, 175, 138, 2, 0, 2, 17, 1, 192, 29, 0, 0, 0, 0, 211, 138, 2, 0, 2, 18, 1,
    200, 29, 0, 0, 0, 0, 247, 138, 2, 0, 2, 19, 1, 208, 29, 0, 0, 0, 0, 27, 139, 2, 0, 2, 20, 1,
    216, 29, 0, 0, 0, 0, 58, 139, 2, 0, 2, 21, 1, 224, 29, 0, 0, 0, 0, 75, 139, 2, 0, 2, 22, 1,
    232, 29, 0, 0, 0, 0, 116, 139, 2, 0, 2, 23, 1, 240, 29, 0, 0, 0, 0, 39, 135, 2, 0, 2, 24, 1,
    248, 0, 9, 125, 81, 0, 0, 28, 0, 0, 0, 0, 0, 4, 2, 120, 20, 29, 0, 0, 0, 0, 208, 1, 0, 0, 2,
    121, 20, 0, 29, 0, 0, 0, 0, 195, 21, 0, 0, 2, 122, 20, 8, 29, 0, 0, 0, 0, 136, 85, 0, 0, 2,
    123, 20, 24, 29, 0, 0, 0, 0, 148, 85, 0, 0, 2, 124, 20, 80, 29, 0, 0, 0, 0, 186, 127, 2, 0, 2,
    125, 20, 176, 29, 0, 0, 0, 0, 233, 21, 0, 0, 2, 126, 20, 184, 29, 0, 0, 0, 0, 233, 21, 0, 0, 2,
    127, 20, 192, 29, 0, 0, 0, 0, 148, 86, 0, 0, 2, 128, 20, 200, 29, 0, 0, 0, 0, 157, 129, 2, 0,
    2, 129, 20, 208, 29, 0, 0, 0, 0, 216, 129, 2, 0, 2, 130, 20, 216, 29, 0, 0, 0, 0, 38, 1, 0, 0,
    2, 131, 20, 224, 29, 0, 0, 0, 0, 128, 104, 0, 0, 2, 132, 20, 232, 31, 0, 0, 0, 0, 226, 129, 2,
    0, 2, 133, 20, 8, 1, 31, 0, 0, 0, 0, 38, 1, 0, 0, 2, 134, 20, 16, 1, 31, 0, 0, 0, 0, 38, 1, 0,
    0, 2, 135, 20, 20, 1, 31, 0, 0, 0, 0, 157, 129, 2, 0, 2, 136, 20, 24, 1, 31, 0, 0, 0, 0, 216,
    129, 2, 0, 2, 137, 20, 32, 1, 31, 0, 0, 0, 0, 181, 51, 0, 0, 2, 138, 20, 40, 1, 31, 0, 0, 0, 0,
    157, 129, 2, 0, 2, 139, 20, 48, 1, 31, 0, 0, 0, 0, 216, 129, 2, 0, 2, 140, 20, 56, 1, 31, 0, 0,
    0, 0, 38, 1, 0, 0, 2, 141, 20, 64, 1, 31, 0, 0, 0, 0, 38, 1, 0, 0, 2, 142, 20, 68, 1, 31, 0, 0,
    0, 0, 157, 129, 2, 0, 2, 143, 20, 72, 1, 31, 0, 0, 0, 0, 216, 129, 2, 0, 2, 144, 20, 80, 1, 31,
    0, 0, 0, 0, 181, 51, 0, 0, 2, 145, 20, 88, 1, 31, 0, 0, 0, 0, 181, 51, 0, 0, 2, 146, 20, 89, 1,
    31, 0, 0, 0, 0, 157, 129, 2, 0, 2, 147, 20, 96, 1, 31, 0, 0, 0, 0, 216, 129, 2, 0, 2, 148, 20,
    104, 1, 31, 0, 0, 0, 0, 38, 1, 0, 0, 2, 149, 20, 112, 1, 31, 0, 0, 0, 0, 38, 1, 0, 0, 2, 150,
    20, 116, 1, 31, 0, 0, 0, 0, 235, 37, 1, 0, 2, 151, 20, 120, 1, 31, 0, 0, 0, 0, 13, 76, 2, 0, 2,
    152, 20, 128, 1, 31, 0, 0, 0, 0, 231, 129, 2, 0, 2, 160, 20, 192, 1, 31, 0, 0, 0, 0, 231, 129,
    2, 0, 2, 161, 20, 16, 2, 31, 0, 0, 0, 0, 99, 130, 2, 0, 2, 162, 20, 96, 2, 31, 0, 0, 0, 0, 90,
    22, 0, 0, 2, 163, 20, 120, 2, 31, 0, 0, 0, 0, 38, 1, 0, 0, 2, 164, 20, 128, 2, 31, 0, 0, 0, 0,
    195, 21, 0, 0, 2, 165, 20, 136, 2, 31, 0, 0, 0, 0, 253, 130, 2, 0, 2, 166, 20, 152, 2, 31, 0,
    0, 0, 0, 64, 131, 2, 0, 2, 167, 20, 160, 2, 31, 0, 0, 0, 0, 69, 131, 2, 0, 2, 168, 20, 168, 2,
    31, 0, 0, 0, 0, 28, 132, 2, 0, 2, 169, 20, 200, 2, 31, 0, 0, 0, 0, 130, 132, 2, 0, 2, 170, 20,
    208, 2, 31, 0, 0, 0, 0, 154, 27, 0, 0, 2, 171, 20, 216, 2, 31, 0, 0, 0, 0, 26, 1, 0, 0, 2, 172,
    20, 224, 2, 31, 0, 0, 0, 0, 38, 1, 0, 0, 2, 173, 20, 232, 2, 31, 0, 0, 0, 0, 26, 1, 0, 0, 2,
    174, 20, 240, 2, 31, 0, 0, 0, 0, 38, 1, 0, 0, 2, 175, 20, 248, 2, 31, 0, 0, 0, 0, 38, 1, 0, 0,
    2, 176, 20, 252, 2, 31, 0, 0, 0, 0, 196, 132, 2, 0, 2, 177, 20, 0, 3, 31, 0, 0, 0, 0, 38, 1, 0,
    0, 2, 178, 20, 8, 3, 31, 0, 0, 0, 0, 213, 132, 2, 0, 2, 179, 20, 16, 3, 31, 0, 0, 0, 0, 38, 1,
    0, 0, 2, 180, 20, 24, 3, 31, 0, 0, 0, 0, 218, 132, 2, 0, 2, 181, 20, 32, 3, 31, 0, 0, 0, 0,
    161, 75, 2, 0, 2, 182, 20, 40, 3, 31, 0, 0, 0, 0, 38, 1, 0, 0, 2, 183, 20, 48, 3, 31, 0, 0, 0,
    0, 38, 1, 0, 0, 2, 184, 20, 52, 3, 31, 0, 0, 0, 0, 230, 179, 0, 0, 2, 185, 20, 56, 3, 31, 0, 0,
    0, 0, 29, 133, 2, 0, 2, 186, 20, 64, 3, 31, 0, 0, 0, 0, 38, 1, 0, 0, 2, 187, 20, 72, 3, 31, 0,
    0, 0, 0, 34, 133, 2, 0, 2, 188, 20, 80, 3, 31, 0, 0, 0, 0, 38, 1, 0, 0, 2, 189, 20, 88, 3, 31,
    0, 0, 0, 0, 38, 1, 0, 0, 2, 190, 20, 92, 3, 31, 0, 0, 0, 0, 216, 107, 0, 0, 2, 191, 20, 96, 3,
    31, 0, 0, 0, 0, 26, 1, 0, 0, 2, 192, 20, 104, 3, 31, 0, 0, 0, 0, 38, 1, 0, 0, 2, 193, 20, 112,
    3, 31, 0, 0, 0, 0, 216, 107, 0, 0, 2, 194, 20, 120, 3, 31, 0, 0, 0, 0, 38, 1, 0, 0, 2, 195, 20,
    128, 3, 31, 0, 0, 0, 0, 195, 21, 0, 0, 2, 196, 20, 136, 3, 31, 0, 0, 0, 0, 195, 21, 0, 0, 2,
    197, 20, 152, 3, 31, 0, 0, 0, 0, 194, 44, 1, 0, 2, 198, 20, 168, 3, 31, 0, 0, 0, 0, 242, 23, 0,
    0, 2, 199, 20, 176, 3, 31, 0, 0, 0, 0, 93, 133, 2, 0, 2, 200, 20, 184, 3, 31, 0, 0, 0, 0, 38,
    1, 0, 0, 2, 201, 20, 192, 3, 0, 3, 75, 0, 0, 0, 4, 82, 0, 0, 0, 56, 0, 35, 0, 0, 0, 0, 96, 2,
    69, 20, 29, 0, 0, 0, 0, 223, 85, 0, 0, 2, 70, 20, 0, 29, 0, 0, 0, 0, 120, 81, 0, 0, 2, 71, 20,
    64, 29, 0, 0, 0, 0, 148, 86, 0, 0, 2, 72, 20, 72, 29, 0, 0, 0, 0, 226, 126, 2, 0, 2, 73, 20,
    80, 29, 0, 0, 0, 0, 54, 165, 0, 0, 2, 74, 20, 88, 0, 35, 0, 0, 0, 0, 64, 2, 214, 19, 29, 0, 0,
    0, 0, 233, 21, 0, 0, 2, 215, 19, 0, 29, 0, 0, 0, 0, 195, 21, 0, 0, 2, 216, 19, 8, 29, 0, 0, 0,
    0, 148, 86, 0, 0, 2, 217, 19, 24, 29, 0, 0, 0, 0, 153, 86, 0, 0, 2, 218, 19, 32, 29, 0, 0, 0,
    0, 227, 87, 0, 0, 2, 219, 19, 40, 29, 0, 0, 0, 0, 17, 146, 0, 0, 2, 220, 19, 48, 29, 0, 0, 0,
    0, 221, 107, 0, 0, 2, 221, 19, 56, 45, 0, 0, 0, 0, 38, 1, 0, 0, 2, 222, 19, 4, 1, 31, 60, 45,
    0, 0, 0, 0, 38, 1, 0, 0, 2, 223, 19, 4, 1, 30, 60, 45, 0, 0, 0, 0, 38, 1, 0, 0, 2, 224, 19, 4,
    1, 29, 60, 45, 0, 0, 0, 0, 38, 1, 0, 0, 2, 225, 19, 4, 1, 28, 60, 45, 0, 0, 0, 0, 38, 1, 0, 0,
    2, 226, 19, 4, 1, 27, 60, 0, 9, 223, 85, 0, 0, 9, 158, 86, 0, 0, 35, 0, 0, 0, 0, 96, 2, 245,
    19, 29, 0, 0, 0, 0, 195, 21, 0, 0, 2, 246, 19, 0, 29, 0, 0, 0, 0, 33, 67, 0, 0, 2, 247, 19, 16,
    29, 0, 0, 0, 0, 223, 85, 0, 0, 2, 248, 19, 24, 29, 0, 0, 0, 0, 220, 86, 0, 0, 2, 249, 19, 88,
    0, 9, 225, 86, 0, 0, 37, 230, 86, 0, 0, 35, 0, 0, 0, 0, 24, 2, 14, 20, 29, 0, 0, 0, 0, 23, 87,
    0, 0, 2, 15, 20, 0, 29, 0, 0, 0, 0, 49, 87, 0, 0, 2, 16, 20, 8, 29, 0, 0, 0, 0, 75, 87, 0, 0,
    2, 17, 20, 16, 0, 37, 28, 87, 0, 0, 9, 33, 87, 0, 0, 14, 168, 0, 0, 0, 15, 153, 86, 0, 0, 15,
    148, 86, 0, 0, 0, 37, 54, 87, 0, 0, 9, 59, 87, 0, 0, 14, 233, 21, 0, 0, 15, 153, 86, 0, 0, 15,
    148, 86, 0, 0, 0, 37, 80, 87, 0, 0, 9, 85, 87, 0, 0, 14, 168, 0, 0, 0, 15, 153, 86, 0, 0, 15,
    148, 86, 0, 0, 15, 106, 87, 0, 0, 0, 9, 111, 87, 0, 0, 28, 0, 0, 0, 0, 32, 10, 2, 6, 20, 29, 0,
    0, 0, 0, 190, 87, 0, 0, 2, 7, 20, 0, 29, 0, 0, 0, 0, 202, 87, 0, 0, 2, 8, 20, 24, 31, 0, 0, 0,
    0, 168, 0, 0, 0, 2, 9, 20, 24, 2, 31, 0, 0, 0, 0, 214, 87, 0, 0, 2, 10, 20, 28, 2, 31, 0, 0, 0,
    0, 168, 0, 0, 0, 2, 11, 20, 28, 10, 0, 3, 154, 27, 0, 0, 4, 82, 0, 0, 0, 3, 0, 3, 154, 27, 0,
    0, 4, 82, 0, 0, 0, 64, 0, 3, 75, 0, 0, 0, 50, 82, 0, 0, 0, 0, 8, 0, 9, 232, 87, 0, 0, 35, 0, 0,
    0, 0, 56, 2, 252, 19, 29, 0, 0, 0, 0, 77, 88, 0, 0, 2, 253, 19, 0, 29, 0, 0, 0, 0, 89, 88, 0,
    0, 2, 254, 19, 8, 29, 0, 0, 0, 0, 10, 89, 0, 0, 2, 255, 19, 16, 29, 0, 0, 0, 0, 15, 89, 0, 0,
    2, 0, 20, 24, 29, 0, 0, 0, 0, 172, 126, 2, 0, 2, 1, 20, 32, 29, 0, 0, 0, 0, 188, 126, 2, 0, 2,
    2, 20, 40, 29, 0, 0, 0, 0, 204, 126, 2, 0, 2, 3, 20, 48, 0, 9, 82, 88, 0, 0, 38, 15, 148, 86,
    0, 0, 0, 9, 94, 88, 0, 0, 37, 99, 88, 0, 0, 35, 0, 0, 0, 0, 16, 2, 238, 19, 29, 0, 0, 0, 0,
    135, 88, 0, 0, 2, 239, 19, 0, 29, 0, 0, 0, 0, 235, 88, 0, 0, 2, 240, 19, 8, 0, 9, 140, 88, 0,
    0, 14, 161, 88, 0, 0, 15, 148, 86, 0, 0, 15, 194, 88, 0, 0, 15, 154, 27, 0, 0, 0, 12, 172, 88,
    0, 0, 0, 0, 0, 0, 2, 87, 12, 183, 88, 0, 0, 0, 0, 0, 0, 2, 53, 12, 19, 1, 0, 0, 0, 0, 0, 0, 2,
    41, 9, 199, 88, 0, 0, 35, 0, 0, 0, 0, 16, 2, 189, 19, 29, 0, 0, 0, 0, 233, 21, 0, 0, 2, 190,
    19, 0, 29, 0, 0, 0, 0, 70, 62, 0, 0, 2, 191, 19, 8, 0, 9, 240, 88, 0, 0, 14, 161, 88, 0, 0, 15,
    148, 86, 0, 0, 15, 194, 88, 0, 0, 15, 233, 21, 0, 0, 15, 36, 54, 0, 0, 0, 9, 194, 88, 0, 0, 9,
    20, 89, 0, 0, 9, 25, 89, 0, 0, 37, 30, 89, 0, 0, 35, 0, 0, 0, 0, 40, 2, 198, 19, 29, 0, 0, 0,
    0, 233, 21, 0, 0, 2, 199, 19, 0, 29, 0, 0, 0, 0, 105, 89, 0, 0, 2, 200, 19, 8, 29, 0, 0, 0, 0,
    131, 89, 0, 0, 2, 201, 19, 16, 29, 0, 0, 0, 0, 10, 89, 0, 0, 2, 202, 19, 24, 29, 0, 0, 0, 0,
    167, 126, 2, 0, 2, 203, 19, 32, 0, 9, 110, 89, 0, 0, 14, 70, 62, 0, 0, 15, 148, 86, 0, 0, 15,
    194, 88, 0, 0, 15, 168, 0, 0, 0, 0, 9, 136, 89, 0, 0, 14, 70, 62, 0, 0, 15, 148, 86, 0, 0, 15,
    157, 89, 0, 0, 15, 168, 0, 0, 0, 0, 9, 162, 89, 0, 0, 35, 0, 0, 0, 0, 56, 2, 229, 19, 29, 0, 0,
    0, 0, 199, 88, 0, 0, 2, 230, 19, 0, 29, 0, 0, 0, 0, 36, 54, 0, 0, 2, 231, 19, 16, 29, 0, 0, 0,
    0, 26, 1, 0, 0, 2, 232, 19, 24, 29, 0, 0, 0, 0, 250, 89, 0, 0, 2, 233, 19, 32, 29, 0, 0, 0, 0,
    250, 89, 0, 0, 2, 234, 19, 40, 29, 0, 0, 0, 0, 35, 90, 0, 0, 2, 235, 19, 48, 0, 9, 255, 89, 0,
    0, 14, 161, 88, 0, 0, 15, 61, 78, 0, 0, 15, 148, 86, 0, 0, 15, 157, 89, 0, 0, 15, 154, 27, 0,
    0, 15, 40, 73, 0, 0, 15, 36, 54, 0, 0, 0, 9, 40, 90, 0, 0, 14, 168, 0, 0, 0, 15, 61, 78, 0, 0,
    15, 148, 86, 0, 0, 15, 157, 89, 0, 0, 15, 66, 90, 0, 0, 0, 9, 71, 90, 0, 0, 35, 0, 0, 0, 0,
    200, 2, 55, 7, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 56, 7, 0, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 57,
    7, 8, 29, 0, 0, 0, 0, 66, 90, 0, 0, 2, 58, 7, 16, 29, 0, 0, 0, 0, 66, 90, 0, 0, 2, 59, 7, 24,
    29, 0, 0, 0, 0, 229, 39, 0, 0, 2, 60, 7, 32, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 61, 7, 56, 29, 0,
    0, 0, 0, 104, 91, 0, 0, 2, 62, 7, 64, 29, 0, 0, 0, 0, 63, 125, 2, 0, 2, 63, 7, 72, 29, 0, 0, 0,
    0, 90, 22, 0, 0, 2, 64, 7, 80, 29, 0, 0, 0, 0, 210, 90, 0, 0, 2, 68, 7, 88, 30, 32, 2, 65, 7,
    29, 0, 0, 0, 0, 229, 39, 0, 0, 2, 66, 7, 0, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 67, 7, 24, 0, 29,
    0, 0, 0, 0, 195, 21, 0, 0, 2, 69, 7, 120, 29, 0, 0, 0, 0, 110, 125, 2, 0, 2, 70, 7, 136, 29, 0,
    0, 0, 0, 157, 150, 0, 0, 2, 71, 7, 144, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 72, 7, 152, 29, 0, 0,
    0, 0, 61, 78, 0, 0, 2, 73, 7, 160, 29, 0, 0, 0, 0, 26, 1, 0, 0, 2, 74, 7, 168, 29, 0, 0, 0, 0,
    173, 23, 0, 0, 2, 75, 7, 176, 29, 0, 0, 0, 0, 190, 153, 0, 0, 2, 76, 7, 184, 29, 0, 0, 0, 0,
    203, 125, 2, 0, 2, 77, 7, 192, 0, 9, 109, 91, 0, 0, 28, 0, 0, 0, 0, 0, 4, 2, 234, 6, 44, 128,
    91, 0, 0, 2, 235, 6, 0, 51, 0, 4, 2, 235, 6, 29, 0, 0, 0, 0, 66, 90, 0, 0, 2, 236, 6, 0, 29, 0,
    0, 0, 0, 206, 94, 0, 0, 2, 237, 6, 8, 29, 0, 0, 0, 0, 109, 22, 0, 0, 2, 238, 6, 16, 29, 0, 0,
    0, 0, 229, 94, 0, 0, 2, 239, 6, 24, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 240, 6, 32, 29, 0, 0, 0,
    0, 90, 22, 0, 0, 2, 241, 6, 40, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 242, 6, 48, 29, 0, 0, 0, 0,
    90, 22, 0, 0, 2, 243, 6, 56, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 244, 6, 64, 29, 0, 0, 0, 0, 90,
    22, 0, 0, 2, 245, 6, 72, 29, 0, 0, 0, 0, 9, 95, 0, 0, 2, 246, 6, 80, 29, 0, 0, 0, 0, 242, 23,
    0, 0, 2, 247, 6, 88, 29, 0, 0, 0, 0, 242, 23, 0, 0, 2, 248, 6, 92, 29, 0, 0, 0, 0, 242, 23, 0,
    0, 2, 249, 6, 96, 29, 0, 0, 0, 0, 242, 23, 0, 0, 2, 250, 6, 100, 29, 0, 0, 0, 0, 173, 23, 0, 0,
    2, 251, 6, 104, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 252, 6, 112, 29, 0, 0, 0, 0, 33, 67, 0, 0, 2,
    253, 6, 116, 29, 0, 0, 0, 0, 57, 95, 0, 0, 2, 254, 6, 120, 29, 0, 0, 0, 0, 195, 21, 0, 0, 2,
    255, 6, 160, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 0, 7, 176, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 1, 7,
    184, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 2, 7, 192, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 3, 7, 200,
    29, 0, 0, 0, 0, 185, 23, 0, 0, 2, 4, 7, 208, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 5, 7, 216, 29, 0,
    0, 0, 0, 90, 22, 0, 0, 2, 6, 7, 224, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 7, 7, 232, 29, 0, 0, 0,
    0, 90, 22, 0, 0, 2, 8, 7, 240, 29, 0, 0, 0, 0, 33, 67, 0, 0, 2, 9, 7, 248, 31, 0, 0, 0, 0, 90,
    22, 0, 0, 2, 10, 7, 0, 1, 31, 0, 0, 0, 0, 90, 22, 0, 0, 2, 11, 7, 8, 1, 31, 0, 0, 0, 0, 90, 22,
    0, 0, 2, 12, 7, 16, 1, 31, 0, 0, 0, 0, 90, 22, 0, 0, 2, 13, 7, 24, 1, 31, 0, 0, 0, 0, 90, 22,
    0, 0, 2, 14, 7, 32, 1, 31, 0, 0, 0, 0, 90, 22, 0, 0, 2, 15, 7, 40, 1, 31, 0, 0, 0, 0, 90, 22,
    0, 0, 2, 16, 7, 48, 1, 31, 0, 0, 0, 0, 90, 22, 0, 0, 2, 17, 7, 56, 1, 31, 0, 0, 0, 0, 90, 22,
    0, 0, 2, 18, 7, 64, 1, 31, 0, 0, 0, 0, 90, 22, 0, 0, 2, 19, 7, 72, 1, 31, 0, 0, 0, 0, 90, 22,
    0, 0, 2, 20, 7, 80, 1, 31, 0, 0, 0, 0, 166, 95, 0, 0, 2, 21, 7, 88, 1, 31, 0, 0, 0, 0, 178, 95,
    0, 0, 2, 22, 7, 200, 2, 31, 0, 0, 0, 0, 213, 95, 0, 0, 2, 23, 7, 232, 2, 31, 0, 0, 0, 0, 161,
    119, 2, 0, 2, 24, 7, 240, 2, 31, 0, 0, 0, 0, 90, 22, 0, 0, 2, 25, 7, 112, 3, 31, 0, 0, 0, 0,
    71, 121, 2, 0, 2, 26, 7, 120, 3, 31, 0, 0, 0, 0, 33, 67, 0, 0, 2, 27, 7, 128, 3, 31, 0, 0, 0,
    0, 166, 121, 2, 0, 2, 28, 7, 136, 3, 31, 0, 0, 0, 0, 244, 117, 0, 0, 2, 29, 7, 144, 3, 31, 0,
    0, 0, 0, 131, 115, 0, 0, 2, 30, 7, 152, 3, 31, 0, 0, 0, 0, 61, 78, 0, 0, 2, 31, 7, 160, 3, 31,
    0, 0, 0, 0, 209, 123, 2, 0, 2, 32, 7, 168, 3, 31, 0, 0, 0, 0, 90, 22, 0, 0, 2, 33, 7, 176, 3,
    31, 0, 0, 0, 0, 90, 22, 0, 0, 2, 34, 7, 184, 3, 31, 0, 0, 0, 0, 168, 0, 0, 0, 2, 35, 7, 192, 3,
    31, 0, 0, 0, 0, 242, 23, 0, 0, 2, 36, 7, 196, 3, 31, 0, 0, 0, 0, 181, 51, 0, 0, 2, 37, 7, 200,
    3, 31, 0, 0, 0, 0, 72, 124, 2, 0, 2, 38, 7, 208, 3, 31, 0, 0, 0, 0, 173, 23, 0, 0, 2, 39, 7,
    216, 3, 31, 0, 0, 0, 0, 117, 158, 0, 0, 2, 40, 7, 224, 3, 0, 31, 0, 0, 0, 0, 142, 205, 0, 0, 2,
    42, 7, 0, 4, 0, 35, 0, 0, 0, 0, 8, 2, 39, 2, 29, 0, 0, 0, 0, 22, 40, 0, 0, 2, 40, 2, 0, 0, 9,
    234, 94, 0, 0, 14, 90, 22, 0, 0, 15, 61, 78, 0, 0, 15, 90, 22, 0, 0, 15, 90, 22, 0, 0, 15, 90,
    22, 0, 0, 15, 90, 22, 0, 0, 0, 9, 14, 95, 0, 0, 39, 26, 95, 0, 0, 0, 0, 0, 0, 2, 214, 5, 30, 8,
    2, 212, 5, 29, 0, 0, 0, 0, 45, 95, 0, 0, 2, 213, 5, 0, 0, 39, 90, 22, 0, 0, 0, 0, 0, 0, 2, 198,
    5, 35, 0, 0, 0, 0, 40, 2, 178, 6, 29, 0, 0, 0, 0, 173, 23, 0, 0, 2, 179, 6, 0, 29, 0, 0, 0, 0,
    173, 23, 0, 0, 2, 180, 6, 8, 29, 0, 0, 0, 0, 132, 95, 0, 0, 2, 181, 6, 16, 29, 0, 0, 0, 0, 155,
    95, 0, 0, 2, 182, 6, 20, 29, 0, 0, 0, 0, 195, 21, 0, 0, 2, 183, 6, 24, 0, 35, 0, 0, 0, 0, 4, 2,
    131, 2, 29, 0, 0, 0, 0, 242, 23, 0, 0, 2, 132, 2, 0, 0, 12, 78, 67, 0, 0, 0, 0, 0, 0, 2, 200,
    3, 90, 22, 0, 0, 4, 82, 0, 0, 0, 46, 0, 35, 0, 0, 0, 0, 32, 2, 186, 6, 29, 0, 0, 0, 0, 201, 95,
    0, 0, 2, 187, 6, 0, 0, 3, 173, 23, 0, 0, 4, 82, 0, 0, 0, 4, 0, 9, 218, 95, 0, 0, 35, 0, 0, 0,
    0, 56, 2, 68, 18, 29, 0, 0, 0, 0, 195, 21, 0, 0, 2, 69, 18, 0, 29, 0, 0, 0, 0, 120, 81, 0, 0,
    2, 70, 18, 16, 29, 0, 0, 0, 0, 50, 96, 0, 0, 2, 71, 18, 24, 29, 0, 0, 0, 0, 13, 119, 2, 0, 2,
    72, 18, 32, 29, 0, 0, 0, 0, 29, 119, 2, 0, 2, 73, 18, 40, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 74,
    18, 48, 0, 9, 55, 96, 0, 0, 14, 168, 0, 0, 0, 15, 66, 96, 0, 0, 0, 9, 71, 96, 0, 0, 28, 0, 0,
    0, 0, 160, 1, 2, 93, 24, 29, 0, 0, 0, 0, 66, 90, 0, 0, 2, 94, 24, 0, 29, 0, 0, 0, 0, 90, 22, 0,
    0, 2, 95, 24, 8, 29, 0, 0, 0, 0, 104, 91, 0, 0, 2, 96, 24, 16, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2,
    97, 24, 24, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 98, 24, 32, 45, 0, 0, 0, 0, 38, 1, 0, 0, 2, 99,
    24, 4, 1, 31, 40, 45, 0, 0, 0, 0, 38, 1, 0, 0, 2, 100, 24, 4, 1, 30, 40, 45, 0, 0, 0, 0, 38, 1,
    0, 0, 2, 101, 24, 4, 1, 29, 40, 45, 0, 0, 0, 0, 38, 1, 0, 0, 2, 102, 24, 4, 1, 28, 40, 29, 0,
    0, 0, 0, 61, 78, 0, 0, 2, 103, 24, 48, 29, 0, 0, 0, 0, 61, 78, 0, 0, 2, 104, 24, 56, 29, 0, 0,
    0, 0, 61, 78, 0, 0, 2, 105, 24, 64, 29, 0, 0, 0, 0, 176, 97, 0, 0, 2, 106, 24, 72, 29, 0, 0, 0,
    0, 168, 0, 0, 0, 2, 107, 24, 80, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 108, 24, 84, 29, 0, 0, 0, 0,
    168, 0, 0, 0, 2, 109, 24, 88, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 110, 24, 92, 29, 0, 0, 0, 0,
    233, 21, 0, 0, 2, 111, 24, 96, 29, 0, 0, 0, 0, 233, 21, 0, 0, 2, 112, 24, 104, 29, 0, 0, 0, 0,
    233, 21, 0, 0, 2, 113, 24, 112, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 114, 24, 120, 29, 0, 0, 0, 0,
    168, 0, 0, 0, 2, 115, 24, 124, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 116, 24, 128, 29, 0, 0, 0, 0,
    90, 22, 0, 0, 2, 117, 24, 136, 29, 0, 0, 0, 0, 131, 215, 1, 0, 2, 118, 24, 144, 29, 0, 0, 0, 0,
    50, 84, 2, 0, 2, 119, 24, 160, 0, 9, 181, 97, 0, 0, 35, 0, 0, 0, 0, 168, 2, 57, 10, 29, 0, 0,
    0, 0, 242, 23, 0, 0, 2, 58, 10, 0, 29, 0, 0, 0, 0, 81, 62, 0, 0, 2, 59, 10, 4, 29, 0, 0, 0, 0,
    134, 62, 0, 0, 2, 60, 10, 8, 29, 0, 0, 0, 0, 81, 62, 0, 0, 2, 61, 10, 12, 29, 0, 0, 0, 0, 134,
    62, 0, 0, 2, 62, 10, 16, 29, 0, 0, 0, 0, 81, 62, 0, 0, 2, 63, 10, 20, 29, 0, 0, 0, 0, 134, 62,
    0, 0, 2, 64, 10, 24, 29, 0, 0, 0, 0, 81, 62, 0, 0, 2, 65, 10, 28, 29, 0, 0, 0, 0, 134, 62, 0,
    0, 2, 66, 10, 32, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 67, 10, 36, 29, 0, 0, 0, 0, 2, 78, 0, 0, 2,
    68, 10, 40, 29, 0, 0, 0, 0, 2, 78, 0, 0, 2, 69, 10, 48, 29, 0, 0, 0, 0, 2, 78, 0, 0, 2, 70, 10,
    56, 29, 0, 0, 0, 0, 2, 78, 0, 0, 2, 71, 10, 64, 29, 0, 0, 0, 0, 2, 78, 0, 0, 2, 72, 10, 72, 29,
    0, 0, 0, 0, 169, 26, 0, 0, 2, 73, 10, 80, 29, 0, 0, 0, 0, 32, 99, 0, 0, 2, 74, 10, 88, 29, 0,
    0, 0, 0, 32, 99, 0, 0, 2, 75, 10, 96, 29, 0, 0, 0, 0, 32, 99, 0, 0, 2, 76, 10, 104, 29, 0, 0,
    0, 0, 32, 99, 0, 0, 2, 77, 10, 112, 29, 0, 0, 0, 0, 26, 1, 0, 0, 2, 78, 10, 120, 29, 0, 0, 0,
    0, 177, 106, 0, 0, 2, 79, 10, 128, 29, 0, 0, 0, 0, 131, 115, 0, 0, 2, 80, 10, 136, 29, 0, 0, 0,
    0, 203, 118, 2, 0, 2, 81, 10, 144, 44, 255, 98, 0, 0, 2, 82, 10, 152, 34, 16, 2, 82, 10, 29, 0,
    0, 0, 0, 168, 0, 0, 0, 2, 83, 10, 0, 29, 0, 0, 0, 0, 28, 22, 0, 0, 2, 84, 10, 0, 0, 0, 9, 37,
    99, 0, 0, 35, 0, 0, 0, 0, 224, 2, 128, 10, 29, 0, 0, 0, 0, 254, 62, 0, 0, 2, 129, 10, 0, 29, 0,
    0, 0, 0, 245, 100, 0, 0, 2, 130, 10, 4, 44, 81, 99, 0, 0, 2, 131, 10, 8, 34, 24, 2, 131, 10,
    29, 0, 0, 0, 0, 195, 21, 0, 0, 2, 132, 10, 0, 29, 0, 0, 0, 0, 229, 39, 0, 0, 2, 133, 10, 0, 0,
    29, 0, 0, 0, 0, 23, 101, 0, 0, 2, 135, 10, 32, 29, 0, 0, 0, 0, 57, 95, 0, 0, 2, 136, 10, 40,
    29, 0, 0, 0, 0, 254, 107, 0, 0, 2, 137, 10, 80, 29, 0, 0, 0, 0, 26, 1, 0, 0, 2, 138, 10, 88,
    44, 174, 99, 0, 0, 2, 139, 10, 96, 34, 8, 2, 139, 10, 29, 0, 0, 0, 0, 130, 108, 0, 0, 2, 140,
    10, 0, 29, 0, 0, 0, 0, 130, 108, 0, 0, 2, 141, 10, 0, 0, 29, 0, 0, 0, 0, 130, 108, 0, 0, 2,
    143, 10, 104, 29, 0, 0, 0, 0, 81, 62, 0, 0, 2, 144, 10, 112, 29, 0, 0, 0, 0, 134, 62, 0, 0, 2,
    145, 10, 116, 29, 0, 0, 0, 0, 142, 108, 0, 0, 2, 146, 10, 120, 29, 0, 0, 0, 0, 236, 24, 0, 0,
    2, 147, 10, 124, 29, 0, 0, 0, 0, 236, 24, 0, 0, 2, 148, 10, 126, 29, 0, 0, 0, 0, 3, 27, 0, 0,
    2, 149, 10, 128, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 150, 10, 136, 44, 63, 100, 0, 0, 2, 151, 10,
    144, 34, 40, 2, 151, 10, 29, 0, 0, 0, 0, 165, 108, 0, 0, 2, 152, 10, 0, 44, 90, 100, 0, 0, 2,
    153, 10, 0, 30, 40, 2, 153, 10, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 154, 10, 0, 29, 0, 0, 0, 0,
    90, 22, 0, 0, 2, 155, 10, 8, 29, 0, 0, 0, 0, 52, 109, 0, 0, 2, 156, 10, 16, 29, 0, 0, 0, 0, 31,
    115, 0, 0, 2, 157, 10, 24, 29, 0, 0, 0, 0, 154, 27, 0, 0, 2, 158, 10, 32, 0, 0, 44, 171, 100,
    0, 0, 2, 161, 10, 184, 34, 32, 2, 161, 10, 29, 0, 0, 0, 0, 209, 110, 0, 0, 2, 162, 10, 0, 44,
    198, 100, 0, 0, 2, 163, 10, 0, 30, 32, 2, 163, 10, 29, 0, 0, 0, 0, 195, 21, 0, 0, 2, 164, 10,
    0, 29, 0, 0, 0, 0, 85, 115, 0, 0, 2, 165, 10, 16, 0, 0, 29, 0, 0, 0, 0, 105, 113, 0, 0, 2, 168,
    10, 216, 0, 39, 1, 101, 0, 0, 0, 0, 0, 0, 2, 88, 10, 12, 12, 101, 0, 0, 0, 0, 0, 0, 2, 89, 12,
    147, 26, 0, 0, 0, 0, 0, 0, 2, 28, 9, 28, 101, 0, 0, 35, 0, 0, 0, 0, 40, 2, 133, 163, 29, 0, 0,
    0, 0, 28, 22, 0, 0, 2, 134, 163, 0, 29, 0, 0, 0, 0, 90, 101, 0, 0, 2, 135, 163, 16, 29, 0, 0,
    0, 0, 111, 101, 0, 0, 2, 136, 163, 24, 29, 0, 0, 0, 0, 33, 67, 0, 0, 2, 137, 163, 32, 0, 36, 0,
    0, 0, 0, 8, 2, 122, 8, 0, 0, 0, 0, 185, 21, 0, 0, 2, 123, 0, 0, 9, 116, 101, 0, 0, 38, 15, 123,
    101, 0, 0, 0, 9, 128, 101, 0, 0, 35, 0, 0, 0, 0, 96, 2, 205, 163, 44, 146, 101, 0, 0, 2, 206,
    163, 0, 34, 16, 2, 206, 163, 29, 0, 0, 0, 0, 28, 22, 0, 0, 2, 207, 163, 0, 29, 0, 0, 0, 0, 177,
    66, 0, 0, 2, 208, 163, 0, 0, 29, 0, 0, 0, 0, 27, 102, 0, 0, 2, 210, 163, 16, 29, 0, 0, 0, 0,
    152, 21, 0, 0, 2, 211, 163, 24, 29, 0, 0, 0, 0, 23, 101, 0, 0, 2, 212, 163, 40, 29, 0, 0, 0, 0,
    152, 21, 0, 0, 2, 213, 163, 48, 29, 0, 0, 0, 0, 244, 107, 0, 0, 2, 214, 163, 64, 29, 0, 0, 0,
    0, 26, 1, 0, 0, 2, 215, 163, 72, 29, 0, 0, 0, 0, 109, 22, 0, 0, 2, 216, 163, 80, 29, 0, 0, 0,
    0, 221, 107, 0, 0, 2, 217, 163, 88, 0, 9, 32, 102, 0, 0, 35, 0, 0, 0, 0, 80, 2, 191, 163, 29,
    0, 0, 0, 0, 28, 22, 0, 0, 2, 192, 163, 0, 29, 0, 0, 0, 0, 185, 102, 0, 0, 2, 193, 163, 16, 29,
    0, 0, 0, 0, 109, 103, 0, 0, 2, 194, 163, 24, 29, 0, 0, 0, 0, 90, 101, 0, 0, 2, 195, 163, 32,
    29, 0, 0, 0, 0, 211, 107, 0, 0, 2, 196, 163, 40, 29, 0, 0, 0, 0, 216, 107, 0, 0, 2, 197, 163,
    48, 29, 0, 0, 0, 0, 221, 107, 0, 0, 2, 198, 163, 56, 29, 0, 0, 0, 0, 33, 67, 0, 0, 2, 199, 163,
    60, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 200, 163, 64, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 201, 163, 68,
    29, 0, 0, 0, 0, 181, 51, 0, 0, 2, 202, 163, 72, 0, 9, 190, 102, 0, 0, 35, 0, 0, 0, 0, 24, 2,
    182, 163, 44, 208, 102, 0, 0, 2, 183, 163, 0, 34, 16, 2, 183, 163, 29, 0, 0, 0, 0, 28, 22, 0,
    0, 2, 184, 163, 0, 29, 0, 0, 0, 0, 11, 103, 0, 0, 2, 185, 163, 0, 0, 29, 0, 0, 0, 0, 177, 66,
    0, 0, 2, 187, 163, 16, 29, 0, 0, 0, 0, 23, 103, 0, 0, 2, 188, 163, 20, 0, 3, 90, 22, 0, 0, 4,
    82, 0, 0, 0, 2, 0, 3, 35, 103, 0, 0, 4, 82, 0, 0, 0, 0, 0, 35, 0, 0, 0, 0, 16, 2, 175, 163, 29,
    0, 0, 0, 0, 90, 2, 0, 0, 2, 176, 163, 0, 29, 0, 0, 0, 0, 97, 103, 0, 0, 2, 177, 163, 4, 29, 0,
    0, 0, 0, 27, 1, 0, 0, 2, 178, 163, 8, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 179, 163, 12, 0, 3, 27,
    1, 0, 0, 4, 82, 0, 0, 0, 1, 0, 9, 114, 103, 0, 0, 35, 0, 0, 0, 0, 176, 2, 170, 34, 29, 0, 0, 0,
    0, 128, 104, 0, 0, 2, 171, 34, 0, 29, 0, 0, 0, 0, 190, 104, 0, 0, 2, 172, 34, 32, 29, 0, 0, 0,
    0, 190, 104, 0, 0, 2, 173, 34, 56, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 174, 34, 80, 29, 0, 0, 0, 0,
    38, 1, 0, 0, 2, 175, 34, 84, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 176, 34, 88, 29, 0, 0, 0, 0, 38,
    1, 0, 0, 2, 177, 34, 92, 29, 0, 0, 0, 0, 181, 51, 0, 0, 2, 178, 34, 96, 29, 0, 0, 0, 0, 38, 1,
    0, 0, 2, 179, 34, 100, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 180, 34, 104, 29, 0, 0, 0, 0, 38, 1, 0,
    0, 2, 181, 34, 108, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 182, 34, 112, 29, 0, 0, 0, 0, 38, 1, 0, 0,
    2, 183, 34, 116, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 184, 34, 120, 29, 0, 0, 0, 0, 220, 54, 0, 0,
    2, 185, 34, 128, 29, 0, 0, 0, 0, 238, 104, 0, 0, 2, 186, 34, 136, 29, 0, 0, 0, 0, 238, 104, 0,
    0, 2, 187, 34, 144, 29, 0, 0, 0, 0, 209, 105, 0, 0, 2, 188, 34, 152, 29, 0, 0, 0, 0, 177, 106,
    0, 0, 2, 189, 34, 160, 29, 0, 0, 0, 0, 27, 102, 0, 0, 2, 190, 34, 168, 0, 35, 0, 0, 0, 0, 32,
    2, 135, 2, 29, 0, 0, 0, 0, 173, 23, 0, 0, 2, 136, 2, 0, 29, 0, 0, 0, 0, 33, 67, 0, 0, 2, 137,
    2, 8, 29, 0, 0, 0, 0, 132, 95, 0, 0, 2, 138, 2, 12, 29, 0, 0, 0, 0, 195, 21, 0, 0, 2, 139, 2,
    16, 0, 39, 202, 104, 0, 0, 0, 0, 0, 0, 2, 118, 7, 35, 0, 0, 0, 0, 24, 2, 113, 7, 29, 0, 0, 0,
    0, 33, 67, 0, 0, 2, 114, 7, 0, 29, 0, 0, 0, 0, 195, 21, 0, 0, 2, 115, 7, 8, 0, 9, 243, 104, 0,
    0, 35, 0, 0, 0, 0, 48, 2, 186, 13, 29, 0, 0, 0, 0, 75, 105, 0, 0, 2, 187, 13, 0, 29, 0, 0, 0,
    0, 168, 0, 0, 0, 2, 188, 13, 8, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 189, 13, 12, 29, 0, 0, 0, 0,
    238, 104, 0, 0, 2, 190, 13, 16, 29, 0, 0, 0, 0, 61, 78, 0, 0, 2, 191, 13, 24, 29, 0, 0, 0, 0,
    28, 22, 0, 0, 2, 192, 13, 32, 0, 12, 86, 105, 0, 0, 0, 0, 0, 0, 2, 212, 7, 8, 2, 210, 8, 0, 0,
    0, 0, 103, 105, 0, 0, 2, 211, 0, 0, 12, 114, 105, 0, 0, 0, 0, 0, 0, 2, 194, 36, 0, 0, 0, 0, 8,
    2, 183, 47, 130, 105, 0, 0, 2, 184, 0, 48, 4, 2, 184, 8, 0, 0, 0, 0, 242, 23, 0, 0, 2, 185, 0,
    47, 154, 105, 0, 0, 2, 186, 0, 7, 4, 2, 186, 8, 0, 0, 0, 0, 218, 67, 0, 0, 2, 187, 0, 8, 0, 0,
    0, 0, 197, 105, 0, 0, 2, 188, 1, 0, 0, 8, 0, 0, 0, 0, 99, 67, 0, 0, 2, 191, 4, 0, 3, 218, 67,
    0, 0, 4, 82, 0, 0, 0, 3, 0, 9, 214, 105, 0, 0, 35, 0, 0, 0, 0, 40, 2, 223, 45, 29, 0, 0, 0, 0,
    220, 54, 0, 0, 2, 224, 45, 0, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 225, 45, 8, 29, 0, 0, 0, 0, 38,
    1, 0, 0, 2, 226, 45, 12, 29, 0, 0, 0, 0, 46, 106, 0, 0, 2, 227, 45, 16, 29, 0, 0, 0, 0, 38, 1,
    0, 0, 2, 228, 45, 24, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 229, 45, 32, 0, 9, 51, 106, 0, 0, 37,
    56, 106, 0, 0, 35, 0, 0, 0, 0, 32, 2, 232, 45, 29, 0, 0, 0, 0, 118, 106, 0, 0, 2, 233, 45, 0,
    29, 0, 0, 0, 0, 139, 106, 0, 0, 2, 234, 45, 8, 29, 0, 0, 0, 0, 156, 106, 0, 0, 2, 235, 45, 16,
    29, 0, 0, 0, 0, 156, 106, 0, 0, 2, 236, 45, 24, 0, 9, 123, 106, 0, 0, 14, 168, 0, 0, 0, 15,
    109, 103, 0, 0, 15, 209, 105, 0, 0, 0, 9, 144, 106, 0, 0, 38, 15, 109, 103, 0, 0, 15, 209, 105,
    0, 0, 0, 9, 161, 106, 0, 0, 14, 181, 51, 0, 0, 15, 109, 103, 0, 0, 15, 209, 105, 0, 0, 0, 9,
    182, 106, 0, 0, 35, 0, 0, 0, 0, 136, 2, 132, 9, 29, 0, 0, 0, 0, 254, 62, 0, 0, 2, 133, 9, 0,
    29, 0, 0, 0, 0, 242, 23, 0, 0, 2, 134, 9, 4, 29, 0, 0, 0, 0, 242, 23, 0, 0, 2, 135, 9, 8, 29,
    0, 0, 0, 0, 242, 23, 0, 0, 2, 136, 9, 12, 29, 0, 0, 0, 0, 173, 23, 0, 0, 2, 137, 9, 16, 29, 0,
    0, 0, 0, 90, 22, 0, 0, 2, 138, 9, 24, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 139, 9, 32, 29, 0, 0, 0,
    0, 90, 22, 0, 0, 2, 140, 9, 40, 29, 0, 0, 0, 0, 173, 23, 0, 0, 2, 141, 9, 48, 29, 0, 0, 0, 0,
    152, 21, 0, 0, 2, 142, 9, 56, 29, 0, 0, 0, 0, 81, 62, 0, 0, 2, 143, 9, 72, 29, 0, 0, 0, 0, 173,
    23, 0, 0, 2, 144, 9, 80, 29, 0, 0, 0, 0, 242, 23, 0, 0, 2, 145, 9, 88, 29, 0, 0, 0, 0, 118,
    107, 0, 0, 2, 146, 9, 96, 0, 36, 0, 0, 0, 0, 40, 2, 214, 8, 0, 0, 0, 0, 155, 95, 0, 0, 2, 215,
    0, 8, 0, 0, 0, 0, 168, 0, 0, 0, 2, 216, 4, 8, 0, 0, 0, 0, 168, 0, 0, 0, 2, 217, 8, 8, 0, 0, 0,
    0, 168, 0, 0, 0, 2, 218, 12, 8, 0, 0, 0, 0, 168, 0, 0, 0, 2, 219, 16, 8, 0, 0, 0, 0, 90, 22, 0,
    0, 2, 220, 24, 8, 0, 0, 0, 0, 90, 22, 0, 0, 2, 221, 32, 0, 9, 220, 54, 0, 0, 9, 90, 22, 0, 0,
    35, 0, 0, 0, 0, 4, 2, 206, 19, 29, 0, 0, 0, 0, 254, 62, 0, 0, 2, 207, 19, 0, 0, 9, 249, 107, 0,
    0, 37, 181, 97, 0, 0, 9, 3, 108, 0, 0, 35, 0, 0, 0, 0, 88, 2, 105, 196, 29, 0, 0, 0, 0, 229,
    39, 0, 0, 2, 106, 196, 0, 29, 0, 0, 0, 0, 128, 104, 0, 0, 2, 107, 196, 24, 29, 0, 0, 0, 0, 33,
    67, 0, 0, 2, 108, 196, 56, 29, 0, 0, 0, 0, 254, 62, 0, 0, 2, 109, 196, 60, 29, 0, 0, 0, 0, 242,
    23, 0, 0, 2, 110, 196, 64, 29, 0, 0, 0, 0, 242, 23, 0, 0, 2, 111, 196, 68, 29, 0, 0, 0, 0, 81,
    62, 0, 0, 2, 112, 196, 72, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 113, 196, 76, 29, 0, 0, 0, 0, 168,
    0, 0, 0, 2, 114, 196, 80, 0, 39, 224, 23, 0, 0, 0, 0, 0, 0, 2, 27, 1, 39, 154, 108, 0, 0, 0, 0,
    0, 0, 2, 90, 10, 12, 177, 66, 0, 0, 0, 0, 0, 0, 2, 91, 35, 0, 0, 0, 0, 40, 2, 96, 10, 29, 0, 0,
    0, 0, 90, 22, 0, 0, 2, 97, 10, 0, 44, 196, 108, 0, 0, 2, 98, 10, 8, 34, 8, 2, 98, 10, 44, 210,
    108, 0, 0, 2, 99, 10, 0, 30, 8, 2, 99, 10, 29, 0, 0, 0, 0, 229, 67, 0, 0, 2, 100, 10, 0, 29, 0,
    0, 0, 0, 40, 109, 0, 0, 2, 101, 10, 2, 0, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 103, 10, 0, 0, 29,
    0, 0, 0, 0, 52, 109, 0, 0, 2, 105, 10, 16, 29, 0, 0, 0, 0, 31, 115, 0, 0, 2, 106, 10, 24, 29,
    0, 0, 0, 0, 233, 21, 0, 0, 2, 107, 10, 32, 0, 3, 75, 0, 0, 0, 4, 82, 0, 0, 0, 6, 0, 9, 57, 109,
    0, 0, 35, 0, 0, 0, 0, 168, 2, 83, 12, 29, 0, 0, 0, 0, 233, 21, 0, 0, 2, 84, 12, 0, 29, 0, 0, 0,
    0, 36, 54, 0, 0, 2, 85, 12, 8, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 86, 12, 16, 29, 0, 0, 0, 0, 84,
    110, 0, 0, 2, 87, 12, 24, 29, 0, 0, 0, 0, 100, 110, 0, 0, 2, 88, 12, 32, 29, 0, 0, 0, 0, 1,
    111, 0, 0, 2, 89, 12, 40, 29, 0, 0, 0, 0, 13, 111, 0, 0, 2, 90, 12, 48, 29, 0, 0, 0, 0, 13,
    111, 0, 0, 2, 91, 12, 56, 29, 0, 0, 0, 0, 34, 111, 0, 0, 2, 92, 12, 64, 29, 0, 0, 0, 0, 158,
    111, 0, 0, 2, 93, 12, 72, 29, 0, 0, 0, 0, 170, 111, 0, 0, 2, 94, 12, 80, 29, 0, 0, 0, 0, 170,
    111, 0, 0, 2, 95, 12, 88, 29, 0, 0, 0, 0, 182, 111, 0, 0, 2, 96, 12, 96, 29, 0, 0, 0, 0, 30,
    113, 0, 0, 2, 97, 12, 104, 29, 0, 0, 0, 0, 56, 113, 0, 0, 2, 98, 12, 112, 29, 0, 0, 0, 0, 89,
    113, 0, 0, 2, 99, 12, 120, 29, 0, 0, 0, 0, 222, 113, 0, 0, 2, 100, 12, 128, 29, 0, 0, 0, 0,
    222, 114, 0, 0, 2, 101, 12, 136, 29, 0, 0, 0, 0, 253, 114, 0, 0, 2, 102, 12, 144, 29, 0, 0, 0,
    0, 195, 21, 0, 0, 2, 103, 12, 152, 29, 0, 0, 0, 0, 23, 115, 0, 0, 2, 104, 12, 168, 0, 9, 89,
    110, 0, 0, 14, 168, 0, 0, 0, 15, 233, 21, 0, 0, 0, 9, 105, 110, 0, 0, 14, 168, 0, 0, 0, 15,
    116, 110, 0, 0, 0, 9, 121, 110, 0, 0, 35, 0, 0, 0, 0, 72, 2, 102, 131, 29, 0, 0, 0, 0, 154, 27,
    0, 0, 2, 103, 131, 0, 29, 0, 0, 0, 0, 209, 110, 0, 0, 2, 104, 131, 8, 29, 0, 0, 0, 0, 45, 1, 0,
    0, 2, 105, 131, 40, 29, 0, 0, 0, 0, 36, 54, 0, 0, 2, 106, 131, 48, 29, 0, 0, 0, 0, 36, 54, 0,
    0, 2, 107, 131, 56, 29, 0, 0, 0, 0, 130, 108, 0, 0, 2, 108, 131, 64, 0, 52, 0, 0, 0, 0, 32, 2,
    110, 10, 29, 0, 0, 0, 0, 26, 1, 0, 0, 2, 111, 10, 0, 29, 0, 0, 0, 0, 245, 110, 0, 0, 2, 112,
    10, 0, 0, 3, 26, 1, 0, 0, 4, 82, 0, 0, 0, 4, 0, 9, 6, 111, 0, 0, 38, 15, 116, 110, 0, 0, 0, 9,
    18, 111, 0, 0, 14, 168, 0, 0, 0, 15, 32, 99, 0, 0, 15, 116, 110, 0, 0, 0, 9, 39, 111, 0, 0, 14,
    168, 0, 0, 0, 15, 50, 111, 0, 0, 0, 9, 55, 111, 0, 0, 35, 0, 0, 0, 0, 32, 2, 111, 131, 29, 0,
    0, 0, 0, 117, 111, 0, 0, 2, 112, 131, 0, 29, 0, 0, 0, 0, 45, 1, 0, 0, 2, 113, 131, 8, 29, 0, 0,
    0, 0, 26, 1, 0, 0, 2, 114, 131, 16, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 115, 131, 24, 0, 9, 122,
    111, 0, 0, 14, 181, 51, 0, 0, 15, 138, 111, 0, 0, 15, 148, 111, 0, 0, 0, 9, 143, 111, 0, 0, 37,
    37, 99, 0, 0, 9, 153, 111, 0, 0, 37, 55, 111, 0, 0, 9, 163, 111, 0, 0, 38, 15, 50, 111, 0, 0,
    0, 9, 175, 111, 0, 0, 38, 15, 32, 99, 0, 0, 0, 9, 187, 111, 0, 0, 38, 15, 138, 111, 0, 0, 15,
    199, 111, 0, 0, 0, 9, 204, 111, 0, 0, 35, 0, 0, 0, 0, 120, 2, 134, 19, 29, 0, 0, 0, 0, 154, 27,
    0, 0, 2, 135, 19, 0, 29, 0, 0, 0, 0, 36, 54, 0, 0, 2, 136, 19, 8, 29, 0, 0, 0, 0, 36, 54, 0, 0,
    2, 137, 19, 16, 29, 0, 0, 0, 0, 36, 54, 0, 0, 2, 138, 19, 24, 29, 0, 0, 0, 0, 36, 54, 0, 0, 2,
    139, 19, 32, 29, 0, 0, 0, 0, 40, 73, 0, 0, 2, 140, 19, 40, 29, 0, 0, 0, 0, 40, 73, 0, 0, 2,
    141, 19, 48, 29, 0, 0, 0, 0, 128, 104, 0, 0, 2, 142, 19, 56, 29, 0, 0, 0, 0, 114, 112, 0, 0, 2,
    143, 19, 88, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 144, 19, 96, 29, 0, 0, 0, 0, 20, 113, 0, 0, 2,
    145, 19, 104, 29, 0, 0, 0, 0, 26, 1, 0, 0, 2, 146, 19, 112, 0, 9, 119, 112, 0, 0, 37, 124, 112,
    0, 0, 35, 0, 0, 0, 0, 32, 2, 80, 15, 29, 0, 0, 0, 0, 186, 112, 0, 0, 2, 81, 15, 0, 29, 0, 0, 0,
    0, 212, 112, 0, 0, 2, 82, 15, 8, 29, 0, 0, 0, 0, 229, 112, 0, 0, 2, 83, 15, 16, 29, 0, 0, 0, 0,
    255, 112, 0, 0, 2, 84, 15, 24, 0, 9, 191, 112, 0, 0, 14, 26, 1, 0, 0, 15, 199, 111, 0, 0, 15,
    207, 112, 0, 0, 0, 9, 40, 73, 0, 0, 9, 217, 112, 0, 0, 38, 15, 199, 111, 0, 0, 15, 26, 1, 0, 0,
    0, 9, 234, 112, 0, 0, 14, 26, 1, 0, 0, 15, 199, 111, 0, 0, 15, 26, 1, 0, 0, 15, 207, 112, 0, 0,
    0, 9, 4, 113, 0, 0, 14, 168, 0, 0, 0, 15, 199, 111, 0, 0, 15, 26, 1, 0, 0, 0, 9, 25, 113, 0, 0,
    37, 66, 78, 0, 0, 9, 35, 113, 0, 0, 14, 19, 1, 0, 0, 15, 138, 111, 0, 0, 15, 154, 27, 0, 0, 15,
    36, 54, 0, 0, 0, 39, 68, 113, 0, 0, 0, 0, 0, 0, 2, 73, 12, 9, 73, 113, 0, 0, 14, 168, 0, 0, 0,
    15, 32, 99, 0, 0, 15, 26, 1, 0, 0, 0, 9, 94, 113, 0, 0, 14, 105, 113, 0, 0, 15, 233, 21, 0, 0,
    0, 9, 110, 113, 0, 0, 35, 0, 0, 0, 0, 24, 2, 109, 12, 29, 0, 0, 0, 0, 159, 113, 0, 0, 2, 110,
    12, 0, 29, 0, 0, 0, 0, 32, 99, 0, 0, 2, 111, 12, 8, 29, 0, 0, 0, 0, 52, 109, 0, 0, 2, 112, 12,
    16, 0, 39, 171, 113, 0, 0, 0, 0, 0, 0, 2, 107, 12, 9, 176, 113, 0, 0, 14, 168, 0, 0, 0, 15, 32,
    99, 0, 0, 15, 202, 113, 0, 0, 15, 212, 113, 0, 0, 15, 32, 99, 0, 0, 0, 9, 207, 113, 0, 0, 37,
    57, 109, 0, 0, 9, 217, 113, 0, 0, 37, 209, 110, 0, 0, 9, 227, 113, 0, 0, 14, 168, 0, 0, 0, 15,
    243, 113, 0, 0, 15, 129, 114, 0, 0, 0, 9, 248, 113, 0, 0, 37, 253, 113, 0, 0, 35, 0, 0, 0, 0,
    48, 2, 89, 131, 29, 0, 0, 0, 0, 32, 99, 0, 0, 2, 90, 131, 0, 29, 0, 0, 0, 0, 233, 21, 0, 0, 2,
    91, 131, 8, 29, 0, 0, 0, 0, 233, 21, 0, 0, 2, 92, 131, 16, 29, 0, 0, 0, 0, 154, 27, 0, 0, 2,
    93, 131, 24, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 94, 131, 32, 44, 80, 114, 0, 0, 2, 95, 131, 36,
    34, 4, 2, 95, 131, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 96, 131, 0, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2,
    97, 131, 0, 0, 45, 0, 0, 0, 0, 204, 6, 0, 0, 2, 99, 131, 4, 8, 24, 40, 0, 9, 134, 114, 0, 0,
    35, 0, 0, 0, 0, 16, 2, 73, 131, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 74, 131, 0, 29, 0, 0, 0, 0, 27,
    1, 0, 0, 2, 75, 131, 4, 29, 0, 0, 0, 0, 225, 24, 0, 0, 2, 76, 131, 8, 29, 0, 0, 0, 0, 225, 24,
    0, 0, 2, 77, 131, 10, 29, 0, 0, 0, 0, 225, 24, 0, 0, 2, 78, 131, 12, 29, 0, 0, 0, 0, 225, 24,
    0, 0, 2, 79, 131, 14, 0, 9, 227, 114, 0, 0, 14, 168, 0, 0, 0, 15, 248, 114, 0, 0, 15, 45, 1, 0,
    0, 15, 26, 1, 0, 0, 0, 9, 253, 113, 0, 0, 9, 2, 115, 0, 0, 14, 168, 0, 0, 0, 15, 248, 114, 0,
    0, 15, 45, 1, 0, 0, 15, 45, 1, 0, 0, 0, 53, 0, 0, 0, 0, 0, 2, 136, 9, 36, 115, 0, 0, 35, 0, 0,
    0, 0, 24, 2, 67, 12, 29, 0, 0, 0, 0, 28, 22, 0, 0, 2, 68, 12, 0, 29, 0, 0, 0, 0, 254, 62, 0, 0,
    2, 69, 12, 16, 29, 0, 0, 0, 0, 181, 51, 0, 0, 2, 70, 12, 20, 0, 35, 0, 0, 0, 0, 16, 2, 117, 10,
    29, 0, 0, 0, 0, 121, 115, 0, 0, 2, 118, 10, 0, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 119, 10, 8, 0,
    9, 126, 115, 0, 0, 43, 0, 0, 0, 0, 9, 136, 115, 0, 0, 28, 0, 0, 0, 0, 24, 2, 2, 190, 16, 29, 0,
    0, 0, 0, 148, 116, 0, 0, 2, 191, 16, 0, 29, 0, 0, 0, 0, 148, 116, 0, 0, 2, 192, 16, 72, 29, 0,
    0, 0, 0, 148, 116, 0, 0, 2, 193, 16, 144, 29, 0, 0, 0, 0, 242, 23, 0, 0, 2, 194, 16, 216, 29,
    0, 0, 0, 0, 131, 115, 0, 0, 2, 195, 16, 224, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 196, 16, 232, 29,
    0, 0, 0, 0, 81, 62, 0, 0, 2, 197, 16, 236, 29, 0, 0, 0, 0, 134, 62, 0, 0, 2, 198, 16, 240, 29,
    0, 0, 0, 0, 50, 117, 0, 0, 2, 199, 16, 248, 31, 0, 0, 0, 0, 90, 22, 0, 0, 2, 200, 16, 16, 1,
    31, 0, 0, 0, 0, 195, 21, 0, 0, 2, 201, 16, 24, 1, 31, 0, 0, 0, 0, 32, 99, 0, 0, 2, 202, 16, 40,
    1, 31, 0, 0, 0, 0, 57, 95, 0, 0, 2, 203, 16, 48, 1, 31, 0, 0, 0, 0, 32, 99, 0, 0, 2, 204, 16,
    88, 1, 31, 0, 0, 0, 0, 117, 158, 0, 0, 2, 205, 16, 96, 1, 31, 0, 0, 0, 0, 115, 88, 1, 0, 2,
    206, 16, 128, 1, 31, 0, 0, 0, 0, 228, 90, 1, 0, 2, 207, 16, 224, 1, 31, 0, 0, 0, 0, 185, 71, 1,
    0, 2, 208, 16, 232, 1, 31, 0, 0, 0, 0, 191, 118, 2, 0, 2, 209, 16, 240, 1, 0, 35, 0, 0, 0, 0,
    72, 2, 130, 16, 29, 0, 0, 0, 0, 177, 66, 0, 0, 2, 131, 16, 0, 44, 179, 116, 0, 0, 2, 132, 16,
    8, 34, 64, 2, 132, 16, 29, 0, 0, 0, 0, 240, 116, 0, 0, 2, 133, 16, 0, 44, 206, 116, 0, 0, 2,
    134, 16, 0, 30, 16, 2, 134, 16, 29, 0, 0, 0, 0, 45, 117, 0, 0, 2, 135, 16, 0, 29, 0, 0, 0, 0,
    45, 117, 0, 0, 2, 136, 16, 8, 0, 0, 0, 3, 252, 116, 0, 0, 4, 82, 0, 0, 0, 5, 0, 35, 0, 0, 0, 0,
    12, 2, 124, 16, 29, 0, 0, 0, 0, 177, 66, 0, 0, 2, 125, 16, 0, 29, 0, 0, 0, 0, 177, 66, 0, 0, 2,
    126, 16, 4, 29, 0, 0, 0, 0, 177, 66, 0, 0, 2, 127, 16, 8, 0, 9, 252, 116, 0, 0, 35, 0, 0, 0, 0,
    24, 2, 143, 16, 29, 0, 0, 0, 0, 173, 23, 0, 0, 2, 144, 16, 0, 29, 0, 0, 0, 0, 99, 117, 0, 0, 2,
    145, 16, 8, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 146, 16, 16, 0, 9, 104, 117, 0, 0, 37, 109, 117, 0,
    0, 35, 0, 0, 0, 0, 64, 2, 225, 24, 29, 0, 0, 0, 0, 233, 21, 0, 0, 2, 226, 24, 0, 29, 0, 0, 0,
    0, 233, 21, 0, 0, 2, 227, 24, 8, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 228, 24, 16, 29, 0, 0, 0, 0,
    223, 117, 0, 0, 2, 229, 24, 24, 29, 0, 0, 0, 0, 59, 118, 2, 0, 2, 230, 24, 32, 29, 0, 0, 0, 0,
    71, 118, 2, 0, 2, 231, 24, 40, 29, 0, 0, 0, 0, 159, 118, 2, 0, 2, 232, 24, 48, 29, 0, 0, 0, 0,
    175, 118, 2, 0, 2, 233, 24, 56, 0, 9, 228, 117, 0, 0, 14, 239, 117, 0, 0, 15, 244, 117, 0, 0,
    0, 9, 50, 117, 0, 0, 9, 249, 117, 0, 0, 28, 0, 0, 0, 0, 64, 43, 2, 131, 3, 29, 0, 0, 0, 0, 165,
    130, 0, 0, 2, 132, 3, 0, 29, 0, 0, 0, 0, 201, 130, 0, 0, 2, 133, 3, 16, 29, 0, 0, 0, 0, 26, 1,
    0, 0, 2, 134, 3, 24, 29, 0, 0, 0, 0, 254, 62, 0, 0, 2, 135, 3, 32, 29, 0, 0, 0, 0, 38, 1, 0, 0,
    2, 136, 3, 36, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 137, 3, 40, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2,
    138, 3, 44, 29, 0, 0, 0, 0, 206, 130, 0, 0, 2, 139, 3, 48, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 140,
    3, 64, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 141, 3, 68, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 142, 3, 72,
    29, 0, 0, 0, 0, 244, 117, 0, 0, 2, 143, 3, 80, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 144, 3, 88, 29,
    0, 0, 0, 0, 168, 0, 0, 0, 2, 145, 3, 92, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 146, 3, 96, 29, 0, 0,
    0, 0, 168, 0, 0, 0, 2, 147, 3, 100, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 148, 3, 104, 29, 0, 0, 0,
    0, 168, 0, 0, 0, 2, 149, 3, 108, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 150, 3, 112, 29, 0, 0, 0, 0,
    14, 131, 0, 0, 2, 151, 3, 120, 29, 0, 0, 0, 0, 109, 139, 0, 0, 2, 152, 3, 128, 31, 0, 0, 0, 0,
    50, 61, 1, 0, 2, 153, 3, 64, 2, 31, 0, 0, 0, 0, 95, 142, 0, 0, 2, 154, 3, 112, 2, 31, 0, 0, 0,
    0, 156, 61, 1, 0, 2, 155, 3, 120, 2, 31, 0, 0, 0, 0, 201, 47, 1, 0, 2, 156, 3, 80, 3, 31, 0, 0,
    0, 0, 201, 47, 1, 0, 2, 157, 3, 88, 3, 31, 0, 0, 0, 0, 90, 101, 0, 0, 2, 158, 3, 96, 3, 31, 0,
    0, 0, 0, 38, 1, 0, 0, 2, 159, 3, 104, 3, 31, 0, 0, 0, 0, 38, 1, 0, 0, 2, 160, 3, 108, 3, 31, 0,
    0, 0, 0, 168, 0, 0, 0, 2, 161, 3, 112, 3, 31, 0, 0, 0, 0, 238, 247, 0, 0, 2, 162, 3, 120, 3,
    31, 0, 0, 0, 0, 248, 247, 0, 0, 2, 163, 3, 128, 3, 31, 0, 0, 0, 0, 168, 0, 0, 0, 2, 164, 3,
    168, 3, 31, 0, 0, 0, 0, 133, 62, 1, 0, 2, 165, 3, 172, 3, 31, 0, 0, 0, 0, 195, 21, 0, 0, 2,
    166, 3, 176, 3, 31, 0, 0, 0, 0, 227, 62, 1, 0, 2, 167, 3, 192, 3, 31, 0, 0, 0, 0, 90, 22, 0, 0,
    2, 168, 3, 200, 3, 31, 0, 0, 0, 0, 218, 67, 0, 0, 2, 169, 3, 208, 3, 31, 0, 0, 0, 0, 218, 67,
    0, 0, 2, 170, 3, 209, 3, 31, 0, 0, 0, 0, 168, 0, 0, 0, 2, 171, 3, 212, 3, 31, 0, 0, 0, 0, 195,
    21, 0, 0, 2, 172, 3, 216, 3, 31, 0, 0, 0, 0, 156, 56, 1, 0, 2, 173, 3, 232, 3, 31, 0, 0, 0, 0,
    195, 21, 0, 0, 2, 174, 3, 8, 4, 31, 0, 0, 0, 0, 15, 204, 0, 0, 2, 175, 3, 24, 4, 31, 0, 0, 0,
    0, 229, 39, 0, 0, 2, 176, 3, 64, 4, 31, 0, 0, 0, 0, 104, 91, 0, 0, 2, 177, 3, 88, 4, 31, 0, 0,
    0, 0, 104, 91, 0, 0, 2, 178, 3, 96, 4, 31, 0, 0, 0, 0, 20, 65, 1, 0, 2, 179, 3, 104, 4, 31, 0,
    0, 0, 0, 68, 65, 1, 0, 2, 180, 3, 144, 4, 31, 0, 0, 0, 0, 168, 0, 0, 0, 2, 181, 3, 164, 4, 31,
    0, 0, 0, 0, 168, 0, 0, 0, 2, 182, 3, 168, 4, 31, 0, 0, 0, 0, 168, 0, 0, 0, 2, 183, 3, 172, 4,
    31, 0, 0, 0, 0, 168, 0, 0, 0, 2, 184, 3, 176, 4, 31, 0, 0, 0, 0, 90, 22, 0, 0, 2, 185, 3, 184,
    4, 31, 0, 0, 0, 0, 38, 1, 0, 0, 2, 186, 3, 192, 4, 32, 0, 0, 0, 0, 38, 1, 0, 0, 2, 187, 3, 4,
    1, 31, 196, 4, 32, 0, 0, 0, 0, 38, 1, 0, 0, 2, 188, 3, 4, 1, 30, 196, 4, 32, 0, 0, 0, 0, 38, 1,
    0, 0, 2, 189, 3, 4, 1, 29, 196, 4, 32, 0, 0, 0, 0, 38, 1, 0, 0, 2, 190, 3, 4, 1, 28, 196, 4,
    32, 0, 0, 0, 0, 38, 1, 0, 0, 2, 192, 3, 4, 1, 31, 200, 4, 32, 0, 0, 0, 0, 38, 1, 0, 0, 2, 193,
    3, 4, 1, 30, 200, 4, 32, 0, 0, 0, 0, 38, 1, 0, 0, 2, 194, 3, 4, 1, 29, 200, 4, 32, 0, 0, 0, 0,
    38, 1, 0, 0, 2, 195, 3, 4, 1, 28, 200, 4, 32, 0, 0, 0, 0, 38, 1, 0, 0, 2, 196, 3, 4, 1, 27,
    200, 4, 32, 0, 0, 0, 0, 38, 1, 0, 0, 2, 197, 3, 4, 1, 26, 200, 4, 32, 0, 0, 0, 0, 38, 1, 0, 0,
    2, 198, 3, 4, 1, 25, 200, 4, 32, 0, 0, 0, 0, 38, 1, 0, 0, 2, 199, 3, 4, 1, 24, 200, 4, 32, 0,
    0, 0, 0, 38, 1, 0, 0, 2, 200, 3, 4, 1, 23, 200, 4, 31, 0, 0, 0, 0, 90, 22, 0, 0, 2, 201, 3,
    208, 4, 31, 0, 0, 0, 0, 104, 65, 1, 0, 2, 202, 3, 216, 4, 31, 0, 0, 0, 0, 122, 67, 1, 0, 2,
    203, 3, 8, 5, 31, 0, 0, 0, 0, 122, 67, 1, 0, 2, 204, 3, 12, 5, 31, 0, 0, 0, 0, 90, 22, 0, 0, 2,
    205, 3, 16, 5, 31, 0, 0, 0, 0, 244, 117, 0, 0, 2, 206, 3, 24, 5, 31, 0, 0, 0, 0, 244, 117, 0,
    0, 2, 207, 3, 32, 5, 31, 0, 0, 0, 0, 195, 21, 0, 0, 2, 208, 3, 40, 5, 31, 0, 0, 0, 0, 195, 21,
    0, 0, 2, 209, 3, 56, 5, 31, 0, 0, 0, 0, 244, 117, 0, 0, 2, 210, 3, 72, 5, 31, 0, 0, 0, 0, 195,
    21, 0, 0, 2, 211, 3, 80, 5, 31, 0, 0, 0, 0, 195, 21, 0, 0, 2, 212, 3, 96, 5, 31, 0, 0, 0, 0,
    144, 67, 1, 0, 2, 213, 3, 112, 5, 31, 0, 0, 0, 0, 21, 72, 1, 0, 2, 214, 3, 120, 5, 31, 0, 0, 0,
    0, 195, 21, 0, 0, 2, 215, 3, 184, 5, 31, 0, 0, 0, 0, 195, 21, 0, 0, 2, 216, 3, 200, 5, 31, 0,
    0, 0, 0, 54, 165, 0, 0, 2, 217, 3, 216, 5, 31, 0, 0, 0, 0, 176, 51, 0, 0, 2, 218, 3, 224, 5,
    31, 0, 0, 0, 0, 176, 51, 0, 0, 2, 219, 3, 232, 5, 31, 0, 0, 0, 0, 109, 22, 0, 0, 2, 220, 3,
    240, 5, 31, 0, 0, 0, 0, 109, 22, 0, 0, 2, 221, 3, 248, 5, 31, 0, 0, 0, 0, 109, 22, 0, 0, 2,
    222, 3, 0, 6, 31, 0, 0, 0, 0, 68, 158, 0, 0, 2, 223, 3, 8, 6, 31, 0, 0, 0, 0, 90, 22, 0, 0, 2,
    224, 3, 32, 6, 31, 0, 0, 0, 0, 90, 22, 0, 0, 2, 225, 3, 40, 6, 31, 0, 0, 0, 0, 109, 22, 0, 0,
    2, 226, 3, 48, 6, 31, 0, 0, 0, 0, 109, 22, 0, 0, 2, 227, 3, 56, 6, 31, 0, 0, 0, 0, 90, 22, 0,
    0, 2, 228, 3, 64, 6, 31, 0, 0, 0, 0, 90, 22, 0, 0, 2, 229, 3, 72, 6, 31, 0, 0, 0, 0, 33, 72, 1,
    0, 2, 230, 3, 80, 6, 31, 0, 0, 0, 0, 130, 72, 1, 0, 2, 231, 3, 160, 6, 31, 0, 0, 0, 0, 244,
    107, 0, 0, 2, 232, 3, 184, 6, 31, 0, 0, 0, 0, 244, 107, 0, 0, 2, 233, 3, 192, 6, 31, 0, 0, 0,
    0, 244, 107, 0, 0, 2, 234, 3, 200, 6, 31, 0, 0, 0, 0, 32, 99, 0, 0, 2, 235, 3, 208, 6, 31, 0,
    0, 0, 0, 73, 21, 0, 0, 2, 236, 3, 216, 6, 31, 0, 0, 0, 0, 166, 72, 1, 0, 2, 237, 3, 232, 6, 31,
    0, 0, 0, 0, 31, 74, 1, 0, 2, 238, 3, 240, 6, 31, 0, 0, 0, 0, 108, 74, 1, 0, 2, 239, 3, 248, 6,
    31, 0, 0, 0, 0, 90, 22, 0, 0, 2, 240, 3, 8, 7, 31, 0, 0, 0, 0, 90, 22, 0, 0, 2, 241, 3, 16, 7,
    31, 0, 0, 0, 0, 131, 74, 1, 0, 2, 242, 3, 24, 7, 31, 0, 0, 0, 0, 237, 74, 1, 0, 2, 243, 3, 32,
    7, 31, 0, 0, 0, 0, 250, 75, 1, 0, 2, 244, 3, 40, 7, 31, 0, 0, 0, 0, 87, 76, 1, 0, 2, 245, 3,
    48, 7, 31, 0, 0, 0, 0, 165, 194, 1, 0, 2, 246, 3, 56, 7, 31, 0, 0, 0, 0, 233, 218, 1, 0, 2,
    247, 3, 64, 7, 31, 0, 0, 0, 0, 46, 198, 1, 0, 2, 248, 3, 72, 7, 31, 0, 0, 0, 0, 46, 198, 1, 0,
    2, 249, 3, 80, 7, 31, 0, 0, 0, 0, 46, 198, 1, 0, 2, 250, 3, 88, 7, 31, 0, 0, 0, 0, 10, 198, 1,
    0, 2, 251, 3, 96, 7, 31, 0, 0, 0, 0, 90, 22, 0, 0, 2, 252, 3, 120, 7, 31, 0, 0, 0, 0, 36, 54,
    0, 0, 2, 253, 3, 128, 7, 31, 0, 0, 0, 0, 38, 1, 0, 0, 2, 254, 3, 136, 7, 31, 0, 0, 0, 0, 61,
    22, 0, 0, 2, 255, 3, 144, 7, 31, 0, 0, 0, 0, 207, 219, 1, 0, 2, 0, 4, 152, 7, 31, 0, 0, 0, 0,
    81, 62, 0, 0, 2, 1, 4, 160, 7, 31, 0, 0, 0, 0, 38, 1, 0, 0, 2, 2, 4, 164, 7, 31, 0, 0, 0, 0,
    23, 226, 1, 0, 2, 3, 4, 168, 7, 31, 0, 0, 0, 0, 109, 22, 0, 0, 2, 4, 4, 184, 7, 31, 0, 0, 0, 0,
    109, 22, 0, 0, 2, 5, 4, 192, 7, 31, 0, 0, 0, 0, 33, 67, 0, 0, 2, 6, 4, 200, 7, 31, 0, 0, 0, 0,
    155, 95, 0, 0, 2, 7, 4, 204, 7, 31, 0, 0, 0, 0, 38, 227, 1, 0, 2, 8, 4, 208, 7, 31, 0, 0, 0, 0,
    68, 139, 0, 0, 2, 9, 4, 216, 7, 31, 0, 0, 0, 0, 244, 117, 0, 0, 2, 10, 4, 232, 7, 31, 0, 0, 0,
    0, 66, 227, 1, 0, 2, 11, 4, 240, 7, 31, 0, 0, 0, 0, 26, 1, 0, 0, 2, 12, 4, 248, 7, 31, 0, 0, 0,
    0, 164, 227, 1, 0, 2, 13, 4, 0, 8, 31, 0, 0, 0, 0, 87, 35, 2, 0, 2, 14, 4, 8, 8, 31, 0, 0, 0,
    0, 167, 35, 2, 0, 2, 15, 4, 16, 8, 31, 0, 0, 0, 0, 77, 234, 1, 0, 2, 16, 4, 24, 8, 31, 0, 0, 0,
    0, 184, 0, 2, 0, 2, 17, 4, 32, 8, 31, 0, 0, 0, 0, 195, 35, 2, 0, 2, 18, 4, 40, 8, 31, 0, 0, 0,
    0, 90, 22, 0, 0, 2, 19, 4, 48, 8, 31, 0, 0, 0, 0, 106, 43, 2, 0, 2, 20, 4, 56, 8, 31, 0, 0, 0,
    0, 18, 215, 1, 0, 2, 21, 4, 64, 8, 31, 0, 0, 0, 0, 38, 1, 0, 0, 2, 22, 4, 120, 8, 31, 0, 0, 0,
    0, 109, 22, 0, 0, 2, 23, 4, 128, 8, 31, 0, 0, 0, 0, 109, 22, 0, 0, 2, 24, 4, 136, 8, 31, 0, 0,
    0, 0, 109, 22, 0, 0, 2, 25, 4, 144, 8, 31, 0, 0, 0, 0, 78, 154, 0, 0, 2, 26, 4, 152, 8, 31, 0,
    0, 0, 0, 225, 65, 0, 0, 2, 27, 4, 160, 8, 31, 0, 0, 0, 0, 168, 0, 0, 0, 2, 28, 4, 164, 8, 31,
    0, 0, 0, 0, 168, 0, 0, 0, 2, 29, 4, 168, 8, 31, 0, 0, 0, 0, 138, 43, 1, 0, 2, 30, 4, 176, 8,
    31, 0, 0, 0, 0, 195, 21, 0, 0, 2, 31, 4, 184, 8, 31, 0, 0, 0, 0, 177, 66, 0, 0, 2, 32, 4, 200,
    8, 31, 0, 0, 0, 0, 177, 66, 0, 0, 2, 33, 4, 204, 8, 31, 0, 0, 0, 0, 48, 46, 2, 0, 2, 34, 4,
    208, 8, 31, 0, 0, 0, 0, 130, 46, 2, 0, 2, 35, 4, 216, 8, 31, 0, 0, 0, 0, 195, 21, 0, 0, 2, 36,
    4, 224, 8, 31, 0, 0, 0, 0, 231, 46, 2, 0, 2, 37, 4, 240, 8, 31, 0, 0, 0, 0, 128, 104, 0, 0, 2,
    38, 4, 248, 8, 31, 0, 0, 0, 0, 38, 1, 0, 0, 2, 39, 4, 24, 9, 31, 0, 0, 0, 0, 11, 48, 2, 0, 2,
    40, 4, 32, 9, 31, 0, 0, 0, 0, 128, 104, 0, 0, 2, 41, 4, 48, 9, 31, 0, 0, 0, 0, 195, 21, 0, 0,
    2, 42, 4, 80, 9, 31, 0, 0, 0, 0, 90, 22, 0, 0, 2, 43, 4, 96, 9, 31, 0, 0, 0, 0, 190, 153, 0, 0,
    2, 44, 4, 104, 9, 31, 0, 0, 0, 0, 3, 27, 0, 0, 2, 45, 4, 112, 9, 31, 0, 0, 0, 0, 3, 27, 0, 0,
    2, 46, 4, 114, 9, 31, 0, 0, 0, 0, 168, 0, 0, 0, 2, 47, 4, 116, 9, 31, 0, 0, 0, 0, 38, 1, 0, 0,
    2, 48, 4, 120, 9, 31, 0, 0, 0, 0, 38, 1, 0, 0, 2, 49, 4, 124, 9, 31, 0, 0, 0, 0, 168, 0, 0, 0,
    2, 50, 4, 128, 9, 31, 0, 0, 0, 0, 90, 22, 0, 0, 2, 51, 4, 136, 9, 31, 0, 0, 0, 0, 109, 22, 0,
    0, 2, 52, 4, 144, 9, 31, 0, 0, 0, 0, 109, 22, 0, 0, 2, 53, 4, 152, 9, 31, 0, 0, 0, 0, 109, 22,
    0, 0, 2, 54, 4, 160, 9, 31, 0, 0, 0, 0, 28, 22, 0, 0, 2, 55, 4, 168, 9, 31, 0, 0, 0, 0, 255,
    96, 2, 0, 2, 56, 4, 184, 9, 31, 0, 0, 0, 0, 216, 107, 0, 0, 2, 57, 4, 192, 9, 31, 0, 0, 0, 0,
    90, 22, 0, 0, 2, 58, 4, 200, 9, 31, 0, 0, 0, 0, 39, 39, 2, 0, 2, 59, 4, 208, 9, 31, 0, 0, 0, 0,
    90, 22, 0, 0, 2, 60, 4, 232, 9, 31, 0, 0, 0, 0, 144, 97, 2, 0, 2, 61, 4, 240, 9, 31, 0, 0, 0,
    0, 177, 66, 0, 0, 2, 62, 4, 248, 9, 31, 0, 0, 0, 0, 90, 22, 0, 0, 2, 63, 4, 0, 10, 31, 0, 0, 0,
    0, 243, 97, 2, 0, 2, 64, 4, 8, 10, 33, 103, 128, 0, 0, 2, 65, 4, 56, 10, 34, 16, 2, 65, 4, 29,
    0, 0, 0, 0, 254, 62, 0, 0, 2, 66, 4, 0, 29, 0, 0, 0, 0, 28, 22, 0, 0, 2, 67, 4, 0, 0, 31, 0, 0,
    0, 0, 109, 103, 0, 0, 2, 69, 4, 72, 10, 31, 0, 0, 0, 0, 138, 157, 1, 0, 2, 70, 4, 80, 10, 31,
    0, 0, 0, 0, 59, 98, 2, 0, 2, 71, 4, 96, 10, 31, 0, 0, 0, 0, 168, 0, 0, 0, 2, 72, 4, 104, 10,
    31, 0, 0, 0, 0, 168, 0, 0, 0, 2, 73, 4, 108, 10, 31, 0, 0, 0, 0, 90, 22, 0, 0, 2, 74, 4, 112,
    10, 31, 0, 0, 0, 0, 168, 0, 0, 0, 2, 75, 4, 120, 10, 31, 0, 0, 0, 0, 243, 98, 2, 0, 2, 76, 4,
    128, 10, 31, 0, 0, 0, 0, 109, 22, 0, 0, 2, 77, 4, 128, 25, 31, 0, 0, 0, 0, 109, 22, 0, 0, 2,
    78, 4, 136, 25, 31, 0, 0, 0, 0, 168, 0, 0, 0, 2, 79, 4, 144, 25, 31, 0, 0, 0, 0, 168, 0, 0, 0,
    2, 80, 4, 148, 25, 31, 0, 0, 0, 0, 73, 99, 2, 0, 2, 81, 4, 152, 25, 31, 0, 0, 0, 0, 208, 0, 0,
    0, 2, 82, 4, 160, 25, 31, 0, 0, 0, 0, 242, 23, 0, 0, 2, 83, 4, 168, 25, 31, 0, 0, 0, 0, 242,
    23, 0, 0, 2, 84, 4, 172, 25, 31, 0, 0, 0, 0, 90, 22, 0, 0, 2, 85, 4, 176, 25, 31, 0, 0, 0, 0,
    90, 22, 0, 0, 2, 86, 4, 184, 25, 31, 0, 0, 0, 0, 153, 99, 2, 0, 2, 87, 4, 192, 25, 31, 0, 0, 0,
    0, 252, 147, 0, 0, 2, 88, 4, 200, 25, 31, 0, 0, 0, 0, 168, 0, 0, 0, 2, 89, 4, 204, 25, 31, 0,
    0, 0, 0, 38, 1, 0, 0, 2, 90, 4, 208, 25, 31, 0, 0, 0, 0, 153, 99, 2, 0, 2, 91, 4, 216, 25, 31,
    0, 0, 0, 0, 248, 240, 1, 0, 2, 92, 4, 224, 25, 31, 0, 0, 0, 0, 117, 107, 2, 0, 2, 93, 4, 232,
    25, 31, 0, 0, 0, 0, 38, 1, 0, 0, 2, 94, 4, 240, 25, 31, 0, 0, 0, 0, 38, 1, 0, 0, 2, 95, 4, 244,
    25, 31, 0, 0, 0, 0, 168, 0, 0, 0, 2, 96, 4, 248, 25, 31, 0, 0, 0, 0, 244, 117, 0, 0, 2, 97, 4,
    0, 26, 31, 0, 0, 0, 0, 155, 111, 2, 0, 2, 98, 4, 8, 26, 31, 0, 0, 0, 0, 254, 62, 0, 0, 2, 99,
    4, 16, 26, 31, 0, 0, 0, 0, 26, 1, 0, 0, 2, 100, 4, 24, 26, 31, 0, 0, 0, 0, 109, 22, 0, 0, 2,
    101, 4, 32, 26, 32, 0, 0, 0, 0, 197, 0, 0, 0, 2, 102, 4, 8, 1, 63, 40, 26, 32, 0, 0, 0, 0, 197,
    0, 0, 0, 2, 103, 4, 8, 1, 62, 40, 26, 32, 0, 0, 0, 0, 197, 0, 0, 0, 2, 104, 4, 8, 62, 0, 40,
    26, 31, 0, 0, 0, 0, 28, 22, 0, 0, 2, 105, 4, 48, 26, 31, 0, 0, 0, 0, 18, 112, 2, 0, 2, 106, 4,
    64, 26, 0, 35, 0, 0, 0, 0, 16, 2, 84, 1, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 85, 1, 0, 29, 0, 0,
    0, 0, 177, 66, 0, 0, 2, 86, 1, 8, 0, 46, 19, 1, 0, 0, 35, 0, 0, 0, 0, 16, 2, 99, 1, 29, 0, 0,
    0, 0, 139, 79, 0, 0, 2, 100, 1, 0, 44, 237, 130, 0, 0, 2, 101, 1, 8, 34, 4, 2, 101, 1, 29, 0,
    0, 0, 0, 38, 1, 0, 0, 2, 102, 1, 0, 29, 0, 0, 0, 0, 242, 23, 0, 0, 2, 103, 1, 0, 0, 0, 9, 19,
    131, 0, 0, 37, 24, 131, 0, 0, 35, 0, 0, 0, 0, 224, 2, 18, 10, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2,
    19, 10, 0, 29, 0, 0, 0, 0, 103, 132, 0, 0, 2, 20, 10, 8, 29, 0, 0, 0, 0, 103, 132, 0, 0, 2, 21,
    10, 16, 29, 0, 0, 0, 0, 43, 60, 1, 0, 2, 22, 10, 24, 29, 0, 0, 0, 0, 55, 60, 1, 0, 2, 23, 10,
    32, 29, 0, 0, 0, 0, 103, 132, 0, 0, 2, 24, 10, 40, 29, 0, 0, 0, 0, 76, 60, 1, 0, 2, 25, 10, 48,
    29, 0, 0, 0, 0, 92, 60, 1, 0, 2, 26, 10, 56, 29, 0, 0, 0, 0, 109, 60, 1, 0, 2, 27, 10, 64, 29,
    0, 0, 0, 0, 131, 60, 1, 0, 2, 28, 10, 72, 29, 0, 0, 0, 0, 220, 60, 1, 0, 2, 29, 10, 80, 29, 0,
    0, 0, 0, 251, 60, 1, 0, 2, 30, 10, 88, 29, 0, 0, 0, 0, 92, 60, 1, 0, 2, 31, 10, 96, 29, 0, 0,
    0, 0, 12, 61, 1, 0, 2, 32, 10, 104, 29, 0, 0, 0, 0, 43, 60, 1, 0, 2, 33, 10, 112, 29, 0, 0, 0,
    0, 43, 60, 1, 0, 2, 34, 10, 120, 29, 0, 0, 0, 0, 103, 132, 0, 0, 2, 35, 10, 128, 29, 0, 0, 0,
    0, 240, 44, 1, 0, 2, 36, 10, 136, 29, 0, 0, 0, 0, 240, 44, 1, 0, 2, 37, 10, 144, 29, 0, 0, 0,
    0, 92, 60, 1, 0, 2, 38, 10, 152, 29, 0, 0, 0, 0, 92, 60, 1, 0, 2, 39, 10, 160, 29, 0, 0, 0, 0,
    103, 132, 0, 0, 2, 40, 10, 168, 29, 0, 0, 0, 0, 29, 61, 1, 0, 2, 41, 10, 176, 29, 0, 0, 0, 0,
    43, 60, 1, 0, 2, 42, 10, 184, 29, 0, 0, 0, 0, 251, 60, 1, 0, 2, 43, 10, 192, 0, 9, 108, 132, 0,
    0, 38, 15, 125, 132, 0, 0, 15, 244, 117, 0, 0, 15, 168, 0, 0, 0, 0, 9, 130, 132, 0, 0, 28, 0,
    0, 0, 0, 192, 12, 2, 78, 112, 29, 0, 0, 0, 0, 155, 95, 0, 0, 2, 79, 112, 0, 29, 0, 0, 0, 0, 38,
    1, 0, 0, 2, 80, 112, 4, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 81, 112, 8, 29, 0, 0, 0, 0, 38, 1, 0,
    0, 2, 82, 112, 12, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 83, 112, 16, 29, 0, 0, 0, 0, 90, 22, 0, 0,
    2, 84, 112, 24, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 85, 112, 32, 29, 0, 0, 0, 0, 41, 136, 0, 0, 2,
    90, 112, 64, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 91, 112, 96, 29, 0, 0, 0, 0, 242, 23, 0, 0, 2, 92,
    112, 100, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 93, 112, 104, 29, 0, 0, 0, 0, 109, 22, 0, 0, 2, 94,
    112, 112, 29, 0, 0, 0, 0, 182, 136, 0, 0, 2, 96, 112, 128, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 97,
    112, 224, 31, 0, 0, 0, 0, 28, 137, 0, 0, 2, 102, 112, 0, 1, 31, 0, 0, 0, 0, 31, 48, 1, 0, 2,
    103, 112, 192, 2, 31, 0, 0, 0, 0, 48, 49, 1, 0, 2, 104, 112, 104, 9, 31, 0, 0, 0, 0, 195, 21,
    0, 0, 2, 105, 112, 208, 9, 31, 0, 0, 0, 0, 228, 21, 0, 0, 2, 106, 112, 224, 9, 31, 0, 0, 0, 0,
    90, 22, 0, 0, 2, 107, 112, 232, 9, 31, 0, 0, 0, 0, 244, 117, 0, 0, 2, 108, 112, 240, 9, 31, 0,
    0, 0, 0, 244, 117, 0, 0, 2, 109, 112, 248, 9, 31, 0, 0, 0, 0, 244, 117, 0, 0, 2, 110, 112, 0,
    10, 31, 0, 0, 0, 0, 90, 22, 0, 0, 2, 111, 112, 8, 10, 31, 0, 0, 0, 0, 104, 91, 0, 0, 2, 112,
    112, 16, 10, 31, 0, 0, 0, 0, 38, 1, 0, 0, 2, 113, 112, 24, 10, 31, 0, 0, 0, 0, 109, 22, 0, 0,
    2, 114, 112, 32, 10, 31, 0, 0, 0, 0, 109, 22, 0, 0, 2, 118, 112, 64, 10, 31, 0, 0, 0, 0, 109,
    22, 0, 0, 2, 119, 112, 72, 10, 31, 0, 0, 0, 0, 90, 22, 0, 0, 2, 120, 112, 80, 10, 31, 0, 0, 0,
    0, 242, 23, 0, 0, 2, 121, 112, 88, 10, 31, 0, 0, 0, 0, 168, 0, 0, 0, 2, 122, 112, 92, 10, 31,
    0, 0, 0, 0, 220, 49, 1, 0, 2, 123, 112, 96, 10, 31, 0, 0, 0, 0, 164, 52, 1, 0, 2, 124, 112,
    104, 10, 31, 0, 0, 0, 0, 90, 22, 0, 0, 2, 125, 112, 112, 10, 31, 0, 0, 0, 0, 90, 22, 0, 0, 2,
    126, 112, 120, 10, 31, 0, 0, 0, 0, 61, 22, 0, 0, 2, 127, 112, 128, 10, 31, 0, 0, 0, 0, 169, 26,
    0, 0, 2, 128, 112, 136, 10, 31, 0, 0, 0, 0, 169, 26, 0, 0, 2, 129, 112, 137, 10, 31, 0, 0, 0,
    0, 90, 22, 0, 0, 2, 130, 112, 144, 10, 31, 0, 0, 0, 0, 168, 0, 0, 0, 2, 131, 112, 152, 10, 31,
    0, 0, 0, 0, 168, 0, 0, 0, 2, 132, 112, 156, 10, 31, 0, 0, 0, 0, 12, 56, 1, 0, 2, 133, 112, 160,
    10, 31, 0, 0, 0, 0, 168, 0, 0, 0, 2, 134, 112, 200, 10, 31, 0, 0, 0, 0, 168, 0, 0, 0, 2, 135,
    112, 204, 10, 31, 0, 0, 0, 0, 195, 21, 0, 0, 2, 136, 112, 208, 10, 31, 0, 0, 0, 0, 188, 141, 0,
    0, 2, 141, 112, 0, 11, 31, 0, 0, 0, 0, 188, 141, 0, 0, 2, 142, 112, 64, 11, 31, 0, 0, 0, 0,
    188, 141, 0, 0, 2, 143, 112, 128, 11, 31, 0, 0, 0, 0, 109, 22, 0, 0, 2, 144, 112, 192, 11, 31,
    0, 0, 0, 0, 109, 22, 0, 0, 2, 145, 112, 200, 11, 31, 0, 0, 0, 0, 109, 22, 0, 0, 2, 146, 112,
    208, 11, 31, 0, 0, 0, 0, 109, 22, 0, 0, 2, 147, 112, 216, 11, 31, 0, 0, 0, 0, 109, 22, 0, 0, 2,
    148, 112, 224, 11, 31, 0, 0, 0, 0, 109, 22, 0, 0, 2, 149, 112, 232, 11, 31, 0, 0, 0, 0, 90, 22,
    0, 0, 2, 150, 112, 240, 11, 31, 0, 0, 0, 0, 19, 1, 0, 0, 2, 151, 112, 248, 11, 31, 0, 0, 0, 0,
    41, 136, 0, 0, 2, 152, 112, 0, 12, 31, 0, 0, 0, 0, 195, 198, 0, 0, 2, 153, 112, 32, 12, 31, 0,
    0, 0, 0, 156, 56, 1, 0, 2, 154, 112, 96, 12, 31, 0, 0, 0, 0, 208, 0, 0, 0, 2, 155, 112, 128,
    12, 31, 0, 0, 0, 0, 38, 1, 0, 0, 2, 156, 112, 136, 12, 31, 0, 0, 0, 0, 38, 1, 0, 0, 2, 157,
    112, 140, 12, 31, 0, 0, 0, 0, 38, 1, 0, 0, 2, 158, 112, 144, 12, 31, 0, 0, 0, 0, 38, 1, 0, 0,
    2, 159, 112, 148, 12, 31, 0, 0, 0, 0, 38, 1, 0, 0, 2, 160, 112, 152, 12, 31, 0, 0, 0, 0, 218,
    56, 1, 0, 2, 161, 112, 160, 12, 0, 39, 53, 136, 0, 0, 0, 0, 0, 0, 2, 234, 109, 35, 0, 0, 0, 0,
    32, 2, 220, 16, 44, 71, 136, 0, 0, 2, 221, 16, 0, 34, 16, 2, 221, 16, 29, 0, 0, 0, 0, 206, 130,
    0, 0, 2, 222, 16, 0, 44, 98, 136, 0, 0, 2, 223, 16, 0, 30, 16, 2, 223, 16, 29, 0, 0, 0, 0, 139,
    79, 0, 0, 2, 224, 16, 0, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 225, 16, 8, 0, 0, 29, 0, 0, 0, 0, 158,
    136, 0, 0, 2, 228, 16, 16, 29, 0, 0, 0, 0, 26, 1, 0, 0, 2, 229, 16, 24, 0, 39, 170, 136, 0, 0,
    0, 0, 0, 0, 2, 218, 16, 9, 175, 136, 0, 0, 38, 15, 26, 1, 0, 0, 0, 3, 194, 136, 0, 0, 4, 82, 0,
    0, 0, 2, 0, 35, 0, 0, 0, 0, 48, 2, 38, 112, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 39, 112, 0, 29, 0,
    0, 0, 0, 230, 136, 0, 0, 2, 40, 112, 8, 0, 3, 242, 136, 0, 0, 4, 82, 0, 0, 0, 5, 0, 35, 0, 0,
    0, 0, 8, 2, 33, 112, 45, 0, 0, 0, 0, 90, 22, 0, 0, 2, 34, 112, 8, 11, 53, 0, 45, 0, 0, 0, 0,
    90, 22, 0, 0, 2, 35, 112, 8, 53, 0, 0, 0, 28, 0, 0, 0, 0, 192, 1, 2, 31, 110, 29, 0, 0, 0, 0,
    32, 139, 0, 0, 2, 32, 110, 0, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 33, 110, 16, 29, 0, 0, 0, 0, 38,
    1, 0, 0, 2, 34, 110, 20, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 35, 110, 24, 29, 0, 0, 0, 0, 109, 22,
    0, 0, 2, 36, 110, 32, 29, 0, 0, 0, 0, 109, 22, 0, 0, 2, 37, 110, 40, 29, 0, 0, 0, 0, 68, 139,
    0, 0, 2, 38, 110, 48, 29, 0, 0, 0, 0, 104, 139, 0, 0, 2, 39, 110, 64, 29, 0, 0, 0, 0, 104, 139,
    0, 0, 2, 40, 110, 72, 29, 0, 0, 0, 0, 104, 139, 0, 0, 2, 41, 110, 80, 29, 0, 0, 0, 0, 104, 139,
    0, 0, 2, 42, 110, 88, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 43, 110, 96, 29, 0, 0, 0, 0, 188, 141, 0,
    0, 2, 48, 110, 128, 29, 0, 0, 0, 0, 220, 137, 0, 0, 2, 59, 110, 192, 30, 64, 2, 49, 110, 29, 0,
    0, 0, 0, 155, 95, 0, 0, 2, 50, 110, 0, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 51, 110, 4, 29, 0, 0,
    0, 0, 90, 22, 0, 0, 2, 52, 110, 8, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 53, 110, 16, 29, 0, 0, 0,
    0, 90, 22, 0, 0, 2, 54, 110, 24, 0, 31, 0, 0, 0, 0, 90, 22, 0, 0, 2, 60, 110, 0, 1, 31, 0, 0,
    0, 0, 19, 1, 0, 0, 2, 61, 110, 8, 1, 31, 0, 0, 0, 0, 19, 1, 0, 0, 2, 62, 110, 16, 1, 31, 0, 0,
    0, 0, 90, 22, 0, 0, 2, 63, 110, 24, 1, 31, 0, 0, 0, 0, 109, 22, 0, 0, 2, 64, 110, 32, 1, 31, 0,
    0, 0, 0, 104, 139, 0, 0, 2, 65, 110, 40, 1, 31, 0, 0, 0, 0, 125, 132, 0, 0, 2, 66, 110, 48, 1,
    31, 0, 0, 0, 0, 168, 0, 0, 0, 2, 67, 110, 56, 1, 31, 0, 0, 0, 0, 195, 21, 0, 0, 2, 68, 110, 64,
    1, 31, 0, 0, 0, 0, 95, 142, 0, 0, 2, 69, 110, 80, 1, 31, 0, 0, 0, 0, 168, 0, 0, 0, 2, 70, 110,
    88, 1, 31, 0, 0, 0, 0, 213, 23, 0, 0, 2, 71, 110, 96, 1, 31, 0, 0, 0, 0, 109, 22, 0, 0, 2, 72,
    110, 104, 1, 31, 0, 0, 0, 0, 109, 22, 0, 0, 2, 73, 110, 112, 1, 31, 0, 0, 0, 0, 109, 22, 0, 0,
    2, 74, 110, 120, 1, 31, 0, 0, 0, 0, 168, 0, 0, 0, 2, 75, 110, 128, 1, 31, 0, 0, 0, 0, 168, 0,
    0, 0, 2, 76, 110, 132, 1, 31, 0, 0, 0, 0, 195, 21, 0, 0, 2, 77, 110, 136, 1, 0, 35, 0, 0, 0, 0,
    16, 2, 107, 1, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 108, 1, 0, 29, 0, 0, 0, 0, 177, 66, 0, 0, 2,
    109, 1, 8, 0, 35, 0, 0, 0, 0, 16, 2, 43, 2, 29, 0, 0, 0, 0, 206, 94, 0, 0, 2, 44, 2, 0, 29, 0,
    0, 0, 0, 22, 40, 0, 0, 2, 45, 2, 8, 0, 9, 109, 139, 0, 0, 28, 0, 0, 0, 0, 192, 1, 2, 167, 1,
    29, 0, 0, 0, 0, 32, 139, 0, 0, 2, 168, 1, 0, 29, 0, 0, 0, 0, 229, 39, 0, 0, 2, 169, 1, 16, 29,
    0, 0, 0, 0, 195, 21, 0, 0, 2, 170, 1, 40, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 171, 1, 56, 29, 0, 0,
    0, 0, 109, 22, 0, 0, 2, 172, 1, 64, 29, 0, 0, 0, 0, 109, 22, 0, 0, 2, 173, 1, 72, 29, 0, 0, 0,
    0, 109, 22, 0, 0, 2, 174, 1, 80, 29, 0, 0, 0, 0, 109, 22, 0, 0, 2, 175, 1, 88, 29, 0, 0, 0, 0,
    109, 22, 0, 0, 2, 176, 1, 96, 29, 0, 0, 0, 0, 78, 140, 0, 0, 2, 177, 1, 104, 31, 0, 0, 0, 0,
    168, 0, 0, 0, 2, 178, 1, 64, 1, 31, 0, 0, 0, 0, 104, 139, 0, 0, 2, 179, 1, 72, 1, 31, 0, 0, 0,
    0, 183, 141, 0, 0, 2, 180, 1, 80, 1, 31, 0, 0, 0, 0, 183, 141, 0, 0, 2, 181, 1, 88, 1, 31, 0,
    0, 0, 0, 90, 22, 0, 0, 2, 182, 1, 96, 1, 31, 0, 0, 0, 0, 188, 141, 0, 0, 2, 186, 1, 128, 1, 0,
    35, 0, 0, 0, 0, 216, 2, 118, 1, 29, 0, 0, 0, 0, 109, 22, 0, 0, 2, 119, 1, 0, 29, 0, 0, 0, 0,
    109, 22, 0, 0, 2, 120, 1, 8, 29, 0, 0, 0, 0, 109, 22, 0, 0, 2, 121, 1, 16, 29, 0, 0, 0, 0, 109,
    22, 0, 0, 2, 122, 1, 24, 29, 0, 0, 0, 0, 109, 22, 0, 0, 2, 123, 1, 32, 29, 0, 0, 0, 0, 109, 22,
    0, 0, 2, 124, 1, 40, 29, 0, 0, 0, 0, 109, 22, 0, 0, 2, 125, 1, 48, 29, 0, 0, 0, 0, 109, 22, 0,
    0, 2, 126, 1, 56, 29, 0, 0, 0, 0, 213, 23, 0, 0, 2, 127, 1, 64, 29, 0, 0, 0, 0, 109, 22, 0, 0,
    2, 128, 1, 72, 29, 0, 0, 0, 0, 109, 22, 0, 0, 2, 129, 1, 80, 29, 0, 0, 0, 0, 109, 22, 0, 0, 2,
    130, 1, 88, 29, 0, 0, 0, 0, 109, 22, 0, 0, 2, 131, 1, 96, 29, 0, 0, 0, 0, 109, 22, 0, 0, 2,
    132, 1, 104, 29, 0, 0, 0, 0, 109, 22, 0, 0, 2, 133, 1, 112, 29, 0, 0, 0, 0, 109, 22, 0, 0, 2,
    134, 1, 120, 29, 0, 0, 0, 0, 109, 22, 0, 0, 2, 135, 1, 128, 29, 0, 0, 0, 0, 109, 22, 0, 0, 2,
    136, 1, 136, 29, 0, 0, 0, 0, 109, 22, 0, 0, 2, 137, 1, 144, 29, 0, 0, 0, 0, 109, 22, 0, 0, 2,
    138, 1, 152, 29, 0, 0, 0, 0, 109, 22, 0, 0, 2, 139, 1, 160, 29, 0, 0, 0, 0, 109, 22, 0, 0, 2,
    140, 1, 168, 29, 0, 0, 0, 0, 109, 22, 0, 0, 2, 141, 1, 176, 29, 0, 0, 0, 0, 109, 22, 0, 0, 2,
    142, 1, 184, 29, 0, 0, 0, 0, 109, 22, 0, 0, 2, 143, 1, 192, 29, 0, 0, 0, 0, 109, 22, 0, 0, 2,
    144, 1, 200, 29, 0, 0, 0, 0, 109, 22, 0, 0, 2, 145, 1, 208, 0, 9, 28, 137, 0, 0, 35, 0, 0, 0,
    0, 64, 2, 153, 1, 29, 0, 0, 0, 0, 109, 22, 0, 0, 2, 154, 1, 0, 29, 0, 0, 0, 0, 109, 22, 0, 0,
    2, 155, 1, 8, 29, 0, 0, 0, 0, 109, 22, 0, 0, 2, 156, 1, 16, 29, 0, 0, 0, 0, 177, 66, 0, 0, 2,
    157, 1, 24, 29, 0, 0, 0, 0, 177, 66, 0, 0, 2, 158, 1, 28, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 159,
    1, 32, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 160, 1, 40, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 161, 1,
    48, 29, 0, 0, 0, 0, 59, 142, 0, 0, 2, 162, 1, 56, 0, 35, 0, 0, 0, 0, 8, 2, 148, 1, 29, 0, 0, 0,
    0, 38, 1, 0, 0, 2, 149, 1, 0, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 150, 1, 4, 0, 9, 100, 142, 0, 0,
    28, 0, 0, 0, 0, 128, 2, 2, 102, 110, 29, 0, 0, 0, 0, 62, 143, 0, 0, 2, 103, 110, 0, 29, 0, 0,
    0, 0, 163, 46, 1, 0, 2, 104, 110, 240, 29, 0, 0, 0, 0, 168, 46, 1, 0, 2, 105, 110, 248, 31, 0,
    0, 0, 0, 90, 22, 0, 0, 2, 106, 110, 0, 1, 31, 0, 0, 0, 0, 173, 23, 0, 0, 2, 114, 110, 64, 1,
    31, 0, 0, 0, 0, 28, 22, 0, 0, 2, 115, 110, 72, 1, 31, 0, 0, 0, 0, 195, 21, 0, 0, 2, 116, 110,
    88, 1, 31, 0, 0, 0, 0, 95, 142, 0, 0, 2, 117, 110, 104, 1, 31, 0, 0, 0, 0, 195, 21, 0, 0, 2,
    118, 110, 112, 1, 31, 0, 0, 0, 0, 195, 21, 0, 0, 2, 119, 110, 128, 1, 31, 0, 0, 0, 0, 173, 46,
    1, 0, 2, 120, 110, 144, 1, 31, 0, 0, 0, 0, 253, 46, 1, 0, 2, 121, 110, 152, 1, 31, 0, 0, 0, 0,
    189, 47, 1, 0, 2, 122, 110, 104, 2, 31, 0, 0, 0, 0, 201, 47, 1, 0, 2, 123, 110, 112, 2, 31, 0,
    0, 0, 0, 201, 47, 1, 0, 2, 124, 110, 120, 2, 0, 35, 0, 0, 0, 0, 240, 2, 103, 17, 29, 0, 0, 0,
    0, 241, 143, 0, 0, 2, 104, 17, 0, 29, 0, 0, 0, 0, 0, 41, 1, 0, 2, 105, 17, 8, 29, 0, 0, 0, 0,
    46, 40, 1, 0, 2, 106, 17, 16, 29, 0, 0, 0, 0, 195, 21, 0, 0, 2, 107, 17, 72, 29, 0, 0, 0, 0,
    195, 21, 0, 0, 2, 108, 17, 88, 29, 0, 0, 0, 0, 195, 21, 0, 0, 2, 109, 17, 104, 29, 0, 0, 0, 0,
    168, 0, 0, 0, 2, 110, 17, 120, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 111, 17, 124, 29, 0, 0, 0, 0,
    109, 22, 0, 0, 2, 112, 17, 128, 29, 0, 0, 0, 0, 242, 23, 0, 0, 2, 113, 17, 136, 29, 0, 0, 0, 0,
    117, 158, 0, 0, 2, 114, 17, 144, 29, 0, 0, 0, 0, 114, 46, 1, 0, 2, 115, 17, 176, 29, 0, 0, 0,
    0, 225, 156, 0, 0, 2, 116, 17, 232, 0, 9, 246, 143, 0, 0, 28, 0, 0, 0, 0, 208, 10, 2, 251, 22,
    29, 0, 0, 0, 0, 62, 143, 0, 0, 2, 252, 22, 0, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 253, 22, 240,
    29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 254, 22, 248, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 255, 22, 252,
    31, 0, 0, 0, 0, 168, 0, 0, 0, 2, 0, 23, 0, 1, 31, 0, 0, 0, 0, 168, 0, 0, 0, 2, 1, 23, 4, 1, 31,
    0, 0, 0, 0, 168, 0, 0, 0, 2, 2, 23, 8, 1, 31, 0, 0, 0, 0, 168, 0, 0, 0, 2, 3, 23, 12, 1, 31, 0,
    0, 0, 0, 168, 0, 0, 0, 2, 4, 23, 16, 1, 31, 0, 0, 0, 0, 168, 0, 0, 0, 2, 5, 23, 20, 1, 31, 0,
    0, 0, 0, 168, 0, 0, 0, 2, 6, 23, 24, 1, 31, 0, 0, 0, 0, 17, 146, 0, 0, 2, 7, 23, 32, 1, 31, 0,
    0, 0, 0, 85, 156, 0, 0, 2, 8, 23, 40, 1, 31, 0, 0, 0, 0, 85, 156, 0, 0, 2, 9, 23, 96, 1, 31, 0,
    0, 0, 0, 229, 67, 0, 0, 2, 10, 23, 152, 1, 31, 0, 0, 0, 0, 229, 67, 0, 0, 2, 11, 23, 154, 1,
    31, 0, 0, 0, 0, 229, 67, 0, 0, 2, 12, 23, 156, 1, 31, 0, 0, 0, 0, 229, 67, 0, 0, 2, 13, 23,
    158, 1, 31, 0, 0, 0, 0, 213, 156, 0, 0, 2, 14, 23, 160, 1, 31, 0, 0, 0, 0, 230, 156, 0, 0, 2,
    15, 23, 8, 2, 31, 0, 0, 0, 0, 195, 21, 0, 0, 2, 16, 23, 16, 2, 31, 0, 0, 0, 0, 151, 157, 0, 0,
    2, 17, 23, 32, 2, 31, 0, 0, 0, 0, 241, 143, 0, 0, 2, 18, 23, 240, 2, 31, 0, 0, 0, 0, 241, 143,
    0, 0, 2, 19, 23, 248, 2, 31, 0, 0, 0, 0, 163, 157, 0, 0, 2, 20, 23, 0, 3, 31, 0, 0, 0, 0, 195,
    21, 0, 0, 2, 21, 23, 8, 3, 31, 0, 0, 0, 0, 252, 157, 0, 0, 2, 22, 23, 24, 3, 31, 0, 0, 0, 0,
    252, 157, 0, 0, 2, 23, 23, 48, 3, 31, 0, 0, 0, 0, 68, 158, 0, 0, 2, 24, 23, 72, 3, 31, 0, 0, 0,
    0, 195, 21, 0, 0, 2, 25, 23, 96, 3, 31, 0, 0, 0, 0, 128, 104, 0, 0, 2, 26, 23, 112, 3, 31, 0,
    0, 0, 0, 190, 104, 0, 0, 2, 27, 23, 144, 3, 31, 0, 0, 0, 0, 117, 158, 0, 0, 2, 28, 23, 168, 3,
    31, 0, 0, 0, 0, 195, 158, 0, 0, 2, 29, 23, 200, 3, 31, 0, 0, 0, 0, 108, 254, 0, 0, 2, 30, 23,
    32, 6, 31, 0, 0, 0, 0, 242, 23, 0, 0, 2, 31, 23, 184, 10, 31, 0, 0, 0, 0, 182, 40, 1, 0, 2, 32,
    23, 188, 10, 31, 0, 0, 0, 0, 244, 40, 1, 0, 2, 33, 23, 208, 10, 0, 9, 22, 146, 0, 0, 35, 0, 0,
    0, 0, 128, 2, 89, 19, 29, 0, 0, 0, 0, 242, 23, 0, 0, 2, 90, 19, 0, 29, 0, 0, 0, 0, 242, 23, 0,
    0, 2, 91, 19, 4, 29, 0, 0, 0, 0, 17, 146, 0, 0, 2, 92, 19, 8, 29, 0, 0, 0, 0, 233, 21, 0, 0, 2,
    93, 19, 16, 29, 0, 0, 0, 0, 229, 39, 0, 0, 2, 94, 19, 24, 29, 0, 0, 0, 0, 45, 1, 0, 0, 2, 95,
    19, 48, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 96, 19, 56, 44, 131, 146, 0, 0, 2, 97, 19, 64, 34, 32,
    2, 97, 19, 29, 0, 0, 0, 0, 242, 146, 0, 0, 2, 98, 19, 0, 29, 0, 0, 0, 0, 202, 148, 0, 0, 2, 99,
    19, 0, 29, 0, 0, 0, 0, 225, 148, 0, 0, 2, 100, 19, 0, 0, 29, 0, 0, 0, 0, 26, 1, 0, 0, 2, 102,
    19, 96, 29, 0, 0, 0, 0, 109, 22, 0, 0, 2, 103, 19, 104, 29, 0, 0, 0, 0, 236, 24, 0, 0, 2, 104,
    19, 112, 29, 0, 0, 0, 0, 70, 62, 0, 0, 2, 105, 19, 114, 29, 0, 0, 0, 0, 150, 155, 0, 0, 2, 106,
    19, 120, 0, 35, 0, 0, 0, 0, 24, 2, 53, 19, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 54, 19, 0, 29, 0,
    0, 0, 0, 206, 94, 0, 0, 2, 55, 19, 8, 29, 0, 0, 0, 0, 35, 147, 0, 0, 2, 56, 19, 16, 0, 9, 40,
    147, 0, 0, 35, 0, 0, 0, 0, 96, 2, 61, 19, 29, 0, 0, 0, 0, 17, 146, 0, 0, 2, 62, 19, 0, 29, 0,
    0, 0, 0, 38, 1, 0, 0, 2, 63, 19, 8, 29, 0, 0, 0, 0, 154, 147, 0, 0, 2, 64, 19, 16, 29, 0, 0, 0,
    0, 177, 66, 0, 0, 2, 65, 19, 40, 29, 0, 0, 0, 0, 177, 66, 0, 0, 2, 66, 19, 44, 29, 0, 0, 0, 0,
    7, 148, 0, 0, 2, 67, 19, 48, 29, 0, 0, 0, 0, 195, 21, 0, 0, 2, 68, 19, 56, 29, 0, 0, 0, 0, 190,
    104, 0, 0, 2, 69, 19, 72, 0, 35, 0, 0, 0, 0, 24, 2, 45, 19, 29, 0, 0, 0, 0, 203, 147, 0, 0, 2,
    46, 19, 0, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 47, 19, 16, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 48, 19,
    20, 0, 35, 0, 0, 0, 0, 16, 2, 202, 7, 29, 0, 0, 0, 0, 33, 67, 0, 0, 2, 203, 7, 0, 29, 0, 0, 0,
    0, 252, 147, 0, 0, 2, 204, 7, 4, 29, 0, 0, 0, 0, 26, 1, 0, 0, 2, 205, 7, 8, 0, 12, 38, 1, 0, 0,
    0, 0, 0, 0, 2, 99, 9, 12, 148, 0, 0, 35, 0, 0, 0, 0, 40, 2, 126, 19, 29, 0, 0, 0, 0, 87, 148,
    0, 0, 2, 127, 19, 0, 29, 0, 0, 0, 0, 108, 148, 0, 0, 2, 128, 19, 8, 29, 0, 0, 0, 0, 134, 148,
    0, 0, 2, 129, 19, 16, 29, 0, 0, 0, 0, 150, 148, 0, 0, 2, 130, 19, 24, 29, 0, 0, 0, 0, 176, 148,
    0, 0, 2, 131, 19, 32, 0, 9, 92, 148, 0, 0, 14, 168, 0, 0, 0, 15, 199, 111, 0, 0, 15, 35, 147,
    0, 0, 0, 9, 113, 148, 0, 0, 14, 168, 0, 0, 0, 15, 17, 146, 0, 0, 15, 233, 21, 0, 0, 15, 70, 62,
    0, 0, 0, 9, 139, 148, 0, 0, 14, 168, 0, 0, 0, 15, 17, 146, 0, 0, 0, 9, 155, 148, 0, 0, 14, 168,
    0, 0, 0, 15, 17, 146, 0, 0, 15, 17, 146, 0, 0, 15, 233, 21, 0, 0, 0, 9, 181, 148, 0, 0, 14,
    168, 0, 0, 0, 15, 199, 111, 0, 0, 15, 17, 146, 0, 0, 15, 35, 147, 0, 0, 0, 35, 0, 0, 0, 0, 8,
    2, 72, 19, 29, 0, 0, 0, 0, 17, 146, 0, 0, 2, 73, 19, 0, 0, 35, 0, 0, 0, 0, 32, 2, 80, 19, 29,
    0, 0, 0, 0, 31, 149, 0, 0, 2, 81, 19, 0, 29, 0, 0, 0, 0, 83, 155, 0, 0, 2, 82, 19, 8, 29, 0, 0,
    0, 0, 40, 73, 0, 0, 2, 83, 19, 16, 29, 0, 0, 0, 0, 17, 146, 0, 0, 2, 84, 19, 24, 0, 9, 36, 149,
    0, 0, 37, 41, 149, 0, 0, 35, 0, 0, 0, 0, 96, 2, 111, 19, 29, 0, 0, 0, 0, 207, 149, 0, 0, 2,
    112, 19, 0, 29, 0, 0, 0, 0, 163, 154, 0, 0, 2, 113, 19, 8, 29, 0, 0, 0, 0, 255, 112, 0, 0, 2,
    114, 19, 16, 29, 0, 0, 0, 0, 186, 112, 0, 0, 2, 115, 19, 24, 29, 0, 0, 0, 0, 229, 112, 0, 0, 2,
    116, 19, 32, 29, 0, 0, 0, 0, 212, 112, 0, 0, 2, 117, 19, 40, 29, 0, 0, 0, 0, 175, 154, 0, 0, 2,
    118, 19, 48, 29, 0, 0, 0, 0, 36, 54, 0, 0, 2, 119, 19, 56, 29, 0, 0, 0, 0, 181, 51, 0, 0, 2,
    120, 19, 64, 29, 0, 0, 0, 0, 175, 154, 0, 0, 2, 121, 19, 72, 29, 0, 0, 0, 0, 206, 154, 0, 0, 2,
    122, 19, 80, 29, 0, 0, 0, 0, 62, 155, 0, 0, 2, 123, 19, 88, 0, 9, 212, 149, 0, 0, 14, 168, 0,
    0, 0, 15, 223, 149, 0, 0, 0, 9, 228, 149, 0, 0, 35, 0, 0, 0, 0, 152, 2, 149, 19, 29, 0, 0, 0,
    0, 17, 146, 0, 0, 2, 150, 19, 0, 29, 0, 0, 0, 0, 61, 78, 0, 0, 2, 151, 19, 8, 29, 0, 0, 0, 0,
    199, 111, 0, 0, 2, 152, 19, 16, 29, 0, 0, 0, 0, 26, 1, 0, 0, 2, 153, 19, 24, 29, 0, 0, 0, 0,
    128, 104, 0, 0, 2, 154, 19, 32, 29, 0, 0, 0, 0, 128, 104, 0, 0, 2, 155, 19, 64, 29, 0, 0, 0, 0,
    168, 0, 0, 0, 2, 156, 19, 96, 29, 0, 0, 0, 0, 195, 21, 0, 0, 2, 157, 19, 104, 29, 0, 0, 0, 0,
    154, 27, 0, 0, 2, 158, 19, 120, 29, 0, 0, 0, 0, 36, 54, 0, 0, 2, 159, 19, 128, 45, 0, 0, 0, 0,
    181, 51, 0, 0, 2, 160, 19, 1, 1, 7, 136, 45, 0, 0, 0, 0, 181, 51, 0, 0, 2, 161, 19, 1, 1, 6,
    136, 29, 0, 0, 0, 0, 157, 150, 0, 0, 2, 162, 19, 144, 0, 9, 162, 150, 0, 0, 37, 167, 150, 0, 0,
    35, 0, 0, 0, 0, 120, 2, 110, 8, 29, 0, 0, 0, 0, 116, 151, 0, 0, 2, 111, 8, 0, 29, 0, 0, 0, 0,
    116, 151, 0, 0, 2, 112, 8, 8, 29, 0, 0, 0, 0, 128, 151, 0, 0, 2, 113, 8, 16, 29, 0, 0, 0, 0,
    149, 151, 0, 0, 2, 114, 8, 24, 29, 0, 0, 0, 0, 165, 151, 0, 0, 2, 115, 8, 32, 29, 0, 0, 0, 0,
    26, 153, 0, 0, 2, 116, 8, 40, 29, 0, 0, 0, 0, 79, 153, 0, 0, 2, 117, 8, 48, 29, 0, 0, 0, 0,
    101, 153, 0, 0, 2, 118, 8, 56, 29, 0, 0, 0, 0, 165, 151, 0, 0, 2, 119, 8, 64, 29, 0, 0, 0, 0,
    165, 151, 0, 0, 2, 120, 8, 72, 29, 0, 0, 0, 0, 117, 153, 0, 0, 2, 121, 8, 80, 29, 0, 0, 0, 0,
    153, 153, 0, 0, 2, 122, 8, 88, 29, 0, 0, 0, 0, 169, 153, 0, 0, 2, 123, 8, 96, 29, 0, 0, 0, 0,
    121, 154, 0, 0, 2, 124, 8, 104, 29, 0, 0, 0, 0, 142, 154, 0, 0, 2, 125, 8, 112, 0, 9, 121, 151,
    0, 0, 38, 15, 66, 90, 0, 0, 0, 9, 133, 151, 0, 0, 14, 168, 0, 0, 0, 15, 66, 90, 0, 0, 15, 90,
    22, 0, 0, 0, 9, 154, 151, 0, 0, 14, 168, 0, 0, 0, 15, 66, 90, 0, 0, 0, 9, 170, 151, 0, 0, 14,
    181, 151, 0, 0, 15, 193, 151, 0, 0, 0, 39, 38, 1, 0, 0, 0, 0, 0, 0, 2, 100, 8, 9, 198, 151, 0,
    0, 35, 0, 0, 0, 0, 96, 2, 139, 8, 29, 0, 0, 0, 0, 66, 90, 0, 0, 2, 140, 8, 0, 29, 0, 0, 0, 0,
    38, 1, 0, 0, 2, 141, 8, 8, 29, 0, 0, 0, 0, 252, 147, 0, 0, 2, 142, 8, 12, 29, 0, 0, 0, 0, 90,
    22, 0, 0, 2, 143, 8, 16, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 144, 8, 24, 29, 0, 0, 0, 0, 121, 152,
    0, 0, 2, 145, 8, 32, 29, 0, 0, 0, 0, 169, 152, 0, 0, 2, 146, 8, 40, 29, 0, 0, 0, 0, 217, 152,
    0, 0, 2, 147, 8, 48, 29, 0, 0, 0, 0, 220, 54, 0, 0, 2, 148, 8, 56, 29, 0, 0, 0, 0, 220, 54, 0,
    0, 2, 149, 8, 64, 29, 0, 0, 0, 0, 4, 153, 0, 0, 2, 150, 8, 72, 29, 0, 0, 0, 0, 9, 153, 0, 0, 2,
    151, 8, 80, 29, 0, 0, 0, 0, 14, 153, 0, 0, 2, 152, 8, 88, 0, 9, 126, 152, 0, 0, 39, 138, 152,
    0, 0, 0, 0, 0, 0, 2, 226, 5, 30, 8, 2, 224, 5, 29, 0, 0, 0, 0, 157, 152, 0, 0, 2, 225, 5, 0, 0,
    39, 90, 22, 0, 0, 0, 0, 0, 0, 2, 192, 5, 9, 174, 152, 0, 0, 39, 186, 152, 0, 0, 0, 0, 0, 0, 2,
    222, 5, 30, 8, 2, 220, 5, 29, 0, 0, 0, 0, 205, 152, 0, 0, 2, 221, 5, 0, 0, 39, 90, 22, 0, 0, 0,
    0, 0, 0, 2, 194, 5, 39, 229, 152, 0, 0, 0, 0, 0, 0, 2, 204, 5, 30, 8, 2, 202, 5, 29, 0, 0, 0,
    0, 248, 152, 0, 0, 2, 203, 5, 0, 0, 39, 90, 22, 0, 0, 0, 0, 0, 0, 2, 190, 5, 9, 217, 152, 0, 0,
    9, 33, 67, 0, 0, 39, 220, 54, 0, 0, 0, 0, 0, 0, 2, 228, 5, 9, 31, 153, 0, 0, 14, 181, 151, 0,
    0, 15, 193, 151, 0, 0, 15, 47, 153, 0, 0, 0, 18, 38, 1, 0, 0, 0, 0, 0, 0, 4, 2, 102, 8, 19, 0,
    0, 0, 0, 0, 19, 0, 0, 0, 0, 1, 19, 0, 0, 0, 0, 2, 0, 9, 84, 153, 0, 0, 38, 15, 193, 151, 0, 0,
    15, 90, 22, 0, 0, 15, 90, 22, 0, 0, 0, 9, 106, 153, 0, 0, 14, 90, 22, 0, 0, 15, 66, 90, 0, 0,
    0, 9, 122, 153, 0, 0, 14, 168, 0, 0, 0, 15, 66, 90, 0, 0, 15, 90, 22, 0, 0, 15, 26, 1, 0, 0,
    15, 168, 0, 0, 0, 15, 168, 0, 0, 0, 0, 9, 158, 153, 0, 0, 14, 233, 21, 0, 0, 15, 66, 90, 0, 0,
    0, 9, 174, 153, 0, 0, 14, 168, 0, 0, 0, 15, 66, 90, 0, 0, 15, 190, 153, 0, 0, 0, 9, 195, 153,
    0, 0, 35, 0, 0, 0, 0, 24, 2, 50, 18, 29, 0, 0, 0, 0, 242, 23, 0, 0, 2, 51, 18, 0, 29, 0, 0, 0,
    0, 236, 24, 0, 0, 2, 52, 18, 4, 29, 0, 0, 0, 0, 236, 24, 0, 0, 2, 53, 18, 6, 29, 0, 0, 0, 0, 0,
    154, 0, 0, 2, 57, 18, 8, 34, 8, 2, 54, 18, 29, 0, 0, 0, 0, 3, 27, 0, 0, 2, 55, 18, 0, 29, 0, 0,
    0, 0, 78, 154, 0, 0, 2, 56, 18, 0, 0, 29, 0, 0, 0, 0, 45, 154, 0, 0, 2, 61, 18, 16, 34, 8, 2,
    58, 18, 29, 0, 0, 0, 0, 78, 154, 0, 0, 2, 59, 18, 0, 29, 0, 0, 0, 0, 78, 154, 0, 0, 2, 60, 18,
    0, 0, 0, 39, 90, 154, 0, 0, 0, 0, 0, 0, 2, 115, 2, 30, 8, 2, 113, 2, 29, 0, 0, 0, 0, 109, 154,
    0, 0, 2, 114, 2, 0, 0, 3, 90, 22, 0, 0, 4, 82, 0, 0, 0, 1, 0, 9, 126, 154, 0, 0, 14, 190, 153,
    0, 0, 15, 66, 90, 0, 0, 15, 90, 22, 0, 0, 0, 9, 147, 154, 0, 0, 14, 220, 54, 0, 0, 15, 66, 90,
    0, 0, 15, 90, 22, 0, 0, 0, 9, 168, 154, 0, 0, 38, 15, 223, 149, 0, 0, 0, 9, 180, 154, 0, 0, 14,
    161, 88, 0, 0, 15, 223, 149, 0, 0, 15, 154, 27, 0, 0, 15, 36, 54, 0, 0, 15, 40, 73, 0, 0, 0, 9,
    211, 154, 0, 0, 14, 227, 154, 0, 0, 15, 223, 149, 0, 0, 15, 238, 154, 0, 0, 0, 12, 38, 1, 0, 0,
    0, 0, 0, 0, 2, 65, 9, 243, 154, 0, 0, 35, 0, 0, 0, 0, 16, 2, 167, 19, 29, 0, 0, 0, 0, 23, 155,
    0, 0, 2, 168, 19, 0, 29, 0, 0, 0, 0, 227, 154, 0, 0, 2, 169, 19, 8, 0, 39, 35, 155, 0, 0, 0, 0,
    0, 0, 2, 165, 19, 9, 40, 155, 0, 0, 38, 15, 61, 78, 0, 0, 15, 57, 155, 0, 0, 15, 238, 154, 0,
    0, 0, 9, 190, 104, 0, 0, 9, 67, 155, 0, 0, 14, 168, 0, 0, 0, 15, 223, 149, 0, 0, 15, 66, 90, 0,
    0, 0, 9, 88, 155, 0, 0, 35, 0, 0, 0, 0, 48, 2, 78, 191, 29, 0, 0, 0, 0, 242, 23, 0, 0, 2, 79,
    191, 0, 29, 0, 0, 0, 0, 242, 23, 0, 0, 2, 80, 191, 4, 29, 0, 0, 0, 0, 190, 104, 0, 0, 2, 81,
    191, 8, 29, 0, 0, 0, 0, 195, 21, 0, 0, 2, 82, 191, 32, 0, 9, 155, 155, 0, 0, 35, 0, 0, 0, 0,
    88, 2, 48, 191, 29, 0, 0, 0, 0, 81, 62, 0, 0, 2, 49, 191, 0, 29, 0, 0, 0, 0, 134, 62, 0, 0, 2,
    50, 191, 4, 29, 0, 0, 0, 0, 13, 156, 0, 0, 2, 51, 191, 8, 29, 0, 0, 0, 0, 13, 156, 0, 0, 2, 52,
    191, 24, 29, 0, 0, 0, 0, 13, 156, 0, 0, 2, 53, 191, 40, 29, 0, 0, 0, 0, 49, 156, 0, 0, 2, 54,
    191, 56, 29, 0, 0, 0, 0, 242, 23, 0, 0, 2, 55, 191, 80, 29, 0, 0, 0, 0, 242, 23, 0, 0, 2, 56,
    191, 84, 0, 35, 0, 0, 0, 0, 16, 2, 34, 1, 29, 0, 0, 0, 0, 130, 108, 0, 0, 2, 35, 1, 0, 29, 0,
    0, 0, 0, 19, 1, 0, 0, 2, 36, 1, 8, 0, 35, 0, 0, 0, 0, 24, 2, 174, 166, 29, 0, 0, 0, 0, 195, 21,
    0, 0, 2, 175, 166, 0, 29, 0, 0, 0, 0, 33, 67, 0, 0, 2, 176, 166, 16, 0, 35, 0, 0, 0, 0, 56, 2,
    154, 17, 29, 0, 0, 0, 0, 17, 146, 0, 0, 2, 155, 17, 0, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 156,
    17, 8, 29, 0, 0, 0, 0, 134, 156, 0, 0, 2, 157, 17, 16, 0, 35, 0, 0, 0, 0, 40, 2, 14, 17, 29, 0,
    0, 0, 0, 152, 21, 0, 0, 2, 15, 17, 0, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 16, 17, 16, 29, 0, 0, 0,
    0, 196, 156, 0, 0, 2, 17, 17, 24, 29, 0, 0, 0, 0, 177, 66, 0, 0, 2, 18, 17, 32, 0, 9, 201, 156,
    0, 0, 38, 15, 208, 156, 0, 0, 0, 9, 134, 156, 0, 0, 3, 225, 156, 0, 0, 4, 82, 0, 0, 0, 13, 0,
    9, 62, 143, 0, 0, 9, 235, 156, 0, 0, 28, 0, 0, 0, 0, 72, 27, 2, 102, 28, 29, 0, 0, 0, 0, 35,
    147, 0, 0, 2, 103, 28, 0, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 104, 28, 8, 29, 0, 0, 0, 0, 168, 0,
    0, 0, 2, 105, 28, 12, 29, 0, 0, 0, 0, 246, 143, 0, 0, 2, 106, 28, 16, 31, 0, 0, 0, 0, 109, 22,
    0, 0, 2, 107, 28, 224, 10, 31, 0, 0, 0, 0, 242, 23, 0, 0, 2, 108, 28, 232, 10, 31, 0, 0, 0, 0,
    195, 21, 0, 0, 2, 109, 28, 240, 10, 31, 0, 0, 0, 0, 38, 1, 0, 0, 2, 110, 28, 0, 11, 31, 0, 0,
    0, 0, 126, 157, 0, 0, 2, 111, 28, 4, 11, 31, 0, 0, 0, 0, 139, 157, 0, 0, 2, 112, 28, 4, 27, 0,
    3, 75, 0, 0, 0, 50, 82, 0, 0, 0, 0, 16, 0, 3, 75, 0, 0, 0, 4, 82, 0, 0, 0, 64, 0, 3, 195, 21,
    0, 0, 4, 82, 0, 0, 0, 13, 0, 9, 168, 157, 0, 0, 35, 0, 0, 0, 0, 64, 2, 94, 28, 29, 0, 0, 0, 0,
    243, 157, 0, 0, 2, 95, 28, 0, 29, 0, 0, 0, 0, 252, 157, 0, 0, 2, 96, 28, 0, 29, 0, 0, 0, 0,
    252, 157, 0, 0, 2, 97, 28, 24, 29, 0, 0, 0, 0, 241, 143, 0, 0, 2, 98, 28, 48, 29, 0, 0, 0, 0,
    241, 143, 0, 0, 2, 99, 28, 56, 0, 54, 0, 0, 0, 0, 0, 2, 2, 28, 35, 0, 0, 0, 0, 24, 2, 201, 22,
    29, 0, 0, 0, 0, 19, 158, 0, 0, 2, 202, 22, 0, 0, 35, 0, 0, 0, 0, 24, 2, 32, 21, 29, 0, 0, 0, 0,
    109, 22, 0, 0, 2, 33, 21, 0, 29, 0, 0, 0, 0, 109, 22, 0, 0, 2, 34, 21, 8, 29, 0, 0, 0, 0, 208,
    0, 0, 0, 2, 35, 21, 16, 0, 35, 0, 0, 0, 0, 24, 2, 33, 2, 29, 0, 0, 0, 0, 109, 22, 0, 0, 2, 34,
    2, 0, 29, 0, 0, 0, 0, 109, 22, 0, 0, 2, 35, 2, 8, 29, 0, 0, 0, 0, 155, 95, 0, 0, 2, 36, 2, 16,
    0, 35, 0, 0, 0, 0, 32, 2, 218, 6, 29, 0, 0, 0, 0, 173, 23, 0, 0, 2, 219, 6, 0, 29, 0, 0, 0, 0,
    195, 21, 0, 0, 2, 220, 6, 8, 29, 0, 0, 0, 0, 166, 158, 0, 0, 2, 221, 6, 24, 0, 39, 178, 158, 0,
    0, 0, 0, 0, 0, 2, 216, 6, 9, 183, 158, 0, 0, 38, 15, 190, 158, 0, 0, 0, 9, 117, 158, 0, 0, 28,
    0, 0, 0, 0, 88, 2, 2, 207, 22, 29, 0, 0, 0, 0, 128, 104, 0, 0, 2, 208, 22, 0, 29, 0, 0, 0, 0,
    223, 159, 0, 0, 2, 209, 22, 32, 29, 0, 0, 0, 0, 96, 160, 0, 0, 2, 210, 22, 40, 29, 0, 0, 0, 0,
    109, 22, 0, 0, 2, 211, 22, 80, 29, 0, 0, 0, 0, 109, 22, 0, 0, 2, 212, 22, 88, 29, 0, 0, 0, 0,
    108, 160, 0, 0, 2, 213, 22, 96, 29, 0, 0, 0, 0, 72, 254, 0, 0, 2, 214, 22, 184, 31, 0, 0, 0, 0,
    84, 254, 0, 0, 2, 215, 22, 8, 1, 31, 0, 0, 0, 0, 244, 117, 0, 0, 2, 216, 22, 128, 1, 31, 0, 0,
    0, 0, 134, 156, 0, 0, 2, 217, 22, 136, 1, 31, 0, 0, 0, 0, 190, 104, 0, 0, 2, 218, 22, 176, 1,
    31, 0, 0, 0, 0, 242, 23, 0, 0, 2, 219, 22, 200, 1, 31, 0, 0, 0, 0, 128, 104, 0, 0, 2, 220, 22,
    208, 1, 31, 0, 0, 0, 0, 195, 21, 0, 0, 2, 221, 22, 240, 1, 31, 0, 0, 0, 0, 96, 254, 0, 0, 2,
    222, 22, 0, 2, 31, 0, 0, 0, 0, 177, 66, 0, 0, 2, 223, 22, 20, 2, 31, 0, 0, 0, 0, 109, 22, 0, 0,
    2, 224, 22, 24, 2, 31, 0, 0, 0, 0, 96, 160, 0, 0, 2, 225, 22, 32, 2, 31, 0, 0, 0, 0, 109, 22,
    0, 0, 2, 226, 22, 72, 2, 31, 0, 0, 0, 0, 109, 22, 0, 0, 2, 227, 22, 80, 2, 0, 9, 228, 159, 0,
    0, 35, 0, 0, 0, 0, 128, 2, 43, 28, 29, 0, 0, 0, 0, 4, 66, 0, 0, 2, 44, 28, 0, 29, 0, 0, 0, 0,
    60, 160, 0, 0, 2, 45, 28, 4, 29, 0, 0, 0, 0, 177, 66, 0, 0, 2, 46, 28, 20, 29, 0, 0, 0, 0, 72,
    160, 0, 0, 2, 47, 28, 24, 29, 0, 0, 0, 0, 109, 22, 0, 0, 2, 48, 28, 48, 29, 0, 0, 0, 0, 84,
    160, 0, 0, 2, 50, 28, 64, 0, 3, 38, 1, 0, 0, 4, 82, 0, 0, 0, 4, 0, 3, 177, 66, 0, 0, 4, 82, 0,
    0, 0, 6, 0, 3, 177, 66, 0, 0, 4, 82, 0, 0, 0, 12, 0, 3, 109, 22, 0, 0, 4, 82, 0, 0, 0, 5, 0,
    35, 0, 0, 0, 0, 88, 2, 21, 17, 29, 0, 0, 0, 0, 117, 158, 0, 0, 2, 22, 17, 0, 29, 0, 0, 0, 0,
    134, 156, 0, 0, 2, 23, 17, 32, 29, 0, 0, 0, 0, 170, 160, 0, 0, 2, 24, 17, 72, 29, 0, 0, 0, 0,
    168, 0, 0, 0, 2, 25, 17, 80, 0, 9, 175, 160, 0, 0, 28, 0, 0, 0, 0, 64, 1, 2, 222, 107, 29, 0,
    0, 0, 0, 195, 21, 0, 0, 2, 223, 107, 0, 29, 0, 0, 0, 0, 195, 21, 0, 0, 2, 224, 107, 16, 29, 0,
    0, 0, 0, 128, 104, 0, 0, 2, 225, 107, 32, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 226, 107, 64, 29, 0,
    0, 0, 0, 168, 0, 0, 0, 2, 227, 107, 68, 29, 0, 0, 0, 0, 242, 23, 0, 0, 2, 228, 107, 72, 29, 0,
    0, 0, 0, 206, 161, 0, 0, 2, 229, 107, 80, 29, 0, 0, 0, 0, 195, 21, 0, 0, 2, 230, 107, 88, 29,
    0, 0, 0, 0, 195, 21, 0, 0, 2, 231, 107, 104, 29, 0, 0, 0, 0, 195, 21, 0, 0, 2, 232, 107, 120,
    29, 0, 0, 0, 0, 76, 162, 0, 0, 2, 233, 107, 136, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 234, 107,
    144, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 235, 107, 148, 29, 0, 0, 0, 0, 82, 165, 0, 0, 2, 236,
    107, 152, 29, 0, 0, 0, 0, 58, 163, 0, 0, 2, 237, 107, 160, 29, 0, 0, 0, 0, 219, 165, 0, 0, 2,
    238, 107, 168, 29, 0, 0, 0, 0, 207, 165, 0, 0, 2, 239, 107, 176, 29, 0, 0, 0, 0, 28, 22, 0, 0,
    2, 240, 107, 200, 31, 0, 0, 0, 0, 38, 1, 0, 0, 2, 246, 107, 0, 1, 31, 0, 0, 0, 0, 58, 163, 0,
    0, 2, 247, 107, 8, 1, 31, 0, 0, 0, 0, 60, 254, 0, 0, 2, 248, 107, 16, 1, 0, 9, 211, 161, 0, 0,
    35, 0, 0, 0, 0, 56, 2, 147, 108, 29, 0, 0, 0, 0, 195, 21, 0, 0, 2, 148, 108, 0, 29, 0, 0, 0, 0,
    168, 0, 0, 0, 2, 149, 108, 16, 29, 0, 0, 0, 0, 4, 162, 0, 0, 2, 150, 108, 24, 0, 35, 0, 0, 0,
    0, 32, 2, 136, 7, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 137, 7, 0, 29, 0, 0, 0, 0, 40, 162, 0, 0, 2,
    138, 7, 8, 0, 35, 0, 0, 0, 0, 24, 2, 131, 7, 29, 0, 0, 0, 0, 155, 95, 0, 0, 2, 132, 7, 0, 29,
    0, 0, 0, 0, 195, 21, 0, 0, 2, 133, 7, 8, 0, 9, 81, 162, 0, 0, 35, 0, 0, 0, 0, 152, 2, 45, 108,
    44, 99, 162, 0, 0, 2, 46, 108, 0, 34, 16, 2, 46, 108, 29, 0, 0, 0, 0, 195, 21, 0, 0, 2, 47,
    108, 0, 29, 0, 0, 0, 0, 152, 21, 0, 0, 2, 48, 108, 0, 0, 29, 0, 0, 0, 0, 190, 158, 0, 0, 2, 50,
    108, 16, 29, 0, 0, 0, 0, 166, 158, 0, 0, 2, 51, 108, 24, 29, 0, 0, 0, 0, 58, 163, 0, 0, 2, 52,
    108, 32, 29, 0, 0, 0, 0, 195, 21, 0, 0, 2, 53, 108, 40, 29, 0, 0, 0, 0, 244, 117, 0, 0, 2, 54,
    108, 56, 29, 0, 0, 0, 0, 243, 163, 0, 0, 2, 55, 108, 64, 29, 0, 0, 0, 0, 195, 21, 0, 0, 2, 56,
    108, 72, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 57, 108, 88, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 58, 108,
    96, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 59, 108, 100, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 60, 108,
    104, 29, 0, 0, 0, 0, 207, 165, 0, 0, 2, 61, 108, 108, 29, 0, 0, 0, 0, 170, 160, 0, 0, 2, 62,
    108, 136, 29, 0, 0, 0, 0, 166, 158, 0, 0, 2, 63, 108, 144, 0, 9, 63, 163, 0, 0, 28, 0, 0, 0, 0,
    0, 1, 2, 66, 108, 29, 0, 0, 0, 0, 243, 163, 0, 0, 2, 67, 108, 0, 29, 0, 0, 0, 0, 170, 160, 0,
    0, 2, 68, 108, 8, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 69, 108, 16, 29, 0, 0, 0, 0, 168, 0, 0, 0,
    2, 70, 108, 20, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 71, 108, 24, 29, 0, 0, 0, 0, 195, 165, 0, 0,
    2, 72, 108, 28, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 73, 108, 88, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2,
    74, 108, 92, 29, 0, 0, 0, 0, 195, 21, 0, 0, 2, 75, 108, 96, 29, 0, 0, 0, 0, 195, 21, 0, 0, 2,
    76, 108, 112, 29, 0, 0, 0, 0, 195, 21, 0, 0, 2, 77, 108, 128, 29, 0, 0, 0, 0, 117, 158, 0, 0,
    2, 78, 108, 144, 29, 0, 0, 0, 0, 28, 22, 0, 0, 2, 79, 108, 176, 0, 9, 248, 163, 0, 0, 28, 0, 0,
    0, 0, 64, 3, 2, 90, 108, 29, 0, 0, 0, 0, 155, 95, 0, 0, 2, 91, 108, 0, 29, 0, 0, 0, 0, 168, 0,
    0, 0, 2, 92, 108, 4, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 93, 108, 8, 29, 0, 0, 0, 0, 168, 0, 0, 0,
    2, 94, 108, 12, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 95, 108, 16, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2,
    96, 108, 24, 29, 0, 0, 0, 0, 195, 21, 0, 0, 2, 97, 108, 32, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2,
    98, 108, 48, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 99, 108, 52, 29, 0, 0, 0, 0, 195, 21, 0, 0, 2,
    100, 108, 56, 29, 0, 0, 0, 0, 134, 156, 0, 0, 2, 101, 108, 72, 29, 0, 0, 0, 0, 134, 156, 0, 0,
    2, 102, 108, 112, 29, 0, 0, 0, 0, 42, 165, 0, 0, 2, 103, 108, 152, 31, 0, 0, 0, 0, 76, 162, 0,
    0, 2, 104, 108, 152, 2, 31, 0, 0, 0, 0, 195, 21, 0, 0, 2, 105, 108, 160, 2, 31, 0, 0, 0, 0, 54,
    165, 0, 0, 2, 106, 108, 176, 2, 31, 0, 0, 0, 0, 59, 165, 0, 0, 2, 107, 108, 184, 2, 31, 0, 0,
    0, 0, 82, 165, 0, 0, 2, 108, 108, 200, 2, 31, 0, 0, 0, 0, 152, 21, 0, 0, 2, 109, 108, 208, 2,
    31, 0, 0, 0, 0, 168, 0, 0, 0, 2, 110, 108, 224, 2, 31, 0, 0, 0, 0, 242, 23, 0, 0, 2, 115, 108,
    0, 3, 31, 0, 0, 0, 0, 28, 22, 0, 0, 2, 116, 108, 8, 3, 0, 3, 90, 101, 0, 0, 4, 82, 0, 0, 0, 64,
    0, 9, 4, 162, 0, 0, 35, 0, 0, 0, 0, 16, 2, 35, 108, 29, 0, 0, 0, 0, 203, 147, 0, 0, 2, 36, 108,
    0, 0, 9, 87, 165, 0, 0, 35, 0, 0, 0, 0, 56, 2, 1, 108, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 2, 108,
    0, 29, 0, 0, 0, 0, 136, 165, 0, 0, 2, 3, 108, 8, 29, 0, 0, 0, 0, 181, 51, 0, 0, 2, 4, 108, 48,
    0, 39, 148, 165, 0, 0, 0, 0, 0, 0, 2, 54, 15, 3, 160, 165, 0, 0, 4, 82, 0, 0, 0, 1, 0, 35, 0,
    0, 0, 0, 40, 2, 250, 1, 29, 0, 0, 0, 0, 183, 165, 0, 0, 2, 251, 1, 0, 0, 3, 90, 22, 0, 0, 4,
    82, 0, 0, 0, 5, 0, 3, 168, 0, 0, 0, 4, 82, 0, 0, 0, 15, 0, 3, 75, 0, 0, 0, 4, 82, 0, 0, 0, 24,
    0, 9, 224, 165, 0, 0, 28, 0, 0, 0, 0, 248, 2, 2, 153, 108, 29, 0, 0, 0, 0, 170, 160, 0, 0, 2,
    154, 108, 0, 29, 0, 0, 0, 0, 5, 166, 0, 0, 2, 155, 108, 8, 0, 28, 0, 0, 0, 0, 240, 2, 2, 187,
    25, 29, 0, 0, 0, 0, 223, 85, 0, 0, 2, 188, 25, 0, 29, 0, 0, 0, 0, 92, 168, 0, 0, 2, 189, 25,
    64, 29, 0, 0, 0, 0, 97, 168, 0, 0, 2, 190, 25, 72, 29, 0, 0, 0, 0, 233, 21, 0, 0, 2, 191, 25,
    80, 29, 0, 0, 0, 0, 92, 193, 0, 0, 2, 192, 25, 88, 29, 0, 0, 0, 0, 145, 170, 0, 0, 2, 193, 25,
    96, 29, 0, 0, 0, 0, 139, 169, 0, 0, 2, 194, 25, 104, 29, 0, 0, 0, 0, 26, 1, 0, 0, 2, 195, 25,
    112, 29, 0, 0, 0, 0, 26, 1, 0, 0, 2, 196, 25, 120, 29, 0, 0, 0, 0, 128, 104, 0, 0, 2, 197, 25,
    128, 29, 0, 0, 0, 0, 221, 193, 0, 0, 2, 198, 25, 160, 29, 0, 0, 0, 0, 91, 194, 0, 0, 2, 199,
    25, 232, 31, 0, 0, 0, 0, 180, 204, 0, 0, 2, 200, 25, 24, 2, 31, 0, 0, 0, 0, 34, 205, 0, 0, 2,
    201, 25, 32, 2, 31, 0, 0, 0, 0, 154, 205, 0, 0, 2, 202, 25, 40, 2, 31, 0, 0, 0, 0, 33, 248, 0,
    0, 2, 203, 25, 48, 2, 31, 0, 0, 0, 0, 195, 21, 0, 0, 2, 204, 25, 56, 2, 31, 0, 0, 0, 0, 4, 249,
    0, 0, 2, 205, 25, 72, 2, 31, 0, 0, 0, 0, 157, 252, 0, 0, 2, 206, 25, 80, 2, 31, 0, 0, 0, 0,
    109, 22, 0, 0, 2, 207, 25, 88, 2, 31, 0, 0, 0, 0, 109, 22, 0, 0, 2, 208, 25, 96, 2, 31, 0, 0,
    0, 0, 90, 22, 0, 0, 2, 209, 25, 104, 2, 31, 0, 0, 0, 0, 162, 252, 0, 0, 2, 210, 25, 112, 2, 31,
    0, 0, 0, 0, 195, 21, 0, 0, 2, 211, 25, 120, 2, 31, 0, 0, 0, 0, 167, 252, 0, 0, 2, 212, 25, 136,
    2, 31, 0, 0, 0, 0, 17, 253, 0, 0, 2, 213, 25, 144, 2, 31, 0, 0, 0, 0, 214, 183, 0, 0, 2, 214,
    25, 144, 2, 31, 0, 0, 0, 0, 5, 178, 0, 0, 2, 215, 25, 152, 2, 31, 0, 0, 0, 0, 168, 0, 0, 0, 2,
    216, 25, 160, 2, 31, 0, 0, 0, 0, 18, 73, 0, 0, 2, 217, 25, 164, 2, 31, 0, 0, 0, 0, 177, 66, 0,
    0, 2, 218, 25, 168, 2, 31, 0, 0, 0, 0, 33, 67, 0, 0, 2, 219, 25, 172, 2, 31, 0, 0, 0, 0, 195,
    21, 0, 0, 2, 220, 25, 176, 2, 31, 0, 0, 0, 0, 61, 190, 0, 0, 2, 221, 25, 192, 2, 31, 0, 0, 0,
    0, 15, 89, 0, 0, 2, 222, 25, 200, 2, 31, 0, 0, 0, 0, 5, 172, 0, 0, 2, 223, 25, 208, 2, 31, 0,
    0, 0, 0, 16, 181, 0, 0, 2, 224, 25, 216, 2, 31, 0, 0, 0, 0, 26, 253, 0, 0, 2, 225, 25, 224, 2,
    32, 0, 0, 0, 0, 181, 51, 0, 0, 2, 226, 25, 1, 1, 7, 232, 2, 32, 0, 0, 0, 0, 181, 51, 0, 0, 2,
    227, 25, 1, 1, 6, 232, 2, 32, 0, 0, 0, 0, 181, 51, 0, 0, 2, 228, 25, 1, 1, 5, 232, 2, 32, 0, 0,
    0, 0, 181, 51, 0, 0, 2, 229, 25, 1, 1, 4, 232, 2, 0, 9, 5, 166, 0, 0, 9, 102, 168, 0, 0, 40, 0,
    0, 0, 0, 216, 2, 159, 57, 1, 0, 25, 0, 0, 0, 0, 11, 169, 0, 0, 2, 160, 57, 1, 0, 0, 25, 0, 0,
    0, 0, 90, 169, 0, 0, 2, 161, 57, 1, 0, 40, 25, 0, 0, 0, 0, 90, 169, 0, 0, 2, 162, 57, 1, 0, 72,
    25, 0, 0, 0, 0, 90, 169, 0, 0, 2, 163, 57, 1, 0, 104, 25, 0, 0, 0, 0, 90, 169, 0, 0, 2, 164,
    57, 1, 0, 136, 25, 0, 0, 0, 0, 195, 21, 0, 0, 2, 165, 57, 1, 0, 168, 25, 0, 0, 0, 0, 139, 169,
    0, 0, 2, 166, 57, 1, 0, 184, 25, 0, 0, 0, 0, 154, 27, 0, 0, 2, 167, 57, 1, 0, 192, 25, 0, 0, 0,
    0, 92, 168, 0, 0, 2, 168, 57, 1, 0, 200, 55, 0, 0, 0, 0, 218, 67, 0, 0, 2, 169, 57, 1, 0, 1, 1,
    7, 208, 0, 35, 0, 0, 0, 0, 40, 2, 175, 224, 29, 0, 0, 0, 0, 33, 67, 0, 0, 2, 176, 224, 0, 29,
    0, 0, 0, 0, 195, 21, 0, 0, 2, 177, 224, 8, 29, 0, 0, 0, 0, 73, 169, 0, 0, 2, 178, 224, 24, 29,
    0, 0, 0, 0, 73, 169, 0, 0, 2, 179, 224, 32, 0, 9, 78, 169, 0, 0, 38, 15, 85, 169, 0, 0, 0, 9,
    90, 169, 0, 0, 35, 0, 0, 0, 0, 32, 2, 182, 224, 29, 0, 0, 0, 0, 26, 1, 0, 0, 2, 183, 224, 0,
    29, 0, 0, 0, 0, 195, 21, 0, 0, 2, 184, 224, 8, 29, 0, 0, 0, 0, 221, 107, 0, 0, 2, 185, 224, 24,
    0, 9, 144, 169, 0, 0, 35, 0, 0, 0, 0, 144, 2, 85, 26, 29, 0, 0, 0, 0, 233, 21, 0, 0, 2, 86, 26,
    0, 29, 0, 0, 0, 0, 145, 170, 0, 0, 2, 87, 26, 8, 29, 0, 0, 0, 0, 120, 81, 0, 0, 2, 88, 26, 16,
    29, 0, 0, 0, 0, 233, 21, 0, 0, 2, 89, 26, 24, 29, 0, 0, 0, 0, 181, 51, 0, 0, 2, 90, 26, 32, 29,
    0, 0, 0, 0, 27, 192, 0, 0, 2, 91, 26, 36, 29, 0, 0, 0, 0, 59, 192, 0, 0, 2, 92, 26, 40, 29, 0,
    0, 0, 0, 155, 192, 0, 0, 2, 93, 26, 48, 29, 0, 0, 0, 0, 245, 171, 0, 0, 2, 94, 26, 56, 29, 0,
    0, 0, 0, 5, 172, 0, 0, 2, 95, 26, 64, 29, 0, 0, 0, 0, 245, 171, 0, 0, 2, 96, 26, 72, 29, 0, 0,
    0, 0, 5, 172, 0, 0, 2, 97, 26, 80, 29, 0, 0, 0, 0, 17, 172, 0, 0, 2, 98, 26, 88, 29, 0, 0, 0,
    0, 245, 171, 0, 0, 2, 99, 26, 96, 29, 0, 0, 0, 0, 15, 89, 0, 0, 2, 100, 26, 104, 29, 0, 0, 0,
    0, 15, 89, 0, 0, 2, 101, 26, 112, 29, 0, 0, 0, 0, 73, 172, 0, 0, 2, 102, 26, 120, 29, 0, 0, 0,
    0, 5, 172, 0, 0, 2, 103, 26, 128, 29, 0, 0, 0, 0, 251, 192, 0, 0, 2, 104, 26, 136, 0, 9, 150,
    170, 0, 0, 35, 0, 0, 0, 0, 176, 2, 47, 26, 29, 0, 0, 0, 0, 233, 21, 0, 0, 2, 48, 26, 0, 29, 0,
    0, 0, 0, 233, 21, 0, 0, 2, 49, 26, 8, 29, 0, 0, 0, 0, 92, 168, 0, 0, 2, 50, 26, 16, 29, 0, 0,
    0, 0, 15, 89, 0, 0, 2, 51, 26, 24, 29, 0, 0, 0, 0, 15, 89, 0, 0, 2, 52, 26, 32, 29, 0, 0, 0, 0,
    15, 89, 0, 0, 2, 53, 26, 40, 29, 0, 0, 0, 0, 203, 171, 0, 0, 2, 54, 26, 48, 29, 0, 0, 0, 0,
    224, 171, 0, 0, 2, 55, 26, 56, 29, 0, 0, 0, 0, 245, 171, 0, 0, 2, 56, 26, 64, 29, 0, 0, 0, 0,
    5, 172, 0, 0, 2, 57, 26, 72, 29, 0, 0, 0, 0, 245, 171, 0, 0, 2, 58, 26, 80, 29, 0, 0, 0, 0, 5,
    172, 0, 0, 2, 59, 26, 88, 29, 0, 0, 0, 0, 245, 171, 0, 0, 2, 60, 26, 96, 29, 0, 0, 0, 0, 245,
    171, 0, 0, 2, 61, 26, 104, 29, 0, 0, 0, 0, 17, 172, 0, 0, 2, 62, 26, 112, 29, 0, 0, 0, 0, 245,
    171, 0, 0, 2, 63, 26, 120, 29, 0, 0, 0, 0, 245, 171, 0, 0, 2, 64, 26, 128, 29, 0, 0, 0, 0, 245,
    171, 0, 0, 2, 65, 26, 136, 29, 0, 0, 0, 0, 73, 172, 0, 0, 2, 66, 26, 144, 29, 0, 0, 0, 0, 136,
    173, 0, 0, 2, 67, 26, 152, 29, 0, 0, 0, 0, 112, 189, 0, 0, 2, 68, 26, 160, 29, 0, 0, 0, 0, 23,
    115, 0, 0, 2, 69, 26, 168, 29, 0, 0, 0, 0, 181, 51, 0, 0, 2, 70, 26, 168, 0, 9, 208, 171, 0, 0,
    14, 168, 0, 0, 0, 15, 92, 168, 0, 0, 15, 139, 169, 0, 0, 0, 9, 229, 171, 0, 0, 14, 168, 0, 0,
    0, 15, 92, 168, 0, 0, 15, 106, 87, 0, 0, 0, 9, 250, 171, 0, 0, 14, 168, 0, 0, 0, 15, 92, 168,
    0, 0, 0, 9, 10, 172, 0, 0, 38, 15, 92, 168, 0, 0, 0, 9, 22, 172, 0, 0, 14, 168, 0, 0, 0, 15,
    92, 168, 0, 0, 15, 38, 172, 0, 0, 0, 39, 50, 172, 0, 0, 0, 0, 0, 0, 2, 76, 25, 35, 0, 0, 0, 0,
    4, 2, 72, 25, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 73, 25, 0, 0, 9, 78, 172, 0, 0, 37, 83, 172, 0,
    0, 35, 0, 0, 0, 0, 184, 2, 232, 25, 29, 0, 0, 0, 0, 245, 171, 0, 0, 2, 233, 25, 0, 29, 0, 0, 0,
    0, 5, 172, 0, 0, 2, 234, 25, 8, 29, 0, 0, 0, 0, 245, 171, 0, 0, 2, 235, 25, 16, 29, 0, 0, 0, 0,
    245, 171, 0, 0, 2, 236, 25, 24, 29, 0, 0, 0, 0, 245, 171, 0, 0, 2, 237, 25, 32, 29, 0, 0, 0, 0,
    245, 171, 0, 0, 2, 238, 25, 40, 29, 0, 0, 0, 0, 245, 171, 0, 0, 2, 239, 25, 48, 29, 0, 0, 0, 0,
    245, 171, 0, 0, 2, 240, 25, 56, 29, 0, 0, 0, 0, 245, 171, 0, 0, 2, 241, 25, 64, 29, 0, 0, 0, 0,
    245, 171, 0, 0, 2, 242, 25, 72, 29, 0, 0, 0, 0, 245, 171, 0, 0, 2, 243, 25, 80, 29, 0, 0, 0, 0,
    245, 171, 0, 0, 2, 244, 25, 88, 29, 0, 0, 0, 0, 245, 171, 0, 0, 2, 245, 25, 96, 29, 0, 0, 0, 0,
    245, 171, 0, 0, 2, 246, 25, 104, 29, 0, 0, 0, 0, 245, 171, 0, 0, 2, 247, 25, 112, 29, 0, 0, 0,
    0, 245, 171, 0, 0, 2, 248, 25, 120, 29, 0, 0, 0, 0, 245, 171, 0, 0, 2, 249, 25, 128, 29, 0, 0,
    0, 0, 245, 171, 0, 0, 2, 250, 25, 136, 29, 0, 0, 0, 0, 245, 171, 0, 0, 2, 251, 25, 144, 29, 0,
    0, 0, 0, 245, 171, 0, 0, 2, 252, 25, 152, 29, 0, 0, 0, 0, 245, 171, 0, 0, 2, 253, 25, 160, 29,
    0, 0, 0, 0, 245, 171, 0, 0, 2, 254, 25, 168, 29, 0, 0, 0, 0, 245, 171, 0, 0, 2, 255, 25, 176,
    0, 9, 141, 173, 0, 0, 37, 146, 173, 0, 0, 28, 0, 0, 0, 0, 72, 1, 2, 150, 26, 29, 0, 0, 0, 0,
    187, 175, 0, 0, 2, 151, 26, 0, 29, 0, 0, 0, 0, 235, 175, 0, 0, 2, 152, 26, 8, 29, 0, 0, 0, 0,
    209, 176, 0, 0, 2, 153, 26, 16, 29, 0, 0, 0, 0, 221, 176, 0, 0, 2, 154, 26, 24, 29, 0, 0, 0, 0,
    242, 176, 0, 0, 2, 155, 26, 32, 29, 0, 0, 0, 0, 3, 177, 0, 0, 2, 156, 26, 40, 29, 0, 0, 0, 0,
    55, 177, 0, 0, 2, 157, 26, 48, 29, 0, 0, 0, 0, 209, 176, 0, 0, 2, 158, 26, 56, 29, 0, 0, 0, 0,
    209, 176, 0, 0, 2, 159, 26, 64, 29, 0, 0, 0, 0, 140, 177, 0, 0, 2, 160, 26, 72, 29, 0, 0, 0, 0,
    157, 177, 0, 0, 2, 161, 26, 80, 29, 0, 0, 0, 0, 178, 177, 0, 0, 2, 162, 26, 88, 29, 0, 0, 0, 0,
    5, 172, 0, 0, 2, 163, 26, 96, 29, 0, 0, 0, 0, 5, 172, 0, 0, 2, 164, 26, 104, 29, 0, 0, 0, 0, 0,
    181, 0, 0, 2, 165, 26, 112, 29, 0, 0, 0, 0, 85, 182, 0, 0, 2, 166, 26, 120, 29, 0, 0, 0, 0, 85,
    182, 0, 0, 2, 167, 26, 128, 29, 0, 0, 0, 0, 179, 182, 0, 0, 2, 168, 26, 136, 29, 0, 0, 0, 0,
    179, 182, 0, 0, 2, 169, 26, 144, 29, 0, 0, 0, 0, 196, 182, 0, 0, 2, 170, 26, 152, 29, 0, 0, 0,
    0, 86, 183, 0, 0, 2, 171, 26, 160, 29, 0, 0, 0, 0, 122, 183, 0, 0, 2, 172, 26, 168, 29, 0, 0,
    0, 0, 139, 183, 0, 0, 2, 173, 26, 176, 29, 0, 0, 0, 0, 246, 184, 0, 0, 2, 174, 26, 184, 29, 0,
    0, 0, 0, 11, 185, 0, 0, 2, 175, 26, 192, 29, 0, 0, 0, 0, 11, 185, 0, 0, 2, 176, 26, 200, 29, 0,
    0, 0, 0, 58, 185, 0, 0, 2, 177, 26, 208, 29, 0, 0, 0, 0, 58, 185, 0, 0, 2, 178, 26, 216, 29, 0,
    0, 0, 0, 221, 176, 0, 0, 2, 179, 26, 224, 29, 0, 0, 0, 0, 242, 176, 0, 0, 2, 180, 26, 232, 29,
    0, 0, 0, 0, 221, 176, 0, 0, 2, 181, 26, 240, 29, 0, 0, 0, 0, 79, 185, 0, 0, 2, 182, 26, 248,
    31, 0, 0, 0, 0, 133, 185, 0, 0, 2, 183, 26, 0, 1, 31, 0, 0, 0, 0, 145, 185, 0, 0, 2, 184, 26,
    8, 1, 31, 0, 0, 0, 0, 161, 185, 0, 0, 2, 185, 26, 16, 1, 31, 0, 0, 0, 0, 86, 187, 0, 0, 2, 186,
    26, 24, 1, 31, 0, 0, 0, 0, 113, 188, 0, 0, 2, 187, 26, 32, 1, 31, 0, 0, 0, 0, 91, 189, 0, 0, 2,
    188, 26, 40, 1, 31, 0, 0, 0, 0, 245, 171, 0, 0, 2, 189, 26, 48, 1, 31, 0, 0, 0, 0, 90, 22, 0,
    0, 2, 190, 26, 56, 1, 31, 0, 0, 0, 0, 120, 81, 0, 0, 2, 191, 26, 64, 1, 0, 9, 192, 175, 0, 0,
    14, 181, 51, 0, 0, 15, 203, 175, 0, 0, 0, 18, 38, 1, 0, 0, 0, 0, 0, 0, 4, 2, 107, 26, 19, 0, 0,
    0, 0, 0, 19, 0, 0, 0, 0, 1, 19, 0, 0, 0, 0, 2, 0, 9, 240, 175, 0, 0, 14, 251, 175, 0, 0, 15,
    38, 1, 0, 0, 0, 9, 0, 176, 0, 0, 35, 0, 0, 0, 0, 72, 2, 229, 86, 29, 0, 0, 0, 0, 38, 1, 0, 0,
    2, 230, 86, 0, 29, 0, 0, 0, 0, 136, 173, 0, 0, 2, 231, 86, 8, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2,
    232, 86, 16, 29, 0, 0, 0, 0, 101, 176, 0, 0, 2, 233, 86, 24, 29, 0, 0, 0, 0, 26, 1, 0, 0, 2,
    234, 86, 32, 29, 0, 0, 0, 0, 149, 176, 0, 0, 2, 235, 86, 40, 29, 0, 0, 0, 0, 26, 1, 0, 0, 2,
    236, 86, 64, 0, 39, 113, 176, 0, 0, 0, 0, 0, 0, 2, 221, 86, 9, 118, 176, 0, 0, 14, 168, 0, 0,
    0, 15, 251, 175, 0, 0, 15, 92, 168, 0, 0, 15, 90, 22, 0, 0, 15, 168, 0, 0, 0, 15, 26, 1, 0, 0,
    0, 35, 0, 0, 0, 0, 24, 2, 223, 86, 29, 0, 0, 0, 0, 198, 176, 0, 0, 2, 224, 86, 0, 29, 0, 0, 0,
    0, 198, 176, 0, 0, 2, 225, 86, 8, 29, 0, 0, 0, 0, 181, 51, 0, 0, 2, 226, 86, 16, 0, 12, 109,
    22, 0, 0, 0, 0, 0, 0, 2, 97, 9, 214, 176, 0, 0, 38, 15, 251, 175, 0, 0, 0, 9, 226, 176, 0, 0,
    14, 168, 0, 0, 0, 15, 251, 175, 0, 0, 15, 92, 168, 0, 0, 0, 9, 247, 176, 0, 0, 38, 15, 251,
    175, 0, 0, 15, 92, 168, 0, 0, 0, 9, 8, 177, 0, 0, 14, 168, 0, 0, 0, 15, 251, 175, 0, 0, 15, 90,
    22, 0, 0, 15, 44, 177, 0, 0, 15, 36, 54, 0, 0, 15, 168, 0, 0, 0, 15, 252, 147, 0, 0, 0, 12,
    109, 22, 0, 0, 0, 0, 0, 0, 2, 103, 9, 60, 177, 0, 0, 14, 36, 54, 0, 0, 15, 251, 175, 0, 0, 15,
    90, 22, 0, 0, 15, 36, 54, 0, 0, 15, 86, 177, 0, 0, 0, 9, 91, 177, 0, 0, 35, 0, 0, 0, 0, 24, 2,
    1, 87, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 2, 87, 0, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 3, 87, 8,
    29, 0, 0, 0, 0, 36, 54, 0, 0, 2, 4, 87, 16, 0, 9, 145, 177, 0, 0, 38, 15, 251, 175, 0, 0, 15,
    86, 177, 0, 0, 0, 9, 162, 177, 0, 0, 14, 44, 177, 0, 0, 15, 251, 175, 0, 0, 15, 198, 176, 0, 0,
    0, 9, 183, 177, 0, 0, 14, 194, 177, 0, 0, 15, 92, 168, 0, 0, 0, 9, 199, 177, 0, 0, 35, 0, 0, 0,
    0, 40, 2, 7, 87, 29, 0, 0, 0, 0, 195, 21, 0, 0, 2, 8, 87, 0, 29, 0, 0, 0, 0, 136, 173, 0, 0, 2,
    9, 87, 16, 29, 0, 0, 0, 0, 5, 178, 0, 0, 2, 10, 87, 24, 29, 0, 0, 0, 0, 92, 168, 0, 0, 2, 11,
    87, 32, 0, 9, 10, 178, 0, 0, 35, 0, 0, 0, 0, 24, 2, 244, 26, 29, 0, 0, 0, 0, 5, 178, 0, 0, 2,
    245, 26, 0, 29, 0, 0, 0, 0, 59, 178, 0, 0, 2, 246, 26, 8, 29, 0, 0, 0, 0, 92, 168, 0, 0, 2,
    247, 26, 16, 0, 9, 64, 178, 0, 0, 37, 69, 178, 0, 0, 35, 0, 0, 0, 0, 144, 2, 184, 29, 29, 0, 0,
    0, 0, 57, 179, 0, 0, 2, 185, 29, 0, 29, 0, 0, 0, 0, 73, 179, 0, 0, 2, 186, 29, 8, 29, 0, 0, 0,
    0, 85, 179, 0, 0, 2, 187, 29, 16, 29, 0, 0, 0, 0, 111, 179, 0, 0, 2, 188, 29, 24, 29, 0, 0, 0,
    0, 142, 179, 0, 0, 2, 189, 29, 32, 29, 0, 0, 0, 0, 163, 179, 0, 0, 2, 190, 29, 40, 29, 0, 0, 0,
    0, 199, 179, 0, 0, 2, 191, 29, 48, 29, 0, 0, 0, 0, 235, 179, 0, 0, 2, 192, 29, 56, 29, 0, 0, 0,
    0, 235, 179, 0, 0, 2, 193, 29, 64, 29, 0, 0, 0, 0, 251, 179, 0, 0, 2, 194, 29, 72, 29, 0, 0, 0,
    0, 11, 180, 0, 0, 2, 195, 29, 80, 29, 0, 0, 0, 0, 32, 180, 0, 0, 2, 196, 29, 88, 29, 0, 0, 0,
    0, 53, 180, 0, 0, 2, 197, 29, 96, 29, 0, 0, 0, 0, 11, 180, 0, 0, 2, 198, 29, 104, 29, 0, 0, 0,
    0, 251, 179, 0, 0, 2, 199, 29, 112, 29, 0, 0, 0, 0, 57, 179, 0, 0, 2, 200, 29, 120, 29, 0, 0,
    0, 0, 160, 180, 0, 0, 2, 201, 29, 128, 29, 0, 0, 0, 0, 235, 180, 0, 0, 2, 202, 29, 136, 0, 9,
    62, 179, 0, 0, 14, 5, 178, 0, 0, 15, 5, 178, 0, 0, 0, 9, 78, 179, 0, 0, 38, 15, 5, 178, 0, 0,
    0, 9, 90, 179, 0, 0, 14, 181, 51, 0, 0, 15, 101, 179, 0, 0, 0, 9, 106, 179, 0, 0, 37, 10, 178,
    0, 0, 9, 116, 179, 0, 0, 14, 45, 1, 0, 0, 15, 101, 179, 0, 0, 15, 132, 179, 0, 0, 0, 9, 137,
    179, 0, 0, 37, 5, 166, 0, 0, 9, 147, 179, 0, 0, 14, 181, 51, 0, 0, 15, 101, 179, 0, 0, 15, 233,
    21, 0, 0, 0, 9, 168, 179, 0, 0, 14, 168, 0, 0, 0, 15, 101, 179, 0, 0, 15, 233, 21, 0, 0, 15,
    38, 1, 0, 0, 15, 26, 1, 0, 0, 15, 36, 54, 0, 0, 0, 9, 204, 179, 0, 0, 14, 168, 0, 0, 0, 15,
    101, 179, 0, 0, 15, 233, 21, 0, 0, 15, 230, 179, 0, 0, 15, 36, 54, 0, 0, 0, 9, 233, 21, 0, 0,
    9, 240, 179, 0, 0, 14, 233, 21, 0, 0, 15, 101, 179, 0, 0, 0, 9, 0, 180, 0, 0, 14, 5, 178, 0, 0,
    15, 101, 179, 0, 0, 0, 9, 16, 180, 0, 0, 14, 5, 178, 0, 0, 15, 101, 179, 0, 0, 15, 5, 178, 0,
    0, 0, 9, 37, 180, 0, 0, 14, 5, 178, 0, 0, 15, 101, 179, 0, 0, 15, 233, 21, 0, 0, 0, 9, 58, 180,
    0, 0, 14, 168, 0, 0, 0, 15, 101, 179, 0, 0, 15, 233, 21, 0, 0, 15, 233, 21, 0, 0, 15, 38, 1, 0,
    0, 15, 38, 1, 0, 0, 15, 94, 180, 0, 0, 0, 9, 99, 180, 0, 0, 35, 0, 0, 0, 0, 80, 2, 211, 29, 29,
    0, 0, 0, 0, 5, 178, 0, 0, 2, 212, 29, 0, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 213, 29, 8, 29, 0, 0,
    0, 0, 148, 180, 0, 0, 2, 214, 29, 16, 0, 3, 109, 22, 0, 0, 4, 82, 0, 0, 0, 8, 0, 9, 165, 180,
    0, 0, 14, 168, 0, 0, 0, 15, 101, 179, 0, 0, 15, 181, 180, 0, 0, 0, 9, 186, 180, 0, 0, 35, 0, 0,
    0, 0, 16, 2, 205, 29, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 206, 29, 0, 29, 0, 0, 0, 0, 38, 1, 0, 0,
    2, 207, 29, 4, 29, 0, 0, 0, 0, 101, 179, 0, 0, 2, 208, 29, 8, 0, 9, 240, 180, 0, 0, 14, 168, 0,
    0, 0, 15, 101, 179, 0, 0, 15, 92, 168, 0, 0, 0, 9, 5, 181, 0, 0, 14, 16, 181, 0, 0, 15, 92,
    168, 0, 0, 0, 9, 21, 181, 0, 0, 40, 0, 0, 0, 0, 232, 2, 2, 53, 1, 0, 25, 0, 0, 0, 0, 223, 85,
    0, 0, 2, 3, 53, 1, 0, 0, 25, 0, 0, 0, 0, 148, 86, 0, 0, 2, 4, 53, 1, 0, 64, 25, 0, 0, 0, 0,
    195, 21, 0, 0, 2, 5, 53, 1, 0, 72, 25, 0, 0, 0, 0, 128, 104, 0, 0, 2, 6, 53, 1, 0, 88, 25, 0,
    0, 0, 0, 213, 181, 0, 0, 2, 7, 53, 1, 0, 120, 25, 0, 0, 0, 0, 26, 1, 0, 0, 2, 8, 53, 1, 0, 168,
    25, 0, 0, 0, 0, 170, 136, 0, 0, 2, 9, 53, 1, 0, 176, 25, 0, 0, 0, 0, 154, 27, 0, 0, 2, 10, 53,
    1, 0, 184, 25, 0, 0, 0, 0, 168, 0, 0, 0, 2, 11, 53, 1, 0, 192, 25, 0, 0, 0, 0, 251, 175, 0, 0,
    2, 12, 53, 1, 0, 200, 25, 0, 0, 0, 0, 251, 175, 0, 0, 2, 13, 53, 1, 0, 208, 25, 0, 0, 0, 0,
    195, 21, 0, 0, 2, 14, 53, 1, 0, 216, 0, 35, 0, 0, 0, 0, 48, 2, 144, 79, 29, 0, 0, 0, 0, 57, 95,
    0, 0, 2, 145, 79, 0, 29, 0, 0, 0, 0, 249, 181, 0, 0, 2, 146, 79, 40, 0, 9, 254, 181, 0, 0, 35,
    0, 0, 0, 0, 24, 2, 124, 33, 29, 0, 0, 0, 0, 47, 182, 0, 0, 2, 125, 33, 0, 29, 0, 0, 0, 0, 249,
    181, 0, 0, 2, 126, 33, 8, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 127, 33, 16, 0, 39, 59, 182, 0, 0,
    0, 0, 0, 0, 2, 122, 33, 9, 64, 182, 0, 0, 14, 168, 0, 0, 0, 15, 249, 181, 0, 0, 15, 90, 22, 0,
    0, 15, 26, 1, 0, 0, 0, 9, 90, 182, 0, 0, 14, 168, 0, 0, 0, 15, 251, 175, 0, 0, 15, 111, 182, 0,
    0, 15, 26, 1, 0, 0, 0, 18, 38, 1, 0, 0, 0, 0, 0, 0, 4, 2, 113, 26, 19, 0, 0, 0, 0, 0, 19, 0, 0,
    0, 0, 1, 19, 0, 0, 0, 0, 2, 19, 0, 0, 0, 0, 3, 19, 0, 0, 0, 0, 4, 19, 0, 0, 0, 0, 5, 19, 0, 0,
    0, 0, 6, 19, 0, 0, 0, 0, 7, 19, 0, 0, 0, 0, 8, 0, 9, 184, 182, 0, 0, 38, 15, 92, 168, 0, 0, 15,
    228, 21, 0, 0, 0, 9, 201, 182, 0, 0, 38, 15, 92, 168, 0, 0, 15, 251, 175, 0, 0, 15, 218, 182,
    0, 0, 0, 9, 223, 182, 0, 0, 35, 0, 0, 0, 0, 40, 2, 249, 86, 29, 0, 0, 0, 0, 195, 21, 0, 0, 2,
    250, 86, 0, 29, 0, 0, 0, 0, 44, 177, 0, 0, 2, 251, 86, 16, 29, 0, 0, 0, 0, 36, 54, 0, 0, 2,
    252, 86, 24, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 253, 86, 32, 29, 0, 0, 0, 0, 42, 183, 0, 0, 2,
    254, 86, 36, 0, 18, 38, 1, 0, 0, 0, 0, 0, 0, 4, 2, 241, 86, 19, 0, 0, 0, 0, 0, 19, 0, 0, 0, 0,
    1, 19, 0, 0, 0, 0, 2, 19, 0, 0, 0, 0, 3, 19, 0, 0, 0, 0, 4, 0, 9, 91, 183, 0, 0, 14, 168, 0, 0,
    0, 15, 251, 175, 0, 0, 15, 177, 66, 0, 0, 15, 44, 177, 0, 0, 15, 109, 22, 0, 0, 15, 168, 0, 0,
    0, 0, 9, 127, 183, 0, 0, 38, 15, 251, 175, 0, 0, 15, 177, 66, 0, 0, 0, 9, 144, 183, 0, 0, 14,
    168, 0, 0, 0, 15, 92, 168, 0, 0, 15, 160, 183, 0, 0, 0, 9, 165, 183, 0, 0, 35, 0, 0, 0, 0, 80,
    2, 133, 86, 29, 0, 0, 0, 0, 214, 183, 0, 0, 2, 134, 86, 0, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2,
    135, 86, 8, 29, 0, 0, 0, 0, 234, 184, 0, 0, 2, 136, 86, 12, 0, 9, 219, 183, 0, 0, 35, 0, 0, 0,
    0, 168, 2, 67, 27, 29, 0, 0, 0, 0, 233, 21, 0, 0, 2, 68, 27, 0, 29, 0, 0, 0, 0, 129, 184, 0, 0,
    2, 69, 27, 8, 29, 0, 0, 0, 0, 233, 21, 0, 0, 2, 70, 27, 16, 29, 0, 0, 0, 0, 10, 178, 0, 0, 2,
    71, 27, 24, 29, 0, 0, 0, 0, 141, 184, 0, 0, 2, 72, 27, 48, 29, 0, 0, 0, 0, 141, 184, 0, 0, 2,
    73, 27, 56, 29, 0, 0, 0, 0, 214, 183, 0, 0, 2, 74, 27, 64, 29, 0, 0, 0, 0, 214, 183, 0, 0, 2,
    75, 27, 72, 29, 0, 0, 0, 0, 214, 183, 0, 0, 2, 76, 27, 80, 29, 0, 0, 0, 0, 223, 85, 0, 0, 2,
    77, 27, 88, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 78, 27, 152, 29, 0, 0, 0, 0, 26, 1, 0, 0, 2, 79,
    27, 160, 0, 39, 177, 66, 0, 0, 0, 0, 0, 0, 2, 63, 27, 9, 146, 184, 0, 0, 35, 0, 0, 0, 0, 96, 2,
    217, 29, 29, 0, 0, 0, 0, 154, 27, 0, 0, 2, 218, 29, 0, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 219,
    29, 8, 29, 0, 0, 0, 0, 26, 1, 0, 0, 2, 220, 29, 16, 29, 0, 0, 0, 0, 141, 184, 0, 0, 2, 221, 29,
    24, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 222, 29, 32, 29, 0, 0, 0, 0, 162, 89, 0, 0, 2, 223, 29,
    40, 0, 3, 154, 108, 0, 0, 4, 82, 0, 0, 0, 16, 0, 9, 251, 184, 0, 0, 14, 181, 51, 0, 0, 15, 251,
    175, 0, 0, 15, 92, 168, 0, 0, 0, 9, 16, 185, 0, 0, 14, 181, 51, 0, 0, 15, 92, 168, 0, 0, 15,
    32, 185, 0, 0, 0, 18, 38, 1, 0, 0, 0, 0, 0, 0, 4, 2, 125, 26, 19, 0, 0, 0, 0, 0, 19, 0, 0, 0,
    0, 1, 0, 9, 63, 185, 0, 0, 14, 168, 0, 0, 0, 15, 92, 168, 0, 0, 15, 32, 185, 0, 0, 0, 9, 84,
    185, 0, 0, 14, 105, 185, 0, 0, 15, 92, 168, 0, 0, 15, 104, 91, 0, 0, 15, 26, 1, 0, 0, 0, 9,
    110, 185, 0, 0, 35, 0, 0, 0, 0, 8, 2, 14, 87, 29, 0, 0, 0, 0, 92, 168, 0, 0, 2, 15, 87, 0, 0,
    9, 138, 185, 0, 0, 38, 15, 105, 185, 0, 0, 0, 9, 150, 185, 0, 0, 14, 168, 0, 0, 0, 15, 105,
    185, 0, 0, 0, 9, 166, 185, 0, 0, 14, 168, 0, 0, 0, 15, 92, 168, 0, 0, 15, 187, 185, 0, 0, 15,
    6, 187, 0, 0, 0, 9, 192, 185, 0, 0, 35, 0, 0, 0, 0, 80, 2, 18, 87, 29, 0, 0, 0, 0, 228, 185, 0,
    0, 2, 19, 87, 0, 29, 0, 0, 0, 0, 195, 21, 0, 0, 2, 20, 87, 64, 0, 35, 0, 0, 0, 0, 64, 2, 157,
    86, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 158, 86, 0, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 159, 86, 4, 44,
    16, 186, 0, 0, 2, 160, 86, 8, 34, 56, 2, 160, 86, 29, 0, 0, 0, 0, 62, 186, 0, 0, 2, 161, 86, 0,
    29, 0, 0, 0, 0, 150, 186, 0, 0, 2, 162, 86, 0, 29, 0, 0, 0, 0, 250, 186, 0, 0, 2, 163, 86, 0,
    0, 0, 35, 0, 0, 0, 0, 32, 2, 139, 86, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 140, 86, 0, 29, 0, 0, 0,
    0, 27, 1, 0, 0, 2, 141, 86, 4, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 142, 86, 8, 29, 0, 0, 0, 0, 27,
    1, 0, 0, 2, 143, 86, 12, 29, 0, 0, 0, 0, 197, 0, 0, 0, 2, 144, 86, 16, 29, 0, 0, 0, 0, 197, 0,
    0, 0, 2, 145, 86, 24, 0, 35, 0, 0, 0, 0, 40, 2, 148, 86, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 149,
    86, 0, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 150, 86, 4, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 151, 86, 8,
    29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 152, 86, 12, 29, 0, 0, 0, 0, 197, 0, 0, 0, 2, 153, 86, 16, 29,
    0, 0, 0, 0, 238, 186, 0, 0, 2, 154, 86, 24, 0, 3, 197, 0, 0, 0, 4, 82, 0, 0, 0, 2, 0, 3, 158,
    26, 0, 0, 4, 82, 0, 0, 0, 56, 0, 9, 11, 187, 0, 0, 35, 0, 0, 0, 0, 20, 2, 167, 86, 29, 0, 0, 0,
    0, 27, 1, 0, 0, 2, 168, 86, 0, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 169, 86, 4, 29, 0, 0, 0, 0, 27,
    1, 0, 0, 2, 170, 86, 8, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 171, 86, 12, 29, 0, 0, 0, 0, 27, 1, 0,
    0, 2, 172, 86, 16, 0, 9, 91, 187, 0, 0, 14, 168, 0, 0, 0, 15, 251, 175, 0, 0, 15, 92, 168, 0,
    0, 15, 112, 187, 0, 0, 0, 9, 117, 187, 0, 0, 35, 0, 0, 0, 0, 48, 2, 190, 86, 29, 0, 0, 0, 0,
    27, 1, 0, 0, 2, 191, 86, 0, 29, 0, 0, 0, 0, 158, 26, 0, 0, 2, 192, 86, 4, 29, 0, 0, 0, 0, 158,
    26, 0, 0, 2, 193, 86, 5, 29, 0, 0, 0, 0, 220, 187, 0, 0, 2, 194, 86, 6, 44, 187, 187, 0, 0, 2,
    195, 86, 8, 34, 40, 2, 195, 86, 29, 0, 0, 0, 0, 232, 187, 0, 0, 2, 196, 86, 0, 29, 0, 0, 0, 0,
    25, 188, 0, 0, 2, 197, 86, 0, 0, 0, 3, 158, 26, 0, 0, 4, 82, 0, 0, 0, 2, 0, 35, 0, 0, 0, 0, 16,
    2, 184, 86, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 185, 86, 0, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 186,
    86, 4, 29, 0, 0, 0, 0, 197, 0, 0, 0, 2, 187, 86, 8, 0, 35, 0, 0, 0, 0, 40, 2, 175, 86, 29, 0,
    0, 0, 0, 27, 1, 0, 0, 2, 176, 86, 0, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 177, 86, 4, 29, 0, 0, 0,
    0, 197, 0, 0, 0, 2, 178, 86, 8, 29, 0, 0, 0, 0, 197, 0, 0, 0, 2, 179, 86, 16, 29, 0, 0, 0, 0,
    197, 0, 0, 0, 2, 180, 86, 24, 29, 0, 0, 0, 0, 197, 0, 0, 0, 2, 181, 86, 32, 0, 9, 118, 188, 0,
    0, 14, 168, 0, 0, 0, 15, 251, 175, 0, 0, 15, 92, 168, 0, 0, 15, 139, 188, 0, 0, 0, 9, 144, 188,
    0, 0, 35, 0, 0, 0, 0, 72, 2, 207, 86, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 208, 86, 0, 29, 0, 0, 0,
    0, 27, 1, 0, 0, 2, 209, 86, 4, 29, 0, 0, 0, 0, 197, 0, 0, 0, 2, 210, 86, 8, 29, 0, 0, 0, 0,
    197, 0, 0, 0, 2, 211, 86, 16, 29, 0, 0, 0, 0, 197, 0, 0, 0, 2, 212, 86, 24, 29, 0, 0, 0, 0,
    197, 0, 0, 0, 2, 213, 86, 32, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 214, 86, 40, 29, 0, 0, 0, 0, 30,
    189, 0, 0, 2, 215, 86, 44, 44, 10, 189, 0, 0, 2, 216, 86, 56, 34, 16, 2, 216, 86, 29, 0, 0, 0,
    0, 42, 189, 0, 0, 2, 217, 86, 0, 0, 0, 3, 158, 26, 0, 0, 4, 82, 0, 0, 0, 12, 0, 35, 0, 0, 0, 0,
    16, 2, 201, 86, 29, 0, 0, 0, 0, 197, 0, 0, 0, 2, 202, 86, 0, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2,
    203, 86, 8, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 204, 86, 12, 0, 9, 96, 189, 0, 0, 14, 168, 0, 0, 0,
    15, 92, 168, 0, 0, 15, 168, 0, 0, 0, 0, 9, 117, 189, 0, 0, 22, 0, 0, 0, 0, 152, 1, 2, 136, 57,
    1, 0, 25, 0, 0, 0, 0, 158, 86, 0, 0, 2, 137, 57, 1, 0, 0, 25, 0, 0, 0, 0, 153, 86, 0, 0, 2,
    138, 57, 1, 0, 96, 25, 0, 0, 0, 0, 195, 21, 0, 0, 2, 139, 57, 1, 0, 104, 25, 0, 0, 0, 0, 128,
    104, 0, 0, 2, 140, 57, 1, 0, 120, 25, 0, 0, 0, 0, 153, 86, 0, 0, 2, 141, 57, 1, 0, 152, 25, 0,
    0, 0, 0, 11, 169, 0, 0, 2, 142, 57, 1, 0, 160, 25, 0, 0, 0, 0, 11, 169, 0, 0, 2, 143, 57, 1, 0,
    200, 25, 0, 0, 0, 0, 213, 181, 0, 0, 2, 144, 57, 1, 0, 240, 56, 0, 0, 0, 0, 38, 1, 0, 0, 2,
    145, 57, 1, 0, 4, 1, 31, 32, 1, 27, 0, 0, 0, 0, 145, 170, 0, 0, 2, 146, 57, 1, 0, 40, 1, 27, 0,
    0, 0, 0, 158, 86, 0, 0, 2, 147, 57, 1, 0, 48, 1, 27, 0, 0, 0, 0, 61, 190, 0, 0, 2, 148, 57, 1,
    0, 144, 1, 0, 9, 66, 190, 0, 0, 35, 0, 0, 0, 0, 120, 2, 203, 26, 29, 0, 0, 0, 0, 233, 21, 0, 0,
    2, 204, 26, 0, 29, 0, 0, 0, 0, 120, 81, 0, 0, 2, 205, 26, 8, 29, 0, 0, 0, 0, 15, 89, 0, 0, 2,
    206, 26, 16, 29, 0, 0, 0, 0, 15, 89, 0, 0, 2, 207, 26, 24, 29, 0, 0, 0, 0, 148, 86, 0, 0, 2,
    208, 26, 32, 29, 0, 0, 0, 0, 224, 171, 0, 0, 2, 209, 26, 40, 29, 0, 0, 0, 0, 15, 191, 0, 0, 2,
    210, 26, 48, 29, 0, 0, 0, 0, 41, 191, 0, 0, 2, 211, 26, 56, 29, 0, 0, 0, 0, 5, 172, 0, 0, 2,
    212, 26, 64, 29, 0, 0, 0, 0, 245, 171, 0, 0, 2, 213, 26, 72, 29, 0, 0, 0, 0, 53, 191, 0, 0, 2,
    214, 26, 80, 29, 0, 0, 0, 0, 235, 191, 0, 0, 2, 215, 26, 88, 29, 0, 0, 0, 0, 251, 191, 0, 0, 2,
    216, 26, 96, 29, 0, 0, 0, 0, 73, 172, 0, 0, 2, 217, 26, 104, 29, 0, 0, 0, 0, 112, 189, 0, 0, 2,
    218, 26, 112, 0, 9, 20, 191, 0, 0, 14, 154, 27, 0, 0, 15, 92, 168, 0, 0, 15, 36, 191, 0, 0, 0,
    9, 70, 62, 0, 0, 9, 46, 191, 0, 0, 38, 15, 61, 190, 0, 0, 0, 9, 58, 191, 0, 0, 37, 63, 191, 0,
    0, 35, 0, 0, 0, 0, 48, 2, 180, 19, 29, 0, 0, 0, 0, 151, 191, 0, 0, 2, 181, 19, 0, 29, 0, 0, 0,
    0, 183, 191, 0, 0, 2, 182, 19, 8, 29, 0, 0, 0, 0, 195, 191, 0, 0, 2, 183, 19, 16, 29, 0, 0, 0,
    0, 207, 191, 0, 0, 2, 184, 19, 24, 29, 0, 0, 0, 0, 223, 191, 0, 0, 2, 185, 19, 32, 29, 0, 0, 0,
    0, 170, 136, 0, 0, 2, 186, 19, 40, 0, 18, 38, 1, 0, 0, 0, 0, 0, 0, 4, 2, 172, 19, 19, 0, 0, 0,
    0, 0, 19, 0, 0, 0, 0, 1, 19, 0, 0, 0, 0, 2, 0, 9, 188, 191, 0, 0, 57, 181, 51, 0, 0, 58, 0, 9,
    200, 191, 0, 0, 57, 26, 1, 0, 0, 58, 0, 9, 212, 191, 0, 0, 14, 45, 1, 0, 0, 15, 27, 40, 0, 0,
    0, 9, 228, 191, 0, 0, 57, 45, 1, 0, 0, 58, 0, 9, 240, 191, 0, 0, 14, 45, 1, 0, 0, 15, 92, 168,
    0, 0, 0, 9, 0, 192, 0, 0, 38, 15, 92, 168, 0, 0, 15, 17, 192, 0, 0, 15, 22, 192, 0, 0, 0, 9,
    81, 62, 0, 0, 9, 134, 62, 0, 0, 18, 38, 1, 0, 0, 0, 0, 0, 0, 4, 2, 73, 26, 19, 0, 0, 0, 0, 0,
    19, 0, 0, 0, 0, 1, 19, 0, 0, 0, 0, 2, 0, 9, 64, 192, 0, 0, 37, 69, 192, 0, 0, 35, 0, 0, 0, 0,
    200, 2, 221, 26, 29, 0, 0, 0, 0, 131, 192, 0, 0, 2, 222, 26, 0, 29, 0, 0, 0, 0, 131, 192, 0, 0,
    2, 223, 26, 32, 29, 0, 0, 0, 0, 143, 192, 0, 0, 2, 224, 26, 64, 29, 0, 0, 0, 0, 45, 1, 0, 0, 2,
    225, 26, 192, 0, 3, 75, 0, 0, 0, 4, 82, 0, 0, 0, 32, 0, 3, 75, 0, 0, 0, 4, 82, 0, 0, 0, 128, 0,
    9, 160, 192, 0, 0, 37, 165, 192, 0, 0, 35, 0, 0, 0, 0, 32, 2, 230, 26, 29, 0, 0, 0, 0, 227,
    192, 0, 0, 2, 231, 26, 0, 29, 0, 0, 0, 0, 239, 192, 0, 0, 2, 232, 26, 16, 29, 0, 0, 0, 0, 27,
    1, 0, 0, 2, 233, 26, 24, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 234, 26, 28, 0, 3, 158, 26, 0, 0, 4,
    82, 0, 0, 0, 9, 0, 39, 90, 22, 0, 0, 0, 0, 0, 0, 2, 228, 26, 9, 0, 193, 0, 0, 40, 0, 0, 0, 0,
    152, 2, 151, 57, 1, 0, 25, 0, 0, 0, 0, 223, 85, 0, 0, 2, 152, 57, 1, 0, 0, 25, 0, 0, 0, 0, 11,
    169, 0, 0, 2, 153, 57, 1, 0, 64, 25, 0, 0, 0, 0, 90, 169, 0, 0, 2, 154, 57, 1, 0, 104, 25, 0,
    0, 0, 0, 87, 193, 0, 0, 2, 155, 57, 1, 0, 136, 25, 0, 0, 0, 0, 139, 169, 0, 0, 2, 156, 57, 1,
    0, 144, 0, 9, 148, 85, 0, 0, 9, 97, 193, 0, 0, 37, 102, 193, 0, 0, 35, 0, 0, 0, 0, 48, 2, 194,
    26, 29, 0, 0, 0, 0, 233, 21, 0, 0, 2, 195, 26, 0, 29, 0, 0, 0, 0, 15, 89, 0, 0, 2, 196, 26, 8,
    29, 0, 0, 0, 0, 224, 171, 0, 0, 2, 197, 26, 16, 29, 0, 0, 0, 0, 190, 193, 0, 0, 2, 198, 26, 24,
    29, 0, 0, 0, 0, 5, 172, 0, 0, 2, 199, 26, 32, 29, 0, 0, 0, 0, 73, 172, 0, 0, 2, 200, 26, 40, 0,
    9, 195, 193, 0, 0, 14, 154, 27, 0, 0, 15, 92, 168, 0, 0, 15, 36, 191, 0, 0, 15, 17, 192, 0, 0,
    15, 22, 192, 0, 0, 0, 35, 0, 0, 0, 0, 72, 2, 63, 25, 29, 0, 0, 0, 0, 195, 21, 0, 0, 2, 64, 25,
    0, 29, 0, 0, 0, 0, 195, 21, 0, 0, 2, 65, 25, 16, 29, 0, 0, 0, 0, 195, 21, 0, 0, 2, 66, 25, 32,
    29, 0, 0, 0, 0, 195, 21, 0, 0, 2, 67, 25, 48, 29, 0, 0, 0, 0, 181, 51, 0, 0, 2, 68, 25, 64, 29,
    0, 0, 0, 0, 53, 194, 0, 0, 2, 69, 25, 68, 0, 18, 38, 1, 0, 0, 0, 0, 0, 0, 4, 2, 56, 25, 19, 0,
    0, 0, 0, 0, 19, 0, 0, 0, 0, 1, 19, 0, 0, 0, 0, 2, 19, 0, 0, 0, 0, 3, 0, 28, 0, 0, 0, 0, 48, 1,
    2, 101, 25, 29, 0, 0, 0, 0, 38, 172, 0, 0, 2, 102, 25, 0, 45, 0, 0, 0, 0, 38, 1, 0, 0, 2, 103,
    25, 4, 1, 31, 4, 45, 0, 0, 0, 0, 38, 1, 0, 0, 2, 104, 25, 4, 1, 30, 4, 45, 0, 0, 0, 0, 181, 51,
    0, 0, 2, 105, 25, 1, 1, 5, 4, 45, 0, 0, 0, 0, 181, 51, 0, 0, 2, 106, 25, 1, 1, 4, 4, 45, 0, 0,
    0, 0, 181, 51, 0, 0, 2, 107, 25, 1, 1, 3, 4, 45, 0, 0, 0, 0, 181, 51, 0, 0, 2, 108, 25, 1, 1,
    2, 4, 45, 0, 0, 0, 0, 181, 51, 0, 0, 2, 109, 25, 1, 1, 1, 4, 45, 0, 0, 0, 0, 181, 51, 0, 0, 2,
    110, 25, 1, 1, 0, 4, 45, 0, 0, 0, 0, 181, 51, 0, 0, 2, 111, 25, 1, 1, 7, 5, 45, 0, 0, 0, 0,
    181, 51, 0, 0, 2, 112, 25, 1, 1, 6, 5, 29, 0, 0, 0, 0, 177, 66, 0, 0, 2, 113, 25, 8, 29, 0, 0,
    0, 0, 33, 67, 0, 0, 2, 114, 25, 12, 29, 0, 0, 0, 0, 195, 21, 0, 0, 2, 115, 25, 16, 29, 0, 0, 0,
    0, 4, 162, 0, 0, 2, 116, 25, 32, 29, 0, 0, 0, 0, 81, 197, 0, 0, 2, 117, 25, 64, 45, 0, 0, 0, 0,
    181, 51, 0, 0, 2, 118, 25, 1, 1, 7, 72, 45, 0, 0, 0, 0, 181, 51, 0, 0, 2, 119, 25, 1, 1, 6, 72,
    45, 0, 0, 0, 0, 181, 51, 0, 0, 2, 120, 25, 1, 1, 5, 72, 45, 0, 0, 0, 0, 38, 1, 0, 0, 2, 121,
    25, 4, 1, 28, 72, 45, 0, 0, 0, 0, 38, 1, 0, 0, 2, 122, 25, 4, 1, 27, 72, 29, 0, 0, 0, 0, 195,
    198, 0, 0, 2, 123, 25, 80, 29, 0, 0, 0, 0, 109, 22, 0, 0, 2, 124, 25, 144, 29, 0, 0, 0, 0, 117,
    158, 0, 0, 2, 125, 25, 152, 29, 0, 0, 0, 0, 190, 104, 0, 0, 2, 126, 25, 184, 29, 0, 0, 0, 0,
    106, 198, 0, 0, 2, 127, 25, 208, 29, 0, 0, 0, 0, 242, 23, 0, 0, 2, 128, 25, 216, 29, 0, 0, 0,
    0, 242, 23, 0, 0, 2, 129, 25, 220, 45, 0, 0, 0, 0, 38, 1, 0, 0, 2, 130, 25, 4, 3, 29, 224, 45,
    0, 0, 0, 0, 38, 1, 0, 0, 2, 131, 25, 4, 1, 28, 224, 45, 0, 0, 0, 0, 38, 1, 0, 0, 2, 132, 25, 4,
    1, 27, 224, 45, 0, 0, 0, 0, 38, 1, 0, 0, 2, 133, 25, 4, 1, 26, 224, 45, 0, 0, 0, 0, 38, 1, 0,
    0, 2, 134, 25, 4, 1, 25, 224, 45, 0, 0, 0, 0, 181, 51, 0, 0, 2, 135, 25, 1, 1, 0, 224, 45, 0,
    0, 0, 0, 38, 1, 0, 0, 2, 136, 25, 4, 1, 23, 224, 45, 0, 0, 0, 0, 38, 1, 0, 0, 2, 137, 25, 4, 1,
    22, 224, 45, 0, 0, 0, 0, 38, 1, 0, 0, 2, 138, 25, 4, 1, 21, 224, 45, 0, 0, 0, 0, 38, 1, 0, 0,
    2, 139, 25, 4, 1, 20, 224, 45, 0, 0, 0, 0, 38, 1, 0, 0, 2, 140, 25, 4, 1, 19, 224, 29, 0, 0, 0,
    0, 38, 1, 0, 0, 2, 141, 25, 228, 29, 0, 0, 0, 0, 70, 201, 0, 0, 2, 142, 25, 232, 29, 0, 0, 0,
    0, 114, 201, 0, 0, 2, 143, 25, 236, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 144, 25, 240, 29, 0, 0, 0,
    0, 168, 0, 0, 0, 2, 145, 25, 244, 29, 0, 0, 0, 0, 109, 22, 0, 0, 2, 146, 25, 248, 31, 0, 0, 0,
    0, 109, 22, 0, 0, 2, 147, 25, 0, 1, 31, 0, 0, 0, 0, 109, 22, 0, 0, 2, 148, 25, 8, 1, 31, 0, 0,
    0, 0, 109, 22, 0, 0, 2, 149, 25, 16, 1, 31, 0, 0, 0, 0, 152, 201, 0, 0, 2, 150, 25, 24, 1, 31,
    0, 0, 0, 0, 10, 202, 0, 0, 2, 151, 25, 32, 1, 31, 0, 0, 0, 0, 27, 202, 0, 0, 2, 152, 25, 40, 1,
    0, 9, 86, 197, 0, 0, 35, 0, 0, 0, 0, 192, 2, 11, 26, 29, 0, 0, 0, 0, 233, 21, 0, 0, 2, 12, 26,
    0, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 13, 26, 8, 29, 0, 0, 0, 0, 195, 21, 0, 0, 2, 14, 26, 16,
    29, 0, 0, 0, 0, 33, 67, 0, 0, 2, 15, 26, 32, 29, 0, 0, 0, 0, 106, 198, 0, 0, 2, 16, 26, 40, 29,
    0, 0, 0, 0, 134, 156, 0, 0, 2, 17, 26, 48, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 18, 26, 88, 29, 0,
    0, 0, 0, 183, 198, 0, 0, 2, 19, 26, 96, 29, 0, 0, 0, 0, 183, 198, 0, 0, 2, 20, 26, 104, 29, 0,
    0, 0, 0, 183, 198, 0, 0, 2, 21, 26, 112, 29, 0, 0, 0, 0, 183, 198, 0, 0, 2, 22, 26, 120, 29, 0,
    0, 0, 0, 183, 198, 0, 0, 2, 23, 26, 128, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 24, 26, 136, 29, 0,
    0, 0, 0, 90, 22, 0, 0, 2, 25, 26, 144, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 26, 26, 152, 29, 0, 0,
    0, 0, 90, 22, 0, 0, 2, 27, 26, 160, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 28, 26, 168, 29, 0, 0, 0,
    0, 92, 168, 0, 0, 2, 29, 26, 176, 45, 0, 0, 0, 0, 181, 51, 0, 0, 2, 30, 26, 1, 1, 7, 184, 45,
    0, 0, 0, 0, 181, 51, 0, 0, 2, 31, 26, 1, 1, 6, 184, 0, 9, 111, 198, 0, 0, 40, 0, 0, 0, 0, 24,
    2, 122, 57, 1, 0, 25, 0, 0, 0, 0, 92, 168, 0, 0, 2, 123, 57, 1, 0, 0, 25, 0, 0, 0, 0, 38, 1, 0,
    0, 2, 124, 57, 1, 0, 8, 25, 0, 0, 0, 0, 168, 0, 0, 0, 2, 125, 57, 1, 0, 12, 25, 0, 0, 0, 0,
    233, 21, 0, 0, 2, 126, 57, 1, 0, 16, 0, 39, 213, 23, 0, 0, 0, 0, 0, 0, 2, 199, 1, 35, 0, 0, 0,
    0, 64, 2, 213, 1, 29, 0, 0, 0, 0, 53, 199, 0, 0, 2, 214, 1, 0, 29, 0, 0, 0, 0, 183, 198, 0, 0,
    2, 215, 1, 32, 29, 0, 0, 0, 0, 89, 199, 0, 0, 2, 216, 1, 40, 29, 0, 0, 0, 0, 110, 199, 0, 0, 2,
    217, 1, 48, 29, 0, 0, 0, 0, 218, 67, 0, 0, 2, 218, 1, 56, 29, 0, 0, 0, 0, 218, 67, 0, 0, 2,
    219, 1, 57, 29, 0, 0, 0, 0, 218, 67, 0, 0, 2, 220, 1, 58, 29, 0, 0, 0, 0, 218, 67, 0, 0, 2,
    221, 1, 59, 0, 35, 0, 0, 0, 0, 32, 2, 201, 1, 29, 0, 0, 0, 0, 229, 39, 0, 0, 2, 202, 1, 0, 29,
    0, 0, 0, 0, 183, 198, 0, 0, 2, 203, 1, 24, 0, 9, 94, 199, 0, 0, 14, 34, 6, 0, 0, 15, 105, 199,
    0, 0, 0, 9, 195, 198, 0, 0, 9, 115, 199, 0, 0, 35, 0, 0, 0, 0, 64, 2, 28, 9, 29, 0, 0, 0, 0,
    229, 199, 0, 0, 2, 29, 9, 0, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 30, 9, 8, 29, 0, 0, 0, 0, 234,
    200, 0, 0, 2, 31, 9, 12, 29, 0, 0, 0, 0, 0, 201, 0, 0, 2, 32, 9, 16, 29, 0, 0, 0, 0, 105, 199,
    0, 0, 2, 33, 9, 24, 29, 0, 0, 0, 0, 35, 201, 0, 0, 2, 34, 9, 32, 29, 0, 0, 0, 0, 58, 201, 0, 0,
    2, 35, 9, 48, 29, 0, 0, 0, 0, 183, 198, 0, 0, 2, 36, 9, 56, 0, 9, 234, 199, 0, 0, 28, 0, 0, 0,
    0, 64, 2, 2, 39, 9, 29, 0, 0, 0, 0, 155, 95, 0, 0, 2, 40, 9, 0, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2,
    41, 9, 4, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 42, 9, 8, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 43, 9, 12,
    45, 0, 0, 0, 0, 38, 1, 0, 0, 2, 44, 9, 4, 1, 31, 16, 45, 0, 0, 0, 0, 38, 1, 0, 0, 2, 45, 9, 4,
    1, 30, 16, 45, 0, 0, 0, 0, 38, 1, 0, 0, 2, 46, 9, 4, 1, 29, 16, 45, 0, 0, 0, 0, 38, 1, 0, 0, 2,
    47, 9, 4, 1, 28, 16, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 48, 9, 20, 29, 0, 0, 0, 0, 236, 24, 0, 0,
    2, 49, 9, 24, 29, 0, 0, 0, 0, 236, 24, 0, 0, 2, 50, 9, 26, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 51,
    9, 28, 29, 0, 0, 0, 0, 183, 198, 0, 0, 2, 52, 9, 32, 29, 0, 0, 0, 0, 105, 199, 0, 0, 2, 53, 9,
    40, 29, 0, 0, 0, 0, 183, 198, 0, 0, 2, 54, 9, 48, 29, 0, 0, 0, 0, 105, 199, 0, 0, 2, 55, 9, 56,
    29, 0, 0, 0, 0, 222, 200, 0, 0, 2, 56, 9, 64, 0, 3, 115, 199, 0, 0, 4, 82, 0, 0, 0, 8, 0, 12,
    245, 200, 0, 0, 0, 0, 0, 0, 2, 75, 12, 168, 0, 0, 0, 0, 0, 0, 0, 2, 63, 39, 12, 201, 0, 0, 0,
    0, 0, 0, 2, 124, 7, 35, 0, 0, 0, 0, 4, 2, 120, 7, 29, 0, 0, 0, 0, 4, 66, 0, 0, 2, 121, 7, 0, 0,
    35, 0, 0, 0, 0, 16, 2, 48, 2, 29, 0, 0, 0, 0, 68, 139, 0, 0, 2, 49, 2, 0, 0, 9, 63, 201, 0, 0,
    57, 183, 198, 0, 0, 58, 0, 18, 38, 1, 0, 0, 0, 0, 0, 0, 4, 2, 78, 25, 19, 0, 0, 0, 0, 0, 19, 0,
    0, 0, 0, 1, 19, 0, 0, 0, 0, 2, 19, 0, 0, 0, 0, 3, 19, 0, 0, 0, 0, 4, 0, 18, 38, 1, 0, 0, 0, 0,
    0, 0, 4, 2, 86, 25, 19, 0, 0, 0, 0, 0, 19, 0, 0, 0, 0, 1, 19, 0, 0, 0, 0, 2, 19, 0, 0, 0, 0, 3,
    0, 9, 157, 201, 0, 0, 35, 0, 0, 0, 0, 32, 2, 4, 26, 29, 0, 0, 0, 0, 33, 67, 0, 0, 2, 5, 26, 0,
    29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 6, 26, 4, 29, 0, 0, 0, 0, 195, 21, 0, 0, 2, 7, 26, 8, 29, 0, 0,
    0, 0, 219, 201, 0, 0, 2, 8, 26, 24, 0, 9, 224, 201, 0, 0, 40, 0, 0, 0, 0, 24, 2, 210, 19, 1, 0,
    25, 0, 0, 0, 0, 195, 21, 0, 0, 2, 211, 19, 1, 0, 0, 25, 0, 0, 0, 0, 92, 168, 0, 0, 2, 212, 19,
    1, 0, 16, 0, 9, 15, 202, 0, 0, 38, 15, 92, 168, 0, 0, 15, 12, 101, 0, 0, 0, 9, 32, 202, 0, 0,
    28, 0, 0, 0, 0, 48, 1, 2, 178, 79, 29, 0, 0, 0, 0, 138, 202, 0, 0, 2, 179, 79, 0, 29, 0, 0, 0,
    0, 138, 202, 0, 0, 2, 180, 79, 40, 29, 0, 0, 0, 0, 30, 203, 0, 0, 2, 181, 79, 80, 31, 0, 0, 0,
    0, 92, 203, 0, 0, 2, 182, 79, 0, 1, 31, 0, 0, 0, 0, 128, 203, 0, 0, 2, 183, 79, 24, 1, 31, 0,
    0, 0, 0, 128, 203, 0, 0, 2, 184, 79, 32, 1, 31, 0, 0, 0, 0, 128, 203, 0, 0, 2, 185, 79, 40, 1,
    0, 35, 0, 0, 0, 0, 40, 2, 155, 79, 29, 0, 0, 0, 0, 226, 202, 0, 0, 2, 156, 79, 0, 29, 0, 0, 0,
    0, 12, 101, 0, 0, 2, 157, 79, 16, 29, 0, 0, 0, 0, 12, 101, 0, 0, 2, 158, 79, 20, 29, 0, 0, 0,
    0, 12, 101, 0, 0, 2, 159, 79, 24, 29, 0, 0, 0, 0, 249, 202, 0, 0, 2, 160, 79, 28, 29, 0, 0, 0,
    0, 25, 203, 0, 0, 2, 161, 79, 32, 0, 35, 0, 0, 0, 0, 16, 2, 140, 79, 29, 0, 0, 0, 0, 195, 21,
    0, 0, 2, 141, 79, 0, 0, 18, 38, 1, 0, 0, 0, 0, 0, 0, 4, 2, 149, 79, 19, 0, 0, 0, 0, 0, 19, 0,
    0, 0, 0, 1, 19, 0, 0, 0, 0, 2, 0, 9, 213, 181, 0, 0, 35, 0, 0, 0, 0, 176, 2, 164, 79, 29, 0, 0,
    0, 0, 138, 202, 0, 0, 2, 165, 79, 0, 29, 0, 0, 0, 0, 213, 181, 0, 0, 2, 166, 79, 40, 29, 0, 0,
    0, 0, 138, 202, 0, 0, 2, 167, 79, 88, 29, 0, 0, 0, 0, 213, 181, 0, 0, 2, 168, 79, 128, 0, 35,
    0, 0, 0, 0, 24, 2, 171, 79, 29, 0, 0, 0, 0, 195, 21, 0, 0, 2, 172, 79, 0, 29, 0, 0, 0, 0, 12,
    101, 0, 0, 2, 173, 79, 16, 0, 9, 133, 203, 0, 0, 35, 0, 0, 0, 0, 72, 2, 28, 80, 29, 0, 0, 0, 0,
    227, 203, 0, 0, 2, 29, 80, 0, 29, 0, 0, 0, 0, 168, 203, 0, 0, 2, 34, 80, 8, 34, 56, 2, 30, 80,
    29, 0, 0, 0, 0, 15, 204, 0, 0, 2, 31, 80, 0, 29, 0, 0, 0, 0, 64, 204, 0, 0, 2, 32, 80, 0, 29,
    0, 0, 0, 0, 100, 204, 0, 0, 2, 33, 80, 0, 0, 29, 0, 0, 0, 0, 92, 168, 0, 0, 2, 35, 80, 64, 0,
    18, 38, 1, 0, 0, 0, 0, 0, 0, 4, 2, 20, 80, 19, 0, 0, 0, 0, 1, 19, 0, 0, 0, 0, 2, 19, 0, 0, 0,
    0, 3, 19, 0, 0, 0, 0, 4, 19, 0, 0, 0, 0, 5, 0, 35, 0, 0, 0, 0, 40, 2, 17, 2, 29, 0, 0, 0, 0,
    168, 0, 0, 0, 2, 18, 2, 0, 29, 0, 0, 0, 0, 195, 21, 0, 0, 2, 19, 2, 8, 29, 0, 0, 0, 0, 195, 21,
    0, 0, 2, 20, 2, 24, 0, 35, 0, 0, 0, 0, 24, 2, 4, 80, 29, 0, 0, 0, 0, 195, 21, 0, 0, 2, 5, 80,
    0, 29, 0, 0, 0, 0, 12, 101, 0, 0, 2, 6, 80, 16, 0, 35, 0, 0, 0, 0, 56, 2, 14, 80, 29, 0, 0, 0,
    0, 149, 204, 0, 0, 2, 15, 80, 0, 29, 0, 0, 0, 0, 15, 204, 0, 0, 2, 16, 80, 8, 29, 0, 0, 0, 0,
    175, 204, 0, 0, 2, 17, 80, 48, 0, 18, 38, 1, 0, 0, 0, 0, 0, 0, 4, 2, 9, 80, 19, 0, 0, 0, 0, 1,
    19, 0, 0, 0, 0, 2, 0, 9, 30, 203, 0, 0, 9, 185, 204, 0, 0, 35, 0, 0, 0, 0, 224, 2, 34, 26, 29,
    0, 0, 0, 0, 83, 172, 0, 0, 2, 35, 26, 0, 29, 0, 0, 0, 0, 245, 171, 0, 0, 2, 36, 26, 184, 29, 0,
    0, 0, 0, 17, 205, 0, 0, 2, 37, 26, 192, 29, 0, 0, 0, 0, 245, 171, 0, 0, 2, 38, 26, 200, 29, 0,
    0, 0, 0, 5, 172, 0, 0, 2, 39, 26, 208, 29, 0, 0, 0, 0, 5, 172, 0, 0, 2, 40, 26, 216, 0, 9, 22,
    205, 0, 0, 38, 15, 92, 168, 0, 0, 15, 181, 51, 0, 0, 0, 9, 39, 205, 0, 0, 35, 0, 0, 0, 0, 16,
    2, 50, 25, 29, 0, 0, 0, 0, 88, 205, 0, 0, 2, 51, 25, 0, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 52,
    25, 8, 29, 0, 0, 0, 0, 142, 205, 0, 0, 2, 53, 25, 16, 0, 9, 93, 205, 0, 0, 35, 0, 0, 0, 0, 24,
    2, 44, 25, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 45, 25, 0, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 46, 25,
    8, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 47, 25, 16, 0, 3, 90, 22, 0, 0, 4, 82, 0, 0, 0, 0, 0, 9,
    159, 205, 0, 0, 35, 0, 0, 0, 0, 144, 2, 11, 27, 29, 0, 0, 0, 0, 195, 21, 0, 0, 2, 12, 27, 0,
    29, 0, 0, 0, 0, 233, 21, 0, 0, 2, 13, 27, 16, 29, 0, 0, 0, 0, 121, 206, 0, 0, 2, 14, 27, 24,
    29, 0, 0, 0, 0, 26, 1, 0, 0, 2, 15, 27, 32, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 16, 27, 40, 29, 0,
    0, 0, 0, 38, 1, 0, 0, 2, 17, 27, 44, 29, 0, 0, 0, 0, 5, 178, 0, 0, 2, 18, 27, 48, 29, 0, 0, 0,
    0, 41, 207, 0, 0, 2, 19, 27, 56, 29, 0, 0, 0, 0, 224, 241, 0, 0, 2, 20, 27, 64, 29, 0, 0, 0, 0,
    154, 205, 0, 0, 2, 21, 27, 72, 29, 0, 0, 0, 0, 233, 207, 0, 0, 2, 22, 27, 80, 29, 0, 0, 0, 0,
    38, 1, 0, 0, 2, 23, 27, 88, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 24, 27, 92, 29, 0, 0, 0, 0, 203,
    147, 0, 0, 2, 25, 27, 96, 29, 0, 0, 0, 0, 128, 104, 0, 0, 2, 26, 27, 112, 29, 0, 0, 0, 0, 21,
    248, 0, 0, 2, 27, 27, 144, 0, 9, 126, 206, 0, 0, 37, 131, 206, 0, 0, 35, 0, 0, 0, 0, 80, 2,
    234, 29, 29, 0, 0, 0, 0, 15, 207, 0, 0, 2, 235, 29, 0, 29, 0, 0, 0, 0, 115, 207, 0, 0, 2, 236,
    29, 8, 29, 0, 0, 0, 0, 207, 207, 0, 0, 2, 237, 29, 16, 29, 0, 0, 0, 0, 245, 207, 0, 0, 2, 238,
    29, 24, 29, 0, 0, 0, 0, 6, 208, 0, 0, 2, 239, 29, 32, 29, 0, 0, 0, 0, 62, 208, 0, 0, 2, 240,
    29, 40, 29, 0, 0, 0, 0, 93, 208, 0, 0, 2, 241, 29, 48, 29, 0, 0, 0, 0, 115, 208, 0, 0, 2, 242,
    29, 56, 29, 0, 0, 0, 0, 176, 241, 0, 0, 2, 243, 29, 64, 29, 0, 0, 0, 0, 193, 241, 0, 0, 2, 244,
    29, 72, 0, 9, 20, 207, 0, 0, 14, 168, 0, 0, 0, 15, 154, 205, 0, 0, 15, 214, 183, 0, 0, 15, 41,
    207, 0, 0, 0, 18, 38, 1, 0, 0, 0, 0, 0, 0, 4, 2, 250, 26, 19, 0, 0, 0, 0, 0, 19, 0, 0, 0, 0, 1,
    19, 0, 0, 0, 0, 2, 19, 0, 0, 0, 0, 3, 19, 0, 0, 0, 0, 4, 19, 0, 0, 0, 0, 5, 19, 0, 0, 0, 0, 6,
    19, 0, 0, 0, 0, 7, 19, 0, 0, 0, 0, 8, 19, 0, 0, 0, 0, 9, 0, 9, 120, 207, 0, 0, 14, 168, 0, 0,
    0, 15, 154, 205, 0, 0, 15, 141, 207, 0, 0, 15, 41, 207, 0, 0, 0, 9, 146, 207, 0, 0, 35, 0, 0,
    0, 0, 80, 2, 226, 29, 29, 0, 0, 0, 0, 5, 178, 0, 0, 2, 227, 29, 0, 29, 0, 0, 0, 0, 168, 0, 0,
    0, 2, 228, 29, 8, 29, 0, 0, 0, 0, 195, 207, 0, 0, 2, 229, 29, 12, 0, 3, 177, 66, 0, 0, 4, 82,
    0, 0, 0, 16, 0, 9, 212, 207, 0, 0, 14, 168, 0, 0, 0, 15, 154, 205, 0, 0, 15, 38, 1, 0, 0, 15,
    233, 207, 0, 0, 0, 39, 90, 22, 0, 0, 0, 0, 0, 0, 2, 226, 14, 9, 250, 207, 0, 0, 38, 15, 154,
    205, 0, 0, 15, 38, 1, 0, 0, 0, 9, 11, 208, 0, 0, 14, 168, 0, 0, 0, 15, 154, 205, 0, 0, 15, 214,
    183, 0, 0, 15, 47, 208, 0, 0, 15, 38, 1, 0, 0, 15, 216, 107, 0, 0, 15, 57, 208, 0, 0, 0, 9, 52,
    208, 0, 0, 37, 177, 66, 0, 0, 9, 38, 1, 0, 0, 9, 67, 208, 0, 0, 14, 168, 0, 0, 0, 15, 154, 205,
    0, 0, 15, 38, 1, 0, 0, 15, 38, 1, 0, 0, 15, 26, 1, 0, 0, 0, 9, 98, 208, 0, 0, 38, 15, 154, 205,
    0, 0, 15, 38, 1, 0, 0, 15, 38, 1, 0, 0, 0, 9, 120, 208, 0, 0, 14, 168, 0, 0, 0, 15, 154, 205,
    0, 0, 15, 141, 208, 0, 0, 15, 181, 51, 0, 0, 0, 9, 146, 208, 0, 0, 35, 0, 0, 0, 0, 56, 2, 66,
    56, 29, 0, 0, 0, 0, 177, 66, 0, 0, 2, 67, 56, 0, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 68, 56, 4, 29,
    0, 0, 0, 0, 90, 22, 0, 0, 2, 69, 56, 8, 29, 0, 0, 0, 0, 4, 209, 0, 0, 2, 70, 56, 16, 29, 0, 0,
    0, 0, 181, 238, 0, 0, 2, 71, 56, 24, 29, 0, 0, 0, 0, 154, 205, 0, 0, 2, 72, 56, 32, 29, 0, 0,
    0, 0, 141, 208, 0, 0, 2, 73, 56, 40, 29, 0, 0, 0, 0, 26, 1, 0, 0, 2, 74, 56, 48, 0, 9, 9, 209,
    0, 0, 35, 0, 0, 0, 0, 104, 2, 55, 56, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 56, 56, 0, 29, 0, 0, 0,
    0, 38, 1, 0, 0, 2, 57, 56, 4, 29, 0, 0, 0, 0, 26, 1, 0, 0, 2, 58, 56, 8, 29, 0, 0, 0, 0, 97,
    209, 0, 0, 2, 59, 56, 16, 29, 0, 0, 0, 0, 136, 165, 0, 0, 2, 60, 56, 24, 29, 0, 0, 0, 0, 136,
    165, 0, 0, 2, 61, 56, 64, 0, 9, 102, 209, 0, 0, 35, 0, 0, 0, 0, 104, 2, 137, 56, 29, 0, 0, 0,
    0, 195, 21, 0, 0, 2, 138, 56, 0, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 139, 56, 16, 29, 0, 0, 0, 0,
    38, 1, 0, 0, 2, 140, 56, 20, 29, 0, 0, 0, 0, 92, 168, 0, 0, 2, 141, 56, 24, 29, 0, 0, 0, 0,
    237, 210, 0, 0, 2, 142, 56, 32, 29, 0, 0, 0, 0, 30, 211, 0, 0, 2, 143, 56, 48, 29, 0, 0, 0, 0,
    45, 1, 0, 0, 2, 144, 56, 56, 29, 0, 0, 0, 0, 74, 211, 0, 0, 2, 145, 56, 64, 29, 0, 0, 0, 0, 26,
    1, 0, 0, 2, 146, 56, 72, 44, 237, 209, 0, 0, 2, 147, 56, 80, 34, 24, 2, 147, 56, 44, 251, 209,
    0, 0, 2, 148, 56, 0, 30, 24, 2, 148, 56, 29, 0, 0, 0, 0, 177, 66, 0, 0, 2, 149, 56, 0, 29, 0,
    0, 0, 0, 26, 210, 0, 0, 2, 159, 56, 4, 30, 8, 2, 150, 56, 45, 0, 0, 0, 0, 218, 67, 0, 0, 2,
    151, 56, 1, 1, 7, 0, 45, 0, 0, 0, 0, 218, 67, 0, 0, 2, 152, 56, 1, 3, 4, 0, 45, 0, 0, 0, 0,
    218, 67, 0, 0, 2, 153, 56, 1, 3, 1, 0, 45, 0, 0, 0, 0, 218, 67, 0, 0, 2, 154, 56, 1, 1, 0, 0,
    45, 0, 0, 0, 0, 218, 67, 0, 0, 2, 155, 56, 1, 1, 7, 1, 45, 0, 0, 0, 0, 218, 67, 0, 0, 2, 156,
    56, 1, 1, 6, 1, 29, 0, 0, 0, 0, 229, 67, 0, 0, 2, 157, 56, 2, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2,
    158, 56, 4, 0, 44, 163, 210, 0, 0, 2, 160, 56, 16, 34, 8, 2, 160, 56, 29, 0, 0, 0, 0, 218, 67,
    0, 0, 2, 161, 56, 0, 29, 0, 0, 0, 0, 26, 1, 0, 0, 2, 162, 56, 0, 0, 0, 29, 0, 0, 0, 0, 91, 211,
    0, 0, 2, 165, 56, 0, 29, 0, 0, 0, 0, 135, 238, 0, 0, 2, 166, 56, 0, 29, 0, 0, 0, 0, 158, 238,
    0, 0, 2, 167, 56, 0, 0, 0, 35, 0, 0, 0, 0, 12, 2, 116, 56, 29, 0, 0, 0, 0, 177, 66, 0, 0, 2,
    117, 56, 0, 29, 0, 0, 0, 0, 177, 66, 0, 0, 2, 118, 56, 4, 29, 0, 0, 0, 0, 177, 66, 0, 0, 2,
    119, 56, 8, 0, 9, 35, 211, 0, 0, 35, 0, 0, 0, 0, 48, 2, 12, 56, 29, 0, 0, 0, 0, 160, 165, 0, 0,
    2, 13, 56, 0, 45, 0, 0, 0, 0, 38, 1, 0, 0, 2, 14, 56, 4, 1, 31, 40, 0, 9, 79, 211, 0, 0, 38,
    15, 97, 209, 0, 0, 15, 26, 1, 0, 0, 0, 35, 0, 0, 0, 0, 16, 2, 124, 56, 29, 0, 0, 0, 0, 127,
    211, 0, 0, 2, 125, 56, 0, 29, 0, 0, 0, 0, 229, 67, 0, 0, 2, 126, 56, 8, 0, 9, 132, 211, 0, 0,
    40, 0, 0, 0, 0, 72, 2, 234, 62, 1, 0, 25, 0, 0, 0, 0, 92, 168, 0, 0, 2, 235, 62, 1, 0, 0, 25,
    0, 0, 0, 0, 26, 1, 0, 0, 2, 236, 62, 1, 0, 8, 25, 0, 0, 0, 0, 219, 211, 0, 0, 2, 237, 62, 1, 0,
    16, 25, 0, 0, 0, 0, 99, 238, 0, 0, 2, 238, 62, 1, 0, 56, 25, 0, 0, 0, 0, 168, 0, 0, 0, 2, 239,
    62, 1, 0, 64, 0, 39, 231, 211, 0, 0, 0, 0, 0, 0, 2, 189, 98, 35, 0, 0, 0, 0, 40, 2, 92, 96, 29,
    0, 0, 0, 0, 75, 213, 0, 0, 2, 93, 96, 0, 29, 0, 0, 0, 0, 177, 66, 0, 0, 2, 94, 96, 4, 29, 0, 0,
    0, 0, 125, 213, 0, 0, 2, 95, 96, 8, 44, 32, 212, 0, 0, 2, 96, 96, 16, 34, 24, 2, 96, 96, 29, 0,
    0, 0, 0, 168, 0, 0, 0, 2, 97, 96, 0, 44, 59, 212, 0, 0, 2, 98, 96, 0, 30, 16, 2, 98, 96, 29, 0,
    0, 0, 0, 168, 0, 0, 0, 2, 99, 96, 0, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 100, 96, 4, 29, 0, 0, 0,
    0, 26, 1, 0, 0, 2, 101, 96, 8, 0, 44, 113, 212, 0, 0, 2, 103, 96, 0, 30, 16, 2, 103, 96, 29, 0,
    0, 0, 0, 135, 213, 0, 0, 2, 104, 96, 0, 29, 0, 0, 0, 0, 233, 207, 0, 0, 2, 105, 96, 8, 0, 44,
    154, 212, 0, 0, 2, 107, 96, 0, 30, 24, 2, 107, 96, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 108, 96, 0,
    29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 109, 96, 4, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 110, 96, 8, 45,
    0, 0, 0, 0, 177, 66, 0, 0, 2, 111, 96, 4, 1, 31, 12, 45, 0, 0, 0, 0, 177, 66, 0, 0, 2, 112, 96,
    4, 1, 30, 12, 45, 0, 0, 0, 0, 177, 66, 0, 0, 2, 113, 96, 4, 1, 29, 12, 29, 0, 0, 0, 0, 164,
    237, 0, 0, 2, 114, 96, 16, 0, 44, 13, 213, 0, 0, 2, 116, 96, 0, 30, 16, 2, 116, 96, 29, 0, 0,
    0, 0, 168, 0, 0, 0, 2, 117, 96, 0, 29, 0, 0, 0, 0, 26, 1, 0, 0, 2, 118, 96, 8, 0, 44, 54, 213,
    0, 0, 2, 120, 96, 0, 30, 8, 2, 120, 96, 29, 0, 0, 0, 0, 97, 209, 0, 0, 2, 121, 96, 0, 0, 0, 0,
    18, 38, 1, 0, 0, 0, 0, 0, 0, 4, 2, 69, 96, 19, 0, 0, 0, 0, 1, 19, 0, 0, 0, 0, 2, 19, 0, 0, 0,
    0, 3, 19, 0, 0, 0, 0, 4, 19, 0, 0, 0, 0, 5, 19, 0, 0, 0, 0, 6, 0, 9, 130, 213, 0, 0, 37, 160,
    165, 0, 0, 9, 140, 213, 0, 0, 28, 0, 0, 0, 0, 208, 9, 2, 201, 64, 29, 0, 0, 0, 0, 195, 21, 0,
    0, 2, 202, 64, 0, 29, 0, 0, 0, 0, 237, 220, 0, 0, 2, 203, 64, 16, 29, 0, 0, 0, 0, 237, 220, 0,
    0, 2, 204, 64, 24, 29, 0, 0, 0, 0, 26, 1, 0, 0, 2, 205, 64, 32, 29, 0, 0, 0, 0, 97, 224, 0, 0,
    2, 206, 64, 40, 29, 0, 0, 0, 0, 139, 227, 0, 0, 2, 207, 64, 48, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2,
    208, 64, 56, 29, 0, 0, 0, 0, 236, 24, 0, 0, 2, 209, 64, 60, 29, 0, 0, 0, 0, 236, 24, 0, 0, 2,
    210, 64, 62, 29, 0, 0, 0, 0, 236, 24, 0, 0, 2, 211, 64, 64, 29, 0, 0, 0, 0, 236, 24, 0, 0, 2,
    212, 64, 66, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 213, 64, 68, 29, 0, 0, 0, 0, 218, 67, 0, 0, 2,
    214, 64, 72, 29, 0, 0, 0, 0, 218, 67, 0, 0, 2, 215, 64, 73, 29, 0, 0, 0, 0, 229, 67, 0, 0, 2,
    216, 64, 74, 29, 0, 0, 0, 0, 61, 229, 0, 0, 2, 217, 64, 80, 29, 0, 0, 0, 0, 218, 67, 0, 0, 2,
    218, 64, 88, 29, 0, 0, 0, 0, 218, 67, 0, 0, 2, 219, 64, 89, 29, 0, 0, 0, 0, 218, 67, 0, 0, 2,
    220, 64, 90, 45, 0, 0, 0, 0, 218, 67, 0, 0, 2, 221, 64, 1, 3, 5, 91, 29, 0, 0, 0, 0, 218, 67,
    0, 0, 2, 222, 64, 92, 29, 0, 0, 0, 0, 218, 67, 0, 0, 2, 223, 64, 93, 29, 0, 0, 0, 0, 229, 67,
    0, 0, 2, 224, 64, 94, 29, 0, 0, 0, 0, 216, 107, 0, 0, 2, 225, 64, 96, 29, 0, 0, 0, 0, 245, 229,
    0, 0, 2, 226, 64, 104, 29, 0, 0, 0, 0, 109, 22, 0, 0, 2, 227, 64, 112, 29, 0, 0, 0, 0, 59, 232,
    0, 0, 2, 228, 64, 120, 29, 0, 0, 0, 0, 95, 232, 0, 0, 2, 229, 64, 136, 45, 0, 0, 0, 0, 38, 1,
    0, 0, 2, 230, 64, 4, 1, 31, 140, 29, 0, 0, 0, 0, 218, 67, 0, 0, 2, 231, 64, 141, 45, 0, 0, 0,
    0, 38, 1, 0, 0, 2, 232, 64, 4, 5, 11, 140, 45, 0, 0, 0, 0, 38, 1, 0, 0, 2, 233, 64, 4, 1, 10,
    140, 45, 0, 0, 0, 0, 38, 1, 0, 0, 2, 234, 64, 4, 1, 9, 140, 45, 0, 0, 0, 0, 38, 1, 0, 0, 2,
    235, 64, 4, 1, 8, 140, 45, 0, 0, 0, 0, 38, 1, 0, 0, 2, 236, 64, 4, 1, 7, 140, 45, 0, 0, 0, 0,
    38, 1, 0, 0, 2, 237, 64, 4, 1, 6, 140, 45, 0, 0, 0, 0, 38, 1, 0, 0, 2, 238, 64, 4, 1, 5, 140,
    45, 0, 0, 0, 0, 38, 1, 0, 0, 2, 239, 64, 4, 1, 4, 140, 45, 0, 0, 0, 0, 38, 1, 0, 0, 2, 240, 64,
    4, 1, 3, 140, 45, 0, 0, 0, 0, 38, 1, 0, 0, 2, 241, 64, 4, 1, 2, 140, 45, 0, 0, 0, 0, 38, 1, 0,
    0, 2, 242, 64, 4, 1, 1, 140, 45, 0, 0, 0, 0, 38, 1, 0, 0, 2, 243, 64, 4, 1, 0, 140, 45, 0, 0,
    0, 0, 38, 1, 0, 0, 2, 244, 64, 4, 1, 31, 144, 45, 0, 0, 0, 0, 38, 1, 0, 0, 2, 245, 64, 4, 1,
    30, 144, 45, 0, 0, 0, 0, 38, 1, 0, 0, 2, 246, 64, 4, 1, 29, 144, 29, 0, 0, 0, 0, 38, 1, 0, 0,
    2, 247, 64, 148, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 248, 64, 152, 29, 0, 0, 0, 0, 107, 232, 0, 0,
    2, 249, 64, 160, 45, 0, 0, 0, 0, 38, 1, 0, 0, 2, 250, 64, 4, 1, 31, 168, 45, 0, 0, 0, 0, 38, 1,
    0, 0, 2, 251, 64, 4, 1, 30, 168, 29, 0, 0, 0, 0, 251, 231, 0, 0, 2, 252, 64, 172, 29, 0, 0, 0,
    0, 5, 166, 0, 0, 2, 253, 64, 176, 31, 0, 0, 0, 0, 168, 0, 0, 0, 2, 254, 64, 160, 3, 31, 0, 0,
    0, 0, 38, 1, 0, 0, 2, 255, 64, 164, 3, 31, 0, 0, 0, 0, 31, 234, 0, 0, 2, 0, 65, 168, 3, 31, 0,
    0, 0, 0, 181, 51, 0, 0, 2, 1, 65, 232, 7, 32, 0, 0, 0, 0, 38, 1, 0, 0, 2, 2, 65, 4, 1, 23, 232,
    7, 32, 0, 0, 0, 0, 38, 1, 0, 0, 2, 3, 65, 4, 1, 22, 232, 7, 32, 0, 0, 0, 0, 38, 1, 0, 0, 2, 4,
    65, 4, 1, 21, 232, 7, 32, 0, 0, 0, 0, 38, 1, 0, 0, 2, 5, 65, 4, 1, 20, 232, 7, 32, 0, 0, 0, 0,
    38, 1, 0, 0, 2, 6, 65, 4, 1, 19, 232, 7, 32, 0, 0, 0, 0, 38, 1, 0, 0, 2, 7, 65, 4, 1, 18, 232,
    7, 32, 0, 0, 0, 0, 38, 1, 0, 0, 2, 8, 65, 4, 1, 17, 232, 7, 32, 0, 0, 0, 0, 38, 1, 0, 0, 2, 9,
    65, 4, 1, 16, 232, 7, 32, 0, 0, 0, 0, 38, 1, 0, 0, 2, 10, 65, 4, 1, 15, 232, 7, 32, 0, 0, 0, 0,
    38, 1, 0, 0, 2, 11, 65, 4, 1, 14, 232, 7, 32, 0, 0, 0, 0, 38, 1, 0, 0, 2, 12, 65, 4, 2, 12,
    232, 7, 32, 0, 0, 0, 0, 38, 1, 0, 0, 2, 13, 65, 4, 1, 11, 232, 7, 32, 0, 0, 0, 0, 38, 1, 0, 0,
    2, 14, 65, 4, 1, 10, 232, 7, 32, 0, 0, 0, 0, 38, 1, 0, 0, 2, 15, 65, 4, 1, 9, 232, 7, 32, 0, 0,
    0, 0, 38, 1, 0, 0, 2, 16, 65, 4, 1, 8, 232, 7, 32, 0, 0, 0, 0, 38, 1, 0, 0, 2, 17, 65, 4, 1, 7,
    232, 7, 32, 0, 0, 0, 0, 38, 1, 0, 0, 2, 18, 65, 4, 1, 6, 232, 7, 32, 0, 0, 0, 0, 38, 1, 0, 0,
    2, 19, 65, 4, 1, 5, 232, 7, 32, 0, 0, 0, 0, 38, 1, 0, 0, 2, 20, 65, 4, 1, 4, 232, 7, 32, 0, 0,
    0, 0, 38, 1, 0, 0, 2, 21, 65, 4, 1, 3, 232, 7, 32, 0, 0, 0, 0, 38, 1, 0, 0, 2, 22, 65, 4, 1, 2,
    232, 7, 32, 0, 0, 0, 0, 38, 1, 0, 0, 2, 23, 65, 4, 1, 1, 232, 7, 32, 0, 0, 0, 0, 38, 1, 0, 0,
    2, 24, 65, 4, 1, 0, 232, 7, 32, 0, 0, 0, 0, 38, 1, 0, 0, 2, 25, 65, 4, 1, 31, 236, 7, 32, 0, 0,
    0, 0, 38, 1, 0, 0, 2, 26, 65, 4, 1, 30, 236, 7, 32, 0, 0, 0, 0, 38, 1, 0, 0, 2, 27, 65, 4, 1,
    29, 236, 7, 32, 0, 0, 0, 0, 38, 1, 0, 0, 2, 28, 65, 4, 1, 28, 236, 7, 32, 0, 0, 0, 0, 38, 1, 0,
    0, 2, 29, 65, 4, 1, 27, 236, 7, 32, 0, 0, 0, 0, 38, 1, 0, 0, 2, 30, 65, 4, 1, 26, 236, 7, 32,
    0, 0, 0, 0, 38, 1, 0, 0, 2, 31, 65, 4, 1, 25, 236, 7, 32, 0, 0, 0, 0, 38, 1, 0, 0, 2, 32, 65,
    4, 1, 24, 236, 7, 32, 0, 0, 0, 0, 38, 1, 0, 0, 2, 33, 65, 4, 1, 23, 236, 7, 32, 0, 0, 0, 0, 38,
    1, 0, 0, 2, 34, 65, 4, 1, 22, 236, 7, 32, 0, 0, 0, 0, 38, 1, 0, 0, 2, 35, 65, 4, 1, 21, 236, 7,
    32, 0, 0, 0, 0, 38, 1, 0, 0, 2, 36, 65, 4, 1, 20, 236, 7, 32, 0, 0, 0, 0, 38, 1, 0, 0, 2, 37,
    65, 4, 1, 19, 236, 7, 31, 0, 0, 0, 0, 43, 234, 0, 0, 2, 38, 65, 238, 7, 31, 0, 0, 0, 0, 242,
    23, 0, 0, 2, 39, 65, 240, 7, 31, 0, 0, 0, 0, 195, 207, 0, 0, 2, 40, 65, 244, 7, 31, 0, 0, 0, 0,
    90, 101, 0, 0, 2, 41, 65, 56, 8, 31, 0, 0, 0, 0, 157, 89, 0, 0, 2, 42, 65, 64, 8, 31, 0, 0, 0,
    0, 168, 0, 0, 0, 2, 43, 65, 72, 8, 31, 0, 0, 0, 0, 55, 234, 0, 0, 2, 44, 65, 80, 8, 31, 0, 0,
    0, 0, 55, 234, 0, 0, 2, 45, 65, 216, 8, 32, 0, 0, 0, 0, 38, 1, 0, 0, 2, 46, 65, 4, 1, 31, 96,
    9, 32, 0, 0, 0, 0, 38, 1, 0, 0, 2, 47, 65, 4, 1, 30, 96, 9, 32, 0, 0, 0, 0, 38, 1, 0, 0, 2, 48,
    65, 4, 1, 29, 96, 9, 31, 0, 0, 0, 0, 218, 67, 0, 0, 2, 49, 65, 97, 9, 31, 0, 0, 0, 0, 15, 89,
    0, 0, 2, 50, 65, 104, 9, 31, 0, 0, 0, 0, 67, 234, 0, 0, 2, 51, 65, 112, 9, 31, 0, 0, 0, 0, 229,
    67, 0, 0, 2, 52, 65, 120, 9, 32, 0, 0, 0, 0, 38, 1, 0, 0, 2, 53, 65, 4, 1, 15, 120, 9, 31, 0,
    0, 0, 0, 218, 67, 0, 0, 2, 54, 65, 123, 9, 33, 19, 220, 0, 0, 2, 55, 65, 128, 9, 34, 8, 2, 55,
    65, 29, 0, 0, 0, 0, 104, 235, 0, 0, 2, 56, 65, 0, 29, 0, 0, 0, 0, 135, 213, 0, 0, 2, 57, 65, 0,
    0, 31, 0, 0, 0, 0, 229, 67, 0, 0, 2, 59, 65, 136, 9, 31, 0, 0, 0, 0, 218, 67, 0, 0, 2, 60, 65,
    138, 9, 31, 0, 0, 0, 0, 229, 67, 0, 0, 2, 61, 65, 140, 9, 31, 0, 0, 0, 0, 177, 66, 0, 0, 2, 62,
    65, 144, 9, 32, 0, 0, 0, 0, 38, 1, 0, 0, 2, 63, 65, 4, 1, 31, 148, 9, 31, 0, 0, 0, 0, 229, 67,
    0, 0, 2, 64, 65, 150, 9, 31, 0, 0, 0, 0, 229, 67, 0, 0, 2, 65, 65, 152, 9, 31, 0, 0, 0, 0, 207,
    236, 0, 0, 2, 66, 65, 160, 9, 31, 0, 0, 0, 0, 229, 67, 0, 0, 2, 67, 65, 168, 9, 31, 0, 0, 0, 0,
    44, 177, 0, 0, 2, 68, 65, 176, 9, 31, 0, 0, 0, 0, 36, 54, 0, 0, 2, 69, 65, 184, 9, 31, 0, 0, 0,
    0, 154, 27, 0, 0, 2, 70, 65, 192, 9, 31, 0, 0, 0, 0, 90, 22, 0, 0, 2, 71, 65, 200, 9, 0, 9,
    242, 220, 0, 0, 28, 0, 0, 0, 0, 40, 4, 2, 100, 65, 29, 0, 0, 0, 0, 195, 21, 0, 0, 2, 101, 65,
    0, 29, 0, 0, 0, 0, 237, 220, 0, 0, 2, 102, 65, 16, 29, 0, 0, 0, 0, 195, 21, 0, 0, 2, 103, 65,
    24, 29, 0, 0, 0, 0, 195, 21, 0, 0, 2, 104, 65, 40, 29, 0, 0, 0, 0, 135, 213, 0, 0, 2, 105, 65,
    56, 29, 0, 0, 0, 0, 195, 21, 0, 0, 2, 106, 65, 64, 29, 0, 0, 0, 0, 76, 222, 0, 0, 2, 107, 65,
    80, 29, 0, 0, 0, 0, 195, 21, 0, 0, 2, 108, 65, 112, 29, 0, 0, 0, 0, 93, 222, 0, 0, 2, 109, 65,
    128, 29, 0, 0, 0, 0, 218, 222, 0, 0, 2, 110, 65, 192, 29, 0, 0, 0, 0, 173, 223, 0, 0, 2, 111,
    65, 200, 29, 0, 0, 0, 0, 26, 1, 0, 0, 2, 112, 65, 208, 29, 0, 0, 0, 0, 97, 224, 0, 0, 2, 113,
    65, 216, 29, 0, 0, 0, 0, 169, 26, 0, 0, 2, 114, 65, 224, 29, 0, 0, 0, 0, 169, 26, 0, 0, 2, 115,
    65, 225, 29, 0, 0, 0, 0, 169, 26, 0, 0, 2, 116, 65, 226, 29, 0, 0, 0, 0, 169, 26, 0, 0, 2, 117,
    65, 227, 29, 0, 0, 0, 0, 115, 227, 0, 0, 2, 118, 65, 228, 31, 0, 0, 0, 0, 236, 24, 0, 0, 2,
    119, 65, 20, 1, 31, 0, 0, 0, 0, 127, 227, 0, 0, 2, 120, 65, 22, 1, 31, 0, 0, 0, 0, 92, 168, 0,
    0, 2, 121, 65, 24, 1, 31, 0, 0, 0, 0, 5, 166, 0, 0, 2, 122, 65, 32, 1, 31, 0, 0, 0, 0, 157, 89,
    0, 0, 2, 123, 65, 16, 4, 31, 0, 0, 0, 0, 157, 89, 0, 0, 2, 124, 65, 24, 4, 32, 0, 0, 0, 0, 38,
    1, 0, 0, 2, 125, 65, 4, 1, 31, 32, 4, 0, 3, 88, 222, 0, 0, 4, 82, 0, 0, 0, 4, 0, 9, 93, 222, 0,
    0, 35, 0, 0, 0, 0, 64, 2, 240, 7, 29, 0, 0, 0, 0, 207, 222, 0, 0, 2, 241, 7, 0, 29, 0, 0, 0, 0,
    207, 222, 0, 0, 2, 242, 7, 8, 29, 0, 0, 0, 0, 233, 21, 0, 0, 2, 243, 7, 16, 29, 0, 0, 0, 0, 90,
    22, 0, 0, 2, 244, 7, 24, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 245, 7, 32, 29, 0, 0, 0, 0, 88, 222,
    0, 0, 2, 246, 7, 40, 29, 0, 0, 0, 0, 88, 222, 0, 0, 2, 247, 7, 48, 29, 0, 0, 0, 0, 88, 222, 0,
    0, 2, 248, 7, 56, 0, 12, 44, 177, 0, 0, 0, 0, 0, 0, 2, 105, 9, 223, 222, 0, 0, 35, 0, 0, 0, 0,
    40, 2, 165, 65, 29, 0, 0, 0, 0, 42, 223, 0, 0, 2, 166, 65, 0, 29, 0, 0, 0, 0, 58, 223, 0, 0, 2,
    167, 65, 8, 29, 0, 0, 0, 0, 70, 223, 0, 0, 2, 168, 65, 16, 29, 0, 0, 0, 0, 96, 223, 0, 0, 2,
    169, 65, 24, 29, 0, 0, 0, 0, 137, 223, 0, 0, 2, 170, 65, 32, 0, 9, 47, 223, 0, 0, 14, 168, 0,
    0, 0, 15, 237, 220, 0, 0, 0, 9, 63, 223, 0, 0, 38, 15, 237, 220, 0, 0, 0, 9, 75, 223, 0, 0, 14,
    26, 1, 0, 0, 15, 237, 220, 0, 0, 15, 38, 1, 0, 0, 15, 168, 0, 0, 0, 0, 9, 101, 223, 0, 0, 14,
    168, 0, 0, 0, 15, 237, 220, 0, 0, 15, 38, 1, 0, 0, 15, 168, 0, 0, 0, 15, 168, 0, 0, 0, 15, 132,
    223, 0, 0, 0, 9, 177, 66, 0, 0, 9, 142, 223, 0, 0, 14, 168, 0, 0, 0, 15, 237, 220, 0, 0, 15,
    38, 1, 0, 0, 15, 168, 0, 0, 0, 15, 168, 0, 0, 0, 15, 177, 66, 0, 0, 0, 9, 178, 223, 0, 0, 35,
    0, 0, 0, 0, 64, 2, 219, 85, 29, 0, 0, 0, 0, 120, 81, 0, 0, 2, 220, 85, 0, 29, 0, 0, 0, 0, 92,
    168, 0, 0, 2, 221, 85, 8, 29, 0, 0, 0, 0, 214, 183, 0, 0, 2, 222, 85, 16, 29, 0, 0, 0, 0, 195,
    21, 0, 0, 2, 223, 85, 24, 29, 0, 0, 0, 0, 23, 224, 0, 0, 2, 224, 85, 40, 29, 0, 0, 0, 0, 49,
    224, 0, 0, 2, 225, 85, 48, 29, 0, 0, 0, 0, 80, 224, 0, 0, 2, 226, 85, 56, 0, 9, 28, 224, 0, 0,
    14, 168, 0, 0, 0, 15, 173, 223, 0, 0, 15, 135, 213, 0, 0, 15, 97, 209, 0, 0, 0, 9, 54, 224, 0,
    0, 14, 168, 0, 0, 0, 15, 173, 223, 0, 0, 15, 135, 213, 0, 0, 15, 168, 0, 0, 0, 15, 168, 0, 0,
    0, 0, 9, 85, 224, 0, 0, 38, 15, 173, 223, 0, 0, 15, 38, 1, 0, 0, 0, 9, 102, 224, 0, 0, 35, 0,
    0, 0, 0, 176, 2, 64, 179, 29, 0, 0, 0, 0, 242, 23, 0, 0, 2, 65, 179, 0, 29, 0, 0, 0, 0, 254,
    62, 0, 0, 2, 66, 179, 4, 29, 0, 0, 0, 0, 195, 21, 0, 0, 2, 67, 179, 8, 29, 0, 0, 0, 0, 33, 67,
    0, 0, 2, 68, 179, 24, 29, 0, 0, 0, 0, 54, 165, 0, 0, 2, 69, 179, 32, 29, 0, 0, 0, 0, 122, 63,
    0, 0, 2, 70, 179, 40, 44, 198, 224, 0, 0, 2, 71, 179, 48, 34, 8, 2, 71, 179, 29, 0, 0, 0, 0,
    237, 225, 0, 0, 2, 72, 179, 0, 29, 0, 0, 0, 0, 203, 79, 0, 0, 2, 73, 179, 0, 0, 29, 0, 0, 0, 0,
    240, 67, 0, 0, 2, 75, 179, 56, 44, 252, 224, 0, 0, 2, 76, 179, 64, 34, 8, 2, 76, 179, 29, 0, 0,
    0, 0, 114, 112, 0, 0, 2, 77, 179, 0, 29, 0, 0, 0, 0, 255, 112, 0, 0, 2, 78, 179, 0, 0, 29, 0,
    0, 0, 0, 65, 227, 0, 0, 2, 80, 179, 72, 29, 0, 0, 0, 0, 26, 1, 0, 0, 2, 81, 179, 80, 29, 0, 0,
    0, 0, 38, 1, 0, 0, 2, 82, 179, 88, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 83, 179, 92, 29, 0, 0, 0, 0,
    103, 227, 0, 0, 2, 84, 179, 96, 29, 0, 0, 0, 0, 81, 62, 0, 0, 2, 85, 179, 100, 29, 0, 0, 0, 0,
    134, 62, 0, 0, 2, 86, 179, 104, 29, 0, 0, 0, 0, 40, 73, 0, 0, 2, 87, 179, 112, 29, 0, 0, 0, 0,
    97, 224, 0, 0, 2, 88, 179, 120, 29, 0, 0, 0, 0, 206, 94, 0, 0, 2, 89, 179, 128, 29, 0, 0, 0, 0,
    229, 39, 0, 0, 2, 90, 179, 136, 29, 0, 0, 0, 0, 154, 27, 0, 0, 2, 91, 179, 160, 29, 0, 0, 0, 0,
    70, 62, 0, 0, 2, 92, 179, 168, 29, 0, 0, 0, 0, 218, 67, 0, 0, 2, 93, 179, 170, 29, 0, 0, 0, 0,
    218, 67, 0, 0, 2, 94, 179, 171, 29, 0, 0, 0, 0, 78, 22, 0, 0, 2, 95, 179, 172, 0, 9, 242, 225,
    0, 0, 37, 247, 225, 0, 0, 35, 0, 0, 0, 0, 88, 2, 50, 93, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 51,
    93, 0, 29, 0, 0, 0, 0, 144, 226, 0, 0, 2, 52, 93, 8, 29, 0, 0, 0, 0, 165, 226, 0, 0, 2, 53, 93,
    16, 29, 0, 0, 0, 0, 196, 226, 0, 0, 2, 54, 93, 24, 29, 0, 0, 0, 0, 227, 226, 0, 0, 2, 55, 93,
    32, 29, 0, 0, 0, 0, 144, 226, 0, 0, 2, 56, 93, 40, 29, 0, 0, 0, 0, 253, 226, 0, 0, 2, 57, 93,
    48, 29, 0, 0, 0, 0, 18, 227, 0, 0, 2, 58, 93, 56, 29, 0, 0, 0, 0, 18, 227, 0, 0, 2, 59, 93, 64,
    29, 0, 0, 0, 0, 44, 227, 0, 0, 2, 60, 93, 72, 29, 0, 0, 0, 0, 229, 94, 0, 0, 2, 61, 93, 80, 0,
    9, 149, 226, 0, 0, 14, 168, 0, 0, 0, 15, 201, 58, 0, 0, 15, 61, 78, 0, 0, 0, 9, 170, 226, 0, 0,
    14, 161, 88, 0, 0, 15, 61, 78, 0, 0, 15, 154, 27, 0, 0, 15, 36, 54, 0, 0, 15, 207, 112, 0, 0,
    0, 9, 201, 226, 0, 0, 14, 161, 88, 0, 0, 15, 61, 78, 0, 0, 15, 233, 21, 0, 0, 15, 36, 54, 0, 0,
    15, 207, 112, 0, 0, 0, 9, 232, 226, 0, 0, 14, 40, 73, 0, 0, 15, 61, 78, 0, 0, 15, 40, 73, 0, 0,
    15, 168, 0, 0, 0, 0, 9, 2, 227, 0, 0, 14, 227, 154, 0, 0, 15, 61, 78, 0, 0, 15, 238, 154, 0, 0,
    0, 9, 23, 227, 0, 0, 14, 19, 1, 0, 0, 15, 61, 78, 0, 0, 15, 38, 1, 0, 0, 15, 90, 22, 0, 0, 0,
    9, 49, 227, 0, 0, 14, 168, 0, 0, 0, 15, 61, 78, 0, 0, 15, 66, 90, 0, 0, 0, 39, 77, 227, 0, 0,
    0, 0, 0, 0, 2, 62, 179, 9, 82, 227, 0, 0, 14, 168, 0, 0, 0, 15, 61, 78, 0, 0, 15, 154, 27, 0,
    0, 15, 36, 54, 0, 0, 0, 39, 177, 66, 0, 0, 0, 0, 0, 0, 2, 60, 179, 3, 75, 0, 0, 0, 4, 82, 0, 0,
    0, 48, 0, 39, 236, 24, 0, 0, 0, 0, 0, 0, 2, 94, 65, 9, 144, 227, 0, 0, 35, 0, 0, 0, 0, 104, 2,
    86, 65, 29, 0, 0, 0, 0, 237, 220, 0, 0, 2, 87, 65, 0, 29, 0, 0, 0, 0, 195, 21, 0, 0, 2, 88, 65,
    8, 29, 0, 0, 0, 0, 219, 227, 0, 0, 2, 89, 65, 24, 29, 0, 0, 0, 0, 169, 26, 0, 0, 2, 90, 65, 32,
    29, 0, 0, 0, 0, 223, 85, 0, 0, 2, 91, 65, 40, 0, 9, 224, 227, 0, 0, 40, 0, 0, 0, 0, 48, 2, 8,
    4, 1, 0, 25, 0, 0, 0, 0, 55, 228, 0, 0, 2, 9, 4, 1, 0, 0, 25, 0, 0, 0, 0, 195, 21, 0, 0, 2, 10,
    4, 1, 0, 8, 25, 0, 0, 0, 0, 139, 227, 0, 0, 2, 11, 4, 1, 0, 24, 25, 0, 0, 0, 0, 120, 81, 0, 0,
    2, 12, 4, 1, 0, 32, 25, 0, 0, 0, 0, 233, 21, 0, 0, 2, 13, 4, 1, 0, 40, 0, 9, 60, 228, 0, 0, 37,
    65, 228, 0, 0, 40, 0, 0, 0, 0, 72, 2, 113, 4, 1, 0, 25, 0, 0, 0, 0, 212, 228, 0, 0, 2, 114, 4,
    1, 0, 0, 25, 0, 0, 0, 0, 212, 228, 0, 0, 2, 115, 4, 1, 0, 8, 25, 0, 0, 0, 0, 228, 228, 0, 0, 2,
    116, 4, 1, 0, 16, 25, 0, 0, 0, 0, 249, 228, 0, 0, 2, 117, 4, 1, 0, 24, 25, 0, 0, 0, 0, 14, 229,
    0, 0, 2, 118, 4, 1, 0, 32, 25, 0, 0, 0, 0, 14, 229, 0, 0, 2, 119, 4, 1, 0, 40, 25, 0, 0, 0, 0,
    14, 229, 0, 0, 2, 120, 4, 1, 0, 48, 25, 0, 0, 0, 0, 14, 229, 0, 0, 2, 121, 4, 1, 0, 56, 25, 0,
    0, 0, 0, 40, 229, 0, 0, 2, 122, 4, 1, 0, 64, 0, 9, 217, 228, 0, 0, 14, 168, 0, 0, 0, 15, 219,
    227, 0, 0, 0, 9, 233, 228, 0, 0, 14, 168, 0, 0, 0, 15, 219, 227, 0, 0, 15, 218, 67, 0, 0, 0, 9,
    254, 228, 0, 0, 14, 168, 0, 0, 0, 15, 219, 227, 0, 0, 15, 177, 66, 0, 0, 0, 9, 19, 229, 0, 0,
    14, 168, 0, 0, 0, 15, 219, 227, 0, 0, 15, 35, 229, 0, 0, 0, 9, 218, 67, 0, 0, 9, 45, 229, 0, 0,
    14, 168, 0, 0, 0, 15, 219, 227, 0, 0, 15, 168, 0, 0, 0, 0, 9, 66, 229, 0, 0, 22, 0, 0, 0, 0,
    96, 2, 2, 109, 5, 1, 0, 25, 0, 0, 0, 0, 221, 229, 0, 0, 2, 110, 5, 1, 0, 0, 25, 0, 0, 0, 0,
    233, 229, 0, 0, 2, 111, 5, 1, 0, 128, 27, 0, 0, 0, 0, 233, 229, 0, 0, 2, 112, 5, 1, 0, 88, 1,
    27, 0, 0, 0, 0, 109, 22, 0, 0, 2, 113, 5, 1, 0, 48, 2, 27, 0, 0, 0, 0, 109, 22, 0, 0, 2, 114,
    5, 1, 0, 56, 2, 27, 0, 0, 0, 0, 109, 22, 0, 0, 2, 115, 5, 1, 0, 64, 2, 27, 0, 0, 0, 0, 109, 22,
    0, 0, 2, 116, 5, 1, 0, 72, 2, 27, 0, 0, 0, 0, 109, 22, 0, 0, 2, 117, 5, 1, 0, 80, 2, 27, 0, 0,
    0, 0, 109, 22, 0, 0, 2, 118, 5, 1, 0, 88, 2, 0, 3, 109, 22, 0, 0, 4, 82, 0, 0, 0, 16, 0, 3,
    109, 22, 0, 0, 4, 82, 0, 0, 0, 27, 0, 9, 250, 229, 0, 0, 28, 0, 0, 0, 0, 8, 1, 2, 149, 65, 29,
    0, 0, 0, 0, 195, 21, 0, 0, 2, 150, 65, 0, 29, 0, 0, 0, 0, 233, 21, 0, 0, 2, 151, 65, 16, 29, 0,
    0, 0, 0, 174, 230, 0, 0, 2, 152, 65, 24, 29, 0, 0, 0, 0, 29, 231, 0, 0, 2, 153, 65, 32, 29, 0,
    0, 0, 0, 50, 231, 0, 0, 2, 154, 65, 40, 29, 0, 0, 0, 0, 62, 231, 0, 0, 2, 155, 65, 48, 29, 0,
    0, 0, 0, 83, 231, 0, 0, 2, 156, 65, 56, 29, 0, 0, 0, 0, 50, 231, 0, 0, 2, 157, 65, 64, 29, 0,
    0, 0, 0, 99, 231, 0, 0, 2, 158, 65, 72, 29, 0, 0, 0, 0, 120, 231, 0, 0, 2, 159, 65, 80, 29, 0,
    0, 0, 0, 15, 89, 0, 0, 2, 160, 65, 88, 29, 0, 0, 0, 0, 144, 169, 0, 0, 2, 161, 65, 96, 29, 0,
    0, 0, 0, 23, 232, 0, 0, 2, 162, 65, 240, 0, 9, 179, 230, 0, 0, 37, 184, 230, 0, 0, 35, 0, 0, 0,
    0, 32, 2, 74, 65, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 75, 65, 0, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2,
    76, 65, 4, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 77, 65, 8, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 78, 65,
    12, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 79, 65, 16, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 80, 65, 20, 29,
    0, 0, 0, 0, 239, 192, 0, 0, 2, 81, 65, 24, 0, 9, 34, 231, 0, 0, 14, 168, 0, 0, 0, 15, 135, 213,
    0, 0, 15, 174, 230, 0, 0, 0, 9, 55, 231, 0, 0, 38, 15, 135, 213, 0, 0, 0, 9, 67, 231, 0, 0, 14,
    168, 0, 0, 0, 15, 135, 213, 0, 0, 15, 38, 172, 0, 0, 0, 9, 88, 231, 0, 0, 14, 168, 0, 0, 0, 15,
    135, 213, 0, 0, 0, 9, 104, 231, 0, 0, 14, 168, 0, 0, 0, 15, 135, 213, 0, 0, 15, 168, 0, 0, 0,
    0, 9, 125, 231, 0, 0, 37, 130, 231, 0, 0, 35, 0, 0, 0, 0, 48, 2, 175, 65, 29, 0, 0, 0, 0, 218,
    231, 0, 0, 2, 176, 65, 0, 29, 0, 0, 0, 0, 7, 232, 0, 0, 2, 177, 65, 8, 29, 0, 0, 0, 0, 7, 232,
    0, 0, 2, 178, 65, 16, 29, 0, 0, 0, 0, 50, 231, 0, 0, 2, 179, 65, 24, 29, 0, 0, 0, 0, 50, 231,
    0, 0, 2, 180, 65, 32, 29, 0, 0, 0, 0, 50, 231, 0, 0, 2, 181, 65, 40, 0, 9, 223, 231, 0, 0, 14,
    239, 231, 0, 0, 15, 135, 213, 0, 0, 15, 251, 231, 0, 0, 0, 39, 38, 1, 0, 0, 0, 0, 0, 0, 2, 173,
    65, 39, 38, 1, 0, 0, 0, 0, 0, 0, 2, 181, 64, 9, 12, 232, 0, 0, 14, 239, 231, 0, 0, 15, 135,
    213, 0, 0, 0, 35, 0, 0, 0, 0, 24, 2, 142, 65, 29, 0, 0, 0, 0, 33, 67, 0, 0, 2, 143, 65, 0, 29,
    0, 0, 0, 0, 195, 21, 0, 0, 2, 144, 65, 8, 0, 35, 0, 0, 0, 0, 16, 2, 237, 26, 29, 0, 0, 0, 0,
    38, 1, 0, 0, 2, 238, 26, 0, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 239, 26, 8, 0, 39, 168, 0, 0, 0,
    0, 0, 0, 0, 2, 179, 64, 9, 112, 232, 0, 0, 40, 0, 0, 0, 0, 152, 2, 71, 5, 1, 0, 25, 0, 0, 0, 0,
    135, 213, 0, 0, 2, 72, 5, 1, 0, 0, 25, 0, 0, 0, 0, 135, 213, 0, 0, 2, 73, 5, 1, 0, 8, 25, 0, 0,
    0, 0, 107, 232, 0, 0, 2, 74, 5, 1, 0, 16, 25, 0, 0, 0, 0, 107, 232, 0, 0, 2, 75, 5, 1, 0, 24,
    25, 0, 0, 0, 0, 195, 21, 0, 0, 2, 76, 5, 1, 0, 32, 55, 0, 0, 0, 0, 177, 66, 0, 0, 2, 77, 5, 1,
    0, 4, 7, 25, 48, 55, 0, 0, 0, 0, 177, 66, 0, 0, 2, 78, 5, 1, 0, 4, 7, 18, 48, 55, 0, 0, 0, 0,
    177, 66, 0, 0, 2, 79, 5, 1, 0, 4, 7, 11, 48, 55, 0, 0, 0, 0, 177, 66, 0, 0, 2, 80, 5, 1, 0, 4,
    7, 4, 48, 55, 0, 0, 0, 0, 177, 66, 0, 0, 2, 82, 5, 1, 0, 4, 7, 25, 52, 55, 0, 0, 0, 0, 177, 66,
    0, 0, 2, 83, 5, 1, 0, 4, 1, 24, 52, 55, 0, 0, 0, 0, 177, 66, 0, 0, 2, 84, 5, 1, 0, 4, 1, 23,
    52, 55, 0, 0, 0, 0, 177, 66, 0, 0, 2, 85, 5, 1, 0, 4, 1, 22, 52, 55, 0, 0, 0, 0, 177, 66, 0, 0,
    2, 86, 5, 1, 0, 4, 1, 21, 52, 25, 0, 0, 0, 0, 233, 233, 0, 0, 2, 87, 5, 1, 0, 56, 25, 0, 0, 0,
    0, 233, 233, 0, 0, 2, 88, 5, 1, 0, 64, 25, 0, 0, 0, 0, 19, 234, 0, 0, 2, 89, 5, 1, 0, 72, 25,
    0, 0, 0, 0, 164, 233, 0, 0, 2, 95, 5, 1, 0, 136, 59, 16, 2, 90, 5, 1, 0, 25, 0, 0, 0, 0, 177,
    66, 0, 0, 2, 91, 5, 1, 0, 0, 25, 0, 0, 0, 0, 177, 66, 0, 0, 2, 92, 5, 1, 0, 4, 25, 0, 0, 0, 0,
    177, 66, 0, 0, 2, 93, 5, 1, 0, 8, 25, 0, 0, 0, 0, 177, 66, 0, 0, 2, 94, 5, 1, 0, 12, 0, 0, 40,
    0, 0, 0, 0, 8, 2, 66, 5, 1, 0, 25, 0, 0, 0, 0, 177, 66, 0, 0, 2, 67, 5, 1, 0, 0, 25, 0, 0, 0,
    0, 177, 66, 0, 0, 2, 68, 5, 1, 0, 4, 0, 3, 233, 233, 0, 0, 4, 82, 0, 0, 0, 8, 0, 3, 93, 222, 0,
    0, 4, 82, 0, 0, 0, 17, 0, 39, 236, 24, 0, 0, 0, 0, 0, 0, 2, 183, 64, 3, 157, 89, 0, 0, 4, 82,
    0, 0, 0, 17, 0, 9, 72, 234, 0, 0, 40, 0, 0, 0, 0, 56, 2, 17, 5, 1, 0, 25, 0, 0, 0, 0, 210, 234,
    0, 0, 2, 18, 5, 1, 0, 0, 25, 0, 0, 0, 0, 157, 89, 0, 0, 2, 19, 5, 1, 0, 8, 25, 0, 0, 0, 0, 128,
    104, 0, 0, 2, 20, 5, 1, 0, 16, 25, 0, 0, 0, 0, 38, 1, 0, 0, 2, 21, 5, 1, 0, 48, 25, 0, 0, 0, 0,
    229, 67, 0, 0, 2, 22, 5, 1, 0, 52, 25, 0, 0, 0, 0, 218, 67, 0, 0, 2, 23, 5, 1, 0, 54, 55, 0, 0,
    0, 0, 38, 1, 0, 0, 2, 24, 5, 1, 0, 4, 1, 7, 52, 55, 0, 0, 0, 0, 38, 1, 0, 0, 2, 25, 5, 1, 0, 4,
    1, 6, 52, 0, 9, 215, 234, 0, 0, 37, 220, 234, 0, 0, 40, 0, 0, 0, 0, 24, 2, 28, 5, 1, 0, 25, 0,
    0, 0, 0, 21, 235, 0, 0, 2, 29, 5, 1, 0, 0, 25, 0, 0, 0, 0, 52, 235, 0, 0, 2, 30, 5, 1, 0, 8,
    25, 0, 0, 0, 0, 83, 235, 0, 0, 2, 31, 5, 1, 0, 16, 0, 9, 26, 235, 0, 0, 14, 161, 88, 0, 0, 15,
    135, 213, 0, 0, 15, 40, 73, 0, 0, 15, 36, 54, 0, 0, 15, 26, 1, 0, 0, 0, 9, 57, 235, 0, 0, 14,
    161, 88, 0, 0, 15, 135, 213, 0, 0, 15, 40, 73, 0, 0, 15, 36, 54, 0, 0, 15, 45, 1, 0, 0, 0, 9,
    88, 235, 0, 0, 14, 168, 0, 0, 0, 15, 135, 213, 0, 0, 15, 36, 54, 0, 0, 0, 9, 109, 235, 0, 0,
    40, 0, 0, 0, 0, 128, 2, 213, 3, 1, 0, 25, 0, 0, 0, 0, 168, 0, 0, 0, 2, 214, 3, 1, 0, 0, 25, 0,
    0, 0, 0, 168, 0, 0, 0, 2, 215, 3, 1, 0, 4, 25, 0, 0, 0, 0, 177, 66, 0, 0, 2, 216, 3, 1, 0, 8,
    25, 0, 0, 0, 0, 229, 67, 0, 0, 2, 217, 3, 1, 0, 12, 25, 0, 0, 0, 0, 229, 67, 0, 0, 2, 218, 3,
    1, 0, 14, 25, 0, 0, 0, 0, 229, 67, 0, 0, 2, 219, 3, 1, 0, 16, 25, 0, 0, 0, 0, 229, 67, 0, 0, 2,
    220, 3, 1, 0, 18, 25, 0, 0, 0, 0, 229, 67, 0, 0, 2, 221, 3, 1, 0, 20, 25, 0, 0, 0, 0, 229, 67,
    0, 0, 2, 222, 3, 1, 0, 22, 25, 0, 0, 0, 0, 229, 67, 0, 0, 2, 223, 3, 1, 0, 24, 25, 0, 0, 0, 0,
    177, 66, 0, 0, 2, 224, 3, 1, 0, 28, 25, 0, 0, 0, 0, 218, 67, 0, 0, 2, 225, 3, 1, 0, 32, 25, 0,
    0, 0, 0, 218, 67, 0, 0, 2, 226, 3, 1, 0, 33, 25, 0, 0, 0, 0, 229, 67, 0, 0, 2, 227, 3, 1, 0,
    34, 25, 0, 0, 0, 0, 135, 213, 0, 0, 2, 228, 3, 1, 0, 40, 25, 0, 0, 0, 0, 135, 213, 0, 0, 2,
    229, 3, 1, 0, 48, 25, 0, 0, 0, 0, 177, 66, 0, 0, 2, 230, 3, 1, 0, 56, 25, 0, 0, 0, 0, 218, 67,
    0, 0, 2, 231, 3, 1, 0, 60, 25, 0, 0, 0, 0, 229, 67, 0, 0, 2, 232, 3, 1, 0, 62, 25, 0, 0, 0, 0,
    229, 67, 0, 0, 2, 233, 3, 1, 0, 64, 25, 0, 0, 0, 0, 195, 236, 0, 0, 2, 234, 3, 1, 0, 72, 25, 0,
    0, 0, 0, 181, 51, 0, 0, 2, 235, 3, 1, 0, 120, 0, 3, 207, 222, 0, 0, 4, 82, 0, 0, 0, 6, 0, 9,
    212, 236, 0, 0, 40, 0, 0, 0, 0, 32, 2, 1, 8, 1, 0, 25, 0, 0, 0, 0, 13, 237, 0, 0, 2, 2, 8, 1,
    0, 0, 25, 0, 0, 0, 0, 181, 51, 0, 0, 2, 3, 8, 1, 0, 8, 25, 0, 0, 0, 0, 203, 147, 0, 0, 2, 4, 8,
    1, 0, 16, 0, 9, 18, 237, 0, 0, 35, 0, 0, 0, 0, 56, 2, 93, 92, 29, 0, 0, 0, 0, 33, 67, 0, 0, 2,
    94, 92, 0, 29, 0, 0, 0, 0, 195, 21, 0, 0, 2, 95, 92, 8, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 96,
    92, 24, 29, 0, 0, 0, 0, 106, 237, 0, 0, 2, 97, 92, 32, 29, 0, 0, 0, 0, 26, 1, 0, 0, 2, 98, 92,
    40, 29, 0, 0, 0, 0, 233, 21, 0, 0, 2, 99, 92, 48, 0, 39, 118, 237, 0, 0, 0, 0, 0, 0, 2, 91, 92,
    9, 123, 237, 0, 0, 14, 90, 22, 0, 0, 15, 216, 107, 0, 0, 15, 90, 22, 0, 0, 15, 90, 22, 0, 0,
    15, 38, 1, 0, 0, 15, 26, 1, 0, 0, 15, 13, 237, 0, 0, 15, 90, 22, 0, 0, 0, 9, 169, 237, 0, 0,
    35, 0, 0, 0, 0, 8, 2, 78, 96, 45, 0, 0, 0, 0, 27, 1, 0, 0, 2, 79, 96, 4, 8, 24, 0, 45, 0, 0, 0,
    0, 27, 1, 0, 0, 2, 80, 96, 4, 3, 21, 0, 45, 0, 0, 0, 0, 27, 1, 0, 0, 2, 81, 96, 4, 1, 20, 0,
    45, 0, 0, 0, 0, 27, 1, 0, 0, 2, 82, 96, 4, 1, 19, 0, 45, 0, 0, 0, 0, 27, 1, 0, 0, 2, 83, 96, 4,
    1, 18, 0, 45, 0, 0, 0, 0, 27, 1, 0, 0, 2, 84, 96, 4, 1, 17, 0, 45, 0, 0, 0, 0, 27, 1, 0, 0, 2,
    85, 96, 4, 1, 16, 0, 45, 0, 0, 0, 0, 27, 1, 0, 0, 2, 86, 96, 4, 1, 15, 0, 45, 0, 0, 0, 0, 27,
    1, 0, 0, 2, 87, 96, 4, 15, 0, 0, 45, 0, 0, 0, 0, 27, 1, 0, 0, 2, 88, 96, 4, 24, 8, 4, 45, 0, 0,
    0, 0, 27, 1, 0, 0, 2, 89, 96, 4, 8, 0, 4, 0, 42, 113, 238, 0, 0, 0, 0, 0, 0, 2, 232, 62, 1, 0,
    9, 118, 238, 0, 0, 38, 15, 97, 209, 0, 0, 15, 130, 238, 0, 0, 0, 9, 237, 210, 0, 0, 35, 0, 0,
    0, 0, 2, 2, 129, 56, 29, 0, 0, 0, 0, 229, 67, 0, 0, 2, 130, 56, 0, 0, 35, 0, 0, 0, 0, 2, 2,
    133, 56, 29, 0, 0, 0, 0, 229, 67, 0, 0, 2, 134, 56, 0, 0, 9, 186, 238, 0, 0, 28, 0, 0, 0, 0,
    32, 1, 2, 171, 56, 29, 0, 0, 0, 0, 92, 168, 0, 0, 2, 172, 56, 0, 29, 0, 0, 0, 0, 233, 21, 0, 0,
    2, 173, 56, 8, 29, 0, 0, 0, 0, 157, 240, 0, 0, 2, 174, 56, 16, 29, 0, 0, 0, 0, 173, 240, 0, 0,
    2, 175, 56, 24, 29, 0, 0, 0, 0, 173, 240, 0, 0, 2, 176, 56, 32, 29, 0, 0, 0, 0, 173, 240, 0, 0,
    2, 177, 56, 40, 29, 0, 0, 0, 0, 173, 240, 0, 0, 2, 178, 56, 48, 29, 0, 0, 0, 0, 173, 240, 0, 0,
    2, 179, 56, 56, 29, 0, 0, 0, 0, 173, 240, 0, 0, 2, 180, 56, 64, 29, 0, 0, 0, 0, 173, 240, 0, 0,
    2, 181, 56, 72, 29, 0, 0, 0, 0, 173, 240, 0, 0, 2, 182, 56, 80, 29, 0, 0, 0, 0, 185, 240, 0, 0,
    2, 183, 56, 88, 29, 0, 0, 0, 0, 211, 240, 0, 0, 2, 184, 56, 96, 29, 0, 0, 0, 0, 227, 240, 0, 0,
    2, 185, 56, 104, 29, 0, 0, 0, 0, 227, 240, 0, 0, 2, 186, 56, 112, 29, 0, 0, 0, 0, 173, 240, 0,
    0, 2, 187, 56, 120, 29, 0, 0, 0, 0, 173, 240, 0, 0, 2, 188, 56, 128, 29, 0, 0, 0, 0, 173, 240,
    0, 0, 2, 189, 56, 136, 29, 0, 0, 0, 0, 173, 240, 0, 0, 2, 190, 56, 144, 29, 0, 0, 0, 0, 173,
    240, 0, 0, 2, 191, 56, 152, 29, 0, 0, 0, 0, 173, 240, 0, 0, 2, 192, 56, 160, 29, 0, 0, 0, 0,
    173, 240, 0, 0, 2, 193, 56, 168, 29, 0, 0, 0, 0, 173, 240, 0, 0, 2, 194, 56, 176, 29, 0, 0, 0,
    0, 248, 240, 0, 0, 2, 195, 56, 184, 29, 0, 0, 0, 0, 211, 240, 0, 0, 2, 196, 56, 192, 29, 0, 0,
    0, 0, 173, 240, 0, 0, 2, 197, 56, 200, 29, 0, 0, 0, 0, 9, 241, 0, 0, 2, 198, 56, 208, 29, 0, 0,
    0, 0, 9, 241, 0, 0, 2, 199, 56, 216, 29, 0, 0, 0, 0, 26, 241, 0, 0, 2, 200, 56, 224, 29, 0, 0,
    0, 0, 95, 241, 0, 0, 2, 201, 56, 232, 29, 0, 0, 0, 0, 121, 241, 0, 0, 2, 202, 56, 240, 29, 0,
    0, 0, 0, 142, 241, 0, 0, 2, 203, 56, 248, 31, 0, 0, 0, 0, 159, 241, 0, 0, 2, 204, 56, 0, 1, 31,
    0, 0, 0, 0, 211, 240, 0, 0, 2, 205, 56, 8, 1, 31, 0, 0, 0, 0, 173, 240, 0, 0, 2, 206, 56, 16,
    1, 31, 0, 0, 0, 0, 90, 22, 0, 0, 2, 207, 56, 24, 1, 0, 9, 162, 240, 0, 0, 14, 38, 1, 0, 0, 15,
    141, 208, 0, 0, 0, 9, 178, 240, 0, 0, 38, 15, 141, 208, 0, 0, 0, 9, 190, 240, 0, 0, 14, 168, 0,
    0, 0, 15, 141, 208, 0, 0, 15, 125, 213, 0, 0, 15, 181, 51, 0, 0, 0, 9, 216, 240, 0, 0, 14, 168,
    0, 0, 0, 15, 141, 208, 0, 0, 0, 9, 232, 240, 0, 0, 14, 168, 0, 0, 0, 15, 141, 208, 0, 0, 15,
    38, 1, 0, 0, 0, 9, 253, 240, 0, 0, 38, 15, 141, 208, 0, 0, 15, 199, 111, 0, 0, 0, 9, 14, 241,
    0, 0, 38, 15, 141, 208, 0, 0, 15, 130, 238, 0, 0, 0, 9, 31, 241, 0, 0, 14, 168, 0, 0, 0, 15,
    141, 208, 0, 0, 15, 52, 241, 0, 0, 15, 90, 241, 0, 0, 0, 18, 38, 1, 0, 0, 0, 0, 0, 0, 4, 2, 17,
    56, 19, 0, 0, 0, 0, 0, 19, 0, 0, 0, 0, 1, 19, 0, 0, 0, 0, 2, 19, 0, 0, 0, 0, 3, 0, 9, 181, 51,
    0, 0, 9, 100, 241, 0, 0, 14, 168, 0, 0, 0, 15, 141, 208, 0, 0, 15, 52, 241, 0, 0, 15, 181, 51,
    0, 0, 0, 9, 126, 241, 0, 0, 14, 168, 0, 0, 0, 15, 141, 208, 0, 0, 15, 26, 1, 0, 0, 0, 9, 147,
    241, 0, 0, 38, 15, 141, 208, 0, 0, 15, 38, 1, 0, 0, 0, 9, 164, 241, 0, 0, 38, 15, 141, 208, 0,
    0, 15, 125, 213, 0, 0, 0, 9, 181, 241, 0, 0, 38, 15, 154, 205, 0, 0, 15, 141, 208, 0, 0, 0, 9,
    198, 241, 0, 0, 14, 168, 0, 0, 0, 15, 154, 205, 0, 0, 15, 141, 207, 0, 0, 15, 216, 107, 0, 0,
    15, 57, 208, 0, 0, 0, 9, 229, 241, 0, 0, 35, 0, 0, 0, 0, 24, 2, 4, 57, 29, 0, 0, 0, 0, 38, 1,
    0, 0, 2, 5, 57, 0, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 6, 57, 4, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 7,
    57, 8, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 8, 57, 12, 29, 0, 0, 0, 0, 61, 242, 0, 0, 2, 9, 57, 16,
    29, 0, 0, 0, 0, 105, 242, 0, 0, 2, 10, 57, 24, 0, 18, 38, 1, 0, 0, 0, 0, 0, 0, 4, 2, 252, 56,
    19, 0, 0, 0, 0, 1, 19, 0, 0, 0, 0, 2, 19, 0, 0, 0, 0, 4, 19, 0, 0, 0, 0, 8, 19, 0, 0, 0, 0, 16,
    0, 3, 117, 242, 0, 0, 4, 82, 0, 0, 0, 0, 0, 9, 122, 242, 0, 0, 35, 0, 0, 0, 0, 128, 2, 229, 56,
    29, 0, 0, 0, 0, 155, 95, 0, 0, 2, 230, 56, 0, 29, 0, 0, 0, 0, 26, 1, 0, 0, 2, 231, 56, 8, 29,
    0, 0, 0, 0, 136, 243, 0, 0, 2, 232, 56, 16, 29, 0, 0, 0, 0, 152, 243, 0, 0, 2, 233, 56, 24, 29,
    0, 0, 0, 0, 169, 243, 0, 0, 2, 234, 56, 32, 29, 0, 0, 0, 0, 169, 243, 0, 0, 2, 235, 56, 40, 29,
    0, 0, 0, 0, 38, 1, 0, 0, 2, 236, 56, 48, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 237, 56, 52, 29, 0, 0,
    0, 0, 177, 66, 0, 0, 2, 238, 56, 56, 29, 0, 0, 0, 0, 177, 66, 0, 0, 2, 239, 56, 60, 29, 0, 0,
    0, 0, 177, 66, 0, 0, 2, 240, 56, 64, 29, 0, 0, 0, 0, 177, 66, 0, 0, 2, 241, 56, 68, 29, 0, 0,
    0, 0, 177, 66, 0, 0, 2, 242, 56, 72, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 243, 56, 76, 29, 0, 0, 0,
    0, 26, 1, 0, 0, 2, 244, 56, 80, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 245, 56, 88, 29, 0, 0, 0, 0,
    90, 22, 0, 0, 2, 246, 56, 96, 29, 0, 0, 0, 0, 154, 205, 0, 0, 2, 247, 56, 104, 29, 0, 0, 0, 0,
    195, 21, 0, 0, 2, 248, 56, 112, 29, 0, 0, 0, 0, 181, 243, 0, 0, 2, 249, 56, 128, 0, 9, 141,
    243, 0, 0, 14, 177, 66, 0, 0, 15, 26, 1, 0, 0, 0, 9, 157, 243, 0, 0, 38, 15, 177, 66, 0, 0, 15,
    26, 1, 0, 0, 0, 9, 174, 243, 0, 0, 38, 15, 117, 242, 0, 0, 0, 3, 193, 243, 0, 0, 4, 82, 0, 0,
    0, 0, 0, 28, 0, 0, 0, 0, 112, 1, 2, 220, 56, 29, 0, 0, 0, 0, 186, 238, 0, 0, 2, 221, 56, 0, 31,
    0, 0, 0, 0, 31, 244, 0, 0, 2, 222, 56, 32, 1, 31, 0, 0, 0, 0, 132, 244, 0, 0, 2, 223, 56, 88,
    1, 31, 0, 0, 0, 0, 177, 66, 0, 0, 2, 224, 56, 96, 1, 31, 0, 0, 0, 0, 177, 66, 0, 0, 2, 225, 56,
    100, 1, 31, 0, 0, 0, 0, 132, 223, 0, 0, 2, 226, 56, 104, 1, 0, 35, 0, 0, 0, 0, 56, 2, 210, 56,
    29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 211, 56, 0, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 212, 56, 8, 29,
    0, 0, 0, 0, 90, 22, 0, 0, 2, 213, 56, 16, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 214, 56, 24, 29, 0,
    0, 0, 0, 90, 22, 0, 0, 2, 215, 56, 32, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 216, 56, 40, 29, 0, 0,
    0, 0, 90, 22, 0, 0, 2, 217, 56, 48, 0, 39, 144, 244, 0, 0, 0, 0, 0, 0, 2, 51, 56, 9, 149, 244,
    0, 0, 38, 15, 156, 244, 0, 0, 0, 9, 161, 244, 0, 0, 28, 0, 0, 0, 0, 0, 2, 2, 77, 56, 29, 0, 0,
    0, 0, 9, 209, 0, 0, 2, 78, 56, 0, 29, 0, 0, 0, 0, 146, 208, 0, 0, 2, 79, 56, 104, 29, 0, 0, 0,
    0, 57, 208, 0, 0, 2, 80, 56, 160, 29, 0, 0, 0, 0, 132, 244, 0, 0, 2, 81, 56, 168, 29, 0, 0, 0,
    0, 131, 246, 0, 0, 2, 82, 56, 176, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 83, 56, 184, 29, 0, 0, 0, 0,
    38, 1, 0, 0, 2, 84, 56, 188, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 85, 56, 192, 29, 0, 0, 0, 0, 38,
    1, 0, 0, 2, 86, 56, 196, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 87, 56, 200, 29, 0, 0, 0, 0, 38, 1, 0,
    0, 2, 88, 56, 204, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 89, 56, 208, 29, 0, 0, 0, 0, 38, 1, 0, 0,
    2, 90, 56, 216, 29, 0, 0, 0, 0, 242, 23, 0, 0, 2, 91, 56, 220, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2,
    92, 56, 224, 29, 0, 0, 0, 0, 155, 95, 0, 0, 2, 93, 56, 228, 29, 0, 0, 0, 0, 136, 247, 0, 0, 2,
    94, 56, 232, 29, 0, 0, 0, 0, 125, 213, 0, 0, 2, 95, 56, 240, 29, 0, 0, 0, 0, 125, 213, 0, 0, 2,
    96, 56, 248, 31, 0, 0, 0, 0, 141, 247, 0, 0, 2, 97, 56, 0, 1, 31, 0, 0, 0, 0, 136, 165, 0, 0,
    2, 98, 56, 8, 1, 31, 0, 0, 0, 0, 90, 22, 0, 0, 2, 99, 56, 48, 1, 31, 0, 0, 0, 0, 242, 23, 0, 0,
    2, 100, 56, 56, 1, 31, 0, 0, 0, 0, 190, 104, 0, 0, 2, 101, 56, 64, 1, 31, 0, 0, 0, 0, 38, 1, 0,
    0, 2, 102, 56, 88, 1, 31, 0, 0, 0, 0, 38, 1, 0, 0, 2, 103, 56, 92, 1, 31, 0, 0, 0, 0, 38, 1, 0,
    0, 2, 104, 56, 96, 1, 31, 0, 0, 0, 0, 38, 1, 0, 0, 2, 105, 56, 100, 1, 31, 0, 0, 0, 0, 97, 224,
    0, 0, 2, 106, 56, 104, 1, 31, 0, 0, 0, 0, 28, 22, 0, 0, 2, 107, 56, 112, 1, 31, 0, 0, 0, 0,
    223, 85, 0, 0, 2, 108, 56, 128, 1, 31, 0, 0, 0, 0, 128, 104, 0, 0, 2, 109, 56, 192, 1, 31, 0,
    0, 0, 0, 168, 0, 0, 0, 2, 110, 56, 224, 1, 31, 0, 0, 0, 0, 120, 81, 0, 0, 2, 111, 56, 232, 1,
    31, 0, 0, 0, 0, 233, 21, 0, 0, 2, 112, 56, 240, 1, 0, 9, 136, 246, 0, 0, 35, 0, 0, 0, 0, 128,
    2, 240, 55, 29, 0, 0, 0, 0, 59, 247, 0, 0, 2, 241, 55, 0, 29, 0, 0, 0, 0, 26, 1, 0, 0, 2, 242,
    55, 8, 29, 0, 0, 0, 0, 26, 1, 0, 0, 2, 243, 55, 16, 29, 0, 0, 0, 0, 131, 246, 0, 0, 2, 244, 55,
    24, 29, 0, 0, 0, 0, 59, 247, 0, 0, 2, 245, 55, 32, 29, 0, 0, 0, 0, 244, 117, 0, 0, 2, 246, 55,
    40, 29, 0, 0, 0, 0, 131, 246, 0, 0, 2, 247, 55, 48, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 248, 55,
    56, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 249, 55, 60, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 250, 55, 64,
    29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 251, 55, 72, 29, 0, 0, 0, 0, 233, 21, 0, 0, 2, 252, 55, 80,
    29, 0, 0, 0, 0, 97, 224, 0, 0, 2, 253, 55, 88, 0, 39, 71, 247, 0, 0, 0, 0, 0, 0, 2, 238, 55, 9,
    76, 247, 0, 0, 14, 92, 247, 0, 0, 15, 168, 0, 0, 0, 15, 26, 1, 0, 0, 0, 39, 104, 247, 0, 0, 0,
    0, 0, 0, 2, 206, 55, 18, 38, 1, 0, 0, 0, 0, 0, 0, 4, 2, 200, 55, 19, 0, 0, 0, 0, 0, 19, 0, 0,
    0, 0, 1, 19, 0, 0, 0, 0, 2, 0, 9, 160, 165, 0, 0, 9, 146, 247, 0, 0, 35, 0, 0, 0, 0, 56, 2, 4,
    56, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 5, 56, 0, 29, 0, 0, 0, 0, 221, 107, 0, 0, 2, 6, 56, 4, 29,
    0, 0, 0, 0, 117, 158, 0, 0, 2, 7, 56, 8, 29, 0, 0, 0, 0, 221, 247, 0, 0, 2, 8, 56, 40, 29, 0,
    0, 0, 0, 4, 248, 0, 0, 2, 9, 56, 48, 0, 9, 226, 247, 0, 0, 38, 15, 141, 247, 0, 0, 15, 238,
    247, 0, 0, 0, 9, 243, 247, 0, 0, 37, 248, 247, 0, 0, 39, 160, 165, 0, 0, 0, 0, 0, 0, 2, 254, 1,
    9, 9, 248, 0, 0, 38, 15, 16, 248, 0, 0, 0, 9, 221, 107, 0, 0, 3, 38, 1, 0, 0, 4, 82, 0, 0, 0,
    0, 0, 9, 38, 248, 0, 0, 35, 0, 0, 0, 0, 40, 2, 105, 248, 29, 0, 0, 0, 0, 113, 248, 0, 0, 2,
    106, 248, 0, 29, 0, 0, 0, 0, 206, 248, 0, 0, 2, 107, 248, 8, 29, 0, 0, 0, 0, 206, 248, 0, 0, 2,
    108, 248, 16, 29, 0, 0, 0, 0, 206, 248, 0, 0, 2, 109, 248, 24, 29, 0, 0, 0, 0, 206, 248, 0, 0,
    2, 110, 248, 32, 0, 9, 118, 248, 0, 0, 35, 0, 0, 0, 0, 72, 2, 113, 248, 29, 0, 0, 0, 0, 195,
    21, 0, 0, 2, 114, 248, 0, 29, 0, 0, 0, 0, 92, 168, 0, 0, 2, 115, 248, 16, 29, 0, 0, 0, 0, 195,
    21, 0, 0, 2, 116, 248, 24, 29, 0, 0, 0, 0, 206, 248, 0, 0, 2, 117, 248, 40, 29, 0, 0, 0, 0,
    195, 21, 0, 0, 2, 118, 248, 48, 29, 0, 0, 0, 0, 221, 107, 0, 0, 2, 119, 248, 64, 0, 9, 211,
    248, 0, 0, 35, 0, 0, 0, 0, 40, 2, 122, 248, 29, 0, 0, 0, 0, 195, 21, 0, 0, 2, 123, 248, 0, 29,
    0, 0, 0, 0, 233, 21, 0, 0, 2, 124, 248, 16, 29, 0, 0, 0, 0, 195, 21, 0, 0, 2, 125, 248, 24, 0,
    9, 9, 249, 0, 0, 37, 14, 249, 0, 0, 35, 0, 0, 0, 0, 152, 2, 41, 27, 29, 0, 0, 0, 0, 15, 250, 0,
    0, 2, 42, 27, 0, 29, 0, 0, 0, 0, 56, 250, 0, 0, 2, 43, 27, 8, 29, 0, 0, 0, 0, 88, 250, 0, 0, 2,
    44, 27, 16, 29, 0, 0, 0, 0, 129, 250, 0, 0, 2, 45, 27, 24, 29, 0, 0, 0, 0, 48, 251, 0, 0, 2,
    46, 27, 32, 29, 0, 0, 0, 0, 127, 251, 0, 0, 2, 47, 27, 40, 29, 0, 0, 0, 0, 159, 251, 0, 0, 2,
    48, 27, 48, 29, 0, 0, 0, 0, 195, 251, 0, 0, 2, 49, 27, 56, 29, 0, 0, 0, 0, 227, 251, 0, 0, 2,
    50, 27, 64, 29, 0, 0, 0, 0, 127, 251, 0, 0, 2, 51, 27, 72, 29, 0, 0, 0, 0, 7, 252, 0, 0, 2, 52,
    27, 80, 29, 0, 0, 0, 0, 7, 252, 0, 0, 2, 53, 27, 88, 29, 0, 0, 0, 0, 34, 252, 0, 0, 2, 54, 27,
    96, 29, 0, 0, 0, 0, 34, 252, 0, 0, 2, 55, 27, 104, 29, 0, 0, 0, 0, 61, 252, 0, 0, 2, 56, 27,
    112, 29, 0, 0, 0, 0, 88, 252, 0, 0, 2, 57, 27, 120, 29, 0, 0, 0, 0, 109, 252, 0, 0, 2, 58, 27,
    128, 29, 0, 0, 0, 0, 125, 252, 0, 0, 2, 59, 27, 136, 29, 0, 0, 0, 0, 141, 252, 0, 0, 2, 60, 27,
    144, 0, 9, 20, 250, 0, 0, 14, 26, 1, 0, 0, 15, 92, 168, 0, 0, 15, 36, 54, 0, 0, 15, 51, 250, 0,
    0, 15, 252, 147, 0, 0, 15, 90, 22, 0, 0, 0, 9, 198, 176, 0, 0, 9, 61, 250, 0, 0, 38, 15, 92,
    168, 0, 0, 15, 36, 54, 0, 0, 15, 26, 1, 0, 0, 15, 198, 176, 0, 0, 15, 90, 22, 0, 0, 0, 9, 93,
    250, 0, 0, 14, 168, 0, 0, 0, 15, 92, 168, 0, 0, 15, 66, 90, 0, 0, 15, 26, 1, 0, 0, 15, 198,
    176, 0, 0, 15, 36, 54, 0, 0, 15, 90, 22, 0, 0, 0, 9, 134, 250, 0, 0, 14, 168, 0, 0, 0, 15, 92,
    168, 0, 0, 15, 170, 250, 0, 0, 15, 26, 1, 0, 0, 15, 198, 176, 0, 0, 15, 36, 54, 0, 0, 15, 90,
    22, 0, 0, 0, 9, 175, 250, 0, 0, 35, 0, 0, 0, 0, 16, 2, 174, 43, 29, 0, 0, 0, 0, 224, 250, 0, 0,
    2, 175, 43, 0, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 176, 43, 8, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 177,
    43, 12, 0, 9, 229, 250, 0, 0, 35, 0, 0, 0, 0, 32, 2, 166, 43, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2,
    167, 43, 0, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 168, 43, 8, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 169,
    43, 12, 29, 0, 0, 0, 0, 198, 176, 0, 0, 2, 170, 43, 16, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 171,
    43, 24, 0, 9, 53, 251, 0, 0, 14, 198, 176, 0, 0, 15, 92, 168, 0, 0, 15, 220, 54, 0, 0, 15, 90,
    22, 0, 0, 15, 36, 54, 0, 0, 15, 89, 251, 0, 0, 15, 90, 22, 0, 0, 0, 18, 38, 1, 0, 0, 0, 0, 0,
    0, 4, 2, 30, 27, 19, 0, 0, 0, 0, 0, 19, 0, 0, 0, 0, 1, 19, 0, 0, 0, 0, 2, 19, 0, 0, 0, 0, 3, 0,
    9, 132, 251, 0, 0, 38, 15, 92, 168, 0, 0, 15, 198, 176, 0, 0, 15, 36, 54, 0, 0, 15, 89, 251, 0,
    0, 15, 90, 22, 0, 0, 0, 9, 164, 251, 0, 0, 14, 168, 0, 0, 0, 15, 92, 168, 0, 0, 15, 224, 250,
    0, 0, 15, 168, 0, 0, 0, 15, 89, 251, 0, 0, 15, 90, 22, 0, 0, 0, 9, 200, 251, 0, 0, 38, 15, 92,
    168, 0, 0, 15, 224, 250, 0, 0, 15, 168, 0, 0, 0, 15, 89, 251, 0, 0, 15, 90, 22, 0, 0, 0, 9,
    232, 251, 0, 0, 14, 198, 176, 0, 0, 15, 92, 168, 0, 0, 15, 44, 177, 0, 0, 15, 36, 54, 0, 0, 15,
    89, 251, 0, 0, 15, 90, 22, 0, 0, 0, 9, 12, 252, 0, 0, 38, 15, 92, 168, 0, 0, 15, 198, 176, 0,
    0, 15, 36, 54, 0, 0, 15, 89, 251, 0, 0, 0, 9, 39, 252, 0, 0, 38, 15, 92, 168, 0, 0, 15, 224,
    250, 0, 0, 15, 168, 0, 0, 0, 15, 89, 251, 0, 0, 0, 9, 66, 252, 0, 0, 38, 15, 92, 168, 0, 0, 15,
    26, 1, 0, 0, 15, 36, 54, 0, 0, 15, 89, 251, 0, 0, 0, 9, 93, 252, 0, 0, 14, 168, 0, 0, 0, 15,
    92, 168, 0, 0, 15, 109, 22, 0, 0, 0, 9, 114, 252, 0, 0, 14, 109, 22, 0, 0, 15, 92, 168, 0, 0,
    0, 9, 130, 252, 0, 0, 14, 36, 54, 0, 0, 15, 92, 168, 0, 0, 0, 9, 146, 252, 0, 0, 14, 90, 22, 0,
    0, 15, 92, 168, 0, 0, 0, 9, 109, 22, 0, 0, 9, 59, 232, 0, 0, 9, 172, 252, 0, 0, 35, 0, 0, 0, 0,
    48, 2, 72, 120, 29, 0, 0, 0, 0, 26, 1, 0, 0, 2, 73, 120, 0, 29, 0, 0, 0, 0, 198, 176, 0, 0, 2,
    74, 120, 8, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 75, 120, 16, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 76,
    120, 24, 29, 0, 0, 0, 0, 216, 107, 0, 0, 2, 77, 120, 32, 29, 0, 0, 0, 0, 33, 67, 0, 0, 2, 78,
    120, 40, 29, 0, 0, 0, 0, 181, 51, 0, 0, 2, 79, 120, 44, 0, 54, 0, 0, 0, 0, 0, 2, 155, 25, 9,
    31, 253, 0, 0, 35, 0, 0, 0, 0, 64, 2, 125, 86, 29, 0, 0, 0, 0, 128, 104, 0, 0, 2, 126, 86, 0,
    29, 0, 0, 0, 0, 106, 253, 0, 0, 2, 127, 86, 32, 29, 0, 0, 0, 0, 211, 253, 0, 0, 2, 128, 86, 40,
    29, 0, 0, 0, 0, 194, 177, 0, 0, 2, 129, 86, 48, 29, 0, 0, 0, 0, 26, 1, 0, 0, 2, 130, 86, 56, 0,
    9, 111, 253, 0, 0, 35, 0, 0, 0, 0, 64, 2, 23, 87, 29, 0, 0, 0, 0, 173, 253, 0, 0, 2, 24, 87, 0,
    29, 0, 0, 0, 0, 26, 1, 0, 0, 2, 25, 87, 8, 29, 0, 0, 0, 0, 195, 21, 0, 0, 2, 26, 87, 16, 29, 0,
    0, 0, 0, 128, 104, 0, 0, 2, 27, 87, 32, 0, 39, 185, 253, 0, 0, 0, 0, 0, 0, 2, 239, 86, 9, 190,
    253, 0, 0, 14, 168, 0, 0, 0, 15, 206, 253, 0, 0, 15, 26, 1, 0, 0, 0, 9, 228, 185, 0, 0, 9, 216,
    253, 0, 0, 35, 0, 0, 0, 0, 32, 2, 30, 87, 29, 0, 0, 0, 0, 136, 173, 0, 0, 2, 31, 87, 0, 29, 0,
    0, 0, 0, 5, 178, 0, 0, 2, 32, 87, 8, 29, 0, 0, 0, 0, 177, 66, 0, 0, 2, 33, 87, 16, 29, 0, 0, 0,
    0, 177, 66, 0, 0, 2, 34, 87, 20, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 35, 87, 24, 29, 0, 0, 0, 0,
    48, 254, 0, 0, 2, 36, 87, 28, 0, 3, 177, 66, 0, 0, 4, 82, 0, 0, 0, 0, 0, 3, 58, 163, 0, 0, 4,
    82, 0, 0, 0, 0, 0, 3, 109, 22, 0, 0, 4, 82, 0, 0, 0, 10, 0, 3, 90, 22, 0, 0, 4, 82, 0, 0, 0,
    15, 0, 3, 177, 66, 0, 0, 4, 82, 0, 0, 0, 5, 0, 28, 0, 0, 0, 0, 152, 4, 2, 230, 22, 29, 0, 0, 0,
    0, 216, 254, 0, 0, 2, 231, 22, 0, 31, 0, 0, 0, 0, 22, 40, 1, 0, 2, 232, 22, 48, 1, 31, 0, 0, 0,
    0, 34, 40, 1, 0, 2, 233, 22, 144, 3, 31, 0, 0, 0, 0, 195, 21, 0, 0, 2, 234, 22, 40, 4, 31, 0,
    0, 0, 0, 228, 254, 0, 0, 2, 235, 22, 56, 4, 31, 0, 0, 0, 0, 46, 40, 1, 0, 2, 236, 22, 64, 4,
    31, 0, 0, 0, 0, 117, 158, 0, 0, 2, 237, 22, 120, 4, 0, 3, 228, 254, 0, 0, 4, 82, 0, 0, 0, 38,
    0, 9, 233, 254, 0, 0, 35, 0, 0, 0, 0, 16, 2, 33, 28, 29, 0, 0, 0, 0, 28, 22, 0, 0, 2, 34, 28,
    0, 29, 0, 0, 0, 0, 13, 255, 0, 0, 2, 35, 28, 16, 0, 3, 25, 255, 0, 0, 4, 82, 0, 0, 0, 0, 0, 35,
    0, 0, 0, 0, 24, 2, 11, 28, 29, 0, 0, 0, 0, 61, 255, 0, 0, 2, 12, 28, 0, 29, 0, 0, 0, 0, 240,
    38, 1, 0, 2, 13, 28, 8, 0, 9, 66, 255, 0, 0, 35, 0, 0, 0, 0, 56, 2, 103, 41, 29, 0, 0, 0, 0,
    229, 67, 0, 0, 2, 104, 41, 0, 45, 0, 0, 0, 0, 229, 67, 0, 0, 2, 105, 41, 2, 1, 15, 2, 45, 0, 0,
    0, 0, 229, 67, 0, 0, 2, 106, 41, 2, 1, 14, 2, 45, 0, 0, 0, 0, 229, 67, 0, 0, 2, 107, 41, 2, 1,
    13, 2, 45, 0, 0, 0, 0, 229, 67, 0, 0, 2, 108, 41, 2, 1, 12, 2, 45, 0, 0, 0, 0, 229, 67, 0, 0,
    2, 109, 41, 2, 1, 11, 2, 45, 0, 0, 0, 0, 229, 67, 0, 0, 2, 110, 41, 2, 1, 10, 2, 45, 0, 0, 0,
    0, 229, 67, 0, 0, 2, 111, 41, 2, 1, 9, 2, 45, 0, 0, 0, 0, 229, 67, 0, 0, 2, 112, 41, 2, 1, 8,
    2, 45, 0, 0, 0, 0, 229, 67, 0, 0, 2, 113, 41, 2, 1, 7, 2, 45, 0, 0, 0, 0, 229, 67, 0, 0, 2,
    114, 41, 2, 1, 6, 2, 45, 0, 0, 0, 0, 229, 67, 0, 0, 2, 115, 41, 2, 1, 5, 2, 29, 0, 0, 0, 0,
    122, 2, 0, 0, 2, 116, 41, 4, 29, 0, 0, 0, 0, 66, 3, 0, 0, 2, 117, 41, 8, 29, 0, 0, 0, 0, 177,
    66, 0, 0, 2, 118, 41, 12, 29, 0, 0, 0, 0, 177, 66, 0, 0, 2, 119, 41, 16, 29, 0, 0, 0, 0, 139,
    0, 1, 0, 2, 120, 41, 20, 29, 0, 0, 0, 0, 151, 0, 1, 0, 2, 121, 41, 32, 29, 0, 0, 0, 0, 87, 38,
    1, 0, 2, 122, 41, 40, 29, 0, 0, 0, 0, 195, 38, 1, 0, 2, 123, 41, 48, 29, 0, 0, 0, 0, 216, 38,
    1, 0, 2, 124, 41, 56, 29, 0, 0, 0, 0, 228, 38, 1, 0, 2, 125, 41, 56, 0, 3, 218, 67, 0, 0, 4,
    82, 0, 0, 0, 8, 0, 9, 156, 0, 1, 0, 28, 0, 0, 0, 0, 48, 2, 2, 38, 41, 29, 0, 0, 0, 0, 185, 23,
    0, 0, 2, 39, 41, 0, 29, 0, 0, 0, 0, 177, 66, 0, 0, 2, 40, 41, 8, 29, 0, 0, 0, 0, 177, 66, 0, 0,
    2, 41, 41, 12, 29, 0, 0, 0, 0, 177, 66, 0, 0, 2, 42, 41, 16, 29, 0, 0, 0, 0, 177, 66, 0, 0, 2,
    43, 41, 20, 29, 0, 0, 0, 0, 177, 66, 0, 0, 2, 44, 41, 24, 29, 0, 0, 0, 0, 177, 66, 0, 0, 2, 45,
    41, 28, 29, 0, 0, 0, 0, 177, 66, 0, 0, 2, 46, 41, 32, 29, 0, 0, 0, 0, 177, 66, 0, 0, 2, 47, 41,
    36, 29, 0, 0, 0, 0, 177, 66, 0, 0, 2, 48, 41, 40, 29, 0, 0, 0, 0, 177, 66, 0, 0, 2, 49, 41, 44,
    29, 0, 0, 0, 0, 177, 66, 0, 0, 2, 50, 41, 48, 29, 0, 0, 0, 0, 177, 66, 0, 0, 2, 51, 41, 52, 29,
    0, 0, 0, 0, 98, 3, 1, 0, 2, 52, 41, 56, 29, 0, 0, 0, 0, 61, 255, 0, 0, 2, 53, 41, 64, 29, 0, 0,
    0, 0, 181, 51, 0, 0, 2, 54, 41, 72, 29, 0, 0, 0, 0, 181, 51, 0, 0, 2, 55, 41, 73, 29, 0, 0, 0,
    0, 181, 51, 0, 0, 2, 56, 41, 74, 29, 0, 0, 0, 0, 181, 51, 0, 0, 2, 57, 41, 75, 29, 0, 0, 0, 0,
    234, 4, 0, 0, 2, 58, 41, 76, 29, 0, 0, 0, 0, 157, 3, 1, 0, 2, 59, 41, 80, 29, 0, 0, 0, 0, 152,
    21, 0, 0, 2, 60, 41, 88, 29, 0, 0, 0, 0, 57, 5, 1, 0, 2, 61, 41, 104, 29, 0, 0, 0, 0, 233, 21,
    0, 0, 2, 62, 41, 112, 29, 0, 0, 0, 0, 144, 5, 1, 0, 2, 63, 41, 120, 29, 0, 0, 0, 0, 26, 1, 0,
    0, 2, 64, 41, 128, 29, 0, 0, 0, 0, 149, 5, 1, 0, 2, 65, 41, 136, 29, 0, 0, 0, 0, 177, 66, 0, 0,
    2, 66, 41, 144, 29, 0, 0, 0, 0, 190, 4, 1, 0, 2, 67, 41, 152, 31, 0, 0, 0, 0, 157, 20, 1, 0, 2,
    68, 41, 112, 1, 31, 0, 0, 0, 0, 216, 20, 1, 0, 2, 69, 41, 120, 1, 31, 0, 0, 0, 0, 61, 255, 0,
    0, 2, 70, 41, 128, 1, 31, 0, 0, 0, 0, 177, 106, 0, 0, 2, 71, 41, 136, 1, 31, 0, 0, 0, 0, 109,
    22, 0, 0, 2, 72, 41, 144, 1, 31, 0, 0, 0, 0, 221, 20, 1, 0, 2, 73, 41, 152, 1, 31, 0, 0, 0, 0,
    73, 21, 0, 0, 2, 74, 41, 168, 1, 31, 0, 0, 0, 0, 26, 1, 0, 0, 2, 75, 41, 184, 1, 31, 0, 0, 0,
    0, 233, 20, 1, 0, 2, 76, 41, 192, 1, 31, 0, 0, 0, 0, 116, 20, 1, 0, 2, 77, 41, 200, 1, 31, 0,
    0, 0, 0, 143, 37, 1, 0, 2, 78, 41, 208, 1, 31, 0, 0, 0, 0, 184, 37, 1, 0, 2, 79, 41, 216, 1,
    31, 0, 0, 0, 0, 225, 37, 1, 0, 2, 80, 41, 224, 1, 31, 0, 0, 0, 0, 230, 37, 1, 0, 2, 81, 41,
    232, 1, 31, 0, 0, 0, 0, 177, 66, 0, 0, 2, 82, 41, 240, 1, 31, 0, 0, 0, 0, 177, 66, 0, 0, 2, 83,
    41, 244, 1, 31, 0, 0, 0, 0, 177, 66, 0, 0, 2, 84, 41, 248, 1, 31, 0, 0, 0, 0, 177, 66, 0, 0, 2,
    85, 41, 252, 1, 31, 0, 0, 0, 0, 235, 37, 1, 0, 2, 86, 41, 0, 2, 31, 0, 0, 0, 0, 33, 38, 1, 0,
    2, 87, 41, 8, 2, 33, 65, 3, 1, 0, 2, 88, 41, 16, 2, 34, 32, 2, 88, 41, 29, 0, 0, 0, 0, 117,
    158, 0, 0, 2, 89, 41, 0, 29, 0, 0, 0, 0, 28, 22, 0, 0, 2, 90, 41, 0, 0, 0, 9, 103, 3, 1, 0, 37,
    108, 3, 1, 0, 35, 0, 0, 0, 0, 12, 2, 38, 43, 29, 0, 0, 0, 0, 177, 66, 0, 0, 2, 39, 43, 0, 29,
    0, 0, 0, 0, 58, 4, 0, 0, 2, 40, 43, 4, 29, 0, 0, 0, 0, 177, 66, 0, 0, 2, 41, 43, 8, 0, 9, 162,
    3, 1, 0, 28, 0, 0, 0, 0, 120, 1, 2, 2, 43, 29, 0, 0, 0, 0, 152, 21, 0, 0, 2, 3, 43, 0, 29, 0,
    0, 0, 0, 128, 104, 0, 0, 2, 4, 43, 16, 29, 0, 0, 0, 0, 254, 62, 0, 0, 2, 5, 43, 48, 29, 0, 0,
    0, 0, 109, 22, 0, 0, 2, 6, 43, 56, 29, 0, 0, 0, 0, 237, 3, 1, 0, 2, 11, 43, 64, 30, 32, 2, 7,
    43, 29, 0, 0, 0, 0, 105, 4, 1, 0, 2, 8, 43, 0, 29, 0, 0, 0, 0, 26, 1, 0, 0, 2, 9, 43, 16, 29,
    0, 0, 0, 0, 181, 51, 0, 0, 2, 10, 43, 24, 0, 29, 0, 0, 0, 0, 61, 255, 0, 0, 2, 12, 43, 96, 29,
    0, 0, 0, 0, 166, 4, 1, 0, 2, 13, 43, 104, 29, 0, 0, 0, 0, 178, 4, 1, 0, 2, 14, 43, 128, 29, 0,
    0, 0, 0, 26, 1, 0, 0, 2, 15, 43, 144, 29, 0, 0, 0, 0, 109, 22, 0, 0, 2, 16, 43, 152, 29, 0, 0,
    0, 0, 190, 4, 1, 0, 2, 17, 43, 160, 0, 35, 0, 0, 0, 0, 14, 2, 252, 42, 29, 0, 0, 0, 0, 218, 67,
    0, 0, 2, 253, 42, 0, 29, 0, 0, 0, 0, 218, 67, 0, 0, 2, 254, 42, 1, 29, 0, 0, 0, 0, 154, 4, 1,
    0, 2, 255, 42, 2, 0, 3, 218, 67, 0, 0, 4, 82, 0, 0, 0, 12, 0, 3, 90, 101, 0, 0, 4, 82, 0, 0, 0,
    3, 0, 3, 168, 0, 0, 0, 4, 82, 0, 0, 0, 3, 0, 35, 0, 0, 0, 0, 216, 2, 15, 41, 29, 0, 0, 0, 0,
    90, 22, 0, 0, 2, 16, 41, 0, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 17, 41, 8, 29, 0, 0, 0, 0, 143,
    192, 0, 0, 2, 18, 41, 16, 29, 0, 0, 0, 0, 195, 21, 0, 0, 2, 19, 41, 144, 29, 0, 0, 0, 0, 22, 5,
    1, 0, 2, 20, 41, 160, 29, 0, 0, 0, 0, 181, 51, 0, 0, 2, 21, 41, 208, 0, 35, 0, 0, 0, 0, 48, 2,
    77, 20, 29, 0, 0, 0, 0, 45, 5, 1, 0, 2, 78, 20, 0, 0, 3, 229, 39, 0, 0, 4, 82, 0, 0, 0, 2, 0,
    9, 62, 5, 1, 0, 37, 67, 5, 1, 0, 35, 0, 0, 0, 0, 12, 2, 254, 40, 29, 0, 0, 0, 0, 27, 1, 0, 0,
    2, 255, 40, 0, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 0, 41, 4, 44, 111, 5, 1, 0, 2, 1, 41, 8, 34, 4,
    2, 1, 41, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 2, 41, 0, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 3, 41, 0,
    0, 0, 9, 61, 255, 0, 0, 9, 154, 5, 1, 0, 35, 0, 0, 0, 0, 32, 2, 25, 43, 29, 0, 0, 0, 0, 26, 1,
    0, 0, 2, 26, 43, 0, 44, 185, 5, 1, 0, 2, 27, 43, 8, 34, 16, 2, 27, 43, 29, 0, 0, 0, 0, 203, 5,
    1, 0, 2, 31, 43, 0, 30, 16, 2, 28, 43, 29, 0, 0, 0, 0, 20, 6, 1, 0, 2, 29, 43, 0, 29, 0, 0, 0,
    0, 177, 66, 0, 0, 2, 30, 43, 8, 0, 0, 29, 0, 0, 0, 0, 181, 51, 0, 0, 2, 33, 43, 24, 29, 0, 0,
    0, 0, 218, 67, 0, 0, 2, 34, 43, 25, 29, 0, 0, 0, 0, 229, 67, 0, 0, 2, 35, 43, 26, 0, 9, 25, 6,
    1, 0, 28, 0, 0, 0, 0, 0, 1, 2, 192, 40, 29, 0, 0, 0, 0, 92, 7, 1, 0, 2, 193, 40, 0, 29, 0, 0,
    0, 0, 20, 6, 1, 0, 2, 194, 40, 8, 29, 0, 0, 0, 0, 26, 1, 0, 0, 2, 195, 40, 16, 29, 0, 0, 0, 0,
    22, 5, 0, 0, 2, 196, 40, 24, 29, 0, 0, 0, 0, 177, 66, 0, 0, 2, 197, 40, 28, 29, 0, 0, 0, 0,
    177, 66, 0, 0, 2, 198, 40, 32, 29, 0, 0, 0, 0, 177, 66, 0, 0, 2, 199, 40, 36, 29, 0, 0, 0, 0,
    177, 66, 0, 0, 2, 200, 40, 40, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 201, 40, 44, 29, 0, 0, 0, 0,
    177, 66, 0, 0, 2, 202, 40, 48, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 203, 40, 52, 29, 0, 0, 0, 0,
    177, 66, 0, 0, 2, 204, 40, 56, 29, 0, 0, 0, 0, 177, 66, 0, 0, 2, 205, 40, 60, 29, 0, 0, 0, 0,
    116, 20, 1, 0, 2, 206, 40, 64, 29, 0, 0, 0, 0, 121, 20, 1, 0, 2, 207, 40, 72, 29, 0, 0, 0, 0,
    73, 21, 0, 0, 2, 208, 40, 88, 29, 0, 0, 0, 0, 177, 66, 0, 0, 2, 209, 40, 104, 29, 0, 0, 0, 0,
    181, 51, 0, 0, 2, 210, 40, 108, 29, 0, 0, 0, 0, 181, 51, 0, 0, 2, 211, 40, 109, 29, 0, 0, 0, 0,
    185, 23, 0, 0, 2, 215, 40, 128, 29, 0, 0, 0, 0, 185, 23, 0, 0, 2, 216, 40, 136, 29, 0, 0, 0, 0,
    117, 158, 0, 0, 2, 217, 40, 144, 29, 0, 0, 0, 0, 128, 104, 0, 0, 2, 218, 40, 176, 29, 0, 0, 0,
    0, 109, 22, 0, 0, 2, 219, 40, 208, 0, 9, 97, 7, 1, 0, 37, 102, 7, 1, 0, 28, 0, 0, 0, 0, 8, 1,
    2, 151, 40, 29, 0, 0, 0, 0, 31, 9, 1, 0, 2, 152, 40, 0, 29, 0, 0, 0, 0, 111, 16, 1, 0, 2, 153,
    40, 8, 29, 0, 0, 0, 0, 127, 16, 1, 0, 2, 154, 40, 16, 29, 0, 0, 0, 0, 144, 16, 1, 0, 2, 155,
    40, 24, 29, 0, 0, 0, 0, 156, 16, 1, 0, 2, 156, 40, 32, 29, 0, 0, 0, 0, 144, 16, 1, 0, 2, 157,
    40, 40, 29, 0, 0, 0, 0, 182, 16, 1, 0, 2, 158, 40, 48, 29, 0, 0, 0, 0, 203, 16, 1, 0, 2, 159,
    40, 56, 29, 0, 0, 0, 0, 203, 16, 1, 0, 2, 160, 40, 64, 29, 0, 0, 0, 0, 203, 16, 1, 0, 2, 161,
    40, 72, 29, 0, 0, 0, 0, 203, 16, 1, 0, 2, 162, 40, 80, 29, 0, 0, 0, 0, 182, 16, 1, 0, 2, 163,
    40, 88, 29, 0, 0, 0, 0, 239, 16, 1, 0, 2, 164, 40, 96, 29, 0, 0, 0, 0, 14, 17, 1, 0, 2, 165,
    40, 104, 29, 0, 0, 0, 0, 35, 17, 1, 0, 2, 166, 40, 112, 29, 0, 0, 0, 0, 14, 17, 1, 0, 2, 167,
    40, 120, 29, 0, 0, 0, 0, 14, 17, 1, 0, 2, 168, 40, 128, 29, 0, 0, 0, 0, 61, 17, 1, 0, 2, 169,
    40, 136, 29, 0, 0, 0, 0, 170, 136, 0, 0, 2, 170, 40, 144, 29, 0, 0, 0, 0, 87, 17, 1, 0, 2, 171,
    40, 152, 29, 0, 0, 0, 0, 136, 243, 0, 0, 2, 172, 40, 160, 29, 0, 0, 0, 0, 194, 17, 1, 0, 2,
    173, 40, 168, 29, 0, 0, 0, 0, 216, 17, 1, 0, 2, 174, 40, 176, 29, 0, 0, 0, 0, 58, 19, 1, 0, 2,
    175, 40, 184, 29, 0, 0, 0, 0, 79, 19, 1, 0, 2, 176, 40, 192, 29, 0, 0, 0, 0, 96, 19, 1, 0, 2,
    177, 40, 200, 29, 0, 0, 0, 0, 123, 19, 1, 0, 2, 178, 40, 208, 29, 0, 0, 0, 0, 149, 19, 1, 0, 2,
    179, 40, 216, 29, 0, 0, 0, 0, 175, 19, 1, 0, 2, 180, 40, 224, 29, 0, 0, 0, 0, 196, 19, 1, 0, 2,
    181, 40, 232, 29, 0, 0, 0, 0, 222, 19, 1, 0, 2, 182, 40, 240, 29, 0, 0, 0, 0, 176, 51, 0, 0, 2,
    183, 40, 248, 31, 0, 0, 0, 0, 227, 19, 1, 0, 2, 184, 40, 0, 1, 0, 9, 36, 9, 1, 0, 14, 168, 0,
    0, 0, 15, 47, 9, 1, 0, 0, 9, 52, 9, 1, 0, 52, 0, 0, 0, 0, 120, 2, 211, 39, 44, 70, 9, 1, 0, 2,
    212, 39, 0, 30, 64, 2, 212, 39, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 213, 39, 0, 29, 0, 0, 0, 0, 27,
    1, 0, 0, 2, 214, 39, 4, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 215, 39, 8, 29, 0, 0, 0, 0, 27, 1, 0,
    0, 2, 216, 39, 12, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 217, 39, 16, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2,
    218, 39, 20, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 219, 39, 24, 29, 0, 0, 0, 0, 73, 21, 0, 0, 2, 220,
    39, 28, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 221, 39, 44, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 222, 39,
    48, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 223, 39, 52, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 224, 39, 56,
    29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 225, 39, 60, 0, 44, 254, 9, 1, 0, 2, 227, 39, 0, 30, 32, 2,
    227, 39, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 228, 39, 0, 29, 0, 0, 0, 0, 197, 0, 0, 0, 2, 229, 39,
    8, 44, 38, 10, 1, 0, 2, 230, 39, 16, 34, 8, 2, 230, 39, 29, 0, 0, 0, 0, 197, 0, 0, 0, 2, 231,
    39, 0, 29, 0, 0, 0, 0, 197, 0, 0, 0, 2, 232, 39, 0, 0, 29, 0, 0, 0, 0, 197, 0, 0, 0, 2, 234,
    39, 24, 0, 29, 0, 0, 0, 0, 97, 10, 1, 0, 2, 245, 39, 0, 30, 56, 2, 236, 39, 29, 0, 0, 0, 0,
    197, 0, 0, 0, 2, 237, 39, 0, 29, 0, 0, 0, 0, 197, 0, 0, 0, 2, 238, 39, 8, 29, 0, 0, 0, 0, 197,
    0, 0, 0, 2, 239, 39, 16, 29, 0, 0, 0, 0, 197, 0, 0, 0, 2, 240, 39, 24, 29, 0, 0, 0, 0, 27, 1,
    0, 0, 2, 241, 39, 32, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 242, 39, 36, 29, 0, 0, 0, 0, 197, 0, 0,
    0, 2, 243, 39, 40, 29, 0, 0, 0, 0, 197, 0, 0, 0, 2, 244, 39, 48, 0, 44, 216, 10, 1, 0, 2, 246,
    39, 0, 30, 120, 2, 246, 39, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 247, 39, 0, 29, 0, 0, 0, 0, 27, 1,
    0, 0, 2, 248, 39, 4, 29, 0, 0, 0, 0, 197, 0, 0, 0, 2, 249, 39, 8, 29, 0, 0, 0, 0, 197, 0, 0, 0,
    2, 250, 39, 16, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 251, 39, 24, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2,
    252, 39, 28, 29, 0, 0, 0, 0, 197, 0, 0, 0, 2, 253, 39, 32, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 254,
    39, 40, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 255, 39, 44, 29, 0, 0, 0, 0, 73, 21, 0, 0, 2, 0, 40,
    48, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 1, 40, 64, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 2, 40, 68, 29,
    0, 0, 0, 0, 27, 1, 0, 0, 2, 3, 40, 72, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 4, 40, 76, 29, 0, 0, 0,
    0, 197, 0, 0, 0, 2, 5, 40, 80, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 6, 40, 88, 29, 0, 0, 0, 0, 27,
    1, 0, 0, 2, 7, 40, 92, 29, 0, 0, 0, 0, 197, 0, 0, 0, 2, 8, 40, 96, 29, 0, 0, 0, 0, 27, 1, 0, 0,
    2, 9, 40, 104, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 10, 40, 108, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 11,
    40, 112, 0, 44, 248, 11, 1, 0, 2, 13, 40, 0, 30, 16, 2, 13, 40, 29, 0, 0, 0, 0, 197, 0, 0, 0,
    2, 14, 40, 0, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 15, 40, 8, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 16,
    40, 12, 0, 44, 46, 12, 1, 0, 2, 18, 40, 0, 30, 20, 2, 18, 40, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2,
    19, 40, 0, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 20, 40, 4, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 21, 40,
    8, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 22, 40, 12, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 23, 40, 16, 0,
    29, 0, 0, 0, 0, 130, 12, 1, 0, 2, 38, 40, 0, 30, 64, 2, 25, 40, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2,
    26, 40, 0, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 27, 40, 4, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 28, 40,
    8, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 29, 40, 12, 29, 0, 0, 0, 0, 197, 0, 0, 0, 2, 30, 40, 16, 29,
    0, 0, 0, 0, 197, 0, 0, 0, 2, 31, 40, 24, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 32, 40, 32, 29, 0, 0,
    0, 0, 27, 1, 0, 0, 2, 33, 40, 36, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 34, 40, 40, 29, 0, 0, 0, 0,
    27, 1, 0, 0, 2, 35, 40, 44, 29, 0, 0, 0, 0, 197, 0, 0, 0, 2, 36, 40, 48, 29, 0, 0, 0, 0, 197,
    0, 0, 0, 2, 37, 40, 56, 0, 44, 45, 13, 1, 0, 2, 39, 40, 0, 30, 12, 2, 39, 40, 44, 59, 13, 1, 0,
    2, 40, 40, 0, 34, 4, 2, 40, 40, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 41, 40, 0, 29, 0, 0, 0, 0, 27,
    1, 0, 0, 2, 42, 40, 0, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 43, 40, 0, 29, 0, 0, 0, 0, 27, 1, 0, 0,
    2, 44, 40, 0, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 45, 40, 0, 0, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 47,
    40, 4, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 48, 40, 8, 0, 29, 0, 0, 0, 0, 170, 13, 1, 0, 2, 54, 40,
    0, 30, 16, 2, 50, 40, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 51, 40, 0, 29, 0, 0, 0, 0, 27, 1, 0, 0,
    2, 52, 40, 4, 29, 0, 0, 0, 0, 197, 0, 0, 0, 2, 53, 40, 8, 0, 29, 0, 0, 0, 0, 228, 13, 1, 0, 2,
    62, 40, 0, 30, 32, 2, 55, 40, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 56, 40, 0, 29, 0, 0, 0, 0, 27, 1,
    0, 0, 2, 57, 40, 4, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 58, 40, 8, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2,
    59, 40, 12, 29, 0, 0, 0, 0, 197, 0, 0, 0, 2, 60, 40, 16, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 61,
    40, 24, 0, 29, 0, 0, 0, 0, 69, 14, 1, 0, 2, 66, 40, 0, 30, 16, 2, 63, 40, 29, 0, 0, 0, 0, 197,
    0, 0, 0, 2, 64, 40, 0, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 65, 40, 8, 0, 44, 110, 14, 1, 0, 2, 67,
    40, 0, 30, 32, 2, 67, 40, 29, 0, 0, 0, 0, 197, 0, 0, 0, 2, 68, 40, 0, 29, 0, 0, 0, 0, 197, 0,
    0, 0, 2, 69, 40, 8, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 70, 40, 16, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2,
    71, 40, 20, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 72, 40, 24, 0, 29, 0, 0, 0, 0, 194, 14, 1, 0, 2,
    84, 40, 0, 30, 48, 2, 74, 40, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 75, 40, 0, 29, 0, 0, 0, 0, 27, 1,
    0, 0, 2, 76, 40, 4, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 77, 40, 8, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2,
    78, 40, 12, 29, 0, 0, 0, 0, 197, 0, 0, 0, 2, 79, 40, 16, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 80,
    40, 24, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 81, 40, 28, 29, 0, 0, 0, 0, 197, 0, 0, 0, 2, 82, 40,
    32, 29, 0, 0, 0, 0, 197, 0, 0, 0, 2, 83, 40, 40, 0, 29, 0, 0, 0, 0, 74, 15, 1, 0, 2, 95, 40, 0,
    30, 32, 2, 85, 40, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 86, 40, 0, 44, 101, 15, 1, 0, 2, 87, 40, 4,
    34, 4, 2, 87, 40, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 88, 40, 0, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2,
    89, 40, 0, 0, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 91, 40, 8, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 92,
    40, 12, 29, 0, 0, 0, 0, 197, 0, 0, 0, 2, 93, 40, 16, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 94, 40,
    24, 0, 29, 0, 0, 0, 0, 199, 15, 1, 0, 2, 101, 40, 0, 30, 16, 2, 96, 40, 29, 0, 0, 0, 0, 27, 1,
    0, 0, 2, 97, 40, 0, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 98, 40, 4, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2,
    99, 40, 8, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 100, 40, 12, 0, 29, 0, 0, 0, 0, 14, 16, 1, 0, 2,
    104, 40, 0, 30, 4, 2, 102, 40, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 103, 40, 0, 0, 29, 0, 0, 0, 0,
    46, 16, 1, 0, 2, 107, 40, 0, 30, 4, 2, 105, 40, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 106, 40, 0, 0,
    29, 0, 0, 0, 0, 78, 16, 1, 0, 2, 111, 40, 0, 30, 8, 2, 108, 40, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2,
    109, 40, 0, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 110, 40, 4, 0, 0, 9, 116, 16, 1, 0, 14, 20, 6, 1,
    0, 15, 47, 9, 1, 0, 0, 9, 132, 16, 1, 0, 38, 15, 20, 6, 1, 0, 15, 61, 78, 0, 0, 0, 9, 149, 16,
    1, 0, 38, 15, 20, 6, 1, 0, 0, 9, 161, 16, 1, 0, 14, 168, 0, 0, 0, 15, 20, 6, 1, 0, 15, 26, 1,
    0, 0, 15, 26, 1, 0, 0, 0, 9, 187, 16, 1, 0, 14, 26, 1, 0, 0, 15, 20, 6, 1, 0, 15, 26, 1, 0, 0,
    0, 9, 208, 16, 1, 0, 14, 168, 0, 0, 0, 15, 20, 6, 1, 0, 15, 229, 16, 1, 0, 15, 47, 9, 1, 0, 0,
    9, 234, 16, 1, 0, 37, 52, 9, 1, 0, 9, 244, 16, 1, 0, 14, 168, 0, 0, 0, 15, 20, 6, 1, 0, 15, 26,
    1, 0, 0, 15, 26, 1, 0, 0, 15, 109, 22, 0, 0, 0, 9, 19, 17, 1, 0, 14, 168, 0, 0, 0, 15, 20, 6,
    1, 0, 15, 26, 1, 0, 0, 0, 9, 40, 17, 1, 0, 14, 168, 0, 0, 0, 15, 20, 6, 1, 0, 15, 26, 1, 0, 0,
    15, 109, 22, 0, 0, 0, 9, 66, 17, 1, 0, 14, 26, 1, 0, 0, 15, 20, 6, 1, 0, 15, 61, 78, 0, 0, 15,
    168, 0, 0, 0, 0, 9, 92, 17, 1, 0, 14, 177, 66, 0, 0, 15, 20, 6, 1, 0, 15, 108, 17, 1, 0, 0, 9,
    113, 17, 1, 0, 35, 0, 0, 0, 0, 8, 2, 96, 39, 29, 0, 0, 0, 0, 158, 26, 0, 0, 2, 97, 39, 0, 45,
    0, 0, 0, 0, 158, 26, 0, 0, 2, 98, 39, 1, 4, 4, 1, 45, 0, 0, 0, 0, 158, 26, 0, 0, 2, 99, 39, 1,
    4, 0, 1, 29, 0, 0, 0, 0, 248, 26, 0, 0, 2, 100, 39, 2, 29, 0, 0, 0, 0, 147, 26, 0, 0, 2, 101,
    39, 4, 0, 9, 199, 17, 1, 0, 38, 15, 20, 6, 1, 0, 15, 26, 1, 0, 0, 15, 199, 111, 0, 0, 0, 9,
    221, 17, 1, 0, 14, 168, 0, 0, 0, 15, 247, 17, 1, 0, 15, 1, 18, 1, 0, 15, 57, 5, 1, 0, 15, 57,
    5, 1, 0, 0, 9, 252, 17, 1, 0, 37, 25, 6, 1, 0, 9, 6, 18, 1, 0, 37, 11, 18, 1, 0, 35, 0, 0, 0,
    0, 112, 2, 238, 40, 29, 0, 0, 0, 0, 26, 1, 0, 0, 2, 239, 40, 0, 29, 0, 0, 0, 0, 190, 18, 1, 0,
    2, 240, 40, 8, 29, 0, 0, 0, 0, 132, 223, 0, 0, 2, 241, 40, 16, 29, 0, 0, 0, 0, 132, 223, 0, 0,
    2, 242, 40, 24, 29, 0, 0, 0, 0, 233, 21, 0, 0, 2, 243, 40, 32, 29, 0, 0, 0, 0, 26, 1, 0, 0, 2,
    244, 40, 40, 29, 0, 0, 0, 0, 200, 18, 1, 0, 2, 245, 40, 48, 29, 0, 0, 0, 0, 177, 66, 0, 0, 2,
    246, 40, 72, 29, 0, 0, 0, 0, 177, 66, 0, 0, 2, 247, 40, 76, 29, 0, 0, 0, 0, 177, 66, 0, 0, 2,
    248, 40, 80, 29, 0, 0, 0, 0, 254, 62, 0, 0, 2, 249, 40, 84, 29, 0, 0, 0, 0, 177, 66, 0, 0, 2,
    250, 40, 88, 29, 0, 0, 0, 0, 28, 22, 0, 0, 2, 251, 40, 96, 0, 9, 195, 18, 1, 0, 9, 67, 5, 1, 0,
    35, 0, 0, 0, 0, 24, 2, 227, 40, 29, 0, 0, 0, 0, 225, 24, 0, 0, 2, 228, 40, 0, 29, 0, 0, 0, 0,
    158, 26, 0, 0, 2, 229, 40, 2, 29, 0, 0, 0, 0, 158, 26, 0, 0, 2, 230, 40, 3, 29, 0, 0, 0, 0, 27,
    1, 0, 0, 2, 231, 40, 4, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 232, 40, 8, 29, 0, 0, 0, 0, 27, 1, 0,
    0, 2, 233, 40, 12, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 234, 40, 16, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2,
    235, 40, 20, 0, 9, 63, 19, 1, 0, 14, 168, 0, 0, 0, 15, 20, 6, 1, 0, 15, 151, 0, 1, 0, 0, 9, 84,
    19, 1, 0, 38, 15, 20, 6, 1, 0, 15, 151, 0, 1, 0, 0, 9, 101, 19, 1, 0, 38, 15, 20, 6, 1, 0, 15,
    177, 66, 0, 0, 15, 61, 255, 0, 0, 15, 61, 255, 0, 0, 0, 9, 128, 19, 1, 0, 14, 168, 0, 0, 0, 15,
    247, 17, 1, 0, 15, 157, 252, 0, 0, 15, 177, 66, 0, 0, 0, 9, 154, 19, 1, 0, 14, 168, 0, 0, 0,
    15, 247, 17, 1, 0, 15, 109, 22, 0, 0, 15, 132, 223, 0, 0, 0, 9, 180, 19, 1, 0, 14, 168, 0, 0,
    0, 15, 20, 6, 1, 0, 15, 66, 90, 0, 0, 0, 9, 201, 19, 1, 0, 14, 227, 154, 0, 0, 15, 20, 6, 1, 0,
    15, 61, 78, 0, 0, 15, 238, 154, 0, 0, 0, 37, 233, 21, 0, 0, 9, 232, 19, 1, 0, 37, 237, 19, 1,
    0, 35, 0, 0, 0, 0, 32, 2, 138, 40, 29, 0, 0, 0, 0, 114, 112, 0, 0, 2, 139, 40, 0, 29, 0, 0, 0,
    0, 43, 20, 1, 0, 2, 140, 40, 8, 29, 0, 0, 0, 0, 104, 20, 1, 0, 2, 141, 40, 16, 29, 0, 0, 0, 0,
    177, 66, 0, 0, 2, 142, 40, 24, 0, 39, 55, 20, 1, 0, 0, 0, 0, 0, 2, 128, 40, 9, 60, 20, 1, 0,
    14, 168, 0, 0, 0, 15, 26, 1, 0, 0, 15, 76, 20, 1, 0, 0, 9, 81, 20, 1, 0, 35, 0, 0, 0, 0, 8, 2,
    132, 40, 29, 0, 0, 0, 0, 20, 6, 1, 0, 2, 133, 40, 0, 0, 39, 170, 136, 0, 0, 0, 0, 0, 0, 2, 136,
    40, 9, 11, 18, 1, 0, 35, 0, 0, 0, 0, 16, 2, 187, 40, 29, 0, 0, 0, 0, 177, 66, 0, 0, 2, 188, 40,
    0, 29, 0, 0, 0, 0, 177, 106, 0, 0, 2, 189, 40, 8, 0, 9, 162, 20, 1, 0, 37, 167, 20, 1, 0, 35,
    0, 0, 0, 0, 8, 2, 228, 42, 29, 0, 0, 0, 0, 190, 20, 1, 0, 2, 229, 42, 0, 0, 9, 195, 20, 1, 0,
    14, 168, 0, 0, 0, 15, 61, 255, 0, 0, 15, 229, 16, 1, 0, 15, 47, 9, 1, 0, 0, 9, 20, 6, 1, 0, 3,
    20, 6, 1, 0, 4, 82, 0, 0, 0, 2, 0, 9, 238, 20, 1, 0, 35, 0, 0, 0, 0, 72, 2, 234, 42, 29, 0, 0,
    0, 0, 61, 255, 0, 0, 2, 235, 42, 0, 29, 0, 0, 0, 0, 162, 12, 0, 0, 2, 236, 42, 8, 29, 0, 0, 0,
    0, 109, 21, 1, 0, 2, 237, 42, 16, 29, 0, 0, 0, 0, 26, 1, 0, 0, 2, 238, 42, 24, 29, 0, 0, 0, 0,
    195, 21, 0, 0, 2, 239, 42, 32, 29, 0, 0, 0, 0, 181, 51, 0, 0, 2, 240, 42, 48, 29, 0, 0, 0, 0,
    181, 51, 0, 0, 2, 241, 42, 49, 29, 0, 0, 0, 0, 26, 1, 0, 0, 2, 242, 42, 56, 29, 0, 0, 0, 0,
    177, 66, 0, 0, 2, 243, 42, 64, 0, 9, 114, 21, 1, 0, 35, 0, 0, 0, 0, 32, 2, 198, 159, 29, 0, 0,
    0, 0, 163, 21, 1, 0, 2, 199, 159, 0, 29, 0, 0, 0, 0, 195, 21, 0, 0, 2, 200, 159, 8, 29, 0, 0,
    0, 0, 26, 1, 0, 0, 2, 201, 159, 24, 0, 9, 168, 21, 1, 0, 37, 173, 21, 1, 0, 35, 0, 0, 0, 0, 56,
    2, 188, 159, 29, 0, 0, 0, 0, 18, 22, 1, 0, 2, 189, 159, 0, 29, 0, 0, 0, 0, 47, 37, 1, 0, 2,
    190, 159, 8, 29, 0, 0, 0, 0, 63, 37, 1, 0, 2, 191, 159, 16, 29, 0, 0, 0, 0, 89, 37, 1, 0, 2,
    192, 159, 24, 29, 0, 0, 0, 0, 115, 37, 1, 0, 2, 193, 159, 32, 29, 0, 0, 0, 0, 115, 37, 1, 0, 2,
    194, 159, 40, 29, 0, 0, 0, 0, 131, 37, 1, 0, 2, 195, 159, 48, 0, 9, 23, 22, 1, 0, 14, 168, 0,
    0, 0, 15, 44, 22, 1, 0, 15, 168, 0, 0, 0, 15, 168, 0, 0, 0, 0, 9, 49, 22, 1, 0, 28, 0, 0, 0, 0,
    208, 18, 2, 187, 147, 29, 0, 0, 0, 0, 177, 66, 0, 0, 2, 188, 147, 0, 29, 0, 0, 0, 0, 177, 66,
    0, 0, 2, 189, 147, 4, 29, 0, 0, 0, 0, 61, 255, 0, 0, 2, 190, 147, 8, 29, 0, 0, 0, 0, 85, 24, 1,
    0, 2, 191, 147, 16, 29, 0, 0, 0, 0, 198, 31, 1, 0, 2, 192, 147, 24, 29, 0, 0, 0, 0, 168, 0, 0,
    0, 2, 193, 147, 32, 29, 0, 0, 0, 0, 181, 51, 0, 0, 2, 194, 147, 36, 29, 0, 0, 0, 0, 181, 51, 0,
    0, 2, 195, 147, 37, 29, 0, 0, 0, 0, 55, 35, 1, 0, 2, 196, 147, 40, 29, 0, 0, 0, 0, 101, 35, 1,
    0, 2, 197, 147, 48, 29, 0, 0, 0, 0, 106, 35, 1, 0, 2, 198, 147, 56, 29, 0, 0, 0, 0, 173, 35, 1,
    0, 2, 199, 147, 64, 31, 0, 0, 0, 0, 177, 66, 0, 0, 2, 200, 147, 64, 2, 31, 0, 0, 0, 0, 177, 66,
    0, 0, 2, 201, 147, 68, 2, 31, 0, 0, 0, 0, 181, 51, 0, 0, 2, 202, 147, 72, 2, 31, 0, 0, 0, 0,
    181, 51, 0, 0, 2, 203, 147, 73, 2, 31, 0, 0, 0, 0, 181, 51, 0, 0, 2, 204, 147, 74, 2, 31, 0, 0,
    0, 0, 181, 51, 0, 0, 2, 205, 147, 75, 2, 31, 0, 0, 0, 0, 181, 51, 0, 0, 2, 206, 147, 76, 2, 31,
    0, 0, 0, 0, 181, 51, 0, 0, 2, 207, 147, 77, 2, 31, 0, 0, 0, 0, 185, 35, 1, 0, 2, 208, 147, 80,
    2, 31, 0, 0, 0, 0, 156, 36, 1, 0, 2, 209, 147, 88, 2, 31, 0, 0, 0, 0, 228, 30, 1, 0, 2, 210,
    147, 96, 2, 31, 0, 0, 0, 0, 228, 36, 1, 0, 2, 211, 147, 120, 6, 31, 0, 0, 0, 0, 141, 23, 1, 0,
    2, 216, 147, 136, 18, 30, 24, 2, 212, 147, 29, 0, 0, 0, 0, 176, 51, 0, 0, 2, 213, 147, 0, 29,
    0, 0, 0, 0, 176, 51, 0, 0, 2, 214, 147, 8, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 215, 147, 16, 0,
    31, 0, 0, 0, 0, 177, 66, 0, 0, 2, 217, 147, 160, 18, 31, 0, 0, 0, 0, 177, 66, 0, 0, 2, 218,
    147, 164, 18, 31, 0, 0, 0, 0, 177, 66, 0, 0, 2, 219, 147, 168, 18, 31, 0, 0, 0, 0, 177, 66, 0,
    0, 2, 220, 147, 172, 18, 31, 0, 0, 0, 0, 177, 66, 0, 0, 2, 221, 147, 176, 18, 31, 0, 0, 0, 0,
    177, 66, 0, 0, 2, 222, 147, 180, 18, 31, 0, 0, 0, 0, 109, 22, 0, 0, 2, 223, 147, 184, 18, 31,
    0, 0, 0, 0, 177, 66, 0, 0, 2, 224, 147, 192, 18, 31, 0, 0, 0, 0, 177, 66, 0, 0, 2, 225, 147,
    196, 18, 31, 0, 0, 0, 0, 177, 66, 0, 0, 2, 226, 147, 200, 18, 31, 0, 0, 0, 0, 177, 66, 0, 0, 2,
    227, 147, 204, 18, 0, 9, 90, 24, 1, 0, 37, 95, 24, 1, 0, 35, 0, 0, 0, 0, 48, 2, 229, 143, 29,
    0, 0, 0, 0, 183, 24, 1, 0, 2, 230, 143, 0, 29, 0, 0, 0, 0, 79, 30, 1, 0, 2, 231, 143, 8, 29, 0,
    0, 0, 0, 64, 31, 1, 0, 2, 232, 143, 16, 29, 0, 0, 0, 0, 90, 31, 1, 0, 2, 233, 143, 24, 29, 0,
    0, 0, 0, 121, 31, 1, 0, 2, 234, 143, 32, 29, 0, 0, 0, 0, 157, 31, 1, 0, 2, 235, 143, 40, 0, 9,
    188, 24, 1, 0, 14, 204, 24, 1, 0, 15, 206, 26, 1, 0, 15, 69, 30, 1, 0, 0, 9, 209, 24, 1, 0, 37,
    214, 24, 1, 0, 35, 0, 0, 0, 0, 64, 2, 193, 143, 29, 0, 0, 0, 0, 167, 25, 1, 0, 2, 194, 143, 0,
    29, 0, 0, 0, 0, 181, 51, 0, 0, 2, 195, 143, 8, 29, 0, 0, 0, 0, 181, 51, 0, 0, 2, 196, 143, 9,
    29, 0, 0, 0, 0, 203, 25, 1, 0, 2, 197, 143, 12, 44, 28, 25, 1, 0, 2, 198, 143, 16, 34, 20, 2,
    198, 143, 44, 42, 25, 1, 0, 2, 199, 143, 0, 30, 20, 2, 199, 143, 29, 0, 0, 0, 0, 15, 26, 1, 0,
    2, 200, 143, 0, 29, 0, 0, 0, 0, 15, 26, 1, 0, 2, 201, 143, 4, 29, 0, 0, 0, 0, 15, 26, 1, 0, 2,
    202, 143, 8, 29, 0, 0, 0, 0, 15, 26, 1, 0, 2, 203, 143, 12, 29, 0, 0, 0, 0, 15, 26, 1, 0, 2,
    204, 143, 16, 0, 29, 0, 0, 0, 0, 173, 26, 1, 0, 2, 206, 143, 0, 0, 29, 0, 0, 0, 0, 176, 51, 0,
    0, 2, 208, 143, 40, 29, 0, 0, 0, 0, 185, 26, 1, 0, 2, 209, 143, 48, 29, 0, 0, 0, 0, 176, 51, 0,
    0, 2, 210, 143, 56, 0, 9, 172, 25, 1, 0, 14, 109, 22, 0, 0, 15, 109, 22, 0, 0, 15, 109, 22, 0,
    0, 15, 109, 22, 0, 0, 15, 109, 22, 0, 0, 15, 109, 22, 0, 0, 0, 18, 38, 1, 0, 0, 0, 0, 0, 0, 4,
    2, 181, 143, 19, 0, 0, 0, 0, 0, 19, 0, 0, 0, 0, 1, 19, 0, 0, 0, 0, 2, 19, 0, 0, 0, 0, 3, 19, 0,
    0, 0, 0, 4, 19, 0, 0, 0, 0, 5, 19, 0, 0, 0, 0, 6, 19, 0, 0, 0, 0, 7, 19, 0, 0, 0, 0, 8, 0, 18,
    38, 1, 0, 0, 0, 0, 0, 0, 4, 2, 154, 143, 19, 0, 0, 0, 0, 0, 19, 0, 0, 0, 0, 1, 19, 0, 0, 0, 0,
    2, 19, 0, 0, 0, 0, 3, 19, 0, 0, 0, 0, 4, 19, 0, 0, 0, 0, 5, 19, 0, 0, 0, 0, 6, 19, 0, 0, 0, 0,
    7, 19, 0, 0, 0, 0, 8, 19, 0, 0, 0, 0, 9, 19, 0, 0, 0, 0, 10, 19, 0, 0, 0, 0, 11, 19, 0, 0, 0,
    0, 12, 19, 0, 0, 0, 0, 13, 19, 0, 0, 0, 0, 14, 19, 0, 0, 0, 0, 15, 19, 0, 0, 0, 0, 16, 19, 0,
    0, 0, 0, 17, 19, 0, 0, 0, 0, 18, 19, 0, 0, 0, 0, 19, 19, 0, 0, 0, 0, 20, 19, 0, 0, 0, 0, 21,
    19, 0, 0, 0, 0, 22, 19, 0, 0, 0, 0, 23, 0, 3, 15, 26, 1, 0, 4, 82, 0, 0, 0, 5, 0, 9, 190, 26,
    1, 0, 14, 181, 51, 0, 0, 15, 177, 66, 0, 0, 15, 177, 66, 0, 0, 0, 18, 38, 1, 0, 0, 0, 0, 0, 0,
    4, 2, 235, 142, 19, 0, 0, 0, 0, 0, 19, 0, 0, 0, 0, 1, 19, 0, 0, 0, 0, 2, 19, 0, 0, 0, 0, 3, 19,
    0, 0, 0, 0, 4, 19, 0, 0, 0, 0, 5, 19, 0, 0, 0, 0, 6, 19, 0, 0, 0, 0, 7, 19, 0, 0, 0, 0, 8, 19,
    0, 0, 0, 0, 9, 19, 0, 0, 0, 0, 10, 19, 0, 0, 0, 0, 11, 19, 0, 0, 0, 0, 12, 19, 0, 0, 0, 0, 13,
    19, 0, 0, 0, 0, 14, 19, 0, 0, 0, 0, 15, 19, 0, 0, 0, 0, 16, 19, 0, 0, 0, 0, 17, 19, 0, 0, 0, 0,
    18, 19, 0, 0, 0, 0, 19, 19, 0, 0, 0, 0, 20, 19, 0, 0, 0, 0, 21, 19, 0, 0, 0, 0, 22, 19, 0, 0,
    0, 0, 23, 19, 0, 0, 0, 0, 24, 19, 0, 0, 0, 0, 25, 19, 0, 0, 0, 0, 26, 19, 0, 0, 0, 0, 27, 19,
    0, 0, 0, 0, 28, 19, 0, 0, 0, 0, 29, 19, 0, 0, 0, 0, 30, 19, 0, 0, 0, 0, 31, 19, 0, 0, 0, 0, 32,
    19, 0, 0, 0, 0, 33, 19, 0, 0, 0, 0, 34, 19, 0, 0, 0, 0, 35, 19, 0, 0, 0, 0, 36, 19, 0, 0, 0, 0,
    37, 19, 0, 0, 0, 0, 38, 19, 0, 0, 0, 0, 39, 19, 0, 0, 0, 0, 40, 19, 0, 0, 0, 0, 41, 19, 0, 0,
    0, 0, 42, 19, 0, 0, 0, 0, 43, 19, 0, 0, 0, 0, 44, 19, 0, 0, 0, 0, 45, 19, 0, 0, 0, 0, 46, 19,
    0, 0, 0, 0, 47, 19, 0, 0, 0, 0, 48, 19, 0, 0, 0, 0, 49, 19, 0, 0, 0, 0, 50, 19, 0, 0, 0, 0, 51,
    19, 0, 0, 0, 0, 52, 19, 0, 0, 0, 0, 53, 19, 0, 0, 0, 0, 54, 19, 0, 0, 0, 0, 55, 19, 0, 0, 0, 0,
    56, 19, 0, 0, 0, 0, 57, 19, 0, 0, 0, 0, 58, 19, 0, 0, 0, 0, 59, 19, 0, 0, 0, 0, 60, 19, 0, 0,
    0, 0, 61, 19, 0, 0, 0, 0, 62, 19, 0, 0, 0, 0, 63, 19, 0, 0, 0, 0, 64, 19, 0, 0, 0, 0, 65, 19,
    0, 0, 0, 0, 66, 19, 0, 0, 0, 0, 67, 19, 0, 0, 0, 0, 68, 19, 0, 0, 0, 0, 69, 19, 0, 0, 0, 0, 70,
    19, 0, 0, 0, 0, 71, 19, 0, 0, 0, 0, 72, 19, 0, 0, 0, 0, 73, 19, 0, 0, 0, 0, 74, 19, 0, 0, 0, 0,
    75, 19, 0, 0, 0, 0, 76, 19, 0, 0, 0, 0, 77, 19, 0, 0, 0, 0, 78, 19, 0, 0, 0, 0, 79, 19, 0, 0,
    0, 0, 80, 19, 0, 0, 0, 0, 81, 19, 0, 0, 0, 0, 82, 19, 0, 0, 0, 0, 83, 19, 0, 0, 0, 0, 84, 19,
    0, 0, 0, 0, 85, 19, 0, 0, 0, 0, 86, 19, 0, 0, 0, 0, 87, 19, 0, 0, 0, 0, 88, 19, 0, 0, 0, 0, 89,
    19, 0, 0, 0, 0, 90, 19, 0, 0, 0, 0, 91, 19, 0, 0, 0, 0, 92, 19, 0, 0, 0, 0, 93, 19, 0, 0, 0, 0,
    94, 19, 0, 0, 0, 0, 95, 19, 0, 0, 0, 0, 96, 19, 0, 0, 0, 0, 97, 19, 0, 0, 0, 0, 98, 19, 0, 0,
    0, 0, 99, 19, 0, 0, 0, 0, 100, 19, 0, 0, 0, 0, 101, 19, 0, 0, 0, 0, 102, 19, 0, 0, 0, 0, 103,
    19, 0, 0, 0, 0, 104, 19, 0, 0, 0, 0, 105, 19, 0, 0, 0, 0, 106, 19, 0, 0, 0, 0, 107, 19, 0, 0,
    0, 0, 108, 19, 0, 0, 0, 0, 109, 19, 0, 0, 0, 0, 110, 19, 0, 0, 0, 0, 111, 19, 0, 0, 0, 0, 112,
    19, 0, 0, 0, 0, 113, 19, 0, 0, 0, 0, 114, 19, 0, 0, 0, 0, 115, 19, 0, 0, 0, 0, 116, 19, 0, 0,
    0, 0, 117, 19, 0, 0, 0, 0, 118, 19, 0, 0, 0, 0, 119, 19, 0, 0, 0, 0, 120, 19, 0, 0, 0, 0, 121,
    19, 0, 0, 0, 0, 122, 19, 0, 0, 0, 0, 123, 19, 0, 0, 0, 0, 124, 19, 0, 0, 0, 0, 125, 19, 0, 0,
    0, 0, 126, 19, 0, 0, 0, 0, 127, 19, 0, 0, 0, 0, 128, 1, 19, 0, 0, 0, 0, 129, 1, 19, 0, 0, 0, 0,
    130, 1, 19, 0, 0, 0, 0, 131, 1, 19, 0, 0, 0, 0, 132, 1, 19, 0, 0, 0, 0, 133, 1, 19, 0, 0, 0, 0,
    134, 1, 19, 0, 0, 0, 0, 135, 1, 19, 0, 0, 0, 0, 136, 1, 19, 0, 0, 0, 0, 137, 1, 19, 0, 0, 0, 0,
    138, 1, 19, 0, 0, 0, 0, 139, 1, 19, 0, 0, 0, 0, 140, 1, 19, 0, 0, 0, 0, 141, 1, 19, 0, 0, 0, 0,
    142, 1, 0, 9, 74, 30, 1, 0, 37, 66, 255, 0, 0, 9, 84, 30, 1, 0, 14, 181, 51, 0, 0, 15, 168, 0,
    0, 0, 15, 168, 0, 0, 0, 15, 115, 30, 1, 0, 15, 69, 30, 1, 0, 15, 141, 30, 1, 0, 0, 18, 38, 1,
    0, 0, 0, 0, 0, 0, 4, 2, 213, 143, 19, 0, 0, 0, 0, 1, 19, 0, 0, 0, 0, 2, 0, 9, 146, 30, 1, 0,
    35, 0, 0, 0, 0, 16, 2, 220, 143, 29, 0, 0, 0, 0, 58, 4, 0, 0, 2, 221, 143, 0, 44, 177, 30, 1,
    0, 2, 222, 143, 4, 34, 4, 2, 222, 143, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 223, 143, 0, 29, 0, 0,
    0, 0, 177, 66, 0, 0, 2, 224, 143, 0, 0, 29, 0, 0, 0, 0, 223, 30, 1, 0, 2, 226, 143, 8, 0, 9,
    228, 30, 1, 0, 28, 0, 0, 0, 0, 24, 4, 2, 164, 147, 29, 0, 0, 0, 0, 177, 66, 0, 0, 2, 165, 147,
    0, 29, 0, 0, 0, 0, 51, 31, 1, 0, 2, 166, 147, 4, 31, 0, 0, 0, 0, 154, 27, 0, 0, 2, 167, 147, 8,
    4, 31, 0, 0, 0, 0, 177, 66, 0, 0, 2, 168, 147, 16, 4, 31, 0, 0, 0, 0, 177, 66, 0, 0, 2, 169,
    147, 20, 4, 0, 3, 75, 0, 0, 0, 50, 82, 0, 0, 0, 0, 4, 0, 9, 69, 31, 1, 0, 14, 168, 0, 0, 0, 15,
    108, 17, 1, 0, 15, 181, 51, 0, 0, 15, 69, 30, 1, 0, 0, 9, 95, 31, 1, 0, 14, 168, 0, 0, 0, 15,
    111, 31, 1, 0, 15, 108, 17, 1, 0, 0, 9, 116, 31, 1, 0, 37, 113, 17, 1, 0, 9, 126, 31, 1, 0, 14,
    177, 66, 0, 0, 15, 115, 30, 1, 0, 15, 111, 31, 1, 0, 15, 108, 17, 1, 0, 15, 61, 255, 0, 0, 15,
    132, 223, 0, 0, 0, 9, 162, 31, 1, 0, 14, 168, 0, 0, 0, 15, 223, 30, 1, 0, 15, 57, 5, 1, 0, 15,
    168, 0, 0, 0, 15, 168, 0, 0, 0, 15, 115, 30, 1, 0, 15, 132, 223, 0, 0, 0, 9, 203, 31, 1, 0, 35,
    0, 0, 0, 0, 144, 2, 108, 148, 29, 0, 0, 0, 0, 22, 32, 1, 0, 2, 109, 148, 0, 29, 0, 0, 0, 0,
    168, 0, 0, 0, 2, 110, 148, 120, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 111, 148, 124, 29, 0, 0, 0, 0,
    198, 31, 1, 0, 2, 112, 148, 128, 29, 0, 0, 0, 0, 177, 66, 0, 0, 2, 113, 148, 136, 0, 35, 0, 0,
    0, 0, 120, 2, 66, 148, 29, 0, 0, 0, 0, 175, 32, 1, 0, 2, 67, 148, 0, 29, 0, 0, 0, 0, 55, 35, 1,
    0, 2, 68, 148, 64, 29, 0, 0, 0, 0, 177, 66, 0, 0, 2, 69, 148, 72, 29, 0, 0, 0, 0, 177, 66, 0,
    0, 2, 70, 148, 76, 29, 0, 0, 0, 0, 177, 66, 0, 0, 2, 71, 148, 80, 29, 0, 0, 0, 0, 177, 66, 0,
    0, 2, 72, 148, 84, 29, 0, 0, 0, 0, 181, 51, 0, 0, 2, 73, 148, 88, 29, 0, 0, 0, 0, 177, 66, 0,
    0, 2, 74, 148, 92, 29, 0, 0, 0, 0, 177, 66, 0, 0, 2, 75, 148, 96, 29, 0, 0, 0, 0, 60, 35, 1, 0,
    2, 76, 148, 104, 29, 0, 0, 0, 0, 177, 66, 0, 0, 2, 77, 148, 112, 0, 3, 187, 32, 1, 0, 4, 82, 0,
    0, 0, 8, 0, 9, 192, 32, 1, 0, 28, 0, 0, 0, 0, 80, 5, 2, 50, 148, 29, 0, 0, 0, 0, 58, 33, 1, 0,
    2, 51, 148, 0, 31, 0, 0, 0, 0, 168, 0, 0, 0, 2, 52, 148, 40, 5, 31, 0, 0, 0, 0, 177, 66, 0, 0,
    2, 53, 148, 44, 5, 31, 0, 0, 0, 0, 177, 66, 0, 0, 2, 54, 148, 48, 5, 31, 0, 0, 0, 0, 168, 0, 0,
    0, 2, 55, 148, 52, 5, 31, 0, 0, 0, 0, 229, 34, 1, 0, 2, 56, 148, 56, 5, 31, 0, 0, 0, 0, 168, 0,
    0, 0, 2, 57, 148, 64, 5, 31, 0, 0, 0, 0, 14, 35, 1, 0, 2, 58, 148, 72, 5, 0, 3, 70, 33, 1, 0,
    4, 82, 0, 0, 0, 11, 0, 35, 0, 0, 0, 0, 120, 2, 5, 148, 29, 0, 0, 0, 0, 58, 4, 0, 0, 2, 6, 148,
    0, 44, 101, 33, 1, 0, 2, 7, 148, 8, 34, 8, 2, 7, 148, 29, 0, 0, 0, 0, 229, 67, 0, 0, 2, 8, 148,
    0, 29, 0, 0, 0, 0, 20, 6, 1, 0, 2, 9, 148, 0, 29, 0, 0, 0, 0, 177, 66, 0, 0, 2, 10, 148, 0, 29,
    0, 0, 0, 0, 177, 66, 0, 0, 2, 11, 148, 0, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 12, 148, 0, 0, 29,
    0, 0, 0, 0, 12, 101, 0, 0, 2, 14, 148, 16, 29, 0, 0, 0, 0, 177, 66, 0, 0, 2, 15, 148, 20, 29,
    0, 0, 0, 0, 177, 66, 0, 0, 2, 16, 148, 24, 29, 0, 0, 0, 0, 138, 34, 1, 0, 2, 17, 148, 32, 29,
    0, 0, 0, 0, 213, 23, 0, 0, 2, 18, 148, 48, 29, 0, 0, 0, 0, 213, 23, 0, 0, 2, 19, 148, 56, 29,
    0, 0, 0, 0, 109, 22, 0, 0, 2, 20, 148, 64, 29, 0, 0, 0, 0, 109, 22, 0, 0, 2, 21, 148, 72, 29,
    0, 0, 0, 0, 12, 101, 0, 0, 2, 22, 148, 80, 29, 0, 0, 0, 0, 12, 101, 0, 0, 2, 23, 148, 84, 29,
    0, 0, 0, 0, 177, 66, 0, 0, 2, 24, 148, 88, 29, 0, 0, 0, 0, 177, 66, 0, 0, 2, 25, 148, 92, 29,
    0, 0, 0, 0, 174, 34, 1, 0, 2, 26, 148, 96, 29, 0, 0, 0, 0, 177, 66, 0, 0, 2, 27, 148, 104, 29,
    0, 0, 0, 0, 12, 101, 0, 0, 2, 28, 148, 108, 29, 0, 0, 0, 0, 179, 34, 1, 0, 2, 29, 148, 112, 29,
    0, 0, 0, 0, 181, 51, 0, 0, 2, 30, 148, 116, 0, 35, 0, 0, 0, 0, 16, 2, 247, 147, 29, 0, 0, 0, 0,
    109, 22, 0, 0, 2, 248, 147, 0, 29, 0, 0, 0, 0, 109, 22, 0, 0, 2, 249, 147, 8, 0, 9, 70, 33, 1,
    0, 18, 38, 1, 0, 0, 0, 0, 0, 0, 4, 2, 252, 147, 19, 0, 0, 0, 0, 0, 19, 0, 0, 0, 0, 1, 19, 0, 0,
    0, 0, 2, 19, 0, 0, 0, 0, 3, 19, 0, 0, 0, 0, 4, 19, 0, 0, 0, 0, 8, 0, 9, 234, 34, 1, 0, 35, 0,
    0, 0, 0, 8, 2, 45, 148, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 46, 148, 0, 29, 0, 0, 0, 0, 168, 0, 0,
    0, 2, 47, 148, 4, 0, 9, 19, 35, 1, 0, 35, 0, 0, 0, 0, 128, 2, 40, 148, 29, 0, 0, 0, 0, 70, 33,
    1, 0, 2, 41, 148, 0, 29, 0, 0, 0, 0, 139, 0, 1, 0, 2, 42, 148, 120, 0, 9, 22, 32, 1, 0, 9, 65,
    35, 1, 0, 35, 0, 0, 0, 0, 8, 2, 61, 148, 29, 0, 0, 0, 0, 177, 66, 0, 0, 2, 62, 148, 0, 29, 0,
    0, 0, 0, 177, 66, 0, 0, 2, 63, 148, 4, 0, 9, 106, 35, 1, 0, 9, 111, 35, 1, 0, 35, 0, 0, 0, 0,
    136, 2, 80, 148, 29, 0, 0, 0, 0, 22, 32, 1, 0, 2, 81, 148, 0, 29, 0, 0, 0, 0, 106, 35, 1, 0, 2,
    82, 148, 120, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 83, 148, 128, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2,
    84, 148, 132, 0, 3, 20, 6, 1, 0, 4, 82, 0, 0, 0, 64, 0, 9, 190, 35, 1, 0, 35, 0, 0, 0, 0, 40,
    2, 87, 148, 44, 208, 35, 1, 0, 2, 88, 148, 0, 34, 8, 2, 88, 148, 29, 0, 0, 0, 0, 58, 4, 0, 0,
    2, 89, 148, 0, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 90, 148, 0, 29, 0, 0, 0, 0, 12, 101, 0, 0, 2,
    91, 148, 0, 29, 0, 0, 0, 0, 177, 66, 0, 0, 2, 92, 148, 0, 44, 18, 36, 1, 0, 2, 93, 148, 0, 30,
    8, 2, 93, 148, 29, 0, 0, 0, 0, 177, 66, 0, 0, 2, 94, 148, 0, 29, 0, 0, 0, 0, 177, 66, 0, 0, 2,
    95, 148, 4, 0, 0, 29, 0, 0, 0, 0, 109, 22, 0, 0, 2, 98, 148, 8, 29, 0, 0, 0, 0, 168, 0, 0, 0,
    2, 99, 148, 16, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 100, 148, 20, 29, 0, 0, 0, 0, 177, 66, 0, 0,
    2, 101, 148, 24, 29, 0, 0, 0, 0, 181, 51, 0, 0, 2, 102, 148, 28, 29, 0, 0, 0, 0, 218, 67, 0, 0,
    2, 103, 148, 29, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 104, 148, 32, 29, 0, 0, 0, 0, 181, 51, 0, 0,
    2, 105, 148, 36, 0, 9, 161, 36, 1, 0, 37, 166, 36, 1, 0, 35, 0, 0, 0, 0, 16, 2, 119, 40, 29, 0,
    0, 0, 0, 27, 1, 0, 0, 2, 120, 40, 0, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 121, 40, 4, 29, 0, 0, 0,
    0, 27, 1, 0, 0, 2, 122, 40, 8, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 123, 40, 12, 0, 3, 241, 36, 1,
    0, 50, 82, 0, 0, 0, 1, 1, 0, 35, 0, 0, 0, 0, 12, 2, 172, 147, 29, 0, 0, 0, 0, 177, 66, 0, 0, 2,
    173, 147, 0, 29, 0, 0, 0, 0, 177, 66, 0, 0, 2, 174, 147, 4, 29, 0, 0, 0, 0, 229, 67, 0, 0, 2,
    175, 147, 8, 29, 0, 0, 0, 0, 181, 51, 0, 0, 2, 176, 147, 10, 0, 9, 52, 37, 1, 0, 14, 168, 0, 0,
    0, 15, 44, 22, 1, 0, 0, 9, 68, 37, 1, 0, 14, 168, 0, 0, 0, 15, 44, 22, 1, 0, 15, 177, 66, 0, 0,
    15, 108, 17, 1, 0, 0, 9, 94, 37, 1, 0, 14, 168, 0, 0, 0, 15, 44, 22, 1, 0, 15, 177, 66, 0, 0,
    15, 177, 66, 0, 0, 0, 9, 120, 37, 1, 0, 14, 168, 0, 0, 0, 15, 61, 255, 0, 0, 0, 9, 136, 37, 1,
    0, 38, 15, 61, 255, 0, 0, 0, 9, 148, 37, 1, 0, 35, 0, 0, 0, 0, 8, 2, 114, 40, 29, 0, 0, 0, 0,
    27, 1, 0, 0, 2, 115, 40, 0, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 116, 40, 4, 0, 9, 189, 37, 1, 0,
    35, 0, 0, 0, 0, 4, 2, 20, 43, 29, 0, 0, 0, 0, 229, 67, 0, 0, 2, 21, 43, 0, 29, 0, 0, 0, 0, 181,
    51, 0, 0, 2, 22, 43, 2, 0, 9, 166, 36, 1, 0, 9, 26, 1, 0, 0, 9, 240, 37, 1, 0, 35, 0, 0, 0, 0,
    12, 2, 226, 20, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 227, 20, 0, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2,
    228, 20, 4, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 229, 20, 8, 0, 9, 38, 38, 1, 0, 35, 0, 0, 0, 0,
    16, 2, 246, 42, 29, 0, 0, 0, 0, 109, 22, 0, 0, 2, 247, 42, 0, 29, 0, 0, 0, 0, 109, 22, 0, 0, 2,
    248, 42, 8, 29, 0, 0, 0, 0, 243, 157, 0, 0, 2, 249, 42, 16, 0, 9, 92, 38, 1, 0, 35, 0, 0, 0, 0,
    16, 2, 203, 51, 29, 0, 0, 0, 0, 229, 67, 0, 0, 2, 204, 51, 0, 29, 0, 0, 0, 0, 128, 38, 1, 0, 2,
    205, 51, 8, 0, 9, 133, 38, 1, 0, 35, 0, 0, 0, 0, 8, 2, 94, 41, 29, 0, 0, 0, 0, 225, 24, 0, 0,
    2, 95, 41, 0, 29, 0, 0, 0, 0, 158, 26, 0, 0, 2, 96, 41, 2, 29, 0, 0, 0, 0, 158, 26, 0, 0, 2,
    97, 41, 3, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 98, 41, 4, 0, 9, 200, 38, 1, 0, 14, 38, 1, 0, 0, 15,
    45, 1, 0, 0, 15, 111, 31, 1, 0, 0, 3, 133, 38, 1, 0, 4, 82, 0, 0, 0, 0, 0, 3, 113, 17, 1, 0, 4,
    82, 0, 0, 0, 0, 0, 3, 252, 38, 1, 0, 4, 82, 0, 0, 0, 2, 0, 9, 1, 39, 1, 0, 35, 0, 0, 0, 0, 104,
    2, 20, 28, 44, 19, 39, 1, 0, 2, 21, 28, 0, 34, 8, 2, 21, 28, 29, 0, 0, 0, 0, 130, 39, 1, 0, 2,
    22, 28, 0, 29, 0, 0, 0, 0, 26, 1, 0, 0, 2, 23, 28, 0, 0, 29, 0, 0, 0, 0, 171, 39, 1, 0, 2, 25,
    28, 8, 29, 0, 0, 0, 0, 242, 39, 1, 0, 2, 26, 28, 16, 29, 0, 0, 0, 0, 195, 21, 0, 0, 2, 27, 28,
    32, 29, 0, 0, 0, 0, 195, 21, 0, 0, 2, 28, 28, 48, 29, 0, 0, 0, 0, 229, 39, 0, 0, 2, 29, 28, 64,
    29, 0, 0, 0, 0, 28, 22, 0, 0, 2, 30, 28, 88, 0, 9, 135, 39, 1, 0, 35, 0, 0, 0, 0, 16, 2, 38,
    28, 29, 0, 0, 0, 0, 28, 22, 0, 0, 2, 39, 28, 0, 29, 0, 0, 0, 0, 78, 22, 0, 0, 2, 40, 28, 16, 0,
    9, 176, 39, 1, 0, 28, 0, 0, 0, 0, 64, 1, 2, 40, 150, 29, 0, 0, 0, 0, 25, 6, 1, 0, 2, 41, 150,
    0, 31, 0, 0, 0, 0, 33, 67, 0, 0, 2, 42, 150, 0, 1, 31, 0, 0, 0, 0, 206, 94, 0, 0, 2, 43, 150,
    8, 1, 31, 0, 0, 0, 0, 195, 21, 0, 0, 2, 44, 150, 16, 1, 0, 35, 0, 0, 0, 0, 16, 2, 4, 28, 29, 0,
    0, 0, 0, 197, 0, 0, 0, 2, 5, 28, 0, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 6, 28, 8, 0, 3, 195, 21, 0,
    0, 4, 82, 0, 0, 0, 38, 0, 3, 177, 66, 0, 0, 4, 82, 0, 0, 0, 38, 0, 35, 0, 0, 0, 0, 56, 2, 255,
    7, 29, 0, 0, 0, 0, 173, 23, 0, 0, 2, 0, 8, 0, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 1, 8, 8, 29, 0,
    0, 0, 0, 153, 40, 1, 0, 2, 2, 8, 16, 29, 0, 0, 0, 0, 153, 40, 1, 0, 2, 3, 8, 24, 45, 0, 0, 0,
    0, 181, 51, 0, 0, 2, 4, 8, 1, 1, 7, 32, 45, 0, 0, 0, 0, 181, 51, 0, 0, 2, 5, 8, 1, 1, 6, 32,
    29, 0, 0, 0, 0, 28, 22, 0, 0, 2, 6, 8, 40, 0, 9, 158, 40, 1, 0, 39, 170, 40, 1, 0, 0, 0, 0, 0,
    2, 253, 7, 38, 15, 177, 40, 1, 0, 0, 9, 46, 40, 1, 0, 35, 0, 0, 0, 0, 16, 2, 240, 22, 29, 0, 0,
    0, 0, 181, 51, 0, 0, 2, 241, 22, 0, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 242, 22, 4, 29, 0, 0, 0,
    0, 168, 0, 0, 0, 2, 243, 22, 8, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 244, 22, 12, 0, 3, 109, 22, 0,
    0, 4, 82, 0, 0, 0, 0, 0, 9, 5, 41, 1, 0, 35, 0, 0, 0, 0, 240, 2, 59, 28, 29, 0, 0, 0, 0, 190,
    42, 1, 0, 2, 60, 28, 0, 29, 0, 0, 0, 0, 206, 42, 1, 0, 2, 61, 28, 8, 29, 0, 0, 0, 0, 222, 42,
    1, 0, 2, 62, 28, 16, 29, 0, 0, 0, 0, 222, 42, 1, 0, 2, 63, 28, 24, 29, 0, 0, 0, 0, 222, 42, 1,
    0, 2, 64, 28, 32, 29, 0, 0, 0, 0, 222, 42, 1, 0, 2, 65, 28, 40, 29, 0, 0, 0, 0, 234, 42, 1, 0,
    2, 66, 28, 48, 29, 0, 0, 0, 0, 251, 42, 1, 0, 2, 67, 28, 56, 29, 0, 0, 0, 0, 16, 43, 1, 0, 2,
    68, 28, 64, 29, 0, 0, 0, 0, 182, 44, 1, 0, 2, 69, 28, 72, 29, 0, 0, 0, 0, 182, 44, 1, 0, 2, 70,
    28, 80, 29, 0, 0, 0, 0, 194, 44, 1, 0, 2, 71, 28, 88, 29, 0, 0, 0, 0, 202, 44, 1, 0, 2, 72, 28,
    96, 29, 0, 0, 0, 0, 223, 44, 1, 0, 2, 73, 28, 104, 29, 0, 0, 0, 0, 240, 44, 1, 0, 2, 74, 28,
    112, 29, 0, 0, 0, 0, 240, 44, 1, 0, 2, 75, 28, 120, 29, 0, 0, 0, 0, 240, 44, 1, 0, 2, 76, 28,
    128, 29, 0, 0, 0, 0, 222, 42, 1, 0, 2, 77, 28, 136, 45, 0, 0, 0, 0, 181, 51, 0, 0, 2, 78, 28,
    1, 1, 7, 144, 45, 0, 0, 0, 0, 181, 51, 0, 0, 2, 79, 28, 1, 1, 6, 144, 45, 0, 0, 0, 0, 181, 51,
    0, 0, 2, 80, 28, 1, 1, 5, 144, 45, 0, 0, 0, 0, 181, 51, 0, 0, 2, 81, 28, 1, 1, 4, 144, 45, 0,
    0, 0, 0, 181, 51, 0, 0, 2, 82, 28, 1, 1, 3, 144, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 83, 28, 148,
    29, 0, 0, 0, 0, 233, 21, 0, 0, 2, 84, 28, 152, 29, 0, 0, 0, 0, 233, 21, 0, 0, 2, 85, 28, 160,
    29, 0, 0, 0, 0, 230, 156, 0, 0, 2, 86, 28, 168, 29, 0, 0, 0, 0, 154, 147, 0, 0, 2, 87, 28, 176,
    29, 0, 0, 0, 0, 195, 21, 0, 0, 2, 88, 28, 200, 29, 0, 0, 0, 0, 252, 44, 1, 0, 2, 89, 28, 216,
    29, 0, 0, 0, 0, 252, 44, 1, 0, 2, 90, 28, 224, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 91, 28, 232, 0,
    9, 195, 42, 1, 0, 14, 225, 156, 0, 0, 15, 225, 156, 0, 0, 0, 9, 211, 42, 1, 0, 14, 168, 0, 0,
    0, 15, 225, 156, 0, 0, 0, 9, 227, 42, 1, 0, 38, 15, 225, 156, 0, 0, 0, 9, 239, 42, 1, 0, 38,
    15, 225, 156, 0, 0, 15, 168, 0, 0, 0, 0, 9, 0, 43, 1, 0, 14, 168, 0, 0, 0, 15, 199, 111, 0, 0,
    15, 225, 156, 0, 0, 0, 9, 21, 43, 1, 0, 14, 168, 0, 0, 0, 15, 32, 43, 1, 0, 0, 9, 37, 43, 1, 0,
    35, 0, 0, 0, 0, 64, 2, 29, 130, 29, 0, 0, 0, 0, 195, 21, 0, 0, 2, 30, 130, 0, 29, 0, 0, 0, 0,
    195, 21, 0, 0, 2, 31, 130, 16, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 32, 130, 32, 29, 0, 0, 0, 0,
    168, 0, 0, 0, 2, 33, 130, 36, 29, 0, 0, 0, 0, 228, 21, 0, 0, 2, 34, 130, 40, 29, 0, 0, 0, 0,
    138, 43, 1, 0, 2, 35, 130, 48, 29, 0, 0, 0, 0, 244, 117, 0, 0, 2, 36, 130, 56, 0, 9, 143, 43,
    1, 0, 28, 0, 0, 0, 0, 40, 2, 2, 164, 21, 29, 0, 0, 0, 0, 213, 156, 0, 0, 2, 165, 21, 0, 29, 0,
    0, 0, 0, 254, 62, 0, 0, 2, 166, 21, 104, 29, 0, 0, 0, 0, 138, 43, 1, 0, 2, 167, 21, 112, 29, 0,
    0, 0, 0, 241, 143, 0, 0, 2, 168, 21, 120, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 169, 21, 128, 29, 0,
    0, 0, 0, 195, 21, 0, 0, 2, 170, 21, 136, 29, 0, 0, 0, 0, 195, 21, 0, 0, 2, 171, 21, 152, 29, 0,
    0, 0, 0, 195, 21, 0, 0, 2, 172, 21, 168, 29, 0, 0, 0, 0, 195, 21, 0, 0, 2, 173, 21, 184, 29, 0,
    0, 0, 0, 151, 157, 0, 0, 2, 174, 21, 200, 31, 0, 0, 0, 0, 195, 21, 0, 0, 2, 175, 21, 152, 1,
    31, 0, 0, 0, 0, 195, 21, 0, 0, 2, 176, 21, 168, 1, 31, 0, 0, 0, 0, 152, 21, 0, 0, 2, 177, 21,
    184, 1, 31, 0, 0, 0, 0, 195, 21, 0, 0, 2, 178, 21, 200, 1, 31, 0, 0, 0, 0, 195, 21, 0, 0, 2,
    179, 21, 216, 1, 31, 0, 0, 0, 0, 195, 21, 0, 0, 2, 180, 21, 232, 1, 31, 0, 0, 0, 0, 241, 143,
    0, 0, 2, 181, 21, 248, 1, 31, 0, 0, 0, 0, 241, 143, 0, 0, 2, 182, 21, 0, 2, 31, 0, 0, 0, 0,
    138, 43, 1, 0, 2, 183, 21, 8, 2, 31, 0, 0, 0, 0, 181, 51, 0, 0, 2, 184, 21, 16, 2, 31, 0, 0, 0,
    0, 28, 22, 0, 0, 2, 185, 21, 24, 2, 0, 9, 187, 44, 1, 0, 38, 15, 32, 43, 1, 0, 0, 9, 199, 44,
    1, 0, 60, 58, 0, 9, 207, 44, 1, 0, 14, 168, 0, 0, 0, 15, 244, 117, 0, 0, 15, 138, 43, 1, 0, 0,
    9, 228, 44, 1, 0, 38, 15, 244, 117, 0, 0, 15, 138, 43, 1, 0, 0, 9, 245, 44, 1, 0, 38, 15, 244,
    117, 0, 0, 0, 9, 1, 45, 1, 0, 35, 0, 0, 0, 0, 216, 2, 115, 28, 29, 0, 0, 0, 0, 139, 157, 0, 0,
    2, 116, 28, 0, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 117, 28, 64, 29, 0, 0, 0, 0, 36, 54, 0, 0, 2,
    118, 28, 72, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 119, 28, 80, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 120,
    28, 84, 29, 0, 0, 0, 0, 0, 41, 1, 0, 2, 121, 28, 88, 29, 0, 0, 0, 0, 195, 21, 0, 0, 2, 122, 28,
    96, 29, 0, 0, 0, 0, 15, 46, 1, 0, 2, 123, 28, 112, 29, 0, 0, 0, 0, 207, 149, 0, 0, 2, 124, 28,
    120, 29, 0, 0, 0, 0, 163, 154, 0, 0, 2, 125, 28, 128, 29, 0, 0, 0, 0, 20, 46, 1, 0, 2, 126, 28,
    136, 29, 0, 0, 0, 0, 41, 46, 1, 0, 2, 127, 28, 144, 29, 0, 0, 0, 0, 255, 112, 0, 0, 2, 128, 28,
    152, 29, 0, 0, 0, 0, 186, 112, 0, 0, 2, 129, 28, 160, 29, 0, 0, 0, 0, 229, 112, 0, 0, 2, 130,
    28, 168, 29, 0, 0, 0, 0, 212, 112, 0, 0, 2, 131, 28, 176, 29, 0, 0, 0, 0, 62, 46, 1, 0, 2, 132,
    28, 184, 29, 0, 0, 0, 0, 88, 46, 1, 0, 2, 133, 28, 192, 29, 0, 0, 0, 0, 175, 154, 0, 0, 2, 134,
    28, 200, 29, 0, 0, 0, 0, 206, 154, 0, 0, 2, 135, 28, 208, 0, 9, 41, 149, 0, 0, 9, 25, 46, 1, 0,
    14, 109, 22, 0, 0, 15, 225, 156, 0, 0, 15, 252, 44, 1, 0, 0, 9, 46, 46, 1, 0, 14, 213, 23, 0,
    0, 15, 225, 156, 0, 0, 15, 252, 44, 1, 0, 0, 9, 67, 46, 1, 0, 14, 168, 0, 0, 0, 15, 225, 156,
    0, 0, 15, 252, 44, 1, 0, 15, 109, 22, 0, 0, 0, 9, 93, 46, 1, 0, 14, 168, 0, 0, 0, 15, 225, 156,
    0, 0, 15, 252, 44, 1, 0, 15, 213, 23, 0, 0, 0, 35, 0, 0, 0, 0, 56, 2, 28, 17, 29, 0, 0, 0, 0,
    117, 158, 0, 0, 2, 29, 17, 0, 29, 0, 0, 0, 0, 28, 22, 0, 0, 2, 30, 17, 32, 29, 0, 0, 0, 0, 170,
    160, 0, 0, 2, 31, 17, 48, 0, 9, 104, 139, 0, 0, 9, 183, 141, 0, 0, 9, 178, 46, 1, 0, 35, 0, 0,
    0, 0, 72, 2, 127, 110, 29, 0, 0, 0, 0, 221, 107, 0, 0, 2, 128, 110, 0, 29, 0, 0, 0, 0, 95, 142,
    0, 0, 2, 129, 110, 8, 29, 0, 0, 0, 0, 57, 95, 0, 0, 2, 130, 110, 16, 29, 0, 0, 0, 0, 90, 22, 0,
    0, 2, 131, 110, 56, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 132, 110, 64, 0, 35, 0, 0, 0, 0, 208, 2,
    85, 110, 29, 0, 0, 0, 0, 155, 95, 0, 0, 2, 86, 110, 0, 29, 0, 0, 0, 0, 183, 198, 0, 0, 2, 87,
    110, 8, 29, 0, 0, 0, 0, 109, 22, 0, 0, 2, 88, 110, 16, 29, 0, 0, 0, 0, 109, 22, 0, 0, 2, 89,
    110, 24, 29, 0, 0, 0, 0, 213, 23, 0, 0, 2, 90, 110, 32, 29, 0, 0, 0, 0, 218, 67, 0, 0, 2, 91,
    110, 40, 29, 0, 0, 0, 0, 218, 67, 0, 0, 2, 92, 110, 41, 29, 0, 0, 0, 0, 218, 67, 0, 0, 2, 93,
    110, 42, 29, 0, 0, 0, 0, 195, 198, 0, 0, 2, 94, 110, 48, 29, 0, 0, 0, 0, 195, 198, 0, 0, 2, 95,
    110, 112, 29, 0, 0, 0, 0, 195, 21, 0, 0, 2, 96, 110, 176, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 97,
    110, 192, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 98, 110, 196, 29, 0, 0, 0, 0, 109, 22, 0, 0, 2, 99,
    110, 200, 0, 3, 38, 1, 0, 0, 4, 82, 0, 0, 0, 2, 0, 3, 213, 47, 1, 0, 4, 82, 0, 0, 0, 2, 0, 35,
    0, 0, 0, 0, 4, 2, 243, 1, 45, 0, 0, 0, 0, 38, 1, 0, 0, 2, 244, 1, 4, 11, 21, 0, 45, 0, 0, 0, 0,
    38, 1, 0, 0, 2, 245, 1, 4, 3, 18, 0, 45, 0, 0, 0, 0, 38, 1, 0, 0, 2, 246, 1, 4, 1, 17, 0, 45,
    0, 0, 0, 0, 38, 1, 0, 0, 2, 247, 1, 4, 1, 16, 0, 0, 28, 0, 0, 0, 0, 168, 6, 2, 43, 112, 29, 0,
    0, 0, 0, 255, 48, 1, 0, 2, 44, 112, 0, 31, 0, 0, 0, 0, 38, 1, 0, 0, 2, 45, 112, 80, 6, 31, 0,
    0, 0, 0, 38, 1, 0, 0, 2, 46, 112, 84, 6, 31, 0, 0, 0, 0, 96, 48, 1, 0, 2, 50, 112, 88, 6, 30,
    8, 2, 47, 112, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 48, 112, 0, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2,
    49, 112, 4, 0, 31, 0, 0, 0, 0, 90, 22, 0, 0, 2, 51, 112, 96, 6, 31, 0, 0, 0, 0, 90, 22, 0, 0,
    2, 52, 112, 104, 6, 31, 0, 0, 0, 0, 168, 0, 0, 0, 2, 53, 112, 112, 6, 31, 0, 0, 0, 0, 226, 202,
    0, 0, 2, 54, 112, 120, 6, 31, 0, 0, 0, 0, 168, 0, 0, 0, 2, 55, 112, 136, 6, 31, 0, 0, 0, 0,
    168, 0, 0, 0, 2, 56, 112, 140, 6, 31, 0, 0, 0, 0, 109, 22, 0, 0, 2, 57, 112, 144, 6, 31, 0, 0,
    0, 0, 109, 22, 0, 0, 2, 58, 112, 152, 6, 31, 0, 0, 0, 0, 155, 95, 0, 0, 2, 59, 112, 160, 6, 0,
    28, 0, 0, 0, 0, 80, 6, 2, 12, 112, 29, 0, 0, 0, 0, 11, 103, 0, 0, 2, 13, 112, 0, 29, 0, 0, 0,
    0, 36, 49, 1, 0, 2, 14, 112, 16, 0, 3, 195, 21, 0, 0, 4, 82, 0, 0, 0, 100, 0, 35, 0, 0, 0, 0,
    104, 2, 62, 112, 29, 0, 0, 0, 0, 68, 139, 0, 0, 2, 63, 112, 0, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2,
    64, 112, 16, 29, 0, 0, 0, 0, 96, 49, 1, 0, 2, 68, 112, 24, 30, 16, 2, 65, 112, 29, 0, 0, 0, 0,
    109, 22, 0, 0, 2, 66, 112, 0, 29, 0, 0, 0, 0, 109, 22, 0, 0, 2, 67, 112, 8, 0, 29, 0, 0, 0, 0,
    90, 22, 0, 0, 2, 69, 112, 40, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 70, 112, 48, 29, 0, 0, 0, 0, 68,
    139, 0, 0, 2, 71, 112, 56, 29, 0, 0, 0, 0, 109, 22, 0, 0, 2, 72, 112, 72, 29, 0, 0, 0, 0, 109,
    22, 0, 0, 2, 73, 112, 80, 29, 0, 0, 0, 0, 109, 22, 0, 0, 2, 74, 112, 88, 29, 0, 0, 0, 0, 109,
    22, 0, 0, 2, 75, 112, 96, 0, 9, 225, 49, 1, 0, 28, 0, 0, 0, 0, 128, 20, 2, 7, 110, 29, 0, 0, 0,
    0, 242, 23, 0, 0, 2, 8, 110, 0, 29, 0, 0, 0, 0, 242, 23, 0, 0, 2, 9, 110, 4, 29, 0, 0, 0, 0,
    28, 22, 0, 0, 2, 10, 110, 8, 29, 0, 0, 0, 0, 136, 165, 0, 0, 2, 11, 110, 24, 29, 0, 0, 0, 0,
    136, 165, 0, 0, 2, 12, 110, 64, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 13, 110, 104, 29, 0, 0, 0, 0,
    168, 0, 0, 0, 2, 14, 110, 108, 29, 0, 0, 0, 0, 136, 165, 0, 0, 2, 15, 110, 112, 29, 0, 0, 0, 0,
    242, 23, 0, 0, 2, 16, 110, 152, 29, 0, 0, 0, 0, 6, 51, 1, 0, 2, 17, 110, 160, 29, 0, 0, 0, 0,
    55, 51, 1, 0, 2, 18, 110, 184, 29, 0, 0, 0, 0, 171, 51, 1, 0, 2, 19, 110, 240, 31, 0, 0, 0, 0,
    155, 95, 0, 0, 2, 20, 110, 8, 1, 31, 0, 0, 0, 0, 168, 0, 0, 0, 2, 21, 110, 12, 1, 31, 0, 0, 0,
    0, 168, 0, 0, 0, 2, 22, 110, 16, 1, 31, 0, 0, 0, 0, 242, 23, 0, 0, 2, 23, 110, 20, 1, 31, 0, 0,
    0, 0, 242, 23, 0, 0, 2, 24, 110, 24, 1, 31, 0, 0, 0, 0, 136, 165, 0, 0, 2, 25, 110, 32, 1, 31,
    0, 0, 0, 0, 24, 52, 1, 0, 2, 26, 110, 72, 1, 31, 0, 0, 0, 0, 90, 22, 0, 0, 2, 27, 110, 112, 20,
    31, 0, 0, 0, 0, 110, 52, 1, 0, 2, 28, 110, 120, 20, 0, 35, 0, 0, 0, 0, 24, 2, 236, 109, 29, 0,
    0, 0, 0, 155, 95, 0, 0, 2, 237, 109, 0, 29, 0, 0, 0, 0, 109, 22, 0, 0, 2, 238, 109, 8, 29, 0,
    0, 0, 0, 109, 22, 0, 0, 2, 239, 109, 16, 0, 35, 0, 0, 0, 0, 56, 2, 244, 109, 29, 0, 0, 0, 0,
    155, 95, 0, 0, 2, 245, 109, 0, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 246, 109, 4, 29, 0, 0, 0, 0,
    136, 165, 0, 0, 2, 247, 109, 8, 29, 0, 0, 0, 0, 117, 51, 1, 0, 2, 248, 109, 48, 0, 9, 122, 51,
    1, 0, 35, 0, 0, 0, 0, 16, 2, 6, 112, 29, 0, 0, 0, 0, 109, 22, 0, 0, 2, 7, 112, 0, 29, 0, 0, 0,
    0, 168, 0, 0, 0, 2, 8, 112, 8, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 9, 112, 12, 0, 35, 0, 0, 0, 0,
    24, 2, 246, 15, 44, 189, 51, 1, 0, 2, 247, 15, 0, 34, 16, 2, 247, 15, 29, 0, 0, 0, 0, 206, 130,
    0, 0, 2, 248, 15, 0, 44, 216, 51, 1, 0, 2, 249, 15, 0, 30, 16, 2, 249, 15, 29, 0, 0, 0, 0, 139,
    79, 0, 0, 2, 250, 15, 0, 29, 0, 0, 0, 0, 242, 23, 0, 0, 2, 251, 15, 8, 0, 0, 29, 0, 0, 0, 0, 7,
    52, 1, 0, 2, 254, 15, 16, 0, 9, 12, 52, 1, 0, 38, 15, 19, 52, 1, 0, 0, 9, 171, 51, 1, 0, 28, 0,
    0, 0, 0, 40, 19, 2, 0, 110, 29, 0, 0, 0, 0, 62, 52, 1, 0, 2, 1, 110, 0, 31, 0, 0, 0, 0, 176,
    51, 0, 0, 2, 2, 110, 32, 19, 0, 3, 74, 52, 1, 0, 4, 82, 0, 0, 0, 102, 0, 35, 0, 0, 0, 0, 48, 2,
    251, 109, 29, 0, 0, 0, 0, 242, 23, 0, 0, 2, 252, 109, 0, 29, 0, 0, 0, 0, 136, 165, 0, 0, 2,
    253, 109, 8, 0, 9, 115, 52, 1, 0, 35, 0, 0, 0, 0, 32, 2, 167, 112, 29, 0, 0, 0, 0, 34, 205, 0,
    0, 2, 168, 112, 0, 29, 0, 0, 0, 0, 110, 52, 1, 0, 2, 169, 112, 8, 29, 0, 0, 0, 0, 28, 22, 0, 0,
    2, 170, 112, 16, 0, 9, 169, 52, 1, 0, 28, 0, 0, 0, 0, 32, 1, 2, 73, 97, 29, 0, 0, 0, 0, 164,
    52, 1, 0, 2, 74, 97, 0, 29, 0, 0, 0, 0, 164, 52, 1, 0, 2, 75, 97, 8, 29, 0, 0, 0, 0, 246, 54,
    1, 0, 2, 76, 97, 16, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 77, 97, 24, 29, 0, 0, 0, 0, 90, 22, 0, 0,
    2, 78, 97, 32, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 79, 97, 40, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 80,
    97, 44, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 81, 97, 48, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 82, 97,
    52, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 83, 97, 56, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 84, 97, 60,
    29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 85, 97, 64, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 86, 97, 72, 29, 0,
    0, 0, 0, 38, 1, 0, 0, 2, 87, 97, 76, 29, 0, 0, 0, 0, 109, 22, 0, 0, 2, 88, 97, 80, 29, 0, 0, 0,
    0, 90, 22, 0, 0, 2, 89, 97, 88, 29, 0, 0, 0, 0, 109, 22, 0, 0, 2, 90, 97, 96, 29, 0, 0, 0, 0,
    202, 55, 1, 0, 2, 91, 97, 104, 29, 0, 0, 0, 0, 202, 55, 1, 0, 2, 92, 97, 116, 29, 0, 0, 0, 0,
    202, 55, 1, 0, 2, 93, 97, 128, 29, 0, 0, 0, 0, 202, 55, 1, 0, 2, 94, 97, 140, 29, 0, 0, 0, 0,
    202, 55, 1, 0, 2, 95, 97, 152, 29, 0, 0, 0, 0, 202, 55, 1, 0, 2, 96, 97, 164, 29, 0, 0, 0, 0,
    202, 55, 1, 0, 2, 97, 97, 176, 29, 0, 0, 0, 0, 202, 55, 1, 0, 2, 98, 97, 188, 29, 0, 0, 0, 0,
    38, 1, 0, 0, 2, 99, 97, 200, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 100, 97, 204, 29, 0, 0, 0, 0, 38,
    1, 0, 0, 2, 101, 97, 208, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 102, 97, 212, 29, 0, 0, 0, 0, 38, 1,
    0, 0, 2, 103, 97, 216, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 104, 97, 220, 29, 0, 0, 0, 0, 38, 1, 0,
    0, 2, 105, 97, 224, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 106, 97, 228, 29, 0, 0, 0, 0, 38, 1, 0, 0,
    2, 107, 97, 232, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 108, 97, 236, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2,
    109, 97, 240, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 110, 97, 244, 29, 0, 0, 0, 0, 154, 27, 0, 0, 2,
    111, 97, 248, 33, 171, 54, 1, 0, 2, 112, 97, 0, 1, 34, 16, 2, 112, 97, 29, 0, 0, 0, 0, 26, 1,
    0, 0, 2, 113, 97, 0, 29, 0, 0, 0, 0, 28, 22, 0, 0, 2, 114, 97, 0, 0, 31, 0, 0, 0, 0, 214, 55,
    1, 0, 2, 116, 97, 16, 1, 31, 0, 0, 0, 0, 38, 1, 0, 0, 2, 117, 97, 24, 1, 31, 0, 0, 0, 0, 142,
    205, 0, 0, 2, 118, 97, 32, 1, 0, 9, 251, 54, 1, 0, 35, 0, 0, 0, 0, 32, 2, 142, 110, 29, 0, 0,
    0, 0, 246, 54, 1, 0, 2, 143, 110, 0, 29, 0, 0, 0, 0, 242, 23, 0, 0, 2, 144, 110, 8, 29, 0, 0,
    0, 0, 38, 1, 0, 0, 2, 145, 110, 12, 29, 0, 0, 0, 0, 83, 55, 1, 0, 2, 146, 110, 16, 29, 0, 0, 0,
    0, 168, 0, 0, 0, 2, 147, 110, 24, 29, 0, 0, 0, 0, 142, 205, 0, 0, 2, 148, 110, 32, 0, 9, 88,
    55, 1, 0, 35, 0, 0, 0, 0, 48, 2, 151, 110, 29, 0, 0, 0, 0, 242, 23, 0, 0, 2, 152, 110, 0, 29,
    0, 0, 0, 0, 90, 22, 0, 0, 2, 153, 110, 8, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 154, 110, 16, 29, 0,
    0, 0, 0, 90, 22, 0, 0, 2, 155, 110, 24, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 156, 110, 32, 29, 0,
    0, 0, 0, 168, 0, 0, 0, 2, 157, 110, 40, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 158, 110, 44, 29, 0,
    0, 0, 0, 142, 205, 0, 0, 2, 159, 110, 48, 0, 3, 38, 1, 0, 0, 4, 82, 0, 0, 0, 3, 0, 9, 219, 55,
    1, 0, 35, 0, 0, 0, 0, 12, 2, 65, 97, 29, 0, 0, 0, 0, 242, 23, 0, 0, 2, 66, 97, 0, 29, 0, 0, 0,
    0, 242, 23, 0, 0, 2, 67, 97, 4, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 68, 97, 8, 0, 35, 0, 0, 0, 0,
    40, 2, 255, 111, 29, 0, 0, 0, 0, 195, 21, 0, 0, 2, 0, 112, 0, 29, 0, 0, 0, 0, 74, 56, 1, 0, 2,
    1, 112, 16, 29, 0, 0, 0, 0, 26, 1, 0, 0, 2, 2, 112, 24, 29, 0, 0, 0, 0, 102, 56, 1, 0, 2, 3,
    112, 32, 0, 39, 86, 56, 1, 0, 0, 0, 0, 0, 2, 251, 111, 9, 91, 56, 1, 0, 14, 168, 0, 0, 0, 15,
    26, 1, 0, 0, 0, 9, 107, 56, 1, 0, 35, 0, 0, 0, 0, 40, 2, 128, 131, 29, 0, 0, 0, 0, 242, 23, 0,
    0, 2, 129, 131, 0, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 130, 131, 4, 29, 0, 0, 0, 0, 4, 162, 0, 0,
    2, 131, 131, 8, 0, 35, 0, 0, 0, 0, 32, 2, 10, 2, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 11, 2, 0, 29,
    0, 0, 0, 0, 208, 0, 0, 0, 2, 12, 2, 8, 29, 0, 0, 0, 0, 208, 0, 0, 0, 2, 13, 2, 16, 29, 0, 0, 0,
    0, 208, 0, 0, 0, 2, 14, 2, 24, 0, 9, 223, 56, 1, 0, 35, 0, 0, 0, 0, 104, 2, 203, 111, 29, 0, 0,
    0, 0, 73, 21, 0, 0, 2, 204, 111, 0, 29, 0, 0, 0, 0, 131, 192, 0, 0, 2, 205, 111, 16, 29, 0, 0,
    0, 0, 109, 22, 0, 0, 2, 206, 111, 48, 29, 0, 0, 0, 0, 109, 22, 0, 0, 2, 207, 111, 56, 29, 0, 0,
    0, 0, 38, 1, 0, 0, 2, 208, 111, 64, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 209, 111, 68, 29, 0, 0, 0,
    0, 168, 0, 0, 0, 2, 210, 111, 72, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 211, 111, 76, 29, 0, 0, 0, 0,
    120, 57, 1, 0, 2, 212, 111, 80, 29, 0, 0, 0, 0, 22, 60, 1, 0, 2, 213, 111, 88, 29, 0, 0, 0, 0,
    120, 57, 1, 0, 2, 214, 111, 96, 0, 9, 125, 57, 1, 0, 14, 168, 0, 0, 0, 15, 146, 57, 1, 0, 15,
    139, 59, 1, 0, 15, 168, 0, 0, 0, 0, 9, 151, 57, 1, 0, 28, 0, 0, 0, 0, 208, 2, 2, 223, 111, 45,
    0, 0, 0, 0, 38, 1, 0, 0, 2, 224, 111, 4, 1, 31, 0, 45, 0, 0, 0, 0, 38, 1, 0, 0, 2, 225, 111, 4,
    1, 30, 0, 45, 0, 0, 0, 0, 38, 1, 0, 0, 2, 226, 111, 4, 1, 29, 0, 29, 0, 0, 0, 0, 38, 1, 0, 0,
    2, 227, 111, 4, 29, 0, 0, 0, 0, 183, 198, 0, 0, 2, 228, 111, 8, 29, 0, 0, 0, 0, 168, 0, 0, 0,
    2, 229, 111, 16, 29, 0, 0, 0, 0, 109, 22, 0, 0, 2, 230, 111, 24, 29, 0, 0, 0, 0, 109, 22, 0, 0,
    2, 231, 111, 32, 29, 0, 0, 0, 0, 109, 22, 0, 0, 2, 232, 111, 40, 29, 0, 0, 0, 0, 101, 58, 1, 0,
    2, 233, 111, 48, 31, 0, 0, 0, 0, 214, 58, 1, 0, 2, 234, 111, 96, 2, 31, 0, 0, 0, 0, 67, 59, 1,
    0, 2, 235, 111, 176, 2, 31, 0, 0, 0, 0, 77, 59, 1, 0, 2, 236, 111, 184, 2, 31, 0, 0, 0, 0, 195,
    21, 0, 0, 2, 237, 111, 192, 2, 0, 3, 113, 58, 1, 0, 4, 82, 0, 0, 0, 10, 0, 35, 0, 0, 0, 0, 56,
    2, 189, 111, 29, 0, 0, 0, 0, 208, 0, 0, 0, 2, 190, 111, 0, 29, 0, 0, 0, 0, 208, 0, 0, 0, 2,
    191, 111, 8, 29, 0, 0, 0, 0, 109, 22, 0, 0, 2, 192, 111, 16, 29, 0, 0, 0, 0, 208, 0, 0, 0, 2,
    193, 111, 24, 29, 0, 0, 0, 0, 208, 0, 0, 0, 2, 194, 111, 32, 29, 0, 0, 0, 0, 208, 0, 0, 0, 2,
    195, 111, 40, 29, 0, 0, 0, 0, 208, 0, 0, 0, 2, 196, 111, 48, 0, 3, 226, 58, 1, 0, 4, 82, 0, 0,
    0, 10, 0, 9, 231, 58, 1, 0, 40, 0, 0, 0, 0, 120, 2, 185, 113, 1, 0, 25, 0, 0, 0, 0, 218, 56, 1,
    0, 2, 186, 113, 1, 0, 0, 25, 0, 0, 0, 0, 62, 59, 1, 0, 2, 187, 113, 1, 0, 8, 25, 0, 0, 0, 0, 4,
    162, 0, 0, 2, 188, 113, 1, 0, 16, 25, 0, 0, 0, 0, 223, 85, 0, 0, 2, 189, 113, 1, 0, 48, 25, 0,
    0, 0, 0, 146, 57, 1, 0, 2, 190, 113, 1, 0, 112, 0, 9, 113, 58, 1, 0, 9, 72, 59, 1, 0, 43, 0, 0,
    0, 0, 9, 82, 59, 1, 0, 40, 0, 0, 0, 0, 104, 2, 193, 113, 1, 0, 25, 0, 0, 0, 0, 146, 57, 1, 0,
    2, 194, 113, 1, 0, 0, 25, 0, 0, 0, 0, 4, 162, 0, 0, 2, 195, 113, 1, 0, 8, 25, 0, 0, 0, 0, 223,
    85, 0, 0, 2, 196, 113, 1, 0, 40, 0, 9, 144, 59, 1, 0, 28, 0, 0, 0, 0, 64, 4, 2, 240, 111, 29,
    0, 0, 0, 0, 233, 21, 0, 0, 2, 241, 111, 0, 29, 0, 0, 0, 0, 120, 81, 0, 0, 2, 242, 111, 8, 45,
    0, 0, 0, 0, 38, 1, 0, 0, 2, 243, 111, 4, 1, 31, 16, 29, 0, 0, 0, 0, 10, 60, 1, 0, 2, 244, 111,
    24, 31, 0, 0, 0, 0, 168, 0, 0, 0, 2, 245, 111, 40, 4, 31, 0, 0, 0, 0, 168, 0, 0, 0, 2, 246,
    111, 44, 4, 31, 0, 0, 0, 0, 136, 247, 0, 0, 2, 247, 111, 48, 4, 31, 0, 0, 0, 0, 233, 21, 0, 0,
    2, 248, 111, 56, 4, 0, 3, 223, 56, 1, 0, 4, 82, 0, 0, 0, 10, 0, 9, 27, 60, 1, 0, 14, 168, 0, 0,
    0, 15, 146, 57, 1, 0, 15, 168, 0, 0, 0, 0, 9, 48, 60, 1, 0, 38, 15, 125, 132, 0, 0, 0, 9, 60,
    60, 1, 0, 14, 181, 51, 0, 0, 15, 125, 132, 0, 0, 15, 244, 117, 0, 0, 0, 9, 81, 60, 1, 0, 14,
    244, 117, 0, 0, 15, 125, 132, 0, 0, 0, 9, 97, 60, 1, 0, 38, 15, 125, 132, 0, 0, 15, 244, 117,
    0, 0, 0, 9, 114, 60, 1, 0, 38, 15, 125, 132, 0, 0, 15, 244, 117, 0, 0, 15, 181, 51, 0, 0, 0, 9,
    136, 60, 1, 0, 14, 168, 0, 0, 0, 15, 125, 132, 0, 0, 15, 244, 117, 0, 0, 15, 157, 60, 1, 0, 0,
    9, 162, 60, 1, 0, 35, 0, 0, 0, 0, 16, 2, 173, 112, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 174, 112,
    0, 29, 0, 0, 0, 0, 211, 60, 1, 0, 2, 175, 112, 8, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 176, 112, 8,
    0, 54, 0, 0, 0, 0, 0, 2, 206, 109, 9, 225, 60, 1, 0, 14, 168, 0, 0, 0, 15, 244, 117, 0, 0, 15,
    168, 0, 0, 0, 15, 168, 0, 0, 0, 15, 168, 0, 0, 0, 0, 9, 0, 61, 1, 0, 38, 15, 244, 117, 0, 0,
    15, 168, 0, 0, 0, 0, 9, 17, 61, 1, 0, 38, 15, 244, 117, 0, 0, 15, 125, 213, 0, 0, 0, 9, 34, 61,
    1, 0, 14, 38, 1, 0, 0, 15, 125, 132, 0, 0, 15, 244, 117, 0, 0, 0, 35, 0, 0, 0, 0, 48, 2, 189,
    1, 29, 0, 0, 0, 0, 195, 21, 0, 0, 2, 190, 1, 0, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 191, 1, 16,
    29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 192, 1, 24, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 193, 1, 32, 29, 0,
    0, 0, 0, 236, 24, 0, 0, 2, 194, 1, 36, 29, 0, 0, 0, 0, 236, 24, 0, 0, 2, 195, 1, 38, 29, 0, 0,
    0, 0, 151, 61, 1, 0, 2, 196, 1, 40, 0, 9, 50, 61, 1, 0, 35, 0, 0, 0, 0, 216, 2, 224, 1, 29, 0,
    0, 0, 0, 229, 39, 0, 0, 2, 225, 1, 0, 29, 0, 0, 0, 0, 109, 22, 0, 0, 2, 226, 1, 24, 29, 0, 0,
    0, 0, 109, 22, 0, 0, 2, 227, 1, 32, 29, 0, 0, 0, 0, 109, 22, 0, 0, 2, 228, 1, 40, 29, 0, 0, 0,
    0, 109, 22, 0, 0, 2, 229, 1, 48, 29, 0, 0, 0, 0, 109, 22, 0, 0, 2, 230, 1, 56, 29, 0, 0, 0, 0,
    213, 23, 0, 0, 2, 231, 1, 64, 29, 0, 0, 0, 0, 109, 22, 0, 0, 2, 232, 1, 72, 29, 0, 0, 0, 0, 38,
    1, 0, 0, 2, 233, 1, 80, 45, 0, 0, 0, 0, 38, 1, 0, 0, 2, 234, 1, 4, 1, 31, 84, 45, 0, 0, 0, 0,
    38, 1, 0, 0, 2, 235, 1, 4, 1, 30, 84, 45, 0, 0, 0, 0, 38, 1, 0, 0, 2, 236, 1, 4, 1, 29, 84, 45,
    0, 0, 0, 0, 38, 1, 0, 0, 2, 237, 1, 4, 1, 28, 84, 45, 0, 0, 0, 0, 38, 1, 0, 0, 2, 238, 1, 4, 1,
    27, 84, 29, 0, 0, 0, 0, 195, 198, 0, 0, 2, 239, 1, 88, 29, 0, 0, 0, 0, 195, 198, 0, 0, 2, 240,
    1, 152, 0, 52, 0, 0, 0, 0, 4, 2, 0, 2, 29, 0, 0, 0, 0, 155, 62, 1, 0, 2, 6, 2, 0, 30, 4, 2, 1,
    2, 29, 0, 0, 0, 0, 218, 67, 0, 0, 2, 2, 2, 0, 29, 0, 0, 0, 0, 218, 67, 0, 0, 2, 3, 2, 1, 29, 0,
    0, 0, 0, 218, 67, 0, 0, 2, 4, 2, 2, 29, 0, 0, 0, 0, 218, 67, 0, 0, 2, 5, 2, 3, 0, 29, 0, 0, 0,
    0, 177, 66, 0, 0, 2, 7, 2, 0, 0, 9, 232, 62, 1, 0, 28, 0, 0, 0, 0, 0, 2, 2, 118, 119, 29, 0, 0,
    0, 0, 155, 95, 0, 0, 2, 119, 119, 0, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 120, 119, 8, 29, 0, 0, 0,
    0, 90, 22, 0, 0, 2, 121, 119, 16, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 122, 119, 24, 29, 0, 0, 0,
    0, 90, 22, 0, 0, 2, 123, 119, 32, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 124, 119, 40, 29, 0, 0, 0,
    0, 90, 22, 0, 0, 2, 125, 119, 48, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 126, 119, 56, 29, 0, 0, 0,
    0, 90, 22, 0, 0, 2, 127, 119, 64, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 128, 119, 72, 29, 0, 0, 0,
    0, 90, 22, 0, 0, 2, 129, 119, 80, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 130, 119, 88, 29, 0, 0, 0,
    0, 90, 22, 0, 0, 2, 131, 119, 96, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 132, 119, 104, 29, 0, 0, 0,
    0, 168, 0, 0, 0, 2, 133, 119, 112, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 134, 119, 116, 29, 0, 0, 0,
    0, 218, 67, 0, 0, 2, 135, 119, 120, 29, 0, 0, 0, 0, 218, 67, 0, 0, 2, 136, 119, 121, 29, 0, 0,
    0, 0, 181, 51, 0, 0, 2, 137, 119, 122, 29, 0, 0, 0, 0, 227, 62, 1, 0, 2, 138, 119, 128, 29, 0,
    0, 0, 0, 195, 21, 0, 0, 2, 139, 119, 136, 29, 0, 0, 0, 0, 228, 21, 0, 0, 2, 140, 119, 152, 29,
    0, 0, 0, 0, 228, 21, 0, 0, 2, 141, 119, 160, 29, 0, 0, 0, 0, 228, 21, 0, 0, 2, 142, 119, 168,
    29, 0, 0, 0, 0, 179, 64, 1, 0, 2, 143, 119, 176, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 144, 119,
    208, 29, 0, 0, 0, 0, 244, 117, 0, 0, 2, 145, 119, 216, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 146,
    119, 224, 31, 0, 0, 0, 0, 155, 95, 0, 0, 2, 151, 119, 0, 1, 31, 0, 0, 0, 0, 33, 67, 0, 0, 2,
    160, 119, 64, 1, 31, 0, 0, 0, 0, 90, 22, 0, 0, 2, 161, 119, 72, 1, 31, 0, 0, 0, 0, 228, 64, 1,
    0, 2, 162, 119, 80, 1, 31, 0, 0, 0, 0, 240, 64, 1, 0, 2, 163, 119, 176, 1, 31, 0, 0, 0, 0, 181,
    51, 0, 0, 2, 164, 119, 216, 1, 0, 35, 0, 0, 0, 0, 32, 2, 193, 114, 29, 0, 0, 0, 0, 155, 95, 0,
    0, 2, 194, 114, 0, 29, 0, 0, 0, 0, 68, 139, 0, 0, 2, 195, 114, 8, 29, 0, 0, 0, 0, 244, 117, 0,
    0, 2, 196, 114, 24, 0, 3, 190, 104, 0, 0, 4, 82, 0, 0, 0, 4, 0, 35, 0, 0, 0, 0, 40, 2, 113,
    119, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 114, 119, 0, 29, 0, 0, 0, 0, 117, 158, 0, 0, 2, 115, 119,
    8, 0, 35, 0, 0, 0, 0, 40, 2, 23, 2, 29, 0, 0, 0, 0, 109, 22, 0, 0, 2, 24, 2, 0, 29, 0, 0, 0, 0,
    56, 65, 1, 0, 2, 25, 2, 8, 0, 3, 66, 90, 0, 0, 4, 82, 0, 0, 0, 4, 0, 35, 0, 0, 0, 0, 20, 2, 28,
    2, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 29, 2, 0, 29, 0, 0, 0, 0, 156, 0, 0, 0, 2, 30, 2, 4, 0, 35,
    0, 0, 0, 0, 48, 2, 54, 1, 29, 0, 0, 0, 0, 166, 66, 1, 0, 2, 55, 1, 0, 44, 135, 65, 1, 0, 2, 56,
    1, 8, 34, 40, 2, 56, 1, 29, 0, 0, 0, 0, 153, 65, 1, 0, 2, 64, 1, 0, 30, 40, 2, 57, 1, 29, 0, 0,
    0, 0, 132, 223, 0, 0, 2, 58, 1, 0, 29, 0, 0, 0, 0, 177, 66, 0, 0, 2, 59, 1, 8, 29, 0, 0, 0, 0,
    177, 66, 0, 0, 2, 60, 1, 12, 29, 0, 0, 0, 0, 177, 66, 0, 0, 2, 61, 1, 16, 29, 0, 0, 0, 0, 109,
    22, 0, 0, 2, 62, 1, 24, 29, 0, 0, 0, 0, 132, 223, 0, 0, 2, 63, 1, 32, 0, 29, 0, 0, 0, 0, 250,
    65, 1, 0, 2, 73, 1, 0, 30, 24, 2, 65, 1, 29, 0, 0, 0, 0, 234, 200, 0, 0, 2, 66, 1, 0, 29, 0, 0,
    0, 0, 187, 66, 1, 0, 2, 67, 1, 4, 44, 34, 66, 1, 0, 2, 68, 1, 8, 34, 8, 2, 68, 1, 29, 0, 0, 0,
    0, 219, 66, 1, 0, 2, 69, 1, 0, 29, 0, 0, 0, 0, 15, 67, 1, 0, 2, 70, 1, 0, 0, 29, 0, 0, 0, 0,
    109, 22, 0, 0, 2, 72, 1, 16, 0, 29, 0, 0, 0, 0, 93, 66, 1, 0, 2, 80, 1, 0, 30, 32, 2, 74, 1,
    29, 0, 0, 0, 0, 68, 67, 1, 0, 2, 75, 1, 0, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 76, 1, 8, 29, 0, 0,
    0, 0, 168, 0, 0, 0, 2, 77, 1, 12, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 78, 1, 16, 29, 0, 0, 0, 0,
    90, 22, 0, 0, 2, 79, 1, 24, 0, 0, 0, 9, 171, 66, 1, 0, 14, 19, 1, 0, 0, 15, 182, 66, 1, 0, 0,
    9, 104, 65, 1, 0, 18, 38, 1, 0, 0, 0, 0, 0, 0, 4, 2, 39, 1, 19, 0, 0, 0, 0, 0, 19, 0, 0, 0, 0,
    1, 19, 0, 0, 0, 0, 2, 0, 9, 224, 66, 1, 0, 35, 0, 0, 0, 0, 16, 2, 29, 1, 29, 0, 0, 0, 0, 4, 67,
    1, 0, 2, 30, 1, 0, 29, 0, 0, 0, 0, 235, 23, 0, 0, 2, 31, 1, 8, 0, 12, 235, 23, 0, 0, 0, 0, 0,
    0, 2, 57, 9, 20, 67, 1, 0, 35, 0, 0, 0, 0, 8, 2, 47, 1, 29, 0, 0, 0, 0, 56, 67, 1, 0, 2, 48, 1,
    0, 29, 0, 0, 0, 0, 12, 101, 0, 0, 2, 49, 1, 4, 0, 39, 12, 101, 0, 0, 0, 0, 0, 0, 2, 45, 1, 9,
    73, 67, 1, 0, 35, 0, 0, 0, 0, 8, 2, 212, 16, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 213, 16, 0, 29,
    0, 0, 0, 0, 3, 27, 0, 0, 2, 214, 16, 4, 29, 0, 0, 0, 0, 3, 27, 0, 0, 2, 215, 16, 6, 0, 12, 133,
    67, 1, 0, 0, 0, 0, 0, 2, 73, 12, 168, 0, 0, 0, 0, 0, 0, 0, 2, 45, 9, 149, 67, 1, 0, 35, 0, 0,
    0, 0, 112, 2, 11, 9, 29, 0, 0, 0, 0, 254, 62, 0, 0, 2, 12, 9, 0, 29, 0, 0, 0, 0, 38, 1, 0, 0,
    2, 13, 9, 4, 29, 0, 0, 0, 0, 33, 67, 0, 0, 2, 14, 9, 8, 29, 0, 0, 0, 0, 7, 68, 1, 0, 2, 15, 9,
    16, 29, 0, 0, 0, 0, 90, 101, 0, 0, 2, 16, 9, 48, 29, 0, 0, 0, 0, 190, 104, 0, 0, 2, 17, 9, 56,
    29, 0, 0, 0, 0, 28, 22, 0, 0, 2, 18, 9, 80, 29, 0, 0, 0, 0, 19, 68, 1, 0, 2, 19, 9, 96, 0, 3,
    90, 101, 0, 0, 4, 82, 0, 0, 0, 4, 0, 3, 31, 68, 1, 0, 4, 82, 0, 0, 0, 1, 0, 35, 0, 0, 0, 0, 16,
    2, 6, 9, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 7, 9, 0, 29, 0, 0, 0, 0, 67, 68, 1, 0, 2, 8, 9, 8, 0,
    9, 72, 68, 1, 0, 35, 0, 0, 0, 0, 144, 2, 16, 21, 29, 0, 0, 0, 0, 221, 107, 0, 0, 2, 17, 21, 0,
    29, 0, 0, 0, 0, 154, 147, 0, 0, 2, 18, 21, 8, 29, 0, 0, 0, 0, 28, 22, 0, 0, 2, 19, 21, 32, 29,
    0, 0, 0, 0, 38, 1, 0, 0, 2, 20, 21, 48, 29, 0, 0, 0, 0, 244, 117, 0, 0, 2, 21, 21, 56, 29, 0,
    0, 0, 0, 251, 68, 1, 0, 2, 22, 21, 64, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 23, 21, 72, 29, 0, 0, 0,
    0, 67, 68, 1, 0, 2, 24, 21, 80, 29, 0, 0, 0, 0, 93, 71, 1, 0, 2, 25, 21, 88, 29, 0, 0, 0, 0,
    131, 115, 0, 0, 2, 26, 21, 96, 29, 0, 0, 0, 0, 185, 71, 1, 0, 2, 27, 21, 104, 29, 0, 0, 0, 0,
    168, 0, 0, 0, 2, 28, 21, 112, 29, 0, 0, 0, 0, 50, 117, 0, 0, 2, 29, 21, 120, 0, 9, 0, 69, 1, 0,
    28, 0, 0, 0, 0, 216, 1, 2, 99, 164, 29, 0, 0, 0, 0, 93, 70, 1, 0, 2, 100, 164, 0, 29, 0, 0, 0,
    0, 160, 70, 1, 0, 2, 101, 164, 8, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 102, 164, 16, 29, 0, 0, 0,
    0, 38, 1, 0, 0, 2, 103, 164, 24, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 104, 164, 28, 29, 0, 0, 0, 0,
    172, 70, 1, 0, 2, 105, 164, 32, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 106, 164, 40, 29, 0, 0, 0, 0,
    38, 1, 0, 0, 2, 107, 164, 44, 29, 0, 0, 0, 0, 221, 70, 1, 0, 2, 108, 164, 48, 29, 0, 0, 0, 0,
    221, 70, 1, 0, 2, 109, 164, 52, 29, 0, 0, 0, 0, 221, 70, 1, 0, 2, 110, 164, 56, 29, 0, 0, 0, 0,
    252, 147, 0, 0, 2, 111, 164, 60, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 112, 164, 64, 29, 0, 0, 0, 0,
    170, 136, 0, 0, 2, 113, 164, 72, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 114, 164, 80, 29, 0, 0, 0, 0,
    38, 1, 0, 0, 2, 115, 164, 84, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 116, 164, 88, 29, 0, 0, 0, 0,
    233, 21, 0, 0, 2, 117, 164, 96, 29, 0, 0, 0, 0, 195, 21, 0, 0, 2, 118, 164, 104, 29, 0, 0, 0,
    0, 223, 85, 0, 0, 2, 119, 164, 120, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 120, 164, 184, 29, 0, 0,
    0, 0, 38, 1, 0, 0, 2, 121, 164, 192, 29, 0, 0, 0, 0, 57, 208, 0, 0, 2, 122, 164, 200, 29, 0, 0,
    0, 0, 38, 1, 0, 0, 2, 123, 164, 208, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 124, 164, 212, 29, 0, 0,
    0, 0, 244, 70, 1, 0, 2, 125, 164, 216, 0, 9, 98, 70, 1, 0, 35, 0, 0, 0, 0, 32, 2, 128, 164, 29,
    0, 0, 0, 0, 230, 37, 1, 0, 2, 129, 164, 0, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 130, 164, 8, 29, 0,
    0, 0, 0, 220, 54, 0, 0, 2, 131, 164, 16, 29, 0, 0, 0, 0, 220, 54, 0, 0, 2, 132, 164, 24, 0, 39,
    38, 1, 0, 0, 0, 0, 0, 0, 2, 109, 33, 35, 0, 0, 0, 0, 8, 2, 85, 164, 29, 0, 0, 0, 0, 177, 66, 0,
    0, 2, 86, 164, 0, 29, 0, 0, 0, 0, 218, 67, 0, 0, 2, 87, 164, 4, 29, 0, 0, 0, 0, 218, 67, 0, 0,
    2, 88, 164, 5, 0, 35, 0, 0, 0, 0, 4, 2, 91, 164, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 92, 164, 0, 0,
    3, 0, 71, 1, 0, 4, 82, 0, 0, 0, 32, 0, 9, 5, 71, 1, 0, 35, 0, 0, 0, 0, 64, 2, 135, 164, 29, 0,
    0, 0, 0, 33, 67, 0, 0, 2, 136, 164, 0, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 137, 164, 8, 29, 0, 0,
    0, 0, 195, 21, 0, 0, 2, 138, 164, 16, 29, 0, 0, 0, 0, 173, 23, 0, 0, 2, 139, 164, 32, 29, 0, 0,
    0, 0, 173, 23, 0, 0, 2, 140, 164, 40, 29, 0, 0, 0, 0, 195, 21, 0, 0, 2, 141, 164, 48, 0, 9, 98,
    71, 1, 0, 35, 0, 0, 0, 0, 72, 2, 12, 129, 29, 0, 0, 0, 0, 190, 104, 0, 0, 2, 13, 129, 0, 29, 0,
    0, 0, 0, 168, 0, 0, 0, 2, 14, 129, 24, 29, 0, 0, 0, 0, 152, 21, 0, 0, 2, 15, 129, 32, 29, 0, 0,
    0, 0, 152, 21, 0, 0, 2, 16, 129, 48, 29, 0, 0, 0, 0, 173, 71, 1, 0, 2, 17, 129, 64, 0, 9, 178,
    71, 1, 0, 38, 15, 93, 71, 1, 0, 0, 9, 190, 71, 1, 0, 35, 0, 0, 0, 0, 72, 2, 236, 24, 29, 0, 0,
    0, 0, 152, 21, 0, 0, 2, 237, 24, 0, 29, 0, 0, 0, 0, 131, 115, 0, 0, 2, 238, 24, 16, 29, 0, 0,
    0, 0, 81, 62, 0, 0, 2, 239, 24, 24, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 240, 24, 28, 29, 0, 0, 0,
    0, 9, 72, 1, 0, 2, 241, 24, 32, 0, 3, 242, 23, 0, 0, 4, 82, 0, 0, 0, 10, 0, 3, 152, 21, 0, 0,
    4, 82, 0, 0, 0, 4, 0, 35, 0, 0, 0, 0, 80, 2, 57, 2, 29, 0, 0, 0, 0, 82, 72, 1, 0, 2, 58, 2, 0,
    29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 59, 2, 72, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 60, 2, 76, 0, 3, 94,
    72, 1, 0, 4, 82, 0, 0, 0, 3, 0, 35, 0, 0, 0, 0, 24, 2, 52, 2, 29, 0, 0, 0, 0, 109, 22, 0, 0, 2,
    53, 2, 0, 29, 0, 0, 0, 0, 35, 201, 0, 0, 2, 54, 2, 8, 0, 35, 0, 0, 0, 0, 24, 2, 63, 2, 29, 0,
    0, 0, 0, 28, 22, 0, 0, 2, 64, 2, 0, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 65, 2, 16, 0, 9, 171, 72,
    1, 0, 35, 0, 0, 0, 0, 224, 2, 100, 175, 29, 0, 0, 0, 0, 167, 79, 0, 0, 2, 101, 175, 0, 29, 0,
    0, 0, 0, 85, 66, 0, 0, 2, 102, 175, 16, 29, 0, 0, 0, 0, 167, 79, 0, 0, 2, 103, 175, 32, 29, 0,
    0, 0, 0, 201, 58, 0, 0, 2, 104, 175, 48, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 105, 175, 56, 29, 0,
    0, 0, 0, 38, 1, 0, 0, 2, 106, 175, 60, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 107, 175, 64, 29, 0, 0,
    0, 0, 38, 1, 0, 0, 2, 108, 175, 68, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 109, 175, 72, 29, 0, 0, 0,
    0, 38, 1, 0, 0, 2, 110, 175, 76, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 111, 175, 80, 29, 0, 0, 0, 0,
    172, 73, 1, 0, 2, 112, 175, 88, 29, 0, 0, 0, 0, 19, 74, 1, 0, 2, 113, 175, 96, 29, 0, 0, 0, 0,
    121, 76, 0, 0, 2, 114, 175, 192, 29, 0, 0, 0, 0, 166, 72, 1, 0, 2, 115, 175, 200, 29, 0, 0, 0,
    0, 38, 1, 0, 0, 2, 116, 175, 208, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 117, 175, 212, 29, 0, 0, 0,
    0, 81, 62, 0, 0, 2, 118, 175, 216, 29, 0, 0, 0, 0, 70, 62, 0, 0, 2, 119, 175, 220, 0, 9, 177,
    73, 1, 0, 35, 0, 0, 0, 0, 48, 2, 93, 175, 29, 0, 0, 0, 0, 167, 79, 0, 0, 2, 94, 175, 0, 29, 0,
    0, 0, 0, 239, 73, 1, 0, 2, 95, 175, 16, 29, 0, 0, 0, 0, 233, 21, 0, 0, 2, 96, 175, 32, 29, 0,
    0, 0, 0, 38, 1, 0, 0, 2, 97, 175, 40, 0, 35, 0, 0, 0, 0, 16, 2, 121, 12, 29, 0, 0, 0, 0, 170,
    136, 0, 0, 2, 122, 12, 0, 29, 0, 0, 0, 0, 26, 1, 0, 0, 2, 123, 12, 8, 0, 3, 177, 73, 1, 0, 4,
    82, 0, 0, 0, 2, 0, 35, 0, 0, 0, 0, 8, 2, 70, 2, 29, 0, 0, 0, 0, 54, 74, 1, 0, 2, 71, 2, 0, 0,
    9, 59, 74, 1, 0, 35, 0, 0, 0, 0, 24, 2, 131, 195, 29, 0, 0, 0, 0, 254, 62, 0, 0, 2, 132, 195,
    0, 29, 0, 0, 0, 0, 33, 67, 0, 0, 2, 133, 195, 4, 29, 0, 0, 0, 0, 195, 21, 0, 0, 2, 134, 195, 8,
    0, 35, 0, 0, 0, 0, 16, 2, 74, 2, 29, 0, 0, 0, 0, 195, 21, 0, 0, 2, 75, 2, 0, 0, 9, 136, 74, 1,
    0, 35, 0, 0, 0, 0, 56, 2, 156, 34, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 157, 34, 0, 29, 0, 0, 0, 0,
    33, 67, 0, 0, 2, 158, 34, 4, 29, 0, 0, 0, 0, 225, 65, 0, 0, 2, 159, 34, 8, 29, 0, 0, 0, 0, 168,
    0, 0, 0, 2, 160, 34, 12, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 161, 34, 16, 29, 0, 0, 0, 0, 167, 79,
    0, 0, 2, 162, 34, 24, 29, 0, 0, 0, 0, 167, 79, 0, 0, 2, 163, 34, 40, 0, 9, 242, 74, 1, 0, 28,
    0, 0, 0, 0, 192, 2, 2, 19, 105, 29, 0, 0, 0, 0, 242, 23, 0, 0, 2, 20, 105, 0, 29, 0, 0, 0, 0,
    181, 51, 0, 0, 2, 21, 105, 4, 29, 0, 0, 0, 0, 190, 104, 0, 0, 2, 22, 105, 8, 29, 0, 0, 0, 0,
    140, 75, 1, 0, 2, 23, 105, 32, 29, 0, 0, 0, 0, 145, 75, 1, 0, 2, 24, 105, 40, 29, 0, 0, 0, 0,
    33, 67, 0, 0, 2, 29, 105, 128, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 30, 105, 132, 29, 0, 0, 0, 0,
    109, 154, 0, 0, 2, 31, 105, 136, 29, 0, 0, 0, 0, 109, 154, 0, 0, 2, 32, 105, 144, 29, 0, 0, 0,
    0, 109, 154, 0, 0, 2, 33, 105, 152, 29, 0, 0, 0, 0, 238, 75, 1, 0, 2, 34, 105, 160, 0, 9, 145,
    75, 1, 0, 35, 0, 0, 0, 0, 56, 2, 10, 105, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 11, 105, 0, 29, 0, 0,
    0, 0, 233, 75, 1, 0, 2, 12, 105, 8, 29, 0, 0, 0, 0, 216, 107, 0, 0, 2, 13, 105, 16, 29, 0, 0,
    0, 0, 216, 107, 0, 0, 2, 14, 105, 24, 29, 0, 0, 0, 0, 216, 107, 0, 0, 2, 15, 105, 32, 29, 0, 0,
    0, 0, 28, 22, 0, 0, 2, 16, 105, 40, 0, 9, 61, 78, 0, 0, 3, 61, 78, 0, 0, 4, 82, 0, 0, 0, 64, 0,
    9, 255, 75, 1, 0, 35, 0, 0, 0, 0, 128, 2, 41, 105, 29, 0, 0, 0, 0, 203, 147, 0, 0, 2, 42, 105,
    0, 29, 0, 0, 0, 0, 202, 104, 0, 0, 2, 43, 105, 16, 29, 0, 0, 0, 0, 61, 78, 0, 0, 2, 44, 105,
    40, 29, 0, 0, 0, 0, 173, 23, 0, 0, 2, 45, 105, 48, 29, 0, 0, 0, 0, 181, 51, 0, 0, 2, 47, 105,
    64, 29, 0, 0, 0, 0, 173, 23, 0, 0, 2, 48, 105, 72, 0, 9, 92, 76, 1, 0, 35, 0, 0, 0, 0, 72, 2,
    50, 21, 29, 0, 0, 0, 0, 242, 23, 0, 0, 2, 51, 21, 0, 29, 0, 0, 0, 0, 219, 76, 1, 0, 2, 52, 21,
    8, 29, 0, 0, 0, 0, 150, 77, 1, 0, 2, 53, 21, 16, 29, 0, 0, 0, 0, 180, 81, 1, 0, 2, 54, 21, 24,
    29, 0, 0, 0, 0, 67, 68, 1, 0, 2, 55, 21, 32, 29, 0, 0, 0, 0, 47, 85, 1, 0, 2, 56, 21, 40, 29,
    0, 0, 0, 0, 199, 193, 1, 0, 2, 57, 21, 48, 29, 0, 0, 0, 0, 199, 193, 1, 0, 2, 58, 21, 56, 29,
    0, 0, 0, 0, 85, 194, 1, 0, 2, 59, 21, 64, 0, 9, 224, 76, 1, 0, 28, 0, 0, 0, 0, 184, 1, 2, 202,
    24, 29, 0, 0, 0, 0, 221, 107, 0, 0, 2, 203, 24, 0, 29, 0, 0, 0, 0, 47, 77, 1, 0, 2, 204, 24, 4,
    31, 0, 0, 0, 0, 131, 115, 0, 0, 2, 205, 24, 144, 1, 31, 0, 0, 0, 0, 185, 71, 1, 0, 2, 206, 24,
    152, 1, 31, 0, 0, 0, 0, 50, 117, 0, 0, 2, 207, 24, 160, 1, 0, 28, 0, 0, 0, 0, 134, 1, 2, 193,
    24, 29, 0, 0, 0, 0, 138, 77, 1, 0, 2, 194, 24, 0, 29, 0, 0, 0, 0, 138, 77, 1, 0, 2, 195, 24,
    65, 29, 0, 0, 0, 0, 138, 77, 1, 0, 2, 196, 24, 130, 29, 0, 0, 0, 0, 138, 77, 1, 0, 2, 197, 24,
    195, 31, 0, 0, 0, 0, 138, 77, 1, 0, 2, 198, 24, 4, 1, 31, 0, 0, 0, 0, 138, 77, 1, 0, 2, 199,
    24, 69, 1, 0, 3, 75, 0, 0, 0, 4, 82, 0, 0, 0, 65, 0, 9, 155, 77, 1, 0, 28, 0, 0, 0, 0, 88, 3,
    2, 127, 109, 29, 0, 0, 0, 0, 254, 62, 0, 0, 2, 128, 109, 0, 29, 0, 0, 0, 0, 16, 79, 1, 0, 2,
    129, 109, 8, 31, 0, 0, 0, 0, 156, 0, 0, 0, 2, 130, 109, 168, 2, 31, 0, 0, 0, 0, 168, 0, 0, 0,
    2, 131, 109, 184, 2, 31, 0, 0, 0, 0, 38, 1, 0, 0, 2, 132, 109, 188, 2, 31, 0, 0, 0, 0, 38, 1,
    0, 0, 2, 133, 109, 192, 2, 31, 0, 0, 0, 0, 38, 1, 0, 0, 2, 134, 109, 196, 2, 31, 0, 0, 0, 0,
    242, 23, 0, 0, 2, 135, 109, 200, 2, 31, 0, 0, 0, 0, 242, 23, 0, 0, 2, 136, 109, 204, 2, 31, 0,
    0, 0, 0, 36, 54, 0, 0, 2, 137, 109, 208, 2, 31, 0, 0, 0, 0, 36, 54, 0, 0, 2, 138, 109, 216, 2,
    31, 0, 0, 0, 0, 90, 22, 0, 0, 2, 139, 109, 224, 2, 31, 0, 0, 0, 0, 168, 0, 0, 0, 2, 140, 109,
    232, 2, 31, 0, 0, 0, 0, 168, 0, 0, 0, 2, 141, 109, 236, 2, 31, 0, 0, 0, 0, 254, 181, 0, 0, 2,
    142, 109, 240, 2, 31, 0, 0, 0, 0, 118, 69, 0, 0, 2, 143, 109, 8, 3, 31, 0, 0, 0, 0, 38, 1, 0,
    0, 2, 144, 109, 16, 3, 31, 0, 0, 0, 0, 38, 1, 0, 0, 2, 145, 109, 20, 3, 31, 0, 0, 0, 0, 38, 1,
    0, 0, 2, 146, 109, 24, 3, 31, 0, 0, 0, 0, 38, 1, 0, 0, 2, 147, 109, 28, 3, 31, 0, 0, 0, 0, 38,
    1, 0, 0, 2, 148, 109, 32, 3, 31, 0, 0, 0, 0, 38, 1, 0, 0, 2, 149, 109, 36, 3, 31, 0, 0, 0, 0,
    131, 115, 0, 0, 2, 150, 109, 40, 3, 31, 0, 0, 0, 0, 185, 71, 1, 0, 2, 151, 109, 48, 3, 31, 0,
    0, 0, 0, 139, 79, 0, 0, 2, 152, 109, 56, 3, 31, 0, 0, 0, 0, 50, 117, 0, 0, 2, 153, 109, 64, 3,
    0, 3, 28, 79, 1, 0, 4, 82, 0, 0, 0, 3, 0, 35, 0, 0, 0, 0, 224, 2, 116, 109, 29, 0, 0, 0, 0,
    168, 0, 0, 0, 2, 117, 109, 0, 29, 0, 0, 0, 0, 236, 24, 0, 0, 2, 118, 109, 4, 29, 0, 0, 0, 0,
    57, 95, 0, 0, 2, 119, 109, 8, 29, 0, 0, 0, 0, 154, 147, 0, 0, 2, 120, 109, 48, 29, 0, 0, 0, 0,
    168, 0, 0, 0, 2, 121, 109, 72, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 122, 109, 76, 29, 0, 0, 0, 0,
    168, 0, 0, 0, 2, 123, 109, 80, 29, 0, 0, 0, 0, 142, 79, 1, 0, 2, 124, 109, 88, 0, 35, 0, 0, 0,
    0, 136, 2, 144, 34, 29, 0, 0, 0, 0, 13, 80, 1, 0, 2, 145, 34, 0, 29, 0, 0, 0, 0, 38, 1, 0, 0,
    2, 146, 34, 8, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 147, 34, 12, 29, 0, 0, 0, 0, 167, 80, 1, 0, 2,
    148, 34, 16, 29, 0, 0, 0, 0, 181, 51, 0, 0, 2, 149, 34, 56, 29, 0, 0, 0, 0, 117, 158, 0, 0, 2,
    150, 34, 64, 29, 0, 0, 0, 0, 128, 104, 0, 0, 2, 151, 34, 96, 29, 0, 0, 0, 0, 33, 67, 0, 0, 2,
    152, 34, 128, 29, 0, 0, 0, 0, 242, 23, 0, 0, 2, 153, 34, 132, 0, 9, 18, 80, 1, 0, 35, 0, 0, 0,
    0, 64, 2, 45, 146, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 46, 146, 0, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2,
    47, 146, 4, 29, 0, 0, 0, 0, 177, 66, 0, 0, 2, 48, 146, 8, 29, 0, 0, 0, 0, 195, 21, 0, 0, 2, 49,
    146, 16, 29, 0, 0, 0, 0, 28, 22, 0, 0, 2, 50, 146, 32, 29, 0, 0, 0, 0, 13, 80, 1, 0, 2, 51,
    146, 48, 29, 0, 0, 0, 0, 132, 80, 1, 0, 2, 52, 146, 56, 29, 0, 0, 0, 0, 141, 80, 1, 0, 2, 54,
    146, 64, 0, 54, 0, 0, 0, 0, 0, 2, 244, 14, 3, 153, 80, 1, 0, 4, 82, 0, 0, 0, 0, 0, 9, 158, 80,
    1, 0, 54, 0, 0, 0, 0, 0, 2, 93, 146, 35, 0, 0, 0, 0, 40, 2, 129, 34, 29, 0, 0, 0, 0, 229, 67,
    0, 0, 2, 130, 34, 0, 29, 0, 0, 0, 0, 229, 67, 0, 0, 2, 131, 34, 2, 29, 0, 0, 0, 0, 229, 67, 0,
    0, 2, 132, 34, 4, 29, 0, 0, 0, 0, 229, 67, 0, 0, 2, 133, 34, 6, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2,
    134, 34, 8, 29, 0, 0, 0, 0, 229, 67, 0, 0, 2, 135, 34, 12, 29, 0, 0, 0, 0, 181, 51, 0, 0, 2,
    136, 34, 14, 29, 0, 0, 0, 0, 51, 81, 1, 0, 2, 137, 34, 16, 29, 0, 0, 0, 0, 89, 81, 1, 0, 2,
    138, 34, 24, 29, 0, 0, 0, 0, 101, 81, 1, 0, 2, 139, 34, 32, 0, 39, 63, 81, 1, 0, 0, 0, 0, 0, 2,
    123, 34, 9, 68, 81, 1, 0, 14, 177, 66, 0, 0, 15, 45, 1, 0, 0, 15, 177, 66, 0, 0, 15, 177, 66,
    0, 0, 0, 39, 63, 81, 1, 0, 0, 0, 0, 0, 2, 125, 34, 39, 113, 81, 1, 0, 0, 0, 0, 0, 2, 127, 34,
    9, 118, 81, 1, 0, 14, 168, 0, 0, 0, 15, 134, 81, 1, 0, 15, 45, 1, 0, 0, 0, 9, 139, 81, 1, 0,
    35, 0, 0, 0, 0, 16, 2, 118, 34, 29, 0, 0, 0, 0, 175, 81, 1, 0, 2, 119, 34, 0, 29, 0, 0, 0, 0,
    45, 1, 0, 0, 2, 120, 34, 8, 0, 9, 142, 79, 1, 0, 9, 185, 81, 1, 0, 35, 0, 0, 0, 0, 128, 2, 216,
    174, 29, 0, 0, 0, 0, 242, 23, 0, 0, 2, 217, 174, 0, 29, 0, 0, 0, 0, 50, 117, 0, 0, 2, 218, 174,
    8, 29, 0, 0, 0, 0, 95, 82, 1, 0, 2, 219, 174, 32, 29, 0, 0, 0, 0, 195, 21, 0, 0, 2, 220, 174,
    40, 29, 0, 0, 0, 0, 33, 67, 0, 0, 2, 221, 174, 56, 29, 0, 0, 0, 0, 131, 115, 0, 0, 2, 222, 174,
    64, 29, 0, 0, 0, 0, 185, 71, 1, 0, 2, 223, 174, 72, 29, 0, 0, 0, 0, 109, 22, 0, 0, 2, 224, 174,
    80, 29, 0, 0, 0, 0, 190, 104, 0, 0, 2, 225, 174, 88, 29, 0, 0, 0, 0, 109, 22, 0, 0, 2, 226,
    174, 112, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 227, 174, 120, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 228,
    174, 124, 0, 9, 100, 82, 1, 0, 28, 0, 0, 0, 0, 56, 1, 2, 14, 175, 29, 0, 0, 0, 0, 152, 21, 0,
    0, 2, 15, 175, 0, 29, 0, 0, 0, 0, 95, 82, 1, 0, 2, 16, 175, 16, 29, 0, 0, 0, 0, 185, 64, 0, 0,
    2, 17, 175, 24, 29, 0, 0, 0, 0, 123, 69, 0, 0, 2, 18, 175, 32, 44, 171, 82, 1, 0, 2, 19, 175,
    56, 34, 16, 2, 19, 175, 29, 0, 0, 0, 0, 28, 22, 0, 0, 2, 20, 175, 0, 29, 0, 0, 0, 0, 139, 79,
    0, 0, 2, 21, 175, 0, 0, 29, 0, 0, 0, 0, 14, 84, 1, 0, 2, 23, 175, 72, 29, 0, 0, 0, 0, 195, 21,
    0, 0, 2, 24, 175, 80, 29, 0, 0, 0, 0, 195, 21, 0, 0, 2, 25, 175, 96, 29, 0, 0, 0, 0, 195, 21,
    0, 0, 2, 26, 175, 112, 29, 0, 0, 0, 0, 233, 21, 0, 0, 2, 27, 175, 128, 29, 0, 0, 0, 0, 195, 21,
    0, 0, 2, 28, 175, 136, 29, 0, 0, 0, 0, 195, 21, 0, 0, 2, 29, 175, 152, 29, 0, 0, 0, 0, 195, 21,
    0, 0, 2, 30, 175, 168, 29, 0, 0, 0, 0, 195, 21, 0, 0, 2, 31, 175, 184, 29, 0, 0, 0, 0, 195, 21,
    0, 0, 2, 32, 175, 200, 29, 0, 0, 0, 0, 95, 82, 1, 0, 2, 33, 175, 216, 29, 0, 0, 0, 0, 180, 81,
    1, 0, 2, 34, 175, 224, 29, 0, 0, 0, 0, 55, 84, 1, 0, 2, 35, 175, 232, 44, 125, 83, 1, 0, 2, 36,
    175, 240, 34, 16, 2, 36, 175, 29, 0, 0, 0, 0, 152, 21, 0, 0, 2, 37, 175, 0, 29, 0, 0, 0, 0,
    152, 21, 0, 0, 2, 38, 175, 0, 0, 31, 0, 0, 0, 0, 195, 21, 0, 0, 2, 40, 175, 0, 1, 31, 0, 0, 0,
    0, 122, 84, 1, 0, 2, 41, 175, 16, 1, 31, 0, 0, 0, 0, 27, 1, 0, 0, 2, 42, 175, 24, 1, 31, 0, 0,
    0, 0, 168, 0, 0, 0, 2, 43, 175, 28, 1, 31, 0, 0, 0, 0, 168, 0, 0, 0, 2, 44, 175, 32, 1, 31, 0,
    0, 0, 0, 168, 0, 0, 0, 2, 45, 175, 36, 1, 31, 0, 0, 0, 0, 90, 101, 0, 0, 2, 46, 175, 40, 1, 31,
    0, 0, 0, 0, 90, 101, 0, 0, 2, 47, 175, 48, 1, 0, 9, 19, 84, 1, 0, 35, 0, 0, 0, 0, 8, 2, 50,
    175, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 51, 175, 0, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 52, 175, 4,
    0, 9, 60, 84, 1, 0, 35, 0, 0, 0, 0, 40, 2, 55, 175, 29, 0, 0, 0, 0, 152, 21, 0, 0, 2, 56, 175,
    0, 29, 0, 0, 0, 0, 185, 64, 0, 0, 2, 57, 175, 16, 29, 0, 0, 0, 0, 90, 101, 0, 0, 2, 58, 175,
    24, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 59, 175, 32, 0, 9, 127, 84, 1, 0, 35, 0, 0, 0, 0, 32, 2,
    44, 133, 29, 0, 0, 0, 0, 33, 67, 0, 0, 2, 45, 133, 0, 29, 0, 0, 0, 0, 236, 24, 0, 0, 2, 46,
    133, 4, 29, 0, 0, 0, 0, 236, 24, 0, 0, 2, 47, 133, 6, 29, 0, 0, 0, 0, 243, 84, 1, 0, 2, 48,
    133, 8, 44, 197, 84, 1, 0, 2, 49, 133, 16, 34, 8, 2, 49, 133, 29, 0, 0, 0, 0, 30, 85, 1, 0, 2,
    50, 133, 0, 29, 0, 0, 0, 0, 122, 84, 1, 0, 2, 51, 133, 0, 0, 29, 0, 0, 0, 0, 90, 101, 0, 0, 2,
    53, 133, 24, 0, 39, 255, 84, 1, 0, 0, 0, 0, 0, 2, 7, 86, 30, 8, 2, 5, 86, 29, 0, 0, 0, 0, 18,
    85, 1, 0, 2, 6, 86, 0, 0, 3, 168, 0, 0, 0, 4, 82, 0, 0, 0, 2, 0, 9, 35, 85, 1, 0, 39, 122, 84,
    1, 0, 0, 0, 0, 0, 2, 42, 133, 9, 52, 85, 1, 0, 28, 0, 0, 0, 0, 128, 19, 2, 17, 39, 29, 0, 0, 0,
    0, 254, 62, 0, 0, 2, 18, 39, 0, 29, 0, 0, 0, 0, 254, 62, 0, 0, 2, 19, 39, 4, 29, 0, 0, 0, 0,
    33, 67, 0, 0, 2, 20, 39, 8, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 21, 39, 12, 29, 0, 0, 0, 0, 38, 1,
    0, 0, 2, 22, 39, 16, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 23, 39, 20, 29, 0, 0, 0, 0, 33, 67, 0, 0,
    2, 24, 39, 24, 29, 0, 0, 0, 0, 242, 23, 0, 0, 2, 25, 39, 28, 29, 0, 0, 0, 0, 195, 21, 0, 0, 2,
    26, 39, 32, 29, 0, 0, 0, 0, 195, 21, 0, 0, 2, 27, 39, 48, 29, 0, 0, 0, 0, 139, 79, 0, 0, 2, 28,
    39, 64, 29, 0, 0, 0, 0, 31, 115, 0, 0, 2, 29, 39, 72, 29, 0, 0, 0, 0, 131, 115, 0, 0, 2, 30,
    39, 80, 29, 0, 0, 0, 0, 185, 71, 1, 0, 2, 31, 39, 88, 29, 0, 0, 0, 0, 154, 147, 0, 0, 2, 32,
    39, 96, 29, 0, 0, 0, 0, 50, 117, 0, 0, 2, 33, 39, 120, 29, 0, 0, 0, 0, 195, 21, 0, 0, 2, 34,
    39, 144, 29, 0, 0, 0, 0, 97, 224, 0, 0, 2, 35, 39, 160, 29, 0, 0, 0, 0, 97, 224, 0, 0, 2, 36,
    39, 168, 29, 0, 0, 0, 0, 115, 88, 1, 0, 2, 37, 39, 176, 31, 0, 0, 0, 0, 27, 40, 0, 0, 2, 38,
    39, 16, 1, 31, 0, 0, 0, 0, 27, 40, 0, 0, 2, 39, 39, 24, 1, 31, 0, 0, 0, 0, 44, 91, 1, 0, 2, 40,
    39, 32, 1, 31, 0, 0, 0, 0, 85, 91, 1, 0, 2, 41, 39, 40, 1, 31, 0, 0, 0, 0, 85, 91, 1, 0, 2, 42,
    39, 48, 1, 31, 0, 0, 0, 0, 90, 91, 1, 0, 2, 43, 39, 56, 1, 31, 0, 0, 0, 0, 177, 66, 0, 0, 2,
    44, 39, 64, 1, 31, 0, 0, 0, 0, 162, 12, 0, 0, 2, 45, 39, 72, 1, 31, 0, 0, 0, 0, 195, 21, 0, 0,
    2, 46, 39, 80, 1, 31, 0, 0, 0, 0, 113, 91, 1, 0, 2, 47, 39, 96, 1, 31, 0, 0, 0, 0, 220, 91, 1,
    0, 2, 48, 39, 128, 1, 31, 0, 0, 0, 0, 121, 94, 1, 0, 2, 49, 39, 0, 2, 31, 0, 0, 0, 0, 157, 94,
    1, 0, 2, 50, 39, 40, 2, 31, 0, 0, 0, 0, 193, 94, 1, 0, 2, 51, 39, 56, 2, 31, 0, 0, 0, 0, 48,
    95, 1, 0, 2, 56, 39, 128, 2, 31, 0, 0, 0, 0, 125, 124, 1, 0, 2, 57, 39, 64, 6, 31, 0, 0, 0, 0,
    228, 168, 1, 0, 2, 58, 39, 64, 9, 31, 0, 0, 0, 0, 31, 169, 1, 0, 2, 59, 39, 80, 9, 31, 0, 0, 0,
    0, 74, 171, 1, 0, 2, 60, 39, 88, 10, 31, 0, 0, 0, 0, 110, 171, 1, 0, 2, 61, 39, 104, 10, 31, 0,
    0, 0, 0, 84, 175, 1, 0, 2, 62, 39, 128, 11, 31, 0, 0, 0, 0, 182, 175, 1, 0, 2, 63, 39, 112, 12,
    31, 0, 0, 0, 0, 172, 188, 1, 0, 2, 64, 39, 232, 13, 31, 0, 0, 0, 0, 30, 189, 1, 0, 2, 65, 39,
    80, 14, 31, 0, 0, 0, 0, 228, 90, 1, 0, 2, 66, 39, 88, 14, 31, 0, 0, 0, 0, 27, 40, 0, 0, 2, 67,
    39, 96, 14, 31, 0, 0, 0, 0, 27, 40, 0, 0, 2, 68, 39, 104, 14, 31, 0, 0, 0, 0, 195, 21, 0, 0, 2,
    69, 39, 112, 14, 31, 0, 0, 0, 0, 195, 21, 0, 0, 2, 70, 39, 128, 14, 31, 0, 0, 0, 0, 126, 146,
    1, 0, 2, 71, 39, 144, 14, 31, 0, 0, 0, 0, 53, 189, 1, 0, 2, 72, 39, 168, 14, 31, 0, 0, 0, 0,
    153, 189, 1, 0, 2, 73, 39, 176, 14, 31, 0, 0, 0, 0, 238, 189, 1, 0, 2, 76, 39, 0, 15, 31, 0, 0,
    0, 0, 185, 23, 0, 0, 2, 77, 39, 64, 18, 31, 0, 0, 0, 0, 58, 192, 1, 0, 2, 78, 39, 72, 18, 31,
    0, 0, 0, 0, 68, 192, 1, 0, 2, 79, 39, 80, 18, 31, 0, 0, 0, 0, 158, 192, 1, 0, 2, 80, 39, 112,
    18, 31, 0, 0, 0, 0, 163, 193, 1, 0, 2, 81, 39, 24, 19, 31, 0, 0, 0, 0, 27, 40, 0, 0, 2, 82, 39,
    64, 19, 31, 0, 0, 0, 0, 27, 40, 0, 0, 2, 83, 39, 72, 19, 0, 35, 0, 0, 0, 0, 96, 2, 183, 16, 29,
    0, 0, 0, 0, 151, 88, 1, 0, 2, 184, 16, 0, 29, 0, 0, 0, 0, 172, 88, 1, 0, 2, 185, 16, 8, 0, 9,
    156, 88, 1, 0, 14, 168, 0, 0, 0, 15, 167, 88, 1, 0, 0, 9, 115, 88, 1, 0, 35, 0, 0, 0, 0, 88, 2,
    178, 16, 29, 0, 0, 0, 0, 208, 88, 1, 0, 2, 179, 16, 0, 29, 0, 0, 0, 0, 206, 94, 0, 0, 2, 180,
    16, 80, 0, 35, 0, 0, 0, 0, 80, 2, 159, 16, 44, 226, 88, 1, 0, 2, 160, 16, 0, 34, 24, 2, 160,
    16, 44, 240, 88, 1, 0, 2, 161, 16, 0, 30, 24, 2, 161, 16, 29, 0, 0, 0, 0, 148, 89, 1, 0, 2,
    162, 16, 0, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 163, 16, 8, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 164,
    16, 12, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 165, 16, 16, 0, 29, 0, 0, 0, 0, 28, 22, 0, 0, 2, 167,
    16, 0, 0, 29, 0, 0, 0, 0, 54, 165, 0, 0, 2, 169, 16, 24, 29, 0, 0, 0, 0, 148, 89, 1, 0, 2, 170,
    16, 32, 29, 0, 0, 0, 0, 118, 90, 1, 0, 2, 171, 16, 40, 29, 0, 0, 0, 0, 167, 88, 1, 0, 2, 172,
    16, 48, 29, 0, 0, 0, 0, 254, 90, 1, 0, 2, 173, 16, 56, 29, 0, 0, 0, 0, 3, 91, 1, 0, 2, 174, 16,
    64, 29, 0, 0, 0, 0, 90, 101, 0, 0, 2, 175, 16, 72, 0, 9, 153, 89, 1, 0, 35, 0, 0, 0, 0, 64, 2,
    247, 18, 29, 0, 0, 0, 0, 233, 21, 0, 0, 2, 248, 18, 0, 29, 0, 0, 0, 0, 26, 1, 0, 0, 2, 249, 18,
    8, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 250, 18, 16, 29, 0, 0, 0, 0, 70, 62, 0, 0, 2, 251, 18, 20,
    29, 0, 0, 0, 0, 148, 89, 1, 0, 2, 252, 18, 24, 29, 0, 0, 0, 0, 24, 90, 1, 0, 2, 253, 18, 32,
    29, 0, 0, 0, 0, 77, 90, 1, 0, 2, 254, 18, 40, 29, 0, 0, 0, 0, 26, 1, 0, 0, 2, 255, 18, 48, 29,
    0, 0, 0, 0, 26, 1, 0, 0, 2, 0, 19, 56, 0, 9, 29, 90, 1, 0, 39, 41, 90, 1, 0, 0, 0, 0, 0, 2,
    243, 18, 14, 168, 0, 0, 0, 15, 148, 89, 1, 0, 15, 168, 0, 0, 0, 15, 26, 1, 0, 0, 15, 72, 90, 1,
    0, 15, 207, 112, 0, 0, 0, 9, 36, 54, 0, 0, 9, 82, 90, 1, 0, 35, 0, 0, 0, 0, 32, 2, 3, 19, 29,
    0, 0, 0, 0, 242, 23, 0, 0, 2, 4, 19, 0, 29, 0, 0, 0, 0, 190, 104, 0, 0, 2, 5, 19, 8, 0, 9, 123,
    90, 1, 0, 35, 0, 0, 0, 0, 120, 2, 13, 19, 29, 0, 0, 0, 0, 115, 88, 1, 0, 2, 14, 19, 0, 29, 0,
    0, 0, 0, 185, 90, 1, 0, 2, 15, 19, 96, 29, 0, 0, 0, 0, 201, 90, 1, 0, 2, 16, 19, 104, 29, 0, 0,
    0, 0, 233, 90, 1, 0, 2, 17, 19, 112, 0, 9, 190, 90, 1, 0, 14, 167, 88, 1, 0, 15, 118, 90, 1, 0,
    0, 9, 206, 90, 1, 0, 38, 15, 228, 90, 1, 0, 15, 148, 89, 1, 0, 15, 17, 192, 0, 0, 15, 22, 192,
    0, 0, 0, 9, 208, 88, 1, 0, 9, 238, 90, 1, 0, 14, 168, 0, 0, 0, 15, 228, 90, 1, 0, 15, 148, 89,
    1, 0, 0, 9, 172, 88, 1, 0, 9, 8, 91, 1, 0, 35, 0, 0, 0, 0, 32, 2, 8, 19, 29, 0, 0, 0, 0, 229,
    39, 0, 0, 2, 9, 19, 0, 29, 0, 0, 0, 0, 228, 90, 1, 0, 2, 10, 19, 24, 0, 9, 49, 91, 1, 0, 35, 0,
    0, 0, 0, 24, 2, 27, 247, 29, 0, 0, 0, 0, 195, 21, 0, 0, 2, 28, 247, 0, 29, 0, 0, 0, 0, 27, 40,
    0, 0, 2, 29, 247, 16, 0, 9, 90, 101, 0, 0, 35, 0, 0, 0, 0, 8, 2, 130, 33, 29, 0, 0, 0, 0, 249,
    181, 0, 0, 2, 131, 33, 0, 0, 35, 0, 0, 0, 0, 32, 2, 98, 36, 29, 0, 0, 0, 0, 228, 90, 1, 0, 2,
    99, 36, 0, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 100, 36, 8, 29, 0, 0, 0, 0, 176, 51, 0, 0, 2, 101,
    36, 16, 29, 0, 0, 0, 0, 175, 91, 1, 0, 2, 102, 36, 24, 0, 9, 180, 91, 1, 0, 22, 0, 0, 0, 0, 0,
    1, 2, 130, 123, 1, 0, 25, 0, 0, 0, 0, 208, 91, 1, 0, 2, 131, 123, 1, 0, 0, 0, 3, 168, 0, 0, 0,
    4, 82, 0, 0, 0, 64, 0, 35, 0, 0, 0, 0, 128, 2, 127, 36, 29, 0, 0, 0, 0, 182, 92, 1, 0, 2, 128,
    36, 0, 29, 0, 0, 0, 0, 222, 92, 1, 0, 2, 129, 36, 8, 29, 0, 0, 0, 0, 21, 93, 1, 0, 2, 130, 36,
    16, 29, 0, 0, 0, 0, 62, 93, 1, 0, 2, 131, 36, 24, 29, 0, 0, 0, 0, 62, 93, 1, 0, 2, 132, 36, 32,
    29, 0, 0, 0, 0, 102, 93, 1, 0, 2, 133, 36, 40, 29, 0, 0, 0, 0, 142, 93, 1, 0, 2, 134, 36, 48,
    29, 0, 0, 0, 0, 97, 224, 0, 0, 2, 135, 36, 56, 29, 0, 0, 0, 0, 62, 93, 1, 0, 2, 136, 36, 64,
    29, 0, 0, 0, 0, 62, 93, 1, 0, 2, 137, 36, 72, 29, 0, 0, 0, 0, 222, 92, 1, 0, 2, 138, 36, 80,
    29, 0, 0, 0, 0, 184, 93, 1, 0, 2, 139, 36, 88, 29, 0, 0, 0, 0, 224, 93, 1, 0, 2, 140, 36, 96,
    29, 0, 0, 0, 0, 253, 93, 1, 0, 2, 141, 36, 104, 29, 0, 0, 0, 0, 37, 94, 1, 0, 2, 142, 36, 112,
    29, 0, 0, 0, 0, 77, 94, 1, 0, 2, 143, 36, 120, 0, 9, 187, 92, 1, 0, 35, 0, 0, 0, 0, 128, 2, 43,
    44, 29, 0, 0, 0, 0, 210, 92, 1, 0, 2, 44, 44, 0, 0, 3, 90, 22, 0, 0, 4, 82, 0, 0, 0, 16, 0, 9,
    227, 92, 1, 0, 28, 0, 0, 0, 0, 40, 1, 2, 14, 44, 29, 0, 0, 0, 0, 9, 93, 1, 0, 2, 15, 44, 0, 31,
    0, 0, 0, 0, 243, 157, 0, 0, 2, 16, 44, 40, 1, 0, 3, 109, 22, 0, 0, 4, 82, 0, 0, 0, 37, 0, 9,
    26, 93, 1, 0, 28, 0, 0, 0, 0, 224, 3, 2, 51, 44, 29, 0, 0, 0, 0, 50, 93, 1, 0, 2, 52, 44, 0, 0,
    3, 90, 22, 0, 0, 4, 82, 0, 0, 0, 124, 0, 9, 67, 93, 1, 0, 35, 0, 0, 0, 0, 72, 2, 47, 44, 29, 0,
    0, 0, 0, 90, 93, 1, 0, 2, 48, 44, 0, 0, 3, 90, 22, 0, 0, 4, 82, 0, 0, 0, 9, 0, 9, 107, 93, 1,
    0, 35, 0, 0, 0, 0, 224, 2, 19, 44, 29, 0, 0, 0, 0, 130, 93, 1, 0, 2, 20, 44, 0, 0, 3, 90, 22,
    0, 0, 4, 82, 0, 0, 0, 28, 0, 9, 147, 93, 1, 0, 28, 0, 0, 0, 0, 0, 16, 2, 23, 44, 29, 0, 0, 0,
    0, 171, 93, 1, 0, 2, 24, 44, 0, 0, 3, 173, 23, 0, 0, 50, 82, 0, 0, 0, 0, 2, 0, 9, 189, 93, 1,
    0, 35, 0, 0, 0, 0, 48, 2, 27, 44, 29, 0, 0, 0, 0, 212, 93, 1, 0, 2, 28, 44, 0, 0, 3, 90, 22, 0,
    0, 4, 82, 0, 0, 0, 6, 0, 9, 229, 93, 1, 0, 28, 0, 0, 0, 0, 0, 16, 2, 35, 44, 29, 0, 0, 0, 0,
    171, 93, 1, 0, 2, 36, 44, 0, 0, 9, 2, 94, 1, 0, 35, 0, 0, 0, 0, 232, 2, 55, 44, 29, 0, 0, 0, 0,
    25, 94, 1, 0, 2, 56, 44, 0, 0, 3, 90, 22, 0, 0, 4, 82, 0, 0, 0, 29, 0, 9, 42, 94, 1, 0, 35, 0,
    0, 0, 0, 88, 2, 59, 44, 29, 0, 0, 0, 0, 65, 94, 1, 0, 2, 60, 44, 0, 0, 3, 90, 22, 0, 0, 4, 82,
    0, 0, 0, 11, 0, 9, 82, 94, 1, 0, 40, 0, 0, 0, 0, 112, 2, 84, 181, 1, 0, 25, 0, 0, 0, 0, 109,
    94, 1, 0, 2, 85, 181, 1, 0, 0, 0, 3, 90, 22, 0, 0, 4, 82, 0, 0, 0, 14, 0, 35, 0, 0, 0, 0, 40,
    2, 146, 36, 29, 0, 0, 0, 0, 128, 104, 0, 0, 2, 147, 36, 0, 29, 0, 0, 0, 0, 90, 101, 0, 0, 2,
    148, 36, 32, 0, 35, 0, 0, 0, 0, 16, 2, 151, 36, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 152, 36, 0,
    29, 0, 0, 0, 0, 228, 90, 1, 0, 2, 153, 36, 8, 0, 35, 0, 0, 0, 0, 40, 2, 156, 36, 29, 0, 0, 0,
    0, 206, 94, 0, 0, 2, 157, 36, 0, 29, 0, 0, 0, 0, 85, 91, 1, 0, 2, 158, 36, 8, 29, 0, 0, 0, 0,
    38, 1, 0, 0, 2, 159, 36, 16, 29, 0, 0, 0, 0, 177, 66, 0, 0, 2, 160, 36, 20, 29, 0, 0, 0, 0, 12,
    95, 1, 0, 2, 161, 36, 24, 0, 35, 0, 0, 0, 0, 16, 2, 113, 33, 29, 0, 0, 0, 0, 33, 67, 0, 0, 2,
    114, 33, 0, 29, 0, 0, 0, 0, 249, 181, 0, 0, 2, 115, 33, 8, 0, 28, 0, 0, 0, 0, 192, 3, 2, 222,
    36, 29, 0, 0, 0, 0, 228, 90, 1, 0, 2, 223, 36, 0, 29, 0, 0, 0, 0, 228, 90, 1, 0, 2, 224, 36, 8,
    29, 0, 0, 0, 0, 228, 90, 1, 0, 2, 225, 36, 16, 29, 0, 0, 0, 0, 228, 90, 1, 0, 2, 226, 36, 24,
    29, 0, 0, 0, 0, 228, 90, 1, 0, 2, 227, 36, 32, 29, 0, 0, 0, 0, 167, 102, 1, 0, 2, 228, 36, 40,
    29, 0, 0, 0, 0, 167, 102, 1, 0, 2, 229, 36, 48, 29, 0, 0, 0, 0, 241, 102, 1, 0, 2, 230, 36, 56,
    29, 0, 0, 0, 0, 128, 104, 0, 0, 2, 231, 36, 64, 29, 0, 0, 0, 0, 80, 103, 1, 0, 2, 232, 36, 96,
    29, 0, 0, 0, 0, 181, 51, 0, 0, 2, 233, 36, 104, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 234, 36, 108,
    29, 0, 0, 0, 0, 184, 112, 1, 0, 2, 235, 36, 112, 29, 0, 0, 0, 0, 184, 112, 1, 0, 2, 236, 36,
    120, 29, 0, 0, 0, 0, 181, 51, 0, 0, 2, 237, 36, 128, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 238, 36,
    132, 29, 0, 0, 0, 0, 85, 91, 1, 0, 2, 239, 36, 136, 29, 0, 0, 0, 0, 181, 51, 0, 0, 2, 240, 36,
    144, 29, 0, 0, 0, 0, 27, 40, 0, 0, 2, 241, 36, 152, 29, 0, 0, 0, 0, 21, 113, 1, 0, 2, 242, 36,
    160, 29, 0, 0, 0, 0, 27, 40, 0, 0, 2, 243, 36, 168, 29, 0, 0, 0, 0, 26, 113, 1, 0, 2, 244, 36,
    176, 29, 0, 0, 0, 0, 21, 113, 1, 0, 2, 245, 36, 184, 29, 0, 0, 0, 0, 124, 113, 1, 0, 2, 246,
    36, 192, 29, 0, 0, 0, 0, 98, 116, 1, 0, 2, 247, 36, 200, 29, 0, 0, 0, 0, 98, 116, 1, 0, 2, 248,
    36, 208, 29, 0, 0, 0, 0, 98, 116, 1, 0, 2, 249, 36, 216, 29, 0, 0, 0, 0, 98, 116, 1, 0, 2, 250,
    36, 224, 29, 0, 0, 0, 0, 98, 116, 1, 0, 2, 251, 36, 232, 29, 0, 0, 0, 0, 98, 116, 1, 0, 2, 252,
    36, 240, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 253, 36, 248, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 254,
    36, 252, 31, 0, 0, 0, 0, 168, 0, 0, 0, 2, 255, 36, 0, 1, 31, 0, 0, 0, 0, 168, 0, 0, 0, 2, 0,
    37, 4, 1, 31, 0, 0, 0, 0, 168, 0, 0, 0, 2, 1, 37, 8, 1, 31, 0, 0, 0, 0, 168, 0, 0, 0, 2, 2, 37,
    12, 1, 31, 0, 0, 0, 0, 185, 117, 1, 0, 2, 3, 37, 16, 1, 31, 0, 0, 0, 0, 168, 0, 0, 0, 2, 4, 37,
    36, 1, 31, 0, 0, 0, 0, 168, 0, 0, 0, 2, 5, 37, 40, 1, 31, 0, 0, 0, 0, 168, 0, 0, 0, 2, 6, 37,
    44, 1, 31, 0, 0, 0, 0, 168, 0, 0, 0, 2, 7, 37, 48, 1, 31, 0, 0, 0, 0, 168, 0, 0, 0, 2, 8, 37,
    52, 1, 31, 0, 0, 0, 0, 168, 0, 0, 0, 2, 9, 37, 56, 1, 31, 0, 0, 0, 0, 168, 0, 0, 0, 2, 10, 37,
    60, 1, 31, 0, 0, 0, 0, 168, 0, 0, 0, 2, 11, 37, 64, 1, 31, 0, 0, 0, 0, 168, 0, 0, 0, 2, 12, 37,
    68, 1, 31, 0, 0, 0, 0, 168, 0, 0, 0, 2, 13, 37, 72, 1, 31, 0, 0, 0, 0, 168, 0, 0, 0, 2, 14, 37,
    76, 1, 31, 0, 0, 0, 0, 168, 0, 0, 0, 2, 15, 37, 80, 1, 31, 0, 0, 0, 0, 168, 0, 0, 0, 2, 16, 37,
    84, 1, 31, 0, 0, 0, 0, 168, 0, 0, 0, 2, 17, 37, 88, 1, 31, 0, 0, 0, 0, 168, 0, 0, 0, 2, 18, 37,
    92, 1, 31, 0, 0, 0, 0, 168, 0, 0, 0, 2, 19, 37, 96, 1, 31, 0, 0, 0, 0, 168, 0, 0, 0, 2, 20, 37,
    100, 1, 31, 0, 0, 0, 0, 168, 0, 0, 0, 2, 21, 37, 104, 1, 31, 0, 0, 0, 0, 168, 0, 0, 0, 2, 22,
    37, 108, 1, 31, 0, 0, 0, 0, 168, 0, 0, 0, 2, 23, 37, 112, 1, 31, 0, 0, 0, 0, 168, 0, 0, 0, 2,
    24, 37, 116, 1, 31, 0, 0, 0, 0, 168, 0, 0, 0, 2, 25, 37, 120, 1, 31, 0, 0, 0, 0, 177, 66, 0, 0,
    2, 26, 37, 124, 1, 31, 0, 0, 0, 0, 168, 0, 0, 0, 2, 27, 37, 128, 1, 31, 0, 0, 0, 0, 168, 0, 0,
    0, 2, 28, 37, 132, 1, 31, 0, 0, 0, 0, 168, 0, 0, 0, 2, 29, 37, 136, 1, 31, 0, 0, 0, 0, 168, 0,
    0, 0, 2, 30, 37, 140, 1, 31, 0, 0, 0, 0, 168, 0, 0, 0, 2, 31, 37, 144, 1, 31, 0, 0, 0, 0, 168,
    0, 0, 0, 2, 32, 37, 148, 1, 31, 0, 0, 0, 0, 168, 0, 0, 0, 2, 33, 37, 152, 1, 31, 0, 0, 0, 0,
    168, 0, 0, 0, 2, 34, 37, 156, 1, 31, 0, 0, 0, 0, 168, 0, 0, 0, 2, 35, 37, 160, 1, 31, 0, 0, 0,
    0, 168, 0, 0, 0, 2, 36, 37, 164, 1, 31, 0, 0, 0, 0, 168, 0, 0, 0, 2, 37, 37, 168, 1, 31, 0, 0,
    0, 0, 38, 1, 0, 0, 2, 38, 37, 172, 1, 31, 0, 0, 0, 0, 168, 0, 0, 0, 2, 39, 37, 176, 1, 31, 0,
    0, 0, 0, 168, 0, 0, 0, 2, 40, 37, 180, 1, 31, 0, 0, 0, 0, 168, 0, 0, 0, 2, 41, 37, 184, 1, 31,
    0, 0, 0, 0, 168, 0, 0, 0, 2, 42, 37, 188, 1, 31, 0, 0, 0, 0, 168, 0, 0, 0, 2, 43, 37, 192, 1,
    31, 0, 0, 0, 0, 168, 0, 0, 0, 2, 44, 37, 196, 1, 31, 0, 0, 0, 0, 168, 0, 0, 0, 2, 45, 37, 200,
    1, 31, 0, 0, 0, 0, 168, 0, 0, 0, 2, 46, 37, 204, 1, 31, 0, 0, 0, 0, 168, 0, 0, 0, 2, 47, 37,
    208, 1, 31, 0, 0, 0, 0, 168, 0, 0, 0, 2, 48, 37, 212, 1, 31, 0, 0, 0, 0, 168, 0, 0, 0, 2, 49,
    37, 216, 1, 31, 0, 0, 0, 0, 168, 0, 0, 0, 2, 50, 37, 220, 1, 31, 0, 0, 0, 0, 168, 0, 0, 0, 2,
    51, 37, 224, 1, 31, 0, 0, 0, 0, 168, 0, 0, 0, 2, 52, 37, 228, 1, 31, 0, 0, 0, 0, 168, 0, 0, 0,
    2, 53, 37, 232, 1, 31, 0, 0, 0, 0, 168, 0, 0, 0, 2, 54, 37, 236, 1, 31, 0, 0, 0, 0, 168, 0, 0,
    0, 2, 55, 37, 240, 1, 31, 0, 0, 0, 0, 168, 0, 0, 0, 2, 56, 37, 244, 1, 31, 0, 0, 0, 0, 168, 0,
    0, 0, 2, 57, 37, 248, 1, 31, 0, 0, 0, 0, 168, 0, 0, 0, 2, 58, 37, 252, 1, 31, 0, 0, 0, 0, 168,
    0, 0, 0, 2, 59, 37, 0, 2, 31, 0, 0, 0, 0, 168, 0, 0, 0, 2, 60, 37, 4, 2, 31, 0, 0, 0, 0, 168,
    0, 0, 0, 2, 61, 37, 8, 2, 31, 0, 0, 0, 0, 168, 0, 0, 0, 2, 62, 37, 12, 2, 31, 0, 0, 0, 0, 168,
    0, 0, 0, 2, 63, 37, 16, 2, 31, 0, 0, 0, 0, 168, 0, 0, 0, 2, 64, 37, 20, 2, 31, 0, 0, 0, 0, 168,
    0, 0, 0, 2, 65, 37, 24, 2, 31, 0, 0, 0, 0, 168, 0, 0, 0, 2, 66, 37, 28, 2, 31, 0, 0, 0, 0, 168,
    0, 0, 0, 2, 67, 37, 32, 2, 31, 0, 0, 0, 0, 168, 0, 0, 0, 2, 68, 37, 36, 2, 31, 0, 0, 0, 0, 168,
    0, 0, 0, 2, 69, 37, 40, 2, 31, 0, 0, 0, 0, 178, 4, 1, 0, 2, 70, 37, 44, 2, 31, 0, 0, 0, 0, 178,
    4, 1, 0, 2, 71, 37, 56, 2, 31, 0, 0, 0, 0, 168, 0, 0, 0, 2, 72, 37, 68, 2, 31, 0, 0, 0, 0, 90,
    22, 0, 0, 2, 73, 37, 72, 2, 31, 0, 0, 0, 0, 90, 22, 0, 0, 2, 74, 37, 80, 2, 31, 0, 0, 0, 0,
    234, 117, 1, 0, 2, 80, 37, 128, 2, 31, 0, 0, 0, 0, 168, 0, 0, 0, 2, 81, 37, 0, 3, 31, 0, 0, 0,
    0, 168, 0, 0, 0, 2, 82, 37, 4, 3, 31, 0, 0, 0, 0, 149, 119, 1, 0, 2, 83, 37, 8, 3, 31, 0, 0, 0,
    0, 89, 123, 1, 0, 2, 84, 37, 16, 3, 31, 0, 0, 0, 0, 33, 67, 0, 0, 2, 85, 37, 24, 3, 31, 0, 0,
    0, 0, 38, 1, 0, 0, 2, 86, 37, 28, 3, 31, 0, 0, 0, 0, 242, 23, 0, 0, 2, 87, 37, 32, 3, 31, 0, 0,
    0, 0, 90, 22, 0, 0, 2, 88, 37, 40, 3, 31, 0, 0, 0, 0, 168, 0, 0, 0, 2, 89, 37, 48, 3, 31, 0, 0,
    0, 0, 168, 0, 0, 0, 2, 90, 37, 52, 3, 31, 0, 0, 0, 0, 168, 0, 0, 0, 2, 91, 37, 56, 3, 31, 0, 0,
    0, 0, 168, 0, 0, 0, 2, 92, 37, 60, 3, 31, 0, 0, 0, 0, 168, 0, 0, 0, 2, 93, 37, 64, 3, 31, 0, 0,
    0, 0, 168, 0, 0, 0, 2, 94, 37, 68, 3, 31, 0, 0, 0, 0, 168, 0, 0, 0, 2, 95, 37, 72, 3, 31, 0, 0,
    0, 0, 198, 123, 1, 0, 2, 96, 37, 76, 3, 31, 0, 0, 0, 0, 242, 23, 0, 0, 2, 97, 37, 92, 3, 31, 0,
    0, 0, 0, 216, 107, 0, 0, 2, 98, 37, 96, 3, 31, 0, 0, 0, 0, 168, 0, 0, 0, 2, 99, 37, 104, 3, 31,
    0, 0, 0, 0, 195, 21, 0, 0, 2, 100, 37, 112, 3, 31, 0, 0, 0, 0, 80, 103, 1, 0, 2, 101, 37, 128,
    3, 31, 0, 0, 0, 0, 168, 0, 0, 0, 2, 102, 37, 136, 3, 31, 0, 0, 0, 0, 168, 0, 0, 0, 2, 103, 37,
    140, 3, 31, 0, 0, 0, 0, 246, 123, 1, 0, 2, 104, 37, 144, 3, 31, 0, 0, 0, 0, 38, 1, 0, 0, 2,
    105, 37, 152, 3, 31, 0, 0, 0, 0, 246, 123, 1, 0, 2, 106, 37, 160, 3, 31, 0, 0, 0, 0, 38, 1, 0,
    0, 2, 107, 37, 168, 3, 31, 0, 0, 0, 0, 242, 23, 0, 0, 2, 108, 37, 172, 3, 31, 0, 0, 0, 0, 155,
    123, 1, 0, 2, 109, 37, 176, 3, 0, 9, 172, 102, 1, 0, 40, 0, 0, 0, 0, 144, 2, 23, 132, 1, 0, 25,
    0, 0, 0, 0, 26, 1, 0, 0, 2, 24, 132, 1, 0, 0, 25, 0, 0, 0, 0, 229, 102, 1, 0, 2, 25, 132, 1, 0,
    8, 25, 0, 0, 0, 0, 109, 154, 0, 0, 2, 26, 132, 1, 0, 136, 0, 3, 168, 0, 0, 0, 4, 82, 0, 0, 0,
    32, 0, 9, 246, 102, 1, 0, 35, 0, 0, 0, 0, 40, 2, 157, 157, 29, 0, 0, 0, 0, 241, 102, 1, 0, 2,
    158, 157, 0, 29, 0, 0, 0, 0, 27, 40, 0, 0, 2, 159, 157, 8, 44, 34, 103, 1, 0, 2, 160, 157, 16,
    34, 8, 2, 160, 157, 29, 0, 0, 0, 0, 241, 51, 0, 0, 2, 161, 157, 0, 29, 0, 0, 0, 0, 27, 40, 0,
    0, 2, 162, 157, 0, 0, 29, 0, 0, 0, 0, 28, 22, 0, 0, 2, 164, 157, 24, 0, 9, 85, 103, 1, 0, 35,
    0, 0, 0, 0, 184, 2, 155, 44, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 156, 44, 0, 29, 0, 0, 0, 0, 195,
    21, 0, 0, 2, 157, 44, 8, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 158, 44, 24, 29, 0, 0, 0, 0, 168, 0,
    0, 0, 2, 159, 44, 28, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 160, 44, 32, 29, 0, 0, 0, 0, 168, 0, 0,
    0, 2, 161, 44, 36, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 162, 44, 40, 29, 0, 0, 0, 0, 125, 104, 1, 0,
    2, 163, 44, 48, 29, 0, 0, 0, 0, 186, 109, 1, 0, 2, 164, 44, 56, 29, 0, 0, 0, 0, 207, 109, 1, 0,
    2, 165, 44, 64, 29, 0, 0, 0, 0, 233, 109, 1, 0, 2, 166, 44, 72, 29, 0, 0, 0, 0, 24, 111, 1, 0,
    2, 167, 44, 80, 29, 0, 0, 0, 0, 40, 111, 1, 0, 2, 168, 44, 88, 29, 0, 0, 0, 0, 66, 111, 1, 0,
    2, 169, 44, 96, 29, 0, 0, 0, 0, 92, 111, 1, 0, 2, 170, 44, 104, 29, 0, 0, 0, 0, 108, 111, 1, 0,
    2, 171, 44, 112, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 172, 44, 120, 29, 0, 0, 0, 0, 120, 111, 1, 0,
    2, 173, 44, 128, 29, 0, 0, 0, 0, 195, 21, 0, 0, 2, 174, 44, 136, 29, 0, 0, 0, 0, 120, 81, 0, 0,
    2, 175, 44, 152, 29, 0, 0, 0, 0, 47, 85, 1, 0, 2, 176, 44, 160, 29, 0, 0, 0, 0, 28, 22, 0, 0,
    2, 177, 44, 168, 0, 9, 130, 104, 1, 0, 14, 168, 0, 0, 0, 15, 156, 104, 1, 0, 15, 68, 106, 1, 0,
    15, 168, 0, 0, 0, 15, 93, 109, 1, 0, 0, 9, 161, 104, 1, 0, 35, 0, 0, 0, 0, 152, 2, 99, 52, 29,
    0, 0, 0, 0, 195, 21, 0, 0, 2, 100, 52, 0, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 101, 52, 16, 29, 0,
    0, 0, 0, 168, 0, 0, 0, 2, 102, 52, 20, 29, 0, 0, 0, 0, 177, 66, 0, 0, 2, 103, 52, 24, 29, 0, 0,
    0, 0, 177, 66, 0, 0, 2, 104, 52, 28, 29, 0, 0, 0, 0, 177, 66, 0, 0, 2, 105, 52, 32, 29, 0, 0,
    0, 0, 177, 66, 0, 0, 2, 106, 52, 36, 29, 0, 0, 0, 0, 218, 67, 0, 0, 2, 107, 52, 40, 29, 0, 0,
    0, 0, 218, 67, 0, 0, 2, 108, 52, 41, 29, 0, 0, 0, 0, 218, 67, 0, 0, 2, 109, 52, 42, 29, 0, 0,
    0, 0, 218, 67, 0, 0, 2, 110, 52, 43, 29, 0, 0, 0, 0, 177, 66, 0, 0, 2, 111, 52, 44, 29, 0, 0,
    0, 0, 240, 105, 1, 0, 2, 112, 52, 48, 29, 0, 0, 0, 0, 156, 104, 1, 0, 2, 113, 52, 56, 29, 0, 0,
    0, 0, 47, 85, 1, 0, 2, 114, 52, 64, 29, 0, 0, 0, 0, 254, 62, 0, 0, 2, 115, 52, 72, 29, 0, 0, 0,
    0, 177, 66, 0, 0, 2, 116, 52, 76, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 117, 52, 80, 29, 0, 0, 0, 0,
    168, 0, 0, 0, 2, 118, 52, 84, 29, 0, 0, 0, 0, 73, 21, 0, 0, 2, 119, 52, 88, 29, 0, 0, 0, 0, 73,
    21, 0, 0, 2, 120, 52, 104, 29, 0, 0, 0, 0, 252, 105, 1, 0, 2, 121, 52, 120, 29, 0, 0, 0, 0, 32,
    106, 1, 0, 2, 122, 52, 128, 29, 0, 0, 0, 0, 32, 106, 1, 0, 2, 123, 52, 132, 29, 0, 0, 0, 0, 28,
    22, 0, 0, 2, 124, 52, 136, 0, 39, 197, 0, 0, 0, 0, 0, 0, 0, 2, 105, 33, 35, 0, 0, 0, 0, 8, 2,
    94, 52, 29, 0, 0, 0, 0, 81, 62, 0, 0, 2, 95, 52, 0, 29, 0, 0, 0, 0, 81, 62, 0, 0, 2, 96, 52, 4,
    0, 35, 0, 0, 0, 0, 4, 2, 89, 52, 29, 0, 0, 0, 0, 225, 24, 0, 0, 2, 90, 52, 0, 29, 0, 0, 0, 0,
    225, 24, 0, 0, 2, 91, 52, 2, 0, 9, 73, 106, 1, 0, 35, 0, 0, 0, 0, 88, 2, 5, 44, 29, 0, 0, 0, 0,
    95, 106, 1, 0, 2, 11, 44, 0, 34, 88, 2, 6, 44, 29, 0, 0, 0, 0, 154, 106, 1, 0, 2, 7, 44, 0, 29,
    0, 0, 0, 0, 74, 107, 1, 0, 2, 8, 44, 0, 29, 0, 0, 0, 0, 95, 108, 1, 0, 2, 9, 44, 0, 29, 0, 0,
    0, 0, 31, 109, 1, 0, 2, 10, 44, 0, 0, 0, 35, 0, 0, 0, 0, 40, 2, 204, 43, 29, 0, 0, 0, 0, 168,
    0, 0, 0, 2, 205, 43, 0, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 206, 43, 4, 29, 0, 0, 0, 0, 27, 1, 0,
    0, 2, 207, 43, 8, 29, 0, 0, 0, 0, 158, 26, 0, 0, 2, 208, 43, 12, 29, 0, 0, 0, 0, 158, 26, 0, 0,
    2, 209, 43, 13, 29, 0, 0, 0, 0, 158, 26, 0, 0, 2, 210, 43, 14, 29, 0, 0, 0, 0, 158, 26, 0, 0,
    2, 211, 43, 15, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 212, 43, 16, 29, 0, 0, 0, 0, 81, 62, 0, 0, 2,
    213, 43, 20, 29, 0, 0, 0, 0, 51, 107, 1, 0, 2, 214, 43, 24, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2,
    215, 43, 32, 0, 35, 0, 0, 0, 0, 8, 2, 200, 43, 29, 0, 0, 0, 0, 240, 105, 1, 0, 2, 201, 43, 0,
    0, 35, 0, 0, 0, 0, 56, 2, 238, 43, 29, 0, 0, 0, 0, 154, 106, 1, 0, 2, 239, 43, 0, 29, 0, 0, 0,
    0, 21, 48, 0, 0, 2, 240, 43, 40, 29, 0, 0, 0, 0, 21, 48, 0, 0, 2, 241, 43, 44, 29, 0, 0, 0, 0,
    136, 107, 1, 0, 2, 242, 43, 48, 0, 52, 0, 0, 0, 0, 4, 2, 218, 43, 29, 0, 0, 0, 0, 158, 107, 1,
    0, 2, 222, 43, 0, 30, 4, 2, 219, 43, 29, 0, 0, 0, 0, 57, 48, 0, 0, 2, 220, 43, 0, 29, 0, 0, 0,
    0, 57, 48, 0, 0, 2, 221, 43, 2, 0, 29, 0, 0, 0, 0, 203, 107, 1, 0, 2, 226, 43, 0, 30, 2, 2,
    223, 43, 29, 0, 0, 0, 0, 158, 26, 0, 0, 2, 224, 43, 0, 29, 0, 0, 0, 0, 158, 26, 0, 0, 2, 225,
    43, 1, 0, 29, 0, 0, 0, 0, 248, 107, 1, 0, 2, 230, 43, 0, 30, 4, 2, 227, 43, 29, 0, 0, 0, 0, 83,
    108, 1, 0, 2, 228, 43, 0, 29, 0, 0, 0, 0, 83, 108, 1, 0, 2, 229, 43, 2, 0, 29, 0, 0, 0, 0, 21,
    48, 0, 0, 2, 231, 43, 0, 29, 0, 0, 0, 0, 21, 48, 0, 0, 2, 232, 43, 0, 29, 0, 0, 0, 0, 63, 108,
    1, 0, 2, 235, 43, 0, 30, 1, 2, 233, 43, 29, 0, 0, 0, 0, 158, 26, 0, 0, 2, 234, 43, 0, 0, 0, 39,
    225, 24, 0, 0, 0, 0, 0, 0, 2, 99, 33, 35, 0, 0, 0, 0, 88, 2, 245, 43, 29, 0, 0, 0, 0, 154, 106,
    1, 0, 2, 246, 43, 0, 29, 0, 0, 0, 0, 183, 108, 1, 0, 2, 247, 43, 40, 29, 0, 0, 0, 0, 183, 108,
    1, 0, 2, 248, 43, 56, 29, 0, 0, 0, 0, 21, 48, 0, 0, 2, 249, 43, 72, 29, 0, 0, 0, 0, 136, 107,
    1, 0, 2, 250, 43, 76, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 251, 43, 80, 0, 35, 0, 0, 0, 0, 16, 2,
    142, 33, 29, 0, 0, 0, 0, 205, 108, 1, 0, 2, 147, 33, 0, 34, 16, 2, 143, 33, 29, 0, 0, 0, 0,
    251, 108, 1, 0, 2, 144, 33, 0, 29, 0, 0, 0, 0, 7, 109, 1, 0, 2, 145, 33, 0, 29, 0, 0, 0, 0, 19,
    109, 1, 0, 2, 146, 33, 0, 0, 0, 3, 158, 26, 0, 0, 4, 82, 0, 0, 0, 16, 0, 3, 57, 48, 0, 0, 4,
    82, 0, 0, 0, 8, 0, 3, 21, 48, 0, 0, 4, 82, 0, 0, 0, 4, 0, 35, 0, 0, 0, 0, 48, 2, 254, 43, 29,
    0, 0, 0, 0, 154, 106, 1, 0, 2, 255, 43, 0, 29, 0, 0, 0, 0, 83, 108, 1, 0, 2, 0, 44, 40, 29, 0,
    0, 0, 0, 83, 108, 1, 0, 2, 1, 44, 42, 29, 0, 0, 0, 0, 136, 107, 1, 0, 2, 2, 44, 44, 0, 9, 98,
    109, 1, 0, 35, 0, 0, 0, 0, 40, 2, 127, 52, 29, 0, 0, 0, 0, 26, 1, 0, 0, 2, 128, 52, 0, 29, 0,
    0, 0, 0, 45, 1, 0, 0, 2, 129, 52, 8, 29, 0, 0, 0, 0, 26, 1, 0, 0, 2, 130, 52, 16, 29, 0, 0, 0,
    0, 156, 104, 1, 0, 2, 131, 52, 24, 29, 0, 0, 0, 0, 177, 66, 0, 0, 2, 132, 52, 32, 29, 0, 0, 0,
    0, 168, 0, 0, 0, 2, 133, 52, 36, 0, 9, 191, 109, 1, 0, 14, 181, 51, 0, 0, 15, 156, 104, 1, 0,
    15, 93, 109, 1, 0, 0, 9, 212, 109, 1, 0, 14, 168, 0, 0, 0, 15, 156, 104, 1, 0, 15, 68, 106, 1,
    0, 15, 168, 0, 0, 0, 0, 9, 238, 109, 1, 0, 14, 168, 0, 0, 0, 15, 156, 104, 1, 0, 15, 26, 34, 0,
    0, 15, 13, 110, 1, 0, 15, 145, 110, 1, 0, 15, 191, 110, 1, 0, 0, 9, 18, 110, 1, 0, 35, 0, 0, 0,
    0, 12, 2, 77, 52, 29, 0, 0, 0, 0, 158, 26, 0, 0, 2, 78, 52, 0, 29, 0, 0, 0, 0, 158, 26, 0, 0,
    2, 79, 52, 1, 29, 0, 0, 0, 0, 158, 26, 0, 0, 2, 80, 52, 2, 29, 0, 0, 0, 0, 158, 26, 0, 0, 2,
    81, 52, 3, 29, 0, 0, 0, 0, 158, 26, 0, 0, 2, 82, 52, 4, 29, 0, 0, 0, 0, 158, 26, 0, 0, 2, 83,
    52, 5, 29, 0, 0, 0, 0, 158, 26, 0, 0, 2, 84, 52, 6, 29, 0, 0, 0, 0, 158, 26, 0, 0, 2, 85, 52,
    7, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 86, 52, 8, 0, 9, 150, 110, 1, 0, 9, 155, 110, 1, 0, 35, 0,
    0, 0, 0, 4, 2, 99, 48, 29, 0, 0, 0, 0, 225, 24, 0, 0, 2, 100, 48, 0, 29, 0, 0, 0, 0, 225, 24,
    0, 0, 2, 101, 48, 2, 0, 9, 196, 110, 1, 0, 35, 0, 0, 0, 0, 40, 2, 176, 47, 29, 0, 0, 0, 0, 233,
    21, 0, 0, 2, 177, 47, 0, 29, 0, 0, 0, 0, 2, 111, 1, 0, 2, 178, 47, 8, 29, 0, 0, 0, 0, 12, 111,
    1, 0, 2, 179, 47, 16, 29, 0, 0, 0, 0, 218, 67, 0, 0, 2, 180, 47, 36, 0, 9, 7, 111, 1, 0, 37,
    155, 110, 1, 0, 3, 218, 67, 0, 0, 4, 82, 0, 0, 0, 20, 0, 9, 29, 111, 1, 0, 14, 168, 0, 0, 0,
    15, 156, 104, 1, 0, 0, 9, 45, 111, 1, 0, 14, 168, 0, 0, 0, 15, 156, 104, 1, 0, 15, 13, 110, 1,
    0, 15, 145, 110, 1, 0, 0, 9, 71, 111, 1, 0, 14, 168, 0, 0, 0, 15, 156, 104, 1, 0, 15, 26, 34,
    0, 0, 15, 13, 110, 1, 0, 0, 9, 97, 111, 1, 0, 14, 36, 54, 0, 0, 15, 156, 104, 1, 0, 0, 9, 113,
    111, 1, 0, 38, 15, 80, 103, 1, 0, 0, 9, 125, 111, 1, 0, 37, 130, 111, 1, 0, 35, 0, 0, 0, 0, 16,
    2, 16, 51, 29, 0, 0, 0, 0, 218, 67, 0, 0, 2, 17, 51, 0, 29, 0, 0, 0, 0, 218, 67, 0, 0, 2, 18,
    51, 1, 29, 0, 0, 0, 0, 229, 67, 0, 0, 2, 19, 51, 2, 44, 187, 111, 1, 0, 2, 20, 51, 8, 34, 8, 2,
    20, 51, 29, 0, 0, 0, 0, 52, 208, 0, 0, 2, 21, 51, 0, 29, 0, 0, 0, 0, 233, 21, 0, 0, 2, 22, 51,
    0, 29, 0, 0, 0, 0, 120, 111, 1, 0, 2, 23, 51, 0, 29, 0, 0, 0, 0, 70, 112, 1, 0, 2, 24, 51, 0,
    29, 0, 0, 0, 0, 111, 112, 1, 0, 2, 25, 51, 0, 44, 10, 112, 1, 0, 2, 26, 51, 0, 30, 4, 2, 26,
    51, 29, 0, 0, 0, 0, 152, 112, 1, 0, 2, 27, 51, 0, 29, 0, 0, 0, 0, 152, 112, 1, 0, 2, 28, 51, 2,
    0, 29, 0, 0, 0, 0, 163, 112, 1, 0, 2, 30, 51, 0, 29, 0, 0, 0, 0, 229, 67, 0, 0, 2, 31, 51, 0,
    0, 0, 9, 75, 112, 1, 0, 35, 0, 0, 0, 0, 16, 2, 6, 51, 29, 0, 0, 0, 0, 109, 22, 0, 0, 2, 7, 51,
    0, 29, 0, 0, 0, 0, 109, 22, 0, 0, 2, 8, 51, 8, 0, 9, 116, 112, 1, 0, 35, 0, 0, 0, 0, 16, 2, 11,
    51, 29, 0, 0, 0, 0, 213, 23, 0, 0, 2, 12, 51, 0, 29, 0, 0, 0, 0, 213, 23, 0, 0, 2, 13, 51, 8,
    0, 12, 248, 26, 0, 0, 0, 0, 0, 0, 2, 24, 9, 168, 112, 1, 0, 14, 168, 0, 0, 0, 15, 2, 111, 1, 0,
    15, 191, 110, 1, 0, 0, 9, 189, 112, 1, 0, 35, 0, 0, 0, 0, 48, 2, 167, 157, 29, 0, 0, 0, 0, 152,
    21, 0, 0, 2, 168, 157, 0, 29, 0, 0, 0, 0, 177, 66, 0, 0, 2, 169, 157, 16, 29, 0, 0, 0, 0, 168,
    0, 0, 0, 2, 170, 157, 20, 29, 0, 0, 0, 0, 28, 22, 0, 0, 2, 171, 157, 24, 29, 0, 0, 0, 0, 216,
    107, 0, 0, 2, 172, 157, 40, 29, 0, 0, 0, 0, 142, 205, 0, 0, 2, 173, 157, 48, 0, 9, 27, 40, 0,
    0, 9, 31, 113, 1, 0, 35, 0, 0, 0, 0, 24, 2, 176, 157, 29, 0, 0, 0, 0, 206, 94, 0, 0, 2, 177,
    157, 0, 29, 0, 0, 0, 0, 80, 113, 1, 0, 2, 178, 157, 8, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 179,
    157, 16, 0, 39, 92, 113, 1, 0, 0, 0, 0, 0, 2, 129, 7, 30, 8, 2, 126, 7, 29, 0, 0, 0, 0, 16, 66,
    0, 0, 2, 127, 7, 0, 29, 0, 0, 0, 0, 33, 67, 0, 0, 2, 128, 7, 4, 0, 9, 129, 113, 1, 0, 28, 0, 0,
    0, 0, 64, 1, 2, 65, 44, 29, 0, 0, 0, 0, 19, 1, 0, 0, 2, 66, 44, 0, 29, 0, 0, 0, 0, 19, 1, 0, 0,
    2, 67, 44, 8, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 68, 44, 16, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 69,
    44, 20, 29, 0, 0, 0, 0, 16, 114, 1, 0, 2, 70, 44, 24, 29, 0, 0, 0, 0, 47, 85, 1, 0, 2, 71, 44,
    32, 29, 0, 0, 0, 0, 181, 51, 0, 0, 2, 72, 44, 40, 29, 0, 0, 0, 0, 142, 79, 1, 0, 2, 76, 44, 64,
    31, 0, 0, 0, 0, 173, 23, 0, 0, 2, 84, 44, 0, 1, 31, 0, 0, 0, 0, 117, 158, 0, 0, 2, 85, 44, 8,
    1, 0, 9, 21, 114, 1, 0, 35, 0, 0, 0, 0, 128, 2, 93, 44, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 94, 44,
    0, 29, 0, 0, 0, 0, 148, 114, 1, 0, 2, 95, 44, 8, 29, 0, 0, 0, 0, 86, 116, 1, 0, 2, 96, 44, 16,
    29, 0, 0, 0, 0, 196, 156, 0, 0, 2, 97, 44, 24, 29, 0, 0, 0, 0, 251, 68, 1, 0, 2, 98, 44, 32,
    29, 0, 0, 0, 0, 233, 21, 0, 0, 2, 99, 44, 40, 29, 0, 0, 0, 0, 167, 80, 1, 0, 2, 100, 44, 48,
    29, 0, 0, 0, 0, 254, 62, 0, 0, 2, 101, 44, 88, 29, 0, 0, 0, 0, 4, 162, 0, 0, 2, 102, 44, 96, 0,
    9, 153, 114, 1, 0, 38, 15, 165, 114, 1, 0, 15, 45, 1, 0, 0, 0, 9, 170, 114, 1, 0, 35, 0, 0, 0,
    0, 176, 2, 122, 44, 29, 0, 0, 0, 0, 151, 115, 1, 0, 2, 123, 44, 0, 29, 0, 0, 0, 0, 205, 114, 1,
    0, 2, 127, 44, 8, 34, 44, 2, 124, 44, 29, 0, 0, 0, 0, 179, 115, 1, 0, 2, 125, 44, 0, 29, 0, 0,
    0, 0, 11, 116, 1, 0, 2, 126, 44, 0, 0, 29, 0, 0, 0, 0, 134, 156, 0, 0, 2, 128, 44, 56, 29, 0,
    0, 0, 0, 33, 67, 0, 0, 2, 129, 44, 96, 29, 0, 0, 0, 0, 254, 62, 0, 0, 2, 130, 44, 100, 29, 0,
    0, 0, 0, 206, 94, 0, 0, 2, 131, 44, 104, 29, 0, 0, 0, 0, 26, 34, 0, 0, 2, 132, 44, 112, 29, 0,
    0, 0, 0, 26, 34, 0, 0, 2, 133, 44, 120, 29, 0, 0, 0, 0, 183, 198, 0, 0, 2, 134, 44, 128, 29, 0,
    0, 0, 0, 168, 0, 0, 0, 2, 135, 44, 136, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 136, 44, 140, 29, 0,
    0, 0, 0, 158, 26, 0, 0, 2, 137, 44, 144, 29, 0, 0, 0, 0, 229, 67, 0, 0, 2, 138, 44, 146, 29, 0,
    0, 0, 0, 124, 113, 1, 0, 2, 139, 44, 152, 29, 0, 0, 0, 0, 28, 22, 0, 0, 2, 140, 44, 160, 0, 35,
    0, 0, 0, 0, 8, 2, 112, 34, 29, 0, 0, 0, 0, 174, 115, 1, 0, 2, 113, 34, 0, 0, 9, 151, 115, 1, 0,
    35, 0, 0, 0, 0, 20, 2, 105, 44, 29, 0, 0, 0, 0, 21, 48, 0, 0, 2, 106, 44, 0, 29, 0, 0, 0, 0,
    21, 48, 0, 0, 2, 107, 44, 4, 29, 0, 0, 0, 0, 177, 66, 0, 0, 2, 108, 44, 8, 29, 0, 0, 0, 0, 177,
    66, 0, 0, 2, 109, 44, 12, 29, 0, 0, 0, 0, 57, 48, 0, 0, 2, 110, 44, 16, 29, 0, 0, 0, 0, 229,
    67, 0, 0, 2, 111, 44, 18, 0, 35, 0, 0, 0, 0, 44, 2, 114, 44, 29, 0, 0, 0, 0, 183, 108, 1, 0, 2,
    115, 44, 0, 29, 0, 0, 0, 0, 183, 108, 1, 0, 2, 116, 44, 16, 29, 0, 0, 0, 0, 177, 66, 0, 0, 2,
    117, 44, 32, 29, 0, 0, 0, 0, 21, 48, 0, 0, 2, 118, 44, 36, 29, 0, 0, 0, 0, 177, 66, 0, 0, 2,
    119, 44, 40, 0, 9, 91, 116, 1, 0, 38, 15, 165, 114, 1, 0, 0, 9, 103, 116, 1, 0, 40, 0, 0, 0, 0,
    88, 2, 160, 127, 1, 0, 25, 0, 0, 0, 0, 195, 21, 0, 0, 2, 161, 127, 1, 0, 0, 25, 0, 0, 0, 0, 38,
    1, 0, 0, 2, 162, 127, 1, 0, 16, 25, 0, 0, 0, 0, 235, 116, 1, 0, 2, 163, 127, 1, 0, 24, 25, 0,
    0, 0, 0, 120, 81, 0, 0, 2, 164, 127, 1, 0, 32, 25, 0, 0, 0, 0, 145, 117, 1, 0, 2, 165, 127, 1,
    0, 40, 25, 0, 0, 0, 0, 168, 0, 0, 0, 2, 166, 127, 1, 0, 44, 25, 0, 0, 0, 0, 157, 117, 1, 0, 2,
    167, 127, 1, 0, 48, 25, 0, 0, 0, 0, 173, 117, 1, 0, 2, 168, 127, 1, 0, 56, 0, 9, 240, 116, 1,
    0, 40, 0, 0, 0, 0, 64, 2, 174, 131, 1, 0, 25, 0, 0, 0, 0, 38, 1, 0, 0, 2, 175, 131, 1, 0, 0,
    25, 0, 0, 0, 0, 38, 1, 0, 0, 2, 176, 131, 1, 0, 4, 25, 0, 0, 0, 0, 38, 1, 0, 0, 2, 177, 131, 1,
    0, 8, 25, 0, 0, 0, 0, 116, 117, 1, 0, 2, 178, 131, 1, 0, 12, 25, 0, 0, 0, 0, 116, 117, 1, 0, 2,
    179, 131, 1, 0, 32, 25, 0, 0, 0, 0, 38, 1, 0, 0, 2, 180, 131, 1, 0, 52, 25, 0, 0, 0, 0, 128,
    117, 1, 0, 2, 181, 131, 1, 0, 56, 25, 0, 0, 0, 0, 133, 117, 1, 0, 2, 182, 131, 1, 0, 64, 0, 3,
    38, 1, 0, 0, 4, 82, 0, 0, 0, 5, 0, 9, 230, 37, 1, 0, 3, 169, 26, 0, 0, 4, 82, 0, 0, 0, 0, 0,
    39, 218, 67, 0, 0, 0, 0, 0, 0, 2, 111, 45, 9, 162, 117, 1, 0, 14, 168, 0, 0, 0, 15, 47, 85, 1,
    0, 0, 3, 238, 21, 0, 0, 4, 82, 0, 0, 0, 32, 0, 35, 0, 0, 0, 0, 20, 2, 164, 36, 29, 0, 0, 0, 0,
    80, 113, 1, 0, 2, 165, 36, 0, 29, 0, 0, 0, 0, 18, 85, 1, 0, 2, 166, 36, 8, 29, 0, 0, 0, 0, 181,
    51, 0, 0, 2, 167, 36, 16, 0, 35, 0, 0, 0, 0, 128, 2, 172, 36, 29, 0, 0, 0, 0, 242, 23, 0, 0, 2,
    173, 36, 0, 29, 0, 0, 0, 0, 27, 118, 1, 0, 2, 182, 36, 64, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2,
    183, 36, 72, 0, 9, 32, 118, 1, 0, 28, 0, 0, 0, 0, 64, 2, 2, 143, 157, 29, 0, 0, 0, 0, 173, 118,
    1, 0, 2, 144, 157, 0, 29, 0, 0, 0, 0, 9, 153, 0, 0, 2, 145, 157, 8, 29, 0, 0, 0, 0, 38, 1, 0,
    0, 2, 146, 157, 16, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 147, 157, 20, 29, 0, 0, 0, 0, 251, 68, 1,
    0, 2, 148, 157, 24, 29, 0, 0, 0, 0, 14, 119, 1, 0, 2, 149, 157, 32, 29, 0, 0, 0, 0, 38, 1, 0,
    0, 2, 150, 157, 40, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 151, 157, 44, 29, 0, 0, 0, 0, 55, 119, 1,
    0, 2, 152, 157, 48, 29, 0, 0, 0, 0, 137, 119, 1, 0, 2, 154, 157, 64, 0, 9, 178, 118, 1, 0, 35,
    0, 0, 0, 0, 8, 2, 17, 158, 29, 0, 0, 0, 0, 201, 118, 1, 0, 2, 18, 158, 0, 0, 35, 0, 0, 0, 0, 8,
    2, 124, 45, 29, 0, 0, 0, 0, 224, 118, 1, 0, 2, 125, 45, 0, 0, 9, 229, 118, 1, 0, 35, 0, 0, 0,
    0, 16, 2, 150, 33, 29, 0, 0, 0, 0, 224, 118, 1, 0, 2, 151, 33, 0, 29, 0, 0, 0, 0, 9, 119, 1, 0,
    2, 152, 33, 8, 0, 9, 224, 118, 1, 0, 9, 19, 119, 1, 0, 35, 0, 0, 0, 0, 16, 2, 21, 158, 29, 0,
    0, 0, 0, 33, 67, 0, 0, 2, 22, 158, 0, 29, 0, 0, 0, 0, 90, 101, 0, 0, 2, 23, 158, 8, 0, 9, 60,
    119, 1, 0, 35, 0, 0, 0, 0, 16, 2, 130, 157, 29, 0, 0, 0, 0, 33, 67, 0, 0, 2, 131, 157, 0, 29,
    0, 0, 0, 0, 38, 1, 0, 0, 2, 132, 157, 4, 44, 104, 119, 1, 0, 2, 133, 157, 8, 34, 8, 2, 133,
    157, 29, 0, 0, 0, 0, 90, 101, 0, 0, 2, 134, 157, 0, 29, 0, 0, 0, 0, 201, 118, 1, 0, 2, 135,
    157, 0, 0, 0, 3, 60, 119, 1, 0, 4, 82, 0, 0, 0, 32, 0, 9, 154, 119, 1, 0, 37, 159, 119, 1, 0,
    35, 0, 0, 0, 0, 152, 2, 195, 44, 29, 0, 0, 0, 0, 195, 21, 0, 0, 2, 196, 44, 0, 29, 0, 0, 0, 0,
    177, 66, 0, 0, 2, 197, 44, 16, 29, 0, 0, 0, 0, 177, 66, 0, 0, 2, 198, 44, 20, 29, 0, 0, 0, 0,
    241, 51, 0, 0, 2, 199, 44, 24, 29, 0, 0, 0, 0, 241, 51, 0, 0, 2, 200, 44, 32, 29, 0, 0, 0, 0,
    147, 120, 1, 0, 2, 201, 44, 40, 29, 0, 0, 0, 0, 163, 120, 1, 0, 2, 202, 44, 48, 29, 0, 0, 0, 0,
    185, 120, 1, 0, 2, 203, 44, 56, 29, 0, 0, 0, 0, 202, 120, 1, 0, 2, 204, 44, 64, 29, 0, 0, 0, 0,
    219, 120, 1, 0, 2, 205, 44, 72, 29, 0, 0, 0, 0, 147, 120, 1, 0, 2, 206, 44, 80, 29, 0, 0, 0, 0,
    236, 120, 1, 0, 2, 207, 44, 88, 29, 0, 0, 0, 0, 147, 120, 1, 0, 2, 208, 44, 96, 29, 0, 0, 0, 0,
    147, 120, 1, 0, 2, 209, 44, 104, 29, 0, 0, 0, 0, 56, 121, 1, 0, 2, 210, 44, 112, 29, 0, 0, 0,
    0, 6, 122, 1, 0, 2, 211, 44, 120, 29, 0, 0, 0, 0, 73, 21, 0, 0, 2, 212, 44, 128, 29, 0, 0, 0,
    0, 120, 81, 0, 0, 2, 213, 44, 144, 0, 9, 152, 120, 1, 0, 14, 177, 66, 0, 0, 15, 27, 40, 0, 0,
    0, 9, 168, 120, 1, 0, 38, 15, 27, 40, 0, 0, 15, 177, 66, 0, 0, 15, 177, 66, 0, 0, 0, 9, 190,
    120, 1, 0, 38, 15, 27, 40, 0, 0, 15, 218, 67, 0, 0, 0, 9, 207, 120, 1, 0, 38, 15, 27, 40, 0, 0,
    15, 240, 5, 0, 0, 0, 9, 224, 120, 1, 0, 38, 15, 27, 40, 0, 0, 15, 177, 66, 0, 0, 0, 9, 241,
    120, 1, 0, 38, 15, 27, 40, 0, 0, 15, 253, 120, 1, 0, 0, 9, 2, 121, 1, 0, 37, 7, 121, 1, 0, 35,
    0, 0, 0, 0, 12, 2, 26, 158, 29, 0, 0, 0, 0, 177, 66, 0, 0, 2, 27, 158, 0, 29, 0, 0, 0, 0, 12,
    101, 0, 0, 2, 28, 158, 4, 29, 0, 0, 0, 0, 177, 66, 0, 0, 2, 29, 158, 8, 0, 9, 61, 121, 1, 0,
    38, 15, 27, 40, 0, 0, 15, 73, 121, 1, 0, 0, 9, 78, 121, 1, 0, 37, 83, 121, 1, 0, 35, 0, 0, 0,
    0, 56, 2, 32, 158, 29, 0, 0, 0, 0, 109, 22, 0, 0, 2, 33, 158, 0, 29, 0, 0, 0, 0, 177, 66, 0, 0,
    2, 34, 158, 8, 29, 0, 0, 0, 0, 12, 101, 0, 0, 2, 35, 158, 12, 29, 0, 0, 0, 0, 19, 1, 0, 0, 2,
    36, 158, 16, 29, 0, 0, 0, 0, 177, 66, 0, 0, 2, 37, 158, 24, 29, 0, 0, 0, 0, 177, 66, 0, 0, 2,
    38, 158, 28, 29, 0, 0, 0, 0, 19, 1, 0, 0, 2, 39, 158, 32, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 40,
    158, 40, 29, 0, 0, 0, 0, 177, 66, 0, 0, 2, 41, 158, 44, 29, 0, 0, 0, 0, 177, 66, 0, 0, 2, 42,
    158, 48, 29, 0, 0, 0, 0, 181, 51, 0, 0, 2, 43, 158, 52, 29, 0, 0, 0, 0, 181, 51, 0, 0, 2, 44,
    158, 53, 29, 0, 0, 0, 0, 181, 51, 0, 0, 2, 45, 158, 54, 0, 9, 11, 122, 1, 0, 14, 36, 54, 0, 0,
    15, 27, 40, 0, 0, 15, 177, 66, 0, 0, 15, 176, 51, 0, 0, 15, 37, 122, 1, 0, 0, 9, 42, 122, 1, 0,
    41, 0, 0, 0, 0, 20, 2, 3, 158, 1, 0, 25, 0, 0, 0, 0, 99, 122, 1, 0, 2, 4, 158, 1, 0, 0, 25, 0,
    0, 0, 0, 171, 122, 1, 0, 2, 5, 158, 1, 0, 0, 25, 0, 0, 0, 0, 2, 123, 1, 0, 2, 6, 158, 1, 0, 0,
    0, 40, 0, 0, 0, 0, 16, 2, 236, 157, 1, 0, 25, 0, 0, 0, 0, 27, 1, 0, 0, 2, 237, 157, 1, 0, 0,
    25, 0, 0, 0, 0, 27, 1, 0, 0, 2, 238, 157, 1, 0, 4, 25, 0, 0, 0, 0, 27, 1, 0, 0, 2, 239, 157, 1,
    0, 8, 25, 0, 0, 0, 0, 27, 1, 0, 0, 2, 240, 157, 1, 0, 12, 0, 40, 0, 0, 0, 0, 16, 2, 243, 157,
    1, 0, 25, 0, 0, 0, 0, 225, 24, 0, 0, 2, 244, 157, 1, 0, 0, 25, 0, 0, 0, 0, 225, 24, 0, 0, 2,
    245, 157, 1, 0, 2, 25, 0, 0, 0, 0, 27, 1, 0, 0, 2, 246, 157, 1, 0, 4, 25, 0, 0, 0, 0, 27, 1, 0,
    0, 2, 247, 157, 1, 0, 8, 25, 0, 0, 0, 0, 27, 1, 0, 0, 2, 248, 157, 1, 0, 12, 0, 40, 0, 0, 0, 0,
    20, 2, 251, 157, 1, 0, 25, 0, 0, 0, 0, 27, 1, 0, 0, 2, 252, 157, 1, 0, 0, 25, 0, 0, 0, 0, 27,
    1, 0, 0, 2, 253, 157, 1, 0, 4, 25, 0, 0, 0, 0, 27, 1, 0, 0, 2, 254, 157, 1, 0, 8, 25, 0, 0, 0,
    0, 27, 1, 0, 0, 2, 255, 157, 1, 0, 12, 25, 0, 0, 0, 0, 27, 1, 0, 0, 2, 0, 158, 1, 0, 16, 0, 9,
    94, 123, 1, 0, 35, 0, 0, 0, 0, 56, 2, 182, 157, 29, 0, 0, 0, 0, 143, 123, 1, 0, 2, 183, 157, 0,
    29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 184, 157, 32, 29, 0, 0, 0, 0, 28, 22, 0, 0, 2, 185, 157, 40,
    0, 3, 155, 123, 1, 0, 4, 82, 0, 0, 0, 2, 0, 39, 167, 123, 1, 0, 0, 0, 0, 0, 2, 200, 36, 30, 16,
    2, 198, 36, 29, 0, 0, 0, 0, 186, 123, 1, 0, 2, 199, 36, 0, 0, 3, 109, 22, 0, 0, 4, 82, 0, 0, 0,
    2, 0, 35, 0, 0, 0, 0, 16, 2, 193, 36, 29, 0, 0, 0, 0, 80, 113, 1, 0, 2, 194, 36, 0, 29, 0, 0,
    0, 0, 234, 123, 1, 0, 2, 195, 36, 8, 0, 3, 134, 62, 0, 0, 4, 82, 0, 0, 0, 2, 0, 9, 251, 123, 1,
    0, 35, 0, 0, 0, 0, 64, 2, 216, 44, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 217, 44, 0, 29, 0, 0, 0, 0,
    195, 21, 0, 0, 2, 218, 44, 8, 29, 0, 0, 0, 0, 83, 124, 1, 0, 2, 219, 44, 24, 29, 0, 0, 0, 0,
    99, 124, 1, 0, 2, 220, 44, 32, 29, 0, 0, 0, 0, 120, 81, 0, 0, 2, 221, 44, 40, 29, 0, 0, 0, 0,
    28, 22, 0, 0, 2, 222, 44, 48, 0, 9, 88, 124, 1, 0, 14, 38, 1, 0, 0, 15, 47, 85, 1, 0, 0, 9,
    104, 124, 1, 0, 14, 168, 0, 0, 0, 15, 47, 85, 1, 0, 15, 249, 181, 0, 0, 15, 191, 110, 1, 0, 0,
    28, 0, 0, 0, 0, 0, 3, 2, 189, 37, 29, 0, 0, 0, 0, 7, 127, 1, 0, 2, 190, 37, 0, 29, 0, 0, 0, 0,
    241, 128, 1, 0, 2, 191, 37, 200, 29, 0, 0, 0, 0, 241, 128, 1, 0, 2, 192, 37, 208, 29, 0, 0, 0,
    0, 26, 113, 1, 0, 2, 193, 37, 216, 29, 0, 0, 0, 0, 124, 113, 1, 0, 2, 194, 37, 224, 29, 0, 0,
    0, 0, 98, 116, 1, 0, 2, 195, 37, 232, 29, 0, 0, 0, 0, 98, 116, 1, 0, 2, 196, 37, 240, 29, 0, 0,
    0, 0, 98, 116, 1, 0, 2, 197, 37, 248, 31, 0, 0, 0, 0, 98, 116, 1, 0, 2, 198, 37, 0, 1, 31, 0,
    0, 0, 0, 98, 116, 1, 0, 2, 199, 37, 8, 1, 31, 0, 0, 0, 0, 213, 131, 1, 0, 2, 200, 37, 16, 1,
    31, 0, 0, 0, 0, 168, 162, 1, 0, 2, 201, 37, 24, 1, 31, 0, 0, 0, 0, 55, 168, 1, 0, 2, 202, 37,
    32, 1, 31, 0, 0, 0, 0, 134, 156, 0, 0, 2, 203, 37, 40, 1, 31, 0, 0, 0, 0, 85, 91, 1, 0, 2, 204,
    37, 80, 1, 31, 0, 0, 0, 0, 90, 133, 1, 0, 2, 205, 37, 88, 1, 31, 0, 0, 0, 0, 195, 21, 0, 0, 2,
    206, 37, 96, 1, 31, 0, 0, 0, 0, 183, 139, 1, 0, 2, 209, 37, 128, 1, 31, 0, 0, 0, 0, 75, 105, 0,
    0, 2, 210, 37, 64, 2, 31, 0, 0, 0, 0, 33, 67, 0, 0, 2, 211, 37, 72, 2, 31, 0, 0, 0, 0, 38, 1,
    0, 0, 2, 212, 37, 76, 2, 31, 0, 0, 0, 0, 90, 22, 0, 0, 2, 213, 37, 80, 2, 31, 0, 0, 0, 0, 38,
    1, 0, 0, 2, 214, 37, 88, 2, 31, 0, 0, 0, 0, 181, 51, 0, 0, 2, 215, 37, 92, 2, 31, 0, 0, 0, 0,
    38, 1, 0, 0, 2, 216, 37, 96, 2, 31, 0, 0, 0, 0, 168, 162, 1, 0, 2, 217, 37, 104, 2, 31, 0, 0,
    0, 0, 168, 162, 1, 0, 2, 218, 37, 112, 2, 31, 0, 0, 0, 0, 90, 133, 1, 0, 2, 219, 37, 120, 2,
    31, 0, 0, 0, 0, 80, 103, 1, 0, 2, 220, 37, 128, 2, 31, 0, 0, 0, 0, 21, 113, 1, 0, 2, 221, 37,
    136, 2, 31, 0, 0, 0, 0, 27, 40, 0, 0, 2, 222, 37, 144, 2, 31, 0, 0, 0, 0, 27, 40, 0, 0, 2, 223,
    37, 152, 2, 31, 0, 0, 0, 0, 27, 40, 0, 0, 2, 224, 37, 160, 2, 31, 0, 0, 0, 0, 27, 40, 0, 0, 2,
    225, 37, 168, 2, 31, 0, 0, 0, 0, 195, 21, 0, 0, 2, 226, 37, 176, 2, 31, 0, 0, 0, 0, 80, 103, 1,
    0, 2, 227, 37, 192, 2, 31, 0, 0, 0, 0, 242, 23, 0, 0, 2, 228, 37, 200, 2, 31, 0, 0, 0, 0, 242,
    23, 0, 0, 2, 229, 37, 204, 2, 31, 0, 0, 0, 0, 161, 168, 1, 0, 2, 230, 37, 208, 2, 31, 0, 0, 0,
    0, 246, 123, 1, 0, 2, 231, 37, 216, 2, 31, 0, 0, 0, 0, 246, 123, 1, 0, 2, 232, 37, 224, 2, 31,
    0, 0, 0, 0, 38, 1, 0, 0, 2, 233, 37, 232, 2, 31, 0, 0, 0, 0, 217, 126, 1, 0, 2, 238, 37, 240,
    2, 30, 16, 2, 234, 37, 29, 0, 0, 0, 0, 90, 101, 0, 0, 2, 235, 37, 0, 29, 0, 0, 0, 0, 33, 67, 0,
    0, 2, 236, 37, 8, 29, 0, 0, 0, 0, 177, 66, 0, 0, 2, 237, 37, 12, 0, 0, 35, 0, 0, 0, 0, 200, 2,
    112, 37, 29, 0, 0, 0, 0, 228, 90, 1, 0, 2, 113, 37, 0, 29, 0, 0, 0, 0, 228, 90, 1, 0, 2, 114,
    37, 8, 29, 0, 0, 0, 0, 228, 90, 1, 0, 2, 115, 37, 16, 29, 0, 0, 0, 0, 228, 90, 1, 0, 2, 116,
    37, 24, 29, 0, 0, 0, 0, 228, 90, 1, 0, 2, 117, 37, 32, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 118,
    37, 40, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 119, 37, 44, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 120, 37,
    48, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 121, 37, 52, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 122, 37, 56,
    29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 123, 37, 60, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 124, 37, 64, 29,
    0, 0, 0, 0, 168, 0, 0, 0, 2, 125, 37, 68, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 126, 37, 72, 29, 0,
    0, 0, 0, 168, 0, 0, 0, 2, 127, 37, 76, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 128, 37, 80, 29, 0, 0,
    0, 0, 168, 0, 0, 0, 2, 129, 37, 84, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 130, 37, 88, 29, 0, 0, 0,
    0, 168, 0, 0, 0, 2, 131, 37, 92, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 132, 37, 96, 29, 0, 0, 0, 0,
    168, 0, 0, 0, 2, 133, 37, 100, 29, 0, 0, 0, 0, 229, 128, 1, 0, 2, 134, 37, 104, 29, 0, 0, 0, 0,
    216, 107, 0, 0, 2, 135, 37, 136, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 136, 37, 144, 29, 0, 0, 0, 0,
    168, 0, 0, 0, 2, 137, 37, 148, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 138, 37, 152, 29, 0, 0, 0, 0,
    168, 0, 0, 0, 2, 139, 37, 156, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 140, 37, 160, 29, 0, 0, 0, 0,
    168, 0, 0, 0, 2, 141, 37, 164, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 142, 37, 168, 29, 0, 0, 0, 0,
    168, 0, 0, 0, 2, 143, 37, 172, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 144, 37, 176, 29, 0, 0, 0, 0,
    168, 0, 0, 0, 2, 145, 37, 180, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 146, 37, 184, 29, 0, 0, 0, 0,
    168, 0, 0, 0, 2, 147, 37, 188, 29, 0, 0, 0, 0, 181, 51, 0, 0, 2, 148, 37, 192, 0, 3, 90, 22, 0,
    0, 4, 82, 0, 0, 0, 4, 0, 9, 246, 128, 1, 0, 35, 0, 0, 0, 0, 232, 2, 42, 45, 29, 0, 0, 0, 0,
    147, 26, 0, 0, 2, 43, 45, 0, 29, 0, 0, 0, 0, 147, 26, 0, 0, 2, 44, 45, 4, 29, 0, 0, 0, 0, 147,
    26, 0, 0, 2, 45, 45, 8, 29, 0, 0, 0, 0, 147, 26, 0, 0, 2, 46, 45, 12, 29, 0, 0, 0, 0, 147, 26,
    0, 0, 2, 47, 45, 16, 29, 0, 0, 0, 0, 147, 26, 0, 0, 2, 48, 45, 20, 29, 0, 0, 0, 0, 147, 26, 0,
    0, 2, 49, 45, 24, 29, 0, 0, 0, 0, 147, 26, 0, 0, 2, 50, 45, 28, 29, 0, 0, 0, 0, 147, 26, 0, 0,
    2, 51, 45, 32, 29, 0, 0, 0, 0, 147, 26, 0, 0, 2, 52, 45, 36, 29, 0, 0, 0, 0, 147, 26, 0, 0, 2,
    53, 45, 40, 29, 0, 0, 0, 0, 147, 26, 0, 0, 2, 54, 45, 44, 29, 0, 0, 0, 0, 147, 26, 0, 0, 2, 55,
    45, 48, 29, 0, 0, 0, 0, 147, 26, 0, 0, 2, 56, 45, 52, 29, 0, 0, 0, 0, 147, 26, 0, 0, 2, 57, 45,
    56, 29, 0, 0, 0, 0, 147, 26, 0, 0, 2, 58, 45, 60, 29, 0, 0, 0, 0, 147, 26, 0, 0, 2, 59, 45, 64,
    29, 0, 0, 0, 0, 147, 26, 0, 0, 2, 60, 45, 68, 29, 0, 0, 0, 0, 147, 26, 0, 0, 2, 61, 45, 72, 29,
    0, 0, 0, 0, 147, 26, 0, 0, 2, 62, 45, 76, 29, 0, 0, 0, 0, 147, 26, 0, 0, 2, 63, 45, 80, 29, 0,
    0, 0, 0, 147, 26, 0, 0, 2, 64, 45, 84, 29, 0, 0, 0, 0, 147, 26, 0, 0, 2, 65, 45, 88, 29, 0, 0,
    0, 0, 147, 26, 0, 0, 2, 66, 45, 92, 29, 0, 0, 0, 0, 147, 26, 0, 0, 2, 67, 45, 96, 29, 0, 0, 0,
    0, 147, 26, 0, 0, 2, 68, 45, 100, 29, 0, 0, 0, 0, 147, 26, 0, 0, 2, 69, 45, 104, 29, 0, 0, 0,
    0, 147, 26, 0, 0, 2, 70, 45, 108, 29, 0, 0, 0, 0, 147, 26, 0, 0, 2, 71, 45, 112, 29, 0, 0, 0,
    0, 147, 26, 0, 0, 2, 72, 45, 116, 29, 0, 0, 0, 0, 147, 26, 0, 0, 2, 73, 45, 120, 29, 0, 0, 0,
    0, 147, 26, 0, 0, 2, 74, 45, 124, 29, 0, 0, 0, 0, 147, 26, 0, 0, 2, 75, 45, 128, 29, 0, 0, 0,
    0, 147, 26, 0, 0, 2, 76, 45, 132, 29, 0, 0, 0, 0, 147, 26, 0, 0, 2, 77, 45, 136, 29, 0, 0, 0,
    0, 147, 26, 0, 0, 2, 78, 45, 140, 29, 0, 0, 0, 0, 147, 26, 0, 0, 2, 79, 45, 144, 29, 0, 0, 0,
    0, 147, 26, 0, 0, 2, 80, 45, 148, 29, 0, 0, 0, 0, 147, 26, 0, 0, 2, 81, 45, 152, 29, 0, 0, 0,
    0, 147, 26, 0, 0, 2, 82, 45, 156, 29, 0, 0, 0, 0, 147, 26, 0, 0, 2, 83, 45, 160, 29, 0, 0, 0,
    0, 147, 26, 0, 0, 2, 84, 45, 164, 29, 0, 0, 0, 0, 177, 131, 1, 0, 2, 85, 45, 168, 29, 0, 0, 0,
    0, 147, 26, 0, 0, 2, 86, 45, 188, 29, 0, 0, 0, 0, 147, 26, 0, 0, 2, 87, 45, 192, 29, 0, 0, 0,
    0, 147, 26, 0, 0, 2, 88, 45, 196, 29, 0, 0, 0, 0, 147, 26, 0, 0, 2, 89, 45, 200, 29, 0, 0, 0,
    0, 27, 1, 0, 0, 2, 90, 45, 204, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 91, 45, 208, 29, 0, 0, 0, 0,
    147, 26, 0, 0, 2, 92, 45, 212, 29, 0, 0, 0, 0, 147, 26, 0, 0, 2, 93, 45, 216, 29, 0, 0, 0, 0,
    147, 26, 0, 0, 2, 94, 45, 220, 29, 0, 0, 0, 0, 228, 90, 1, 0, 2, 95, 45, 224, 0, 35, 0, 0, 0,
    0, 20, 2, 37, 45, 29, 0, 0, 0, 0, 181, 51, 0, 0, 2, 38, 45, 0, 29, 0, 0, 0, 0, 183, 108, 1, 0,
    2, 39, 45, 4, 0, 9, 218, 131, 1, 0, 35, 0, 0, 0, 0, 160, 2, 141, 209, 29, 0, 0, 0, 0, 90, 133,
    1, 0, 2, 142, 209, 0, 29, 0, 0, 0, 0, 213, 131, 1, 0, 2, 143, 209, 8, 29, 0, 0, 0, 0, 80, 134,
    1, 0, 2, 144, 209, 16, 44, 19, 132, 1, 0, 2, 145, 209, 24, 34, 16, 2, 145, 209, 29, 0, 0, 0, 0,
    195, 21, 0, 0, 2, 146, 209, 0, 29, 0, 0, 0, 0, 195, 21, 0, 0, 2, 147, 209, 0, 0, 29, 0, 0, 0,
    0, 38, 1, 0, 0, 2, 149, 209, 40, 29, 0, 0, 0, 0, 254, 62, 0, 0, 2, 150, 209, 44, 29, 0, 0, 0,
    0, 90, 22, 0, 0, 2, 151, 209, 48, 29, 0, 0, 0, 0, 85, 134, 1, 0, 2, 152, 209, 56, 29, 0, 0, 0,
    0, 138, 134, 1, 0, 2, 153, 209, 64, 29, 0, 0, 0, 0, 177, 66, 0, 0, 2, 154, 209, 84, 29, 0, 0,
    0, 0, 138, 134, 1, 0, 2, 155, 209, 88, 29, 0, 0, 0, 0, 138, 134, 1, 0, 2, 156, 209, 108, 29, 0,
    0, 0, 0, 177, 66, 0, 0, 2, 157, 209, 128, 29, 0, 0, 0, 0, 218, 67, 0, 0, 2, 158, 209, 132, 29,
    0, 0, 0, 0, 218, 67, 0, 0, 2, 159, 209, 133, 45, 0, 0, 0, 0, 218, 67, 0, 0, 2, 160, 209, 1, 1,
    7, 134, 45, 0, 0, 0, 0, 218, 67, 0, 0, 2, 161, 209, 1, 1, 6, 134, 45, 0, 0, 0, 0, 218, 67, 0,
    0, 2, 162, 209, 1, 1, 5, 134, 45, 0, 0, 0, 0, 218, 67, 0, 0, 2, 163, 209, 1, 1, 4, 134, 45, 0,
    0, 0, 0, 218, 67, 0, 0, 2, 164, 209, 1, 1, 3, 134, 45, 0, 0, 0, 0, 218, 67, 0, 0, 2, 165, 209,
    1, 1, 2, 134, 45, 0, 0, 0, 0, 218, 67, 0, 0, 2, 166, 209, 1, 2, 0, 134, 29, 0, 0, 0, 0, 28, 22,
    0, 0, 2, 167, 209, 136, 29, 0, 0, 0, 0, 174, 134, 1, 0, 2, 168, 209, 152, 29, 0, 0, 0, 0, 43,
    168, 1, 0, 2, 169, 209, 160, 0, 9, 95, 133, 1, 0, 35, 0, 0, 0, 0, 128, 2, 211, 209, 29, 0, 0,
    0, 0, 152, 21, 0, 0, 2, 212, 209, 0, 29, 0, 0, 0, 0, 177, 66, 0, 0, 2, 213, 209, 16, 29, 0, 0,
    0, 0, 33, 67, 0, 0, 2, 214, 209, 20, 29, 0, 0, 0, 0, 196, 133, 1, 0, 2, 215, 209, 24, 29, 0, 0,
    0, 0, 31, 113, 1, 0, 2, 216, 209, 96, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 217, 209, 120, 29, 0, 0,
    0, 0, 38, 1, 0, 0, 2, 218, 209, 124, 0, 35, 0, 0, 0, 0, 72, 2, 198, 209, 29, 0, 0, 0, 0, 80,
    134, 1, 0, 2, 199, 209, 0, 29, 0, 0, 0, 0, 80, 134, 1, 0, 2, 200, 209, 8, 29, 0, 0, 0, 0, 80,
    134, 1, 0, 2, 201, 209, 16, 29, 0, 0, 0, 0, 80, 134, 1, 0, 2, 202, 209, 24, 29, 0, 0, 0, 0,
    213, 131, 1, 0, 2, 203, 209, 32, 29, 0, 0, 0, 0, 225, 24, 0, 0, 2, 204, 209, 40, 29, 0, 0, 0,
    0, 225, 24, 0, 0, 2, 205, 209, 42, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 206, 209, 44, 29, 0, 0, 0,
    0, 213, 131, 1, 0, 2, 207, 209, 48, 29, 0, 0, 0, 0, 28, 22, 0, 0, 2, 208, 209, 56, 0, 9, 196,
    133, 1, 0, 9, 90, 134, 1, 0, 35, 0, 0, 0, 0, 72, 2, 176, 210, 29, 0, 0, 0, 0, 126, 134, 1, 0,
    2, 177, 210, 0, 29, 0, 0, 0, 0, 254, 62, 0, 0, 2, 178, 210, 68, 0, 3, 177, 66, 0, 0, 4, 82, 0,
    0, 0, 17, 0, 35, 0, 0, 0, 0, 20, 2, 98, 209, 29, 0, 0, 0, 0, 183, 108, 1, 0, 2, 99, 209, 0, 29,
    0, 0, 0, 0, 168, 0, 0, 0, 2, 100, 209, 16, 0, 9, 179, 134, 1, 0, 40, 0, 0, 0, 0, 136, 2, 250,
    129, 1, 0, 25, 0, 0, 0, 0, 229, 39, 0, 0, 2, 251, 129, 1, 0, 0, 25, 0, 0, 0, 0, 195, 21, 0, 0,
    2, 252, 129, 1, 0, 24, 25, 0, 0, 0, 0, 195, 21, 0, 0, 2, 253, 129, 1, 0, 40, 25, 0, 0, 0, 0,
    195, 21, 0, 0, 2, 254, 129, 1, 0, 56, 25, 0, 0, 0, 0, 195, 21, 0, 0, 2, 255, 129, 1, 0, 72, 25,
    0, 0, 0, 0, 47, 85, 1, 0, 2, 0, 130, 1, 0, 88, 25, 0, 0, 0, 0, 177, 66, 0, 0, 2, 1, 130, 1, 0,
    96, 25, 0, 0, 0, 0, 218, 67, 0, 0, 2, 2, 130, 1, 0, 100, 25, 0, 0, 0, 0, 218, 67, 0, 0, 2, 3,
    130, 1, 0, 101, 25, 0, 0, 0, 0, 181, 51, 0, 0, 2, 4, 130, 1, 0, 102, 25, 0, 0, 0, 0, 254, 62,
    0, 0, 2, 5, 130, 1, 0, 104, 25, 0, 0, 0, 0, 28, 22, 0, 0, 2, 6, 130, 1, 0, 112, 23, 125, 135,
    1, 0, 2, 7, 130, 1, 0, 128, 24, 8, 2, 7, 130, 1, 0, 25, 0, 0, 0, 0, 164, 135, 1, 0, 2, 8, 130,
    1, 0, 0, 25, 0, 0, 0, 0, 93, 167, 1, 0, 2, 9, 130, 1, 0, 0, 0, 0, 9, 169, 135, 1, 0, 40, 0, 0,
    0, 0, 144, 2, 205, 130, 1, 0, 25, 0, 0, 0, 0, 152, 21, 0, 0, 2, 206, 130, 1, 0, 0, 25, 0, 0, 0,
    0, 174, 134, 1, 0, 2, 207, 130, 1, 0, 16, 25, 0, 0, 0, 0, 218, 67, 0, 0, 2, 208, 130, 1, 0, 24,
    25, 0, 0, 0, 0, 181, 51, 0, 0, 2, 209, 130, 1, 0, 25, 25, 0, 0, 0, 0, 181, 51, 0, 0, 2, 210,
    130, 1, 0, 26, 23, 10, 136, 1, 0, 2, 211, 130, 1, 0, 32, 24, 112, 2, 211, 130, 1, 0, 25, 0, 0,
    0, 0, 64, 136, 1, 0, 2, 212, 130, 1, 0, 0, 25, 0, 0, 0, 0, 167, 160, 1, 0, 2, 213, 130, 1, 0,
    0, 25, 0, 0, 0, 0, 101, 162, 1, 0, 2, 214, 130, 1, 0, 0, 0, 0, 35, 0, 0, 0, 0, 72, 2, 107, 209,
    29, 0, 0, 0, 0, 162, 12, 0, 0, 2, 108, 209, 0, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 109, 209, 8,
    29, 0, 0, 0, 0, 169, 26, 0, 0, 2, 110, 209, 12, 29, 0, 0, 0, 0, 218, 67, 0, 0, 2, 111, 209, 13,
    29, 0, 0, 0, 0, 218, 67, 0, 0, 2, 112, 209, 14, 29, 0, 0, 0, 0, 169, 26, 0, 0, 2, 113, 209, 15,
    29, 0, 0, 0, 0, 19, 137, 1, 0, 2, 114, 209, 16, 29, 0, 0, 0, 0, 177, 136, 1, 0, 2, 118, 209,
    24, 34, 16, 2, 115, 209, 29, 0, 0, 0, 0, 21, 48, 0, 0, 2, 116, 209, 0, 29, 0, 0, 0, 0, 183,
    108, 1, 0, 2, 117, 209, 0, 0, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 119, 209, 40, 29, 0, 0, 0, 0,
    242, 23, 0, 0, 2, 120, 209, 44, 29, 0, 0, 0, 0, 210, 137, 1, 0, 2, 121, 209, 48, 29, 0, 0, 0,
    0, 215, 137, 1, 0, 2, 122, 209, 56, 29, 0, 0, 0, 0, 237, 159, 1, 0, 2, 123, 209, 64, 0, 9, 24,
    137, 1, 0, 40, 0, 0, 0, 0, 48, 2, 224, 128, 1, 0, 25, 0, 0, 0, 0, 225, 24, 0, 0, 2, 225, 128,
    1, 0, 0, 25, 0, 0, 0, 0, 225, 24, 0, 0, 2, 226, 128, 1, 0, 2, 25, 0, 0, 0, 0, 225, 24, 0, 0, 2,
    227, 128, 1, 0, 4, 25, 0, 0, 0, 0, 242, 23, 0, 0, 2, 228, 128, 1, 0, 8, 25, 0, 0, 0, 0, 156,
    137, 1, 0, 2, 229, 128, 1, 0, 16, 25, 0, 0, 0, 0, 182, 137, 1, 0, 2, 230, 128, 1, 0, 24, 25, 0,
    0, 0, 0, 28, 22, 0, 0, 2, 231, 128, 1, 0, 32, 25, 0, 0, 0, 0, 198, 137, 1, 0, 2, 232, 128, 1,
    0, 48, 0, 9, 161, 137, 1, 0, 14, 168, 0, 0, 0, 15, 47, 85, 1, 0, 15, 27, 40, 0, 0, 15, 26, 34,
    0, 0, 0, 9, 187, 137, 1, 0, 14, 168, 0, 0, 0, 15, 26, 34, 0, 0, 0, 3, 158, 26, 0, 0, 4, 82, 0,
    0, 0, 0, 0, 9, 215, 137, 1, 0, 9, 220, 137, 1, 0, 35, 0, 0, 0, 0, 176, 2, 3, 211, 29, 0, 0, 0,
    0, 177, 138, 1, 0, 2, 4, 211, 0, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 5, 211, 112, 29, 0, 0, 0, 0,
    38, 1, 0, 0, 2, 6, 211, 116, 29, 0, 0, 0, 0, 225, 24, 0, 0, 2, 7, 211, 120, 29, 0, 0, 0, 0,
    158, 26, 0, 0, 2, 8, 211, 122, 29, 0, 0, 0, 0, 158, 26, 0, 0, 2, 9, 211, 123, 29, 0, 0, 0, 0,
    168, 0, 0, 0, 2, 10, 211, 124, 29, 0, 0, 0, 0, 218, 67, 0, 0, 2, 11, 211, 128, 44, 86, 138, 1,
    0, 2, 12, 211, 132, 34, 16, 2, 12, 211, 29, 0, 0, 0, 0, 21, 48, 0, 0, 2, 13, 211, 0, 29, 0, 0,
    0, 0, 183, 108, 1, 0, 2, 14, 211, 0, 0, 45, 0, 0, 0, 0, 177, 66, 0, 0, 2, 16, 211, 4, 1, 31,
    148, 45, 0, 0, 0, 0, 177, 66, 0, 0, 2, 17, 211, 4, 31, 0, 148, 29, 0, 0, 0, 0, 195, 21, 0, 0,
    2, 18, 211, 152, 29, 0, 0, 0, 0, 190, 159, 1, 0, 2, 19, 211, 168, 0, 35, 0, 0, 0, 0, 112, 2,
    229, 44, 29, 0, 0, 0, 0, 162, 12, 0, 0, 2, 230, 44, 0, 29, 0, 0, 0, 0, 178, 139, 1, 0, 2, 231,
    44, 8, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 232, 44, 16, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 233, 44,
    24, 29, 0, 0, 0, 0, 197, 148, 1, 0, 2, 234, 44, 32, 29, 0, 0, 0, 0, 182, 137, 1, 0, 2, 235, 44,
    40, 29, 0, 0, 0, 0, 156, 137, 1, 0, 2, 236, 44, 48, 29, 0, 0, 0, 0, 236, 24, 0, 0, 2, 237, 44,
    56, 29, 0, 0, 0, 0, 3, 27, 0, 0, 2, 238, 44, 58, 29, 0, 0, 0, 0, 236, 24, 0, 0, 2, 239, 44, 60,
    29, 0, 0, 0, 0, 236, 24, 0, 0, 2, 240, 44, 62, 29, 0, 0, 0, 0, 242, 23, 0, 0, 2, 241, 44, 64,
    29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 242, 44, 68, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 243, 44, 72, 29,
    0, 0, 0, 0, 19, 137, 1, 0, 2, 244, 44, 80, 29, 0, 0, 0, 0, 28, 22, 0, 0, 2, 245, 44, 88, 29, 0,
    0, 0, 0, 3, 27, 0, 0, 2, 246, 44, 104, 29, 0, 0, 0, 0, 3, 27, 0, 0, 2, 247, 44, 106, 29, 0, 0,
    0, 0, 27, 1, 0, 0, 2, 248, 44, 108, 0, 9, 183, 139, 1, 0, 35, 0, 0, 0, 0, 192, 2, 153, 37, 29,
    0, 0, 0, 0, 236, 24, 0, 0, 2, 154, 37, 0, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 155, 37, 4, 29, 0, 0,
    0, 0, 171, 140, 1, 0, 2, 156, 37, 8, 29, 0, 0, 0, 0, 187, 140, 1, 0, 2, 157, 37, 16, 29, 0, 0,
    0, 0, 213, 140, 1, 0, 2, 158, 37, 24, 29, 0, 0, 0, 0, 213, 140, 1, 0, 2, 159, 37, 32, 29, 0, 0,
    0, 0, 239, 140, 1, 0, 2, 160, 37, 40, 29, 0, 0, 0, 0, 4, 141, 1, 0, 2, 161, 37, 48, 29, 0, 0,
    0, 0, 16, 141, 1, 0, 2, 162, 37, 56, 29, 0, 0, 0, 0, 38, 141, 1, 0, 2, 163, 37, 64, 29, 0, 0,
    0, 0, 54, 141, 1, 0, 2, 164, 37, 72, 29, 0, 0, 0, 0, 66, 141, 1, 0, 2, 165, 37, 80, 29, 0, 0,
    0, 0, 98, 141, 1, 0, 2, 166, 37, 88, 29, 0, 0, 0, 0, 156, 137, 1, 0, 2, 167, 37, 96, 29, 0, 0,
    0, 0, 120, 141, 1, 0, 2, 168, 37, 104, 29, 0, 0, 0, 0, 113, 148, 1, 0, 2, 169, 37, 112, 29, 0,
    0, 0, 0, 251, 68, 1, 0, 2, 170, 37, 120, 29, 0, 0, 0, 0, 130, 148, 1, 0, 2, 171, 37, 128, 0, 9,
    176, 140, 1, 0, 14, 168, 0, 0, 0, 15, 178, 139, 1, 0, 0, 9, 192, 140, 1, 0, 14, 208, 140, 1, 0,
    15, 208, 140, 1, 0, 15, 27, 1, 0, 0, 0, 9, 177, 138, 1, 0, 9, 218, 140, 1, 0, 14, 38, 1, 0, 0,
    15, 229, 140, 1, 0, 0, 9, 234, 140, 1, 0, 37, 177, 138, 1, 0, 9, 244, 140, 1, 0, 14, 132, 223,
    0, 0, 15, 208, 140, 1, 0, 15, 90, 22, 0, 0, 0, 9, 9, 141, 1, 0, 38, 15, 208, 140, 1, 0, 0, 9,
    21, 141, 1, 0, 38, 15, 208, 140, 1, 0, 15, 162, 12, 0, 0, 15, 168, 0, 0, 0, 0, 9, 43, 141, 1,
    0, 14, 208, 140, 1, 0, 15, 208, 140, 1, 0, 0, 9, 59, 141, 1, 0, 38, 15, 26, 34, 0, 0, 0, 9, 71,
    141, 1, 0, 38, 15, 208, 140, 1, 0, 15, 27, 40, 0, 0, 15, 26, 34, 0, 0, 15, 177, 66, 0, 0, 15,
    181, 51, 0, 0, 0, 9, 103, 141, 1, 0, 38, 15, 208, 140, 1, 0, 15, 27, 40, 0, 0, 15, 26, 34, 0,
    0, 0, 9, 125, 141, 1, 0, 14, 146, 141, 1, 0, 15, 229, 140, 1, 0, 15, 26, 34, 0, 0, 15, 45, 1,
    0, 0, 0, 9, 151, 141, 1, 0, 28, 0, 0, 0, 0, 128, 1, 2, 7, 45, 29, 0, 0, 0, 0, 146, 141, 1, 0,
    2, 8, 45, 0, 29, 0, 0, 0, 0, 250, 142, 1, 0, 2, 9, 45, 8, 29, 0, 0, 0, 0, 192, 147, 1, 0, 2,
    10, 45, 16, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 11, 45, 24, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 12,
    45, 32, 29, 0, 0, 0, 0, 75, 105, 0, 0, 2, 13, 45, 40, 29, 0, 0, 0, 0, 254, 62, 0, 0, 2, 14, 45,
    48, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 15, 45, 52, 29, 0, 0, 0, 0, 126, 146, 1, 0, 2, 16, 45, 56,
    29, 0, 0, 0, 0, 134, 156, 0, 0, 2, 17, 45, 80, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 18, 45, 120,
    29, 0, 0, 0, 0, 242, 23, 0, 0, 2, 19, 45, 128, 29, 0, 0, 0, 0, 158, 26, 0, 0, 2, 20, 45, 132,
    29, 0, 0, 0, 0, 158, 26, 0, 0, 2, 21, 45, 133, 29, 0, 0, 0, 0, 158, 26, 0, 0, 2, 22, 45, 134,
    29, 0, 0, 0, 0, 158, 26, 0, 0, 2, 23, 45, 135, 29, 0, 0, 0, 0, 218, 67, 0, 0, 2, 24, 45, 136,
    29, 0, 0, 0, 0, 80, 113, 1, 0, 2, 25, 45, 140, 29, 0, 0, 0, 0, 198, 66, 0, 0, 2, 27, 45, 152,
    29, 0, 0, 0, 0, 197, 147, 1, 0, 2, 28, 45, 184, 31, 0, 0, 0, 0, 246, 147, 1, 0, 2, 29, 45, 72,
    1, 31, 0, 0, 0, 0, 11, 148, 1, 0, 2, 30, 45, 80, 1, 31, 0, 0, 0, 0, 195, 21, 0, 0, 2, 31, 45,
    88, 1, 31, 0, 0, 0, 0, 28, 22, 0, 0, 2, 32, 45, 104, 1, 31, 0, 0, 0, 0, 162, 12, 0, 0, 2, 33,
    45, 120, 1, 31, 0, 0, 0, 0, 143, 145, 1, 0, 2, 34, 45, 128, 1, 0, 9, 255, 142, 1, 0, 28, 0, 0,
    0, 0, 232, 1, 2, 244, 51, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 245, 51, 0, 29, 0, 0, 0, 0, 38, 1,
    0, 0, 2, 246, 51, 4, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 247, 51, 8, 29, 0, 0, 0, 0, 57, 48, 0, 0,
    2, 248, 51, 12, 29, 0, 0, 0, 0, 171, 144, 1, 0, 2, 249, 51, 16, 29, 0, 0, 0, 0, 212, 144, 1, 0,
    2, 250, 51, 24, 29, 0, 0, 0, 0, 243, 144, 1, 0, 2, 251, 51, 32, 29, 0, 0, 0, 0, 3, 145, 1, 0,
    2, 252, 51, 40, 29, 0, 0, 0, 0, 155, 145, 1, 0, 2, 253, 51, 48, 29, 0, 0, 0, 0, 54, 141, 1, 0,
    2, 254, 51, 56, 29, 0, 0, 0, 0, 167, 145, 1, 0, 2, 255, 51, 64, 29, 0, 0, 0, 0, 183, 145, 1, 0,
    2, 0, 52, 72, 29, 0, 0, 0, 0, 154, 27, 0, 0, 2, 1, 52, 80, 29, 0, 0, 0, 0, 204, 145, 1, 0, 2,
    2, 52, 88, 29, 0, 0, 0, 0, 195, 21, 0, 0, 2, 3, 52, 232, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 4,
    52, 248, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 5, 52, 252, 31, 0, 0, 0, 0, 168, 0, 0, 0, 2, 6, 52,
    0, 1, 31, 0, 0, 0, 0, 168, 0, 0, 0, 2, 7, 52, 4, 1, 31, 0, 0, 0, 0, 90, 22, 0, 0, 2, 8, 52, 8,
    1, 31, 0, 0, 0, 0, 108, 160, 0, 0, 2, 9, 52, 16, 1, 31, 0, 0, 0, 0, 134, 156, 0, 0, 2, 10, 52,
    104, 1, 31, 0, 0, 0, 0, 126, 146, 1, 0, 2, 11, 52, 144, 1, 31, 0, 0, 0, 0, 242, 23, 0, 0, 2,
    12, 52, 168, 1, 31, 0, 0, 0, 0, 242, 23, 0, 0, 2, 13, 52, 172, 1, 31, 0, 0, 0, 0, 195, 21, 0,
    0, 2, 14, 52, 176, 1, 31, 0, 0, 0, 0, 75, 105, 0, 0, 2, 15, 52, 192, 1, 31, 0, 0, 0, 0, 90, 22,
    0, 0, 2, 16, 52, 200, 1, 31, 0, 0, 0, 0, 188, 146, 1, 0, 2, 17, 52, 208, 1, 31, 0, 0, 0, 0,
    103, 147, 1, 0, 2, 18, 52, 216, 1, 31, 0, 0, 0, 0, 187, 147, 1, 0, 2, 19, 52, 224, 1, 0, 9,
    176, 144, 1, 0, 14, 27, 1, 0, 0, 15, 45, 1, 0, 0, 15, 197, 144, 1, 0, 15, 207, 144, 1, 0, 0, 9,
    202, 144, 1, 0, 37, 167, 12, 0, 0, 9, 27, 1, 0, 0, 9, 217, 144, 1, 0, 14, 181, 51, 0, 0, 15,
    233, 144, 1, 0, 15, 45, 1, 0, 0, 0, 9, 238, 144, 1, 0, 37, 151, 141, 1, 0, 9, 248, 144, 1, 0,
    14, 168, 0, 0, 0, 15, 146, 141, 1, 0, 0, 9, 8, 145, 1, 0, 14, 168, 0, 0, 0, 15, 19, 145, 1, 0,
    0, 9, 24, 145, 1, 0, 35, 0, 0, 0, 0, 32, 2, 45, 52, 29, 0, 0, 0, 0, 19, 145, 1, 0, 2, 46, 52,
    0, 29, 0, 0, 0, 0, 112, 145, 1, 0, 2, 47, 52, 8, 29, 0, 0, 0, 0, 162, 12, 0, 0, 2, 48, 52, 16,
    29, 0, 0, 0, 0, 218, 67, 0, 0, 2, 49, 52, 24, 29, 0, 0, 0, 0, 218, 67, 0, 0, 2, 50, 52, 25, 29,
    0, 0, 0, 0, 143, 145, 1, 0, 2, 51, 52, 26, 0, 39, 124, 145, 1, 0, 0, 0, 0, 0, 2, 140, 33, 30,
    8, 2, 138, 33, 29, 0, 0, 0, 0, 47, 85, 1, 0, 2, 139, 33, 0, 0, 3, 218, 67, 0, 0, 4, 82, 0, 0,
    0, 0, 0, 9, 160, 145, 1, 0, 38, 15, 19, 145, 1, 0, 0, 9, 172, 145, 1, 0, 14, 168, 0, 0, 0, 15,
    45, 1, 0, 0, 0, 9, 188, 145, 1, 0, 14, 181, 51, 0, 0, 15, 197, 144, 1, 0, 15, 191, 110, 1, 0,
    0, 35, 0, 0, 0, 0, 144, 2, 29, 50, 29, 0, 0, 0, 0, 112, 145, 1, 0, 2, 30, 50, 0, 29, 0, 0, 0,
    0, 162, 12, 0, 0, 2, 31, 50, 8, 29, 0, 0, 0, 0, 195, 21, 0, 0, 2, 32, 50, 16, 29, 0, 0, 0, 0,
    243, 144, 1, 0, 2, 33, 50, 32, 29, 0, 0, 0, 0, 250, 142, 1, 0, 2, 34, 50, 40, 29, 0, 0, 0, 0,
    26, 1, 0, 0, 2, 35, 50, 48, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 36, 50, 56, 29, 0, 0, 0, 0, 254,
    62, 0, 0, 2, 37, 50, 60, 29, 0, 0, 0, 0, 28, 22, 0, 0, 2, 38, 50, 64, 29, 0, 0, 0, 0, 168, 0,
    0, 0, 2, 39, 50, 80, 29, 0, 0, 0, 0, 114, 146, 1, 0, 2, 40, 50, 84, 29, 0, 0, 0, 0, 109, 154,
    0, 0, 2, 41, 50, 136, 0, 3, 168, 0, 0, 0, 4, 82, 0, 0, 0, 13, 0, 35, 0, 0, 0, 0, 24, 2, 228,
    33, 29, 0, 0, 0, 0, 26, 34, 0, 0, 2, 229, 33, 0, 29, 0, 0, 0, 0, 26, 34, 0, 0, 2, 230, 33, 8,
    29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 231, 33, 16, 29, 0, 0, 0, 0, 33, 67, 0, 0, 2, 232, 33, 20, 0,
    9, 193, 146, 1, 0, 35, 0, 0, 0, 0, 96, 2, 22, 52, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 23, 52, 0,
    29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 24, 52, 8, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 25, 52, 16, 29, 0,
    0, 0, 0, 90, 22, 0, 0, 2, 26, 52, 24, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 27, 52, 32, 29, 0, 0, 0,
    0, 90, 22, 0, 0, 2, 28, 52, 40, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 29, 52, 48, 29, 0, 0, 0, 0,
    90, 22, 0, 0, 2, 30, 52, 56, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 31, 52, 64, 29, 0, 0, 0, 0, 90,
    22, 0, 0, 2, 32, 52, 72, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 33, 52, 80, 29, 0, 0, 0, 0, 90, 22,
    0, 0, 2, 34, 52, 88, 0, 9, 108, 147, 1, 0, 35, 0, 0, 0, 0, 48, 2, 54, 52, 29, 0, 0, 0, 0, 170,
    147, 1, 0, 2, 55, 52, 0, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 56, 52, 8, 29, 0, 0, 0, 0, 175, 147,
    1, 0, 2, 57, 52, 12, 29, 0, 0, 0, 0, 28, 22, 0, 0, 2, 58, 52, 32, 0, 9, 146, 141, 1, 0, 3, 27,
    1, 0, 0, 4, 82, 0, 0, 0, 4, 0, 9, 19, 145, 1, 0, 9, 204, 145, 1, 0, 35, 0, 0, 0, 0, 144, 2,
    251, 44, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 252, 44, 0, 29, 0, 0, 0, 0, 80, 113, 1, 0, 2, 253, 44,
    4, 29, 0, 0, 0, 0, 210, 92, 1, 0, 2, 254, 44, 16, 0, 9, 251, 147, 1, 0, 14, 168, 0, 0, 0, 15,
    146, 141, 1, 0, 15, 26, 34, 0, 0, 0, 9, 16, 148, 1, 0, 37, 21, 148, 1, 0, 35, 0, 0, 0, 0, 40,
    2, 37, 52, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 38, 52, 0, 29, 0, 0, 0, 0, 96, 148, 1, 0, 2, 39,
    52, 8, 29, 0, 0, 0, 0, 96, 148, 1, 0, 2, 40, 52, 16, 29, 0, 0, 0, 0, 246, 147, 1, 0, 2, 41, 52,
    24, 29, 0, 0, 0, 0, 246, 147, 1, 0, 2, 42, 52, 32, 0, 9, 101, 148, 1, 0, 38, 15, 146, 141, 1,
    0, 15, 26, 34, 0, 0, 0, 9, 118, 148, 1, 0, 38, 15, 229, 140, 1, 0, 15, 45, 1, 0, 0, 0, 35, 0,
    0, 0, 0, 40, 2, 177, 17, 29, 0, 0, 0, 0, 155, 95, 0, 0, 2, 178, 17, 0, 29, 0, 0, 0, 0, 213, 23,
    0, 0, 2, 179, 17, 8, 29, 0, 0, 0, 0, 195, 21, 0, 0, 2, 180, 17, 16, 29, 0, 0, 0, 0, 192, 148,
    1, 0, 2, 181, 17, 32, 0, 9, 12, 101, 0, 0, 9, 202, 148, 1, 0, 28, 0, 0, 0, 0, 208, 2, 2, 108,
    210, 29, 0, 0, 0, 0, 112, 145, 1, 0, 2, 109, 210, 0, 44, 234, 148, 1, 0, 2, 110, 210, 8, 34,
    16, 2, 110, 210, 29, 0, 0, 0, 0, 152, 21, 0, 0, 2, 111, 210, 0, 29, 0, 0, 0, 0, 152, 21, 0, 0,
    2, 112, 210, 0, 0, 29, 0, 0, 0, 0, 152, 21, 0, 0, 2, 114, 210, 24, 29, 0, 0, 0, 0, 152, 21, 0,
    0, 2, 115, 210, 40, 29, 0, 0, 0, 0, 254, 62, 0, 0, 2, 116, 210, 56, 29, 0, 0, 0, 0, 33, 67, 0,
    0, 2, 117, 210, 60, 29, 0, 0, 0, 0, 49, 152, 1, 0, 2, 118, 210, 64, 29, 0, 0, 0, 0, 155, 152,
    1, 0, 2, 119, 210, 88, 29, 0, 0, 0, 0, 65, 153, 1, 0, 2, 120, 210, 144, 29, 0, 0, 0, 0, 177,
    66, 0, 0, 2, 121, 210, 152, 29, 0, 0, 0, 0, 177, 66, 0, 0, 2, 122, 210, 156, 29, 0, 0, 0, 0,
    177, 66, 0, 0, 2, 123, 210, 160, 29, 0, 0, 0, 0, 101, 153, 1, 0, 2, 124, 210, 168, 29, 0, 0, 0,
    0, 166, 149, 1, 0, 2, 139, 210, 200, 30, 48, 2, 125, 210, 29, 0, 0, 0, 0, 177, 66, 0, 0, 2,
    126, 210, 0, 29, 0, 0, 0, 0, 218, 67, 0, 0, 2, 127, 210, 4, 29, 0, 0, 0, 0, 218, 67, 0, 0, 2,
    128, 210, 5, 29, 0, 0, 0, 0, 218, 67, 0, 0, 2, 129, 210, 6, 29, 0, 0, 0, 0, 218, 67, 0, 0, 2,
    130, 210, 7, 29, 0, 0, 0, 0, 218, 67, 0, 0, 2, 131, 210, 8, 29, 0, 0, 0, 0, 218, 67, 0, 0, 2,
    132, 210, 9, 29, 0, 0, 0, 0, 229, 67, 0, 0, 2, 133, 210, 10, 29, 0, 0, 0, 0, 98, 152, 1, 0, 2,
    134, 210, 12, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 135, 210, 28, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2,
    136, 210, 32, 29, 0, 0, 0, 0, 177, 66, 0, 0, 2, 137, 210, 36, 29, 0, 0, 0, 0, 65, 153, 1, 0, 2,
    138, 210, 40, 0, 29, 0, 0, 0, 0, 13, 154, 1, 0, 2, 140, 210, 248, 31, 0, 0, 0, 0, 127, 154, 1,
    0, 2, 141, 210, 56, 1, 31, 0, 0, 0, 0, 194, 154, 1, 0, 2, 142, 210, 64, 1, 31, 0, 0, 0, 0, 194,
    154, 1, 0, 2, 143, 210, 72, 1, 31, 0, 0, 0, 0, 248, 154, 1, 0, 2, 144, 210, 80, 1, 31, 0, 0, 0,
    0, 233, 21, 0, 0, 2, 145, 210, 88, 1, 31, 0, 0, 0, 0, 59, 155, 1, 0, 2, 146, 210, 96, 1, 31, 0,
    0, 0, 0, 27, 40, 0, 0, 2, 147, 210, 104, 1, 31, 0, 0, 0, 0, 126, 155, 1, 0, 2, 148, 210, 112,
    1, 31, 0, 0, 0, 0, 197, 148, 1, 0, 2, 149, 210, 120, 1, 31, 0, 0, 0, 0, 242, 23, 0, 0, 2, 150,
    210, 128, 1, 31, 0, 0, 0, 0, 131, 155, 1, 0, 2, 151, 210, 132, 1, 31, 0, 0, 0, 0, 180, 155, 1,
    0, 2, 152, 210, 144, 1, 31, 0, 0, 0, 0, 131, 155, 1, 0, 2, 153, 210, 152, 1, 31, 0, 0, 0, 0,
    180, 155, 1, 0, 2, 154, 210, 168, 1, 31, 0, 0, 0, 0, 42, 156, 1, 0, 2, 155, 210, 176, 1, 31, 0,
    0, 0, 0, 177, 66, 0, 0, 2, 156, 210, 184, 1, 31, 0, 0, 0, 0, 177, 66, 0, 0, 2, 157, 210, 188,
    1, 31, 0, 0, 0, 0, 177, 66, 0, 0, 2, 158, 210, 192, 1, 31, 0, 0, 0, 0, 134, 156, 0, 0, 2, 159,
    210, 200, 1, 31, 0, 0, 0, 0, 208, 156, 1, 0, 2, 160, 210, 240, 1, 31, 0, 0, 0, 0, 1, 157, 1, 0,
    2, 161, 210, 0, 2, 31, 0, 0, 0, 0, 195, 198, 0, 0, 2, 162, 210, 32, 2, 31, 0, 0, 0, 0, 63, 157,
    1, 0, 2, 163, 210, 96, 2, 31, 0, 0, 0, 0, 19, 1, 0, 0, 2, 164, 210, 128, 2, 31, 0, 0, 0, 0,
    130, 108, 0, 0, 2, 165, 210, 136, 2, 31, 0, 0, 0, 0, 138, 157, 1, 0, 2, 166, 210, 144, 2, 31,
    0, 0, 0, 0, 187, 157, 1, 0, 2, 167, 210, 160, 2, 31, 0, 0, 0, 0, 176, 158, 1, 0, 2, 168, 210,
    168, 2, 31, 0, 0, 0, 0, 176, 158, 1, 0, 2, 169, 210, 171, 2, 31, 0, 0, 0, 0, 176, 158, 1, 0, 2,
    170, 210, 174, 2, 31, 0, 0, 0, 0, 225, 158, 1, 0, 2, 171, 210, 184, 2, 31, 0, 0, 0, 0, 110,
    159, 1, 0, 2, 172, 210, 192, 2, 31, 0, 0, 0, 0, 26, 1, 0, 0, 2, 173, 210, 200, 2, 0, 35, 0, 0,
    0, 0, 24, 2, 227, 209, 29, 0, 0, 0, 0, 98, 152, 1, 0, 2, 228, 209, 0, 29, 0, 0, 0, 0, 21, 48,
    0, 0, 2, 229, 209, 16, 29, 0, 0, 0, 0, 158, 26, 0, 0, 2, 230, 209, 20, 0, 39, 110, 152, 1, 0,
    0, 0, 0, 0, 2, 225, 209, 34, 16, 2, 221, 209, 29, 0, 0, 0, 0, 21, 48, 0, 0, 2, 222, 209, 0, 29,
    0, 0, 0, 0, 19, 109, 1, 0, 2, 223, 209, 0, 29, 0, 0, 0, 0, 183, 108, 1, 0, 2, 224, 209, 0, 0,
    35, 0, 0, 0, 0, 56, 2, 233, 209, 29, 0, 0, 0, 0, 98, 152, 1, 0, 2, 234, 209, 0, 29, 0, 0, 0, 0,
    98, 152, 1, 0, 2, 235, 209, 16, 29, 0, 0, 0, 0, 57, 48, 0, 0, 2, 236, 209, 32, 29, 0, 0, 0, 0,
    57, 48, 0, 0, 2, 237, 209, 34, 29, 0, 0, 0, 0, 57, 48, 0, 0, 2, 238, 209, 36, 29, 0, 0, 0, 0,
    57, 48, 0, 0, 2, 239, 209, 38, 29, 0, 0, 0, 0, 225, 24, 0, 0, 2, 240, 209, 40, 29, 0, 0, 0, 0,
    158, 26, 0, 0, 2, 241, 209, 42, 29, 0, 0, 0, 0, 158, 26, 0, 0, 2, 242, 209, 43, 29, 0, 0, 0, 0,
    158, 26, 0, 0, 2, 243, 209, 44, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 244, 209, 48, 29, 0, 0, 0, 0,
    123, 62, 0, 0, 2, 245, 209, 52, 0, 35, 0, 0, 0, 0, 8, 2, 66, 210, 29, 0, 0, 0, 0, 27, 1, 0, 0,
    2, 67, 210, 0, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 68, 210, 4, 0, 35, 0, 0, 0, 0, 32, 2, 79, 210,
    29, 0, 0, 0, 0, 195, 21, 0, 0, 2, 80, 210, 0, 29, 0, 0, 0, 0, 218, 67, 0, 0, 2, 81, 210, 16,
    29, 0, 0, 0, 0, 218, 67, 0, 0, 2, 82, 210, 17, 29, 0, 0, 0, 0, 218, 67, 0, 0, 2, 83, 210, 18,
    29, 0, 0, 0, 0, 177, 66, 0, 0, 2, 84, 210, 20, 29, 0, 0, 0, 0, 189, 153, 1, 0, 2, 85, 210, 24,
    0, 9, 194, 153, 1, 0, 35, 0, 0, 0, 0, 36, 2, 71, 210, 29, 0, 0, 0, 0, 98, 152, 1, 0, 2, 72,
    210, 0, 29, 0, 0, 0, 0, 98, 152, 1, 0, 2, 73, 210, 16, 29, 0, 0, 0, 0, 225, 24, 0, 0, 2, 74,
    210, 32, 29, 0, 0, 0, 0, 158, 26, 0, 0, 2, 75, 210, 34, 29, 0, 0, 0, 0, 158, 26, 0, 0, 2, 76,
    210, 35, 0, 35, 0, 0, 0, 0, 64, 2, 248, 209, 29, 0, 0, 0, 0, 197, 0, 0, 0, 2, 249, 209, 0, 29,
    0, 0, 0, 0, 197, 0, 0, 0, 2, 250, 209, 8, 29, 0, 0, 0, 0, 197, 0, 0, 0, 2, 251, 209, 16, 29, 0,
    0, 0, 0, 197, 0, 0, 0, 2, 252, 209, 24, 29, 0, 0, 0, 0, 197, 0, 0, 0, 2, 253, 209, 32, 29, 0,
    0, 0, 0, 197, 0, 0, 0, 2, 254, 209, 40, 29, 0, 0, 0, 0, 197, 0, 0, 0, 2, 255, 209, 48, 29, 0,
    0, 0, 0, 197, 0, 0, 0, 2, 0, 210, 56, 0, 9, 132, 154, 1, 0, 35, 0, 0, 0, 0, 72, 2, 32, 210, 29,
    0, 0, 0, 0, 139, 157, 0, 0, 2, 33, 210, 0, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 34, 210, 64, 29, 0,
    0, 0, 0, 38, 1, 0, 0, 2, 35, 210, 68, 29, 0, 0, 0, 0, 78, 22, 0, 0, 2, 36, 210, 72, 0, 9, 199,
    154, 1, 0, 35, 0, 0, 0, 0, 68, 2, 26, 210, 29, 0, 0, 0, 0, 139, 157, 0, 0, 2, 27, 210, 0, 29,
    0, 0, 0, 0, 38, 1, 0, 0, 2, 28, 210, 64, 29, 0, 0, 0, 0, 78, 22, 0, 0, 2, 29, 210, 68, 0, 9,
    253, 154, 1, 0, 35, 0, 0, 0, 0, 72, 2, 39, 210, 29, 0, 0, 0, 0, 139, 157, 0, 0, 2, 40, 210, 0,
    29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 41, 210, 64, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 42, 210, 68, 29,
    0, 0, 0, 0, 78, 22, 0, 0, 2, 43, 210, 72, 0, 9, 64, 155, 1, 0, 35, 0, 0, 0, 0, 24, 2, 59, 210,
    29, 0, 0, 0, 0, 225, 24, 0, 0, 2, 60, 210, 0, 29, 0, 0, 0, 0, 57, 48, 0, 0, 2, 61, 210, 2, 29,
    0, 0, 0, 0, 57, 48, 0, 0, 2, 62, 210, 4, 29, 0, 0, 0, 0, 98, 152, 1, 0, 2, 63, 210, 8, 0, 9,
    98, 152, 1, 0, 35, 0, 0, 0, 0, 12, 2, 10, 210, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 11, 210, 0, 29,
    0, 0, 0, 0, 27, 1, 0, 0, 2, 12, 210, 4, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 13, 210, 8, 0, 9, 185,
    155, 1, 0, 35, 0, 0, 0, 0, 24, 2, 16, 210, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 17, 210, 0, 29, 0,
    0, 0, 0, 27, 1, 0, 0, 2, 18, 210, 4, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 19, 210, 8, 29, 0, 0, 0,
    0, 27, 1, 0, 0, 2, 20, 210, 12, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 21, 210, 16, 29, 0, 0, 0, 0,
    27, 1, 0, 0, 2, 22, 210, 20, 29, 0, 0, 0, 0, 30, 156, 1, 0, 2, 23, 210, 24, 0, 3, 27, 1, 0, 0,
    4, 82, 0, 0, 0, 0, 0, 9, 47, 156, 1, 0, 37, 52, 156, 1, 0, 35, 0, 0, 0, 0, 40, 2, 31, 211, 29,
    0, 0, 0, 0, 127, 156, 1, 0, 2, 32, 211, 0, 29, 0, 0, 0, 0, 144, 156, 1, 0, 2, 33, 211, 8, 29,
    0, 0, 0, 0, 144, 156, 1, 0, 2, 34, 211, 16, 29, 0, 0, 0, 0, 170, 156, 1, 0, 2, 35, 211, 24, 29,
    0, 0, 0, 0, 187, 156, 1, 0, 2, 36, 211, 32, 0, 9, 132, 156, 1, 0, 38, 15, 197, 148, 1, 0, 15,
    21, 48, 0, 0, 0, 9, 149, 156, 1, 0, 14, 168, 0, 0, 0, 15, 197, 148, 1, 0, 15, 26, 34, 0, 0, 15,
    21, 48, 0, 0, 0, 9, 175, 156, 1, 0, 38, 15, 197, 148, 1, 0, 15, 168, 0, 0, 0, 0, 9, 192, 156,
    1, 0, 14, 168, 0, 0, 0, 15, 197, 148, 1, 0, 15, 26, 34, 0, 0, 0, 35, 0, 0, 0, 0, 12, 2, 46,
    210, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 47, 210, 0, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 48, 210, 4,
    29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 49, 210, 8, 0, 35, 0, 0, 0, 0, 32, 2, 3, 210, 29, 0, 0, 0, 0,
    197, 0, 0, 0, 2, 4, 210, 0, 29, 0, 0, 0, 0, 197, 0, 0, 0, 2, 5, 210, 8, 29, 0, 0, 0, 0, 197, 0,
    0, 0, 2, 6, 210, 16, 29, 0, 0, 0, 0, 197, 0, 0, 0, 2, 7, 210, 24, 0, 35, 0, 0, 0, 0, 32, 2, 88,
    210, 29, 0, 0, 0, 0, 162, 12, 0, 0, 2, 89, 210, 0, 29, 0, 0, 0, 0, 162, 12, 0, 0, 2, 90, 210,
    8, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 91, 210, 16, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 92, 210, 24,
    29, 0, 0, 0, 0, 218, 67, 0, 0, 2, 93, 210, 28, 0, 35, 0, 0, 0, 0, 16, 2, 152, 2, 29, 0, 0, 0,
    0, 220, 54, 0, 0, 2, 153, 2, 0, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 154, 2, 8, 29, 0, 0, 0, 0, 27,
    1, 0, 0, 2, 155, 2, 12, 0, 9, 192, 157, 1, 0, 37, 197, 157, 1, 0, 35, 0, 0, 0, 0, 72, 2, 39,
    211, 29, 0, 0, 0, 0, 154, 27, 0, 0, 2, 40, 211, 0, 29, 0, 0, 0, 0, 120, 81, 0, 0, 2, 41, 211,
    8, 29, 0, 0, 0, 0, 218, 67, 0, 0, 2, 42, 211, 16, 29, 0, 0, 0, 0, 218, 67, 0, 0, 2, 43, 211,
    17, 29, 0, 0, 0, 0, 81, 158, 1, 0, 2, 44, 211, 24, 29, 0, 0, 0, 0, 97, 158, 1, 0, 2, 45, 211,
    32, 29, 0, 0, 0, 0, 187, 156, 1, 0, 2, 46, 211, 40, 29, 0, 0, 0, 0, 187, 156, 1, 0, 2, 47, 211,
    48, 29, 0, 0, 0, 0, 109, 158, 1, 0, 2, 48, 211, 56, 29, 0, 0, 0, 0, 145, 158, 1, 0, 2, 49, 211,
    64, 0, 9, 86, 158, 1, 0, 14, 168, 0, 0, 0, 15, 197, 148, 1, 0, 0, 9, 102, 158, 1, 0, 38, 15,
    197, 148, 1, 0, 0, 9, 114, 158, 1, 0, 14, 168, 0, 0, 0, 15, 197, 148, 1, 0, 15, 26, 34, 0, 0,
    15, 135, 158, 1, 0, 0, 9, 140, 158, 1, 0, 37, 73, 106, 1, 0, 9, 150, 158, 1, 0, 14, 168, 0, 0,
    0, 15, 197, 148, 1, 0, 15, 26, 34, 0, 0, 15, 171, 158, 1, 0, 0, 9, 35, 229, 0, 0, 35, 0, 0, 0,
    0, 3, 2, 96, 210, 29, 0, 0, 0, 0, 218, 67, 0, 0, 2, 97, 210, 0, 29, 0, 0, 0, 0, 218, 67, 0, 0,
    2, 98, 210, 1, 29, 0, 0, 0, 0, 218, 67, 0, 0, 2, 99, 210, 2, 0, 9, 230, 158, 1, 0, 37, 235,
    158, 1, 0, 35, 0, 0, 0, 0, 48, 2, 52, 211, 29, 0, 0, 0, 0, 154, 27, 0, 0, 2, 53, 211, 0, 29, 0,
    0, 0, 0, 120, 81, 0, 0, 2, 54, 211, 8, 29, 0, 0, 0, 0, 218, 67, 0, 0, 2, 55, 211, 16, 29, 0, 0,
    0, 0, 67, 159, 1, 0, 2, 56, 211, 24, 29, 0, 0, 0, 0, 187, 156, 1, 0, 2, 57, 211, 32, 29, 0, 0,
    0, 0, 84, 159, 1, 0, 2, 58, 211, 40, 0, 9, 72, 159, 1, 0, 38, 15, 197, 148, 1, 0, 15, 26, 34,
    0, 0, 0, 9, 89, 159, 1, 0, 14, 168, 0, 0, 0, 15, 197, 148, 1, 0, 15, 26, 34, 0, 0, 15, 97, 22,
    0, 0, 0, 9, 115, 159, 1, 0, 35, 0, 0, 0, 0, 8, 2, 23, 161, 29, 0, 0, 0, 0, 158, 26, 0, 0, 2,
    24, 161, 0, 29, 0, 0, 0, 0, 158, 26, 0, 0, 2, 25, 161, 1, 29, 0, 0, 0, 0, 225, 24, 0, 0, 2, 26,
    161, 2, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 27, 161, 4, 29, 0, 0, 0, 0, 78, 22, 0, 0, 2, 28, 161,
    8, 0, 9, 195, 159, 1, 0, 40, 0, 0, 0, 0, 24, 2, 49, 157, 1, 0, 25, 0, 0, 0, 0, 33, 67, 0, 0, 2,
    50, 157, 1, 0, 0, 25, 0, 0, 0, 0, 195, 21, 0, 0, 2, 51, 157, 1, 0, 8, 0, 9, 242, 159, 1, 0, 35,
    0, 0, 0, 0, 8, 2, 22, 211, 29, 0, 0, 0, 0, 9, 160, 1, 0, 2, 23, 211, 0, 0, 9, 14, 160, 1, 0,
    35, 0, 0, 0, 0, 80, 2, 245, 210, 29, 0, 0, 0, 0, 9, 160, 1, 0, 2, 246, 210, 0, 29, 0, 0, 0, 0,
    168, 0, 0, 0, 2, 247, 210, 8, 29, 0, 0, 0, 0, 21, 48, 0, 0, 2, 248, 210, 12, 29, 0, 0, 0, 0,
    177, 66, 0, 0, 2, 249, 210, 16, 29, 0, 0, 0, 0, 181, 51, 0, 0, 2, 250, 210, 20, 29, 0, 0, 0, 0,
    21, 48, 0, 0, 2, 251, 210, 24, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 252, 210, 32, 29, 0, 0, 0, 0,
    215, 137, 1, 0, 2, 253, 210, 40, 29, 0, 0, 0, 0, 215, 137, 1, 0, 2, 254, 210, 48, 29, 0, 0, 0,
    0, 90, 22, 0, 0, 2, 255, 210, 56, 29, 0, 0, 0, 0, 28, 22, 0, 0, 2, 0, 211, 64, 0, 40, 0, 0, 0,
    0, 112, 2, 213, 129, 1, 0, 25, 0, 0, 0, 0, 64, 136, 1, 0, 2, 214, 129, 1, 0, 0, 25, 0, 0, 0, 0,
    152, 21, 0, 0, 2, 215, 129, 1, 0, 72, 25, 0, 0, 0, 0, 13, 161, 1, 0, 2, 216, 129, 1, 0, 88, 25,
    0, 0, 0, 0, 27, 1, 0, 0, 2, 217, 129, 1, 0, 96, 25, 0, 0, 0, 0, 21, 48, 0, 0, 2, 218, 129, 1,
    0, 100, 25, 0, 0, 0, 0, 168, 0, 0, 0, 2, 219, 129, 1, 0, 104, 0, 9, 18, 161, 1, 0, 40, 0, 0, 0,
    0, 128, 2, 222, 129, 1, 0, 25, 0, 0, 0, 0, 152, 21, 0, 0, 2, 223, 129, 1, 0, 0, 25, 0, 0, 0, 0,
    152, 21, 0, 0, 2, 224, 129, 1, 0, 16, 25, 0, 0, 0, 0, 195, 21, 0, 0, 2, 225, 129, 1, 0, 32, 25,
    0, 0, 0, 0, 47, 85, 1, 0, 2, 226, 129, 1, 0, 48, 25, 0, 0, 0, 0, 168, 0, 0, 0, 2, 227, 129, 1,
    0, 56, 25, 0, 0, 0, 0, 254, 62, 0, 0, 2, 228, 129, 1, 0, 60, 25, 0, 0, 0, 0, 38, 1, 0, 0, 2,
    229, 129, 1, 0, 64, 25, 0, 0, 0, 0, 169, 26, 0, 0, 2, 230, 129, 1, 0, 68, 25, 0, 0, 0, 0, 169,
    26, 0, 0, 2, 231, 129, 1, 0, 69, 25, 0, 0, 0, 0, 169, 26, 0, 0, 2, 232, 129, 1, 0, 70, 25, 0,
    0, 0, 0, 169, 26, 0, 0, 2, 233, 129, 1, 0, 71, 25, 0, 0, 0, 0, 21, 48, 0, 0, 2, 234, 129, 1, 0,
    72, 25, 0, 0, 0, 0, 177, 66, 0, 0, 2, 235, 129, 1, 0, 76, 25, 0, 0, 0, 0, 177, 66, 0, 0, 2,
    236, 129, 1, 0, 80, 25, 0, 0, 0, 0, 85, 134, 1, 0, 2, 237, 129, 1, 0, 88, 25, 0, 0, 0, 0, 168,
    0, 0, 0, 2, 238, 129, 1, 0, 96, 25, 0, 0, 0, 0, 181, 51, 0, 0, 2, 239, 129, 1, 0, 100, 25, 0,
    0, 0, 0, 181, 51, 0, 0, 2, 240, 129, 1, 0, 101, 25, 0, 0, 0, 0, 174, 134, 1, 0, 2, 241, 129, 1,
    0, 104, 25, 0, 0, 0, 0, 28, 22, 0, 0, 2, 242, 129, 1, 0, 112, 25, 0, 0, 0, 0, 89, 162, 1, 0, 2,
    243, 129, 1, 0, 128, 0, 3, 167, 160, 1, 0, 4, 82, 0, 0, 0, 0, 0, 35, 0, 0, 0, 0, 96, 2, 128,
    209, 29, 0, 0, 0, 0, 64, 136, 1, 0, 2, 129, 209, 0, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 130, 209,
    72, 29, 0, 0, 0, 0, 163, 162, 1, 0, 2, 131, 209, 80, 29, 0, 0, 0, 0, 52, 167, 1, 0, 2, 132,
    209, 88, 0, 9, 168, 162, 1, 0, 9, 173, 162, 1, 0, 35, 0, 0, 0, 0, 232, 2, 174, 209, 29, 0, 0,
    0, 0, 177, 138, 1, 0, 2, 175, 209, 0, 29, 0, 0, 0, 0, 213, 131, 1, 0, 2, 176, 209, 112, 29, 0,
    0, 0, 0, 168, 0, 0, 0, 2, 177, 209, 120, 29, 0, 0, 0, 0, 138, 134, 1, 0, 2, 178, 209, 124, 29,
    0, 0, 0, 0, 138, 134, 1, 0, 2, 179, 209, 144, 29, 0, 0, 0, 0, 183, 108, 1, 0, 2, 180, 209, 164,
    29, 0, 0, 0, 0, 70, 163, 1, 0, 2, 181, 209, 184, 29, 0, 0, 0, 0, 177, 66, 0, 0, 2, 182, 209,
    192, 29, 0, 0, 0, 0, 195, 21, 0, 0, 2, 183, 209, 200, 29, 0, 0, 0, 0, 190, 159, 1, 0, 2, 184,
    209, 216, 29, 0, 0, 0, 0, 236, 24, 0, 0, 2, 185, 209, 224, 0, 9, 75, 163, 1, 0, 28, 0, 0, 0, 0,
    96, 2, 2, 126, 50, 29, 0, 0, 0, 0, 162, 12, 0, 0, 2, 127, 50, 0, 29, 0, 0, 0, 0, 195, 21, 0, 0,
    2, 128, 50, 8, 29, 0, 0, 0, 0, 254, 164, 1, 0, 2, 129, 50, 24, 29, 0, 0, 0, 0, 254, 164, 1, 0,
    2, 130, 50, 32, 29, 0, 0, 0, 0, 33, 67, 0, 0, 2, 131, 50, 40, 29, 0, 0, 0, 0, 169, 26, 0, 0, 2,
    132, 50, 44, 29, 0, 0, 0, 0, 169, 26, 0, 0, 2, 133, 50, 45, 29, 0, 0, 0, 0, 169, 26, 0, 0, 2,
    134, 50, 46, 29, 0, 0, 0, 0, 169, 26, 0, 0, 2, 135, 50, 47, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2,
    136, 50, 48, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 137, 50, 56, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2,
    138, 50, 64, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 139, 50, 72, 29, 0, 0, 0, 0, 134, 156, 0, 0, 2,
    140, 50, 80, 29, 0, 0, 0, 0, 134, 156, 0, 0, 2, 141, 50, 120, 29, 0, 0, 0, 0, 134, 156, 0, 0,
    2, 142, 50, 160, 29, 0, 0, 0, 0, 45, 166, 1, 0, 2, 143, 50, 200, 29, 0, 0, 0, 0, 75, 105, 0, 0,
    2, 144, 50, 208, 29, 0, 0, 0, 0, 254, 62, 0, 0, 2, 145, 50, 216, 29, 0, 0, 0, 0, 27, 1, 0, 0,
    2, 146, 50, 220, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 147, 50, 224, 29, 0, 0, 0, 0, 177, 66, 0, 0,
    2, 148, 50, 228, 29, 0, 0, 0, 0, 195, 21, 0, 0, 2, 149, 50, 232, 29, 0, 0, 0, 0, 183, 108, 1,
    0, 2, 150, 50, 248, 31, 0, 0, 0, 0, 192, 147, 1, 0, 2, 151, 50, 8, 1, 31, 0, 0, 0, 0, 246, 128,
    1, 0, 2, 152, 50, 16, 1, 31, 0, 0, 0, 0, 177, 166, 1, 0, 2, 153, 50, 248, 1, 31, 0, 0, 0, 0,
    134, 156, 0, 0, 2, 154, 50, 24, 2, 31, 0, 0, 0, 0, 147, 26, 0, 0, 2, 155, 50, 64, 2, 31, 0, 0,
    0, 0, 158, 26, 0, 0, 2, 156, 50, 68, 2, 31, 0, 0, 0, 0, 90, 22, 0, 0, 2, 157, 50, 72, 2, 31, 0,
    0, 0, 0, 28, 22, 0, 0, 2, 158, 50, 80, 2, 0, 9, 3, 165, 1, 0, 35, 0, 0, 0, 0, 144, 2, 6, 53,
    29, 0, 0, 0, 0, 183, 108, 1, 0, 2, 7, 53, 0, 29, 0, 0, 0, 0, 70, 163, 1, 0, 2, 8, 53, 16, 29,
    0, 0, 0, 0, 254, 164, 1, 0, 2, 9, 53, 24, 29, 0, 0, 0, 0, 208, 165, 1, 0, 2, 10, 53, 32, 29, 0,
    0, 0, 0, 208, 165, 1, 0, 2, 11, 53, 40, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 12, 53, 48, 29, 0, 0,
    0, 0, 169, 26, 0, 0, 2, 13, 53, 52, 29, 0, 0, 0, 0, 11, 103, 0, 0, 2, 14, 53, 56, 29, 0, 0, 0,
    0, 134, 156, 0, 0, 2, 15, 53, 72, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 16, 53, 112, 29, 0, 0, 0, 0,
    168, 0, 0, 0, 2, 17, 53, 116, 29, 0, 0, 0, 0, 254, 62, 0, 0, 2, 18, 53, 120, 29, 0, 0, 0, 0,
    33, 67, 0, 0, 2, 19, 53, 124, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 20, 53, 128, 29, 0, 0, 0, 0, 90,
    22, 0, 0, 2, 21, 53, 136, 0, 9, 213, 165, 1, 0, 35, 0, 0, 0, 0, 48, 2, 253, 52, 29, 0, 0, 0, 0,
    208, 165, 1, 0, 2, 254, 52, 0, 29, 0, 0, 0, 0, 183, 108, 1, 0, 2, 255, 52, 8, 29, 0, 0, 0, 0,
    11, 103, 0, 0, 2, 0, 53, 24, 29, 0, 0, 0, 0, 169, 26, 0, 0, 2, 1, 53, 40, 29, 0, 0, 0, 0, 169,
    26, 0, 0, 2, 2, 53, 41, 29, 0, 0, 0, 0, 169, 26, 0, 0, 2, 3, 53, 42, 0, 9, 50, 166, 1, 0, 35,
    0, 0, 0, 0, 88, 2, 24, 53, 29, 0, 0, 0, 0, 183, 108, 1, 0, 2, 25, 53, 0, 29, 0, 0, 0, 0, 213,
    131, 1, 0, 2, 26, 53, 16, 29, 0, 0, 0, 0, 45, 166, 1, 0, 2, 27, 53, 24, 29, 0, 0, 0, 0, 152,
    21, 0, 0, 2, 28, 53, 32, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 29, 53, 48, 29, 0, 0, 0, 0, 254, 62,
    0, 0, 2, 30, 53, 52, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 31, 53, 56, 29, 0, 0, 0, 0, 90, 22, 0, 0,
    2, 32, 53, 64, 29, 0, 0, 0, 0, 28, 22, 0, 0, 2, 33, 53, 72, 0, 35, 0, 0, 0, 0, 32, 2, 115, 50,
    29, 0, 0, 0, 0, 97, 224, 0, 0, 2, 116, 50, 0, 29, 0, 0, 0, 0, 222, 92, 1, 0, 2, 117, 50, 8, 29,
    0, 0, 0, 0, 239, 166, 1, 0, 2, 118, 50, 16, 29, 0, 0, 0, 0, 23, 167, 1, 0, 2, 119, 50, 24, 0,
    9, 244, 166, 1, 0, 35, 0, 0, 0, 0, 48, 2, 31, 44, 29, 0, 0, 0, 0, 11, 167, 1, 0, 2, 32, 44, 0,
    0, 3, 173, 23, 0, 0, 4, 82, 0, 0, 0, 6, 0, 9, 28, 167, 1, 0, 28, 0, 0, 0, 0, 0, 16, 2, 39, 44,
    29, 0, 0, 0, 0, 171, 93, 1, 0, 2, 40, 44, 0, 0, 9, 57, 167, 1, 0, 35, 0, 0, 0, 0, 16, 2, 26,
    211, 29, 0, 0, 0, 0, 90, 101, 0, 0, 2, 27, 211, 0, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 28, 211, 8,
    0, 9, 98, 167, 1, 0, 40, 0, 0, 0, 0, 16, 2, 226, 130, 1, 0, 25, 0, 0, 0, 0, 93, 167, 1, 0, 2,
    227, 130, 1, 0, 0, 25, 0, 0, 0, 0, 229, 67, 0, 0, 2, 228, 130, 1, 0, 8, 25, 0, 0, 0, 0, 181,
    51, 0, 0, 2, 229, 130, 1, 0, 10, 25, 0, 0, 0, 0, 181, 51, 0, 0, 2, 230, 130, 1, 0, 11, 25, 0,
    0, 0, 0, 181, 51, 0, 0, 2, 231, 130, 1, 0, 12, 25, 0, 0, 0, 0, 200, 167, 1, 0, 2, 232, 130, 1,
    0, 16, 0, 3, 212, 167, 1, 0, 4, 82, 0, 0, 0, 0, 0, 40, 0, 0, 0, 0, 40, 2, 218, 130, 1, 0, 25,
    0, 0, 0, 0, 174, 134, 1, 0, 2, 219, 130, 1, 0, 0, 25, 0, 0, 0, 0, 218, 67, 0, 0, 2, 220, 130,
    1, 0, 8, 25, 0, 0, 0, 0, 242, 23, 0, 0, 2, 221, 130, 1, 0, 12, 25, 0, 0, 0, 0, 195, 21, 0, 0,
    2, 222, 130, 1, 0, 16, 25, 0, 0, 0, 0, 174, 134, 1, 0, 2, 223, 130, 1, 0, 32, 0, 3, 101, 162,
    1, 0, 4, 82, 0, 0, 0, 0, 0, 9, 60, 168, 1, 0, 35, 0, 0, 0, 0, 28, 2, 188, 209, 29, 0, 0, 0, 0,
    27, 1, 0, 0, 2, 189, 209, 0, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 190, 209, 4, 29, 0, 0, 0, 0, 27,
    1, 0, 0, 2, 191, 209, 8, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 192, 209, 12, 29, 0, 0, 0, 0, 27, 1,
    0, 0, 2, 193, 209, 16, 29, 0, 0, 0, 0, 242, 23, 0, 0, 2, 194, 209, 20, 29, 0, 0, 0, 0, 242, 23,
    0, 0, 2, 195, 209, 24, 0, 9, 166, 168, 1, 0, 40, 0, 0, 0, 0, 176, 2, 152, 135, 1, 0, 25, 0, 0,
    0, 0, 128, 104, 0, 0, 2, 153, 135, 1, 0, 0, 25, 0, 0, 0, 0, 223, 168, 1, 0, 2, 154, 135, 1, 0,
    32, 25, 0, 0, 0, 0, 142, 79, 1, 0, 2, 155, 135, 1, 0, 40, 0, 9, 183, 108, 1, 0, 35, 0, 0, 0, 0,
    16, 2, 245, 37, 29, 0, 0, 0, 0, 8, 169, 1, 0, 2, 246, 37, 0, 29, 0, 0, 0, 0, 124, 113, 1, 0, 2,
    247, 37, 8, 0, 35, 0, 0, 0, 0, 8, 2, 241, 37, 29, 0, 0, 0, 0, 228, 90, 1, 0, 2, 242, 37, 0, 0,
    28, 0, 0, 0, 0, 8, 1, 2, 252, 37, 29, 0, 0, 0, 0, 64, 171, 1, 0, 2, 253, 37, 0, 29, 0, 0, 0, 0,
    97, 224, 0, 0, 2, 254, 37, 8, 29, 0, 0, 0, 0, 228, 90, 1, 0, 2, 255, 37, 16, 29, 0, 0, 0, 0,
    27, 40, 0, 0, 2, 0, 38, 24, 29, 0, 0, 0, 0, 195, 21, 0, 0, 2, 1, 38, 32, 29, 0, 0, 0, 0, 195,
    21, 0, 0, 2, 2, 38, 48, 29, 0, 0, 0, 0, 134, 156, 0, 0, 2, 3, 38, 64, 29, 0, 0, 0, 0, 195, 21,
    0, 0, 2, 4, 38, 104, 29, 0, 0, 0, 0, 33, 67, 0, 0, 2, 5, 38, 120, 29, 0, 0, 0, 0, 33, 67, 0, 0,
    2, 6, 38, 124, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 7, 38, 128, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 8,
    38, 132, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 9, 38, 136, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 10, 38,
    140, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 11, 38, 144, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 12, 38,
    148, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 13, 38, 152, 29, 0, 0, 0, 0, 154, 27, 0, 0, 2, 14, 38,
    160, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 15, 38, 168, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 16, 38, 172,
    29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 17, 38, 176, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 18, 38, 180, 29,
    0, 0, 0, 0, 168, 0, 0, 0, 2, 19, 38, 184, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 20, 38, 188, 29, 0,
    0, 0, 0, 168, 0, 0, 0, 2, 21, 38, 192, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 22, 38, 196, 29, 0, 0,
    0, 0, 168, 0, 0, 0, 2, 23, 38, 200, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 24, 38, 204, 29, 0, 0, 0,
    0, 168, 0, 0, 0, 2, 25, 38, 208, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 26, 38, 212, 29, 0, 0, 0, 0,
    168, 0, 0, 0, 2, 27, 38, 216, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 28, 38, 220, 29, 0, 0, 0, 0,
    168, 0, 0, 0, 2, 29, 38, 224, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 30, 38, 228, 29, 0, 0, 0, 0,
    168, 0, 0, 0, 2, 31, 38, 232, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 32, 38, 236, 29, 0, 0, 0, 0,
    168, 0, 0, 0, 2, 33, 38, 240, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 34, 38, 244, 29, 0, 0, 0, 0,
    168, 0, 0, 0, 2, 35, 38, 248, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 36, 38, 252, 31, 0, 0, 0, 0, 90,
    22, 0, 0, 2, 37, 38, 0, 1, 0, 9, 69, 171, 1, 0, 43, 0, 0, 0, 0, 35, 0, 0, 0, 0, 16, 2, 40, 38,
    29, 0, 0, 0, 0, 27, 40, 0, 0, 2, 41, 38, 0, 29, 0, 0, 0, 0, 27, 40, 0, 0, 2, 42, 38, 8, 0, 28,
    0, 0, 0, 0, 24, 1, 2, 51, 38, 29, 0, 0, 0, 0, 97, 224, 0, 0, 2, 52, 38, 0, 29, 0, 0, 0, 0, 253,
    171, 1, 0, 2, 53, 38, 8, 29, 0, 0, 0, 0, 58, 173, 1, 0, 2, 54, 38, 16, 29, 0, 0, 0, 0, 228, 90,
    1, 0, 2, 55, 38, 120, 29, 0, 0, 0, 0, 179, 174, 1, 0, 2, 56, 38, 128, 29, 0, 0, 0, 0, 179, 174,
    1, 0, 2, 57, 38, 168, 29, 0, 0, 0, 0, 72, 175, 1, 0, 2, 58, 38, 208, 29, 0, 0, 0, 0, 179, 174,
    1, 0, 2, 59, 38, 232, 31, 0, 0, 0, 0, 181, 51, 0, 0, 2, 60, 38, 16, 1, 31, 0, 0, 0, 0, 181, 51,
    0, 0, 2, 61, 38, 17, 1, 0, 9, 2, 172, 1, 0, 37, 7, 172, 1, 0, 35, 0, 0, 0, 0, 16, 2, 100, 45,
    29, 0, 0, 0, 0, 43, 172, 1, 0, 2, 101, 45, 0, 29, 0, 0, 0, 0, 46, 173, 1, 0, 2, 102, 45, 8, 0,
    9, 48, 172, 1, 0, 14, 168, 0, 0, 0, 15, 64, 172, 1, 0, 15, 38, 1, 0, 0, 0, 9, 69, 172, 1, 0,
    40, 0, 0, 0, 0, 104, 2, 112, 156, 1, 0, 25, 0, 0, 0, 0, 195, 21, 0, 0, 2, 113, 156, 1, 0, 0,
    25, 0, 0, 0, 0, 26, 34, 0, 0, 2, 114, 156, 1, 0, 16, 25, 0, 0, 0, 0, 38, 1, 0, 0, 2, 115, 156,
    1, 0, 24, 25, 0, 0, 0, 0, 38, 1, 0, 0, 2, 116, 156, 1, 0, 28, 25, 0, 0, 0, 0, 162, 12, 0, 0, 2,
    117, 156, 1, 0, 32, 25, 0, 0, 0, 0, 162, 12, 0, 0, 2, 118, 156, 1, 0, 40, 25, 0, 0, 0, 0, 201,
    172, 1, 0, 2, 119, 156, 1, 0, 48, 25, 0, 0, 0, 0, 229, 67, 0, 0, 2, 120, 156, 1, 0, 96, 0, 35,
    0, 0, 0, 0, 48, 2, 213, 200, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 214, 200, 0, 29, 0, 0, 0, 0, 145,
    117, 1, 0, 2, 215, 200, 4, 29, 0, 0, 0, 0, 162, 12, 0, 0, 2, 216, 200, 8, 29, 0, 0, 0, 0, 162,
    12, 0, 0, 2, 217, 200, 16, 29, 0, 0, 0, 0, 27, 40, 0, 0, 2, 218, 200, 24, 29, 0, 0, 0, 0, 47,
    85, 1, 0, 2, 219, 200, 32, 29, 0, 0, 0, 0, 156, 137, 1, 0, 2, 220, 200, 40, 0, 9, 51, 173, 1,
    0, 38, 15, 47, 85, 1, 0, 0, 3, 70, 173, 1, 0, 4, 82, 0, 0, 0, 13, 0, 9, 75, 173, 1, 0, 37, 80,
    173, 1, 0, 35, 0, 0, 0, 0, 32, 2, 117, 45, 29, 0, 0, 0, 0, 154, 27, 0, 0, 2, 118, 45, 0, 29, 0,
    0, 0, 0, 60, 6, 0, 0, 2, 119, 45, 8, 29, 0, 0, 0, 0, 142, 173, 1, 0, 2, 120, 45, 16, 29, 0, 0,
    0, 0, 120, 81, 0, 0, 2, 121, 45, 24, 0, 9, 147, 173, 1, 0, 39, 159, 173, 1, 0, 0, 0, 0, 0, 2,
    115, 45, 38, 15, 47, 85, 1, 0, 15, 145, 117, 1, 0, 15, 38, 1, 0, 0, 15, 201, 173, 1, 0, 15,
    197, 144, 1, 0, 15, 197, 144, 1, 0, 15, 211, 173, 1, 0, 15, 233, 21, 0, 0, 0, 9, 206, 173, 1,
    0, 37, 31, 34, 0, 0, 9, 216, 173, 1, 0, 37, 221, 173, 1, 0, 40, 0, 0, 0, 0, 16, 2, 123, 156, 1,
    0, 25, 0, 0, 0, 0, 145, 117, 1, 0, 2, 124, 156, 1, 0, 0, 25, 0, 0, 0, 0, 6, 174, 1, 0, 2, 136,
    156, 1, 0, 4, 24, 12, 2, 125, 156, 1, 0, 25, 0, 0, 0, 0, 28, 174, 1, 0, 2, 131, 156, 1, 0, 0,
    59, 12, 2, 126, 156, 1, 0, 25, 0, 0, 0, 0, 151, 174, 1, 0, 2, 127, 156, 1, 0, 0, 25, 0, 0, 0,
    0, 165, 174, 1, 0, 2, 128, 156, 1, 0, 4, 25, 0, 0, 0, 0, 165, 174, 1, 0, 2, 129, 156, 1, 0, 6,
    25, 0, 0, 0, 0, 165, 174, 1, 0, 2, 130, 156, 1, 0, 8, 0, 25, 0, 0, 0, 0, 111, 174, 1, 0, 2,
    135, 156, 1, 0, 0, 59, 2, 2, 132, 156, 1, 0, 25, 0, 0, 0, 0, 145, 117, 1, 0, 2, 133, 156, 1, 0,
    0, 25, 0, 0, 0, 0, 145, 117, 1, 0, 2, 134, 156, 1, 0, 1, 0, 0, 0, 42, 177, 66, 0, 0, 0, 0, 0,
    0, 2, 73, 126, 1, 0, 42, 229, 67, 0, 0, 0, 0, 0, 0, 2, 71, 126, 1, 0, 3, 191, 174, 1, 0, 4, 82,
    0, 0, 0, 5, 0, 9, 196, 174, 1, 0, 35, 0, 0, 0, 0, 8, 2, 208, 200, 29, 0, 0, 0, 0, 229, 67, 0,
    0, 2, 209, 200, 0, 29, 0, 0, 0, 0, 232, 174, 1, 0, 2, 210, 200, 8, 0, 3, 244, 174, 1, 0, 4, 82,
    0, 0, 0, 0, 0, 35, 0, 0, 0, 0, 16, 2, 203, 200, 29, 0, 0, 0, 0, 24, 175, 1, 0, 2, 204, 200, 0,
    29, 0, 0, 0, 0, 26, 1, 0, 0, 2, 205, 200, 8, 0, 9, 29, 175, 1, 0, 39, 41, 175, 1, 0, 0, 0, 0,
    0, 2, 201, 200, 14, 38, 1, 0, 0, 15, 26, 1, 0, 0, 15, 26, 34, 0, 0, 15, 62, 175, 1, 0, 0, 9,
    67, 175, 1, 0, 37, 201, 172, 1, 0, 3, 191, 174, 1, 0, 4, 82, 0, 0, 0, 3, 0, 35, 0, 0, 0, 0,
    240, 2, 66, 38, 29, 0, 0, 0, 0, 151, 157, 0, 0, 2, 67, 38, 0, 29, 0, 0, 0, 0, 181, 51, 0, 0, 2,
    68, 38, 208, 29, 0, 0, 0, 0, 181, 51, 0, 0, 2, 69, 38, 209, 29, 0, 0, 0, 0, 172, 175, 1, 0, 2,
    70, 38, 216, 29, 0, 0, 0, 0, 172, 175, 1, 0, 2, 71, 38, 224, 29, 0, 0, 0, 0, 172, 175, 1, 0, 2,
    72, 38, 232, 0, 9, 177, 175, 1, 0, 43, 0, 0, 0, 0, 28, 0, 0, 0, 0, 120, 1, 2, 127, 38, 29, 0,
    0, 0, 0, 242, 23, 0, 0, 2, 128, 38, 0, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 129, 38, 4, 29, 0, 0, 0,
    0, 108, 160, 0, 0, 2, 130, 38, 8, 29, 0, 0, 0, 0, 181, 51, 0, 0, 2, 131, 38, 96, 29, 0, 0, 0,
    0, 181, 51, 0, 0, 2, 132, 38, 97, 29, 0, 0, 0, 0, 228, 90, 1, 0, 2, 133, 38, 104, 29, 0, 0, 0,
    0, 38, 1, 0, 0, 2, 134, 38, 112, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 135, 38, 116, 29, 0, 0, 0, 0,
    168, 0, 0, 0, 2, 136, 38, 120, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 137, 38, 124, 29, 0, 0, 0, 0,
    168, 0, 0, 0, 2, 138, 38, 128, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 139, 38, 132, 29, 0, 0, 0, 0,
    172, 176, 1, 0, 2, 140, 38, 136, 29, 0, 0, 0, 0, 226, 176, 1, 0, 2, 141, 38, 144, 29, 0, 0, 0,
    0, 141, 177, 1, 0, 2, 142, 38, 152, 29, 0, 0, 0, 0, 127, 185, 1, 0, 2, 143, 38, 160, 29, 0, 0,
    0, 0, 64, 187, 1, 0, 2, 144, 38, 168, 31, 0, 0, 0, 0, 38, 1, 0, 0, 2, 145, 38, 112, 1, 0, 9,
    177, 176, 1, 0, 35, 0, 0, 0, 0, 24, 2, 143, 45, 29, 0, 0, 0, 0, 33, 67, 0, 0, 2, 144, 45, 0,
    29, 0, 0, 0, 0, 201, 118, 1, 0, 2, 145, 45, 8, 29, 0, 0, 0, 0, 201, 118, 1, 0, 2, 146, 45, 16,
    0, 9, 231, 176, 1, 0, 35, 0, 0, 0, 0, 48, 2, 128, 45, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 129, 45,
    0, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 130, 45, 4, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 131, 45, 8, 29,
    0, 0, 0, 0, 38, 1, 0, 0, 2, 132, 45, 12, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 133, 45, 16, 29, 0, 0,
    0, 0, 38, 1, 0, 0, 2, 134, 45, 20, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 135, 45, 24, 29, 0, 0, 0, 0,
    38, 1, 0, 0, 2, 136, 45, 28, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 137, 45, 32, 29, 0, 0, 0, 0, 38,
    1, 0, 0, 2, 138, 45, 36, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 139, 45, 40, 29, 0, 0, 0, 0, 38, 1, 0,
    0, 2, 140, 45, 44, 0, 9, 146, 177, 1, 0, 40, 0, 0, 0, 0, 8, 2, 241, 127, 1, 0, 25, 0, 0, 0, 0,
    173, 177, 1, 0, 2, 242, 127, 1, 0, 0, 0, 9, 178, 177, 1, 0, 14, 168, 0, 0, 0, 15, 38, 1, 0, 0,
    15, 194, 177, 1, 0, 0, 9, 199, 177, 1, 0, 40, 0, 0, 0, 0, 16, 2, 231, 131, 1, 0, 25, 0, 0, 0,
    0, 0, 178, 1, 0, 2, 232, 131, 1, 0, 0, 25, 0, 0, 0, 0, 177, 66, 0, 0, 2, 233, 131, 1, 0, 8, 25,
    0, 0, 0, 0, 168, 0, 0, 0, 2, 234, 131, 1, 0, 12, 0, 9, 5, 178, 1, 0, 22, 0, 0, 0, 0, 0, 1, 2,
    156, 131, 1, 0, 25, 0, 0, 0, 0, 250, 178, 1, 0, 2, 157, 131, 1, 0, 0, 25, 0, 0, 0, 0, 33, 67,
    0, 0, 2, 158, 131, 1, 0, 4, 25, 0, 0, 0, 0, 177, 66, 0, 0, 2, 159, 131, 1, 0, 8, 25, 0, 0, 0,
    0, 21, 179, 1, 0, 2, 160, 131, 1, 0, 12, 25, 0, 0, 0, 0, 78, 179, 1, 0, 2, 161, 131, 1, 0, 16,
    25, 0, 0, 0, 0, 90, 22, 0, 0, 2, 162, 131, 1, 0, 128, 25, 0, 0, 0, 0, 229, 67, 0, 0, 2, 163,
    131, 1, 0, 136, 25, 0, 0, 0, 0, 112, 145, 1, 0, 2, 164, 131, 1, 0, 144, 25, 0, 0, 0, 0, 152,
    21, 0, 0, 2, 165, 131, 1, 0, 152, 25, 0, 0, 0, 0, 167, 178, 1, 0, 2, 166, 131, 1, 0, 168, 61,
    0, 2, 166, 131, 1, 0, 25, 0, 0, 0, 0, 0, 178, 1, 0, 2, 167, 131, 1, 0, 168, 25, 0, 0, 0, 0,
    151, 174, 1, 0, 2, 168, 131, 1, 0, 176, 25, 0, 0, 0, 0, 151, 174, 1, 0, 2, 169, 131, 1, 0, 180,
    25, 0, 0, 0, 0, 162, 182, 1, 0, 2, 170, 131, 1, 0, 184, 25, 0, 0, 0, 0, 236, 182, 1, 0, 2, 171,
    131, 1, 0, 192, 0, 40, 0, 0, 0, 0, 4, 2, 63, 125, 1, 0, 25, 0, 0, 0, 0, 242, 23, 0, 0, 2, 64,
    125, 1, 0, 0, 0, 40, 0, 0, 0, 0, 4, 2, 88, 131, 1, 0, 25, 0, 0, 0, 0, 229, 67, 0, 0, 2, 89,
    131, 1, 0, 0, 25, 0, 0, 0, 0, 218, 67, 0, 0, 2, 90, 131, 1, 0, 2, 25, 0, 0, 0, 0, 218, 67, 0,
    0, 2, 91, 131, 1, 0, 3, 0, 3, 90, 179, 1, 0, 4, 82, 0, 0, 0, 2, 0, 40, 0, 0, 0, 0, 56, 2, 131,
    131, 1, 0, 25, 0, 0, 0, 0, 229, 118, 1, 0, 2, 132, 131, 1, 0, 0, 25, 0, 0, 0, 0, 132, 179, 1,
    0, 2, 133, 131, 1, 0, 16, 0, 40, 0, 0, 0, 0, 40, 2, 100, 131, 1, 0, 25, 0, 0, 0, 0, 252, 180,
    1, 0, 2, 101, 131, 1, 0, 0, 25, 0, 0, 0, 0, 173, 179, 1, 0, 2, 128, 131, 1, 0, 20, 59, 20, 2,
    102, 131, 1, 0, 25, 0, 0, 0, 0, 53, 181, 1, 0, 2, 103, 131, 1, 0, 0, 25, 0, 0, 0, 0, 210, 179,
    1, 0, 2, 125, 131, 1, 0, 16, 24, 2, 2, 104, 131, 1, 0, 25, 0, 0, 0, 0, 57, 48, 0, 0, 2, 105,
    131, 1, 0, 0, 25, 0, 0, 0, 0, 247, 179, 1, 0, 2, 108, 131, 1, 0, 0, 59, 2, 2, 106, 131, 1, 0,
    25, 0, 0, 0, 0, 57, 48, 0, 0, 2, 107, 131, 1, 0, 0, 0, 25, 0, 0, 0, 0, 29, 180, 1, 0, 2, 111,
    131, 1, 0, 0, 59, 2, 2, 109, 131, 1, 0, 25, 0, 0, 0, 0, 57, 48, 0, 0, 2, 110, 131, 1, 0, 0, 0,
    25, 0, 0, 0, 0, 67, 180, 1, 0, 2, 115, 131, 1, 0, 0, 59, 2, 2, 112, 131, 1, 0, 25, 0, 0, 0, 0,
    145, 117, 1, 0, 2, 113, 131, 1, 0, 0, 25, 0, 0, 0, 0, 145, 117, 1, 0, 2, 114, 131, 1, 0, 1, 0,
    25, 0, 0, 0, 0, 120, 180, 1, 0, 2, 118, 131, 1, 0, 0, 59, 2, 2, 116, 131, 1, 0, 25, 0, 0, 0, 0,
    57, 48, 0, 0, 2, 117, 131, 1, 0, 0, 0, 25, 0, 0, 0, 0, 158, 180, 1, 0, 2, 121, 131, 1, 0, 0,
    59, 2, 2, 119, 131, 1, 0, 25, 0, 0, 0, 0, 57, 48, 0, 0, 2, 120, 131, 1, 0, 0, 0, 25, 0, 0, 0,
    0, 196, 180, 1, 0, 2, 124, 131, 1, 0, 0, 59, 2, 2, 122, 131, 1, 0, 25, 0, 0, 0, 0, 57, 48, 0,
    0, 2, 123, 131, 1, 0, 0, 0, 0, 25, 0, 0, 0, 0, 145, 117, 1, 0, 2, 126, 131, 1, 0, 18, 25, 0, 0,
    0, 0, 145, 117, 1, 0, 2, 127, 131, 1, 0, 19, 0, 0, 40, 0, 0, 0, 0, 20, 2, 94, 131, 1, 0, 25, 0,
    0, 0, 0, 53, 181, 1, 0, 2, 95, 131, 1, 0, 0, 25, 0, 0, 0, 0, 163, 181, 1, 0, 2, 96, 131, 1, 0,
    16, 25, 0, 0, 0, 0, 165, 174, 1, 0, 2, 97, 131, 1, 0, 18, 0, 41, 0, 0, 0, 0, 16, 2, 171, 127,
    1, 0, 25, 0, 0, 0, 0, 175, 147, 1, 0, 2, 172, 127, 1, 0, 0, 25, 0, 0, 0, 0, 21, 48, 0, 0, 2,
    173, 127, 1, 0, 0, 25, 0, 0, 0, 0, 19, 109, 1, 0, 2, 174, 127, 1, 0, 0, 25, 0, 0, 0, 0, 140,
    181, 1, 0, 2, 175, 127, 1, 0, 0, 25, 0, 0, 0, 0, 183, 108, 1, 0, 2, 176, 127, 1, 0, 0, 0, 35,
    0, 0, 0, 0, 4, 2, 188, 200, 29, 0, 0, 0, 0, 21, 48, 0, 0, 2, 189, 200, 0, 0, 41, 0, 0, 0, 0, 2,
    2, 202, 127, 1, 0, 25, 0, 0, 0, 0, 57, 48, 0, 0, 2, 203, 127, 1, 0, 0, 25, 0, 0, 0, 0, 204,
    181, 1, 0, 2, 206, 127, 1, 0, 0, 59, 2, 2, 204, 127, 1, 0, 25, 0, 0, 0, 0, 57, 48, 0, 0, 2,
    205, 127, 1, 0, 0, 0, 25, 0, 0, 0, 0, 242, 181, 1, 0, 2, 209, 127, 1, 0, 0, 59, 2, 2, 207, 127,
    1, 0, 25, 0, 0, 0, 0, 57, 48, 0, 0, 2, 208, 127, 1, 0, 0, 0, 25, 0, 0, 0, 0, 24, 182, 1, 0, 2,
    212, 127, 1, 0, 0, 59, 2, 2, 210, 127, 1, 0, 25, 0, 0, 0, 0, 57, 48, 0, 0, 2, 211, 127, 1, 0,
    0, 0, 25, 0, 0, 0, 0, 62, 182, 1, 0, 2, 215, 127, 1, 0, 0, 59, 2, 2, 213, 127, 1, 0, 25, 0, 0,
    0, 0, 57, 48, 0, 0, 2, 214, 127, 1, 0, 0, 0, 25, 0, 0, 0, 0, 100, 182, 1, 0, 2, 218, 127, 1, 0,
    0, 59, 2, 2, 216, 127, 1, 0, 25, 0, 0, 0, 0, 57, 48, 0, 0, 2, 217, 127, 1, 0, 0, 0, 25, 0, 0,
    0, 0, 138, 182, 1, 0, 2, 221, 127, 1, 0, 0, 59, 2, 2, 219, 127, 1, 0, 25, 0, 0, 0, 0, 57, 48,
    0, 0, 2, 220, 127, 1, 0, 0, 0, 0, 9, 167, 182, 1, 0, 40, 0, 0, 0, 0, 10, 2, 192, 131, 1, 0, 25,
    0, 0, 0, 0, 224, 182, 1, 0, 2, 193, 131, 1, 0, 0, 25, 0, 0, 0, 0, 218, 67, 0, 0, 2, 194, 131,
    1, 0, 9, 25, 0, 0, 0, 0, 78, 22, 0, 0, 2, 195, 131, 1, 0, 10, 0, 3, 218, 67, 0, 0, 4, 82, 0, 0,
    0, 9, 0, 41, 0, 0, 0, 0, 64, 2, 145, 131, 1, 0, 25, 0, 0, 0, 0, 82, 183, 1, 0, 2, 146, 131, 1,
    0, 0, 25, 0, 0, 0, 0, 195, 183, 1, 0, 2, 147, 131, 1, 0, 0, 25, 0, 0, 0, 0, 23, 184, 1, 0, 2,
    148, 131, 1, 0, 0, 25, 0, 0, 0, 0, 58, 185, 1, 0, 2, 149, 131, 1, 0, 0, 25, 0, 0, 0, 0, 85,
    185, 1, 0, 2, 150, 131, 1, 0, 0, 25, 0, 0, 0, 0, 38, 1, 0, 0, 2, 151, 131, 1, 0, 0, 0, 40, 0,
    0, 0, 0, 16, 2, 224, 127, 1, 0, 25, 0, 0, 0, 0, 169, 183, 1, 0, 2, 225, 127, 1, 0, 0, 25, 0, 0,
    0, 0, 145, 117, 1, 0, 2, 226, 127, 1, 0, 2, 25, 0, 0, 0, 0, 145, 117, 1, 0, 2, 227, 127, 1, 0,
    3, 25, 0, 0, 0, 0, 145, 117, 1, 0, 2, 228, 127, 1, 0, 4, 25, 0, 0, 0, 0, 181, 183, 1, 0, 2,
    229, 127, 1, 0, 8, 0, 3, 145, 117, 1, 0, 4, 82, 0, 0, 0, 2, 0, 42, 109, 22, 0, 0, 0, 0, 0, 0,
    2, 75, 126, 1, 0, 40, 0, 0, 0, 0, 16, 2, 232, 127, 1, 0, 25, 0, 0, 0, 0, 92, 6, 0, 0, 2, 233,
    127, 1, 0, 0, 25, 0, 0, 0, 0, 11, 184, 1, 0, 2, 234, 127, 1, 0, 4, 25, 0, 0, 0, 0, 218, 67, 0,
    0, 2, 235, 127, 1, 0, 12, 25, 0, 0, 0, 0, 218, 67, 0, 0, 2, 236, 127, 1, 0, 13, 0, 3, 21, 48,
    0, 0, 4, 82, 0, 0, 0, 2, 0, 40, 0, 0, 0, 0, 60, 2, 188, 127, 1, 0, 25, 0, 0, 0, 0, 200, 184, 1,
    0, 2, 189, 127, 1, 0, 0, 25, 0, 0, 0, 0, 145, 117, 1, 0, 2, 190, 127, 1, 0, 40, 25, 0, 0, 0, 0,
    145, 117, 1, 0, 2, 191, 127, 1, 0, 41, 25, 0, 0, 0, 0, 145, 117, 1, 0, 2, 192, 127, 1, 0, 42,
    25, 0, 0, 0, 0, 145, 117, 1, 0, 2, 193, 127, 1, 0, 43, 25, 0, 0, 0, 0, 151, 174, 1, 0, 2, 194,
    127, 1, 0, 44, 25, 0, 0, 0, 0, 151, 174, 1, 0, 2, 195, 127, 1, 0, 48, 25, 0, 0, 0, 0, 151, 174,
    1, 0, 2, 196, 127, 1, 0, 52, 25, 0, 0, 0, 0, 165, 174, 1, 0, 2, 197, 127, 1, 0, 56, 25, 0, 0,
    0, 0, 145, 117, 1, 0, 2, 198, 127, 1, 0, 58, 25, 0, 0, 0, 0, 145, 117, 1, 0, 2, 199, 127, 1, 0,
    59, 0, 3, 212, 184, 1, 0, 4, 82, 0, 0, 0, 2, 0, 40, 0, 0, 0, 0, 20, 2, 179, 127, 1, 0, 25, 0,
    0, 0, 0, 151, 174, 1, 0, 2, 180, 127, 1, 0, 0, 25, 0, 0, 0, 0, 151, 174, 1, 0, 2, 181, 127, 1,
    0, 4, 25, 0, 0, 0, 0, 151, 174, 1, 0, 2, 182, 127, 1, 0, 8, 25, 0, 0, 0, 0, 151, 174, 1, 0, 2,
    183, 127, 1, 0, 12, 25, 0, 0, 0, 0, 145, 117, 1, 0, 2, 184, 127, 1, 0, 16, 25, 0, 0, 0, 0, 145,
    117, 1, 0, 2, 185, 127, 1, 0, 17, 0, 40, 0, 0, 0, 0, 8, 2, 136, 131, 1, 0, 25, 0, 0, 0, 0, 90,
    22, 0, 0, 2, 137, 131, 1, 0, 0, 0, 40, 0, 0, 0, 0, 8, 2, 140, 131, 1, 0, 25, 0, 0, 0, 0, 38, 1,
    0, 0, 2, 141, 131, 1, 0, 0, 25, 0, 0, 0, 0, 38, 1, 0, 0, 2, 142, 131, 1, 0, 4, 0, 9, 132, 185,
    1, 0, 40, 0, 0, 0, 0, 8, 2, 247, 127, 1, 0, 25, 0, 0, 0, 0, 159, 185, 1, 0, 2, 248, 127, 1, 0,
    0, 0, 9, 164, 185, 1, 0, 14, 168, 0, 0, 0, 15, 38, 1, 0, 0, 15, 180, 185, 1, 0, 0, 9, 185, 185,
    1, 0, 40, 0, 0, 0, 0, 16, 2, 237, 131, 1, 0, 25, 0, 0, 0, 0, 242, 185, 1, 0, 2, 238, 131, 1, 0,
    0, 25, 0, 0, 0, 0, 177, 66, 0, 0, 2, 239, 131, 1, 0, 8, 25, 0, 0, 0, 0, 168, 0, 0, 0, 2, 240,
    131, 1, 0, 12, 0, 9, 247, 185, 1, 0, 40, 0, 0, 0, 0, 216, 2, 200, 131, 1, 0, 25, 0, 0, 0, 0,
    152, 21, 0, 0, 2, 201, 131, 1, 0, 0, 25, 0, 0, 0, 0, 152, 21, 0, 0, 2, 202, 131, 1, 0, 16, 25,
    0, 0, 0, 0, 132, 179, 1, 0, 2, 203, 131, 1, 0, 32, 25, 0, 0, 0, 0, 228, 186, 1, 0, 2, 204, 131,
    1, 0, 72, 25, 0, 0, 0, 0, 37, 187, 1, 0, 2, 205, 131, 1, 0, 96, 25, 0, 0, 0, 0, 54, 187, 1, 0,
    2, 206, 131, 1, 0, 104, 25, 0, 0, 0, 0, 0, 178, 1, 0, 2, 207, 131, 1, 0, 112, 25, 0, 0, 0, 0,
    134, 156, 0, 0, 2, 208, 131, 1, 0, 120, 25, 0, 0, 0, 0, 254, 62, 0, 0, 2, 209, 131, 1, 0, 160,
    25, 0, 0, 0, 0, 38, 1, 0, 0, 2, 210, 131, 1, 0, 164, 25, 0, 0, 0, 0, 38, 1, 0, 0, 2, 211, 131,
    1, 0, 168, 25, 0, 0, 0, 0, 53, 181, 1, 0, 2, 212, 131, 1, 0, 172, 25, 0, 0, 0, 0, 163, 181, 1,
    0, 2, 213, 131, 1, 0, 188, 25, 0, 0, 0, 0, 172, 6, 0, 0, 2, 214, 131, 1, 0, 192, 25, 0, 0, 0,
    0, 28, 22, 0, 0, 2, 215, 131, 1, 0, 200, 0, 40, 0, 0, 0, 0, 20, 2, 185, 131, 1, 0, 25, 0, 0, 0,
    0, 254, 186, 1, 0, 2, 189, 131, 1, 0, 0, 59, 20, 2, 186, 131, 1, 0, 25, 0, 0, 0, 0, 53, 181, 1,
    0, 2, 187, 131, 1, 0, 0, 25, 0, 0, 0, 0, 163, 181, 1, 0, 2, 188, 131, 1, 0, 16, 0, 0, 9, 42,
    187, 1, 0, 38, 15, 0, 178, 1, 0, 15, 242, 185, 1, 0, 0, 9, 59, 187, 1, 0, 43, 0, 0, 0, 0, 35,
    0, 0, 0, 0, 200, 2, 108, 38, 29, 0, 0, 0, 0, 178, 187, 1, 0, 2, 109, 38, 0, 29, 0, 0, 0, 0,
    201, 187, 1, 0, 2, 110, 38, 4, 29, 0, 0, 0, 0, 19, 188, 1, 0, 2, 111, 38, 72, 29, 0, 0, 0, 0,
    42, 188, 1, 0, 2, 112, 38, 80, 29, 0, 0, 0, 0, 42, 188, 1, 0, 2, 113, 38, 84, 29, 0, 0, 0, 0,
    65, 188, 1, 0, 2, 114, 38, 88, 29, 0, 0, 0, 0, 113, 188, 1, 0, 2, 115, 38, 132, 29, 0, 0, 0, 0,
    136, 188, 1, 0, 2, 116, 38, 176, 0, 35, 0, 0, 0, 0, 4, 2, 75, 38, 29, 0, 0, 0, 0, 38, 1, 0, 0,
    2, 76, 38, 0, 0, 35, 0, 0, 0, 0, 68, 2, 79, 38, 29, 0, 0, 0, 0, 7, 188, 1, 0, 2, 80, 38, 0, 29,
    0, 0, 0, 0, 168, 0, 0, 0, 2, 81, 38, 56, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 82, 38, 60, 29, 0, 0,
    0, 0, 168, 0, 0, 0, 2, 83, 38, 64, 0, 3, 38, 1, 0, 0, 4, 82, 0, 0, 0, 14, 0, 35, 0, 0, 0, 0, 8,
    2, 86, 38, 29, 0, 0, 0, 0, 189, 47, 1, 0, 2, 87, 38, 0, 0, 35, 0, 0, 0, 0, 4, 2, 90, 38, 29, 0,
    0, 0, 0, 38, 1, 0, 0, 2, 91, 38, 0, 0, 35, 0, 0, 0, 0, 44, 2, 94, 38, 29, 0, 0, 0, 0, 168, 0,
    0, 0, 2, 95, 38, 0, 29, 0, 0, 0, 0, 101, 188, 1, 0, 2, 96, 38, 4, 0, 3, 38, 1, 0, 0, 4, 82, 0,
    0, 0, 10, 0, 35, 0, 0, 0, 0, 40, 2, 99, 38, 29, 0, 0, 0, 0, 101, 188, 1, 0, 2, 100, 38, 0, 0,
    35, 0, 0, 0, 0, 24, 2, 103, 38, 29, 0, 0, 0, 0, 195, 21, 0, 0, 2, 104, 38, 0, 29, 0, 0, 0, 0,
    189, 47, 1, 0, 2, 105, 38, 16, 0, 35, 0, 0, 0, 0, 104, 2, 148, 38, 29, 0, 0, 0, 0, 195, 21, 0,
    0, 2, 149, 38, 0, 29, 0, 0, 0, 0, 195, 21, 0, 0, 2, 150, 38, 16, 29, 0, 0, 0, 0, 195, 21, 0, 0,
    2, 151, 38, 32, 29, 0, 0, 0, 0, 195, 21, 0, 0, 2, 152, 38, 48, 29, 0, 0, 0, 0, 128, 104, 0, 0,
    2, 153, 38, 64, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 154, 38, 96, 29, 0, 0, 0, 0, 218, 67, 0, 0, 2,
    155, 38, 100, 29, 0, 0, 0, 0, 218, 67, 0, 0, 2, 156, 38, 101, 0, 35, 0, 0, 0, 0, 8, 2, 159, 38,
    29, 0, 0, 0, 0, 124, 113, 1, 0, 2, 160, 38, 0, 0, 9, 58, 189, 1, 0, 35, 0, 0, 0, 0, 24, 2, 110,
    132, 44, 76, 189, 1, 0, 2, 111, 132, 0, 34, 24, 2, 111, 132, 29, 0, 0, 0, 0, 94, 189, 1, 0, 2,
    115, 132, 0, 30, 24, 2, 112, 132, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 113, 132, 0, 29, 0, 0, 0, 0,
    28, 22, 0, 0, 2, 114, 132, 8, 0, 29, 0, 0, 0, 0, 141, 189, 1, 0, 2, 116, 132, 0, 0, 0, 3, 26,
    1, 0, 0, 4, 82, 0, 0, 0, 0, 0, 35, 0, 0, 0, 0, 64, 2, 163, 38, 29, 0, 0, 0, 0, 202, 189, 1, 0,
    2, 164, 38, 0, 29, 0, 0, 0, 0, 214, 189, 1, 0, 2, 165, 38, 16, 29, 0, 0, 0, 0, 226, 189, 1, 0,
    2, 166, 38, 32, 0, 3, 228, 254, 0, 0, 4, 82, 0, 0, 0, 2, 0, 3, 61, 255, 0, 0, 4, 82, 0, 0, 0,
    2, 0, 3, 195, 21, 0, 0, 4, 82, 0, 0, 0, 2, 0, 28, 0, 0, 0, 0, 64, 3, 2, 187, 38, 29, 0, 0, 0,
    0, 195, 21, 0, 0, 2, 188, 38, 0, 29, 0, 0, 0, 0, 85, 91, 1, 0, 2, 189, 38, 16, 29, 0, 0, 0, 0,
    85, 91, 1, 0, 2, 190, 38, 24, 29, 0, 0, 0, 0, 85, 91, 1, 0, 2, 191, 38, 32, 29, 0, 0, 0, 0, 38,
    1, 0, 0, 2, 192, 38, 40, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 193, 38, 44, 29, 0, 0, 0, 0, 117, 158,
    0, 0, 2, 194, 38, 48, 29, 0, 0, 0, 0, 195, 21, 0, 0, 2, 195, 38, 80, 29, 0, 0, 0, 0, 85, 91, 1,
    0, 2, 196, 38, 96, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 197, 38, 104, 29, 0, 0, 0, 0, 166, 4, 1, 0,
    2, 198, 38, 112, 29, 0, 0, 0, 0, 114, 191, 1, 0, 2, 199, 38, 136, 29, 0, 0, 0, 0, 214, 191, 1,
    0, 2, 200, 38, 184, 29, 0, 0, 0, 0, 117, 158, 0, 0, 2, 201, 38, 208, 29, 0, 0, 0, 0, 226, 191,
    1, 0, 2, 202, 38, 240, 31, 0, 0, 0, 0, 195, 21, 0, 0, 2, 203, 38, 32, 1, 31, 0, 0, 0, 0, 27,
    40, 0, 0, 2, 204, 38, 48, 1, 31, 0, 0, 0, 0, 27, 40, 0, 0, 2, 205, 38, 56, 1, 31, 0, 0, 0, 0,
    177, 66, 0, 0, 2, 206, 38, 64, 1, 31, 0, 0, 0, 0, 177, 66, 0, 0, 2, 207, 38, 68, 1, 31, 0, 0,
    0, 0, 168, 0, 0, 0, 2, 208, 38, 72, 1, 31, 0, 0, 0, 0, 177, 66, 0, 0, 2, 209, 38, 76, 1, 31, 0,
    0, 0, 0, 228, 90, 1, 0, 2, 210, 38, 80, 1, 31, 0, 0, 0, 0, 183, 139, 1, 0, 2, 216, 38, 128, 1,
    31, 0, 0, 0, 0, 183, 139, 1, 0, 2, 217, 38, 64, 2, 31, 0, 0, 0, 0, 33, 67, 0, 0, 2, 218, 38, 0,
    3, 31, 0, 0, 0, 0, 33, 67, 0, 0, 2, 219, 38, 4, 3, 31, 0, 0, 0, 0, 128, 104, 0, 0, 2, 220, 38,
    8, 3, 0, 3, 126, 191, 1, 0, 4, 82, 0, 0, 0, 3, 0, 35, 0, 0, 0, 0, 16, 2, 169, 38, 29, 0, 0, 0,
    0, 85, 91, 1, 0, 2, 170, 38, 0, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 171, 38, 8, 29, 0, 0, 0, 0,
    218, 67, 0, 0, 2, 172, 38, 12, 29, 0, 0, 0, 0, 218, 67, 0, 0, 2, 173, 38, 13, 29, 0, 0, 0, 0,
    218, 67, 0, 0, 2, 174, 38, 14, 29, 0, 0, 0, 0, 218, 67, 0, 0, 2, 175, 38, 15, 0, 3, 38, 1, 0,
    0, 4, 82, 0, 0, 0, 6, 0, 35, 0, 0, 0, 0, 48, 2, 178, 38, 29, 0, 0, 0, 0, 117, 158, 0, 0, 2,
    179, 38, 0, 29, 0, 0, 0, 0, 80, 113, 1, 0, 2, 180, 38, 32, 29, 0, 0, 0, 0, 218, 67, 0, 0, 2,
    181, 38, 40, 29, 0, 0, 0, 0, 218, 67, 0, 0, 2, 182, 38, 41, 29, 0, 0, 0, 0, 218, 67, 0, 0, 2,
    183, 38, 42, 29, 0, 0, 0, 0, 218, 67, 0, 0, 2, 184, 38, 43, 0, 9, 63, 192, 1, 0, 43, 0, 0, 0,
    0, 35, 0, 0, 0, 0, 32, 2, 230, 38, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 231, 38, 0, 29, 0, 0, 0, 0,
    168, 0, 0, 0, 2, 232, 38, 4, 29, 0, 0, 0, 0, 36, 54, 0, 0, 2, 233, 38, 8, 29, 0, 0, 0, 0, 143,
    192, 1, 0, 2, 234, 38, 16, 29, 0, 0, 0, 0, 228, 90, 1, 0, 2, 235, 38, 24, 0, 9, 148, 192, 1, 0,
    9, 153, 192, 1, 0, 43, 0, 0, 0, 0, 35, 0, 0, 0, 0, 168, 2, 244, 38, 29, 0, 0, 0, 0, 97, 224, 0,
    0, 2, 245, 38, 0, 29, 0, 0, 0, 0, 97, 224, 0, 0, 2, 246, 38, 8, 29, 0, 0, 0, 0, 97, 224, 0, 0,
    2, 247, 38, 16, 29, 0, 0, 0, 0, 97, 224, 0, 0, 2, 248, 38, 24, 29, 0, 0, 0, 0, 97, 224, 0, 0,
    2, 249, 38, 32, 29, 0, 0, 0, 0, 97, 224, 0, 0, 2, 250, 38, 40, 29, 0, 0, 0, 0, 97, 224, 0, 0,
    2, 251, 38, 48, 29, 0, 0, 0, 0, 97, 224, 0, 0, 2, 252, 38, 56, 29, 0, 0, 0, 0, 97, 224, 0, 0,
    2, 253, 38, 64, 29, 0, 0, 0, 0, 97, 224, 0, 0, 2, 254, 38, 72, 29, 0, 0, 0, 0, 97, 224, 0, 0,
    2, 255, 38, 80, 29, 0, 0, 0, 0, 133, 193, 1, 0, 2, 0, 39, 88, 29, 0, 0, 0, 0, 33, 67, 0, 0, 2,
    1, 39, 96, 29, 0, 0, 0, 0, 134, 156, 0, 0, 2, 2, 39, 104, 29, 0, 0, 0, 0, 143, 193, 1, 0, 2, 3,
    39, 144, 29, 0, 0, 0, 0, 153, 193, 1, 0, 2, 4, 39, 152, 29, 0, 0, 0, 0, 90, 101, 0, 0, 2, 5,
    39, 160, 0, 9, 138, 193, 1, 0, 43, 0, 0, 0, 0, 9, 148, 193, 1, 0, 43, 0, 0, 0, 0, 9, 158, 193,
    1, 0, 43, 0, 0, 0, 0, 35, 0, 0, 0, 0, 40, 2, 8, 39, 29, 0, 0, 0, 0, 128, 104, 0, 0, 2, 9, 39,
    0, 29, 0, 0, 0, 0, 90, 101, 0, 0, 2, 10, 39, 32, 0, 9, 204, 193, 1, 0, 35, 0, 0, 0, 0, 96, 2,
    98, 57, 29, 0, 0, 0, 0, 221, 107, 0, 0, 2, 99, 57, 0, 29, 0, 0, 0, 0, 131, 115, 0, 0, 2, 100,
    57, 8, 29, 0, 0, 0, 0, 185, 71, 1, 0, 2, 101, 57, 16, 29, 0, 0, 0, 0, 50, 117, 0, 0, 2, 102,
    57, 24, 29, 0, 0, 0, 0, 49, 194, 1, 0, 2, 103, 57, 48, 29, 0, 0, 0, 0, 220, 54, 0, 0, 2, 104,
    57, 80, 29, 0, 0, 0, 0, 181, 51, 0, 0, 2, 105, 57, 88, 0, 35, 0, 0, 0, 0, 32, 2, 93, 57, 29, 0,
    0, 0, 0, 13, 156, 0, 0, 2, 94, 57, 0, 29, 0, 0, 0, 0, 13, 156, 0, 0, 2, 95, 57, 16, 0, 9, 90,
    194, 1, 0, 35, 0, 0, 0, 0, 56, 2, 210, 24, 29, 0, 0, 0, 0, 254, 62, 0, 0, 2, 211, 24, 0, 29, 0,
    0, 0, 0, 50, 117, 0, 0, 2, 212, 24, 8, 29, 0, 0, 0, 0, 131, 115, 0, 0, 2, 213, 24, 32, 29, 0,
    0, 0, 0, 185, 71, 1, 0, 2, 214, 24, 40, 29, 0, 0, 0, 0, 138, 43, 1, 0, 2, 215, 24, 48, 0, 9,
    170, 194, 1, 0, 28, 0, 0, 0, 0, 64, 4, 2, 193, 9, 29, 0, 0, 0, 0, 254, 62, 0, 0, 2, 194, 9, 0,
    29, 0, 0, 0, 0, 242, 23, 0, 0, 2, 195, 9, 4, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 196, 9, 8, 29, 0,
    0, 0, 0, 195, 21, 0, 0, 2, 197, 9, 16, 29, 0, 0, 0, 0, 190, 104, 0, 0, 2, 198, 9, 32, 29, 0, 0,
    0, 0, 244, 117, 0, 0, 2, 199, 9, 56, 29, 0, 0, 0, 0, 10, 198, 1, 0, 2, 200, 9, 64, 29, 0, 0, 0,
    0, 90, 101, 0, 0, 2, 201, 9, 88, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 202, 9, 96, 29, 0, 0, 0, 0,
    168, 0, 0, 0, 2, 203, 9, 100, 29, 0, 0, 0, 0, 244, 117, 0, 0, 2, 204, 9, 104, 29, 0, 0, 0, 0,
    168, 0, 0, 0, 2, 205, 9, 112, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 206, 9, 116, 45, 0, 0, 0, 0, 38,
    1, 0, 0, 2, 207, 9, 4, 1, 31, 120, 45, 0, 0, 0, 0, 38, 1, 0, 0, 2, 208, 9, 4, 1, 30, 120, 29,
    0, 0, 0, 0, 168, 0, 0, 0, 2, 209, 9, 124, 29, 0, 0, 0, 0, 195, 21, 0, 0, 2, 210, 9, 128, 29, 0,
    0, 0, 0, 195, 198, 0, 0, 2, 211, 9, 144, 29, 0, 0, 0, 0, 183, 198, 0, 0, 2, 212, 9, 208, 29, 0,
    0, 0, 0, 77, 198, 1, 0, 2, 213, 9, 216, 29, 0, 0, 0, 0, 125, 198, 1, 0, 2, 214, 9, 248, 31, 0,
    0, 0, 0, 33, 72, 1, 0, 2, 215, 9, 16, 1, 31, 0, 0, 0, 0, 197, 198, 1, 0, 2, 216, 9, 96, 1, 31,
    0, 0, 0, 0, 144, 67, 1, 0, 2, 217, 9, 128, 1, 31, 0, 0, 0, 0, 168, 0, 0, 0, 2, 218, 9, 136, 1,
    31, 0, 0, 0, 0, 209, 198, 1, 0, 2, 219, 9, 144, 1, 31, 0, 0, 0, 0, 173, 46, 1, 0, 2, 220, 9,
    152, 1, 31, 0, 0, 0, 0, 80, 113, 1, 0, 2, 221, 9, 160, 1, 31, 0, 0, 0, 0, 109, 22, 0, 0, 2,
    222, 9, 168, 1, 31, 0, 0, 0, 0, 109, 22, 0, 0, 2, 223, 9, 176, 1, 31, 0, 0, 0, 0, 109, 22, 0,
    0, 2, 224, 9, 184, 1, 31, 0, 0, 0, 0, 109, 22, 0, 0, 2, 225, 9, 192, 1, 31, 0, 0, 0, 0, 109,
    22, 0, 0, 2, 226, 9, 200, 1, 31, 0, 0, 0, 0, 109, 22, 0, 0, 2, 227, 9, 208, 1, 31, 0, 0, 0, 0,
    68, 158, 0, 0, 2, 228, 9, 216, 1, 31, 0, 0, 0, 0, 90, 22, 0, 0, 2, 229, 9, 240, 1, 31, 0, 0, 0,
    0, 90, 22, 0, 0, 2, 230, 9, 248, 1, 31, 0, 0, 0, 0, 90, 22, 0, 0, 2, 231, 9, 0, 2, 31, 0, 0, 0,
    0, 90, 22, 0, 0, 2, 232, 9, 8, 2, 31, 0, 0, 0, 0, 90, 22, 0, 0, 2, 233, 9, 16, 2, 31, 0, 0, 0,
    0, 90, 22, 0, 0, 2, 234, 9, 24, 2, 31, 0, 0, 0, 0, 90, 22, 0, 0, 2, 235, 9, 32, 2, 31, 0, 0, 0,
    0, 90, 22, 0, 0, 2, 236, 9, 40, 2, 31, 0, 0, 0, 0, 90, 22, 0, 0, 2, 237, 9, 48, 2, 31, 0, 0, 0,
    0, 90, 22, 0, 0, 2, 238, 9, 56, 2, 31, 0, 0, 0, 0, 90, 22, 0, 0, 2, 239, 9, 64, 2, 31, 0, 0, 0,
    0, 90, 22, 0, 0, 2, 240, 9, 72, 2, 31, 0, 0, 0, 0, 90, 22, 0, 0, 2, 241, 9, 80, 2, 31, 0, 0, 0,
    0, 90, 22, 0, 0, 2, 242, 9, 88, 2, 31, 0, 0, 0, 0, 18, 215, 1, 0, 2, 243, 9, 96, 2, 31, 0, 0,
    0, 0, 208, 0, 0, 0, 2, 244, 9, 152, 2, 31, 0, 0, 0, 0, 119, 215, 1, 0, 2, 245, 9, 160, 2, 31,
    0, 0, 0, 0, 167, 215, 1, 0, 2, 246, 9, 160, 3, 31, 0, 0, 0, 0, 12, 216, 1, 0, 2, 247, 9, 216,
    3, 31, 0, 0, 0, 0, 38, 1, 0, 0, 2, 248, 9, 224, 3, 31, 0, 0, 0, 0, 138, 218, 1, 0, 2, 249, 9,
    232, 3, 31, 0, 0, 0, 0, 181, 51, 0, 0, 2, 250, 9, 240, 3, 31, 0, 0, 0, 0, 3, 27, 0, 0, 2, 251,
    9, 242, 3, 31, 0, 0, 0, 0, 3, 27, 0, 0, 2, 252, 9, 244, 3, 31, 0, 0, 0, 0, 104, 91, 0, 0, 2,
    253, 9, 248, 3, 31, 0, 0, 0, 0, 128, 104, 0, 0, 2, 254, 9, 0, 4, 31, 0, 0, 0, 0, 128, 104, 0,
    0, 2, 255, 9, 32, 4, 0, 35, 0, 0, 0, 0, 24, 2, 82, 2, 29, 0, 0, 0, 0, 195, 21, 0, 0, 2, 83, 2,
    0, 29, 0, 0, 0, 0, 46, 198, 1, 0, 2, 84, 2, 16, 0, 39, 58, 198, 1, 0, 0, 0, 0, 0, 2, 80, 2, 30,
    8, 2, 78, 2, 29, 0, 0, 0, 0, 109, 154, 0, 0, 2, 79, 2, 0, 0, 3, 89, 198, 1, 0, 4, 82, 0, 0, 0,
    2, 0, 35, 0, 0, 0, 0, 16, 2, 160, 9, 29, 0, 0, 0, 0, 109, 22, 0, 0, 2, 161, 9, 0, 29, 0, 0, 0,
    0, 109, 22, 0, 0, 2, 162, 9, 8, 0, 35, 0, 0, 0, 0, 24, 2, 171, 9, 29, 0, 0, 0, 0, 148, 198, 1,
    0, 2, 172, 9, 0, 0, 35, 0, 0, 0, 0, 24, 2, 165, 9, 29, 0, 0, 0, 0, 185, 23, 0, 0, 2, 166, 9, 0,
    29, 0, 0, 0, 0, 185, 23, 0, 0, 2, 167, 9, 8, 29, 0, 0, 0, 0, 185, 23, 0, 0, 2, 168, 9, 16, 0,
    3, 144, 67, 1, 0, 4, 82, 0, 0, 0, 4, 0, 9, 214, 198, 1, 0, 28, 0, 0, 0, 0, 192, 2, 2, 104, 35,
    29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 105, 35, 0, 29, 0, 0, 0, 0, 221, 107, 0, 0, 2, 106, 35, 4, 29,
    0, 0, 0, 0, 92, 168, 0, 0, 2, 107, 35, 8, 29, 0, 0, 0, 0, 120, 201, 1, 0, 2, 108, 35, 16, 29,
    0, 0, 0, 0, 254, 206, 1, 0, 2, 109, 35, 24, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 110, 35, 32, 29,
    0, 0, 0, 0, 201, 212, 1, 0, 2, 111, 35, 40, 29, 0, 0, 0, 0, 20, 213, 1, 0, 2, 112, 35, 88, 29,
    0, 0, 0, 0, 128, 104, 0, 0, 2, 113, 35, 96, 29, 0, 0, 0, 0, 128, 104, 0, 0, 2, 114, 35, 128,
    29, 0, 0, 0, 0, 128, 104, 0, 0, 2, 115, 35, 160, 29, 0, 0, 0, 0, 57, 95, 0, 0, 2, 116, 35, 192,
    29, 0, 0, 0, 0, 128, 104, 0, 0, 2, 117, 35, 232, 31, 0, 0, 0, 0, 33, 67, 0, 0, 2, 118, 35, 8,
    1, 31, 0, 0, 0, 0, 33, 67, 0, 0, 2, 119, 35, 12, 1, 31, 0, 0, 0, 0, 7, 203, 1, 0, 2, 120, 35,
    16, 1, 31, 0, 0, 0, 0, 7, 203, 1, 0, 2, 121, 35, 60, 1, 31, 0, 0, 0, 0, 131, 210, 1, 0, 2, 122,
    35, 104, 1, 31, 0, 0, 0, 0, 139, 157, 0, 0, 2, 123, 35, 112, 1, 31, 0, 0, 0, 0, 144, 67, 1, 0,
    2, 124, 35, 176, 1, 31, 0, 0, 0, 0, 144, 67, 1, 0, 2, 125, 35, 184, 1, 31, 0, 0, 0, 0, 90, 22,
    0, 0, 2, 126, 35, 192, 1, 31, 0, 0, 0, 0, 168, 0, 0, 0, 2, 127, 35, 200, 1, 31, 0, 0, 0, 0, 48,
    210, 1, 0, 2, 128, 35, 204, 1, 32, 0, 0, 0, 0, 90, 22, 0, 0, 2, 129, 35, 8, 1, 31, 208, 1, 32,
    0, 0, 0, 0, 90, 22, 0, 0, 2, 130, 35, 8, 1, 30, 208, 1, 32, 0, 0, 0, 0, 90, 22, 0, 0, 2, 132,
    35, 8, 62, 2, 216, 1, 31, 0, 0, 0, 0, 168, 0, 0, 0, 2, 133, 35, 224, 1, 32, 0, 0, 0, 0, 90, 22,
    0, 0, 2, 134, 35, 8, 8, 24, 224, 1, 32, 0, 0, 0, 0, 90, 22, 0, 0, 2, 135, 35, 8, 1, 23, 224, 1,
    32, 0, 0, 0, 0, 90, 22, 0, 0, 2, 137, 35, 8, 55, 9, 232, 1, 31, 0, 0, 0, 0, 38, 1, 0, 0, 2,
    138, 35, 240, 1, 31, 0, 0, 0, 0, 168, 0, 0, 0, 2, 139, 35, 244, 1, 31, 0, 0, 0, 0, 209, 198, 1,
    0, 2, 140, 35, 248, 1, 31, 0, 0, 0, 0, 238, 104, 0, 0, 2, 141, 35, 0, 2, 31, 0, 0, 0, 0, 190,
    104, 0, 0, 2, 142, 35, 8, 2, 31, 0, 0, 0, 0, 190, 104, 0, 0, 2, 143, 35, 32, 2, 31, 0, 0, 0, 0,
    117, 158, 0, 0, 2, 144, 35, 56, 2, 31, 0, 0, 0, 0, 26, 1, 0, 0, 2, 145, 35, 88, 2, 31, 0, 0, 0,
    0, 26, 1, 0, 0, 2, 146, 35, 96, 2, 31, 0, 0, 0, 0, 33, 67, 0, 0, 2, 147, 35, 104, 2, 31, 0, 0,
    0, 0, 195, 21, 0, 0, 2, 148, 35, 112, 2, 31, 0, 0, 0, 0, 168, 0, 0, 0, 2, 149, 35, 128, 2, 31,
    0, 0, 0, 0, 239, 206, 1, 0, 2, 150, 35, 136, 2, 31, 0, 0, 0, 0, 168, 0, 0, 0, 2, 151, 35, 144,
    2, 31, 0, 0, 0, 0, 117, 158, 0, 0, 2, 152, 35, 152, 2, 31, 0, 0, 0, 0, 179, 203, 1, 0, 2, 153,
    35, 184, 2, 0, 9, 125, 201, 1, 0, 35, 0, 0, 0, 0, 184, 2, 232, 35, 29, 0, 0, 0, 0, 168, 0, 0,
    0, 2, 233, 35, 0, 29, 0, 0, 0, 0, 221, 107, 0, 0, 2, 234, 35, 4, 29, 0, 0, 0, 0, 165, 202, 1,
    0, 2, 235, 35, 8, 29, 0, 0, 0, 0, 120, 81, 0, 0, 2, 236, 35, 16, 29, 0, 0, 0, 0, 233, 21, 0, 0,
    2, 237, 35, 24, 29, 0, 0, 0, 0, 233, 21, 0, 0, 2, 238, 35, 32, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2,
    239, 35, 40, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 240, 35, 44, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2,
    241, 35, 48, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 242, 35, 52, 29, 0, 0, 0, 0, 3, 27, 0, 0, 2, 243,
    35, 56, 29, 0, 0, 0, 0, 3, 27, 0, 0, 2, 244, 35, 58, 29, 0, 0, 0, 0, 7, 203, 1, 0, 2, 245, 35,
    60, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 246, 35, 104, 29, 0, 0, 0, 0, 97, 224, 0, 0, 2, 247, 35,
    112, 29, 0, 0, 0, 0, 120, 201, 1, 0, 2, 248, 35, 120, 29, 0, 0, 0, 0, 169, 203, 1, 0, 2, 249,
    35, 128, 29, 0, 0, 0, 0, 174, 203, 1, 0, 2, 250, 35, 136, 29, 0, 0, 0, 0, 244, 206, 1, 0, 2,
    251, 35, 144, 29, 0, 0, 0, 0, 26, 1, 0, 0, 2, 252, 35, 152, 29, 0, 0, 0, 0, 254, 206, 1, 0, 2,
    253, 35, 160, 29, 0, 0, 0, 0, 195, 21, 0, 0, 2, 254, 35, 168, 0, 9, 170, 202, 1, 0, 9, 175,
    202, 1, 0, 35, 0, 0, 0, 0, 104, 2, 227, 23, 29, 0, 0, 0, 0, 223, 85, 0, 0, 2, 228, 23, 0, 29,
    0, 0, 0, 0, 120, 81, 0, 0, 2, 229, 23, 64, 29, 0, 0, 0, 0, 203, 79, 0, 0, 2, 230, 23, 72, 29,
    0, 0, 0, 0, 195, 21, 0, 0, 2, 231, 23, 80, 29, 0, 0, 0, 0, 18, 73, 0, 0, 2, 232, 23, 96, 29, 0,
    0, 0, 0, 38, 1, 0, 0, 2, 233, 23, 100, 0, 35, 0, 0, 0, 0, 44, 2, 76, 35, 29, 0, 0, 0, 0, 121,
    203, 1, 0, 2, 77, 35, 0, 29, 0, 0, 0, 0, 121, 203, 1, 0, 2, 78, 35, 4, 29, 0, 0, 0, 0, 121,
    203, 1, 0, 2, 79, 35, 8, 29, 0, 0, 0, 0, 121, 203, 1, 0, 2, 80, 35, 12, 29, 0, 0, 0, 0, 133,
    203, 1, 0, 2, 81, 35, 16, 29, 0, 0, 0, 0, 145, 203, 1, 0, 2, 82, 35, 17, 29, 0, 0, 0, 0, 157,
    203, 1, 0, 2, 83, 35, 36, 29, 0, 0, 0, 0, 157, 203, 1, 0, 2, 84, 35, 40, 0, 39, 38, 1, 0, 0, 0,
    0, 0, 0, 2, 70, 35, 39, 169, 26, 0, 0, 0, 0, 0, 0, 2, 72, 35, 3, 133, 203, 1, 0, 4, 82, 0, 0,
    0, 19, 0, 39, 38, 1, 0, 0, 0, 0, 0, 0, 2, 74, 35, 9, 209, 198, 1, 0, 9, 179, 203, 1, 0, 9, 184,
    203, 1, 0, 28, 0, 0, 0, 0, 96, 1, 2, 30, 36, 29, 0, 0, 0, 0, 239, 204, 1, 0, 2, 31, 36, 0, 29,
    0, 0, 0, 0, 209, 198, 1, 0, 2, 32, 36, 136, 29, 0, 0, 0, 0, 209, 198, 1, 0, 2, 33, 36, 144, 29,
    0, 0, 0, 0, 11, 206, 1, 0, 2, 34, 36, 152, 29, 0, 0, 0, 0, 162, 206, 1, 0, 2, 35, 36, 160, 29,
    0, 0, 0, 0, 33, 67, 0, 0, 2, 36, 36, 168, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 37, 36, 172, 29, 0,
    0, 0, 0, 168, 0, 0, 0, 2, 38, 36, 176, 29, 0, 0, 0, 0, 190, 104, 0, 0, 2, 39, 36, 184, 29, 0,
    0, 0, 0, 190, 104, 0, 0, 2, 40, 36, 208, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 41, 36, 232, 29, 0,
    0, 0, 0, 90, 22, 0, 0, 2, 42, 36, 240, 45, 0, 0, 0, 0, 169, 26, 0, 0, 2, 43, 36, 1, 1, 7, 248,
    45, 0, 0, 0, 0, 169, 26, 0, 0, 2, 44, 36, 1, 1, 6, 248, 31, 0, 0, 0, 0, 128, 104, 0, 0, 2, 45,
    36, 0, 1, 31, 0, 0, 0, 0, 128, 104, 0, 0, 2, 46, 36, 32, 1, 31, 0, 0, 0, 0, 239, 206, 1, 0, 2,
    47, 36, 64, 1, 31, 0, 0, 0, 0, 38, 1, 0, 0, 2, 48, 36, 72, 1, 31, 0, 0, 0, 0, 38, 1, 0, 0, 2,
    49, 36, 76, 1, 31, 0, 0, 0, 0, 168, 0, 0, 0, 2, 50, 36, 80, 1, 31, 0, 0, 0, 0, 221, 107, 0, 0,
    2, 51, 36, 84, 1, 31, 0, 0, 0, 0, 26, 1, 0, 0, 2, 52, 36, 88, 1, 0, 35, 0, 0, 0, 0, 136, 2, 14,
    36, 29, 0, 0, 0, 0, 110, 205, 1, 0, 2, 15, 36, 0, 29, 0, 0, 0, 0, 117, 158, 0, 0, 2, 16, 36, 8,
    29, 0, 0, 0, 0, 128, 104, 0, 0, 2, 17, 36, 40, 29, 0, 0, 0, 0, 242, 23, 0, 0, 2, 18, 36, 72,
    29, 0, 0, 0, 0, 115, 205, 1, 0, 2, 19, 36, 80, 29, 0, 0, 0, 0, 244, 205, 1, 0, 2, 20, 36, 112,
    29, 0, 0, 0, 0, 242, 23, 0, 0, 2, 21, 36, 120, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 22, 36, 124,
    29, 0, 0, 0, 0, 110, 205, 1, 0, 2, 23, 36, 128, 0, 9, 115, 205, 1, 0, 35, 0, 0, 0, 0, 32, 2, 1,
    36, 44, 133, 205, 1, 0, 2, 2, 36, 0, 34, 8, 2, 2, 36, 29, 0, 0, 0, 0, 110, 205, 1, 0, 2, 3, 36,
    0, 29, 0, 0, 0, 0, 139, 79, 0, 0, 2, 4, 36, 0, 0, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 6, 36, 8,
    29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 7, 36, 12, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 8, 36, 16, 29, 0,
    0, 0, 0, 168, 0, 0, 0, 2, 9, 36, 20, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 10, 36, 24, 29, 0, 0, 0,
    0, 142, 205, 0, 0, 2, 11, 36, 32, 0, 35, 0, 0, 0, 0, 8, 2, 118, 33, 29, 0, 0, 0, 0, 162, 79, 0,
    0, 2, 119, 33, 0, 0, 9, 16, 206, 1, 0, 37, 21, 206, 1, 0, 35, 0, 0, 0, 0, 40, 2, 83, 36, 29, 0,
    0, 0, 0, 96, 206, 1, 0, 2, 84, 36, 0, 29, 0, 0, 0, 0, 112, 206, 1, 0, 2, 85, 36, 8, 29, 0, 0,
    0, 0, 129, 206, 1, 0, 2, 86, 36, 16, 29, 0, 0, 0, 0, 141, 206, 1, 0, 2, 87, 36, 24, 29, 0, 0,
    0, 0, 129, 206, 1, 0, 2, 88, 36, 32, 0, 9, 101, 206, 1, 0, 14, 168, 0, 0, 0, 15, 179, 203, 1,
    0, 0, 9, 117, 206, 1, 0, 38, 15, 179, 203, 1, 0, 15, 168, 0, 0, 0, 0, 9, 134, 206, 1, 0, 38,
    15, 179, 203, 1, 0, 0, 9, 146, 206, 1, 0, 14, 168, 0, 0, 0, 15, 179, 203, 1, 0, 15, 209, 198,
    1, 0, 0, 9, 167, 206, 1, 0, 37, 172, 206, 1, 0, 35, 0, 0, 0, 0, 16, 2, 91, 36, 29, 0, 0, 0, 0,
    208, 206, 1, 0, 2, 92, 36, 0, 29, 0, 0, 0, 0, 129, 206, 1, 0, 2, 93, 36, 8, 0, 9, 213, 206, 1,
    0, 14, 168, 0, 0, 0, 15, 179, 203, 1, 0, 15, 188, 66, 0, 0, 15, 188, 66, 0, 0, 15, 36, 54, 0,
    0, 0, 9, 169, 26, 0, 0, 9, 249, 206, 1, 0, 9, 7, 203, 1, 0, 9, 3, 207, 1, 0, 37, 8, 207, 1, 0,
    28, 0, 0, 0, 0, 16, 1, 2, 193, 35, 29, 0, 0, 0, 0, 207, 208, 1, 0, 2, 194, 35, 0, 29, 0, 0, 0,
    0, 233, 208, 1, 0, 2, 195, 35, 8, 29, 0, 0, 0, 0, 254, 208, 1, 0, 2, 196, 35, 16, 29, 0, 0, 0,
    0, 15, 209, 1, 0, 2, 197, 35, 24, 29, 0, 0, 0, 0, 36, 209, 1, 0, 2, 198, 35, 32, 29, 0, 0, 0,
    0, 53, 209, 1, 0, 2, 199, 35, 40, 29, 0, 0, 0, 0, 53, 209, 1, 0, 2, 200, 35, 48, 29, 0, 0, 0,
    0, 65, 209, 1, 0, 2, 201, 35, 56, 29, 0, 0, 0, 0, 91, 209, 1, 0, 2, 202, 35, 64, 29, 0, 0, 0,
    0, 53, 209, 1, 0, 2, 203, 35, 72, 29, 0, 0, 0, 0, 112, 209, 1, 0, 2, 204, 35, 80, 29, 0, 0, 0,
    0, 112, 209, 1, 0, 2, 205, 35, 88, 29, 0, 0, 0, 0, 128, 209, 1, 0, 2, 206, 35, 96, 29, 0, 0, 0,
    0, 154, 209, 1, 0, 2, 207, 35, 104, 29, 0, 0, 0, 0, 180, 209, 1, 0, 2, 208, 35, 112, 29, 0, 0,
    0, 0, 53, 209, 1, 0, 2, 209, 35, 120, 29, 0, 0, 0, 0, 53, 209, 1, 0, 2, 210, 35, 128, 29, 0, 0,
    0, 0, 53, 209, 1, 0, 2, 211, 35, 136, 29, 0, 0, 0, 0, 53, 209, 1, 0, 2, 212, 35, 144, 29, 0, 0,
    0, 0, 53, 209, 1, 0, 2, 213, 35, 152, 29, 0, 0, 0, 0, 197, 209, 1, 0, 2, 214, 35, 160, 29, 0,
    0, 0, 0, 53, 209, 1, 0, 2, 215, 35, 168, 29, 0, 0, 0, 0, 53, 209, 1, 0, 2, 216, 35, 176, 29, 0,
    0, 0, 0, 218, 209, 1, 0, 2, 217, 35, 184, 29, 0, 0, 0, 0, 235, 209, 1, 0, 2, 218, 35, 192, 29,
    0, 0, 0, 0, 112, 209, 1, 0, 2, 219, 35, 200, 29, 0, 0, 0, 0, 252, 209, 1, 0, 2, 220, 35, 208,
    29, 0, 0, 0, 0, 22, 210, 1, 0, 2, 221, 35, 216, 29, 0, 0, 0, 0, 110, 210, 1, 0, 2, 222, 35,
    224, 29, 0, 0, 0, 0, 210, 210, 1, 0, 2, 223, 35, 232, 29, 0, 0, 0, 0, 158, 211, 1, 0, 2, 224,
    35, 240, 29, 0, 0, 0, 0, 158, 211, 1, 0, 2, 225, 35, 248, 31, 0, 0, 0, 0, 184, 212, 1, 0, 2,
    226, 35, 0, 1, 31, 0, 0, 0, 0, 255, 112, 0, 0, 2, 227, 35, 8, 1, 0, 9, 212, 208, 1, 0, 14, 209,
    198, 1, 0, 15, 120, 201, 1, 0, 15, 61, 78, 0, 0, 15, 168, 0, 0, 0, 0, 9, 238, 208, 1, 0, 14,
    168, 0, 0, 0, 15, 120, 201, 1, 0, 15, 209, 198, 1, 0, 0, 9, 3, 209, 1, 0, 38, 15, 120, 201, 1,
    0, 15, 209, 198, 1, 0, 0, 9, 20, 209, 1, 0, 14, 168, 0, 0, 0, 15, 209, 198, 1, 0, 15, 61, 78,
    0, 0, 0, 9, 41, 209, 1, 0, 38, 15, 209, 198, 1, 0, 15, 61, 78, 0, 0, 0, 9, 58, 209, 1, 0, 38,
    15, 209, 198, 1, 0, 0, 9, 70, 209, 1, 0, 14, 168, 0, 0, 0, 15, 209, 198, 1, 0, 15, 188, 66, 0,
    0, 15, 168, 0, 0, 0, 0, 9, 96, 209, 1, 0, 14, 168, 0, 0, 0, 15, 209, 198, 1, 0, 15, 169, 26, 0,
    0, 0, 9, 117, 209, 1, 0, 14, 168, 0, 0, 0, 15, 209, 198, 1, 0, 0, 9, 133, 209, 1, 0, 14, 168,
    0, 0, 0, 15, 209, 198, 1, 0, 15, 38, 1, 0, 0, 15, 90, 22, 0, 0, 0, 9, 159, 209, 1, 0, 14, 19,
    1, 0, 0, 15, 209, 198, 1, 0, 15, 38, 1, 0, 0, 15, 90, 22, 0, 0, 0, 9, 185, 209, 1, 0, 38, 15,
    209, 198, 1, 0, 15, 249, 206, 1, 0, 0, 9, 202, 209, 1, 0, 14, 168, 0, 0, 0, 15, 209, 198, 1, 0,
    15, 168, 0, 0, 0, 0, 9, 223, 209, 1, 0, 38, 15, 209, 198, 1, 0, 15, 168, 0, 0, 0, 0, 9, 240,
    209, 1, 0, 38, 15, 209, 198, 1, 0, 15, 75, 0, 0, 0, 0, 9, 1, 210, 1, 0, 14, 168, 0, 0, 0, 15,
    209, 198, 1, 0, 15, 38, 1, 0, 0, 15, 38, 1, 0, 0, 0, 9, 27, 210, 1, 0, 14, 168, 0, 0, 0, 15,
    209, 198, 1, 0, 15, 43, 210, 1, 0, 0, 9, 48, 210, 1, 0, 35, 0, 0, 0, 0, 8, 2, 87, 35, 29, 0, 0,
    0, 0, 236, 24, 0, 0, 2, 88, 35, 0, 29, 0, 0, 0, 0, 236, 24, 0, 0, 2, 89, 35, 2, 29, 0, 0, 0, 0,
    236, 24, 0, 0, 2, 90, 35, 4, 29, 0, 0, 0, 0, 236, 24, 0, 0, 2, 91, 35, 6, 0, 9, 115, 210, 1, 0,
    14, 168, 0, 0, 0, 15, 209, 198, 1, 0, 15, 131, 210, 1, 0, 0, 9, 136, 210, 1, 0, 35, 0, 0, 0, 0,
    16, 2, 182, 35, 29, 0, 0, 0, 0, 225, 24, 0, 0, 2, 183, 35, 0, 29, 0, 0, 0, 0, 225, 24, 0, 0, 2,
    184, 35, 2, 29, 0, 0, 0, 0, 198, 210, 1, 0, 2, 185, 35, 4, 29, 0, 0, 0, 0, 225, 24, 0, 0, 2,
    186, 35, 14, 0, 3, 225, 24, 0, 0, 4, 82, 0, 0, 0, 5, 0, 9, 215, 210, 1, 0, 14, 168, 0, 0, 0,
    15, 209, 198, 1, 0, 15, 231, 210, 1, 0, 0, 9, 236, 210, 1, 0, 35, 0, 0, 0, 0, 80, 2, 126, 96,
    29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 127, 96, 0, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 128, 96, 4, 29,
    0, 0, 0, 0, 168, 0, 0, 0, 2, 129, 96, 8, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 130, 96, 12, 29, 0,
    0, 0, 0, 168, 0, 0, 0, 2, 131, 96, 16, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 132, 96, 20, 29, 0, 0,
    0, 0, 168, 0, 0, 0, 2, 133, 96, 24, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 134, 96, 28, 29, 0, 0, 0,
    0, 168, 0, 0, 0, 2, 135, 96, 32, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 136, 96, 36, 29, 0, 0, 0, 0,
    168, 0, 0, 0, 2, 137, 96, 40, 29, 0, 0, 0, 0, 146, 211, 1, 0, 2, 138, 96, 44, 0, 3, 168, 0, 0,
    0, 4, 82, 0, 0, 0, 9, 0, 9, 163, 211, 1, 0, 14, 168, 0, 0, 0, 15, 209, 198, 1, 0, 15, 179, 211,
    1, 0, 0, 9, 184, 211, 1, 0, 35, 0, 0, 0, 0, 72, 2, 141, 96, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2,
    142, 96, 0, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 143, 96, 4, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 144,
    96, 8, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 145, 96, 12, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 146, 96,
    16, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 147, 96, 20, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 148, 96, 24,
    29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 149, 96, 28, 29, 0, 0, 0, 0, 236, 24, 0, 0, 2, 150, 96, 32,
    29, 0, 0, 0, 0, 75, 0, 0, 0, 2, 151, 96, 34, 29, 0, 0, 0, 0, 172, 212, 1, 0, 2, 152, 96, 35,
    29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 153, 96, 36, 29, 0, 0, 0, 0, 236, 24, 0, 0, 2, 154, 96, 40,
    29, 0, 0, 0, 0, 236, 24, 0, 0, 2, 155, 96, 42, 29, 0, 0, 0, 0, 239, 206, 1, 0, 2, 156, 96, 48,
    29, 0, 0, 0, 0, 236, 24, 0, 0, 2, 157, 96, 56, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 158, 96, 60, 29,
    0, 0, 0, 0, 90, 22, 0, 0, 2, 159, 96, 64, 0, 3, 75, 0, 0, 0, 4, 82, 0, 0, 0, 1, 0, 9, 189, 212,
    1, 0, 38, 15, 209, 198, 1, 0, 15, 199, 111, 0, 0, 0, 35, 0, 0, 0, 0, 48, 2, 62, 35, 29, 0, 0,
    0, 0, 173, 23, 0, 0, 2, 63, 35, 0, 29, 0, 0, 0, 0, 155, 95, 0, 0, 2, 64, 35, 8, 29, 0, 0, 0, 0,
    38, 1, 0, 0, 2, 65, 35, 12, 29, 0, 0, 0, 0, 195, 21, 0, 0, 2, 66, 35, 16, 29, 0, 0, 0, 0, 195,
    21, 0, 0, 2, 67, 35, 32, 0, 9, 25, 213, 1, 0, 35, 0, 0, 0, 0, 16, 2, 78, 36, 29, 0, 0, 0, 0,
    61, 213, 1, 0, 2, 79, 36, 0, 29, 0, 0, 0, 0, 209, 198, 1, 0, 2, 80, 36, 8, 0, 9, 66, 213, 1, 0,
    35, 0, 0, 0, 0, 152, 2, 55, 36, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 56, 36, 0, 29, 0, 0, 0, 0,
    154, 27, 0, 0, 2, 57, 36, 8, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 58, 36, 16, 29, 0, 0, 0, 0, 168,
    0, 0, 0, 2, 59, 36, 20, 29, 0, 0, 0, 0, 112, 209, 1, 0, 2, 60, 36, 24, 29, 0, 0, 0, 0, 53, 209,
    1, 0, 2, 61, 36, 32, 29, 0, 0, 0, 0, 53, 209, 1, 0, 2, 62, 36, 40, 29, 0, 0, 0, 0, 80, 214, 1,
    0, 2, 63, 36, 48, 29, 0, 0, 0, 0, 111, 214, 1, 0, 2, 64, 36, 56, 29, 0, 0, 0, 0, 142, 214, 1,
    0, 2, 65, 36, 64, 29, 0, 0, 0, 0, 142, 214, 1, 0, 2, 66, 36, 72, 29, 0, 0, 0, 0, 180, 209, 1,
    0, 2, 67, 36, 80, 29, 0, 0, 0, 0, 173, 214, 1, 0, 2, 68, 36, 88, 29, 0, 0, 0, 0, 112, 209, 1,
    0, 2, 69, 36, 96, 29, 0, 0, 0, 0, 199, 214, 1, 0, 2, 70, 36, 104, 29, 0, 0, 0, 0, 53, 209, 1,
    0, 2, 71, 36, 112, 29, 0, 0, 0, 0, 226, 214, 1, 0, 2, 72, 36, 120, 29, 0, 0, 0, 0, 243, 214, 1,
    0, 2, 73, 36, 128, 29, 0, 0, 0, 0, 120, 81, 0, 0, 2, 74, 36, 136, 29, 0, 0, 0, 0, 168, 0, 0, 0,
    2, 75, 36, 144, 0, 9, 85, 214, 1, 0, 14, 161, 88, 0, 0, 15, 209, 198, 1, 0, 15, 61, 78, 0, 0,
    15, 239, 206, 1, 0, 15, 36, 54, 0, 0, 0, 9, 116, 214, 1, 0, 14, 161, 88, 0, 0, 15, 209, 198, 1,
    0, 15, 61, 78, 0, 0, 15, 188, 66, 0, 0, 15, 36, 54, 0, 0, 0, 9, 147, 214, 1, 0, 14, 168, 0, 0,
    0, 15, 209, 198, 1, 0, 15, 61, 78, 0, 0, 15, 38, 1, 0, 0, 15, 90, 22, 0, 0, 0, 9, 178, 214, 1,
    0, 14, 227, 154, 0, 0, 15, 209, 198, 1, 0, 15, 61, 78, 0, 0, 15, 238, 154, 0, 0, 0, 9, 204,
    214, 1, 0, 38, 15, 209, 198, 1, 0, 15, 188, 66, 0, 0, 15, 154, 27, 0, 0, 15, 168, 0, 0, 0, 0,
    9, 231, 214, 1, 0, 38, 15, 209, 198, 1, 0, 15, 38, 1, 0, 0, 0, 9, 248, 214, 1, 0, 14, 168, 0,
    0, 0, 15, 209, 198, 1, 0, 15, 188, 66, 0, 0, 15, 154, 27, 0, 0, 15, 168, 0, 0, 0, 0, 35, 0, 0,
    0, 0, 56, 2, 103, 2, 29, 0, 0, 0, 0, 109, 22, 0, 0, 2, 104, 2, 0, 29, 0, 0, 0, 0, 109, 22, 0,
    0, 2, 105, 2, 8, 29, 0, 0, 0, 0, 109, 22, 0, 0, 2, 106, 2, 16, 29, 0, 0, 0, 0, 109, 22, 0, 0,
    2, 107, 2, 24, 29, 0, 0, 0, 0, 109, 22, 0, 0, 2, 108, 2, 32, 29, 0, 0, 0, 0, 109, 22, 0, 0, 2,
    109, 2, 40, 29, 0, 0, 0, 0, 109, 22, 0, 0, 2, 110, 2, 48, 0, 3, 131, 215, 1, 0, 4, 82, 0, 0, 0,
    16, 0, 35, 0, 0, 0, 0, 16, 2, 248, 8, 29, 0, 0, 0, 0, 58, 54, 0, 0, 2, 249, 8, 0, 29, 0, 0, 0,
    0, 58, 54, 0, 0, 2, 250, 8, 8, 0, 35, 0, 0, 0, 0, 56, 2, 175, 9, 29, 0, 0, 0, 0, 168, 0, 0, 0,
    2, 176, 9, 0, 29, 0, 0, 0, 0, 19, 1, 0, 0, 2, 177, 9, 8, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 178,
    9, 16, 29, 0, 0, 0, 0, 109, 22, 0, 0, 2, 179, 9, 24, 29, 0, 0, 0, 0, 109, 22, 0, 0, 2, 180, 9,
    32, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 181, 9, 40, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 182, 9, 48,
    0, 9, 17, 216, 1, 0, 28, 0, 0, 0, 0, 96, 1, 2, 36, 23, 29, 0, 0, 0, 0, 225, 24, 0, 0, 2, 37,
    23, 0, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 38, 23, 4, 29, 0, 0, 0, 0, 158, 26, 0, 0, 2, 39, 23, 8,
    29, 0, 0, 0, 0, 158, 26, 0, 0, 2, 40, 23, 9, 29, 0, 0, 0, 0, 197, 0, 0, 0, 2, 41, 23, 16, 29,
    0, 0, 0, 0, 197, 0, 0, 0, 2, 42, 23, 24, 29, 0, 0, 0, 0, 197, 0, 0, 0, 2, 43, 23, 32, 29, 0, 0,
    0, 0, 197, 0, 0, 0, 2, 44, 23, 40, 29, 0, 0, 0, 0, 197, 0, 0, 0, 2, 45, 23, 48, 29, 0, 0, 0, 0,
    197, 0, 0, 0, 2, 46, 23, 56, 29, 0, 0, 0, 0, 197, 0, 0, 0, 2, 47, 23, 64, 29, 0, 0, 0, 0, 197,
    0, 0, 0, 2, 48, 23, 72, 29, 0, 0, 0, 0, 131, 192, 0, 0, 2, 49, 23, 80, 29, 0, 0, 0, 0, 158, 26,
    0, 0, 2, 50, 23, 112, 29, 0, 0, 0, 0, 126, 218, 1, 0, 2, 51, 23, 113, 29, 0, 0, 0, 0, 27, 1, 0,
    0, 2, 53, 23, 120, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 54, 23, 124, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2,
    55, 23, 128, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 56, 23, 132, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 57,
    23, 136, 29, 0, 0, 0, 0, 197, 0, 0, 0, 2, 58, 23, 144, 29, 0, 0, 0, 0, 197, 0, 0, 0, 2, 59, 23,
    152, 29, 0, 0, 0, 0, 197, 0, 0, 0, 2, 60, 23, 160, 29, 0, 0, 0, 0, 197, 0, 0, 0, 2, 61, 23,
    168, 29, 0, 0, 0, 0, 197, 0, 0, 0, 2, 62, 23, 176, 29, 0, 0, 0, 0, 197, 0, 0, 0, 2, 63, 23,
    184, 29, 0, 0, 0, 0, 197, 0, 0, 0, 2, 64, 23, 192, 29, 0, 0, 0, 0, 197, 0, 0, 0, 2, 65, 23,
    200, 29, 0, 0, 0, 0, 197, 0, 0, 0, 2, 66, 23, 208, 29, 0, 0, 0, 0, 197, 0, 0, 0, 2, 67, 23,
    216, 29, 0, 0, 0, 0, 197, 0, 0, 0, 2, 68, 23, 224, 29, 0, 0, 0, 0, 197, 0, 0, 0, 2, 69, 23,
    232, 29, 0, 0, 0, 0, 197, 0, 0, 0, 2, 70, 23, 240, 29, 0, 0, 0, 0, 197, 0, 0, 0, 2, 71, 23,
    248, 31, 0, 0, 0, 0, 197, 0, 0, 0, 2, 72, 23, 0, 1, 31, 0, 0, 0, 0, 197, 0, 0, 0, 2, 73, 23, 8,
    1, 31, 0, 0, 0, 0, 197, 0, 0, 0, 2, 74, 23, 16, 1, 31, 0, 0, 0, 0, 197, 0, 0, 0, 2, 75, 23, 24,
    1, 31, 0, 0, 0, 0, 197, 0, 0, 0, 2, 76, 23, 32, 1, 31, 0, 0, 0, 0, 197, 0, 0, 0, 2, 77, 23, 40,
    1, 31, 0, 0, 0, 0, 197, 0, 0, 0, 2, 78, 23, 48, 1, 31, 0, 0, 0, 0, 197, 0, 0, 0, 2, 79, 23, 56,
    1, 31, 0, 0, 0, 0, 197, 0, 0, 0, 2, 80, 23, 64, 1, 31, 0, 0, 0, 0, 197, 0, 0, 0, 2, 81, 23, 72,
    1, 31, 0, 0, 0, 0, 197, 0, 0, 0, 2, 82, 23, 80, 1, 31, 0, 0, 0, 0, 197, 0, 0, 0, 2, 83, 23, 88,
    1, 0, 3, 158, 26, 0, 0, 4, 82, 0, 0, 0, 3, 0, 9, 143, 218, 1, 0, 40, 0, 0, 0, 0, 56, 2, 133,
    44, 1, 0, 25, 0, 0, 0, 0, 128, 104, 0, 0, 2, 134, 44, 1, 0, 0, 25, 0, 0, 0, 0, 18, 73, 0, 0, 2,
    135, 44, 1, 0, 32, 55, 0, 0, 0, 0, 38, 1, 0, 0, 2, 136, 44, 1, 0, 4, 1, 31, 36, 25, 0, 0, 0, 0,
    36, 54, 0, 0, 2, 137, 44, 1, 0, 40, 25, 0, 0, 0, 0, 239, 206, 1, 0, 2, 138, 44, 1, 0, 48, 0, 9,
    238, 218, 1, 0, 28, 0, 0, 0, 0, 32, 8, 2, 171, 10, 29, 0, 0, 0, 0, 33, 67, 0, 0, 2, 172, 10, 0,
    29, 0, 0, 0, 0, 254, 62, 0, 0, 2, 173, 10, 4, 29, 0, 0, 0, 0, 190, 104, 0, 0, 2, 174, 10, 8,
    29, 0, 0, 0, 0, 45, 219, 1, 0, 2, 175, 10, 32, 0, 3, 57, 219, 1, 0, 4, 82, 0, 0, 0, 64, 0, 35,
    0, 0, 0, 0, 32, 2, 156, 9, 29, 0, 0, 0, 0, 80, 219, 1, 0, 2, 157, 9, 0, 0, 35, 0, 0, 0, 0, 32,
    2, 149, 9, 29, 0, 0, 0, 0, 142, 219, 1, 0, 2, 150, 9, 0, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 151,
    9, 8, 29, 0, 0, 0, 0, 178, 219, 1, 0, 2, 152, 9, 16, 29, 0, 0, 0, 0, 46, 198, 1, 0, 2, 153, 9,
    24, 0, 39, 154, 219, 1, 0, 0, 0, 0, 0, 2, 61, 9, 9, 159, 219, 1, 0, 39, 171, 219, 1, 0, 0, 0,
    0, 0, 2, 59, 9, 38, 15, 168, 0, 0, 0, 0, 39, 190, 219, 1, 0, 0, 0, 0, 0, 2, 65, 9, 9, 195, 219,
    1, 0, 39, 199, 44, 1, 0, 0, 0, 0, 0, 2, 63, 9, 9, 212, 219, 1, 0, 28, 0, 0, 0, 0, 192, 3, 2,
    217, 131, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 218, 131, 0, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 219,
    131, 4, 29, 0, 0, 0, 0, 131, 224, 1, 0, 2, 220, 131, 8, 29, 0, 0, 0, 0, 131, 224, 1, 0, 2, 221,
    131, 12, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 222, 131, 16, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 223,
    131, 20, 29, 0, 0, 0, 0, 13, 156, 0, 0, 2, 224, 131, 24, 29, 0, 0, 0, 0, 229, 128, 1, 0, 2,
    225, 131, 40, 29, 0, 0, 0, 0, 19, 1, 0, 0, 2, 226, 131, 72, 29, 0, 0, 0, 0, 109, 22, 0, 0, 2,
    227, 131, 80, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 228, 131, 88, 29, 0, 0, 0, 0, 163, 224, 1, 0, 2,
    229, 131, 96, 31, 0, 0, 0, 0, 168, 0, 0, 0, 2, 230, 131, 144, 2, 31, 0, 0, 0, 0, 195, 21, 0, 0,
    2, 231, 131, 152, 2, 31, 0, 0, 0, 0, 154, 27, 0, 0, 2, 232, 131, 168, 2, 31, 0, 0, 0, 0, 167,
    79, 0, 0, 2, 233, 131, 176, 2, 31, 0, 0, 0, 0, 175, 224, 1, 0, 2, 234, 131, 192, 2, 31, 0, 0,
    0, 0, 175, 224, 1, 0, 2, 235, 131, 200, 2, 31, 0, 0, 0, 0, 216, 224, 1, 0, 2, 236, 131, 208, 2,
    31, 0, 0, 0, 0, 36, 54, 0, 0, 2, 237, 131, 216, 2, 31, 0, 0, 0, 0, 122, 67, 1, 0, 2, 238, 131,
    224, 2, 31, 0, 0, 0, 0, 122, 67, 1, 0, 2, 239, 131, 228, 2, 31, 0, 0, 0, 0, 81, 62, 0, 0, 2,
    240, 131, 232, 2, 31, 0, 0, 0, 0, 81, 62, 0, 0, 2, 241, 131, 236, 2, 31, 0, 0, 0, 0, 81, 62, 0,
    0, 2, 242, 131, 240, 2, 31, 0, 0, 0, 0, 81, 62, 0, 0, 2, 243, 131, 244, 2, 31, 0, 0, 0, 0, 134,
    62, 0, 0, 2, 244, 131, 248, 2, 31, 0, 0, 0, 0, 134, 62, 0, 0, 2, 245, 131, 252, 2, 31, 0, 0, 0,
    0, 134, 62, 0, 0, 2, 246, 131, 0, 3, 31, 0, 0, 0, 0, 134, 62, 0, 0, 2, 247, 131, 4, 3, 31, 0,
    0, 0, 0, 90, 22, 0, 0, 2, 248, 131, 8, 3, 31, 0, 0, 0, 0, 168, 0, 0, 0, 2, 249, 131, 16, 3, 31,
    0, 0, 0, 0, 122, 67, 1, 0, 2, 250, 131, 20, 3, 31, 0, 0, 0, 0, 81, 62, 0, 0, 2, 251, 131, 24,
    3, 31, 0, 0, 0, 0, 81, 62, 0, 0, 2, 252, 131, 28, 3, 31, 0, 0, 0, 0, 38, 1, 0, 0, 2, 253, 131,
    32, 3, 31, 0, 0, 0, 0, 177, 66, 0, 0, 2, 254, 131, 36, 3, 31, 0, 0, 0, 0, 73, 21, 0, 0, 2, 255,
    131, 40, 3, 31, 0, 0, 0, 0, 56, 225, 1, 0, 2, 0, 132, 56, 3, 31, 0, 0, 0, 0, 56, 225, 1, 0, 2,
    1, 132, 64, 3, 31, 0, 0, 0, 0, 195, 21, 0, 0, 2, 2, 132, 72, 3, 31, 0, 0, 0, 0, 168, 0, 0, 0,
    2, 3, 132, 88, 3, 31, 0, 0, 0, 0, 168, 0, 0, 0, 2, 4, 132, 92, 3, 33, 54, 222, 1, 0, 2, 5, 132,
    96, 3, 34, 72, 2, 5, 132, 29, 0, 0, 0, 0, 72, 222, 1, 0, 2, 9, 132, 0, 30, 56, 2, 6, 132, 29,
    0, 0, 0, 0, 168, 0, 0, 0, 2, 7, 132, 0, 29, 0, 0, 0, 0, 120, 225, 1, 0, 2, 8, 132, 8, 0, 29, 0,
    0, 0, 0, 117, 222, 1, 0, 2, 20, 132, 0, 30, 40, 2, 10, 132, 29, 0, 0, 0, 0, 81, 62, 0, 0, 2,
    11, 132, 0, 29, 0, 0, 0, 0, 134, 62, 0, 0, 2, 12, 132, 4, 29, 0, 0, 0, 0, 70, 62, 0, 0, 2, 13,
    132, 8, 29, 0, 0, 0, 0, 177, 66, 0, 0, 2, 14, 132, 12, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 15,
    132, 16, 29, 0, 0, 0, 0, 112, 62, 0, 0, 2, 16, 132, 20, 29, 0, 0, 0, 0, 165, 62, 0, 0, 2, 17,
    132, 24, 29, 0, 0, 0, 0, 70, 62, 0, 0, 2, 18, 132, 28, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 19,
    132, 32, 0, 29, 0, 0, 0, 0, 253, 222, 1, 0, 2, 24, 132, 0, 30, 72, 2, 21, 132, 29, 0, 0, 0, 0,
    132, 225, 1, 0, 2, 22, 132, 0, 29, 0, 0, 0, 0, 156, 225, 1, 0, 2, 23, 132, 8, 0, 29, 0, 0, 0,
    0, 42, 223, 1, 0, 2, 28, 132, 0, 30, 8, 2, 25, 132, 29, 0, 0, 0, 0, 132, 225, 1, 0, 2, 26, 132,
    0, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 27, 132, 4, 0, 29, 0, 0, 0, 0, 87, 223, 1, 0, 2, 34, 132,
    0, 30, 40, 2, 29, 132, 29, 0, 0, 0, 0, 132, 225, 1, 0, 2, 30, 132, 0, 29, 0, 0, 0, 0, 36, 54,
    0, 0, 2, 31, 132, 8, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 32, 132, 16, 29, 0, 0, 0, 0, 13, 156, 0,
    0, 2, 33, 132, 24, 0, 29, 0, 0, 0, 0, 158, 223, 1, 0, 2, 39, 132, 0, 30, 72, 2, 35, 132, 29, 0,
    0, 0, 0, 168, 0, 0, 0, 2, 36, 132, 0, 29, 0, 0, 0, 0, 70, 62, 0, 0, 2, 37, 132, 4, 29, 0, 0, 0,
    0, 156, 225, 1, 0, 2, 38, 132, 8, 0, 29, 0, 0, 0, 0, 216, 223, 1, 0, 2, 43, 132, 0, 30, 40, 2,
    40, 132, 29, 0, 0, 0, 0, 122, 67, 1, 0, 2, 41, 132, 0, 29, 0, 0, 0, 0, 155, 77, 0, 0, 2, 42,
    132, 4, 0, 29, 0, 0, 0, 0, 5, 224, 1, 0, 2, 47, 132, 0, 30, 8, 2, 44, 132, 29, 0, 0, 0, 0, 168,
    0, 0, 0, 2, 45, 132, 0, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 46, 132, 4, 0, 29, 0, 0, 0, 0, 50,
    224, 1, 0, 2, 50, 132, 0, 30, 4, 2, 48, 132, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 49, 132, 0, 0,
    29, 0, 0, 0, 0, 82, 224, 1, 0, 2, 53, 132, 0, 30, 8, 2, 51, 132, 29, 0, 0, 0, 0, 154, 27, 0, 0,
    2, 52, 132, 0, 0, 0, 31, 0, 0, 0, 0, 18, 85, 1, 0, 2, 55, 132, 168, 3, 31, 0, 0, 0, 0, 243,
    225, 1, 0, 2, 56, 132, 176, 3, 0, 18, 38, 1, 0, 0, 0, 0, 0, 0, 4, 2, 163, 131, 19, 0, 0, 0, 0,
    0, 19, 0, 0, 0, 0, 1, 19, 0, 0, 0, 0, 2, 0, 3, 206, 76, 0, 0, 4, 82, 0, 0, 0, 5, 0, 9, 180,
    224, 1, 0, 35, 0, 0, 0, 0, 16, 2, 88, 133, 29, 0, 0, 0, 0, 175, 224, 1, 0, 2, 89, 133, 0, 29,
    0, 0, 0, 0, 168, 0, 0, 0, 2, 90, 133, 8, 0, 9, 221, 224, 1, 0, 35, 0, 0, 0, 0, 128, 2, 59, 132,
    44, 239, 224, 1, 0, 2, 60, 132, 0, 34, 128, 2, 60, 132, 44, 253, 224, 1, 0, 2, 61, 132, 0, 30,
    128, 2, 61, 132, 29, 0, 0, 0, 0, 130, 27, 0, 0, 2, 62, 132, 0, 29, 0, 0, 0, 0, 44, 225, 1, 0,
    2, 63, 132, 2, 0, 29, 0, 0, 0, 0, 26, 1, 0, 0, 2, 65, 132, 0, 0, 0, 3, 75, 0, 0, 0, 4, 82, 0,
    0, 0, 126, 0, 9, 61, 225, 1, 0, 28, 0, 0, 0, 0, 0, 1, 2, 95, 133, 29, 0, 0, 0, 0, 56, 225, 1,
    0, 2, 96, 133, 0, 29, 0, 0, 0, 0, 98, 225, 1, 0, 2, 97, 133, 8, 0, 3, 110, 225, 1, 0, 4, 82, 0,
    0, 0, 31, 0, 9, 115, 225, 1, 0, 43, 0, 0, 0, 0, 3, 19, 1, 0, 0, 4, 82, 0, 0, 0, 6, 0, 39, 144,
    225, 1, 0, 0, 0, 0, 0, 2, 161, 131, 39, 168, 0, 0, 0, 0, 0, 0, 0, 2, 159, 131, 35, 0, 0, 0, 0,
    64, 2, 198, 131, 29, 0, 0, 0, 0, 183, 88, 0, 0, 2, 199, 131, 0, 29, 0, 0, 0, 0, 183, 88, 0, 0,
    2, 200, 131, 8, 29, 0, 0, 0, 0, 183, 88, 0, 0, 2, 201, 131, 16, 29, 0, 0, 0, 0, 183, 88, 0, 0,
    2, 202, 131, 24, 29, 0, 0, 0, 0, 231, 225, 1, 0, 2, 203, 131, 32, 0, 3, 183, 88, 0, 0, 4, 82,
    0, 0, 0, 4, 0, 35, 0, 0, 0, 0, 16, 2, 206, 131, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 207, 131, 0,
    29, 0, 0, 0, 0, 154, 27, 0, 0, 2, 208, 131, 8, 0, 35, 0, 0, 0, 0, 16, 2, 93, 2, 29, 0, 0, 0, 0,
    168, 0, 0, 0, 2, 94, 2, 0, 29, 0, 0, 0, 0, 242, 23, 0, 0, 2, 95, 2, 4, 29, 0, 0, 0, 0, 72, 226,
    1, 0, 2, 96, 2, 8, 0, 9, 77, 226, 1, 0, 35, 0, 0, 0, 0, 96, 2, 77, 134, 29, 0, 0, 0, 0, 254,
    62, 0, 0, 2, 78, 134, 0, 29, 0, 0, 0, 0, 254, 62, 0, 0, 2, 79, 134, 4, 29, 0, 0, 0, 0, 181, 51,
    0, 0, 2, 80, 134, 8, 29, 0, 0, 0, 0, 72, 226, 1, 0, 2, 81, 134, 16, 29, 0, 0, 0, 0, 61, 255, 0,
    0, 2, 82, 134, 24, 29, 0, 0, 0, 0, 191, 226, 1, 0, 2, 83, 134, 32, 29, 0, 0, 0, 0, 128, 104, 0,
    0, 2, 84, 134, 40, 29, 0, 0, 0, 0, 190, 104, 0, 0, 2, 85, 134, 72, 0, 9, 196, 226, 1, 0, 35, 0,
    0, 0, 0, 48, 2, 131, 134, 29, 0, 0, 0, 0, 245, 226, 1, 0, 2, 132, 134, 0, 29, 0, 0, 0, 0, 109,
    22, 0, 0, 2, 133, 134, 24, 29, 0, 0, 0, 0, 195, 21, 0, 0, 2, 134, 134, 32, 0, 35, 0, 0, 0, 0,
    24, 2, 59, 114, 29, 0, 0, 0, 0, 155, 95, 0, 0, 2, 60, 114, 0, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2,
    61, 114, 4, 29, 0, 0, 0, 0, 195, 21, 0, 0, 2, 62, 114, 8, 0, 35, 0, 0, 0, 0, 8, 2, 99, 2, 29,
    0, 0, 0, 0, 61, 227, 1, 0, 2, 100, 2, 0, 0, 9, 38, 227, 1, 0, 9, 71, 227, 1, 0, 35, 0, 0, 0, 0,
    80, 2, 184, 114, 29, 0, 0, 0, 0, 229, 39, 0, 0, 2, 185, 114, 0, 29, 0, 0, 0, 0, 229, 39, 0, 0,
    2, 186, 114, 24, 29, 0, 0, 0, 0, 244, 117, 0, 0, 2, 187, 114, 48, 29, 0, 0, 0, 0, 159, 227, 1,
    0, 2, 188, 114, 56, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 189, 114, 64, 29, 0, 0, 0, 0, 109, 22, 0,
    0, 2, 190, 114, 72, 0, 9, 179, 64, 1, 0, 9, 169, 227, 1, 0, 35, 0, 0, 0, 0, 16, 2, 64, 21, 29,
    0, 0, 0, 0, 205, 227, 1, 0, 2, 65, 21, 0, 29, 0, 0, 0, 0, 205, 227, 1, 0, 2, 66, 21, 8, 0, 9,
    210, 227, 1, 0, 35, 0, 0, 0, 0, 136, 2, 65, 24, 29, 0, 0, 0, 0, 205, 227, 1, 0, 2, 66, 24, 0,
    29, 0, 0, 0, 0, 22, 229, 1, 0, 2, 67, 24, 8, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 68, 24, 16, 29, 0,
    0, 0, 0, 236, 24, 0, 0, 2, 69, 24, 20, 29, 0, 0, 0, 0, 236, 24, 0, 0, 2, 70, 24, 22, 29, 0, 0,
    0, 0, 236, 24, 0, 0, 2, 71, 24, 24, 29, 0, 0, 0, 0, 27, 251, 1, 0, 2, 72, 24, 26, 29, 0, 0, 0,
    0, 218, 67, 0, 0, 2, 73, 24, 27, 29, 0, 0, 0, 0, 242, 23, 0, 0, 2, 74, 24, 28, 29, 0, 0, 0, 0,
    67, 34, 2, 0, 2, 75, 24, 32, 29, 0, 0, 0, 0, 129, 34, 2, 0, 2, 76, 24, 56, 29, 0, 0, 0, 0, 26,
    1, 0, 0, 2, 77, 24, 64, 29, 0, 0, 0, 0, 157, 15, 2, 0, 2, 78, 24, 72, 29, 0, 0, 0, 0, 153, 34,
    2, 0, 2, 79, 24, 80, 29, 0, 0, 0, 0, 109, 22, 0, 0, 2, 80, 24, 88, 29, 0, 0, 0, 0, 127, 1, 2,
    0, 2, 81, 24, 96, 44, 180, 228, 1, 0, 2, 82, 24, 104, 34, 8, 2, 82, 24, 29, 0, 0, 0, 0, 176,
    34, 2, 0, 2, 83, 24, 0, 0, 29, 0, 0, 0, 0, 236, 24, 0, 0, 2, 85, 24, 112, 29, 0, 0, 0, 0, 236,
    24, 0, 0, 2, 86, 24, 114, 29, 0, 0, 0, 0, 242, 23, 0, 0, 2, 87, 24, 116, 29, 0, 0, 0, 0, 65,
    35, 2, 0, 2, 88, 24, 120, 29, 0, 0, 0, 0, 82, 35, 2, 0, 2, 89, 24, 128, 29, 0, 0, 0, 0, 70, 35,
    2, 0, 2, 90, 24, 136, 0, 9, 27, 229, 1, 0, 28, 0, 0, 0, 0, 160, 4, 2, 38, 30, 29, 0, 0, 0, 0,
    168, 0, 0, 0, 2, 39, 30, 0, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 40, 30, 4, 29, 0, 0, 0, 0, 168, 0,
    0, 0, 2, 41, 30, 8, 29, 0, 0, 0, 0, 131, 192, 0, 0, 2, 42, 30, 12, 29, 0, 0, 0, 0, 236, 24, 0,
    0, 2, 43, 30, 44, 29, 0, 0, 0, 0, 236, 24, 0, 0, 2, 44, 30, 46, 29, 0, 0, 0, 0, 82, 230, 1, 0,
    2, 45, 30, 48, 29, 0, 0, 0, 0, 154, 230, 1, 0, 2, 46, 30, 56, 31, 0, 0, 0, 0, 63, 232, 1, 0, 2,
    47, 30, 224, 3, 31, 0, 0, 0, 0, 248, 240, 1, 0, 2, 48, 30, 232, 3, 31, 0, 0, 0, 0, 26, 1, 0, 0,
    2, 49, 30, 240, 3, 31, 0, 0, 0, 0, 168, 0, 0, 0, 2, 50, 30, 248, 3, 31, 0, 0, 0, 0, 57, 95, 0,
    0, 2, 51, 30, 0, 4, 31, 0, 0, 0, 0, 148, 86, 0, 0, 2, 52, 30, 40, 4, 31, 0, 0, 0, 0, 99, 28, 2,
    0, 2, 53, 30, 48, 4, 31, 0, 0, 0, 0, 242, 23, 0, 0, 2, 54, 30, 56, 4, 31, 0, 0, 0, 0, 173, 28,
    2, 0, 2, 55, 30, 64, 4, 31, 0, 0, 0, 0, 223, 85, 0, 0, 2, 56, 30, 72, 4, 31, 0, 0, 0, 0, 49,
    29, 2, 0, 2, 57, 30, 136, 4, 31, 0, 0, 0, 0, 168, 0, 0, 0, 2, 58, 30, 144, 4, 31, 0, 0, 0, 0,
    191, 33, 2, 0, 2, 59, 30, 152, 4, 31, 0, 0, 0, 0, 132, 80, 1, 0, 2, 60, 30, 160, 4, 0, 9, 87,
    230, 1, 0, 35, 0, 0, 0, 0, 32, 2, 120, 30, 29, 0, 0, 0, 0, 28, 22, 0, 0, 2, 121, 30, 0, 29, 0,
    0, 0, 0, 168, 0, 0, 0, 2, 122, 30, 16, 29, 0, 0, 0, 0, 149, 230, 1, 0, 2, 123, 30, 24, 29, 0,
    0, 0, 0, 51, 232, 1, 0, 2, 124, 30, 32, 0, 9, 154, 230, 1, 0, 28, 0, 0, 0, 0, 168, 3, 2, 10,
    30, 29, 0, 0, 0, 0, 83, 231, 1, 0, 2, 11, 30, 0, 29, 0, 0, 0, 0, 83, 231, 1, 0, 2, 12, 30, 8,
    29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 13, 30, 16, 29, 0, 0, 0, 0, 94, 231, 1, 0, 2, 14, 30, 24, 29,
    0, 0, 0, 0, 46, 40, 1, 0, 2, 15, 30, 32, 29, 0, 0, 0, 0, 83, 231, 1, 0, 2, 16, 30, 88, 29, 0,
    0, 0, 0, 38, 1, 0, 0, 2, 17, 30, 96, 29, 0, 0, 0, 0, 5, 166, 0, 0, 2, 18, 30, 104, 31, 0, 0, 0,
    0, 148, 86, 0, 0, 2, 19, 30, 88, 3, 31, 0, 0, 0, 0, 168, 0, 0, 0, 2, 20, 30, 96, 3, 31, 0, 0,
    0, 0, 168, 0, 0, 0, 2, 21, 30, 100, 3, 31, 0, 0, 0, 0, 242, 231, 1, 0, 2, 22, 30, 104, 3, 31,
    0, 0, 0, 0, 114, 46, 1, 0, 2, 23, 30, 112, 3, 0, 12, 109, 22, 0, 0, 0, 0, 0, 0, 2, 93, 9, 99,
    231, 1, 0, 35, 0, 0, 0, 0, 152, 2, 106, 139, 29, 0, 0, 0, 0, 187, 231, 1, 0, 2, 107, 139, 0,
    29, 0, 0, 0, 0, 229, 128, 1, 0, 2, 108, 139, 32, 29, 0, 0, 0, 0, 229, 128, 1, 0, 2, 109, 139,
    64, 29, 0, 0, 0, 0, 229, 128, 1, 0, 2, 110, 139, 96, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 111, 139,
    128, 29, 0, 0, 0, 0, 199, 231, 1, 0, 2, 112, 139, 136, 0, 3, 109, 22, 0, 0, 4, 82, 0, 0, 0, 4,
    0, 3, 211, 231, 1, 0, 4, 82, 0, 0, 0, 2, 0, 39, 223, 231, 1, 0, 0, 0, 0, 0, 2, 103, 15, 30, 8,
    2, 101, 15, 29, 0, 0, 0, 0, 173, 23, 0, 0, 2, 102, 15, 0, 0, 9, 247, 231, 1, 0, 35, 0, 0, 0, 0,
    101, 2, 115, 30, 29, 0, 0, 0, 0, 27, 232, 1, 0, 2, 116, 30, 0, 29, 0, 0, 0, 0, 39, 232, 1, 0,
    2, 117, 30, 37, 0, 3, 75, 0, 0, 0, 4, 82, 0, 0, 0, 37, 0, 3, 218, 67, 0, 0, 4, 82, 0, 0, 0, 64,
    0, 3, 149, 230, 1, 0, 4, 82, 0, 0, 0, 0, 0, 9, 68, 232, 1, 0, 37, 73, 232, 1, 0, 35, 0, 0, 0,
    0, 120, 2, 151, 30, 29, 0, 0, 0, 0, 22, 233, 1, 0, 2, 152, 30, 0, 29, 0, 0, 0, 0, 50, 233, 1,
    0, 2, 153, 30, 8, 29, 0, 0, 0, 0, 239, 237, 1, 0, 2, 154, 30, 16, 29, 0, 0, 0, 0, 0, 238, 1, 0,
    2, 155, 30, 24, 29, 0, 0, 0, 0, 31, 238, 1, 0, 2, 156, 30, 32, 29, 0, 0, 0, 0, 31, 238, 1, 0,
    2, 157, 30, 40, 29, 0, 0, 0, 0, 62, 238, 1, 0, 2, 158, 30, 48, 29, 0, 0, 0, 0, 83, 238, 1, 0,
    2, 159, 30, 56, 29, 0, 0, 0, 0, 95, 238, 1, 0, 2, 160, 30, 64, 29, 0, 0, 0, 0, 111, 238, 1, 0,
    2, 161, 30, 72, 29, 0, 0, 0, 0, 199, 238, 1, 0, 2, 162, 30, 80, 29, 0, 0, 0, 0, 216, 238, 1, 0,
    2, 163, 30, 88, 29, 0, 0, 0, 0, 203, 239, 1, 0, 2, 164, 30, 96, 29, 0, 0, 0, 0, 120, 81, 0, 0,
    2, 165, 30, 104, 29, 0, 0, 0, 0, 224, 239, 1, 0, 2, 166, 30, 112, 0, 9, 27, 233, 1, 0, 14, 38,
    233, 1, 0, 15, 205, 227, 1, 0, 0, 39, 38, 1, 0, 0, 0, 0, 0, 0, 2, 113, 30, 9, 55, 233, 1, 0,
    14, 168, 0, 0, 0, 15, 71, 233, 1, 0, 15, 228, 237, 1, 0, 0, 9, 76, 233, 1, 0, 35, 0, 0, 0, 0,
    184, 2, 205, 23, 29, 0, 0, 0, 0, 18, 73, 0, 0, 2, 206, 23, 0, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2,
    207, 23, 4, 29, 0, 0, 0, 0, 201, 58, 0, 0, 2, 208, 23, 8, 29, 0, 0, 0, 0, 172, 69, 0, 0, 2,
    209, 23, 16, 29, 0, 0, 0, 0, 128, 104, 0, 0, 2, 210, 23, 24, 29, 0, 0, 0, 0, 26, 1, 0, 0, 2,
    211, 23, 56, 29, 0, 0, 0, 0, 26, 1, 0, 0, 2, 212, 23, 64, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 213,
    23, 72, 29, 0, 0, 0, 0, 181, 51, 0, 0, 2, 214, 23, 76, 29, 0, 0, 0, 0, 195, 21, 0, 0, 2, 215,
    23, 80, 29, 0, 0, 0, 0, 71, 233, 1, 0, 2, 216, 23, 96, 29, 0, 0, 0, 0, 218, 67, 0, 0, 2, 217,
    23, 104, 29, 0, 0, 0, 0, 149, 230, 1, 0, 2, 218, 23, 112, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 219,
    23, 120, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 220, 23, 124, 29, 0, 0, 0, 0, 22, 229, 1, 0, 2, 221,
    23, 128, 29, 0, 0, 0, 0, 77, 234, 1, 0, 2, 222, 23, 136, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 223,
    23, 144, 29, 0, 0, 0, 0, 128, 104, 0, 0, 2, 224, 23, 152, 0, 9, 82, 234, 1, 0, 28, 0, 0, 0, 0,
    24, 4, 2, 139, 21, 29, 0, 0, 0, 0, 109, 22, 0, 0, 2, 140, 21, 0, 29, 0, 0, 0, 0, 229, 39, 0, 0,
    2, 141, 21, 8, 29, 0, 0, 0, 0, 195, 21, 0, 0, 2, 142, 21, 32, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2,
    143, 21, 48, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 144, 21, 56, 29, 0, 0, 0, 0, 221, 107, 0, 0, 2,
    145, 21, 64, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 146, 21, 68, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 147,
    21, 72, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 148, 21, 76, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 149, 21,
    80, 29, 0, 0, 0, 0, 173, 23, 0, 0, 2, 150, 21, 88, 29, 0, 0, 0, 0, 133, 235, 1, 0, 2, 151, 21,
    96, 31, 0, 0, 0, 0, 195, 21, 0, 0, 2, 152, 21, 24, 3, 31, 0, 0, 0, 0, 203, 147, 0, 0, 2, 153,
    21, 40, 3, 31, 0, 0, 0, 0, 128, 104, 0, 0, 2, 154, 21, 56, 3, 31, 0, 0, 0, 0, 57, 95, 0, 0, 2,
    155, 21, 88, 3, 31, 0, 0, 0, 0, 190, 104, 0, 0, 2, 156, 21, 128, 3, 31, 0, 0, 0, 0, 92, 168, 0,
    0, 2, 157, 21, 152, 3, 31, 0, 0, 0, 0, 139, 157, 0, 0, 2, 158, 21, 160, 3, 31, 0, 0, 0, 0, 92,
    168, 0, 0, 2, 159, 21, 224, 3, 31, 0, 0, 0, 0, 134, 156, 0, 0, 2, 160, 21, 232, 3, 31, 0, 0, 0,
    0, 185, 64, 0, 0, 2, 161, 21, 16, 4, 0, 28, 0, 0, 0, 0, 184, 2, 2, 99, 21, 29, 0, 0, 0, 0, 77,
    234, 1, 0, 2, 100, 21, 0, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 101, 21, 8, 29, 0, 0, 0, 0, 90, 22,
    0, 0, 2, 102, 21, 16, 29, 0, 0, 0, 0, 195, 21, 0, 0, 2, 103, 21, 24, 29, 0, 0, 0, 0, 195, 21,
    0, 0, 2, 104, 21, 40, 29, 0, 0, 0, 0, 195, 21, 0, 0, 2, 105, 21, 56, 29, 0, 0, 0, 0, 195, 21,
    0, 0, 2, 106, 21, 72, 29, 0, 0, 0, 0, 33, 67, 0, 0, 2, 107, 21, 88, 29, 0, 0, 0, 0, 99, 237, 1,
    0, 2, 108, 21, 96, 31, 0, 0, 0, 0, 90, 22, 0, 0, 2, 109, 21, 0, 1, 31, 0, 0, 0, 0, 90, 22, 0,
    0, 2, 110, 21, 8, 1, 31, 0, 0, 0, 0, 90, 22, 0, 0, 2, 111, 21, 16, 1, 31, 0, 0, 0, 0, 90, 22,
    0, 0, 2, 112, 21, 24, 1, 31, 0, 0, 0, 0, 90, 22, 0, 0, 2, 113, 21, 32, 1, 31, 0, 0, 0, 0, 90,
    22, 0, 0, 2, 114, 21, 40, 1, 31, 0, 0, 0, 0, 90, 22, 0, 0, 2, 115, 21, 48, 1, 31, 0, 0, 0, 0,
    90, 22, 0, 0, 2, 116, 21, 56, 1, 31, 0, 0, 0, 0, 111, 237, 1, 0, 2, 117, 21, 64, 1, 31, 0, 0,
    0, 0, 168, 0, 0, 0, 2, 118, 21, 112, 1, 31, 0, 0, 0, 0, 160, 237, 1, 0, 2, 119, 21, 116, 1, 31,
    0, 0, 0, 0, 33, 67, 0, 0, 2, 120, 21, 120, 1, 31, 0, 0, 0, 0, 195, 21, 0, 0, 2, 121, 21, 128,
    1, 31, 0, 0, 0, 0, 108, 160, 0, 0, 2, 122, 21, 144, 1, 31, 0, 0, 0, 0, 90, 22, 0, 0, 2, 123,
    21, 232, 1, 31, 0, 0, 0, 0, 195, 21, 0, 0, 2, 124, 21, 240, 1, 31, 0, 0, 0, 0, 46, 40, 1, 0, 2,
    125, 21, 0, 2, 31, 0, 0, 0, 0, 111, 237, 1, 0, 2, 126, 21, 56, 2, 31, 0, 0, 0, 0, 225, 156, 0,
    0, 2, 127, 21, 104, 2, 31, 0, 0, 0, 0, 225, 156, 0, 0, 2, 128, 21, 112, 2, 31, 0, 0, 0, 0, 195,
    21, 0, 0, 2, 129, 21, 120, 2, 31, 0, 0, 0, 0, 195, 21, 0, 0, 2, 130, 21, 136, 2, 33, 66, 237,
    1, 0, 2, 131, 21, 152, 2, 34, 32, 2, 131, 21, 29, 0, 0, 0, 0, 117, 158, 0, 0, 2, 132, 21, 0,
    29, 0, 0, 0, 0, 28, 22, 0, 0, 2, 133, 21, 0, 0, 0, 3, 130, 148, 1, 0, 4, 82, 0, 0, 0, 4, 0, 35,
    0, 0, 0, 0, 48, 2, 81, 21, 29, 0, 0, 0, 0, 130, 148, 1, 0, 2, 82, 21, 0, 29, 0, 0, 0, 0, 38, 1,
    0, 0, 2, 83, 21, 40, 29, 0, 0, 0, 0, 155, 95, 0, 0, 2, 84, 21, 44, 0, 18, 38, 1, 0, 0, 0, 0, 0,
    0, 4, 2, 87, 21, 19, 0, 0, 0, 0, 0, 19, 0, 0, 0, 0, 1, 19, 0, 0, 0, 0, 2, 19, 0, 0, 0, 0, 3,
    19, 0, 0, 0, 0, 4, 19, 0, 0, 0, 0, 5, 19, 0, 0, 0, 0, 6, 19, 0, 0, 0, 0, 7, 19, 0, 0, 0, 0, 8,
    0, 12, 38, 1, 0, 0, 0, 0, 0, 0, 2, 101, 9, 244, 237, 1, 0, 38, 15, 22, 229, 1, 0, 15, 228, 237,
    1, 0, 0, 9, 5, 238, 1, 0, 14, 168, 0, 0, 0, 15, 71, 233, 1, 0, 15, 83, 231, 1, 0, 15, 220, 54,
    0, 0, 15, 38, 1, 0, 0, 0, 9, 36, 238, 1, 0, 14, 168, 0, 0, 0, 15, 71, 233, 1, 0, 15, 228, 237,
    1, 0, 15, 38, 1, 0, 0, 15, 90, 22, 0, 0, 0, 9, 67, 238, 1, 0, 14, 38, 1, 0, 0, 15, 22, 229, 1,
    0, 15, 38, 1, 0, 0, 0, 9, 88, 238, 1, 0, 38, 15, 22, 229, 1, 0, 0, 9, 100, 238, 1, 0, 14, 168,
    0, 0, 0, 15, 22, 229, 1, 0, 0, 9, 116, 238, 1, 0, 14, 168, 0, 0, 0, 15, 71, 233, 1, 0, 15, 132,
    238, 1, 0, 0, 9, 137, 238, 1, 0, 35, 0, 0, 0, 0, 16, 2, 111, 224, 29, 0, 0, 0, 0, 169, 26, 0,
    0, 2, 112, 224, 0, 29, 0, 0, 0, 0, 169, 26, 0, 0, 2, 113, 224, 1, 29, 0, 0, 0, 0, 236, 24, 0,
    0, 2, 114, 224, 2, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 115, 224, 8, 0, 9, 204, 238, 1, 0, 38, 15,
    71, 233, 1, 0, 15, 90, 22, 0, 0, 0, 9, 221, 238, 1, 0, 14, 168, 0, 0, 0, 15, 22, 229, 1, 0, 15,
    83, 231, 1, 0, 15, 38, 1, 0, 0, 15, 252, 238, 1, 0, 15, 26, 1, 0, 0, 0, 39, 8, 239, 1, 0, 0, 0,
    0, 0, 2, 145, 30, 9, 13, 239, 1, 0, 14, 168, 0, 0, 0, 15, 34, 239, 1, 0, 15, 38, 1, 0, 0, 15,
    26, 1, 0, 0, 0, 9, 39, 239, 1, 0, 35, 0, 0, 0, 0, 64, 2, 27, 31, 29, 0, 0, 0, 0, 197, 0, 0, 0,
    2, 28, 31, 0, 29, 0, 0, 0, 0, 197, 0, 0, 0, 2, 29, 31, 8, 29, 0, 0, 0, 0, 197, 0, 0, 0, 2, 30,
    31, 16, 29, 0, 0, 0, 0, 158, 26, 0, 0, 2, 31, 31, 24, 29, 0, 0, 0, 0, 158, 26, 0, 0, 2, 32, 31,
    25, 29, 0, 0, 0, 0, 158, 26, 0, 0, 2, 33, 31, 26, 29, 0, 0, 0, 0, 158, 26, 0, 0, 2, 34, 31, 27,
    29, 0, 0, 0, 0, 179, 239, 1, 0, 2, 35, 31, 28, 29, 0, 0, 0, 0, 197, 0, 0, 0, 2, 36, 31, 32, 29,
    0, 0, 0, 0, 191, 239, 1, 0, 2, 37, 31, 40, 0, 3, 158, 26, 0, 0, 4, 82, 0, 0, 0, 4, 0, 3, 158,
    26, 0, 0, 4, 82, 0, 0, 0, 24, 0, 9, 208, 239, 1, 0, 14, 154, 27, 0, 0, 15, 22, 229, 1, 0, 15,
    36, 191, 0, 0, 0, 9, 229, 239, 1, 0, 37, 234, 239, 1, 0, 35, 0, 0, 0, 0, 40, 2, 163, 31, 29, 0,
    0, 0, 0, 53, 240, 1, 0, 2, 164, 31, 0, 29, 0, 0, 0, 0, 84, 240, 1, 0, 2, 165, 31, 8, 29, 0, 0,
    0, 0, 165, 240, 1, 0, 2, 166, 31, 16, 29, 0, 0, 0, 0, 191, 240, 1, 0, 2, 167, 31, 24, 29, 0, 0,
    0, 0, 227, 240, 1, 0, 2, 168, 31, 32, 0, 9, 58, 240, 1, 0, 14, 168, 0, 0, 0, 15, 71, 233, 1, 0,
    15, 109, 22, 0, 0, 15, 109, 22, 0, 0, 15, 177, 66, 0, 0, 0, 9, 89, 240, 1, 0, 14, 168, 0, 0, 0,
    15, 71, 233, 1, 0, 15, 109, 22, 0, 0, 15, 115, 240, 1, 0, 15, 177, 66, 0, 0, 0, 18, 38, 1, 0,
    0, 0, 0, 0, 0, 4, 2, 154, 31, 19, 0, 0, 0, 0, 1, 19, 0, 0, 0, 0, 2, 19, 0, 0, 0, 0, 3, 19, 0,
    0, 0, 0, 4, 19, 0, 0, 0, 0, 5, 19, 0, 0, 0, 0, 6, 0, 9, 170, 240, 1, 0, 14, 168, 0, 0, 0, 15,
    71, 233, 1, 0, 15, 109, 22, 0, 0, 15, 115, 240, 1, 0, 0, 9, 196, 240, 1, 0, 14, 168, 0, 0, 0,
    15, 71, 233, 1, 0, 15, 109, 22, 0, 0, 15, 109, 22, 0, 0, 15, 115, 240, 1, 0, 15, 181, 51, 0, 0,
    0, 9, 232, 240, 1, 0, 14, 168, 0, 0, 0, 15, 71, 233, 1, 0, 15, 109, 22, 0, 0, 0, 9, 253, 240,
    1, 0, 28, 0, 0, 0, 0, 16, 8, 2, 126, 22, 29, 0, 0, 0, 0, 219, 244, 1, 0, 2, 127, 22, 0, 29, 0,
    0, 0, 0, 166, 3, 2, 0, 2, 128, 22, 8, 29, 0, 0, 0, 0, 202, 8, 2, 0, 2, 129, 22, 16, 29, 0, 0,
    0, 0, 0, 9, 2, 0, 2, 130, 22, 24, 29, 0, 0, 0, 0, 82, 10, 2, 0, 2, 131, 22, 32, 29, 0, 0, 0, 0,
    139, 247, 1, 0, 2, 132, 22, 40, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 133, 22, 48, 29, 0, 0, 0, 0,
    75, 13, 2, 0, 2, 134, 22, 56, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 135, 22, 64, 29, 0, 0, 0, 0, 77,
    234, 1, 0, 2, 136, 22, 72, 29, 0, 0, 0, 0, 26, 1, 0, 0, 2, 137, 22, 80, 29, 0, 0, 0, 0, 90, 22,
    0, 0, 2, 138, 22, 88, 29, 0, 0, 0, 0, 242, 23, 0, 0, 2, 139, 22, 96, 29, 0, 0, 0, 0, 168, 0, 0,
    0, 2, 140, 22, 100, 29, 0, 0, 0, 0, 252, 147, 0, 0, 2, 141, 22, 104, 29, 0, 0, 0, 0, 33, 67, 0,
    0, 2, 142, 22, 108, 29, 0, 0, 0, 0, 223, 85, 0, 0, 2, 143, 22, 112, 29, 0, 0, 0, 0, 148, 86, 0,
    0, 2, 144, 22, 176, 29, 0, 0, 0, 0, 80, 13, 2, 0, 2, 145, 22, 184, 29, 0, 0, 0, 0, 92, 168, 0,
    0, 2, 146, 22, 200, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 147, 22, 208, 29, 0, 0, 0, 0, 38, 1, 0, 0,
    2, 148, 22, 212, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 149, 22, 216, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2,
    150, 22, 224, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 151, 22, 228, 29, 0, 0, 0, 0, 157, 2, 2, 0, 2,
    152, 22, 232, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 153, 22, 240, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2,
    154, 22, 244, 29, 0, 0, 0, 0, 151, 14, 2, 0, 2, 155, 22, 248, 31, 0, 0, 0, 0, 145, 15, 2, 0, 2,
    156, 22, 0, 1, 31, 0, 0, 0, 0, 134, 156, 0, 0, 2, 157, 22, 128, 3, 31, 0, 0, 0, 0, 117, 158, 0,
    0, 2, 158, 22, 168, 3, 31, 0, 0, 0, 0, 195, 21, 0, 0, 2, 159, 22, 200, 3, 31, 0, 0, 0, 0, 109,
    154, 0, 0, 2, 160, 22, 216, 3, 31, 0, 0, 0, 0, 157, 15, 2, 0, 2, 161, 22, 224, 3, 31, 0, 0, 0,
    0, 195, 21, 0, 0, 2, 162, 22, 232, 3, 31, 0, 0, 0, 0, 7, 18, 2, 0, 2, 163, 22, 248, 3, 31, 0,
    0, 0, 0, 38, 1, 0, 0, 2, 164, 22, 104, 4, 31, 0, 0, 0, 0, 38, 1, 0, 0, 2, 165, 22, 108, 4, 31,
    0, 0, 0, 0, 216, 107, 0, 0, 2, 166, 22, 112, 4, 31, 0, 0, 0, 0, 216, 107, 0, 0, 2, 167, 22,
    120, 4, 31, 0, 0, 0, 0, 38, 1, 0, 0, 2, 168, 22, 128, 4, 31, 0, 0, 0, 0, 38, 1, 0, 0, 2, 169,
    22, 132, 4, 31, 0, 0, 0, 0, 38, 1, 0, 0, 2, 170, 22, 136, 4, 31, 0, 0, 0, 0, 38, 1, 0, 0, 2,
    171, 22, 140, 4, 31, 0, 0, 0, 0, 168, 0, 0, 0, 2, 172, 22, 144, 4, 31, 0, 0, 0, 0, 128, 104, 0,
    0, 2, 173, 22, 152, 4, 31, 0, 0, 0, 0, 144, 19, 2, 0, 2, 174, 22, 184, 4, 31, 0, 0, 0, 0, 145,
    250, 1, 0, 2, 175, 22, 192, 4, 31, 0, 0, 0, 0, 195, 21, 0, 0, 2, 176, 22, 200, 4, 31, 0, 0, 0,
    0, 33, 67, 0, 0, 2, 177, 22, 216, 4, 31, 0, 0, 0, 0, 108, 160, 0, 0, 2, 178, 22, 224, 4, 31, 0,
    0, 0, 0, 128, 104, 0, 0, 2, 179, 22, 56, 5, 31, 0, 0, 0, 0, 128, 104, 0, 0, 2, 180, 22, 88, 5,
    31, 0, 0, 0, 0, 195, 21, 0, 0, 2, 181, 22, 120, 5, 31, 0, 0, 0, 0, 33, 67, 0, 0, 2, 182, 22,
    136, 5, 31, 0, 0, 0, 0, 168, 0, 0, 0, 2, 183, 22, 140, 5, 31, 0, 0, 0, 0, 201, 22, 2, 0, 2,
    184, 22, 144, 5, 31, 0, 0, 0, 0, 74, 25, 2, 0, 2, 185, 22, 176, 5, 31, 0, 0, 0, 0, 28, 22, 0,
    0, 2, 186, 22, 184, 5, 31, 0, 0, 0, 0, 190, 104, 0, 0, 2, 187, 22, 200, 5, 31, 0, 0, 0, 0, 128,
    104, 0, 0, 2, 188, 22, 224, 5, 31, 0, 0, 0, 0, 46, 40, 1, 0, 2, 189, 22, 0, 6, 31, 0, 0, 0, 0,
    13, 12, 2, 0, 2, 190, 22, 56, 6, 31, 0, 0, 0, 0, 195, 21, 0, 0, 2, 191, 22, 64, 6, 31, 0, 0, 0,
    0, 22, 27, 2, 0, 2, 192, 22, 80, 6, 31, 0, 0, 0, 0, 185, 64, 0, 0, 2, 193, 22, 192, 7, 31, 0,
    0, 0, 0, 185, 64, 0, 0, 2, 194, 22, 200, 7, 31, 0, 0, 0, 0, 185, 64, 0, 0, 2, 195, 22, 208, 7,
    31, 0, 0, 0, 0, 181, 51, 0, 0, 2, 196, 22, 216, 7, 31, 0, 0, 0, 0, 36, 54, 0, 0, 2, 197, 22,
    224, 7, 31, 0, 0, 0, 0, 96, 160, 0, 0, 2, 198, 22, 232, 7, 0, 9, 224, 244, 1, 0, 28, 0, 0, 0,
    0, 40, 1, 2, 224, 30, 29, 0, 0, 0, 0, 248, 240, 1, 0, 2, 225, 30, 0, 29, 0, 0, 0, 0, 139, 247,
    1, 0, 2, 226, 30, 8, 29, 0, 0, 0, 0, 93, 248, 1, 0, 2, 227, 30, 16, 29, 0, 0, 0, 0, 38, 1, 0,
    0, 2, 228, 30, 24, 29, 0, 0, 0, 0, 36, 0, 2, 0, 2, 229, 30, 28, 29, 0, 0, 0, 0, 168, 0, 0, 0,
    2, 230, 30, 32, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 231, 30, 36, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2,
    232, 30, 40, 29, 0, 0, 0, 0, 83, 231, 1, 0, 2, 233, 30, 48, 29, 0, 0, 0, 0, 205, 227, 1, 0, 2,
    234, 30, 56, 29, 0, 0, 0, 0, 205, 227, 1, 0, 2, 235, 30, 64, 29, 0, 0, 0, 0, 195, 21, 0, 0, 2,
    236, 30, 72, 44, 143, 245, 1, 0, 2, 237, 30, 88, 34, 16, 2, 237, 30, 29, 0, 0, 0, 0, 152, 21,
    0, 0, 2, 238, 30, 0, 29, 0, 0, 0, 0, 195, 21, 0, 0, 2, 239, 30, 0, 0, 44, 184, 245, 1, 0, 2,
    241, 30, 104, 34, 24, 2, 241, 30, 29, 0, 0, 0, 0, 229, 39, 0, 0, 2, 242, 30, 0, 29, 0, 0, 0, 0,
    171, 54, 0, 0, 2, 243, 30, 0, 29, 0, 0, 0, 0, 26, 1, 0, 0, 2, 244, 30, 0, 29, 0, 0, 0, 0, 168,
    0, 0, 0, 2, 245, 30, 0, 0, 44, 251, 245, 1, 0, 2, 247, 30, 128, 34, 32, 2, 247, 30, 29, 0, 0,
    0, 0, 13, 246, 1, 0, 2, 251, 30, 0, 30, 24, 2, 248, 30, 29, 0, 0, 0, 0, 48, 0, 2, 0, 2, 249,
    30, 0, 29, 0, 0, 0, 0, 86, 1, 2, 0, 2, 250, 30, 8, 0, 29, 0, 0, 0, 0, 58, 246, 1, 0, 2, 0, 31,
    0, 30, 32, 2, 252, 30, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 253, 30, 0, 29, 0, 0, 0, 0, 195, 21, 0,
    0, 2, 254, 30, 8, 29, 0, 0, 0, 0, 98, 1, 2, 0, 2, 255, 30, 24, 0, 0, 29, 0, 0, 0, 0, 22, 229,
    1, 0, 2, 2, 31, 160, 29, 0, 0, 0, 0, 149, 230, 1, 0, 2, 3, 31, 168, 29, 0, 0, 0, 0, 109, 22, 0,
    0, 2, 4, 31, 176, 29, 0, 0, 0, 0, 109, 22, 0, 0, 2, 5, 31, 184, 29, 0, 0, 0, 0, 109, 22, 0, 0,
    2, 6, 31, 192, 29, 0, 0, 0, 0, 236, 24, 0, 0, 2, 7, 31, 200, 29, 0, 0, 0, 0, 236, 24, 0, 0, 2,
    8, 31, 202, 29, 0, 0, 0, 0, 236, 24, 0, 0, 2, 9, 31, 204, 29, 0, 0, 0, 0, 236, 24, 0, 0, 2, 10,
    31, 206, 29, 0, 0, 0, 0, 127, 1, 2, 0, 2, 11, 31, 208, 29, 0, 0, 0, 0, 77, 2, 2, 0, 2, 12, 31,
    216, 29, 0, 0, 0, 0, 236, 24, 0, 0, 2, 13, 31, 224, 29, 0, 0, 0, 0, 236, 24, 0, 0, 2, 14, 31,
    226, 29, 0, 0, 0, 0, 134, 3, 2, 0, 2, 15, 31, 228, 29, 0, 0, 0, 0, 254, 62, 0, 0, 2, 16, 31,
    232, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 17, 31, 236, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 18, 31, 240,
    44, 78, 247, 1, 0, 2, 19, 31, 248, 34, 32, 2, 19, 31, 29, 0, 0, 0, 0, 53, 136, 0, 0, 2, 20, 31,
    0, 29, 0, 0, 0, 0, 109, 22, 0, 0, 2, 21, 31, 0, 0, 31, 0, 0, 0, 0, 98, 1, 2, 0, 2, 23, 31, 24,
    1, 31, 0, 0, 0, 0, 26, 1, 0, 0, 2, 24, 31, 32, 1, 0, 9, 144, 247, 1, 0, 28, 0, 0, 0, 0, 0, 1,
    2, 117, 139, 44, 163, 247, 1, 0, 2, 118, 139, 0, 30, 64, 2, 118, 139, 29, 0, 0, 0, 0, 33, 67,
    0, 0, 2, 119, 139, 0, 29, 0, 0, 0, 0, 57, 248, 1, 0, 2, 120, 139, 8, 0, 29, 0, 0, 0, 0, 38, 1,
    0, 0, 2, 123, 139, 64, 29, 0, 0, 0, 0, 69, 248, 1, 0, 2, 124, 139, 68, 29, 0, 0, 0, 0, 81, 248,
    1, 0, 2, 125, 139, 80, 29, 0, 0, 0, 0, 11, 103, 0, 0, 2, 126, 139, 104, 29, 0, 0, 0, 0, 90, 22,
    0, 0, 2, 127, 139, 120, 29, 0, 0, 0, 0, 11, 103, 0, 0, 2, 128, 139, 128, 29, 0, 0, 0, 0, 248,
    240, 1, 0, 2, 129, 139, 144, 29, 0, 0, 0, 0, 251, 255, 1, 0, 2, 130, 139, 152, 29, 0, 0, 0, 0,
    223, 85, 0, 0, 2, 131, 139, 160, 0, 3, 195, 21, 0, 0, 4, 82, 0, 0, 0, 3, 0, 3, 236, 24, 0, 0,
    4, 82, 0, 0, 0, 3, 0, 3, 93, 248, 1, 0, 4, 82, 0, 0, 0, 3, 0, 9, 98, 248, 1, 0, 28, 0, 0, 0, 0,
    128, 2, 2, 149, 139, 44, 117, 248, 1, 0, 2, 150, 139, 0, 30, 64, 2, 150, 139, 29, 0, 0, 0, 0,
    33, 67, 0, 0, 2, 151, 139, 0, 29, 0, 0, 0, 0, 195, 21, 0, 0, 2, 152, 139, 8, 29, 0, 0, 0, 0,
    90, 22, 0, 0, 2, 153, 139, 24, 0, 29, 0, 0, 0, 0, 108, 160, 0, 0, 2, 159, 139, 64, 29, 0, 0, 0,
    0, 136, 165, 0, 0, 2, 160, 139, 152, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 161, 139, 192, 29, 0, 0,
    0, 0, 168, 0, 0, 0, 2, 162, 139, 196, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 163, 139, 200, 29, 0, 0,
    0, 0, 26, 1, 0, 0, 2, 164, 139, 208, 29, 0, 0, 0, 0, 248, 240, 1, 0, 2, 165, 139, 216, 29, 0,
    0, 0, 0, 145, 250, 1, 0, 2, 166, 139, 224, 29, 0, 0, 0, 0, 26, 1, 0, 0, 2, 167, 139, 232, 29,
    0, 0, 0, 0, 39, 251, 1, 0, 2, 168, 139, 240, 31, 0, 0, 0, 0, 139, 247, 1, 0, 2, 169, 139, 8, 1,
    31, 0, 0, 0, 0, 38, 1, 0, 0, 2, 170, 139, 16, 1, 31, 0, 0, 0, 0, 236, 24, 0, 0, 2, 171, 139,
    20, 1, 31, 0, 0, 0, 0, 236, 24, 0, 0, 2, 172, 139, 22, 1, 31, 0, 0, 0, 0, 168, 251, 1, 0, 2,
    173, 139, 24, 1, 31, 0, 0, 0, 0, 33, 67, 0, 0, 2, 174, 139, 32, 1, 31, 0, 0, 0, 0, 173, 251, 1,
    0, 2, 175, 139, 40, 1, 31, 0, 0, 0, 0, 242, 23, 0, 0, 2, 176, 139, 80, 1, 31, 0, 0, 0, 0, 39,
    252, 1, 0, 2, 177, 139, 88, 1, 31, 0, 0, 0, 0, 39, 252, 1, 0, 2, 178, 139, 96, 1, 31, 0, 0, 0,
    0, 90, 22, 0, 0, 2, 179, 139, 104, 1, 31, 0, 0, 0, 0, 90, 22, 0, 0, 2, 180, 139, 112, 1, 31, 0,
    0, 0, 0, 62, 253, 1, 0, 2, 181, 139, 120, 1, 31, 0, 0, 0, 0, 38, 1, 0, 0, 2, 182, 139, 176, 1,
    31, 0, 0, 0, 0, 38, 1, 0, 0, 2, 183, 139, 180, 1, 31, 0, 0, 0, 0, 242, 23, 0, 0, 2, 184, 139,
    184, 1, 31, 0, 0, 0, 0, 152, 21, 0, 0, 2, 185, 139, 192, 1, 31, 0, 0, 0, 0, 152, 21, 0, 0, 2,
    186, 139, 208, 1, 31, 0, 0, 0, 0, 223, 85, 0, 0, 2, 187, 139, 224, 1, 31, 0, 0, 0, 0, 90, 22,
    0, 0, 2, 188, 139, 32, 2, 31, 0, 0, 0, 0, 90, 22, 0, 0, 2, 189, 139, 40, 2, 31, 0, 0, 0, 0, 90,
    22, 0, 0, 2, 190, 139, 48, 2, 31, 0, 0, 0, 0, 185, 64, 0, 0, 2, 191, 139, 56, 2, 31, 0, 0, 0,
    0, 185, 64, 0, 0, 2, 192, 139, 64, 2, 31, 0, 0, 0, 0, 195, 21, 0, 0, 2, 193, 139, 72, 2, 31, 0,
    0, 0, 0, 74, 253, 1, 0, 2, 194, 139, 88, 2, 0, 9, 150, 250, 1, 0, 35, 0, 0, 0, 0, 80, 2, 240,
    139, 45, 0, 0, 0, 0, 38, 1, 0, 0, 2, 241, 139, 4, 1, 31, 0, 45, 0, 0, 0, 0, 38, 1, 0, 0, 2,
    242, 139, 4, 1, 30, 0, 29, 0, 0, 0, 0, 27, 251, 1, 0, 2, 243, 139, 1, 29, 0, 0, 0, 0, 90, 22,
    0, 0, 2, 244, 139, 8, 29, 0, 0, 0, 0, 226, 189, 1, 0, 2, 245, 139, 16, 29, 0, 0, 0, 0, 195, 21,
    0, 0, 2, 246, 139, 48, 29, 0, 0, 0, 0, 219, 244, 1, 0, 2, 247, 139, 64, 29, 0, 0, 0, 0, 23,
    115, 0, 0, 2, 248, 139, 72, 29, 0, 0, 0, 0, 33, 67, 0, 0, 2, 249, 139, 72, 0, 39, 218, 67, 0,
    0, 0, 0, 0, 0, 2, 40, 24, 35, 0, 0, 0, 0, 24, 2, 140, 139, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 141,
    139, 0, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 142, 139, 4, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 143, 139,
    8, 29, 0, 0, 0, 0, 101, 251, 1, 0, 2, 144, 139, 16, 0, 9, 106, 251, 1, 0, 35, 0, 0, 0, 0, 192,
    2, 117, 140, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 118, 140, 0, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2,
    126, 140, 64, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 134, 140, 128, 29, 0, 0, 0, 0, 33, 67, 0, 0, 2,
    135, 140, 136, 0, 9, 139, 247, 1, 0, 39, 185, 251, 1, 0, 0, 0, 0, 0, 2, 2, 17, 35, 0, 0, 0, 0,
    40, 2, 251, 16, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 252, 16, 0, 29, 0, 0, 0, 0, 26, 1, 0, 0, 2,
    253, 16, 8, 29, 0, 0, 0, 0, 247, 251, 1, 0, 2, 254, 16, 16, 29, 0, 0, 0, 0, 195, 21, 0, 0, 2,
    255, 16, 24, 0, 39, 3, 252, 1, 0, 0, 0, 0, 0, 2, 249, 16, 9, 8, 252, 1, 0, 14, 168, 0, 0, 0,
    15, 34, 252, 1, 0, 15, 38, 1, 0, 0, 15, 168, 0, 0, 0, 15, 26, 1, 0, 0, 0, 9, 185, 251, 1, 0, 9,
    44, 252, 1, 0, 35, 0, 0, 0, 0, 176, 2, 165, 140, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 166, 140, 0,
    29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 167, 140, 4, 29, 0, 0, 0, 0, 242, 23, 0, 0, 2, 168, 140, 8, 29,
    0, 0, 0, 0, 158, 252, 1, 0, 2, 169, 140, 16, 29, 0, 0, 0, 0, 158, 252, 1, 0, 2, 170, 140, 80,
    29, 0, 0, 0, 0, 57, 253, 1, 0, 2, 171, 140, 144, 29, 0, 0, 0, 0, 57, 253, 1, 0, 2, 172, 140,
    152, 29, 0, 0, 0, 0, 195, 21, 0, 0, 2, 173, 140, 160, 0, 35, 0, 0, 0, 0, 64, 2, 154, 140, 29,
    0, 0, 0, 0, 39, 251, 1, 0, 2, 155, 140, 0, 29, 0, 0, 0, 0, 57, 208, 0, 0, 2, 156, 140, 24, 29,
    0, 0, 0, 0, 38, 1, 0, 0, 2, 157, 140, 32, 29, 0, 0, 0, 0, 242, 23, 0, 0, 2, 158, 140, 36, 29,
    0, 0, 0, 0, 16, 253, 1, 0, 2, 159, 140, 40, 29, 0, 0, 0, 0, 242, 23, 0, 0, 2, 160, 140, 48, 29,
    0, 0, 0, 0, 181, 51, 0, 0, 2, 161, 140, 52, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 162, 140, 56, 0, 9,
    21, 253, 1, 0, 35, 0, 0, 0, 0, 64, 2, 145, 140, 29, 0, 0, 0, 0, 242, 23, 0, 0, 2, 146, 140, 0,
    29, 0, 0, 0, 0, 190, 104, 0, 0, 2, 147, 140, 8, 0, 9, 219, 244, 1, 0, 3, 90, 22, 0, 0, 4, 82,
    0, 0, 0, 7, 0, 3, 86, 253, 1, 0, 4, 82, 0, 0, 0, 0, 0, 28, 0, 0, 0, 0, 24, 9, 2, 80, 17, 29, 0,
    0, 0, 0, 64, 254, 1, 0, 2, 81, 17, 0, 31, 0, 0, 0, 0, 182, 254, 1, 0, 2, 82, 17, 224, 7, 31, 0,
    0, 0, 0, 128, 104, 0, 0, 2, 83, 17, 248, 7, 31, 0, 0, 0, 0, 33, 67, 0, 0, 2, 84, 17, 24, 8, 31,
    0, 0, 0, 0, 128, 104, 0, 0, 2, 85, 17, 32, 8, 31, 0, 0, 0, 0, 38, 1, 0, 0, 2, 86, 17, 64, 8,
    31, 0, 0, 0, 0, 90, 22, 0, 0, 2, 87, 17, 72, 8, 31, 0, 0, 0, 0, 90, 22, 0, 0, 2, 88, 17, 80, 8,
    31, 0, 0, 0, 0, 90, 22, 0, 0, 2, 89, 17, 88, 8, 31, 0, 0, 0, 0, 90, 22, 0, 0, 2, 90, 17, 96, 8,
    31, 0, 0, 0, 0, 194, 254, 1, 0, 2, 91, 17, 104, 8, 31, 0, 0, 0, 0, 90, 22, 0, 0, 2, 92, 17,
    112, 8, 31, 0, 0, 0, 0, 128, 104, 0, 0, 2, 93, 17, 120, 8, 31, 0, 0, 0, 0, 4, 162, 0, 0, 2, 94,
    17, 152, 8, 31, 0, 0, 0, 0, 242, 23, 0, 0, 2, 95, 17, 184, 8, 31, 0, 0, 0, 0, 108, 160, 0, 0,
    2, 96, 17, 192, 8, 0, 3, 76, 254, 1, 0, 4, 82, 0, 0, 0, 21, 0, 35, 0, 0, 0, 0, 96, 2, 70, 17,
    29, 0, 0, 0, 0, 33, 67, 0, 0, 2, 71, 17, 0, 29, 0, 0, 0, 0, 229, 128, 1, 0, 2, 72, 17, 8, 29,
    0, 0, 0, 0, 229, 128, 1, 0, 2, 73, 17, 40, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 74, 17, 72, 29, 0,
    0, 0, 0, 177, 254, 1, 0, 2, 75, 17, 80, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 76, 17, 88, 29, 0, 0,
    0, 0, 168, 0, 0, 0, 2, 77, 17, 92, 0, 9, 76, 254, 1, 0, 3, 177, 254, 1, 0, 4, 82, 0, 0, 0, 3,
    0, 9, 199, 254, 1, 0, 28, 0, 0, 0, 0, 64, 1, 2, 47, 17, 29, 0, 0, 0, 0, 11, 103, 0, 0, 2, 48,
    17, 0, 29, 0, 0, 0, 0, 11, 103, 0, 0, 2, 49, 17, 16, 29, 0, 0, 0, 0, 33, 67, 0, 0, 2, 54, 17,
    64, 29, 0, 0, 0, 0, 141, 255, 1, 0, 2, 55, 17, 72, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 56, 17,
    160, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 57, 17, 168, 29, 0, 0, 0, 0, 181, 51, 0, 0, 2, 58, 17,
    176, 29, 0, 0, 0, 0, 134, 156, 0, 0, 2, 59, 17, 184, 29, 0, 0, 0, 0, 117, 158, 0, 0, 2, 60, 17,
    224, 31, 0, 0, 0, 0, 28, 22, 0, 0, 2, 61, 17, 0, 1, 31, 0, 0, 0, 0, 177, 254, 1, 0, 2, 62, 17,
    16, 1, 31, 0, 0, 0, 0, 90, 22, 0, 0, 2, 63, 17, 24, 1, 31, 0, 0, 0, 0, 168, 0, 0, 0, 2, 64, 17,
    32, 1, 31, 0, 0, 0, 0, 246, 255, 1, 0, 2, 65, 17, 40, 1, 0, 35, 0, 0, 0, 0, 88, 2, 34, 17, 29,
    0, 0, 0, 0, 61, 22, 0, 0, 2, 35, 17, 0, 29, 0, 0, 0, 0, 229, 255, 1, 0, 2, 36, 17, 8, 29, 0, 0,
    0, 0, 229, 128, 1, 0, 2, 37, 17, 40, 29, 0, 0, 0, 0, 19, 1, 0, 0, 2, 38, 17, 72, 29, 0, 0, 0,
    0, 218, 67, 0, 0, 2, 39, 17, 80, 29, 0, 0, 0, 0, 218, 67, 0, 0, 2, 40, 17, 81, 0, 3, 241, 255,
    1, 0, 4, 82, 0, 0, 0, 4, 0, 9, 61, 22, 0, 0, 9, 86, 253, 1, 0, 9, 0, 0, 2, 0, 35, 0, 0, 0, 0,
    72, 2, 202, 140, 29, 0, 0, 0, 0, 223, 85, 0, 0, 2, 203, 140, 0, 29, 0, 0, 0, 0, 139, 247, 1, 0,
    2, 204, 140, 64, 0, 39, 27, 1, 0, 0, 0, 0, 0, 0, 2, 212, 30, 9, 53, 0, 2, 0, 35, 0, 0, 0, 0,
    56, 2, 126, 12, 29, 0, 0, 0, 0, 248, 240, 1, 0, 2, 127, 12, 0, 29, 0, 0, 0, 0, 184, 0, 2, 0, 2,
    128, 12, 8, 44, 97, 0, 2, 0, 2, 129, 12, 16, 34, 16, 2, 129, 12, 29, 0, 0, 0, 0, 195, 21, 0, 0,
    2, 130, 12, 0, 29, 0, 0, 0, 0, 251, 68, 1, 0, 2, 131, 12, 0, 0, 44, 138, 0, 2, 0, 2, 133, 12,
    32, 34, 16, 2, 133, 12, 29, 0, 0, 0, 0, 152, 21, 0, 0, 2, 134, 12, 0, 29, 0, 0, 0, 0, 28, 22,
    0, 0, 2, 135, 12, 0, 0, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 137, 12, 48, 0, 9, 189, 0, 2, 0, 35, 0,
    0, 0, 0, 104, 2, 180, 10, 29, 0, 0, 0, 0, 173, 23, 0, 0, 2, 181, 10, 0, 29, 0, 0, 0, 0, 242,
    23, 0, 0, 2, 182, 10, 8, 29, 0, 0, 0, 0, 242, 23, 0, 0, 2, 183, 10, 12, 29, 0, 0, 0, 0, 33, 67,
    0, 0, 2, 184, 10, 16, 29, 0, 0, 0, 0, 236, 24, 0, 0, 2, 185, 10, 20, 29, 0, 0, 0, 0, 168, 0, 0,
    0, 2, 186, 10, 24, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 187, 10, 32, 29, 0, 0, 0, 0, 203, 147, 0,
    0, 2, 188, 10, 40, 29, 0, 0, 0, 0, 48, 0, 2, 0, 2, 189, 10, 56, 29, 0, 0, 0, 0, 90, 101, 0, 0,
    2, 190, 10, 64, 29, 0, 0, 0, 0, 117, 158, 0, 0, 2, 191, 10, 72, 0, 3, 26, 1, 0, 0, 4, 82, 0, 0,
    0, 2, 0, 9, 103, 1, 2, 0, 39, 115, 1, 2, 0, 0, 0, 0, 0, 2, 214, 30, 38, 15, 219, 244, 1, 0, 15,
    27, 251, 1, 0, 0, 9, 132, 1, 2, 0, 35, 0, 0, 0, 0, 40, 2, 99, 139, 29, 0, 0, 0, 0, 168, 1, 2,
    0, 2, 100, 139, 0, 29, 0, 0, 0, 0, 187, 231, 1, 0, 2, 101, 139, 8, 0, 9, 173, 1, 2, 0, 37, 178,
    1, 2, 0, 35, 0, 0, 0, 0, 84, 2, 195, 140, 29, 0, 0, 0, 0, 240, 1, 2, 0, 2, 196, 140, 0, 29, 0,
    0, 0, 0, 38, 1, 0, 0, 2, 197, 140, 12, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 198, 140, 16, 29, 0, 0,
    0, 0, 39, 232, 1, 0, 2, 199, 140, 20, 0, 35, 0, 0, 0, 0, 12, 2, 189, 140, 29, 0, 0, 0, 0, 33,
    2, 2, 0, 2, 190, 140, 0, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 191, 140, 4, 29, 0, 0, 0, 0, 38, 1, 0,
    0, 2, 192, 140, 8, 0, 18, 38, 1, 0, 0, 0, 0, 0, 0, 4, 2, 181, 140, 19, 0, 0, 0, 0, 0, 19, 0, 0,
    0, 0, 1, 19, 0, 0, 0, 0, 2, 19, 0, 0, 0, 0, 3, 19, 0, 0, 0, 0, 4, 0, 9, 82, 2, 2, 0, 35, 0, 0,
    0, 0, 56, 2, 21, 240, 29, 0, 0, 0, 0, 242, 23, 0, 0, 2, 22, 240, 0, 29, 0, 0, 0, 0, 195, 21, 0,
    0, 2, 23, 240, 8, 29, 0, 0, 0, 0, 152, 21, 0, 0, 2, 24, 240, 24, 29, 0, 0, 0, 0, 168, 1, 2, 0,
    2, 25, 240, 40, 29, 0, 0, 0, 0, 157, 2, 2, 0, 2, 26, 240, 48, 0, 9, 162, 2, 2, 0, 35, 0, 0, 0,
    0, 168, 2, 34, 240, 29, 0, 0, 0, 0, 72, 3, 2, 0, 2, 35, 240, 0, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2,
    36, 240, 16, 29, 0, 0, 0, 0, 60, 160, 0, 0, 2, 37, 240, 20, 29, 0, 0, 0, 0, 92, 168, 0, 0, 2,
    38, 240, 40, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 39, 240, 48, 29, 0, 0, 0, 0, 57, 95, 0, 0, 2, 40,
    240, 56, 29, 0, 0, 0, 0, 190, 104, 0, 0, 2, 41, 240, 96, 29, 0, 0, 0, 0, 195, 21, 0, 0, 2, 42,
    240, 120, 29, 0, 0, 0, 0, 33, 67, 0, 0, 2, 43, 240, 136, 29, 0, 0, 0, 0, 85, 91, 1, 0, 2, 44,
    240, 144, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 45, 240, 152, 29, 0, 0, 0, 0, 77, 2, 2, 0, 2, 46,
    240, 160, 0, 35, 0, 0, 0, 0, 16, 2, 29, 240, 29, 0, 0, 0, 0, 108, 3, 2, 0, 2, 30, 240, 0, 29,
    0, 0, 0, 0, 108, 3, 2, 0, 2, 31, 240, 8, 0, 9, 113, 3, 2, 0, 14, 168, 0, 0, 0, 15, 157, 2, 2,
    0, 15, 168, 1, 2, 0, 15, 38, 1, 0, 0, 0, 18, 38, 1, 0, 0, 0, 0, 0, 0, 4, 2, 216, 30, 19, 0, 0,
    0, 0, 0, 19, 0, 0, 0, 0, 1, 19, 0, 0, 0, 0, 2, 0, 9, 171, 3, 2, 0, 28, 0, 0, 0, 0, 120, 2, 2,
    96, 31, 29, 0, 0, 0, 0, 7, 4, 2, 0, 2, 97, 31, 0, 29, 0, 0, 0, 0, 26, 1, 0, 0, 2, 98, 31, 8,
    29, 0, 0, 0, 0, 223, 85, 0, 0, 2, 99, 31, 16, 29, 0, 0, 0, 0, 128, 104, 0, 0, 2, 100, 31, 80,
    45, 0, 0, 0, 0, 38, 1, 0, 0, 2, 101, 31, 4, 1, 31, 112, 29, 0, 0, 0, 0, 42, 165, 0, 0, 2, 102,
    31, 120, 0, 9, 12, 4, 2, 0, 28, 0, 0, 0, 0, 40, 1, 2, 80, 31, 29, 0, 0, 0, 0, 251, 68, 1, 0, 2,
    81, 31, 0, 29, 0, 0, 0, 0, 194, 4, 2, 0, 2, 82, 31, 8, 29, 0, 0, 0, 0, 36, 54, 0, 0, 2, 83, 31,
    184, 29, 0, 0, 0, 0, 36, 54, 0, 0, 2, 84, 31, 192, 29, 0, 0, 0, 0, 203, 7, 2, 0, 2, 85, 31,
    200, 29, 0, 0, 0, 0, 233, 21, 0, 0, 2, 86, 31, 208, 29, 0, 0, 0, 0, 233, 21, 0, 0, 2, 87, 31,
    216, 29, 0, 0, 0, 0, 48, 8, 2, 0, 2, 88, 31, 224, 29, 0, 0, 0, 0, 120, 81, 0, 0, 2, 89, 31,
    232, 29, 0, 0, 0, 0, 53, 8, 2, 0, 2, 90, 31, 240, 29, 0, 0, 0, 0, 53, 8, 2, 0, 2, 91, 31, 248,
    31, 0, 0, 0, 0, 190, 8, 2, 0, 2, 92, 31, 0, 1, 31, 0, 0, 0, 0, 195, 21, 0, 0, 2, 93, 31, 24, 1,
    0, 35, 0, 0, 0, 0, 176, 2, 51, 31, 29, 0, 0, 0, 0, 234, 5, 2, 0, 2, 52, 31, 0, 29, 0, 0, 0, 0,
    255, 5, 2, 0, 2, 53, 31, 8, 29, 0, 0, 0, 0, 11, 6, 2, 0, 2, 54, 31, 16, 29, 0, 0, 0, 0, 32, 6,
    2, 0, 2, 55, 31, 24, 29, 0, 0, 0, 0, 49, 6, 2, 0, 2, 56, 31, 32, 29, 0, 0, 0, 0, 61, 6, 2, 0,
    2, 57, 31, 40, 29, 0, 0, 0, 0, 87, 6, 2, 0, 2, 58, 31, 48, 29, 0, 0, 0, 0, 113, 6, 2, 0, 2, 59,
    31, 56, 29, 0, 0, 0, 0, 139, 6, 2, 0, 2, 60, 31, 64, 29, 0, 0, 0, 0, 199, 6, 2, 0, 2, 61, 31,
    72, 29, 0, 0, 0, 0, 221, 6, 2, 0, 2, 62, 31, 80, 29, 0, 0, 0, 0, 87, 7, 2, 0, 2, 63, 31, 88,
    29, 0, 0, 0, 0, 87, 7, 2, 0, 2, 64, 31, 96, 29, 0, 0, 0, 0, 99, 7, 2, 0, 2, 65, 31, 104, 29, 0,
    0, 0, 0, 121, 7, 2, 0, 2, 66, 31, 112, 29, 0, 0, 0, 0, 137, 7, 2, 0, 2, 67, 31, 120, 29, 0, 0,
    0, 0, 153, 7, 2, 0, 2, 68, 31, 128, 29, 0, 0, 0, 0, 87, 7, 2, 0, 2, 69, 31, 136, 29, 0, 0, 0,
    0, 170, 7, 2, 0, 2, 70, 31, 144, 29, 0, 0, 0, 0, 170, 7, 2, 0, 2, 71, 31, 152, 29, 0, 0, 0, 0,
    191, 7, 2, 0, 2, 72, 31, 160, 29, 0, 0, 0, 0, 191, 7, 2, 0, 2, 73, 31, 168, 0, 9, 239, 5, 2, 0,
    14, 168, 0, 0, 0, 15, 248, 240, 1, 0, 15, 7, 4, 2, 0, 0, 9, 4, 6, 2, 0, 38, 15, 166, 3, 2, 0,
    0, 9, 16, 6, 2, 0, 14, 168, 0, 0, 0, 15, 93, 248, 1, 0, 15, 38, 1, 0, 0, 0, 9, 37, 6, 2, 0, 38,
    15, 93, 248, 1, 0, 15, 38, 1, 0, 0, 0, 9, 54, 6, 2, 0, 38, 15, 93, 248, 1, 0, 0, 9, 66, 6, 2,
    0, 14, 181, 51, 0, 0, 15, 248, 240, 1, 0, 15, 219, 244, 1, 0, 15, 205, 227, 1, 0, 0, 9, 92, 6,
    2, 0, 14, 181, 51, 0, 0, 15, 93, 248, 1, 0, 15, 205, 227, 1, 0, 15, 38, 1, 0, 0, 0, 9, 118, 6,
    2, 0, 14, 168, 0, 0, 0, 15, 248, 240, 1, 0, 15, 57, 253, 1, 0, 15, 205, 227, 1, 0, 0, 9, 144,
    6, 2, 0, 38, 15, 248, 240, 1, 0, 15, 219, 244, 1, 0, 15, 161, 6, 2, 0, 0, 18, 38, 1, 0, 0, 0,
    0, 0, 0, 4, 2, 40, 31, 19, 0, 0, 0, 0, 0, 19, 0, 0, 0, 0, 1, 19, 0, 0, 0, 0, 2, 19, 0, 0, 0, 0,
    3, 0, 9, 204, 6, 2, 0, 38, 15, 248, 240, 1, 0, 15, 219, 244, 1, 0, 15, 219, 244, 1, 0, 0, 9,
    226, 6, 2, 0, 38, 15, 38, 1, 0, 0, 15, 238, 6, 2, 0, 0, 9, 243, 6, 2, 0, 35, 0, 0, 0, 0, 40, 2,
    202, 139, 29, 0, 0, 0, 0, 248, 240, 1, 0, 2, 203, 139, 0, 29, 0, 0, 0, 0, 75, 7, 2, 0, 2, 204,
    139, 8, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 205, 139, 12, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 206, 139,
    16, 29, 0, 0, 0, 0, 139, 247, 1, 0, 2, 207, 139, 24, 29, 0, 0, 0, 0, 93, 248, 1, 0, 2, 208,
    139, 32, 0, 39, 27, 1, 0, 0, 0, 0, 0, 0, 2, 104, 139, 9, 92, 7, 2, 0, 38, 15, 219, 244, 1, 0,
    0, 9, 104, 7, 2, 0, 38, 15, 93, 248, 1, 0, 15, 228, 21, 0, 0, 15, 181, 51, 0, 0, 0, 9, 126, 7,
    2, 0, 14, 219, 244, 1, 0, 15, 93, 248, 1, 0, 0, 9, 142, 7, 2, 0, 14, 181, 51, 0, 0, 15, 93,
    248, 1, 0, 0, 9, 158, 7, 2, 0, 38, 15, 219, 244, 1, 0, 15, 109, 22, 0, 0, 0, 9, 175, 7, 2, 0,
    14, 219, 244, 1, 0, 15, 248, 240, 1, 0, 15, 219, 244, 1, 0, 0, 9, 196, 7, 2, 0, 38, 15, 48, 0,
    2, 0, 0, 9, 208, 7, 2, 0, 35, 0, 0, 0, 0, 32, 2, 105, 31, 29, 0, 0, 0, 0, 199, 88, 0, 0, 2,
    106, 31, 0, 29, 0, 0, 0, 0, 1, 8, 2, 0, 2, 107, 31, 16, 29, 0, 0, 0, 0, 22, 8, 2, 0, 2, 108,
    31, 24, 0, 9, 6, 8, 2, 0, 14, 161, 88, 0, 0, 15, 166, 3, 2, 0, 15, 154, 27, 0, 0, 0, 9, 27, 8,
    2, 0, 14, 161, 88, 0, 0, 15, 166, 3, 2, 0, 15, 233, 21, 0, 0, 15, 36, 54, 0, 0, 0, 37, 38, 1,
    0, 0, 9, 58, 8, 2, 0, 37, 63, 8, 2, 0, 35, 0, 0, 0, 0, 40, 2, 111, 31, 29, 0, 0, 0, 0, 233, 21,
    0, 0, 2, 112, 31, 0, 29, 0, 0, 0, 0, 70, 62, 0, 0, 2, 113, 31, 8, 29, 0, 0, 0, 0, 138, 8, 2, 0,
    2, 114, 31, 16, 29, 0, 0, 0, 0, 159, 8, 2, 0, 2, 115, 31, 24, 29, 0, 0, 0, 0, 114, 112, 0, 0,
    2, 116, 31, 32, 0, 9, 143, 8, 2, 0, 14, 168, 0, 0, 0, 15, 26, 1, 0, 0, 15, 199, 111, 0, 0, 0,
    9, 164, 8, 2, 0, 14, 161, 88, 0, 0, 15, 26, 1, 0, 0, 15, 233, 21, 0, 0, 15, 36, 54, 0, 0, 15,
    207, 112, 0, 0, 0, 3, 75, 0, 0, 0, 4, 82, 0, 0, 0, 22, 0, 9, 207, 8, 2, 0, 35, 0, 0, 0, 0, 24,
    2, 91, 224, 29, 0, 0, 0, 0, 195, 21, 0, 0, 2, 92, 224, 0, 29, 0, 0, 0, 0, 33, 67, 0, 0, 2, 93,
    224, 16, 29, 0, 0, 0, 0, 181, 51, 0, 0, 2, 94, 224, 20, 0, 9, 5, 9, 2, 0, 35, 0, 0, 0, 0, 40,
    2, 203, 222, 29, 0, 0, 0, 0, 80, 9, 2, 0, 2, 204, 222, 0, 29, 0, 0, 0, 0, 248, 240, 1, 0, 2,
    205, 222, 8, 29, 0, 0, 0, 0, 50, 10, 2, 0, 2, 206, 222, 16, 29, 0, 0, 0, 0, 0, 9, 2, 0, 2, 207,
    222, 24, 29, 0, 0, 0, 0, 185, 64, 0, 0, 2, 208, 222, 32, 0, 9, 85, 9, 2, 0, 35, 0, 0, 0, 0, 88,
    2, 218, 222, 29, 0, 0, 0, 0, 238, 9, 2, 0, 2, 219, 222, 0, 29, 0, 0, 0, 0, 255, 9, 2, 0, 2,
    220, 222, 8, 29, 0, 0, 0, 0, 255, 9, 2, 0, 2, 221, 222, 16, 29, 0, 0, 0, 0, 21, 10, 2, 0, 2,
    222, 222, 24, 29, 0, 0, 0, 0, 21, 10, 2, 0, 2, 223, 222, 32, 29, 0, 0, 0, 0, 21, 10, 2, 0, 2,
    224, 222, 40, 29, 0, 0, 0, 0, 238, 9, 2, 0, 2, 225, 222, 48, 29, 0, 0, 0, 0, 238, 9, 2, 0, 2,
    226, 222, 56, 29, 0, 0, 0, 0, 38, 10, 2, 0, 2, 227, 222, 64, 29, 0, 0, 0, 0, 38, 10, 2, 0, 2,
    228, 222, 72, 29, 0, 0, 0, 0, 53, 8, 2, 0, 2, 229, 222, 80, 0, 9, 243, 9, 2, 0, 38, 15, 0, 9,
    2, 0, 15, 205, 227, 1, 0, 0, 9, 4, 10, 2, 0, 38, 15, 0, 9, 2, 0, 15, 219, 244, 1, 0, 15, 205,
    227, 1, 0, 0, 9, 26, 10, 2, 0, 38, 15, 0, 9, 2, 0, 15, 219, 244, 1, 0, 0, 9, 43, 10, 2, 0, 38,
    15, 0, 9, 2, 0, 0, 18, 38, 1, 0, 0, 0, 0, 0, 0, 4, 2, 195, 222, 19, 0, 0, 0, 0, 0, 19, 0, 0, 0,
    0, 1, 19, 0, 0, 0, 0, 2, 0, 9, 87, 10, 2, 0, 37, 92, 10, 2, 0, 35, 0, 0, 0, 0, 128, 2, 126, 31,
    29, 0, 0, 0, 0, 54, 11, 2, 0, 2, 127, 31, 0, 29, 0, 0, 0, 0, 49, 6, 2, 0, 2, 128, 31, 8, 29, 0,
    0, 0, 0, 121, 11, 2, 0, 2, 129, 31, 16, 29, 0, 0, 0, 0, 137, 11, 2, 0, 2, 130, 31, 24, 29, 0,
    0, 0, 0, 149, 11, 2, 0, 2, 131, 31, 32, 29, 0, 0, 0, 0, 196, 11, 2, 0, 2, 132, 31, 40, 29, 0,
    0, 0, 0, 87, 7, 2, 0, 2, 133, 31, 48, 29, 0, 0, 0, 0, 212, 11, 2, 0, 2, 134, 31, 56, 29, 0, 0,
    0, 0, 32, 6, 2, 0, 2, 135, 31, 64, 29, 0, 0, 0, 0, 238, 11, 2, 0, 2, 136, 31, 72, 29, 0, 0, 0,
    0, 20, 13, 2, 0, 2, 137, 31, 80, 29, 0, 0, 0, 0, 87, 7, 2, 0, 2, 138, 31, 88, 29, 0, 0, 0, 0,
    87, 7, 2, 0, 2, 139, 31, 96, 29, 0, 0, 0, 0, 121, 11, 2, 0, 2, 140, 31, 104, 29, 0, 0, 0, 0,
    42, 13, 2, 0, 2, 141, 31, 112, 29, 0, 0, 0, 0, 58, 13, 2, 0, 2, 142, 31, 120, 0, 9, 59, 11, 2,
    0, 14, 27, 251, 1, 0, 15, 93, 248, 1, 0, 15, 75, 11, 2, 0, 0, 9, 80, 11, 2, 0, 37, 85, 11, 2,
    0, 35, 0, 0, 0, 0, 16, 2, 176, 140, 29, 0, 0, 0, 0, 219, 244, 1, 0, 2, 177, 140, 0, 29, 0, 0,
    0, 0, 181, 51, 0, 0, 2, 178, 140, 8, 0, 9, 126, 11, 2, 0, 14, 181, 51, 0, 0, 15, 248, 240, 1,
    0, 0, 9, 142, 11, 2, 0, 38, 15, 248, 240, 1, 0, 0, 9, 154, 11, 2, 0, 14, 170, 11, 2, 0, 15,
    219, 244, 1, 0, 15, 181, 51, 0, 0, 0, 18, 38, 1, 0, 0, 0, 0, 0, 0, 4, 2, 119, 31, 19, 0, 0, 0,
    0, 0, 19, 0, 0, 0, 0, 1, 0, 9, 201, 11, 2, 0, 14, 168, 0, 0, 0, 15, 93, 248, 1, 0, 0, 9, 217,
    11, 2, 0, 14, 168, 0, 0, 0, 15, 93, 248, 1, 0, 15, 26, 1, 0, 0, 15, 38, 1, 0, 0, 0, 9, 243, 11,
    2, 0, 14, 168, 0, 0, 0, 15, 13, 12, 2, 0, 15, 219, 244, 1, 0, 15, 38, 1, 0, 0, 15, 38, 1, 0, 0,
    0, 9, 18, 12, 2, 0, 35, 0, 0, 0, 0, 160, 2, 2, 140, 29, 0, 0, 0, 0, 210, 12, 2, 0, 2, 3, 140,
    0, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 4, 140, 48, 29, 0, 0, 0, 0, 82, 10, 2, 0, 2, 5, 140, 56, 29,
    0, 0, 0, 0, 38, 1, 0, 0, 2, 6, 140, 64, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 7, 140, 68, 29, 0, 0,
    0, 0, 38, 1, 0, 0, 2, 8, 140, 72, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 9, 140, 76, 29, 0, 0, 0, 0,
    168, 0, 0, 0, 2, 10, 140, 80, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 11, 140, 84, 29, 0, 0, 0, 0, 38,
    1, 0, 0, 2, 12, 140, 88, 29, 0, 0, 0, 0, 26, 1, 0, 0, 2, 13, 140, 96, 29, 0, 0, 0, 0, 15, 13,
    2, 0, 2, 14, 140, 104, 29, 0, 0, 0, 0, 128, 104, 0, 0, 2, 15, 140, 112, 29, 0, 0, 0, 0, 195,
    21, 0, 0, 2, 16, 140, 144, 0, 3, 222, 12, 2, 0, 4, 82, 0, 0, 0, 3, 0, 35, 0, 0, 0, 0, 16, 2,
    252, 139, 29, 0, 0, 0, 0, 57, 208, 0, 0, 2, 253, 139, 0, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 254,
    139, 8, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 255, 139, 12, 0, 9, 39, 252, 1, 0, 9, 25, 13, 2, 0, 38,
    15, 13, 12, 2, 0, 15, 219, 244, 1, 0, 15, 38, 1, 0, 0, 0, 9, 47, 13, 2, 0, 14, 168, 0, 0, 0,
    15, 13, 12, 2, 0, 0, 9, 63, 13, 2, 0, 38, 15, 199, 111, 0, 0, 15, 219, 244, 1, 0, 0, 9, 93,
    248, 1, 0, 35, 0, 0, 0, 0, 16, 2, 7, 22, 29, 0, 0, 0, 0, 155, 13, 2, 0, 2, 8, 22, 0, 29, 0, 0,
    0, 0, 169, 26, 0, 0, 2, 9, 22, 8, 29, 0, 0, 0, 0, 169, 26, 0, 0, 2, 10, 22, 9, 29, 0, 0, 0, 0,
    169, 26, 0, 0, 2, 11, 22, 10, 29, 0, 0, 0, 0, 169, 26, 0, 0, 2, 12, 22, 11, 0, 9, 160, 13, 2,
    0, 37, 165, 13, 2, 0, 35, 0, 0, 0, 0, 40, 2, 135, 30, 29, 0, 0, 0, 0, 240, 13, 2, 0, 2, 136,
    30, 0, 29, 0, 0, 0, 0, 240, 13, 2, 0, 2, 137, 30, 8, 29, 0, 0, 0, 0, 105, 14, 2, 0, 2, 138, 30,
    16, 29, 0, 0, 0, 0, 122, 14, 2, 0, 2, 139, 30, 24, 29, 0, 0, 0, 0, 233, 21, 0, 0, 2, 140, 30,
    32, 0, 9, 245, 13, 2, 0, 39, 1, 14, 2, 0, 0, 0, 0, 0, 2, 129, 30, 14, 27, 251, 1, 0, 15, 12,
    14, 2, 0, 0, 9, 17, 14, 2, 0, 35, 0, 0, 0, 0, 40, 2, 145, 31, 29, 0, 0, 0, 0, 26, 1, 0, 0, 2,
    146, 31, 0, 29, 0, 0, 0, 0, 26, 1, 0, 0, 2, 147, 31, 8, 29, 0, 0, 0, 0, 83, 231, 1, 0, 2, 148,
    31, 16, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 149, 31, 24, 29, 0, 0, 0, 0, 236, 24, 0, 0, 2, 150, 31,
    28, 29, 0, 0, 0, 0, 233, 21, 0, 0, 2, 151, 31, 32, 0, 9, 110, 14, 2, 0, 39, 92, 7, 2, 0, 0, 0,
    0, 0, 2, 131, 30, 9, 127, 14, 2, 0, 39, 139, 14, 2, 0, 0, 0, 0, 0, 2, 133, 30, 38, 15, 219,
    244, 1, 0, 15, 38, 1, 0, 0, 0, 9, 156, 14, 2, 0, 35, 0, 0, 0, 0, 120, 2, 211, 139, 29, 0, 0, 0,
    0, 195, 21, 0, 0, 2, 212, 139, 0, 29, 0, 0, 0, 0, 134, 156, 0, 0, 2, 213, 139, 16, 29, 0, 0, 0,
    0, 27, 15, 2, 0, 2, 214, 139, 56, 29, 0, 0, 0, 0, 107, 15, 2, 0, 2, 215, 139, 64, 29, 0, 0, 0,
    0, 38, 1, 0, 0, 2, 216, 139, 72, 29, 0, 0, 0, 0, 27, 15, 2, 0, 2, 217, 139, 80, 29, 0, 0, 0, 0,
    133, 15, 2, 0, 2, 218, 139, 88, 29, 0, 0, 0, 0, 26, 1, 0, 0, 2, 219, 139, 96, 29, 0, 0, 0, 0,
    28, 22, 0, 0, 2, 220, 139, 104, 0, 9, 32, 15, 2, 0, 35, 0, 0, 0, 0, 40, 2, 15, 22, 29, 0, 0, 0,
    0, 109, 22, 0, 0, 2, 16, 22, 0, 29, 0, 0, 0, 0, 109, 22, 0, 0, 2, 17, 22, 8, 29, 0, 0, 0, 0,
    109, 22, 0, 0, 2, 18, 22, 16, 29, 0, 0, 0, 0, 177, 66, 0, 0, 2, 19, 22, 24, 29, 0, 0, 0, 0,
    109, 22, 0, 0, 2, 20, 22, 32, 0, 9, 112, 15, 2, 0, 14, 168, 0, 0, 0, 15, 123, 15, 2, 0, 0, 9,
    128, 15, 2, 0, 37, 224, 244, 1, 0, 9, 138, 15, 2, 0, 38, 15, 151, 14, 2, 0, 0, 3, 32, 15, 2, 0,
    4, 82, 0, 0, 0, 16, 0, 9, 162, 15, 2, 0, 28, 0, 0, 0, 0, 120, 1, 2, 91, 30, 29, 0, 0, 0, 0,
    248, 240, 1, 0, 2, 92, 30, 0, 29, 0, 0, 0, 0, 195, 21, 0, 0, 2, 93, 30, 8, 29, 0, 0, 0, 0, 152,
    21, 0, 0, 2, 94, 30, 24, 29, 0, 0, 0, 0, 173, 16, 2, 0, 2, 95, 30, 40, 29, 0, 0, 0, 0, 157, 15,
    2, 0, 2, 96, 30, 48, 29, 0, 0, 0, 0, 46, 40, 1, 0, 2, 97, 30, 56, 29, 0, 0, 0, 0, 181, 51, 0,
    0, 2, 98, 30, 112, 29, 0, 0, 0, 0, 108, 17, 2, 0, 2, 99, 30, 120, 29, 0, 0, 0, 0, 113, 17, 2,
    0, 2, 100, 30, 128, 29, 0, 0, 0, 0, 210, 17, 2, 0, 2, 101, 30, 224, 31, 0, 0, 0, 0, 33, 67, 0,
    0, 2, 102, 30, 8, 1, 31, 0, 0, 0, 0, 169, 227, 1, 0, 2, 103, 30, 16, 1, 31, 0, 0, 0, 0, 117,
    158, 0, 0, 2, 104, 30, 32, 1, 31, 0, 0, 0, 0, 242, 23, 0, 0, 2, 105, 30, 64, 1, 31, 0, 0, 0, 0,
    185, 23, 0, 0, 2, 106, 30, 72, 1, 31, 0, 0, 0, 0, 185, 23, 0, 0, 2, 107, 30, 80, 1, 31, 0, 0,
    0, 0, 109, 22, 0, 0, 2, 108, 30, 88, 1, 31, 0, 0, 0, 0, 168, 0, 0, 0, 2, 109, 30, 96, 1, 31, 0,
    0, 0, 0, 28, 22, 0, 0, 2, 110, 30, 104, 1, 0, 9, 178, 16, 2, 0, 28, 0, 0, 0, 0, 96, 1, 2, 180,
    31, 29, 0, 0, 0, 0, 62, 143, 0, 0, 2, 181, 31, 0, 29, 0, 0, 0, 0, 33, 67, 0, 0, 2, 182, 31,
    240, 29, 0, 0, 0, 0, 254, 62, 0, 0, 2, 183, 31, 244, 29, 0, 0, 0, 0, 203, 147, 0, 0, 2, 184,
    31, 248, 31, 0, 0, 0, 0, 157, 15, 2, 0, 2, 185, 31, 8, 1, 31, 0, 0, 0, 0, 90, 101, 0, 0, 2,
    186, 31, 16, 1, 31, 0, 0, 0, 0, 55, 17, 2, 0, 2, 187, 31, 24, 1, 31, 0, 0, 0, 0, 195, 21, 0, 0,
    2, 188, 31, 64, 1, 31, 0, 0, 0, 0, 195, 21, 0, 0, 2, 189, 31, 80, 1, 0, 3, 67, 17, 2, 0, 4, 82,
    0, 0, 0, 5, 0, 9, 72, 17, 2, 0, 35, 0, 0, 0, 0, 16, 2, 192, 31, 29, 0, 0, 0, 0, 173, 16, 2, 0,
    2, 193, 31, 0, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 194, 31, 8, 0, 9, 113, 17, 2, 0, 35, 0, 0, 0,
    0, 96, 2, 81, 30, 29, 0, 0, 0, 0, 243, 157, 0, 0, 2, 82, 30, 0, 29, 0, 0, 0, 0, 162, 17, 2, 0,
    2, 83, 30, 0, 29, 0, 0, 0, 0, 162, 17, 2, 0, 2, 84, 30, 48, 0, 35, 0, 0, 0, 0, 48, 2, 76, 30,
    29, 0, 0, 0, 0, 198, 17, 2, 0, 2, 77, 30, 0, 29, 0, 0, 0, 0, 198, 17, 2, 0, 2, 78, 30, 24, 0,
    3, 109, 22, 0, 0, 4, 82, 0, 0, 0, 3, 0, 3, 222, 17, 2, 0, 4, 82, 0, 0, 0, 5, 0, 9, 227, 17, 2,
    0, 35, 0, 0, 0, 0, 16, 2, 197, 31, 29, 0, 0, 0, 0, 157, 15, 2, 0, 2, 198, 31, 0, 29, 0, 0, 0,
    0, 168, 0, 0, 0, 2, 199, 31, 8, 0, 35, 0, 0, 0, 0, 112, 2, 29, 22, 29, 0, 0, 0, 0, 90, 22, 0,
    0, 2, 30, 22, 0, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 31, 22, 8, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2,
    32, 22, 16, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 33, 22, 24, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 34, 22,
    28, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 35, 22, 32, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 36, 22, 36, 29,
    0, 0, 0, 0, 38, 1, 0, 0, 2, 37, 22, 40, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 38, 22, 44, 29, 0, 0,
    0, 0, 38, 1, 0, 0, 2, 39, 22, 48, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 40, 22, 52, 29, 0, 0, 0, 0,
    38, 1, 0, 0, 2, 41, 22, 56, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 42, 22, 60, 29, 0, 0, 0, 0, 38, 1,
    0, 0, 2, 43, 22, 64, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 44, 22, 68, 29, 0, 0, 0, 0, 38, 1, 0, 0,
    2, 45, 22, 72, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 46, 22, 76, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 47,
    22, 80, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 48, 22, 84, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 49, 22, 88,
    29, 0, 0, 0, 0, 236, 24, 0, 0, 2, 50, 22, 92, 29, 0, 0, 0, 0, 236, 24, 0, 0, 2, 51, 22, 94, 29,
    0, 0, 0, 0, 236, 24, 0, 0, 2, 52, 22, 96, 29, 0, 0, 0, 0, 169, 26, 0, 0, 2, 53, 22, 98, 29, 0,
    0, 0, 0, 169, 26, 0, 0, 2, 54, 22, 99, 29, 0, 0, 0, 0, 169, 26, 0, 0, 2, 55, 22, 100, 29, 0, 0,
    0, 0, 112, 19, 2, 0, 2, 56, 22, 104, 0, 18, 38, 1, 0, 0, 0, 0, 0, 0, 4, 2, 23, 22, 19, 0, 0, 0,
    0, 0, 19, 0, 0, 0, 0, 1, 19, 0, 0, 0, 0, 2, 0, 9, 149, 19, 2, 0, 35, 0, 0, 0, 0, 112, 2, 223,
    139, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 224, 139, 0, 29, 0, 0, 0, 0, 85, 20, 2, 0, 2, 225, 139,
    8, 29, 0, 0, 0, 0, 216, 107, 0, 0, 2, 226, 139, 16, 29, 0, 0, 0, 0, 239, 206, 1, 0, 2, 227,
    139, 24, 29, 0, 0, 0, 0, 229, 67, 0, 0, 2, 228, 139, 32, 29, 0, 0, 0, 0, 109, 22, 0, 0, 2, 229,
    139, 40, 29, 0, 0, 0, 0, 109, 22, 0, 0, 2, 230, 139, 48, 29, 0, 0, 0, 0, 177, 66, 0, 0, 2, 231,
    139, 56, 29, 0, 0, 0, 0, 177, 66, 0, 0, 2, 232, 139, 60, 29, 0, 0, 0, 0, 185, 64, 0, 0, 2, 233,
    139, 64, 29, 0, 0, 0, 0, 185, 64, 0, 0, 2, 234, 139, 72, 29, 0, 0, 0, 0, 185, 64, 0, 0, 2, 235,
    139, 80, 29, 0, 0, 0, 0, 195, 21, 0, 0, 2, 236, 139, 88, 29, 0, 0, 0, 0, 242, 23, 0, 0, 2, 237,
    139, 104, 0, 9, 90, 20, 2, 0, 28, 0, 0, 0, 0, 112, 1, 2, 171, 134, 29, 0, 0, 0, 0, 177, 66, 0,
    0, 2, 172, 134, 0, 29, 0, 0, 0, 0, 36, 54, 0, 0, 2, 173, 134, 8, 29, 0, 0, 0, 0, 36, 54, 0, 0,
    2, 174, 134, 16, 29, 0, 0, 0, 0, 36, 54, 0, 0, 2, 175, 134, 24, 29, 0, 0, 0, 0, 27, 21, 2, 0,
    2, 176, 134, 32, 29, 0, 0, 0, 0, 221, 107, 0, 0, 2, 177, 134, 40, 29, 0, 0, 0, 0, 26, 1, 0, 0,
    2, 178, 134, 48, 29, 0, 0, 0, 0, 36, 54, 0, 0, 2, 179, 134, 56, 29, 0, 0, 0, 0, 184, 22, 2, 0,
    2, 180, 134, 64, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 181, 134, 72, 29, 0, 0, 0, 0, 195, 21, 0, 0,
    2, 182, 134, 80, 29, 0, 0, 0, 0, 185, 64, 0, 0, 2, 183, 134, 96, 29, 0, 0, 0, 0, 168, 0, 0, 0,
    2, 184, 134, 104, 29, 0, 0, 0, 0, 189, 22, 2, 0, 2, 185, 134, 108, 0, 9, 32, 21, 2, 0, 35, 0,
    0, 0, 0, 40, 2, 188, 134, 29, 0, 0, 0, 0, 107, 21, 2, 0, 2, 189, 134, 0, 29, 0, 0, 0, 0, 131,
    22, 2, 0, 2, 190, 134, 8, 29, 0, 0, 0, 0, 131, 22, 2, 0, 2, 191, 134, 16, 29, 0, 0, 0, 0, 148,
    22, 2, 0, 2, 192, 134, 24, 29, 0, 0, 0, 0, 31, 69, 0, 0, 2, 193, 134, 32, 0, 9, 112, 21, 2, 0,
    14, 168, 0, 0, 0, 15, 138, 21, 2, 0, 15, 26, 1, 0, 0, 15, 26, 1, 0, 0, 15, 36, 54, 0, 0, 0, 9,
    143, 21, 2, 0, 35, 0, 0, 0, 0, 192, 2, 144, 134, 29, 0, 0, 0, 0, 26, 1, 0, 0, 2, 145, 134, 0,
    29, 0, 0, 0, 0, 26, 1, 0, 0, 2, 146, 134, 8, 29, 0, 0, 0, 0, 36, 54, 0, 0, 2, 147, 134, 16, 29,
    0, 0, 0, 0, 36, 54, 0, 0, 2, 148, 134, 24, 29, 0, 0, 0, 0, 36, 54, 0, 0, 2, 149, 134, 32, 29,
    0, 0, 0, 0, 85, 20, 2, 0, 2, 150, 134, 40, 29, 0, 0, 0, 0, 190, 104, 0, 0, 2, 151, 134, 48, 29,
    0, 0, 0, 0, 171, 51, 1, 0, 2, 152, 134, 72, 29, 0, 0, 0, 0, 185, 64, 0, 0, 2, 153, 134, 96, 29,
    0, 0, 0, 0, 221, 107, 0, 0, 2, 154, 134, 104, 29, 0, 0, 0, 0, 211, 107, 0, 0, 2, 155, 134, 112,
    29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 156, 134, 120, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 157, 134, 124,
    29, 0, 0, 0, 0, 72, 90, 1, 0, 2, 158, 134, 128, 29, 0, 0, 0, 0, 36, 54, 0, 0, 2, 159, 134, 136,
    29, 0, 0, 0, 0, 36, 54, 0, 0, 2, 160, 134, 144, 29, 0, 0, 0, 0, 36, 54, 0, 0, 2, 161, 134, 152,
    29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 162, 134, 160, 0, 9, 136, 22, 2, 0, 38, 15, 138, 21, 2, 0, 15,
    61, 78, 0, 0, 0, 9, 153, 22, 2, 0, 14, 185, 64, 0, 0, 15, 233, 21, 0, 0, 15, 185, 64, 0, 0, 15,
    70, 62, 0, 0, 15, 138, 21, 2, 0, 15, 176, 51, 0, 0, 0, 9, 138, 21, 2, 0, 3, 75, 0, 0, 0, 4, 82,
    0, 0, 0, 255, 0, 35, 0, 0, 0, 0, 32, 2, 61, 22, 29, 0, 0, 0, 0, 92, 168, 0, 0, 2, 62, 22, 0,
    29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 63, 22, 8, 29, 0, 0, 0, 0, 248, 240, 1, 0, 2, 64, 22, 16, 29,
    0, 0, 0, 0, 7, 23, 2, 0, 2, 65, 22, 24, 0, 9, 12, 23, 2, 0, 37, 17, 23, 2, 0, 35, 0, 0, 0, 0,
    32, 2, 205, 30, 29, 0, 0, 0, 0, 79, 23, 2, 0, 2, 206, 30, 0, 29, 0, 0, 0, 0, 27, 25, 2, 0, 2,
    207, 30, 8, 29, 0, 0, 0, 0, 53, 25, 2, 0, 2, 208, 30, 16, 29, 0, 0, 0, 0, 87, 7, 2, 0, 2, 209,
    30, 24, 0, 9, 84, 23, 2, 0, 14, 168, 0, 0, 0, 15, 95, 23, 2, 0, 0, 9, 100, 23, 2, 0, 35, 0, 0,
    0, 0, 160, 2, 169, 30, 29, 0, 0, 0, 0, 147, 26, 0, 0, 2, 170, 30, 0, 29, 0, 0, 0, 0, 27, 1, 0,
    0, 2, 171, 30, 4, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 172, 30, 8, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2,
    173, 30, 12, 29, 0, 0, 0, 0, 197, 0, 0, 0, 2, 174, 30, 16, 29, 0, 0, 0, 0, 197, 0, 0, 0, 2,
    175, 30, 24, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 176, 30, 32, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 177,
    30, 36, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 178, 30, 40, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 179, 30,
    44, 29, 0, 0, 0, 0, 197, 0, 0, 0, 2, 180, 30, 48, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 181, 30, 56,
    29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 182, 30, 60, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 183, 30, 64, 29,
    0, 0, 0, 0, 27, 1, 0, 0, 2, 184, 30, 68, 29, 0, 0, 0, 0, 197, 0, 0, 0, 2, 185, 30, 72, 29, 0,
    0, 0, 0, 197, 0, 0, 0, 2, 186, 30, 80, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 187, 30, 88, 29, 0, 0,
    0, 0, 27, 1, 0, 0, 2, 188, 30, 92, 29, 0, 0, 0, 0, 197, 0, 0, 0, 2, 189, 30, 96, 29, 0, 0, 0,
    0, 27, 1, 0, 0, 2, 190, 30, 104, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 191, 30, 108, 29, 0, 0, 0, 0,
    27, 1, 0, 0, 2, 192, 30, 112, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 193, 30, 116, 29, 0, 0, 0, 0, 27,
    1, 0, 0, 2, 194, 30, 120, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 195, 30, 124, 29, 0, 0, 0, 0, 27, 1,
    0, 0, 2, 196, 30, 128, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 197, 30, 132, 29, 0, 0, 0, 0, 147, 26,
    0, 0, 2, 198, 30, 136, 29, 0, 0, 0, 0, 147, 26, 0, 0, 2, 199, 30, 140, 29, 0, 0, 0, 0, 197, 0,
    0, 0, 2, 200, 30, 144, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 201, 30, 152, 29, 0, 0, 0, 0, 27, 1, 0,
    0, 2, 202, 30, 156, 0, 9, 32, 25, 2, 0, 14, 168, 0, 0, 0, 15, 219, 244, 1, 0, 15, 95, 23, 2, 0,
    15, 228, 237, 1, 0, 0, 9, 58, 25, 2, 0, 14, 168, 0, 0, 0, 15, 219, 244, 1, 0, 15, 95, 23, 2, 0,
    0, 9, 79, 25, 2, 0, 28, 0, 0, 0, 0, 56, 3, 2, 23, 228, 29, 0, 0, 0, 0, 47, 26, 2, 0, 2, 24,
    228, 0, 29, 0, 0, 0, 0, 248, 240, 1, 0, 2, 25, 228, 120, 29, 0, 0, 0, 0, 189, 47, 1, 0, 2, 26,
    228, 128, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 27, 228, 136, 29, 0, 0, 0, 0, 117, 158, 0, 0, 2, 28,
    228, 144, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 29, 228, 176, 29, 0, 0, 0, 0, 153, 26, 2, 0, 2, 30,
    228, 180, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 31, 228, 184, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 32,
    228, 192, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 33, 228, 200, 29, 0, 0, 0, 0, 165, 26, 2, 0, 2, 34,
    228, 208, 31, 0, 0, 0, 0, 213, 26, 2, 0, 2, 35, 228, 240, 1, 31, 0, 0, 0, 0, 5, 27, 2, 0, 2,
    36, 228, 16, 3, 31, 0, 0, 0, 0, 90, 22, 0, 0, 2, 37, 228, 32, 3, 31, 0, 0, 0, 0, 90, 22, 0, 0,
    2, 38, 228, 40, 3, 31, 0, 0, 0, 0, 181, 51, 0, 0, 2, 39, 228, 48, 3, 0, 35, 0, 0, 0, 0, 120, 2,
    3, 228, 29, 0, 0, 0, 0, 148, 26, 2, 0, 2, 4, 228, 0, 29, 0, 0, 0, 0, 226, 189, 1, 0, 2, 5, 228,
    8, 29, 0, 0, 0, 0, 189, 47, 1, 0, 2, 6, 228, 40, 29, 0, 0, 0, 0, 68, 139, 0, 0, 2, 7, 228, 48,
    29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 8, 228, 64, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 9, 228, 72, 29, 0,
    0, 0, 0, 134, 156, 0, 0, 2, 10, 228, 80, 0, 9, 47, 26, 2, 0, 3, 181, 51, 0, 0, 4, 82, 0, 0, 0,
    2, 0, 3, 177, 26, 2, 0, 4, 82, 0, 0, 0, 18, 0, 35, 0, 0, 0, 0, 16, 2, 13, 228, 29, 0, 0, 0, 0,
    90, 22, 0, 0, 2, 14, 228, 0, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 15, 228, 8, 0, 3, 225, 26, 2, 0,
    4, 82, 0, 0, 0, 18, 0, 35, 0, 0, 0, 0, 16, 2, 18, 228, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 19,
    228, 0, 29, 0, 0, 0, 0, 181, 51, 0, 0, 2, 20, 228, 8, 0, 3, 17, 27, 2, 0, 4, 82, 0, 0, 0, 2, 0,
    9, 177, 26, 2, 0, 28, 0, 0, 0, 0, 112, 1, 2, 85, 22, 29, 0, 0, 0, 0, 251, 68, 1, 0, 2, 86, 22,
    0, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 87, 22, 8, 29, 0, 0, 0, 0, 167, 27, 2, 0, 2, 88, 22, 16, 29,
    0, 0, 0, 0, 167, 27, 2, 0, 2, 89, 22, 88, 29, 0, 0, 0, 0, 167, 27, 2, 0, 2, 90, 22, 160, 29, 0,
    0, 0, 0, 167, 27, 2, 0, 2, 91, 22, 232, 31, 0, 0, 0, 0, 33, 67, 0, 0, 2, 92, 22, 48, 1, 31, 0,
    0, 0, 0, 169, 227, 1, 0, 2, 93, 22, 56, 1, 31, 0, 0, 0, 0, 117, 158, 0, 0, 2, 94, 22, 72, 1,
    31, 0, 0, 0, 0, 170, 160, 0, 0, 2, 95, 22, 104, 1, 0, 39, 179, 27, 2, 0, 0, 0, 0, 0, 2, 83, 22,
    35, 0, 0, 0, 0, 72, 2, 72, 22, 29, 0, 0, 0, 0, 33, 67, 0, 0, 2, 73, 22, 0, 29, 0, 0, 0, 0, 168,
    0, 0, 0, 2, 74, 22, 4, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 75, 22, 8, 29, 0, 0, 0, 0, 230, 37, 1,
    0, 2, 76, 22, 16, 29, 0, 0, 0, 0, 26, 1, 0, 0, 2, 77, 22, 24, 29, 0, 0, 0, 0, 37, 28, 2, 0, 2,
    78, 22, 32, 29, 0, 0, 0, 0, 70, 28, 2, 0, 2, 79, 22, 40, 29, 0, 0, 0, 0, 190, 104, 0, 0, 2, 80,
    22, 48, 0, 9, 42, 28, 2, 0, 39, 54, 28, 2, 0, 0, 0, 0, 0, 2, 68, 22, 14, 26, 1, 0, 0, 15, 252,
    147, 0, 0, 15, 26, 1, 0, 0, 0, 9, 75, 28, 2, 0, 39, 87, 28, 2, 0, 0, 0, 0, 0, 2, 70, 22, 38,
    15, 26, 1, 0, 0, 15, 26, 1, 0, 0, 0, 9, 104, 28, 2, 0, 40, 0, 0, 0, 0, 24, 2, 9, 48, 1, 0, 25,
    0, 0, 0, 0, 161, 28, 2, 0, 2, 10, 48, 1, 0, 0, 25, 0, 0, 0, 0, 19, 1, 0, 0, 2, 11, 48, 1, 0, 8,
    25, 0, 0, 0, 0, 19, 1, 0, 0, 2, 12, 48, 1, 0, 16, 0, 39, 208, 0, 0, 0, 0, 0, 0, 0, 2, 247, 87,
    9, 178, 28, 2, 0, 35, 0, 0, 0, 0, 176, 2, 203, 224, 29, 0, 0, 0, 0, 195, 21, 0, 0, 2, 204, 224,
    0, 29, 0, 0, 0, 0, 22, 229, 1, 0, 2, 205, 224, 16, 29, 0, 0, 0, 0, 33, 67, 0, 0, 2, 206, 224,
    24, 29, 0, 0, 0, 0, 128, 104, 0, 0, 2, 207, 224, 32, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 208, 224,
    64, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 209, 224, 68, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 210, 224, 72,
    29, 0, 0, 0, 0, 19, 1, 0, 0, 2, 211, 224, 80, 29, 0, 0, 0, 0, 108, 160, 0, 0, 2, 212, 224, 88,
    0, 9, 54, 29, 2, 0, 35, 0, 0, 0, 0, 120, 2, 185, 226, 29, 0, 0, 0, 0, 122, 30, 2, 0, 2, 186,
    226, 0, 29, 0, 0, 0, 0, 195, 21, 0, 0, 2, 187, 226, 8, 29, 0, 0, 0, 0, 22, 229, 1, 0, 2, 188,
    226, 24, 29, 0, 0, 0, 0, 26, 1, 0, 0, 2, 189, 226, 32, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 190,
    226, 40, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 191, 226, 44, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 192,
    226, 48, 45, 0, 0, 0, 0, 38, 1, 0, 0, 2, 193, 226, 4, 30, 2, 52, 45, 0, 0, 0, 0, 38, 1, 0, 0,
    2, 194, 226, 4, 2, 0, 52, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 195, 226, 56, 29, 0, 0, 0, 0, 38, 1,
    0, 0, 2, 196, 226, 60, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 197, 226, 64, 29, 0, 0, 0, 0, 179, 33,
    2, 0, 2, 198, 226, 68, 45, 0, 0, 0, 0, 158, 26, 0, 0, 2, 199, 226, 1, 2, 6, 88, 45, 0, 0, 0, 0,
    158, 26, 0, 0, 2, 200, 226, 1, 1, 5, 88, 45, 0, 0, 0, 0, 158, 26, 0, 0, 2, 201, 226, 1, 5, 0,
    88, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 202, 226, 92, 29, 0, 0, 0, 0, 158, 26, 0, 0, 2, 203, 226,
    96, 29, 0, 0, 0, 0, 158, 26, 0, 0, 2, 204, 226, 97, 29, 0, 0, 0, 0, 236, 24, 0, 0, 2, 205, 226,
    98, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 206, 226, 100, 29, 0, 0, 0, 0, 92, 32, 2, 0, 2, 207, 226,
    104, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 208, 226, 112, 0, 9, 127, 30, 2, 0, 37, 132, 30, 2, 0,
    35, 0, 0, 0, 0, 112, 2, 31, 227, 29, 0, 0, 0, 0, 68, 31, 2, 0, 2, 32, 227, 0, 29, 0, 0, 0, 0,
    89, 31, 2, 0, 2, 33, 227, 8, 29, 0, 0, 0, 0, 68, 31, 2, 0, 2, 34, 227, 16, 29, 0, 0, 0, 0, 101,
    31, 2, 0, 2, 35, 227, 24, 29, 0, 0, 0, 0, 68, 31, 2, 0, 2, 36, 227, 32, 29, 0, 0, 0, 0, 68, 31,
    2, 0, 2, 37, 227, 40, 29, 0, 0, 0, 0, 68, 31, 2, 0, 2, 38, 227, 48, 29, 0, 0, 0, 0, 68, 31, 2,
    0, 2, 39, 227, 56, 29, 0, 0, 0, 0, 127, 31, 2, 0, 2, 40, 227, 64, 29, 0, 0, 0, 0, 31, 32, 2, 0,
    2, 41, 227, 72, 29, 0, 0, 0, 0, 92, 32, 2, 0, 2, 42, 227, 80, 29, 0, 0, 0, 0, 108, 32, 2, 0, 2,
    43, 227, 88, 29, 0, 0, 0, 0, 134, 32, 2, 0, 2, 44, 227, 96, 29, 0, 0, 0, 0, 139, 32, 2, 0, 2,
    45, 227, 104, 0, 9, 73, 31, 2, 0, 14, 168, 0, 0, 0, 15, 49, 29, 2, 0, 15, 168, 0, 0, 0, 0, 9,
    94, 31, 2, 0, 38, 15, 49, 29, 2, 0, 0, 9, 106, 31, 2, 0, 14, 38, 1, 0, 0, 15, 49, 29, 2, 0, 15,
    38, 1, 0, 0, 15, 168, 0, 0, 0, 0, 9, 132, 31, 2, 0, 14, 168, 0, 0, 0, 15, 49, 29, 2, 0, 15,
    148, 31, 2, 0, 0, 9, 153, 31, 2, 0, 35, 0, 0, 0, 0, 8, 2, 233, 226, 29, 0, 0, 0, 0, 202, 31, 2,
    0, 2, 234, 226, 0, 29, 0, 0, 0, 0, 158, 26, 0, 0, 2, 235, 226, 4, 29, 0, 0, 0, 0, 158, 26, 0,
    0, 2, 236, 226, 5, 0, 52, 0, 0, 0, 0, 4, 2, 228, 226, 29, 0, 0, 0, 0, 238, 31, 2, 0, 2, 229,
    226, 0, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 230, 226, 0, 0, 35, 0, 0, 0, 0, 3, 2, 222, 226, 29, 0,
    0, 0, 0, 158, 26, 0, 0, 2, 223, 226, 0, 29, 0, 0, 0, 0, 158, 26, 0, 0, 2, 224, 226, 1, 29, 0,
    0, 0, 0, 158, 26, 0, 0, 2, 225, 226, 2, 0, 9, 36, 32, 2, 0, 14, 168, 0, 0, 0, 15, 49, 29, 2, 0,
    15, 52, 32, 2, 0, 0, 9, 57, 32, 2, 0, 35, 0, 0, 0, 0, 14, 2, 239, 226, 29, 0, 0, 0, 0, 80, 32,
    2, 0, 2, 240, 226, 0, 0, 3, 158, 26, 0, 0, 4, 82, 0, 0, 0, 14, 0, 9, 97, 32, 2, 0, 14, 168, 0,
    0, 0, 15, 49, 29, 2, 0, 0, 9, 113, 32, 2, 0, 14, 168, 0, 0, 0, 15, 49, 29, 2, 0, 15, 38, 1, 0,
    0, 15, 26, 1, 0, 0, 0, 37, 168, 0, 0, 0, 9, 144, 32, 2, 0, 14, 168, 0, 0, 0, 15, 49, 29, 2, 0,
    15, 160, 32, 2, 0, 0, 9, 165, 32, 2, 0, 35, 0, 0, 0, 0, 64, 2, 19, 227, 29, 0, 0, 0, 0, 36, 33,
    2, 0, 2, 20, 227, 0, 29, 0, 0, 0, 0, 239, 206, 1, 0, 2, 21, 227, 16, 29, 0, 0, 0, 0, 38, 1, 0,
    0, 2, 22, 227, 24, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 23, 227, 28, 29, 0, 0, 0, 0, 48, 33, 2, 0,
    2, 24, 227, 32, 29, 0, 0, 0, 0, 169, 26, 0, 0, 2, 25, 227, 40, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2,
    26, 227, 44, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 27, 227, 48, 29, 0, 0, 0, 0, 167, 33, 2, 0, 2,
    28, 227, 56, 0, 3, 169, 26, 0, 0, 4, 82, 0, 0, 0, 12, 0, 9, 53, 33, 2, 0, 35, 0, 0, 0, 0, 8, 2,
    211, 226, 29, 0, 0, 0, 0, 218, 67, 0, 0, 2, 212, 226, 0, 29, 0, 0, 0, 0, 218, 67, 0, 0, 2, 213,
    226, 1, 29, 0, 0, 0, 0, 218, 67, 0, 0, 2, 214, 226, 2, 29, 0, 0, 0, 0, 218, 67, 0, 0, 2, 215,
    226, 3, 29, 0, 0, 0, 0, 218, 67, 0, 0, 2, 216, 226, 4, 29, 0, 0, 0, 0, 218, 67, 0, 0, 2, 217,
    226, 5, 29, 0, 0, 0, 0, 218, 67, 0, 0, 2, 218, 226, 6, 29, 0, 0, 0, 0, 218, 67, 0, 0, 2, 219,
    226, 7, 0, 3, 26, 1, 0, 0, 4, 82, 0, 0, 0, 1, 0, 3, 75, 0, 0, 0, 4, 82, 0, 0, 0, 20, 0, 9, 196,
    33, 2, 0, 35, 0, 0, 0, 0, 64, 2, 215, 224, 29, 0, 0, 0, 0, 92, 168, 0, 0, 2, 216, 224, 0, 29,
    0, 0, 0, 0, 168, 0, 0, 0, 2, 217, 224, 8, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 218, 224, 12, 29, 0,
    0, 0, 0, 168, 0, 0, 0, 2, 219, 224, 16, 29, 0, 0, 0, 0, 157, 252, 0, 0, 2, 220, 224, 24, 29, 0,
    0, 0, 0, 168, 0, 0, 0, 2, 221, 224, 32, 29, 0, 0, 0, 0, 80, 113, 1, 0, 2, 222, 224, 36, 29, 0,
    0, 0, 0, 83, 231, 1, 0, 2, 223, 224, 48, 29, 0, 0, 0, 0, 83, 231, 1, 0, 2, 224, 224, 56, 0, 35,
    0, 0, 0, 0, 24, 2, 42, 24, 29, 0, 0, 0, 0, 83, 231, 1, 0, 2, 43, 24, 0, 29, 0, 0, 0, 0, 38, 1,
    0, 0, 2, 44, 24, 8, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 45, 24, 12, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2,
    46, 24, 16, 0, 9, 134, 34, 2, 0, 39, 146, 34, 2, 0, 0, 0, 0, 0, 2, 49, 24, 38, 15, 205, 227, 1,
    0, 0, 35, 0, 0, 0, 0, 8, 2, 51, 24, 29, 0, 0, 0, 0, 109, 22, 0, 0, 2, 52, 24, 0, 0, 9, 181, 34,
    2, 0, 35, 0, 0, 0, 0, 104, 2, 63, 30, 29, 0, 0, 0, 0, 205, 227, 1, 0, 2, 64, 30, 0, 29, 0, 0,
    0, 0, 67, 34, 2, 0, 2, 65, 30, 8, 29, 0, 0, 0, 0, 236, 24, 0, 0, 2, 66, 30, 32, 29, 0, 0, 0, 0,
    236, 24, 0, 0, 2, 67, 30, 34, 29, 0, 0, 0, 0, 236, 24, 0, 0, 2, 68, 30, 36, 29, 0, 0, 0, 0,
    236, 24, 0, 0, 2, 69, 30, 38, 29, 0, 0, 0, 0, 67, 34, 2, 0, 2, 70, 30, 40, 29, 0, 0, 0, 0, 117,
    158, 0, 0, 2, 71, 30, 64, 29, 0, 0, 0, 0, 65, 35, 2, 0, 2, 72, 30, 96, 29, 0, 0, 0, 0, 70, 35,
    2, 0, 2, 73, 30, 104, 0, 9, 171, 54, 0, 0, 3, 171, 54, 0, 0, 4, 82, 0, 0, 0, 0, 0, 9, 22, 27,
    2, 0, 9, 92, 35, 2, 0, 35, 0, 0, 0, 0, 40, 2, 69, 21, 29, 0, 0, 0, 0, 195, 21, 0, 0, 2, 70, 21,
    0, 29, 0, 0, 0, 0, 195, 21, 0, 0, 2, 71, 21, 16, 29, 0, 0, 0, 0, 236, 24, 0, 0, 2, 72, 21, 32,
    29, 0, 0, 0, 0, 181, 51, 0, 0, 2, 73, 21, 34, 29, 0, 0, 0, 0, 181, 51, 0, 0, 2, 74, 21, 35, 0,
    9, 172, 35, 2, 0, 35, 0, 0, 0, 0, 8, 2, 77, 21, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 78, 21, 0, 0,
    9, 200, 35, 2, 0, 35, 0, 0, 0, 0, 16, 2, 155, 162, 29, 0, 0, 0, 0, 236, 35, 2, 0, 2, 156, 162,
    0, 29, 0, 0, 0, 0, 220, 54, 0, 0, 2, 157, 162, 8, 0, 9, 241, 35, 2, 0, 35, 0, 0, 0, 0, 128, 2,
    170, 162, 29, 0, 0, 0, 0, 195, 21, 0, 0, 2, 171, 162, 0, 29, 0, 0, 0, 0, 195, 21, 0, 0, 2, 172,
    162, 16, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 173, 162, 32, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 174,
    162, 36, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 175, 162, 40, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 176,
    162, 48, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 177, 162, 56, 29, 0, 0, 0, 0, 90, 37, 2, 0, 2, 178,
    162, 64, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 179, 162, 72, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 180,
    162, 80, 29, 0, 0, 0, 0, 236, 24, 0, 0, 2, 181, 162, 88, 29, 0, 0, 0, 0, 3, 27, 0, 0, 2, 182,
    162, 90, 29, 0, 0, 0, 0, 63, 43, 2, 0, 2, 183, 162, 92, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 184,
    162, 96, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 185, 162, 100, 29, 0, 0, 0, 0, 48, 8, 2, 0, 2, 186,
    162, 104, 29, 0, 0, 0, 0, 134, 32, 2, 0, 2, 187, 162, 108, 29, 0, 0, 0, 0, 68, 43, 2, 0, 2,
    188, 162, 112, 29, 0, 0, 0, 0, 181, 51, 0, 0, 2, 189, 162, 116, 29, 0, 0, 0, 0, 181, 51, 0, 0,
    2, 190, 162, 117, 29, 0, 0, 0, 0, 181, 51, 0, 0, 2, 191, 162, 118, 29, 0, 0, 0, 0, 181, 51, 0,
    0, 2, 192, 162, 119, 29, 0, 0, 0, 0, 181, 51, 0, 0, 2, 193, 162, 120, 29, 0, 0, 0, 0, 181, 51,
    0, 0, 2, 194, 162, 121, 29, 0, 0, 0, 0, 181, 51, 0, 0, 2, 195, 162, 122, 29, 0, 0, 0, 0, 181,
    51, 0, 0, 2, 196, 162, 123, 29, 0, 0, 0, 0, 181, 51, 0, 0, 2, 197, 162, 124, 0, 9, 95, 37, 2,
    0, 28, 0, 0, 0, 0, 192, 5, 2, 109, 18, 29, 0, 0, 0, 0, 39, 39, 2, 0, 2, 110, 18, 0, 29, 0, 0,
    0, 0, 90, 22, 0, 0, 2, 111, 18, 24, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 112, 18, 32, 29, 0, 0, 0,
    0, 51, 39, 2, 0, 2, 113, 18, 40, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 114, 18, 80, 29, 0, 0, 0, 0,
    63, 39, 2, 0, 2, 115, 18, 88, 29, 0, 0, 0, 0, 93, 42, 2, 0, 2, 116, 18, 96, 29, 0, 0, 0, 0, 90,
    22, 0, 0, 2, 117, 18, 104, 29, 0, 0, 0, 0, 173, 23, 0, 0, 2, 118, 18, 112, 29, 0, 0, 0, 0, 90,
    22, 0, 0, 2, 119, 18, 120, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 120, 18, 128, 29, 0, 0, 0, 0, 233,
    21, 0, 0, 2, 121, 18, 136, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 122, 18, 144, 29, 0, 0, 0, 0, 80,
    113, 1, 0, 2, 123, 18, 152, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 124, 18, 160, 29, 0, 0, 0, 0, 68,
    41, 2, 0, 2, 129, 18, 192, 29, 0, 0, 0, 0, 3, 43, 2, 0, 2, 130, 18, 192, 31, 0, 0, 0, 0, 90,
    22, 0, 0, 2, 131, 18, 136, 4, 31, 0, 0, 0, 0, 33, 67, 0, 0, 2, 132, 18, 144, 4, 31, 0, 0, 0, 0,
    68, 41, 2, 0, 2, 139, 18, 192, 4, 31, 0, 0, 0, 0, 90, 22, 0, 0, 2, 140, 18, 192, 4, 31, 0, 0,
    0, 0, 90, 22, 0, 0, 2, 141, 18, 200, 4, 31, 0, 0, 0, 0, 11, 103, 0, 0, 2, 142, 18, 208, 4, 31,
    0, 0, 0, 0, 90, 22, 0, 0, 2, 143, 18, 224, 4, 31, 0, 0, 0, 0, 90, 22, 0, 0, 2, 144, 18, 232, 4,
    31, 0, 0, 0, 0, 38, 1, 0, 0, 2, 145, 18, 240, 4, 31, 0, 0, 0, 0, 38, 1, 0, 0, 2, 146, 18, 244,
    4, 31, 0, 0, 0, 0, 168, 0, 0, 0, 2, 147, 18, 248, 4, 31, 0, 0, 0, 0, 181, 51, 0, 0, 2, 148, 18,
    252, 4, 31, 0, 0, 0, 0, 181, 51, 0, 0, 2, 149, 18, 253, 4, 31, 0, 0, 0, 0, 68, 41, 2, 0, 2,
    151, 18, 0, 5, 31, 0, 0, 0, 0, 51, 43, 2, 0, 2, 152, 18, 0, 5, 31, 0, 0, 0, 0, 11, 167, 1, 0,
    2, 153, 18, 96, 5, 0, 3, 90, 22, 0, 0, 4, 82, 0, 0, 0, 3, 0, 3, 19, 1, 0, 0, 4, 82, 0, 0, 0, 5,
    0, 9, 68, 39, 2, 0, 28, 0, 0, 0, 0, 192, 51, 2, 182, 18, 29, 0, 0, 0, 0, 228, 40, 2, 0, 2, 183,
    18, 0, 31, 0, 0, 0, 0, 240, 40, 2, 0, 2, 184, 18, 192, 28, 31, 0, 0, 0, 0, 168, 0, 0, 0, 2,
    185, 18, 224, 48, 31, 0, 0, 0, 0, 33, 67, 0, 0, 2, 186, 18, 228, 48, 31, 0, 0, 0, 0, 90, 22, 0,
    0, 2, 187, 18, 232, 48, 31, 0, 0, 0, 0, 90, 22, 0, 0, 2, 188, 18, 240, 48, 31, 0, 0, 0, 0, 90,
    22, 0, 0, 2, 189, 18, 248, 48, 31, 0, 0, 0, 0, 168, 0, 0, 0, 2, 190, 18, 0, 49, 31, 0, 0, 0, 0,
    190, 104, 0, 0, 2, 191, 18, 8, 49, 31, 0, 0, 0, 0, 190, 104, 0, 0, 2, 192, 18, 32, 49, 31, 0,
    0, 0, 0, 244, 117, 0, 0, 2, 193, 18, 56, 49, 31, 0, 0, 0, 0, 168, 0, 0, 0, 2, 194, 18, 64, 49,
    31, 0, 0, 0, 0, 58, 7, 0, 0, 2, 195, 18, 68, 49, 31, 0, 0, 0, 0, 168, 0, 0, 0, 2, 196, 18, 72,
    49, 31, 0, 0, 0, 0, 168, 0, 0, 0, 2, 197, 18, 76, 49, 31, 0, 0, 0, 0, 58, 7, 0, 0, 2, 198, 18,
    80, 49, 31, 0, 0, 0, 0, 190, 104, 0, 0, 2, 199, 18, 88, 49, 31, 0, 0, 0, 0, 244, 117, 0, 0, 2,
    200, 18, 112, 49, 31, 0, 0, 0, 0, 90, 22, 0, 0, 2, 201, 18, 120, 49, 31, 0, 0, 0, 0, 90, 22, 0,
    0, 2, 202, 18, 128, 49, 31, 0, 0, 0, 0, 90, 22, 0, 0, 2, 203, 18, 136, 49, 31, 0, 0, 0, 0, 68,
    41, 2, 0, 2, 210, 18, 192, 49, 31, 0, 0, 0, 0, 33, 67, 0, 0, 2, 211, 18, 192, 49, 31, 0, 0, 0,
    0, 91, 41, 2, 0, 2, 212, 18, 200, 49, 31, 0, 0, 0, 0, 140, 41, 2, 0, 2, 213, 18, 232, 49, 31,
    0, 0, 0, 0, 90, 22, 0, 0, 2, 214, 18, 112, 50, 31, 0, 0, 0, 0, 68, 41, 2, 0, 2, 216, 18, 128,
    50, 31, 0, 0, 0, 0, 253, 41, 2, 0, 2, 217, 18, 128, 50, 31, 0, 0, 0, 0, 81, 42, 2, 0, 2, 218,
    18, 136, 50, 0, 3, 95, 37, 2, 0, 4, 82, 0, 0, 0, 5, 0, 3, 252, 40, 2, 0, 4, 82, 0, 0, 0, 2, 0,
    28, 0, 0, 0, 0, 16, 10, 2, 167, 18, 29, 0, 0, 0, 0, 20, 41, 2, 0, 2, 168, 18, 0, 0, 3, 32, 41,
    2, 0, 4, 82, 0, 0, 0, 161, 0, 35, 0, 0, 0, 0, 16, 2, 162, 18, 29, 0, 0, 0, 0, 90, 37, 2, 0, 2,
    163, 18, 0, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 164, 18, 8, 0, 35, 0, 0, 0, 0, 0, 2, 82, 18, 29,
    0, 0, 0, 0, 78, 22, 0, 0, 2, 83, 18, 0, 0, 35, 0, 0, 0, 0, 32, 2, 211, 17, 29, 0, 0, 0, 0, 33,
    67, 0, 0, 2, 212, 17, 0, 29, 0, 0, 0, 0, 195, 21, 0, 0, 2, 213, 17, 8, 29, 0, 0, 0, 0, 90, 22,
    0, 0, 2, 214, 17, 24, 0, 35, 0, 0, 0, 0, 136, 2, 97, 18, 29, 0, 0, 0, 0, 241, 41, 2, 0, 2, 98,
    18, 0, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 99, 18, 80, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 100, 18,
    88, 29, 0, 0, 0, 0, 173, 23, 0, 0, 2, 101, 18, 96, 29, 0, 0, 0, 0, 11, 103, 0, 0, 2, 102, 18,
    104, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 103, 18, 120, 29, 0, 0, 0, 0, 63, 39, 2, 0, 2, 104, 18,
    128, 0, 3, 195, 21, 0, 0, 4, 82, 0, 0, 0, 5, 0, 9, 2, 42, 2, 0, 35, 0, 0, 0, 0, 38, 2, 238, 18,
    29, 0, 0, 0, 0, 38, 42, 2, 0, 2, 239, 18, 0, 29, 0, 0, 0, 0, 69, 42, 2, 0, 2, 240, 18, 1, 0,
    39, 50, 42, 2, 0, 0, 0, 0, 0, 2, 224, 14, 39, 62, 42, 2, 0, 0, 0, 0, 0, 2, 222, 14, 5, 0, 0, 0,
    0, 6, 1, 3, 38, 42, 2, 0, 4, 82, 0, 0, 0, 37, 0, 3, 173, 23, 0, 0, 4, 82, 0, 0, 0, 37, 0, 9,
    98, 42, 2, 0, 35, 0, 0, 0, 0, 96, 2, 230, 18, 29, 0, 0, 0, 0, 173, 42, 2, 0, 2, 231, 18, 0, 29,
    0, 0, 0, 0, 38, 42, 2, 0, 2, 232, 18, 64, 29, 0, 0, 0, 0, 235, 42, 2, 0, 2, 233, 18, 66, 29, 0,
    0, 0, 0, 38, 42, 2, 0, 2, 234, 18, 78, 29, 0, 0, 0, 0, 247, 42, 2, 0, 2, 235, 18, 79, 0, 35, 0,
    0, 0, 0, 64, 2, 223, 18, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 224, 18, 0, 29, 0, 0, 0, 0, 168, 0,
    0, 0, 2, 225, 18, 4, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 226, 18, 8, 29, 0, 0, 0, 0, 57, 248, 1,
    0, 2, 227, 18, 16, 0, 3, 229, 67, 0, 0, 4, 82, 0, 0, 0, 6, 0, 3, 38, 42, 2, 0, 4, 82, 0, 0, 0,
    12, 0, 3, 15, 43, 2, 0, 4, 82, 0, 0, 0, 11, 0, 35, 0, 0, 0, 0, 88, 2, 77, 18, 29, 0, 0, 0, 0,
    241, 41, 2, 0, 2, 78, 18, 0, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 79, 18, 80, 0, 3, 173, 23, 0, 0,
    4, 82, 0, 0, 0, 12, 0, 37, 252, 147, 0, 0, 18, 38, 1, 0, 0, 0, 0, 0, 0, 4, 2, 60, 12, 19, 0, 0,
    0, 0, 0, 19, 0, 0, 0, 0, 1, 19, 0, 0, 0, 0, 2, 19, 0, 0, 0, 0, 3, 0, 9, 111, 43, 2, 0, 39, 123,
    43, 2, 0, 0, 0, 0, 0, 2, 101, 3, 35, 0, 0, 0, 0, 48, 2, 123, 9, 44, 141, 43, 2, 0, 2, 124, 9,
    0, 30, 48, 2, 124, 9, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 125, 9, 0, 29, 0, 0, 0, 0, 168, 0, 0, 0,
    2, 126, 9, 4, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 127, 9, 8, 29, 0, 0, 0, 0, 200, 43, 2, 0, 2,
    128, 9, 16, 0, 0, 52, 0, 0, 0, 0, 32, 2, 74, 9, 29, 0, 0, 0, 0, 222, 43, 2, 0, 2, 78, 9, 0, 30,
    8, 2, 75, 9, 29, 0, 0, 0, 0, 133, 67, 1, 0, 2, 76, 9, 0, 29, 0, 0, 0, 0, 123, 62, 0, 0, 2, 77,
    9, 4, 0, 29, 0, 0, 0, 0, 11, 44, 2, 0, 2, 84, 9, 0, 30, 24, 2, 79, 9, 29, 0, 0, 0, 0, 222, 45,
    2, 0, 2, 80, 9, 0, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 81, 9, 4, 29, 0, 0, 0, 0, 233, 45, 2, 0, 2,
    82, 9, 8, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 83, 9, 16, 0, 29, 0, 0, 0, 0, 82, 44, 2, 0, 2, 89,
    9, 0, 30, 16, 2, 85, 9, 29, 0, 0, 0, 0, 133, 67, 1, 0, 2, 86, 9, 0, 29, 0, 0, 0, 0, 123, 62, 0,
    0, 2, 87, 9, 4, 29, 0, 0, 0, 0, 233, 45, 2, 0, 2, 88, 9, 8, 0, 29, 0, 0, 0, 0, 140, 44, 2, 0,
    2, 96, 9, 0, 30, 32, 2, 90, 9, 29, 0, 0, 0, 0, 133, 67, 1, 0, 2, 91, 9, 0, 29, 0, 0, 0, 0, 123,
    62, 0, 0, 2, 92, 9, 4, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 93, 9, 8, 29, 0, 0, 0, 0, 25, 46, 2, 0,
    2, 94, 9, 16, 29, 0, 0, 0, 0, 25, 46, 2, 0, 2, 95, 9, 24, 0, 29, 0, 0, 0, 0, 224, 44, 2, 0, 2,
    111, 9, 0, 30, 32, 2, 97, 9, 29, 0, 0, 0, 0, 26, 1, 0, 0, 2, 98, 9, 0, 44, 251, 44, 2, 0, 2,
    99, 9, 8, 34, 24, 2, 99, 9, 29, 0, 0, 0, 0, 3, 27, 0, 0, 2, 100, 9, 0, 29, 0, 0, 0, 0, 26, 45,
    2, 0, 2, 105, 9, 0, 30, 24, 2, 101, 9, 29, 0, 0, 0, 0, 36, 46, 2, 0, 2, 102, 9, 0, 29, 0, 0, 0,
    0, 26, 1, 0, 0, 2, 103, 9, 8, 29, 0, 0, 0, 0, 26, 1, 0, 0, 2, 104, 9, 16, 0, 29, 0, 0, 0, 0,
    84, 45, 2, 0, 2, 109, 9, 0, 30, 12, 2, 106, 9, 29, 0, 0, 0, 0, 36, 46, 2, 0, 2, 107, 9, 0, 29,
    0, 0, 0, 0, 27, 1, 0, 0, 2, 108, 9, 8, 0, 0, 0, 29, 0, 0, 0, 0, 131, 45, 2, 0, 2, 115, 9, 0,
    30, 16, 2, 112, 9, 29, 0, 0, 0, 0, 19, 1, 0, 0, 2, 113, 9, 0, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2,
    114, 9, 8, 0, 29, 0, 0, 0, 0, 176, 45, 2, 0, 2, 120, 9, 0, 30, 16, 2, 116, 9, 29, 0, 0, 0, 0,
    26, 1, 0, 0, 2, 117, 9, 0, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 118, 9, 8, 29, 0, 0, 0, 0, 38, 1,
    0, 0, 2, 119, 9, 12, 0, 0, 12, 168, 0, 0, 0, 0, 0, 0, 0, 2, 61, 39, 245, 45, 2, 0, 0, 0, 0, 0,
    2, 72, 9, 52, 0, 0, 0, 0, 8, 2, 67, 9, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 68, 9, 0, 29, 0, 0, 0,
    0, 26, 1, 0, 0, 2, 69, 9, 0, 0, 12, 183, 88, 0, 0, 0, 0, 0, 0, 2, 59, 3, 75, 0, 0, 0, 4, 82, 0,
    0, 0, 8, 0, 9, 53, 46, 2, 0, 35, 0, 0, 0, 0, 24, 2, 61, 105, 29, 0, 0, 0, 0, 102, 46, 2, 0, 2,
    62, 105, 0, 29, 0, 0, 0, 0, 19, 1, 0, 0, 2, 63, 105, 8, 29, 0, 0, 0, 0, 125, 46, 2, 0, 2, 64,
    105, 16, 0, 35, 0, 0, 0, 0, 8, 2, 57, 105, 29, 0, 0, 0, 0, 125, 46, 2, 0, 2, 58, 105, 0, 0, 9,
    102, 46, 2, 0, 9, 135, 46, 2, 0, 35, 0, 0, 0, 0, 12, 2, 196, 21, 29, 0, 0, 0, 0, 184, 46, 2, 0,
    2, 197, 21, 0, 29, 0, 0, 0, 0, 219, 46, 2, 0, 2, 198, 21, 4, 29, 0, 0, 0, 0, 207, 46, 2, 0, 2,
    199, 21, 8, 0, 35, 0, 0, 0, 0, 4, 2, 190, 21, 29, 0, 0, 0, 0, 207, 46, 2, 0, 2, 191, 21, 0, 0,
    39, 177, 66, 0, 0, 0, 0, 0, 0, 2, 188, 21, 39, 12, 101, 0, 0, 0, 0, 0, 0, 2, 194, 21, 9, 236,
    46, 2, 0, 35, 0, 0, 0, 0, 88, 2, 226, 127, 29, 0, 0, 0, 0, 195, 21, 0, 0, 2, 227, 127, 0, 29,
    0, 0, 0, 0, 179, 64, 1, 0, 2, 228, 127, 16, 29, 0, 0, 0, 0, 244, 117, 0, 0, 2, 229, 127, 48,
    29, 0, 0, 0, 0, 254, 62, 0, 0, 2, 230, 127, 56, 29, 0, 0, 0, 0, 55, 47, 2, 0, 2, 231, 127, 64,
    0, 52, 0, 0, 0, 0, 24, 2, 205, 127, 29, 0, 0, 0, 0, 77, 47, 2, 0, 2, 210, 127, 0, 30, 24, 2,
    206, 127, 29, 0, 0, 0, 0, 109, 22, 0, 0, 2, 207, 127, 0, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 208,
    127, 8, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 209, 127, 16, 0, 29, 0, 0, 0, 0, 135, 47, 2, 0, 2, 218,
    127, 0, 30, 24, 2, 211, 127, 44, 149, 47, 2, 0, 2, 212, 127, 0, 34, 8, 2, 212, 127, 29, 0, 0,
    0, 0, 104, 91, 0, 0, 2, 213, 127, 0, 29, 0, 0, 0, 0, 109, 22, 0, 0, 2, 214, 127, 0, 0, 29, 0,
    0, 0, 0, 90, 22, 0, 0, 2, 216, 127, 8, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 217, 127, 16, 0, 29, 0,
    0, 0, 0, 221, 47, 2, 0, 2, 223, 127, 0, 30, 24, 2, 219, 127, 29, 0, 0, 0, 0, 109, 22, 0, 0, 2,
    220, 127, 0, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 221, 127, 8, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 222,
    127, 16, 0, 0, 3, 23, 48, 2, 0, 4, 82, 0, 0, 0, 2, 0, 9, 28, 48, 2, 0, 28, 0, 0, 0, 0, 0, 1, 2,
    207, 21, 29, 0, 0, 0, 0, 134, 49, 2, 0, 2, 208, 21, 0, 29, 0, 0, 0, 0, 155, 95, 0, 0, 2, 209,
    21, 8, 29, 0, 0, 0, 0, 128, 104, 0, 0, 2, 210, 21, 16, 29, 0, 0, 0, 0, 195, 21, 0, 0, 2, 211,
    21, 48, 29, 0, 0, 0, 0, 219, 96, 2, 0, 2, 212, 21, 64, 29, 0, 0, 0, 0, 219, 96, 2, 0, 2, 213,
    21, 80, 29, 0, 0, 0, 0, 195, 21, 0, 0, 2, 214, 21, 96, 29, 0, 0, 0, 0, 195, 21, 0, 0, 2, 215,
    21, 112, 29, 0, 0, 0, 0, 195, 21, 0, 0, 2, 216, 21, 128, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 217,
    21, 144, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 218, 21, 148, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 219,
    21, 152, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 220, 21, 156, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 221,
    21, 160, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 222, 21, 164, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 223,
    21, 168, 29, 0, 0, 0, 0, 254, 62, 0, 0, 2, 224, 21, 172, 29, 0, 0, 0, 0, 244, 117, 0, 0, 2,
    225, 21, 176, 29, 0, 0, 0, 0, 109, 22, 0, 0, 2, 226, 21, 184, 29, 0, 0, 0, 0, 109, 22, 0, 0, 2,
    227, 21, 192, 29, 0, 0, 0, 0, 23, 48, 2, 0, 2, 228, 21, 200, 29, 0, 0, 0, 0, 109, 22, 0, 0, 2,
    229, 21, 208, 29, 0, 0, 0, 0, 109, 22, 0, 0, 2, 230, 21, 216, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2,
    231, 21, 224, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 232, 21, 228, 29, 0, 0, 0, 0, 26, 1, 0, 0, 2,
    233, 21, 232, 29, 0, 0, 0, 0, 28, 22, 0, 0, 2, 234, 21, 240, 0, 9, 139, 49, 2, 0, 28, 0, 0, 0,
    0, 40, 1, 2, 248, 24, 29, 0, 0, 0, 0, 195, 21, 0, 0, 2, 249, 24, 0, 29, 0, 0, 0, 0, 120, 81, 0,
    0, 2, 250, 24, 16, 29, 0, 0, 0, 0, 92, 168, 0, 0, 2, 251, 24, 24, 29, 0, 0, 0, 0, 15, 89, 0, 0,
    2, 252, 24, 32, 29, 0, 0, 0, 0, 15, 89, 0, 0, 2, 253, 24, 40, 29, 0, 0, 0, 0, 233, 21, 0, 0, 2,
    254, 24, 48, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 255, 24, 56, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 0,
    25, 60, 29, 0, 0, 0, 0, 176, 51, 0, 0, 2, 1, 25, 64, 29, 0, 0, 0, 0, 150, 51, 2, 0, 2, 2, 25,
    72, 29, 0, 0, 0, 0, 242, 23, 0, 0, 2, 3, 25, 80, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 4, 25, 84,
    29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 5, 25, 88, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 6, 25, 92, 29, 0,
    0, 0, 0, 97, 95, 2, 0, 2, 7, 25, 96, 29, 0, 0, 0, 0, 97, 95, 2, 0, 2, 8, 25, 104, 29, 0, 0, 0,
    0, 109, 95, 2, 0, 2, 9, 25, 112, 29, 0, 0, 0, 0, 125, 95, 2, 0, 2, 10, 25, 120, 29, 0, 0, 0, 0,
    125, 95, 2, 0, 2, 11, 25, 128, 29, 0, 0, 0, 0, 142, 95, 2, 0, 2, 12, 25, 136, 29, 0, 0, 0, 0,
    163, 95, 2, 0, 2, 13, 25, 144, 29, 0, 0, 0, 0, 163, 95, 2, 0, 2, 14, 25, 152, 29, 0, 0, 0, 0,
    163, 95, 2, 0, 2, 15, 25, 160, 29, 0, 0, 0, 0, 147, 67, 2, 0, 2, 16, 25, 168, 29, 0, 0, 0, 0,
    180, 95, 2, 0, 2, 17, 25, 176, 29, 0, 0, 0, 0, 197, 95, 2, 0, 2, 18, 25, 184, 29, 0, 0, 0, 0,
    97, 95, 2, 0, 2, 19, 25, 192, 29, 0, 0, 0, 0, 109, 95, 2, 0, 2, 20, 25, 200, 29, 0, 0, 0, 0,
    213, 95, 2, 0, 2, 21, 25, 208, 29, 0, 0, 0, 0, 251, 68, 1, 0, 2, 22, 25, 216, 29, 0, 0, 0, 0,
    230, 95, 2, 0, 2, 23, 25, 224, 29, 0, 0, 0, 0, 247, 95, 2, 0, 2, 24, 25, 232, 29, 0, 0, 0, 0,
    170, 136, 0, 0, 2, 25, 25, 240, 29, 0, 0, 0, 0, 22, 96, 2, 0, 2, 26, 25, 248, 31, 0, 0, 0, 0,
    182, 96, 2, 0, 2, 27, 25, 0, 1, 31, 0, 0, 0, 0, 147, 67, 2, 0, 2, 28, 25, 8, 1, 31, 0, 0, 0, 0,
    109, 95, 2, 0, 2, 29, 25, 16, 1, 31, 0, 0, 0, 0, 109, 95, 2, 0, 2, 30, 25, 24, 1, 31, 0, 0, 0,
    0, 198, 96, 2, 0, 2, 31, 25, 32, 1, 0, 9, 155, 51, 2, 0, 28, 0, 0, 0, 0, 184, 1, 2, 173, 28,
    29, 0, 0, 0, 0, 28, 48, 2, 0, 2, 174, 28, 0, 31, 0, 0, 0, 0, 23, 48, 2, 0, 2, 175, 28, 0, 1,
    31, 0, 0, 0, 0, 168, 0, 0, 0, 2, 176, 28, 8, 1, 31, 0, 0, 0, 0, 168, 0, 0, 0, 2, 177, 28, 12,
    1, 31, 0, 0, 0, 0, 155, 95, 0, 0, 2, 178, 28, 16, 1, 31, 0, 0, 0, 0, 195, 198, 0, 0, 2, 179,
    28, 24, 1, 31, 0, 0, 0, 0, 183, 198, 0, 0, 2, 180, 28, 88, 1, 31, 0, 0, 0, 0, 38, 1, 0, 0, 2,
    181, 28, 96, 1, 31, 0, 0, 0, 0, 133, 52, 2, 0, 2, 182, 28, 104, 1, 31, 0, 0, 0, 0, 195, 21, 0,
    0, 2, 183, 28, 112, 1, 31, 0, 0, 0, 0, 195, 21, 0, 0, 2, 184, 28, 128, 1, 31, 0, 0, 0, 0, 168,
    0, 0, 0, 2, 185, 28, 144, 1, 31, 0, 0, 0, 0, 168, 0, 0, 0, 2, 186, 28, 148, 1, 31, 0, 0, 0, 0,
    168, 0, 0, 0, 2, 187, 28, 152, 1, 31, 0, 0, 0, 0, 215, 52, 2, 0, 2, 188, 28, 160, 1, 31, 0, 0,
    0, 0, 85, 95, 2, 0, 2, 189, 28, 168, 1, 0, 9, 138, 52, 2, 0, 35, 0, 0, 0, 0, 248, 2, 247, 28,
    29, 0, 0, 0, 0, 62, 143, 0, 0, 2, 248, 28, 0, 29, 0, 0, 0, 0, 174, 52, 2, 0, 2, 249, 28, 240,
    0, 9, 179, 52, 2, 0, 35, 0, 0, 0, 0, 16, 2, 252, 28, 29, 0, 0, 0, 0, 109, 22, 0, 0, 2, 253, 28,
    0, 29, 0, 0, 0, 0, 109, 22, 0, 0, 2, 254, 28, 8, 0, 9, 220, 52, 2, 0, 9, 225, 52, 2, 0, 28, 0,
    0, 0, 0, 152, 4, 2, 51, 16, 29, 0, 0, 0, 0, 195, 21, 0, 0, 2, 52, 16, 0, 29, 0, 0, 0, 0, 195,
    21, 0, 0, 2, 53, 16, 16, 29, 0, 0, 0, 0, 195, 21, 0, 0, 2, 54, 16, 32, 29, 0, 0, 0, 0, 229, 39,
    0, 0, 2, 55, 16, 48, 29, 0, 0, 0, 0, 109, 22, 0, 0, 2, 56, 16, 72, 29, 0, 0, 0, 0, 195, 21, 0,
    0, 2, 57, 16, 80, 29, 0, 0, 0, 0, 152, 21, 0, 0, 2, 58, 16, 96, 29, 0, 0, 0, 0, 195, 21, 0, 0,
    2, 59, 16, 112, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 60, 16, 128, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2,
    61, 16, 132, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 62, 16, 136, 29, 0, 0, 0, 0, 220, 52, 2, 0, 2,
    63, 16, 144, 29, 0, 0, 0, 0, 134, 49, 2, 0, 2, 64, 16, 152, 29, 0, 0, 0, 0, 26, 1, 0, 0, 2, 65,
    16, 160, 29, 0, 0, 0, 0, 169, 56, 2, 0, 2, 66, 16, 168, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 67, 16,
    172, 29, 0, 0, 0, 0, 235, 56, 2, 0, 2, 68, 16, 176, 29, 0, 0, 0, 0, 185, 23, 0, 0, 2, 69, 16,
    184, 29, 0, 0, 0, 0, 109, 22, 0, 0, 2, 70, 16, 192, 29, 0, 0, 0, 0, 109, 22, 0, 0, 2, 71, 16,
    200, 29, 0, 0, 0, 0, 109, 22, 0, 0, 2, 72, 16, 208, 29, 0, 0, 0, 0, 109, 22, 0, 0, 2, 73, 16,
    216, 29, 0, 0, 0, 0, 10, 57, 2, 0, 2, 74, 16, 224, 31, 0, 0, 0, 0, 229, 67, 0, 0, 2, 75, 16,
    88, 1, 31, 0, 0, 0, 0, 229, 67, 0, 0, 2, 76, 16, 90, 1, 31, 0, 0, 0, 0, 229, 67, 0, 0, 2, 77,
    16, 92, 1, 31, 0, 0, 0, 0, 220, 60, 2, 0, 2, 78, 16, 96, 1, 31, 0, 0, 0, 0, 23, 48, 2, 0, 2,
    79, 16, 32, 2, 31, 0, 0, 0, 0, 173, 23, 0, 0, 2, 80, 16, 40, 2, 31, 0, 0, 0, 0, 185, 23, 0, 0,
    2, 81, 16, 48, 2, 31, 0, 0, 0, 0, 185, 23, 0, 0, 2, 82, 16, 56, 2, 31, 0, 0, 0, 0, 128, 104, 0,
    0, 2, 83, 16, 64, 2, 31, 0, 0, 0, 0, 195, 21, 0, 0, 2, 84, 16, 96, 2, 31, 0, 0, 0, 0, 220, 52,
    2, 0, 2, 85, 16, 112, 2, 31, 0, 0, 0, 0, 168, 0, 0, 0, 2, 86, 16, 120, 2, 31, 0, 0, 0, 0, 168,
    0, 0, 0, 2, 87, 16, 124, 2, 31, 0, 0, 0, 0, 195, 21, 0, 0, 2, 88, 16, 128, 2, 31, 0, 0, 0, 0,
    244, 117, 0, 0, 2, 89, 16, 144, 2, 31, 0, 0, 0, 0, 128, 104, 0, 0, 2, 90, 16, 152, 2, 31, 0, 0,
    0, 0, 242, 23, 0, 0, 2, 91, 16, 184, 2, 31, 0, 0, 0, 0, 120, 63, 2, 0, 2, 92, 16, 192, 2, 31,
    0, 0, 0, 0, 195, 21, 0, 0, 2, 93, 16, 200, 2, 31, 0, 0, 0, 0, 90, 22, 0, 0, 2, 94, 16, 216, 2,
    31, 0, 0, 0, 0, 168, 0, 0, 0, 2, 95, 16, 224, 2, 31, 0, 0, 0, 0, 190, 104, 0, 0, 2, 96, 16,
    232, 2, 31, 0, 0, 0, 0, 238, 104, 0, 0, 2, 97, 16, 0, 3, 31, 0, 0, 0, 0, 168, 0, 0, 0, 2, 98,
    16, 8, 3, 31, 0, 0, 0, 0, 168, 0, 0, 0, 2, 99, 16, 12, 3, 31, 0, 0, 0, 0, 168, 0, 0, 0, 2, 100,
    16, 16, 3, 31, 0, 0, 0, 0, 171, 51, 1, 0, 2, 101, 16, 24, 3, 31, 0, 0, 0, 0, 242, 23, 0, 0, 2,
    102, 16, 48, 3, 31, 0, 0, 0, 0, 57, 67, 2, 0, 2, 103, 16, 56, 3, 31, 0, 0, 0, 0, 106, 67, 2, 0,
    2, 104, 16, 80, 3, 31, 0, 0, 0, 0, 90, 22, 0, 0, 2, 105, 16, 88, 3, 31, 0, 0, 0, 0, 220, 52, 2,
    0, 2, 106, 16, 96, 3, 31, 0, 0, 0, 0, 147, 67, 2, 0, 2, 107, 16, 104, 3, 31, 0, 0, 0, 0, 28,
    22, 0, 0, 2, 108, 16, 112, 3, 31, 0, 0, 0, 0, 67, 68, 1, 0, 2, 109, 16, 128, 3, 31, 0, 0, 0, 0,
    109, 22, 0, 0, 2, 110, 16, 136, 3, 31, 0, 0, 0, 0, 159, 67, 2, 0, 2, 111, 16, 144, 3, 31, 0, 0,
    0, 0, 171, 67, 2, 0, 2, 112, 16, 152, 3, 31, 0, 0, 0, 0, 26, 1, 0, 0, 2, 113, 16, 160, 3, 31,
    0, 0, 0, 0, 171, 67, 2, 0, 2, 114, 16, 168, 3, 31, 0, 0, 0, 0, 61, 255, 0, 0, 2, 115, 16, 176,
    3, 31, 0, 0, 0, 0, 247, 72, 2, 0, 2, 116, 16, 184, 3, 31, 0, 0, 0, 0, 243, 82, 2, 0, 2, 117,
    16, 192, 3, 31, 0, 0, 0, 0, 77, 88, 2, 0, 2, 118, 16, 200, 3, 31, 0, 0, 0, 0, 133, 52, 2, 0, 2,
    119, 16, 120, 4, 31, 0, 0, 0, 0, 26, 1, 0, 0, 2, 120, 16, 128, 4, 31, 0, 0, 0, 0, 195, 21, 0,
    0, 2, 121, 16, 136, 4, 0, 18, 38, 1, 0, 0, 0, 0, 0, 0, 4, 2, 92, 15, 19, 0, 0, 0, 0, 252, 255,
    255, 255, 15, 19, 0, 0, 0, 0, 253, 255, 255, 255, 15, 19, 0, 0, 0, 0, 254, 255, 255, 255, 15,
    19, 0, 0, 0, 0, 255, 255, 255, 255, 15, 19, 0, 0, 0, 0, 0, 19, 0, 0, 0, 0, 1, 0, 39, 247, 56,
    2, 0, 0, 0, 0, 0, 2, 107, 15, 30, 8, 2, 105, 15, 29, 0, 0, 0, 0, 211, 231, 1, 0, 2, 106, 15, 0,
    0, 35, 0, 0, 0, 0, 120, 2, 109, 15, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 110, 15, 0, 29, 0, 0, 0, 0,
    27, 1, 0, 0, 2, 111, 15, 4, 29, 0, 0, 0, 0, 197, 0, 0, 0, 2, 112, 15, 8, 44, 67, 57, 2, 0, 2,
    113, 15, 16, 34, 8, 2, 113, 15, 29, 0, 0, 0, 0, 197, 0, 0, 0, 2, 114, 15, 0, 29, 0, 0, 0, 0,
    197, 0, 0, 0, 2, 115, 15, 0, 0, 29, 0, 0, 0, 0, 197, 0, 0, 0, 2, 117, 15, 24, 29, 0, 0, 0, 0,
    197, 0, 0, 0, 2, 118, 15, 32, 45, 0, 0, 0, 0, 197, 0, 0, 0, 2, 119, 15, 8, 1, 63, 40, 45, 0, 0,
    0, 0, 197, 0, 0, 0, 2, 120, 15, 8, 1, 62, 40, 45, 0, 0, 0, 0, 197, 0, 0, 0, 2, 121, 15, 8, 1,
    61, 40, 45, 0, 0, 0, 0, 197, 0, 0, 0, 2, 122, 15, 8, 1, 60, 40, 45, 0, 0, 0, 0, 197, 0, 0, 0,
    2, 123, 15, 8, 1, 59, 40, 45, 0, 0, 0, 0, 197, 0, 0, 0, 2, 124, 15, 8, 1, 58, 40, 45, 0, 0, 0,
    0, 197, 0, 0, 0, 2, 125, 15, 8, 1, 57, 40, 45, 0, 0, 0, 0, 197, 0, 0, 0, 2, 126, 15, 8, 1, 56,
    40, 45, 0, 0, 0, 0, 197, 0, 0, 0, 2, 127, 15, 8, 1, 55, 40, 45, 0, 0, 0, 0, 197, 0, 0, 0, 2,
    128, 15, 8, 1, 54, 40, 45, 0, 0, 0, 0, 197, 0, 0, 0, 2, 129, 15, 8, 1, 53, 40, 45, 0, 0, 0, 0,
    197, 0, 0, 0, 2, 130, 15, 8, 1, 52, 40, 45, 0, 0, 0, 0, 197, 0, 0, 0, 2, 131, 15, 8, 1, 51, 40,
    45, 0, 0, 0, 0, 197, 0, 0, 0, 2, 132, 15, 8, 1, 50, 40, 45, 0, 0, 0, 0, 197, 0, 0, 0, 2, 133,
    15, 8, 1, 49, 40, 45, 0, 0, 0, 0, 197, 0, 0, 0, 2, 134, 15, 8, 2, 47, 40, 45, 0, 0, 0, 0, 197,
    0, 0, 0, 2, 135, 15, 8, 1, 46, 40, 45, 0, 0, 0, 0, 197, 0, 0, 0, 2, 136, 15, 8, 1, 45, 40, 45,
    0, 0, 0, 0, 197, 0, 0, 0, 2, 137, 15, 8, 1, 44, 40, 45, 0, 0, 0, 0, 197, 0, 0, 0, 2, 138, 15,
    8, 1, 43, 40, 45, 0, 0, 0, 0, 197, 0, 0, 0, 2, 139, 15, 8, 1, 42, 40, 45, 0, 0, 0, 0, 197, 0,
    0, 0, 2, 140, 15, 8, 1, 41, 40, 45, 0, 0, 0, 0, 197, 0, 0, 0, 2, 141, 15, 8, 1, 40, 40, 45, 0,
    0, 0, 0, 197, 0, 0, 0, 2, 142, 15, 8, 1, 39, 40, 45, 0, 0, 0, 0, 197, 0, 0, 0, 2, 143, 15, 8,
    1, 38, 40, 45, 0, 0, 0, 0, 197, 0, 0, 0, 2, 144, 15, 8, 1, 37, 40, 45, 0, 0, 0, 0, 197, 0, 0,
    0, 2, 145, 15, 8, 1, 36, 40, 45, 0, 0, 0, 0, 197, 0, 0, 0, 2, 146, 15, 8, 1, 35, 40, 45, 0, 0,
    0, 0, 197, 0, 0, 0, 2, 147, 15, 8, 1, 34, 40, 45, 0, 0, 0, 0, 197, 0, 0, 0, 2, 148, 15, 8, 1,
    33, 40, 45, 0, 0, 0, 0, 197, 0, 0, 0, 2, 149, 15, 8, 1, 32, 40, 45, 0, 0, 0, 0, 197, 0, 0, 0,
    2, 150, 15, 8, 1, 31, 40, 45, 0, 0, 0, 0, 197, 0, 0, 0, 2, 151, 15, 8, 1, 30, 40, 45, 0, 0, 0,
    0, 197, 0, 0, 0, 2, 152, 15, 8, 30, 0, 40, 44, 166, 59, 2, 0, 2, 153, 15, 48, 34, 4, 2, 153,
    15, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 154, 15, 0, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 155, 15, 0, 0,
    29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 157, 15, 52, 44, 220, 59, 2, 0, 2, 158, 15, 56, 34, 8, 2, 158,
    15, 29, 0, 0, 0, 0, 197, 0, 0, 0, 2, 159, 15, 0, 29, 0, 0, 0, 0, 197, 0, 0, 0, 2, 160, 15, 0,
    29, 0, 0, 0, 0, 197, 0, 0, 0, 2, 161, 15, 0, 29, 0, 0, 0, 0, 197, 0, 0, 0, 2, 162, 15, 0, 0,
    44, 31, 60, 2, 0, 2, 164, 15, 64, 34, 8, 2, 164, 15, 29, 0, 0, 0, 0, 197, 0, 0, 0, 2, 165, 15,
    0, 29, 0, 0, 0, 0, 197, 0, 0, 0, 2, 166, 15, 0, 29, 0, 0, 0, 0, 197, 0, 0, 0, 2, 167, 15, 0,
    29, 0, 0, 0, 0, 197, 0, 0, 0, 2, 168, 15, 0, 0, 29, 0, 0, 0, 0, 197, 0, 0, 0, 2, 170, 15, 72,
    29, 0, 0, 0, 0, 197, 0, 0, 0, 2, 171, 15, 80, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 172, 15, 88, 29,
    0, 0, 0, 0, 147, 26, 0, 0, 2, 173, 15, 92, 29, 0, 0, 0, 0, 197, 0, 0, 0, 2, 174, 15, 96, 29, 0,
    0, 0, 0, 27, 1, 0, 0, 2, 175, 15, 104, 29, 0, 0, 0, 0, 225, 24, 0, 0, 2, 176, 15, 108, 29, 0,
    0, 0, 0, 225, 24, 0, 0, 2, 177, 15, 110, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 178, 15, 112, 29, 0,
    0, 0, 0, 27, 1, 0, 0, 2, 179, 15, 116, 0, 35, 0, 0, 0, 0, 192, 2, 196, 15, 44, 238, 60, 2, 0,
    2, 197, 15, 0, 34, 96, 2, 197, 15, 44, 252, 60, 2, 0, 2, 198, 15, 0, 30, 96, 2, 198, 15, 29, 0,
    0, 0, 0, 109, 22, 0, 0, 2, 199, 15, 0, 29, 0, 0, 0, 0, 109, 22, 0, 0, 2, 200, 15, 8, 29, 0, 0,
    0, 0, 90, 22, 0, 0, 2, 201, 15, 16, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 202, 15, 24, 29, 0, 0, 0,
    0, 168, 0, 0, 0, 2, 203, 15, 32, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 204, 15, 36, 29, 0, 0, 0, 0,
    168, 0, 0, 0, 2, 205, 15, 40, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 206, 15, 44, 29, 0, 0, 0, 0,
    252, 62, 2, 0, 2, 207, 15, 48, 29, 0, 0, 0, 0, 252, 62, 2, 0, 2, 208, 15, 72, 0, 44, 141, 61,
    2, 0, 2, 210, 15, 0, 30, 64, 2, 210, 15, 29, 0, 0, 0, 0, 195, 198, 0, 0, 2, 211, 15, 0, 0, 44,
    169, 61, 2, 0, 2, 213, 15, 0, 30, 16, 2, 213, 15, 29, 0, 0, 0, 0, 195, 21, 0, 0, 2, 214, 15, 0,
    0, 44, 197, 61, 2, 0, 2, 216, 15, 0, 30, 16, 2, 216, 15, 29, 0, 0, 0, 0, 109, 22, 0, 0, 2, 217,
    15, 0, 29, 0, 0, 0, 0, 109, 22, 0, 0, 2, 218, 15, 8, 0, 44, 238, 61, 2, 0, 2, 220, 15, 0, 30,
    40, 2, 220, 15, 29, 0, 0, 0, 0, 58, 63, 2, 0, 2, 221, 15, 0, 29, 0, 0, 0, 0, 195, 21, 0, 0, 2,
    222, 15, 24, 0, 44, 23, 62, 2, 0, 2, 224, 15, 0, 30, 24, 2, 224, 15, 29, 0, 0, 0, 0, 218, 67,
    0, 0, 2, 225, 15, 0, 29, 0, 0, 0, 0, 218, 67, 0, 0, 2, 226, 15, 1, 29, 0, 0, 0, 0, 229, 67, 0,
    0, 2, 227, 15, 2, 29, 0, 0, 0, 0, 109, 22, 0, 0, 2, 228, 15, 8, 29, 0, 0, 0, 0, 109, 22, 0, 0,
    2, 229, 15, 16, 0, 0, 29, 0, 0, 0, 0, 244, 117, 0, 0, 2, 232, 15, 96, 29, 0, 0, 0, 0, 26, 1, 0,
    0, 2, 233, 15, 104, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 234, 15, 112, 29, 0, 0, 0, 0, 168, 0, 0,
    0, 2, 235, 15, 120, 29, 0, 0, 0, 0, 235, 56, 2, 0, 2, 236, 15, 128, 29, 0, 0, 0, 0, 109, 22, 0,
    0, 2, 237, 15, 136, 29, 0, 0, 0, 0, 109, 22, 0, 0, 2, 238, 15, 144, 29, 0, 0, 0, 0, 235, 56, 2,
    0, 2, 239, 15, 152, 29, 0, 0, 0, 0, 109, 22, 0, 0, 2, 240, 15, 160, 29, 0, 0, 0, 0, 109, 22, 0,
    0, 2, 241, 15, 168, 29, 0, 0, 0, 0, 109, 22, 0, 0, 2, 242, 15, 176, 29, 0, 0, 0, 0, 109, 22, 0,
    0, 2, 243, 15, 184, 0, 35, 0, 0, 0, 0, 24, 2, 182, 15, 29, 0, 0, 0, 0, 109, 22, 0, 0, 2, 183,
    15, 0, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 184, 15, 8, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 185, 15,
    12, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 186, 15, 16, 0, 35, 0, 0, 0, 0, 24, 2, 189, 15, 29, 0, 0,
    0, 0, 90, 22, 0, 0, 2, 190, 15, 0, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 191, 15, 8, 29, 0, 0, 0, 0,
    218, 67, 0, 0, 2, 192, 15, 16, 29, 0, 0, 0, 0, 218, 67, 0, 0, 2, 193, 15, 17, 0, 9, 125, 63, 2,
    0, 35, 0, 0, 0, 0, 240, 2, 101, 161, 29, 0, 0, 0, 0, 254, 62, 0, 0, 2, 102, 161, 0, 29, 0, 0,
    0, 0, 28, 22, 0, 0, 2, 103, 161, 8, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 104, 161, 24, 29, 0, 0, 0,
    0, 168, 0, 0, 0, 2, 105, 161, 28, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 106, 161, 32, 29, 0, 0, 0,
    0, 242, 23, 0, 0, 2, 107, 161, 36, 29, 0, 0, 0, 0, 211, 231, 1, 0, 2, 108, 161, 40, 29, 0, 0,
    0, 0, 38, 1, 0, 0, 2, 109, 161, 48, 29, 0, 0, 0, 0, 211, 231, 1, 0, 2, 110, 161, 56, 29, 0, 0,
    0, 0, 211, 231, 1, 0, 2, 111, 161, 64, 29, 0, 0, 0, 0, 211, 231, 1, 0, 2, 112, 161, 72, 29, 0,
    0, 0, 0, 19, 1, 0, 0, 2, 113, 161, 80, 29, 0, 0, 0, 0, 19, 1, 0, 0, 2, 114, 161, 88, 29, 0, 0,
    0, 0, 33, 67, 0, 0, 2, 115, 161, 96, 29, 0, 0, 0, 0, 195, 21, 0, 0, 2, 116, 161, 104, 29, 0, 0,
    0, 0, 242, 23, 0, 0, 2, 117, 161, 120, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 118, 161, 128, 29, 0,
    0, 0, 0, 177, 106, 0, 0, 2, 119, 161, 136, 29, 0, 0, 0, 0, 19, 1, 0, 0, 2, 120, 161, 144, 29,
    0, 0, 0, 0, 38, 1, 0, 0, 2, 121, 161, 152, 29, 0, 0, 0, 0, 19, 1, 0, 0, 2, 122, 161, 160, 29,
    0, 0, 0, 0, 90, 22, 0, 0, 2, 123, 161, 168, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 124, 161, 176, 29,
    0, 0, 0, 0, 168, 0, 0, 0, 2, 125, 161, 180, 29, 0, 0, 0, 0, 242, 23, 0, 0, 2, 126, 161, 184,
    29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 127, 161, 192, 29, 0, 0, 0, 0, 170, 136, 0, 0, 2, 128, 161,
    200, 29, 0, 0, 0, 0, 254, 62, 0, 0, 2, 129, 161, 208, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 130,
    161, 212, 29, 0, 0, 0, 0, 230, 37, 1, 0, 2, 131, 161, 216, 29, 0, 0, 0, 0, 26, 1, 0, 0, 2, 132,
    161, 224, 29, 0, 0, 0, 0, 52, 65, 2, 0, 2, 133, 161, 232, 29, 0, 0, 0, 0, 141, 189, 1, 0, 2,
    134, 161, 240, 0, 9, 57, 65, 2, 0, 28, 0, 0, 0, 0, 64, 4, 2, 116, 58, 29, 0, 0, 0, 0, 27, 1, 0,
    0, 2, 117, 58, 0, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 118, 58, 4, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2,
    119, 58, 8, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 120, 58, 12, 29, 0, 0, 0, 0, 224, 23, 0, 0, 2, 121,
    58, 16, 29, 0, 0, 0, 0, 197, 0, 0, 0, 2, 122, 58, 24, 29, 0, 0, 0, 0, 197, 0, 0, 0, 2, 123, 58,
    32, 44, 167, 65, 2, 0, 2, 124, 58, 40, 34, 8, 2, 124, 58, 29, 0, 0, 0, 0, 197, 0, 0, 0, 2, 125,
    58, 0, 44, 194, 65, 2, 0, 2, 126, 58, 0, 30, 8, 2, 126, 58, 45, 0, 0, 0, 0, 197, 0, 0, 0, 2,
    127, 58, 8, 1, 63, 0, 45, 0, 0, 0, 0, 197, 0, 0, 0, 2, 128, 58, 8, 1, 62, 0, 45, 0, 0, 0, 0,
    197, 0, 0, 0, 2, 129, 58, 8, 1, 61, 0, 45, 0, 0, 0, 0, 197, 0, 0, 0, 2, 130, 58, 8, 1, 60, 0,
    45, 0, 0, 0, 0, 197, 0, 0, 0, 2, 131, 58, 8, 1, 59, 0, 45, 0, 0, 0, 0, 197, 0, 0, 0, 2, 132,
    58, 8, 1, 58, 0, 45, 0, 0, 0, 0, 197, 0, 0, 0, 2, 133, 58, 8, 58, 0, 0, 0, 0, 29, 0, 0, 0, 0,
    225, 24, 0, 0, 2, 136, 58, 48, 29, 0, 0, 0, 0, 225, 24, 0, 0, 2, 137, 58, 50, 29, 0, 0, 0, 0,
    27, 1, 0, 0, 2, 138, 58, 52, 29, 0, 0, 0, 0, 197, 0, 0, 0, 2, 139, 58, 56, 29, 0, 0, 0, 0, 197,
    0, 0, 0, 2, 140, 58, 64, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 141, 58, 72, 29, 0, 0, 0, 0, 27, 1, 0,
    0, 2, 142, 58, 76, 29, 0, 0, 0, 0, 197, 0, 0, 0, 2, 143, 58, 80, 29, 0, 0, 0, 0, 197, 0, 0, 0,
    2, 144, 58, 88, 29, 0, 0, 0, 0, 44, 67, 2, 0, 2, 145, 58, 96, 31, 0, 0, 0, 0, 197, 0, 0, 0, 2,
    146, 58, 0, 4, 31, 0, 0, 0, 0, 197, 0, 0, 0, 2, 147, 58, 8, 4, 31, 0, 0, 0, 0, 197, 0, 0, 0, 2,
    148, 58, 16, 4, 31, 0, 0, 0, 0, 197, 0, 0, 0, 2, 149, 58, 24, 4, 31, 0, 0, 0, 0, 197, 0, 0, 0,
    2, 150, 58, 32, 4, 31, 0, 0, 0, 0, 197, 0, 0, 0, 2, 151, 58, 40, 4, 31, 0, 0, 0, 0, 197, 0, 0,
    0, 2, 152, 58, 48, 4, 31, 0, 0, 0, 0, 197, 0, 0, 0, 2, 153, 58, 56, 4, 0, 3, 158, 26, 0, 0, 50,
    82, 0, 0, 0, 160, 3, 0, 35, 0, 0, 0, 0, 24, 2, 1, 16, 29, 0, 0, 0, 0, 195, 21, 0, 0, 2, 2, 16,
    0, 29, 0, 0, 0, 0, 155, 95, 0, 0, 2, 3, 16, 16, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 4, 16, 20, 0,
    9, 111, 67, 2, 0, 35, 0, 0, 0, 0, 16, 2, 205, 28, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 206, 28, 0,
    29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 207, 28, 8, 0, 9, 152, 67, 2, 0, 38, 15, 220, 52, 2, 0, 0, 9,
    164, 67, 2, 0, 57, 109, 22, 0, 0, 58, 0, 39, 183, 67, 2, 0, 0, 0, 0, 0, 2, 9, 16, 9, 188, 67,
    2, 0, 38, 15, 220, 52, 2, 0, 15, 205, 67, 2, 0, 15, 215, 71, 2, 0, 0, 9, 210, 67, 2, 0, 28, 0,
    0, 0, 0, 128, 1, 2, 210, 28, 29, 0, 0, 0, 0, 109, 22, 0, 0, 2, 211, 28, 0, 29, 0, 0, 0, 0, 63,
    69, 2, 0, 2, 212, 28, 8, 29, 0, 0, 0, 0, 242, 69, 2, 0, 2, 213, 28, 16, 29, 0, 0, 0, 0, 109,
    22, 0, 0, 2, 214, 28, 24, 29, 0, 0, 0, 0, 109, 22, 0, 0, 2, 215, 28, 32, 29, 0, 0, 0, 0, 109,
    22, 0, 0, 2, 216, 28, 40, 29, 0, 0, 0, 0, 200, 70, 2, 0, 2, 217, 28, 48, 29, 0, 0, 0, 0, 109,
    22, 0, 0, 2, 218, 28, 56, 29, 0, 0, 0, 0, 109, 22, 0, 0, 2, 219, 28, 64, 29, 0, 0, 0, 0, 94,
    68, 2, 0, 2, 223, 28, 72, 30, 8, 2, 220, 28, 29, 0, 0, 0, 0, 177, 66, 0, 0, 2, 221, 28, 0, 29,
    0, 0, 0, 0, 177, 66, 0, 0, 2, 222, 28, 4, 0, 29, 0, 0, 0, 0, 109, 22, 0, 0, 2, 224, 28, 80, 29,
    0, 0, 0, 0, 109, 22, 0, 0, 2, 225, 28, 88, 29, 0, 0, 0, 0, 109, 22, 0, 0, 2, 226, 28, 96, 29,
    0, 0, 0, 0, 178, 68, 2, 0, 2, 230, 28, 104, 30, 8, 2, 227, 28, 29, 0, 0, 0, 0, 177, 66, 0, 0,
    2, 228, 28, 0, 29, 0, 0, 0, 0, 177, 66, 0, 0, 2, 229, 28, 4, 0, 29, 0, 0, 0, 0, 126, 71, 2, 0,
    2, 231, 28, 112, 29, 0, 0, 0, 0, 109, 22, 0, 0, 2, 232, 28, 120, 29, 0, 0, 0, 0, 179, 71, 2, 0,
    2, 233, 28, 128, 29, 0, 0, 0, 0, 220, 71, 2, 0, 2, 234, 28, 144, 31, 0, 0, 0, 0, 179, 71, 2, 0,
    2, 235, 28, 56, 1, 31, 0, 0, 0, 0, 109, 22, 0, 0, 2, 236, 28, 72, 1, 31, 0, 0, 0, 0, 109, 22,
    0, 0, 2, 237, 28, 80, 1, 31, 0, 0, 0, 0, 109, 22, 0, 0, 2, 238, 28, 88, 1, 0, 9, 68, 69, 2, 0,
    35, 0, 0, 0, 0, 32, 2, 162, 28, 29, 0, 0, 0, 0, 104, 69, 2, 0, 2, 163, 28, 0, 29, 0, 0, 0, 0,
    177, 66, 0, 0, 2, 164, 28, 28, 0, 35, 0, 0, 0, 0, 28, 2, 152, 28, 44, 122, 69, 2, 0, 2, 153,
    28, 0, 34, 8, 2, 153, 28, 29, 0, 0, 0, 0, 194, 69, 2, 0, 2, 154, 28, 0, 29, 0, 0, 0, 0, 90, 22,
    0, 0, 2, 155, 28, 0, 0, 29, 0, 0, 0, 0, 199, 69, 2, 0, 2, 157, 28, 8, 29, 0, 0, 0, 0, 26, 1, 0,
    0, 2, 158, 28, 16, 29, 0, 0, 0, 0, 177, 66, 0, 0, 2, 159, 28, 24, 0, 9, 104, 69, 2, 0, 39, 211,
    69, 2, 0, 0, 0, 0, 0, 2, 150, 28, 9, 216, 69, 2, 0, 14, 90, 22, 0, 0, 15, 26, 1, 0, 0, 15, 45,
    1, 0, 0, 15, 90, 22, 0, 0, 15, 90, 22, 0, 0, 0, 9, 247, 69, 2, 0, 35, 0, 0, 0, 0, 16, 2, 167,
    28, 29, 0, 0, 0, 0, 197, 0, 0, 0, 2, 168, 28, 0, 29, 0, 0, 0, 0, 197, 0, 0, 0, 2, 169, 28, 8,
    29, 0, 0, 0, 0, 40, 70, 2, 0, 2, 170, 28, 16, 0, 3, 52, 70, 2, 0, 4, 82, 0, 0, 0, 0, 0, 35, 0,
    0, 0, 0, 24, 2, 181, 24, 29, 0, 0, 0, 0, 197, 0, 0, 0, 2, 182, 24, 0, 29, 0, 0, 0, 0, 197, 0,
    0, 0, 2, 183, 24, 8, 45, 0, 0, 0, 0, 197, 0, 0, 0, 2, 184, 24, 8, 1, 63, 16, 45, 0, 0, 0, 0,
    197, 0, 0, 0, 2, 185, 24, 8, 1, 62, 16, 45, 0, 0, 0, 0, 197, 0, 0, 0, 2, 186, 24, 8, 1, 61, 16,
    45, 0, 0, 0, 0, 197, 0, 0, 0, 2, 187, 24, 8, 1, 60, 16, 45, 0, 0, 0, 0, 197, 0, 0, 0, 2, 188,
    24, 8, 16, 44, 16, 45, 0, 0, 0, 0, 197, 0, 0, 0, 2, 189, 24, 8, 4, 40, 16, 45, 0, 0, 0, 0, 197,
    0, 0, 0, 2, 190, 24, 8, 40, 0, 16, 0, 52, 0, 0, 0, 0, 8, 2, 166, 24, 29, 0, 0, 0, 0, 197, 0, 0,
    0, 2, 167, 24, 0, 44, 231, 70, 2, 0, 2, 168, 24, 0, 30, 8, 2, 168, 24, 45, 0, 0, 0, 0, 197, 0,
    0, 0, 2, 169, 24, 8, 5, 59, 0, 45, 0, 0, 0, 0, 197, 0, 0, 0, 2, 170, 24, 8, 14, 45, 0, 45, 0,
    0, 0, 0, 197, 0, 0, 0, 2, 171, 24, 8, 5, 40, 0, 45, 0, 0, 0, 0, 197, 0, 0, 0, 2, 172, 24, 8, 2,
    38, 0, 45, 0, 0, 0, 0, 197, 0, 0, 0, 2, 173, 24, 8, 7, 31, 0, 45, 0, 0, 0, 0, 197, 0, 0, 0, 2,
    174, 24, 8, 4, 27, 0, 45, 0, 0, 0, 0, 197, 0, 0, 0, 2, 175, 24, 8, 1, 26, 0, 45, 0, 0, 0, 0,
    197, 0, 0, 0, 2, 176, 24, 8, 2, 24, 0, 45, 0, 0, 0, 0, 197, 0, 0, 0, 2, 177, 24, 8, 24, 0, 0,
    0, 0, 9, 131, 71, 2, 0, 35, 0, 0, 0, 0, 8, 2, 145, 28, 29, 0, 0, 0, 0, 197, 0, 0, 0, 2, 146,
    28, 0, 29, 0, 0, 0, 0, 167, 71, 2, 0, 2, 147, 28, 8, 0, 3, 197, 0, 0, 0, 4, 82, 0, 0, 0, 0, 0,
    35, 0, 0, 0, 0, 16, 2, 253, 27, 29, 0, 0, 0, 0, 197, 0, 0, 0, 2, 254, 27, 0, 29, 0, 0, 0, 0,
    215, 71, 2, 0, 2, 255, 27, 8, 0, 9, 220, 71, 2, 0, 35, 0, 0, 0, 0, 168, 2, 142, 5, 29, 0, 0, 0,
    0, 90, 22, 0, 0, 2, 143, 5, 0, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 144, 5, 8, 29, 0, 0, 0, 0, 90,
    22, 0, 0, 2, 145, 5, 16, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 146, 5, 24, 29, 0, 0, 0, 0, 90, 22,
    0, 0, 2, 147, 5, 32, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 148, 5, 40, 29, 0, 0, 0, 0, 90, 22, 0, 0,
    2, 149, 5, 48, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 150, 5, 56, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2,
    151, 5, 64, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 152, 5, 72, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 153,
    5, 80, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 154, 5, 88, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 155, 5,
    96, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 156, 5, 104, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 157, 5, 112,
    29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 158, 5, 120, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 159, 5, 128, 29,
    0, 0, 0, 0, 90, 22, 0, 0, 2, 160, 5, 136, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 161, 5, 144, 29, 0,
    0, 0, 0, 90, 22, 0, 0, 2, 162, 5, 152, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 163, 5, 160, 0, 9, 252,
    72, 2, 0, 35, 0, 0, 0, 0, 144, 2, 245, 20, 29, 0, 0, 0, 0, 195, 21, 0, 0, 2, 246, 20, 0, 29, 0,
    0, 0, 0, 203, 73, 2, 0, 2, 247, 20, 16, 44, 40, 73, 2, 0, 2, 248, 20, 24, 34, 8, 2, 248, 20,
    29, 0, 0, 0, 0, 154, 27, 0, 0, 2, 249, 20, 0, 29, 0, 0, 0, 0, 4, 75, 2, 0, 2, 250, 20, 0, 0,
    29, 0, 0, 0, 0, 79, 76, 2, 0, 2, 252, 20, 32, 29, 0, 0, 0, 0, 154, 27, 0, 0, 2, 253, 20, 80,
    29, 0, 0, 0, 0, 243, 82, 2, 0, 2, 254, 20, 88, 29, 0, 0, 0, 0, 26, 1, 0, 0, 2, 255, 20, 96, 29,
    0, 0, 0, 0, 26, 1, 0, 0, 2, 0, 21, 104, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 1, 21, 112, 29, 0, 0,
    0, 0, 168, 0, 0, 0, 2, 2, 21, 116, 29, 0, 0, 0, 0, 85, 91, 1, 0, 2, 3, 21, 120, 29, 0, 0, 0, 0,
    228, 254, 0, 0, 2, 4, 21, 128, 29, 0, 0, 0, 0, 64, 95, 2, 0, 2, 5, 21, 136, 0, 9, 208, 73, 2,
    0, 35, 0, 0, 0, 0, 72, 2, 82, 29, 29, 0, 0, 0, 0, 233, 21, 0, 0, 2, 83, 29, 0, 29, 0, 0, 0, 0,
    26, 1, 0, 0, 2, 84, 29, 8, 29, 0, 0, 0, 0, 26, 1, 0, 0, 2, 85, 29, 16, 29, 0, 0, 0, 0, 66, 74,
    2, 0, 2, 86, 29, 24, 29, 0, 0, 0, 0, 92, 74, 2, 0, 2, 87, 29, 32, 29, 0, 0, 0, 0, 244, 74, 2,
    0, 2, 88, 29, 40, 29, 0, 0, 0, 0, 195, 21, 0, 0, 2, 89, 29, 48, 29, 0, 0, 0, 0, 228, 74, 2, 0,
    2, 90, 29, 64, 0, 9, 71, 74, 2, 0, 14, 168, 0, 0, 0, 15, 247, 72, 2, 0, 15, 246, 1, 0, 0, 15,
    26, 1, 0, 0, 0, 9, 97, 74, 2, 0, 35, 0, 0, 0, 0, 32, 2, 68, 29, 29, 0, 0, 0, 0, 233, 21, 0, 0,
    2, 69, 29, 0, 44, 128, 74, 2, 0, 2, 70, 29, 8, 34, 24, 2, 70, 29, 44, 142, 74, 2, 0, 2, 71, 29,
    0, 30, 24, 2, 71, 29, 29, 0, 0, 0, 0, 233, 21, 0, 0, 2, 72, 29, 0, 29, 0, 0, 0, 0, 134, 32, 2,
    0, 2, 73, 29, 8, 29, 0, 0, 0, 0, 134, 32, 2, 0, 2, 74, 29, 12, 29, 0, 0, 0, 0, 134, 32, 2, 0,
    2, 75, 29, 16, 29, 0, 0, 0, 0, 134, 32, 2, 0, 2, 76, 29, 20, 0, 29, 0, 0, 0, 0, 228, 74, 2, 0,
    2, 78, 29, 0, 0, 0, 9, 233, 74, 2, 0, 14, 168, 0, 0, 0, 15, 247, 72, 2, 0, 0, 9, 249, 74, 2, 0,
    14, 228, 21, 0, 0, 15, 247, 72, 2, 0, 0, 9, 9, 75, 2, 0, 35, 0, 0, 0, 0, 48, 2, 62, 15, 29, 0,
    0, 0, 0, 233, 21, 0, 0, 2, 63, 15, 0, 29, 0, 0, 0, 0, 84, 75, 2, 0, 2, 64, 15, 8, 29, 0, 0, 0,
    0, 13, 76, 2, 0, 2, 65, 15, 24, 29, 0, 0, 0, 0, 194, 44, 1, 0, 2, 66, 15, 32, 29, 0, 0, 0, 0,
    25, 76, 2, 0, 2, 67, 15, 40, 0, 35, 0, 0, 0, 0, 16, 2, 254, 14, 29, 0, 0, 0, 0, 242, 23, 0, 0,
    2, 255, 14, 0, 44, 115, 75, 2, 0, 2, 0, 15, 8, 34, 8, 2, 0, 15, 29, 0, 0, 0, 0, 90, 22, 0, 0,
    2, 1, 15, 0, 29, 0, 0, 0, 0, 161, 75, 2, 0, 2, 2, 15, 0, 29, 0, 0, 0, 0, 215, 75, 2, 0, 2, 3,
    15, 0, 0, 0, 9, 166, 75, 2, 0, 35, 0, 0, 0, 0, 16, 2, 246, 14, 29, 0, 0, 0, 0, 12, 101, 0, 0,
    2, 247, 14, 0, 29, 0, 0, 0, 0, 12, 101, 0, 0, 2, 248, 14, 4, 29, 0, 0, 0, 0, 19, 1, 0, 0, 2,
    249, 14, 8, 0, 9, 220, 75, 2, 0, 35, 0, 0, 0, 0, 24, 2, 73, 163, 29, 0, 0, 0, 0, 215, 75, 2, 0,
    2, 74, 163, 0, 29, 0, 0, 0, 0, 161, 75, 2, 0, 2, 75, 163, 8, 29, 0, 0, 0, 0, 120, 81, 0, 0, 2,
    76, 163, 16, 0, 9, 18, 76, 2, 0, 57, 168, 0, 0, 0, 58, 0, 9, 30, 76, 2, 0, 35, 0, 0, 0, 0, 24,
    2, 56, 15, 29, 0, 0, 0, 0, 26, 1, 0, 0, 2, 57, 15, 0, 29, 0, 0, 0, 0, 26, 1, 0, 0, 2, 58, 15,
    8, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 59, 15, 16, 0, 35, 0, 0, 0, 0, 48, 2, 234, 20, 29, 0, 0, 0,
    0, 152, 21, 0, 0, 2, 235, 20, 0, 29, 0, 0, 0, 0, 195, 21, 0, 0, 2, 236, 20, 16, 29, 0, 0, 0, 0,
    168, 0, 0, 0, 2, 237, 20, 32, 29, 0, 0, 0, 0, 141, 76, 2, 0, 2, 238, 20, 40, 0, 9, 146, 76, 2,
    0, 35, 0, 0, 0, 0, 32, 2, 50, 29, 29, 0, 0, 0, 0, 208, 76, 2, 0, 2, 51, 29, 0, 29, 0, 0, 0, 0,
    208, 76, 2, 0, 2, 52, 29, 8, 29, 0, 0, 0, 0, 208, 76, 2, 0, 2, 53, 29, 16, 29, 0, 0, 0, 0, 208,
    76, 2, 0, 2, 54, 29, 24, 0, 39, 220, 76, 2, 0, 0, 0, 0, 0, 2, 48, 29, 9, 225, 76, 2, 0, 14, 52,
    2, 0, 0, 15, 246, 76, 2, 0, 15, 168, 0, 0, 0, 15, 59, 95, 2, 0, 0, 9, 251, 76, 2, 0, 28, 0, 0,
    0, 0, 32, 33, 2, 16, 29, 29, 0, 0, 0, 0, 47, 78, 2, 0, 2, 17, 29, 0, 29, 0, 0, 0, 0, 121, 85,
    2, 0, 2, 18, 29, 8, 29, 0, 0, 0, 0, 221, 89, 2, 0, 2, 19, 29, 16, 29, 0, 0, 0, 0, 26, 1, 0, 0,
    2, 20, 29, 24, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 21, 29, 32, 29, 0, 0, 0, 0, 128, 104, 0, 0, 2,
    22, 29, 40, 29, 0, 0, 0, 0, 226, 89, 2, 0, 2, 23, 29, 72, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 24,
    29, 80, 29, 0, 0, 0, 0, 26, 1, 0, 0, 2, 25, 29, 88, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 26, 29, 96,
    29, 0, 0, 0, 0, 121, 94, 2, 0, 2, 27, 29, 104, 31, 0, 0, 0, 0, 136, 165, 0, 0, 2, 28, 29, 144,
    16, 31, 0, 0, 0, 0, 181, 51, 0, 0, 2, 29, 29, 184, 16, 31, 0, 0, 0, 0, 121, 94, 2, 0, 2, 30,
    29, 192, 16, 31, 0, 0, 0, 0, 248, 94, 2, 0, 2, 31, 29, 232, 32, 31, 0, 0, 0, 0, 90, 22, 0, 0,
    2, 32, 29, 240, 32, 31, 0, 0, 0, 0, 168, 0, 0, 0, 2, 33, 29, 248, 32, 31, 0, 0, 0, 0, 168, 0,
    0, 0, 2, 34, 29, 252, 32, 31, 0, 0, 0, 0, 168, 0, 0, 0, 2, 35, 29, 0, 33, 31, 0, 0, 0, 0, 109,
    22, 0, 0, 2, 36, 29, 8, 33, 31, 0, 0, 0, 0, 40, 73, 0, 0, 2, 37, 29, 16, 33, 31, 0, 0, 0, 0,
    19, 1, 0, 0, 2, 38, 29, 24, 33, 0, 9, 52, 78, 2, 0, 28, 0, 0, 0, 0, 160, 29, 2, 207, 135, 29,
    0, 0, 0, 0, 195, 21, 0, 0, 2, 208, 135, 0, 29, 0, 0, 0, 0, 154, 27, 0, 0, 2, 209, 135, 16, 29,
    0, 0, 0, 0, 235, 80, 2, 0, 2, 210, 135, 24, 29, 0, 0, 0, 0, 235, 80, 2, 0, 2, 211, 135, 64, 29,
    0, 0, 0, 0, 181, 51, 0, 0, 2, 212, 135, 104, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 213, 135, 112,
    29, 0, 0, 0, 0, 185, 64, 0, 0, 2, 214, 135, 120, 29, 0, 0, 0, 0, 117, 158, 0, 0, 2, 215, 135,
    128, 29, 0, 0, 0, 0, 171, 51, 1, 0, 2, 216, 135, 160, 29, 0, 0, 0, 0, 44, 82, 2, 0, 2, 217,
    135, 184, 29, 0, 0, 0, 0, 44, 82, 2, 0, 2, 218, 135, 192, 29, 0, 0, 0, 0, 99, 67, 0, 0, 2, 219,
    135, 200, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 220, 135, 204, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 221,
    135, 208, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 222, 135, 212, 29, 0, 0, 0, 0, 85, 82, 2, 0, 2, 223,
    135, 216, 31, 0, 0, 0, 0, 85, 82, 2, 0, 2, 224, 135, 152, 14, 31, 0, 0, 0, 0, 168, 0, 0, 0, 2,
    225, 135, 88, 28, 31, 0, 0, 0, 0, 168, 0, 0, 0, 2, 226, 135, 92, 28, 31, 0, 0, 0, 0, 168, 0, 0,
    0, 2, 227, 135, 96, 28, 31, 0, 0, 0, 0, 181, 51, 0, 0, 2, 228, 135, 100, 28, 31, 0, 0, 0, 0,
    168, 0, 0, 0, 2, 229, 135, 104, 28, 31, 0, 0, 0, 0, 38, 1, 0, 0, 2, 230, 135, 108, 28, 31, 0,
    0, 0, 0, 121, 85, 2, 0, 2, 231, 135, 112, 28, 31, 0, 0, 0, 0, 38, 1, 0, 0, 2, 232, 135, 120,
    28, 31, 0, 0, 0, 0, 198, 66, 0, 0, 2, 233, 135, 124, 28, 31, 0, 0, 0, 0, 38, 1, 0, 0, 2, 234,
    135, 156, 28, 31, 0, 0, 0, 0, 155, 95, 0, 0, 2, 235, 135, 160, 28, 31, 0, 0, 0, 0, 195, 21, 0,
    0, 2, 236, 135, 168, 28, 31, 0, 0, 0, 0, 185, 64, 0, 0, 2, 237, 135, 184, 28, 31, 0, 0, 0, 0,
    185, 64, 0, 0, 2, 238, 135, 192, 28, 31, 0, 0, 0, 0, 185, 64, 0, 0, 2, 239, 135, 200, 28, 31,
    0, 0, 0, 0, 185, 64, 0, 0, 2, 240, 135, 208, 28, 31, 0, 0, 0, 0, 220, 87, 2, 0, 2, 241, 135,
    216, 28, 31, 0, 0, 0, 0, 195, 21, 0, 0, 2, 242, 135, 224, 28, 31, 0, 0, 0, 0, 195, 21, 0, 0, 2,
    243, 135, 240, 28, 31, 0, 0, 0, 0, 98, 82, 2, 0, 2, 244, 135, 0, 29, 31, 0, 0, 0, 0, 136, 165,
    0, 0, 2, 245, 135, 8, 29, 31, 0, 0, 0, 0, 168, 0, 0, 0, 2, 246, 135, 48, 29, 31, 0, 0, 0, 0,
    168, 0, 0, 0, 2, 247, 135, 52, 29, 31, 0, 0, 0, 0, 72, 88, 2, 0, 2, 248, 135, 56, 29, 31, 0, 0,
    0, 0, 44, 82, 2, 0, 2, 249, 135, 64, 29, 31, 0, 0, 0, 0, 44, 82, 2, 0, 2, 250, 135, 72, 29, 31,
    0, 0, 0, 0, 195, 21, 0, 0, 2, 251, 135, 80, 29, 31, 0, 0, 0, 0, 195, 21, 0, 0, 2, 252, 135, 96,
    29, 31, 0, 0, 0, 0, 195, 21, 0, 0, 2, 253, 135, 112, 29, 31, 0, 0, 0, 0, 168, 0, 0, 0, 2, 254,
    135, 128, 29, 31, 0, 0, 0, 0, 168, 0, 0, 0, 2, 255, 135, 132, 29, 31, 0, 0, 0, 0, 195, 21, 0,
    0, 2, 0, 136, 136, 29, 31, 0, 0, 0, 0, 147, 89, 2, 0, 2, 1, 136, 152, 29, 0, 35, 0, 0, 0, 0,
    40, 2, 193, 135, 29, 0, 0, 0, 0, 47, 78, 2, 0, 2, 194, 135, 0, 29, 0, 0, 0, 0, 54, 81, 2, 0, 2,
    195, 135, 8, 29, 0, 0, 0, 0, 64, 81, 2, 0, 2, 196, 135, 16, 29, 0, 0, 0, 0, 109, 22, 0, 0, 2,
    197, 135, 24, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 198, 135, 32, 0, 9, 59, 81, 2, 0, 43, 0, 0, 0,
    0, 9, 69, 81, 2, 0, 35, 0, 0, 0, 0, 128, 2, 43, 136, 29, 0, 0, 0, 0, 242, 23, 0, 0, 2, 44, 136,
    0, 29, 0, 0, 0, 0, 26, 1, 0, 0, 2, 45, 136, 8, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 46, 136, 16,
    29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 47, 136, 24, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 48, 136, 32, 29,
    0, 0, 0, 0, 90, 22, 0, 0, 2, 49, 136, 40, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 50, 136, 48, 29, 0,
    0, 0, 0, 90, 22, 0, 0, 2, 51, 136, 56, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 52, 136, 64, 29, 0, 0,
    0, 0, 90, 22, 0, 0, 2, 53, 136, 72, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 54, 136, 80, 29, 0, 0, 0,
    0, 109, 22, 0, 0, 2, 55, 136, 88, 29, 0, 0, 0, 0, 122, 67, 1, 0, 2, 56, 136, 96, 29, 0, 0, 0,
    0, 81, 62, 0, 0, 2, 57, 136, 100, 29, 0, 0, 0, 0, 73, 21, 0, 0, 2, 58, 136, 104, 29, 0, 0, 0,
    0, 168, 0, 0, 0, 2, 59, 136, 120, 29, 0, 0, 0, 0, 181, 51, 0, 0, 2, 60, 136, 124, 0, 9, 49, 82,
    2, 0, 35, 0, 0, 0, 0, 16, 2, 79, 136, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 80, 136, 0, 29, 0, 0, 0,
    0, 216, 107, 0, 0, 2, 81, 136, 8, 0, 3, 98, 82, 2, 0, 50, 82, 0, 0, 0, 184, 1, 0, 9, 103, 82,
    2, 0, 35, 0, 0, 0, 0, 88, 2, 109, 29, 29, 0, 0, 0, 0, 195, 21, 0, 0, 2, 110, 29, 0, 29, 0, 0,
    0, 0, 247, 72, 2, 0, 2, 111, 29, 16, 29, 0, 0, 0, 0, 243, 82, 2, 0, 2, 112, 29, 24, 29, 0, 0,
    0, 0, 185, 64, 0, 0, 2, 113, 29, 32, 29, 0, 0, 0, 0, 47, 78, 2, 0, 2, 114, 29, 40, 29, 0, 0, 0,
    0, 217, 84, 2, 0, 2, 115, 29, 48, 29, 0, 0, 0, 0, 195, 21, 0, 0, 2, 116, 29, 56, 29, 0, 0, 0,
    0, 90, 22, 0, 0, 2, 117, 29, 72, 29, 0, 0, 0, 0, 242, 23, 0, 0, 2, 118, 29, 80, 29, 0, 0, 0, 0,
    242, 23, 0, 0, 2, 119, 29, 84, 0, 9, 248, 82, 2, 0, 35, 0, 0, 0, 0, 16, 2, 186, 135, 29, 0, 0,
    0, 0, 28, 83, 2, 0, 2, 187, 135, 0, 29, 0, 0, 0, 0, 154, 27, 0, 0, 2, 188, 135, 8, 0, 9, 33,
    83, 2, 0, 35, 0, 0, 0, 0, 16, 2, 4, 141, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 5, 141, 0, 29, 0, 0,
    0, 0, 168, 0, 0, 0, 2, 6, 141, 4, 29, 0, 0, 0, 0, 82, 83, 2, 0, 2, 7, 141, 8, 0, 9, 87, 83, 2,
    0, 28, 0, 0, 0, 0, 64, 1, 2, 23, 141, 29, 0, 0, 0, 0, 207, 83, 2, 0, 2, 24, 141, 0, 29, 0, 0,
    0, 0, 109, 22, 0, 0, 2, 25, 141, 8, 29, 0, 0, 0, 0, 240, 83, 2, 0, 2, 26, 141, 16, 31, 0, 0, 0,
    0, 106, 84, 2, 0, 2, 27, 141, 32, 1, 31, 0, 0, 0, 0, 111, 84, 2, 0, 2, 28, 141, 40, 1, 31, 0,
    0, 0, 0, 168, 0, 0, 0, 2, 29, 141, 48, 1, 31, 0, 0, 0, 0, 168, 0, 0, 0, 2, 30, 141, 52, 1, 31,
    0, 0, 0, 0, 168, 0, 0, 0, 2, 31, 141, 56, 1, 0, 39, 219, 83, 2, 0, 0, 0, 0, 0, 2, 10, 141, 9,
    224, 83, 2, 0, 14, 168, 0, 0, 0, 15, 82, 83, 2, 0, 15, 26, 1, 0, 0, 0, 28, 0, 0, 0, 0, 16, 1,
    2, 16, 141, 29, 0, 0, 0, 0, 50, 84, 2, 0, 2, 17, 141, 0, 31, 0, 0, 0, 0, 168, 0, 0, 0, 2, 18,
    141, 0, 1, 31, 0, 0, 0, 0, 168, 0, 0, 0, 2, 19, 141, 4, 1, 31, 0, 0, 0, 0, 63, 84, 2, 0, 2, 20,
    141, 8, 1, 0, 3, 75, 0, 0, 0, 50, 82, 0, 0, 0, 0, 1, 0, 39, 75, 84, 2, 0, 0, 0, 0, 0, 2, 14,
    141, 9, 80, 84, 2, 0, 14, 168, 0, 0, 0, 15, 154, 27, 0, 0, 15, 101, 84, 2, 0, 15, 168, 0, 0, 0,
    0, 9, 240, 83, 2, 0, 9, 236, 24, 0, 0, 9, 116, 84, 2, 0, 35, 0, 0, 0, 0, 48, 2, 209, 140, 29,
    0, 0, 0, 0, 195, 21, 0, 0, 2, 210, 140, 0, 29, 0, 0, 0, 0, 233, 21, 0, 0, 2, 211, 140, 16, 29,
    0, 0, 0, 0, 233, 21, 0, 0, 2, 212, 140, 24, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 213, 140, 32, 29,
    0, 0, 0, 0, 168, 0, 0, 0, 2, 214, 140, 36, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 215, 140, 40, 29,
    0, 0, 0, 0, 168, 0, 0, 0, 2, 216, 140, 44, 0, 9, 222, 84, 2, 0, 35, 0, 0, 0, 0, 48, 2, 34, 136,
    29, 0, 0, 0, 0, 195, 21, 0, 0, 2, 35, 136, 0, 29, 0, 0, 0, 0, 54, 85, 2, 0, 2, 36, 136, 16, 29,
    0, 0, 0, 0, 47, 78, 2, 0, 2, 37, 136, 24, 29, 0, 0, 0, 0, 185, 64, 0, 0, 2, 38, 136, 32, 29, 0,
    0, 0, 0, 168, 0, 0, 0, 2, 39, 136, 40, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 40, 136, 44, 0, 9, 59,
    85, 2, 0, 35, 0, 0, 0, 0, 40, 2, 193, 136, 29, 0, 0, 0, 0, 195, 21, 0, 0, 2, 194, 136, 0, 29,
    0, 0, 0, 0, 233, 21, 0, 0, 2, 195, 136, 16, 29, 0, 0, 0, 0, 243, 82, 2, 0, 2, 196, 136, 24, 29,
    0, 0, 0, 0, 168, 0, 0, 0, 2, 197, 136, 32, 0, 9, 126, 85, 2, 0, 35, 0, 0, 0, 0, 152, 2, 6, 136,
    29, 0, 0, 0, 0, 233, 21, 0, 0, 2, 7, 136, 0, 29, 0, 0, 0, 0, 179, 86, 2, 0, 2, 8, 136, 8, 29,
    0, 0, 0, 0, 195, 86, 2, 0, 2, 9, 136, 16, 29, 0, 0, 0, 0, 195, 86, 2, 0, 2, 10, 136, 24, 29, 0,
    0, 0, 0, 195, 86, 2, 0, 2, 11, 136, 32, 29, 0, 0, 0, 0, 179, 86, 2, 0, 2, 12, 136, 40, 29, 0,
    0, 0, 0, 207, 86, 2, 0, 2, 13, 136, 48, 29, 0, 0, 0, 0, 207, 86, 2, 0, 2, 14, 136, 56, 29, 0,
    0, 0, 0, 207, 86, 2, 0, 2, 15, 136, 64, 29, 0, 0, 0, 0, 207, 86, 2, 0, 2, 16, 136, 72, 29, 0,
    0, 0, 0, 219, 86, 2, 0, 2, 17, 136, 80, 29, 0, 0, 0, 0, 255, 86, 2, 0, 2, 18, 136, 88, 29, 0,
    0, 0, 0, 40, 87, 2, 0, 2, 19, 136, 96, 29, 0, 0, 0, 0, 52, 87, 2, 0, 2, 20, 136, 104, 29, 0, 0,
    0, 0, 68, 87, 2, 0, 2, 21, 136, 112, 29, 0, 0, 0, 0, 99, 87, 2, 0, 2, 22, 136, 120, 29, 0, 0,
    0, 0, 121, 85, 2, 0, 2, 23, 136, 128, 29, 0, 0, 0, 0, 125, 87, 2, 0, 2, 24, 136, 136, 29, 0, 0,
    0, 0, 168, 0, 0, 0, 2, 25, 136, 144, 29, 0, 0, 0, 0, 181, 51, 0, 0, 2, 26, 136, 148, 29, 0, 0,
    0, 0, 181, 51, 0, 0, 2, 27, 136, 149, 29, 0, 0, 0, 0, 181, 51, 0, 0, 2, 28, 136, 150, 29, 0, 0,
    0, 0, 181, 51, 0, 0, 2, 29, 136, 151, 0, 9, 184, 86, 2, 0, 14, 168, 0, 0, 0, 15, 47, 78, 2, 0,
    0, 9, 200, 86, 2, 0, 38, 15, 47, 78, 2, 0, 0, 9, 212, 86, 2, 0, 38, 15, 246, 76, 2, 0, 0, 9,
    224, 86, 2, 0, 14, 161, 88, 0, 0, 15, 246, 76, 2, 0, 15, 61, 78, 0, 0, 15, 154, 27, 0, 0, 15,
    36, 54, 0, 0, 15, 207, 112, 0, 0, 0, 9, 4, 87, 2, 0, 14, 161, 88, 0, 0, 15, 246, 76, 2, 0, 15,
    61, 78, 0, 0, 15, 207, 112, 0, 0, 15, 109, 103, 0, 0, 15, 36, 54, 0, 0, 15, 38, 1, 0, 0, 0, 9,
    45, 87, 2, 0, 38, 15, 199, 111, 0, 0, 0, 9, 57, 87, 2, 0, 14, 52, 2, 0, 0, 15, 246, 76, 2, 0,
    0, 9, 73, 87, 2, 0, 14, 168, 0, 0, 0, 15, 47, 78, 2, 0, 15, 177, 66, 0, 0, 15, 177, 66, 0, 0,
    15, 168, 0, 0, 0, 0, 9, 104, 87, 2, 0, 14, 168, 0, 0, 0, 15, 47, 78, 2, 0, 15, 177, 66, 0, 0,
    15, 168, 0, 0, 0, 0, 9, 130, 87, 2, 0, 35, 0, 0, 0, 0, 24, 2, 105, 136, 29, 0, 0, 0, 0, 177,
    66, 0, 0, 2, 106, 136, 0, 29, 0, 0, 0, 0, 179, 87, 2, 0, 2, 107, 136, 8, 29, 0, 0, 0, 0, 121,
    85, 2, 0, 2, 108, 136, 16, 0, 9, 184, 87, 2, 0, 35, 0, 0, 0, 0, 16, 2, 100, 136, 29, 0, 0, 0,
    0, 233, 21, 0, 0, 2, 101, 136, 0, 29, 0, 0, 0, 0, 177, 66, 0, 0, 2, 102, 136, 8, 0, 9, 225, 87,
    2, 0, 35, 0, 0, 0, 0, 16, 2, 65, 136, 29, 0, 0, 0, 0, 121, 85, 2, 0, 2, 66, 136, 0, 29, 0, 0,
    0, 0, 5, 88, 2, 0, 2, 67, 136, 8, 0, 9, 10, 88, 2, 0, 35, 0, 0, 0, 0, 32, 2, 72, 136, 29, 0, 0,
    0, 0, 179, 87, 2, 0, 2, 73, 136, 0, 29, 0, 0, 0, 0, 125, 87, 2, 0, 2, 74, 136, 8, 29, 0, 0, 0,
    0, 47, 78, 2, 0, 2, 75, 136, 16, 29, 0, 0, 0, 0, 185, 64, 0, 0, 2, 76, 136, 24, 0, 9, 77, 88,
    2, 0, 35, 0, 0, 0, 0, 176, 2, 23, 16, 29, 0, 0, 0, 0, 230, 88, 2, 0, 2, 24, 16, 0, 29, 0, 0, 0,
    0, 72, 88, 2, 0, 2, 25, 16, 8, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 26, 16, 16, 29, 0, 0, 0, 0, 26,
    1, 0, 0, 2, 27, 16, 24, 29, 0, 0, 0, 0, 230, 88, 2, 0, 2, 28, 16, 32, 29, 0, 0, 0, 0, 13, 89,
    2, 0, 2, 29, 16, 40, 29, 0, 0, 0, 0, 142, 89, 2, 0, 2, 30, 16, 88, 29, 0, 0, 0, 0, 13, 89, 2,
    0, 2, 31, 16, 96, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 32, 16, 144, 29, 0, 0, 0, 0, 90, 22, 0, 0,
    2, 33, 16, 152, 29, 0, 0, 0, 0, 195, 21, 0, 0, 2, 34, 16, 160, 0, 39, 242, 88, 2, 0, 0, 0, 0,
    0, 2, 13, 16, 9, 247, 88, 2, 0, 38, 15, 90, 22, 0, 0, 15, 90, 22, 0, 0, 15, 72, 88, 2, 0, 15,
    215, 71, 2, 0, 0, 35, 0, 0, 0, 0, 48, 2, 17, 16, 29, 0, 0, 0, 0, 62, 89, 2, 0, 2, 18, 16, 0,
    29, 0, 0, 0, 0, 62, 89, 2, 0, 2, 19, 16, 8, 29, 0, 0, 0, 0, 128, 104, 0, 0, 2, 20, 16, 16, 0,
    9, 67, 89, 2, 0, 35, 0, 0, 0, 0, 48, 2, 121, 135, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 122, 135, 0,
    29, 0, 0, 0, 0, 85, 91, 1, 0, 2, 123, 135, 8, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 124, 135, 16,
    29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 125, 135, 24, 29, 0, 0, 0, 0, 28, 22, 0, 0, 2, 126, 135, 32,
    0, 9, 13, 89, 2, 0, 9, 152, 89, 2, 0, 35, 0, 0, 0, 0, 16, 2, 91, 136, 29, 0, 0, 0, 0, 26, 1, 0,
    0, 2, 92, 136, 0, 29, 0, 0, 0, 0, 188, 89, 2, 0, 2, 93, 136, 8, 0, 39, 200, 89, 2, 0, 0, 0, 0,
    0, 2, 89, 136, 9, 205, 89, 2, 0, 14, 181, 51, 0, 0, 15, 47, 78, 2, 0, 15, 26, 1, 0, 0, 0, 9,
    235, 80, 2, 0, 9, 231, 89, 2, 0, 9, 236, 89, 2, 0, 35, 0, 0, 0, 0, 80, 2, 102, 137, 29, 0, 0,
    0, 0, 120, 90, 2, 0, 2, 103, 137, 0, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 104, 137, 8, 29, 0, 0, 0,
    0, 90, 22, 0, 0, 2, 105, 137, 16, 29, 0, 0, 0, 0, 189, 93, 2, 0, 2, 106, 137, 24, 29, 0, 0, 0,
    0, 189, 93, 2, 0, 2, 107, 137, 32, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 108, 137, 40, 29, 0, 0, 0,
    0, 109, 22, 0, 0, 2, 109, 137, 48, 29, 0, 0, 0, 0, 109, 22, 0, 0, 2, 110, 137, 56, 29, 0, 0, 0,
    0, 61, 94, 2, 0, 2, 111, 137, 64, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 112, 137, 72, 0, 9, 125, 90,
    2, 0, 28, 0, 0, 0, 0, 160, 1, 2, 190, 137, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 191, 137, 0, 29, 0,
    0, 0, 0, 242, 23, 0, 0, 2, 192, 137, 4, 29, 0, 0, 0, 0, 242, 23, 0, 0, 2, 193, 137, 8, 29, 0,
    0, 0, 0, 135, 92, 2, 0, 2, 194, 137, 16, 29, 0, 0, 0, 0, 155, 95, 0, 0, 2, 195, 137, 24, 29, 0,
    0, 0, 0, 99, 67, 0, 0, 2, 196, 137, 28, 29, 0, 0, 0, 0, 23, 115, 0, 0, 2, 197, 137, 32, 29, 0,
    0, 0, 0, 135, 93, 2, 0, 2, 198, 137, 32, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 199, 137, 40, 29, 0,
    0, 0, 0, 38, 1, 0, 0, 2, 200, 137, 48, 29, 0, 0, 0, 0, 228, 21, 0, 0, 2, 201, 137, 56, 29, 0,
    0, 0, 0, 189, 93, 2, 0, 2, 202, 137, 64, 29, 0, 0, 0, 0, 189, 93, 2, 0, 2, 203, 137, 72, 29, 0,
    0, 0, 0, 189, 93, 2, 0, 2, 204, 137, 80, 29, 0, 0, 0, 0, 189, 93, 2, 0, 2, 205, 137, 88, 29, 0,
    0, 0, 0, 90, 22, 0, 0, 2, 206, 137, 96, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 207, 137, 104, 29, 0,
    0, 0, 0, 90, 22, 0, 0, 2, 208, 137, 112, 29, 0, 0, 0, 0, 211, 231, 1, 0, 2, 209, 137, 120, 29,
    0, 0, 0, 0, 211, 231, 1, 0, 2, 210, 137, 128, 29, 0, 0, 0, 0, 211, 231, 1, 0, 2, 211, 137, 136,
    29, 0, 0, 0, 0, 211, 231, 1, 0, 2, 212, 137, 144, 29, 0, 0, 0, 0, 211, 231, 1, 0, 2, 213, 137,
    152, 29, 0, 0, 0, 0, 211, 231, 1, 0, 2, 214, 137, 160, 29, 0, 0, 0, 0, 211, 231, 1, 0, 2, 215,
    137, 168, 29, 0, 0, 0, 0, 211, 231, 1, 0, 2, 216, 137, 176, 29, 0, 0, 0, 0, 211, 231, 1, 0, 2,
    217, 137, 184, 29, 0, 0, 0, 0, 19, 1, 0, 0, 2, 218, 137, 192, 29, 0, 0, 0, 0, 36, 54, 0, 0, 2,
    219, 137, 200, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 220, 137, 208, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2,
    221, 137, 216, 29, 0, 0, 0, 0, 26, 94, 2, 0, 2, 222, 137, 224, 29, 0, 0, 0, 0, 26, 94, 2, 0, 2,
    223, 137, 232, 29, 0, 0, 0, 0, 109, 22, 0, 0, 2, 224, 137, 240, 29, 0, 0, 0, 0, 19, 1, 0, 0, 2,
    225, 137, 248, 31, 0, 0, 0, 0, 195, 21, 0, 0, 2, 226, 137, 0, 1, 31, 0, 0, 0, 0, 117, 158, 0,
    0, 2, 227, 137, 16, 1, 31, 0, 0, 0, 0, 4, 162, 0, 0, 2, 228, 137, 48, 1, 31, 0, 0, 0, 0, 47,
    93, 2, 0, 2, 229, 137, 80, 1, 0, 9, 140, 92, 2, 0, 35, 0, 0, 0, 0, 216, 2, 124, 137, 29, 0, 0,
    0, 0, 38, 1, 0, 0, 2, 125, 137, 0, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 126, 137, 4, 29, 0, 0, 0,
    0, 242, 23, 0, 0, 2, 127, 137, 8, 29, 0, 0, 0, 0, 136, 165, 0, 0, 2, 128, 137, 16, 29, 0, 0, 0,
    0, 37, 93, 2, 0, 2, 129, 137, 56, 29, 0, 0, 0, 0, 128, 104, 0, 0, 2, 130, 137, 64, 29, 0, 0, 0,
    0, 42, 93, 2, 0, 2, 131, 137, 96, 29, 0, 0, 0, 0, 152, 21, 0, 0, 2, 132, 137, 104, 29, 0, 0, 0,
    0, 159, 67, 2, 0, 2, 133, 137, 120, 29, 0, 0, 0, 0, 47, 93, 2, 0, 2, 134, 137, 128, 29, 0, 0,
    0, 0, 181, 51, 0, 0, 2, 135, 137, 208, 0, 9, 23, 115, 0, 0, 9, 120, 90, 2, 0, 35, 0, 0, 0, 0,
    80, 2, 115, 137, 29, 0, 0, 0, 0, 171, 51, 1, 0, 2, 116, 137, 0, 29, 0, 0, 0, 0, 190, 104, 0, 0,
    2, 117, 137, 24, 29, 0, 0, 0, 0, 190, 104, 0, 0, 2, 118, 137, 48, 29, 0, 0, 0, 0, 181, 51, 0,
    0, 2, 119, 137, 72, 29, 0, 0, 0, 0, 181, 51, 0, 0, 2, 120, 137, 73, 29, 0, 0, 0, 0, 181, 51, 0,
    0, 2, 121, 137, 74, 0, 9, 140, 93, 2, 0, 35, 0, 0, 0, 0, 16, 2, 143, 137, 29, 0, 0, 0, 0, 109,
    22, 0, 0, 2, 144, 137, 0, 29, 0, 0, 0, 0, 211, 231, 1, 0, 2, 145, 137, 8, 29, 0, 0, 0, 0, 133,
    117, 1, 0, 2, 146, 137, 16, 0, 9, 194, 93, 2, 0, 35, 0, 0, 0, 0, 56, 2, 149, 137, 29, 0, 0, 0,
    0, 195, 21, 0, 0, 2, 150, 137, 0, 29, 0, 0, 0, 0, 211, 231, 1, 0, 2, 151, 137, 16, 29, 0, 0, 0,
    0, 38, 1, 0, 0, 2, 152, 137, 24, 29, 0, 0, 0, 0, 211, 231, 1, 0, 2, 153, 137, 32, 29, 0, 0, 0,
    0, 90, 22, 0, 0, 2, 154, 137, 40, 29, 0, 0, 0, 0, 135, 93, 2, 0, 2, 155, 137, 48, 0, 39, 38,
    94, 2, 0, 0, 0, 0, 0, 2, 188, 137, 35, 0, 0, 0, 0, 8, 2, 184, 137, 29, 0, 0, 0, 0, 235, 56, 2,
    0, 2, 185, 137, 0, 0, 9, 66, 94, 2, 0, 35, 0, 0, 0, 0, 4, 2, 132, 24, 45, 0, 0, 0, 0, 177, 66,
    0, 0, 2, 133, 24, 4, 5, 27, 0, 45, 0, 0, 0, 0, 177, 66, 0, 0, 2, 134, 24, 4, 27, 0, 0, 29, 0,
    0, 0, 0, 48, 254, 0, 0, 2, 135, 24, 4, 0, 28, 0, 0, 0, 0, 40, 16, 2, 145, 24, 29, 0, 0, 0, 0,
    173, 94, 2, 0, 2, 146, 24, 0, 31, 0, 0, 0, 0, 186, 94, 2, 0, 2, 147, 24, 0, 16, 31, 0, 0, 0, 0,
    168, 0, 0, 0, 2, 148, 24, 32, 16, 0, 3, 169, 26, 0, 0, 50, 82, 0, 0, 0, 0, 16, 0, 35, 0, 0, 0,
    0, 32, 2, 138, 24, 29, 0, 0, 0, 0, 154, 27, 0, 0, 2, 139, 24, 0, 29, 0, 0, 0, 0, 36, 54, 0, 0,
    2, 140, 24, 8, 29, 0, 0, 0, 0, 36, 54, 0, 0, 2, 141, 24, 16, 29, 0, 0, 0, 0, 40, 73, 0, 0, 2,
    142, 24, 24, 0, 9, 253, 94, 2, 0, 35, 0, 0, 0, 0, 8, 2, 1, 29, 29, 0, 0, 0, 0, 236, 24, 0, 0,
    2, 2, 29, 0, 29, 0, 0, 0, 0, 169, 26, 0, 0, 2, 3, 29, 2, 29, 0, 0, 0, 0, 169, 26, 0, 0, 2, 4,
    29, 3, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 5, 29, 4, 0, 9, 79, 76, 2, 0, 9, 69, 95, 2, 0, 14, 168,
    0, 0, 0, 15, 247, 72, 2, 0, 15, 220, 52, 2, 0, 0, 3, 220, 52, 2, 0, 4, 82, 0, 0, 0, 2, 0, 9,
    102, 95, 2, 0, 38, 15, 134, 49, 2, 0, 0, 9, 114, 95, 2, 0, 14, 168, 0, 0, 0, 15, 220, 52, 2, 0,
    0, 9, 130, 95, 2, 0, 38, 15, 220, 52, 2, 0, 15, 104, 91, 0, 0, 0, 9, 147, 95, 2, 0, 14, 168, 0,
    0, 0, 15, 220, 52, 2, 0, 15, 168, 0, 0, 0, 0, 9, 168, 95, 2, 0, 38, 15, 220, 52, 2, 0, 15, 168,
    0, 0, 0, 0, 9, 185, 95, 2, 0, 38, 15, 134, 49, 2, 0, 15, 38, 1, 0, 0, 0, 9, 202, 95, 2, 0, 14,
    168, 0, 0, 0, 15, 134, 49, 2, 0, 0, 9, 218, 95, 2, 0, 38, 15, 23, 48, 2, 0, 15, 181, 51, 0, 0,
    0, 9, 235, 95, 2, 0, 38, 15, 23, 48, 2, 0, 15, 23, 48, 2, 0, 0, 9, 252, 95, 2, 0, 14, 26, 1, 0,
    0, 15, 220, 52, 2, 0, 15, 230, 37, 1, 0, 15, 168, 0, 0, 0, 15, 181, 51, 0, 0, 0, 9, 27, 96, 2,
    0, 14, 19, 1, 0, 0, 15, 220, 52, 2, 0, 15, 48, 96, 2, 0, 15, 90, 22, 0, 0, 0, 9, 53, 96, 2, 0,
    35, 0, 0, 0, 0, 56, 2, 192, 28, 29, 0, 0, 0, 0, 220, 52, 2, 0, 2, 193, 28, 0, 29, 0, 0, 0, 0,
    120, 63, 2, 0, 2, 194, 28, 8, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 195, 28, 16, 29, 0, 0, 0, 0, 90,
    22, 0, 0, 2, 196, 28, 24, 29, 0, 0, 0, 0, 109, 22, 0, 0, 2, 197, 28, 32, 44, 136, 96, 2, 0, 2,
    198, 28, 40, 34, 8, 2, 198, 28, 29, 0, 0, 0, 0, 26, 1, 0, 0, 2, 199, 28, 0, 29, 0, 0, 0, 0, 90,
    22, 0, 0, 2, 200, 28, 0, 0, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 202, 28, 48, 0, 9, 187, 96, 2, 0,
    14, 168, 0, 0, 0, 15, 228, 21, 0, 0, 0, 9, 203, 96, 2, 0, 14, 168, 0, 0, 0, 15, 220, 52, 2, 0,
    15, 109, 22, 0, 0, 0, 35, 0, 0, 0, 0, 16, 2, 202, 21, 29, 0, 0, 0, 0, 206, 94, 0, 0, 2, 203,
    21, 0, 29, 0, 0, 0, 0, 109, 22, 0, 0, 2, 204, 21, 8, 0, 9, 4, 97, 2, 0, 35, 0, 0, 0, 0, 64, 2,
    14, 113, 29, 0, 0, 0, 0, 254, 62, 0, 0, 2, 15, 113, 0, 29, 0, 0, 0, 0, 33, 67, 0, 0, 2, 16,
    113, 4, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 17, 113, 8, 29, 0, 0, 0, 0, 122, 67, 1, 0, 2, 18, 113,
    12, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 19, 113, 16, 29, 0, 0, 0, 0, 28, 22, 0, 0, 2, 20, 113, 24,
    29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 21, 113, 40, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 22, 113, 48, 29,
    0, 0, 0, 0, 216, 107, 0, 0, 2, 23, 113, 56, 29, 0, 0, 0, 0, 142, 205, 0, 0, 2, 24, 113, 64, 0,
    9, 149, 97, 2, 0, 35, 0, 0, 0, 0, 32, 2, 2, 10, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 3, 10, 0, 29,
    0, 0, 0, 0, 27, 1, 0, 0, 2, 4, 10, 4, 29, 0, 0, 0, 0, 197, 97, 2, 0, 2, 8, 10, 8, 34, 8, 2, 5,
    10, 29, 0, 0, 0, 0, 197, 0, 0, 0, 2, 6, 10, 0, 29, 0, 0, 0, 0, 197, 0, 0, 0, 2, 7, 10, 0, 0,
    29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 9, 10, 16, 0, 35, 0, 0, 0, 0, 48, 2, 146, 2, 29, 0, 0, 0, 0,
    36, 98, 2, 0, 2, 147, 2, 0, 29, 0, 0, 0, 0, 181, 51, 0, 0, 2, 148, 2, 40, 29, 0, 0, 0, 0, 181,
    51, 0, 0, 2, 149, 2, 41, 0, 35, 0, 0, 0, 0, 40, 2, 142, 2, 29, 0, 0, 0, 0, 160, 165, 0, 0, 2,
    143, 2, 0, 0, 9, 64, 98, 2, 0, 35, 0, 0, 0, 0, 80, 2, 237, 21, 29, 0, 0, 0, 0, 155, 95, 0, 0,
    2, 238, 21, 0, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 239, 21, 4, 29, 0, 0, 0, 0, 109, 22, 0, 0, 2,
    240, 21, 8, 29, 0, 0, 0, 0, 109, 22, 0, 0, 2, 241, 21, 16, 29, 0, 0, 0, 0, 109, 22, 0, 0, 2,
    242, 21, 24, 29, 0, 0, 0, 0, 177, 66, 0, 0, 2, 243, 21, 32, 29, 0, 0, 0, 0, 177, 66, 0, 0, 2,
    244, 21, 36, 29, 0, 0, 0, 0, 109, 22, 0, 0, 2, 245, 21, 40, 29, 0, 0, 0, 0, 109, 22, 0, 0, 2,
    246, 21, 48, 29, 0, 0, 0, 0, 109, 22, 0, 0, 2, 247, 21, 56, 29, 0, 0, 0, 0, 109, 22, 0, 0, 2,
    248, 21, 64, 29, 0, 0, 0, 0, 177, 66, 0, 0, 2, 249, 21, 72, 29, 0, 0, 0, 0, 177, 66, 0, 0, 2,
    250, 21, 76, 0, 3, 255, 98, 2, 0, 4, 82, 0, 0, 0, 32, 0, 35, 0, 0, 0, 0, 120, 2, 158, 2, 29, 0,
    0, 0, 0, 61, 99, 2, 0, 2, 159, 2, 0, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 160, 2, 96, 29, 0, 0, 0,
    0, 90, 22, 0, 0, 2, 161, 2, 104, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 162, 2, 112, 0, 3, 90, 22, 0,
    0, 4, 82, 0, 0, 0, 12, 0, 9, 78, 99, 2, 0, 35, 0, 0, 0, 0, 40, 2, 253, 21, 29, 0, 0, 0, 0, 90,
    22, 0, 0, 2, 254, 21, 0, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 255, 21, 8, 29, 0, 0, 0, 0, 208, 0,
    0, 0, 2, 0, 22, 16, 29, 0, 0, 0, 0, 208, 0, 0, 0, 2, 1, 22, 24, 29, 0, 0, 0, 0, 216, 107, 0, 0,
    2, 2, 22, 32, 0, 9, 158, 99, 2, 0, 28, 0, 0, 0, 0, 192, 11, 2, 221, 17, 29, 0, 0, 0, 0, 62,
    143, 0, 0, 2, 222, 17, 0, 29, 0, 0, 0, 0, 98, 102, 2, 0, 2, 223, 17, 240, 29, 0, 0, 0, 0, 134,
    102, 2, 0, 2, 224, 17, 248, 31, 0, 0, 0, 0, 134, 102, 2, 0, 2, 225, 17, 104, 1, 31, 0, 0, 0, 0,
    134, 102, 2, 0, 2, 226, 17, 216, 1, 31, 0, 0, 0, 0, 134, 102, 2, 0, 2, 227, 17, 72, 2, 31, 0,
    0, 0, 0, 134, 102, 2, 0, 2, 228, 17, 184, 2, 31, 0, 0, 0, 0, 117, 158, 0, 0, 2, 229, 17, 40, 3,
    31, 0, 0, 0, 0, 90, 22, 0, 0, 2, 230, 17, 72, 3, 31, 0, 0, 0, 0, 75, 103, 2, 0, 2, 231, 17, 80,
    3, 31, 0, 0, 0, 0, 181, 51, 0, 0, 2, 232, 17, 200, 3, 31, 0, 0, 0, 0, 181, 51, 0, 0, 2, 233,
    17, 201, 3, 31, 0, 0, 0, 0, 181, 51, 0, 0, 2, 234, 17, 202, 3, 31, 0, 0, 0, 0, 168, 0, 0, 0, 2,
    235, 17, 204, 3, 31, 0, 0, 0, 0, 168, 0, 0, 0, 2, 236, 17, 208, 3, 31, 0, 0, 0, 0, 168, 0, 0,
    0, 2, 237, 17, 212, 3, 31, 0, 0, 0, 0, 85, 156, 0, 0, 2, 238, 17, 216, 3, 31, 0, 0, 0, 0, 85,
    156, 0, 0, 2, 239, 17, 16, 4, 31, 0, 0, 0, 0, 85, 156, 0, 0, 2, 240, 17, 72, 4, 31, 0, 0, 0, 0,
    128, 104, 0, 0, 2, 241, 17, 128, 4, 31, 0, 0, 0, 0, 189, 103, 2, 0, 2, 242, 17, 160, 4, 31, 0,
    0, 0, 0, 189, 103, 2, 0, 2, 243, 17, 176, 4, 31, 0, 0, 0, 0, 195, 21, 0, 0, 2, 244, 17, 192, 4,
    31, 0, 0, 0, 0, 90, 22, 0, 0, 2, 245, 17, 208, 4, 31, 0, 0, 0, 0, 33, 67, 0, 0, 2, 246, 17,
    216, 4, 31, 0, 0, 0, 0, 90, 22, 0, 0, 2, 247, 17, 224, 4, 31, 0, 0, 0, 0, 81, 104, 2, 0, 2,
    251, 17, 0, 5, 31, 0, 0, 0, 0, 242, 23, 0, 0, 2, 252, 17, 0, 5, 31, 0, 0, 0, 0, 244, 117, 0, 0,
    2, 253, 17, 8, 5, 31, 0, 0, 0, 0, 104, 104, 2, 0, 2, 254, 17, 16, 5, 31, 0, 0, 0, 0, 104, 104,
    2, 0, 2, 255, 17, 24, 5, 31, 0, 0, 0, 0, 81, 104, 2, 0, 2, 4, 18, 64, 5, 31, 0, 0, 0, 0, 199,
    104, 2, 0, 2, 5, 18, 64, 5, 31, 0, 0, 0, 0, 211, 104, 2, 0, 2, 6, 18, 128, 6, 31, 0, 0, 0, 0,
    223, 104, 2, 0, 2, 7, 18, 128, 9, 31, 0, 0, 0, 0, 223, 104, 2, 0, 2, 8, 18, 192, 9, 31, 0, 0,
    0, 0, 90, 22, 0, 0, 2, 9, 18, 0, 10, 31, 0, 0, 0, 0, 181, 51, 0, 0, 2, 10, 18, 8, 10, 31, 0, 0,
    0, 0, 168, 0, 0, 0, 2, 11, 18, 12, 10, 31, 0, 0, 0, 0, 168, 0, 0, 0, 2, 12, 18, 16, 10, 31, 0,
    0, 0, 0, 26, 7, 0, 0, 2, 13, 18, 20, 10, 31, 0, 0, 0, 0, 235, 104, 2, 0, 2, 14, 18, 24, 10, 31,
    0, 0, 0, 0, 195, 21, 0, 0, 2, 15, 18, 32, 10, 31, 0, 0, 0, 0, 195, 21, 0, 0, 2, 16, 18, 48, 10,
    31, 0, 0, 0, 0, 74, 105, 2, 0, 2, 17, 18, 64, 10, 31, 0, 0, 0, 0, 211, 105, 2, 0, 2, 18, 18,
    184, 10, 31, 0, 0, 0, 0, 195, 21, 0, 0, 2, 19, 18, 88, 11, 31, 0, 0, 0, 0, 33, 67, 0, 0, 2, 20,
    18, 104, 11, 31, 0, 0, 0, 0, 91, 41, 2, 0, 2, 21, 18, 112, 11, 31, 0, 0, 0, 0, 65, 106, 2, 0,
    2, 22, 18, 144, 11, 0, 35, 0, 0, 0, 0, 8, 2, 119, 17, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 120, 17,
    0, 29, 0, 0, 0, 0, 254, 62, 0, 0, 2, 121, 17, 4, 0, 35, 0, 0, 0, 0, 112, 2, 124, 17, 29, 0, 0,
    0, 0, 173, 23, 0, 0, 2, 125, 17, 0, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 126, 17, 8, 29, 0, 0, 0,
    0, 90, 22, 0, 0, 2, 127, 17, 16, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 128, 17, 24, 29, 0, 0, 0, 0,
    90, 22, 0, 0, 2, 129, 17, 32, 29, 0, 0, 0, 0, 70, 103, 2, 0, 2, 130, 17, 40, 29, 0, 0, 0, 0,
    90, 22, 0, 0, 2, 131, 17, 48, 29, 0, 0, 0, 0, 173, 23, 0, 0, 2, 132, 17, 56, 29, 0, 0, 0, 0,
    173, 23, 0, 0, 2, 133, 17, 64, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 134, 17, 72, 29, 0, 0, 0, 0,
    173, 23, 0, 0, 2, 135, 17, 80, 29, 0, 0, 0, 0, 173, 23, 0, 0, 2, 136, 17, 88, 29, 0, 0, 0, 0,
    90, 22, 0, 0, 2, 137, 17, 96, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 138, 17, 104, 0, 9, 134, 102, 2,
    0, 35, 0, 0, 0, 0, 120, 2, 141, 17, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 142, 17, 0, 29, 0, 0, 0,
    0, 90, 22, 0, 0, 2, 143, 17, 8, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 144, 17, 16, 29, 0, 0, 0, 0,
    90, 22, 0, 0, 2, 145, 17, 24, 29, 0, 0, 0, 0, 33, 67, 0, 0, 2, 146, 17, 32, 29, 0, 0, 0, 0,
    195, 21, 0, 0, 2, 147, 17, 40, 29, 0, 0, 0, 0, 128, 104, 0, 0, 2, 148, 17, 56, 29, 0, 0, 0, 0,
    117, 158, 0, 0, 2, 149, 17, 88, 0, 35, 0, 0, 0, 0, 16, 2, 162, 17, 29, 0, 0, 0, 0, 225, 103, 2,
    0, 2, 163, 17, 0, 29, 0, 0, 0, 0, 225, 103, 2, 0, 2, 164, 17, 8, 0, 9, 230, 103, 2, 0, 35, 0,
    0, 0, 0, 8, 2, 167, 32, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 168, 32, 0, 29, 0, 0, 0, 0, 38, 1, 0,
    0, 2, 169, 32, 4, 29, 0, 0, 0, 0, 23, 104, 2, 0, 2, 170, 32, 8, 0, 3, 35, 104, 2, 0, 4, 82, 0,
    0, 0, 0, 0, 35, 0, 0, 0, 0, 16, 2, 162, 32, 29, 0, 0, 0, 0, 71, 104, 2, 0, 2, 163, 32, 0, 29,
    0, 0, 0, 0, 90, 22, 0, 0, 2, 164, 32, 8, 0, 9, 76, 104, 2, 0, 43, 0, 0, 0, 0, 35, 0, 0, 0, 0,
    0, 2, 167, 17, 29, 0, 0, 0, 0, 78, 22, 0, 0, 2, 168, 17, 0, 0, 9, 109, 104, 2, 0, 28, 0, 0, 0,
    0, 88, 4, 2, 125, 32, 29, 0, 0, 0, 0, 175, 104, 2, 0, 2, 126, 32, 0, 31, 0, 0, 0, 0, 187, 104,
    2, 0, 2, 127, 32, 64, 1, 31, 0, 0, 0, 0, 90, 22, 0, 0, 2, 128, 32, 64, 4, 31, 0, 0, 0, 0, 11,
    103, 0, 0, 2, 129, 32, 72, 4, 0, 3, 19, 1, 0, 0, 4, 82, 0, 0, 0, 40, 0, 3, 90, 22, 0, 0, 4, 82,
    0, 0, 0, 96, 0, 3, 173, 23, 0, 0, 4, 82, 0, 0, 0, 40, 0, 3, 173, 23, 0, 0, 4, 82, 0, 0, 0, 96,
    0, 3, 173, 23, 0, 0, 4, 82, 0, 0, 0, 8, 0, 9, 240, 104, 2, 0, 35, 0, 0, 0, 0, 88, 2, 31, 18,
    29, 0, 0, 0, 0, 46, 40, 1, 0, 2, 32, 18, 0, 29, 0, 0, 0, 0, 153, 99, 2, 0, 2, 33, 18, 56, 29,
    0, 0, 0, 0, 242, 23, 0, 0, 2, 34, 18, 64, 44, 41, 105, 2, 0, 2, 35, 18, 72, 34, 16, 2, 35, 18,
    29, 0, 0, 0, 0, 195, 21, 0, 0, 2, 36, 18, 0, 29, 0, 0, 0, 0, 28, 22, 0, 0, 2, 37, 18, 0, 0, 0,
    35, 0, 0, 0, 0, 120, 2, 190, 17, 29, 0, 0, 0, 0, 33, 67, 0, 0, 2, 191, 17, 0, 29, 0, 0, 0, 0,
    162, 105, 2, 0, 2, 192, 17, 8, 29, 0, 0, 0, 0, 134, 156, 0, 0, 2, 193, 17, 56, 29, 0, 0, 0, 0,
    90, 22, 0, 0, 2, 194, 17, 96, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 195, 17, 104, 29, 0, 0, 0, 0,
    90, 22, 0, 0, 2, 196, 17, 112, 0, 35, 0, 0, 0, 0, 48, 2, 184, 17, 29, 0, 0, 0, 0, 130, 148, 1,
    0, 2, 185, 17, 0, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 186, 17, 40, 29, 0, 0, 0, 0, 4, 66, 0, 0, 2,
    187, 17, 44, 0, 3, 223, 105, 2, 0, 4, 82, 0, 0, 0, 4, 0, 35, 0, 0, 0, 0, 40, 2, 204, 17, 29, 0,
    0, 0, 0, 109, 22, 0, 0, 2, 205, 17, 0, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 206, 17, 8, 29, 0, 0,
    0, 0, 109, 22, 0, 0, 2, 207, 17, 16, 29, 0, 0, 0, 0, 29, 106, 2, 0, 2, 208, 17, 24, 0, 35, 0,
    0, 0, 0, 16, 2, 199, 17, 29, 0, 0, 0, 0, 242, 23, 0, 0, 2, 200, 17, 0, 29, 0, 0, 0, 0, 57, 155,
    0, 0, 2, 201, 17, 8, 0, 3, 77, 106, 2, 0, 4, 82, 0, 0, 0, 0, 0, 9, 82, 106, 2, 0, 28, 0, 0, 0,
    0, 208, 2, 2, 146, 32, 29, 0, 0, 0, 0, 140, 41, 2, 0, 2, 147, 32, 0, 29, 0, 0, 0, 0, 243, 106,
    2, 0, 2, 148, 32, 136, 29, 0, 0, 0, 0, 243, 106, 2, 0, 2, 149, 32, 144, 29, 0, 0, 0, 0, 81, 42,
    2, 0, 2, 150, 32, 152, 31, 0, 0, 0, 0, 28, 107, 2, 0, 2, 151, 32, 192, 1, 31, 0, 0, 0, 0, 40,
    107, 2, 0, 2, 152, 32, 136, 2, 31, 0, 0, 0, 0, 76, 107, 2, 0, 2, 153, 32, 152, 2, 31, 0, 0, 0,
    0, 229, 39, 0, 0, 2, 154, 32, 160, 2, 31, 0, 0, 0, 0, 90, 22, 0, 0, 2, 155, 32, 184, 2, 31, 0,
    0, 0, 0, 181, 51, 0, 0, 2, 156, 32, 192, 2, 31, 0, 0, 0, 0, 153, 99, 2, 0, 2, 157, 32, 200, 2,
    0, 9, 248, 106, 2, 0, 28, 0, 0, 0, 0, 40, 1, 2, 137, 32, 29, 0, 0, 0, 0, 16, 107, 2, 0, 2, 138,
    32, 0, 0, 3, 19, 1, 0, 0, 4, 82, 0, 0, 0, 37, 0, 3, 90, 22, 0, 0, 4, 82, 0, 0, 0, 25, 0, 35, 0,
    0, 0, 0, 16, 2, 132, 32, 29, 0, 0, 0, 0, 153, 99, 2, 0, 2, 133, 32, 0, 29, 0, 0, 0, 0, 38, 1,
    0, 0, 2, 134, 32, 8, 0, 9, 81, 107, 2, 0, 35, 0, 0, 0, 0, 16, 2, 141, 32, 29, 0, 0, 0, 0, 28,
    22, 0, 0, 2, 142, 32, 0, 29, 0, 0, 0, 0, 142, 205, 0, 0, 2, 143, 32, 16, 0, 9, 122, 107, 2, 0,
    35, 0, 0, 0, 0, 64, 2, 158, 7, 29, 0, 0, 0, 0, 38, 108, 2, 0, 2, 159, 7, 0, 44, 153, 107, 2, 0,
    2, 160, 7, 8, 34, 24, 2, 160, 7, 44, 167, 107, 2, 0, 2, 161, 7, 0, 30, 24, 2, 161, 7, 29, 0, 0,
    0, 0, 76, 108, 2, 0, 2, 162, 7, 0, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 163, 7, 16, 0, 44, 208,
    107, 2, 0, 2, 165, 7, 0, 30, 24, 2, 165, 7, 29, 0, 0, 0, 0, 28, 22, 0, 0, 2, 166, 7, 0, 29, 0,
    0, 0, 0, 90, 22, 0, 0, 2, 167, 7, 16, 0, 0, 29, 0, 0, 0, 0, 125, 108, 2, 0, 2, 170, 7, 32, 29,
    0, 0, 0, 0, 90, 22, 0, 0, 2, 171, 7, 40, 29, 0, 0, 0, 0, 62, 111, 2, 0, 2, 172, 7, 48, 29, 0,
    0, 0, 0, 38, 1, 0, 0, 2, 173, 7, 56, 0, 18, 38, 1, 0, 0, 0, 0, 0, 0, 4, 2, 147, 7, 19, 0, 0, 0,
    0, 0, 19, 0, 0, 0, 0, 1, 19, 0, 0, 0, 0, 2, 19, 0, 0, 0, 0, 3, 0, 35, 0, 0, 0, 0, 16, 2, 141,
    7, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 142, 7, 0, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 143, 7, 8, 29,
    0, 0, 0, 0, 38, 1, 0, 0, 2, 144, 7, 12, 0, 9, 130, 108, 2, 0, 35, 0, 0, 0, 0, 200, 2, 128, 162,
    29, 0, 0, 0, 0, 229, 39, 0, 0, 2, 129, 162, 0, 29, 0, 0, 0, 0, 254, 62, 0, 0, 2, 130, 162, 24,
    29, 0, 0, 0, 0, 57, 95, 0, 0, 2, 131, 162, 32, 29, 0, 0, 0, 0, 57, 95, 0, 0, 2, 132, 162, 72,
    29, 0, 0, 0, 0, 195, 21, 0, 0, 2, 133, 162, 112, 29, 0, 0, 0, 0, 27, 109, 2, 0, 2, 134, 162,
    128, 29, 0, 0, 0, 0, 201, 58, 0, 0, 2, 135, 162, 136, 29, 0, 0, 0, 0, 40, 73, 0, 0, 2, 136,
    162, 144, 29, 0, 0, 0, 0, 40, 73, 0, 0, 2, 137, 162, 152, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 138,
    162, 160, 29, 0, 0, 0, 0, 199, 109, 2, 0, 2, 139, 162, 168, 0, 9, 32, 109, 2, 0, 35, 0, 0, 0,
    0, 32, 2, 7, 146, 29, 0, 0, 0, 0, 94, 109, 2, 0, 2, 8, 146, 0, 29, 0, 0, 0, 0, 115, 109, 2, 0,
    2, 9, 146, 8, 29, 0, 0, 0, 0, 141, 109, 2, 0, 2, 10, 146, 16, 29, 0, 0, 0, 0, 27, 109, 2, 0, 2,
    11, 146, 24, 0, 9, 99, 109, 2, 0, 14, 168, 0, 0, 0, 15, 27, 109, 2, 0, 15, 215, 71, 2, 0, 0, 9,
    120, 109, 2, 0, 14, 168, 0, 0, 0, 15, 27, 109, 2, 0, 15, 90, 22, 0, 0, 15, 215, 71, 2, 0, 0, 9,
    146, 109, 2, 0, 14, 181, 51, 0, 0, 15, 27, 109, 2, 0, 15, 167, 109, 2, 0, 15, 104, 91, 0, 0, 0,
    18, 38, 1, 0, 0, 0, 0, 0, 0, 4, 2, 1, 146, 19, 0, 0, 0, 0, 0, 19, 0, 0, 0, 0, 1, 19, 0, 0, 0,
    0, 2, 0, 35, 0, 0, 0, 0, 32, 2, 133, 101, 44, 217, 109, 2, 0, 2, 134, 101, 0, 34, 16, 2, 134,
    101, 29, 0, 0, 0, 0, 170, 110, 2, 0, 2, 135, 101, 0, 29, 0, 0, 0, 0, 170, 110, 2, 0, 2, 136,
    101, 0, 0, 29, 0, 0, 0, 0, 182, 110, 2, 0, 2, 138, 101, 16, 44, 15, 110, 2, 0, 2, 139, 101, 24,
    34, 8, 2, 139, 101, 29, 0, 0, 0, 0, 33, 110, 2, 0, 2, 144, 101, 0, 30, 8, 2, 140, 101, 29, 0,
    0, 0, 0, 12, 101, 0, 0, 2, 141, 101, 0, 29, 0, 0, 0, 0, 218, 67, 0, 0, 2, 142, 101, 4, 29, 0,
    0, 0, 0, 218, 67, 0, 0, 2, 143, 101, 5, 0, 29, 0, 0, 0, 0, 91, 110, 2, 0, 2, 148, 101, 0, 30,
    2, 2, 145, 101, 29, 0, 0, 0, 0, 218, 67, 0, 0, 2, 146, 101, 0, 29, 0, 0, 0, 0, 218, 67, 0, 0,
    2, 147, 101, 1, 0, 29, 0, 0, 0, 0, 136, 110, 2, 0, 2, 152, 101, 0, 30, 2, 2, 149, 101, 29, 0,
    0, 0, 0, 218, 67, 0, 0, 2, 150, 101, 0, 29, 0, 0, 0, 0, 218, 67, 0, 0, 2, 151, 101, 1, 0, 0, 0,
    3, 218, 67, 0, 0, 4, 82, 0, 0, 0, 16, 0, 9, 187, 110, 2, 0, 37, 192, 110, 2, 0, 35, 0, 0, 0, 0,
    32, 2, 156, 101, 29, 0, 0, 0, 0, 254, 110, 2, 0, 2, 157, 101, 0, 29, 0, 0, 0, 0, 24, 111, 2, 0,
    2, 158, 101, 8, 29, 0, 0, 0, 0, 24, 111, 2, 0, 2, 159, 101, 16, 29, 0, 0, 0, 0, 45, 111, 2, 0,
    2, 160, 101, 24, 0, 9, 3, 111, 2, 0, 14, 181, 51, 0, 0, 15, 19, 111, 2, 0, 15, 215, 71, 2, 0,
    0, 9, 199, 109, 2, 0, 9, 29, 111, 2, 0, 14, 168, 0, 0, 0, 15, 19, 111, 2, 0, 15, 215, 71, 2, 0,
    0, 9, 50, 111, 2, 0, 38, 15, 19, 111, 2, 0, 15, 215, 71, 2, 0, 0, 9, 67, 111, 2, 0, 35, 0, 0,
    0, 0, 48, 2, 176, 7, 29, 0, 0, 0, 0, 125, 108, 2, 0, 2, 177, 7, 0, 29, 0, 0, 0, 0, 90, 22, 0,
    0, 2, 178, 7, 8, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 179, 7, 16, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2,
    180, 7, 24, 29, 0, 0, 0, 0, 181, 51, 0, 0, 2, 181, 7, 32, 29, 0, 0, 0, 0, 62, 111, 2, 0, 2,
    182, 7, 40, 0, 9, 160, 111, 2, 0, 35, 0, 0, 0, 0, 64, 2, 102, 7, 29, 0, 0, 0, 0, 155, 111, 2,
    0, 2, 103, 7, 0, 29, 0, 0, 0, 0, 26, 1, 0, 0, 2, 104, 7, 8, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2,
    105, 7, 16, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 106, 7, 24, 29, 0, 0, 0, 0, 211, 107, 0, 0, 2,
    107, 7, 32, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 108, 7, 40, 29, 0, 0, 0, 0, 44, 177, 0, 0, 2, 109,
    7, 48, 29, 0, 0, 0, 0, 45, 1, 0, 0, 2, 110, 7, 56, 0, 28, 0, 0, 0, 0, 0, 17, 2, 26, 3, 29, 0,
    0, 0, 0, 23, 113, 2, 0, 2, 27, 3, 0, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 28, 3, 24, 29, 0, 0, 0,
    0, 236, 24, 0, 0, 2, 29, 3, 32, 29, 0, 0, 0, 0, 236, 24, 0, 0, 2, 30, 3, 34, 29, 0, 0, 0, 0,
    236, 24, 0, 0, 2, 31, 3, 36, 29, 0, 0, 0, 0, 236, 24, 0, 0, 2, 32, 3, 38, 29, 0, 0, 0, 0, 90,
    22, 0, 0, 2, 33, 3, 40, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 34, 3, 48, 29, 0, 0, 0, 0, 247, 113,
    2, 0, 2, 35, 3, 56, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 36, 3, 88, 29, 0, 0, 0, 0, 90, 22, 0, 0,
    2, 37, 3, 96, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 38, 3, 104, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 39,
    3, 112, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 40, 3, 120, 29, 0, 0, 0, 0, 3, 114, 2, 0, 2, 41, 3,
    128, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 42, 3, 136, 29, 0, 0, 0, 0, 84, 114, 2, 0, 2, 43, 3, 144,
    45, 0, 0, 0, 0, 38, 1, 0, 0, 2, 44, 3, 4, 1, 31, 152, 29, 0, 0, 0, 0, 115, 114, 2, 0, 2, 50, 3,
    192, 0, 3, 35, 113, 2, 0, 4, 82, 0, 0, 0, 3, 0, 35, 0, 0, 0, 0, 8, 2, 165, 2, 29, 0, 0, 0, 0,
    229, 67, 0, 0, 2, 166, 2, 0, 29, 0, 0, 0, 0, 229, 67, 0, 0, 2, 167, 2, 2, 45, 0, 0, 0, 0, 229,
    67, 0, 0, 2, 168, 2, 2, 8, 8, 4, 45, 0, 0, 0, 0, 229, 67, 0, 0, 2, 169, 2, 2, 4, 4, 4, 45, 0,
    0, 0, 0, 229, 67, 0, 0, 2, 170, 2, 2, 1, 3, 4, 45, 0, 0, 0, 0, 229, 67, 0, 0, 2, 171, 2, 2, 2,
    1, 4, 45, 0, 0, 0, 0, 229, 67, 0, 0, 2, 172, 2, 2, 1, 0, 4, 45, 0, 0, 0, 0, 229, 67, 0, 0, 2,
    173, 2, 2, 4, 12, 6, 45, 0, 0, 0, 0, 229, 67, 0, 0, 2, 174, 2, 2, 1, 11, 6, 45, 0, 0, 0, 0,
    229, 67, 0, 0, 2, 175, 2, 2, 1, 10, 6, 45, 0, 0, 0, 0, 229, 67, 0, 0, 2, 176, 2, 2, 1, 9, 6,
    45, 0, 0, 0, 0, 229, 67, 0, 0, 2, 177, 2, 2, 1, 8, 6, 45, 0, 0, 0, 0, 229, 67, 0, 0, 2, 178, 2,
    2, 8, 0, 6, 0, 3, 220, 52, 2, 0, 4, 82, 0, 0, 0, 4, 0, 9, 8, 114, 2, 0, 28, 0, 0, 0, 0, 16, 32,
    2, 189, 55, 29, 0, 0, 0, 0, 109, 22, 0, 0, 2, 190, 55, 0, 29, 0, 0, 0, 0, 254, 62, 0, 0, 2,
    191, 55, 8, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 192, 55, 12, 29, 0, 0, 0, 0, 71, 114, 2, 0, 2, 193,
    55, 16, 0, 3, 90, 22, 0, 0, 50, 82, 0, 0, 0, 0, 4, 0, 39, 96, 114, 2, 0, 0, 0, 0, 0, 2, 183, 2,
    30, 8, 2, 181, 2, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 182, 2, 0, 0, 28, 0, 0, 0, 0, 64, 16, 2, 10,
    3, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 11, 3, 0, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 12, 3, 8, 29, 0,
    0, 0, 0, 165, 114, 2, 0, 2, 19, 3, 64, 0, 62, 0, 0, 0, 0, 0, 16, 2, 2, 3, 29, 0, 0, 0, 0, 241,
    114, 2, 0, 2, 3, 3, 0, 29, 0, 0, 0, 0, 124, 115, 2, 0, 2, 4, 3, 0, 29, 0, 0, 0, 0, 186, 116, 2,
    0, 2, 5, 3, 0, 29, 0, 0, 0, 0, 189, 117, 2, 0, 2, 6, 3, 0, 29, 0, 0, 0, 0, 46, 118, 2, 0, 2, 7,
    3, 0, 0, 35, 0, 0, 0, 0, 112, 2, 185, 2, 29, 0, 0, 0, 0, 177, 66, 0, 0, 2, 186, 2, 0, 29, 0, 0,
    0, 0, 177, 66, 0, 0, 2, 187, 2, 4, 29, 0, 0, 0, 0, 177, 66, 0, 0, 2, 188, 2, 8, 29, 0, 0, 0, 0,
    177, 66, 0, 0, 2, 189, 2, 12, 29, 0, 0, 0, 0, 177, 66, 0, 0, 2, 190, 2, 16, 29, 0, 0, 0, 0,
    177, 66, 0, 0, 2, 191, 2, 20, 29, 0, 0, 0, 0, 177, 66, 0, 0, 2, 192, 2, 24, 29, 0, 0, 0, 0,
    112, 115, 2, 0, 2, 193, 2, 28, 29, 0, 0, 0, 0, 177, 66, 0, 0, 2, 194, 2, 108, 0, 3, 177, 66, 0,
    0, 4, 82, 0, 0, 0, 20, 0, 28, 0, 0, 0, 0, 0, 2, 2, 197, 2, 29, 0, 0, 0, 0, 229, 67, 0, 0, 2,
    198, 2, 0, 29, 0, 0, 0, 0, 229, 67, 0, 0, 2, 199, 2, 2, 29, 0, 0, 0, 0, 229, 67, 0, 0, 2, 200,
    2, 4, 29, 0, 0, 0, 0, 229, 67, 0, 0, 2, 201, 2, 6, 44, 195, 115, 2, 0, 2, 202, 2, 8, 34, 16, 2,
    202, 2, 44, 209, 115, 2, 0, 2, 203, 2, 0, 30, 16, 2, 203, 2, 29, 0, 0, 0, 0, 109, 22, 0, 0, 2,
    204, 2, 0, 29, 0, 0, 0, 0, 109, 22, 0, 0, 2, 205, 2, 8, 0, 44, 250, 115, 2, 0, 2, 207, 2, 0,
    30, 16, 2, 207, 2, 29, 0, 0, 0, 0, 177, 66, 0, 0, 2, 208, 2, 0, 29, 0, 0, 0, 0, 177, 66, 0, 0,
    2, 209, 2, 4, 29, 0, 0, 0, 0, 177, 66, 0, 0, 2, 210, 2, 8, 29, 0, 0, 0, 0, 177, 66, 0, 0, 2,
    211, 2, 12, 0, 0, 29, 0, 0, 0, 0, 177, 66, 0, 0, 2, 214, 2, 24, 29, 0, 0, 0, 0, 177, 66, 0, 0,
    2, 215, 2, 28, 29, 0, 0, 0, 0, 162, 116, 2, 0, 2, 216, 2, 32, 29, 0, 0, 0, 0, 174, 116, 2, 0,
    2, 217, 2, 160, 31, 0, 0, 0, 0, 84, 160, 0, 0, 2, 218, 2, 160, 1, 33, 129, 116, 2, 0, 2, 219,
    2, 208, 1, 34, 48, 2, 219, 2, 29, 0, 0, 0, 0, 84, 160, 0, 0, 2, 220, 2, 0, 29, 0, 0, 0, 0, 84,
    160, 0, 0, 2, 221, 2, 0, 0, 0, 3, 177, 66, 0, 0, 4, 82, 0, 0, 0, 32, 0, 3, 177, 66, 0, 0, 4,
    82, 0, 0, 0, 64, 0, 35, 0, 0, 0, 0, 136, 2, 227, 2, 29, 0, 0, 0, 0, 177, 66, 0, 0, 2, 228, 2,
    0, 29, 0, 0, 0, 0, 177, 66, 0, 0, 2, 229, 2, 4, 29, 0, 0, 0, 0, 177, 66, 0, 0, 2, 230, 2, 8,
    29, 0, 0, 0, 0, 177, 66, 0, 0, 2, 231, 2, 12, 29, 0, 0, 0, 0, 177, 66, 0, 0, 2, 232, 2, 16, 29,
    0, 0, 0, 0, 177, 66, 0, 0, 2, 233, 2, 20, 29, 0, 0, 0, 0, 177, 66, 0, 0, 2, 234, 2, 24, 29, 0,
    0, 0, 0, 112, 115, 2, 0, 2, 235, 2, 28, 29, 0, 0, 0, 0, 218, 67, 0, 0, 2, 236, 2, 108, 29, 0,
    0, 0, 0, 218, 67, 0, 0, 2, 237, 2, 109, 29, 0, 0, 0, 0, 218, 67, 0, 0, 2, 238, 2, 110, 29, 0,
    0, 0, 0, 218, 67, 0, 0, 2, 239, 2, 111, 29, 0, 0, 0, 0, 218, 67, 0, 0, 2, 240, 2, 112, 29, 0,
    0, 0, 0, 218, 67, 0, 0, 2, 241, 2, 113, 29, 0, 0, 0, 0, 148, 117, 2, 0, 2, 242, 2, 120, 29, 0,
    0, 0, 0, 177, 66, 0, 0, 2, 243, 2, 128, 0, 9, 153, 117, 2, 0, 35, 0, 0, 0, 0, 16, 2, 97, 7, 29,
    0, 0, 0, 0, 19, 1, 0, 0, 2, 98, 7, 0, 29, 0, 0, 0, 0, 215, 71, 2, 0, 2, 99, 7, 8, 0, 28, 0, 0,
    0, 0, 64, 2, 2, 252, 2, 29, 0, 0, 0, 0, 124, 115, 2, 0, 2, 253, 2, 0, 31, 0, 0, 0, 0, 241, 117,
    2, 0, 2, 254, 2, 0, 2, 31, 0, 0, 0, 0, 143, 145, 1, 0, 2, 255, 2, 64, 2, 0, 35, 0, 0, 0, 0, 64,
    2, 246, 2, 29, 0, 0, 0, 0, 109, 22, 0, 0, 2, 247, 2, 0, 29, 0, 0, 0, 0, 109, 22, 0, 0, 2, 248,
    2, 8, 29, 0, 0, 0, 0, 34, 118, 2, 0, 2, 249, 2, 16, 0, 3, 109, 22, 0, 0, 4, 82, 0, 0, 0, 6, 0,
    3, 218, 67, 0, 0, 50, 82, 0, 0, 0, 0, 16, 0, 9, 64, 118, 2, 0, 38, 15, 239, 117, 0, 0, 0, 9,
    76, 118, 2, 0, 14, 168, 0, 0, 0, 15, 92, 118, 2, 0, 15, 239, 117, 0, 0, 0, 9, 97, 118, 2, 0,
    35, 0, 0, 0, 0, 32, 2, 218, 24, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 219, 24, 0, 29, 0, 0, 0, 0, 87,
    76, 1, 0, 2, 220, 24, 8, 29, 0, 0, 0, 0, 131, 74, 1, 0, 2, 221, 24, 16, 29, 0, 0, 0, 0, 244,
    107, 0, 0, 2, 222, 24, 24, 0, 9, 164, 118, 2, 0, 14, 131, 115, 0, 0, 15, 239, 117, 0, 0, 0, 9,
    180, 118, 2, 0, 14, 239, 117, 0, 0, 15, 239, 117, 0, 0, 0, 3, 168, 0, 0, 0, 4, 82, 0, 0, 0, 10,
    0, 9, 208, 118, 2, 0, 35, 0, 0, 0, 0, 8, 2, 115, 12, 29, 0, 0, 0, 0, 242, 23, 0, 0, 2, 116, 12,
    0, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 117, 12, 4, 29, 0, 0, 0, 0, 1, 119, 2, 0, 2, 118, 12, 8, 0,
    3, 134, 62, 0, 0, 4, 82, 0, 0, 0, 0, 0, 9, 18, 119, 2, 0, 14, 168, 0, 0, 0, 15, 61, 78, 0, 0,
    0, 9, 34, 119, 2, 0, 14, 168, 0, 0, 0, 15, 45, 119, 2, 0, 0, 9, 50, 119, 2, 0, 35, 0, 0, 0, 0,
    56, 2, 122, 24, 29, 0, 0, 0, 0, 151, 119, 2, 0, 2, 123, 24, 0, 29, 0, 0, 0, 0, 215, 71, 2, 0,
    2, 124, 24, 8, 29, 0, 0, 0, 0, 61, 78, 0, 0, 2, 125, 24, 16, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2,
    126, 24, 24, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 127, 24, 32, 29, 0, 0, 0, 0, 40, 73, 0, 0, 2,
    128, 24, 40, 29, 0, 0, 0, 0, 40, 73, 0, 0, 2, 129, 24, 48, 0, 9, 156, 119, 2, 0, 37, 111, 43,
    2, 0, 39, 173, 119, 2, 0, 0, 0, 0, 0, 2, 206, 6, 30, 128, 2, 194, 6, 29, 0, 0, 0, 0, 109, 22,
    0, 0, 2, 195, 6, 0, 29, 0, 0, 0, 0, 185, 23, 0, 0, 2, 196, 6, 8, 29, 0, 0, 0, 0, 57, 95, 0, 0,
    2, 197, 6, 16, 29, 0, 0, 0, 0, 66, 120, 2, 0, 2, 198, 6, 56, 29, 0, 0, 0, 0, 236, 24, 0, 0, 2,
    199, 6, 64, 29, 0, 0, 0, 0, 128, 104, 0, 0, 2, 200, 6, 72, 29, 0, 0, 0, 0, 26, 1, 0, 0, 2, 201,
    6, 104, 29, 0, 0, 0, 0, 125, 120, 2, 0, 2, 202, 6, 112, 29, 0, 0, 0, 0, 242, 23, 0, 0, 2, 203,
    6, 120, 29, 0, 0, 0, 0, 229, 67, 0, 0, 2, 204, 6, 124, 29, 0, 0, 0, 0, 152, 112, 1, 0, 2, 205,
    6, 126, 0, 9, 71, 120, 2, 0, 35, 0, 0, 0, 0, 16, 2, 163, 58, 29, 0, 0, 0, 0, 120, 120, 2, 0, 2,
    164, 58, 0, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 165, 58, 8, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 166,
    58, 12, 0, 9, 35, 113, 2, 0, 9, 130, 120, 2, 0, 37, 135, 120, 2, 0, 35, 0, 0, 0, 0, 112, 2,
    185, 7, 29, 0, 0, 0, 0, 26, 1, 0, 0, 2, 186, 7, 0, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 187, 7, 8,
    29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 188, 7, 16, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 189, 7, 24, 29,
    0, 0, 0, 0, 19, 1, 0, 0, 2, 190, 7, 32, 29, 0, 0, 0, 0, 19, 1, 0, 0, 2, 191, 7, 40, 29, 0, 0,
    0, 0, 19, 1, 0, 0, 2, 192, 7, 48, 29, 0, 0, 0, 0, 19, 1, 0, 0, 2, 193, 7, 56, 29, 0, 0, 0, 0,
    19, 1, 0, 0, 2, 194, 7, 64, 29, 0, 0, 0, 0, 19, 1, 0, 0, 2, 195, 7, 72, 29, 0, 0, 0, 0, 19, 1,
    0, 0, 2, 196, 7, 80, 29, 0, 0, 0, 0, 19, 1, 0, 0, 2, 197, 7, 88, 29, 0, 0, 0, 0, 19, 1, 0, 0,
    2, 198, 7, 96, 29, 0, 0, 0, 0, 19, 1, 0, 0, 2, 199, 7, 104, 0, 9, 76, 121, 2, 0, 35, 0, 0, 0,
    0, 56, 2, 133, 8, 29, 0, 0, 0, 0, 242, 23, 0, 0, 2, 134, 8, 0, 29, 0, 0, 0, 0, 125, 121, 2, 0,
    2, 135, 8, 8, 29, 0, 0, 0, 0, 4, 162, 0, 0, 2, 136, 8, 24, 0, 35, 0, 0, 0, 0, 16, 2, 128, 8,
    29, 0, 0, 0, 0, 244, 117, 0, 0, 2, 129, 8, 0, 29, 0, 0, 0, 0, 161, 121, 2, 0, 2, 130, 8, 8, 0,
    9, 125, 121, 2, 0, 9, 171, 121, 2, 0, 35, 0, 0, 0, 0, 24, 2, 240, 180, 29, 0, 0, 0, 0, 28, 22,
    0, 0, 2, 241, 180, 0, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 242, 180, 16, 29, 0, 0, 0, 0, 220, 121,
    2, 0, 2, 243, 180, 24, 0, 3, 232, 121, 2, 0, 4, 82, 0, 0, 0, 0, 0, 9, 237, 121, 2, 0, 28, 0, 0,
    0, 0, 128, 2, 2, 45, 181, 29, 0, 0, 0, 0, 46, 40, 1, 0, 2, 46, 181, 0, 29, 0, 0, 0, 0, 242, 23,
    0, 0, 2, 47, 181, 56, 29, 0, 0, 0, 0, 46, 40, 1, 0, 2, 48, 181, 64, 29, 0, 0, 0, 0, 90, 22, 0,
    0, 2, 49, 181, 120, 29, 0, 0, 0, 0, 128, 123, 2, 0, 2, 50, 181, 128, 29, 0, 0, 0, 0, 38, 1, 0,
    0, 2, 51, 181, 136, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 52, 181, 140, 29, 0, 0, 0, 0, 38, 1, 0, 0,
    2, 53, 181, 144, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 54, 181, 152, 29, 0, 0, 0, 0, 90, 22, 0, 0,
    2, 55, 181, 160, 29, 0, 0, 0, 0, 211, 107, 0, 0, 2, 56, 181, 168, 29, 0, 0, 0, 0, 19, 1, 0, 0,
    2, 57, 181, 176, 29, 0, 0, 0, 0, 114, 46, 1, 0, 2, 58, 181, 184, 29, 0, 0, 0, 0, 156, 123, 2,
    0, 2, 59, 181, 240, 33, 183, 122, 2, 0, 2, 61, 181, 0, 1, 30, 64, 2, 61, 181, 29, 0, 0, 0, 0,
    242, 23, 0, 0, 2, 62, 181, 0, 0, 33, 212, 122, 2, 0, 2, 72, 181, 64, 1, 30, 64, 2, 72, 181, 29,
    0, 0, 0, 0, 33, 67, 0, 0, 2, 73, 181, 0, 29, 0, 0, 0, 0, 195, 21, 0, 0, 2, 74, 181, 8, 0, 33,
    254, 122, 2, 0, 2, 81, 181, 128, 1, 30, 64, 2, 81, 181, 29, 0, 0, 0, 0, 128, 104, 0, 0, 2, 82,
    181, 0, 29, 0, 0, 0, 0, 190, 104, 0, 0, 2, 83, 181, 32, 0, 33, 40, 123, 2, 0, 2, 86, 181, 192,
    1, 30, 64, 2, 86, 181, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 87, 181, 0, 29, 0, 0, 0, 0, 38, 1, 0, 0,
    2, 88, 181, 4, 29, 0, 0, 0, 0, 33, 67, 0, 0, 2, 89, 181, 8, 0, 31, 0, 0, 0, 0, 197, 123, 2, 0,
    2, 98, 181, 0, 2, 31, 0, 0, 0, 0, 61, 78, 0, 0, 2, 99, 181, 64, 2, 31, 0, 0, 0, 0, 38, 1, 0, 0,
    2, 100, 181, 72, 2, 0, 9, 133, 123, 2, 0, 35, 0, 0, 0, 0, 4, 2, 110, 181, 29, 0, 0, 0, 0, 38,
    1, 0, 0, 2, 111, 181, 0, 0, 9, 161, 123, 2, 0, 35, 0, 0, 0, 0, 40, 2, 114, 181, 29, 0, 0, 0, 0,
    4, 162, 0, 0, 2, 115, 181, 0, 29, 0, 0, 0, 0, 242, 23, 0, 0, 2, 116, 181, 32, 0, 3, 220, 54, 0,
    0, 4, 82, 0, 0, 0, 8, 0, 9, 214, 123, 2, 0, 35, 0, 0, 0, 0, 80, 2, 136, 170, 29, 0, 0, 0, 0,
    90, 101, 0, 0, 2, 137, 170, 0, 29, 0, 0, 0, 0, 181, 51, 0, 0, 2, 138, 170, 8, 29, 0, 0, 0, 0,
    33, 67, 0, 0, 2, 139, 170, 12, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 140, 170, 16, 29, 0, 0, 0, 0,
    90, 22, 0, 0, 2, 141, 170, 24, 29, 0, 0, 0, 0, 68, 139, 0, 0, 2, 142, 170, 32, 29, 0, 0, 0, 0,
    190, 104, 0, 0, 2, 143, 170, 48, 29, 0, 0, 0, 0, 90, 101, 0, 0, 2, 144, 170, 72, 0, 35, 0, 0,
    0, 0, 8, 2, 210, 6, 29, 0, 0, 0, 0, 95, 124, 2, 0, 2, 211, 6, 0, 0, 9, 100, 124, 2, 0, 35, 0,
    0, 0, 0, 96, 2, 142, 162, 29, 0, 0, 0, 0, 190, 104, 0, 0, 2, 143, 162, 0, 29, 0, 0, 0, 0, 242,
    23, 0, 0, 2, 144, 162, 24, 29, 0, 0, 0, 0, 216, 107, 0, 0, 2, 145, 162, 32, 29, 0, 0, 0, 0,
    188, 124, 2, 0, 2, 146, 162, 40, 29, 0, 0, 0, 0, 51, 125, 2, 0, 2, 147, 162, 72, 29, 0, 0, 0,
    0, 90, 22, 0, 0, 2, 148, 162, 88, 0, 35, 0, 0, 0, 0, 32, 2, 86, 57, 29, 0, 0, 0, 0, 233, 21, 0,
    0, 2, 87, 57, 0, 29, 0, 0, 0, 0, 211, 107, 0, 0, 2, 88, 57, 8, 29, 0, 0, 0, 0, 250, 124, 2, 0,
    2, 89, 57, 16, 29, 0, 0, 0, 0, 30, 125, 2, 0, 2, 90, 57, 24, 0, 9, 255, 124, 2, 0, 14, 181,
    151, 0, 0, 15, 20, 125, 2, 0, 15, 66, 90, 0, 0, 15, 193, 151, 0, 0, 0, 9, 25, 125, 2, 0, 37,
    188, 124, 2, 0, 9, 35, 125, 2, 0, 14, 168, 0, 0, 0, 15, 20, 125, 2, 0, 15, 66, 90, 0, 0, 0, 3,
    220, 54, 0, 0, 4, 82, 0, 0, 0, 2, 0, 39, 75, 125, 2, 0, 0, 0, 0, 0, 2, 210, 5, 35, 0, 0, 0, 0,
    8, 2, 206, 5, 29, 0, 0, 0, 0, 98, 125, 2, 0, 2, 207, 5, 0, 0, 39, 90, 22, 0, 0, 0, 0, 0, 0, 2,
    200, 5, 9, 115, 125, 2, 0, 35, 0, 0, 0, 0, 80, 2, 41, 18, 29, 0, 0, 0, 0, 110, 125, 2, 0, 2,
    42, 18, 0, 29, 0, 0, 0, 0, 57, 95, 0, 0, 2, 43, 18, 8, 29, 0, 0, 0, 0, 242, 23, 0, 0, 2, 44,
    18, 48, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 45, 18, 52, 29, 0, 0, 0, 0, 110, 125, 2, 0, 2, 46, 18,
    56, 29, 0, 0, 0, 0, 68, 139, 0, 0, 2, 47, 18, 64, 0, 35, 0, 0, 0, 0, 8, 2, 47, 7, 29, 0, 0, 0,
    0, 226, 125, 2, 0, 2, 48, 7, 0, 0, 9, 231, 125, 2, 0, 35, 0, 0, 0, 0, 128, 2, 129, 180, 29, 0,
    0, 0, 0, 190, 104, 0, 0, 2, 130, 180, 0, 29, 0, 0, 0, 0, 190, 104, 0, 0, 2, 131, 180, 24, 29,
    0, 0, 0, 0, 190, 104, 0, 0, 2, 132, 180, 48, 29, 0, 0, 0, 0, 190, 104, 0, 0, 2, 133, 180, 72,
    29, 0, 0, 0, 0, 225, 65, 0, 0, 2, 134, 180, 96, 29, 0, 0, 0, 0, 254, 62, 0, 0, 2, 135, 180,
    100, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 136, 180, 104, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 137, 180,
    108, 29, 0, 0, 0, 0, 141, 126, 2, 0, 2, 138, 180, 112, 29, 0, 0, 0, 0, 181, 51, 0, 0, 2, 139,
    180, 116, 29, 0, 0, 0, 0, 181, 51, 0, 0, 2, 140, 180, 117, 29, 0, 0, 0, 0, 104, 91, 0, 0, 2,
    141, 180, 120, 0, 18, 38, 1, 0, 0, 0, 0, 0, 0, 4, 2, 124, 180, 19, 0, 0, 0, 0, 0, 19, 0, 0, 0,
    0, 1, 0, 9, 157, 89, 0, 0, 9, 177, 126, 2, 0, 14, 53, 191, 0, 0, 15, 148, 86, 0, 0, 0, 9, 193,
    126, 2, 0, 14, 45, 1, 0, 0, 15, 148, 86, 0, 0, 0, 9, 209, 126, 2, 0, 38, 15, 148, 86, 0, 0, 15,
    17, 192, 0, 0, 15, 22, 192, 0, 0, 0, 9, 231, 126, 2, 0, 35, 0, 0, 0, 0, 48, 2, 16, 109, 29, 0,
    0, 0, 0, 38, 1, 0, 0, 2, 17, 109, 0, 29, 0, 0, 0, 0, 30, 89, 0, 0, 2, 18, 109, 8, 29, 0, 0, 0,
    0, 24, 127, 2, 0, 2, 19, 109, 48, 0, 3, 36, 127, 2, 0, 4, 82, 0, 0, 0, 0, 0, 35, 0, 0, 0, 0,
    64, 2, 11, 109, 29, 0, 0, 0, 0, 72, 127, 2, 0, 2, 12, 109, 0, 29, 0, 0, 0, 0, 11, 128, 2, 0, 2,
    13, 109, 56, 0, 35, 0, 0, 0, 0, 56, 2, 217, 20, 29, 0, 0, 0, 0, 199, 88, 0, 0, 2, 218, 20, 0,
    29, 0, 0, 0, 0, 160, 127, 2, 0, 2, 219, 20, 16, 29, 0, 0, 0, 0, 191, 127, 2, 0, 2, 220, 20, 24,
    29, 0, 0, 0, 0, 222, 127, 2, 0, 2, 221, 20, 32, 29, 0, 0, 0, 0, 239, 127, 2, 0, 2, 222, 20, 40,
    29, 0, 0, 0, 0, 255, 127, 2, 0, 2, 223, 20, 48, 0, 9, 165, 127, 2, 0, 14, 161, 88, 0, 0, 15,
    186, 127, 2, 0, 15, 87, 193, 0, 0, 15, 154, 27, 0, 0, 0, 9, 72, 127, 2, 0, 9, 196, 127, 2, 0,
    14, 161, 88, 0, 0, 15, 186, 127, 2, 0, 15, 87, 193, 0, 0, 15, 233, 21, 0, 0, 15, 36, 54, 0, 0,
    0, 9, 227, 127, 2, 0, 38, 15, 120, 81, 0, 0, 15, 233, 21, 0, 0, 0, 9, 244, 127, 2, 0, 14, 168,
    0, 0, 0, 15, 120, 81, 0, 0, 0, 9, 4, 128, 2, 0, 38, 15, 120, 81, 0, 0, 0, 9, 16, 128, 2, 0, 37,
    21, 128, 2, 0, 35, 0, 0, 0, 0, 40, 2, 33, 20, 29, 0, 0, 0, 0, 233, 21, 0, 0, 2, 34, 20, 0, 29,
    0, 0, 0, 0, 120, 81, 0, 0, 2, 35, 20, 8, 29, 0, 0, 0, 0, 163, 128, 2, 0, 2, 36, 20, 16, 29, 0,
    0, 0, 0, 21, 129, 2, 0, 2, 37, 20, 24, 29, 0, 0, 0, 0, 38, 42, 2, 0, 2, 38, 20, 26, 29, 0, 0,
    0, 0, 218, 67, 0, 0, 2, 39, 20, 27, 44, 117, 128, 2, 0, 2, 40, 20, 32, 34, 8, 2, 40, 20, 29, 0,
    0, 0, 0, 26, 1, 0, 0, 2, 41, 20, 0, 29, 0, 0, 0, 0, 26, 129, 2, 0, 2, 42, 20, 0, 29, 0, 0, 0,
    0, 72, 129, 2, 0, 2, 43, 20, 0, 0, 0, 9, 168, 128, 2, 0, 37, 173, 128, 2, 0, 35, 0, 0, 0, 0,
    32, 2, 22, 20, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 23, 20, 0, 29, 0, 0, 0, 0, 235, 128, 2, 0, 2,
    24, 20, 8, 29, 0, 0, 0, 0, 0, 129, 2, 0, 2, 25, 20, 16, 29, 0, 0, 0, 0, 170, 136, 0, 0, 2, 26,
    20, 24, 0, 9, 240, 128, 2, 0, 14, 168, 0, 0, 0, 15, 233, 21, 0, 0, 15, 11, 128, 2, 0, 0, 9, 5,
    129, 2, 0, 14, 168, 0, 0, 0, 15, 154, 27, 0, 0, 15, 11, 128, 2, 0, 0, 37, 229, 67, 0, 0, 9, 31,
    129, 2, 0, 37, 36, 129, 2, 0, 35, 0, 0, 0, 0, 16, 2, 47, 20, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2,
    48, 20, 0, 29, 0, 0, 0, 0, 154, 27, 0, 0, 2, 49, 20, 8, 0, 9, 77, 129, 2, 0, 37, 82, 129, 2, 0,
    35, 0, 0, 0, 0, 32, 2, 52, 20, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 53, 20, 0, 29, 0, 0, 0, 0, 38,
    1, 0, 0, 2, 54, 20, 4, 29, 0, 0, 0, 0, 57, 208, 0, 0, 2, 55, 20, 8, 29, 0, 0, 0, 0, 163, 128,
    2, 0, 2, 56, 20, 16, 29, 0, 0, 0, 0, 26, 1, 0, 0, 2, 57, 20, 24, 0, 9, 162, 129, 2, 0, 37, 167,
    129, 2, 0, 35, 0, 0, 0, 0, 12, 2, 228, 14, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 229, 14, 0, 29, 0,
    0, 0, 0, 168, 0, 0, 0, 2, 230, 14, 4, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 231, 14, 8, 0, 9, 221,
    129, 2, 0, 37, 12, 101, 0, 0, 9, 21, 128, 2, 0, 35, 0, 0, 0, 0, 80, 2, 86, 20, 29, 0, 0, 0, 0,
    26, 1, 0, 0, 2, 87, 20, 0, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 88, 20, 8, 29, 0, 0, 0, 0, 38, 1, 0,
    0, 2, 89, 20, 12, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 90, 20, 16, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2,
    91, 20, 20, 29, 0, 0, 0, 0, 63, 130, 2, 0, 2, 92, 20, 24, 0, 35, 0, 0, 0, 0, 56, 2, 81, 20, 29,
    0, 0, 0, 0, 120, 81, 0, 0, 2, 82, 20, 0, 29, 0, 0, 0, 0, 22, 5, 1, 0, 2, 83, 20, 8, 0, 35, 0,
    0, 0, 0, 24, 2, 95, 20, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 96, 20, 0, 29, 0, 0, 0, 0, 176, 51, 0,
    0, 2, 97, 20, 8, 29, 0, 0, 0, 0, 148, 130, 2, 0, 2, 98, 20, 16, 0, 9, 153, 130, 2, 0, 35, 0, 0,
    0, 0, 6, 2, 38, 15, 29, 0, 0, 0, 0, 152, 112, 1, 0, 2, 39, 15, 0, 29, 0, 0, 0, 0, 152, 112, 1,
    0, 2, 40, 15, 2, 45, 0, 0, 0, 0, 38, 1, 0, 0, 2, 41, 15, 4, 4, 28, 4, 45, 0, 0, 0, 0, 38, 1, 0,
    0, 2, 42, 15, 4, 4, 24, 4, 45, 0, 0, 0, 0, 38, 1, 0, 0, 2, 43, 15, 4, 2, 22, 4, 45, 0, 0, 0, 0,
    38, 1, 0, 0, 2, 44, 15, 4, 1, 21, 4, 0, 9, 2, 131, 2, 0, 35, 0, 0, 0, 0, 12, 2, 47, 15, 29, 0,
    0, 0, 0, 168, 0, 0, 0, 2, 48, 15, 0, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 49, 15, 4, 29, 0, 0, 0,
    0, 236, 24, 0, 0, 2, 50, 15, 8, 29, 0, 0, 0, 0, 236, 24, 0, 0, 2, 51, 15, 10, 0, 9, 69, 131, 2,
    0, 35, 0, 0, 0, 0, 32, 2, 101, 20, 29, 0, 0, 0, 0, 131, 131, 2, 0, 2, 102, 20, 0, 29, 0, 0, 0,
    0, 38, 1, 0, 0, 2, 103, 20, 8, 29, 0, 0, 0, 0, 154, 27, 0, 0, 2, 104, 20, 16, 29, 0, 0, 0, 0,
    154, 27, 0, 0, 2, 105, 20, 24, 0, 9, 136, 131, 2, 0, 39, 148, 131, 2, 0, 0, 0, 0, 0, 2, 43, 19,
    35, 0, 0, 0, 0, 24, 2, 34, 19, 29, 0, 0, 0, 0, 236, 131, 2, 0, 2, 35, 19, 0, 29, 0, 0, 0, 0,
    169, 26, 0, 0, 2, 36, 19, 4, 29, 0, 0, 0, 0, 169, 26, 0, 0, 2, 37, 19, 5, 29, 0, 0, 0, 0, 248,
    131, 2, 0, 2, 38, 19, 6, 29, 0, 0, 0, 0, 4, 132, 2, 0, 2, 39, 19, 8, 29, 0, 0, 0, 0, 16, 132,
    2, 0, 2, 40, 19, 16, 0, 39, 27, 1, 0, 0, 0, 0, 0, 0, 2, 30, 19, 39, 225, 24, 0, 0, 0, 0, 0, 0,
    2, 28, 19, 39, 197, 0, 0, 0, 0, 0, 0, 0, 2, 26, 19, 39, 197, 0, 0, 0, 0, 0, 0, 0, 2, 32, 19, 9,
    33, 132, 2, 0, 35, 0, 0, 0, 0, 48, 2, 49, 128, 29, 0, 0, 0, 0, 30, 89, 0, 0, 2, 50, 128, 0, 29,
    0, 0, 0, 0, 38, 1, 0, 0, 2, 51, 128, 40, 29, 0, 0, 0, 0, 82, 132, 2, 0, 2, 52, 128, 48, 0, 3,
    94, 132, 2, 0, 4, 82, 0, 0, 0, 0, 0, 35, 0, 0, 0, 0, 64, 2, 44, 128, 29, 0, 0, 0, 0, 162, 89,
    0, 0, 2, 45, 128, 0, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 46, 128, 56, 0, 9, 135, 132, 2, 0, 35, 0,
    0, 0, 0, 16, 2, 55, 128, 29, 0, 0, 0, 0, 148, 86, 0, 0, 2, 56, 128, 0, 29, 0, 0, 0, 0, 38, 1,
    0, 0, 2, 57, 128, 8, 29, 0, 0, 0, 0, 184, 132, 2, 0, 2, 58, 128, 16, 0, 3, 162, 89, 0, 0, 4,
    82, 0, 0, 0, 0, 0, 9, 201, 132, 2, 0, 39, 134, 32, 2, 0, 0, 0, 0, 0, 2, 70, 15, 9, 246, 255, 1,
    0, 9, 223, 132, 2, 0, 35, 0, 0, 0, 0, 32, 2, 72, 15, 29, 0, 0, 0, 0, 4, 75, 2, 0, 2, 73, 15, 0,
    29, 0, 0, 0, 0, 26, 1, 0, 0, 2, 74, 15, 8, 29, 0, 0, 0, 0, 177, 66, 0, 0, 2, 75, 15, 16, 29, 0,
    0, 0, 0, 177, 66, 0, 0, 2, 76, 15, 20, 0, 9, 247, 72, 2, 0, 9, 39, 133, 2, 0, 9, 44, 133, 2, 0,
    35, 0, 0, 0, 0, 24, 2, 8, 21, 29, 0, 0, 0, 0, 233, 21, 0, 0, 2, 9, 21, 0, 29, 0, 0, 0, 0, 233,
    21, 0, 0, 2, 10, 21, 8, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 11, 21, 16, 0, 9, 98, 133, 2, 0, 35,
    0, 0, 0, 0, 16, 2, 212, 20, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 213, 20, 0, 29, 0, 0, 0, 0, 168,
    0, 0, 0, 2, 214, 20, 8, 0, 9, 139, 133, 2, 0, 14, 161, 88, 0, 0, 15, 155, 133, 2, 0, 15, 122,
    134, 2, 0, 0, 9, 160, 133, 2, 0, 35, 0, 0, 0, 0, 48, 2, 142, 12, 29, 0, 0, 0, 0, 61, 78, 0, 0,
    2, 143, 12, 0, 29, 0, 0, 0, 0, 40, 73, 0, 0, 2, 144, 12, 8, 29, 0, 0, 0, 0, 46, 134, 2, 0, 2,
    145, 12, 16, 29, 0, 0, 0, 0, 26, 1, 0, 0, 2, 146, 12, 24, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 147,
    12, 32, 29, 0, 0, 0, 0, 229, 67, 0, 0, 2, 148, 12, 36, 29, 0, 0, 0, 0, 229, 67, 0, 0, 2, 149,
    12, 38, 44, 13, 134, 2, 0, 2, 150, 12, 40, 34, 8, 2, 150, 12, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2,
    151, 12, 0, 29, 0, 0, 0, 0, 68, 134, 2, 0, 2, 152, 12, 0, 0, 0, 9, 51, 134, 2, 0, 38, 15, 155,
    133, 2, 0, 15, 19, 1, 0, 0, 15, 19, 1, 0, 0, 0, 9, 73, 134, 2, 0, 35, 0, 0, 0, 0, 56, 2, 90,
    23, 29, 0, 0, 0, 0, 220, 54, 0, 0, 2, 91, 23, 0, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 92, 23, 8,
    29, 0, 0, 0, 0, 173, 251, 1, 0, 2, 93, 23, 16, 0, 9, 107, 53, 0, 0, 9, 132, 134, 2, 0, 14, 168,
    0, 0, 0, 15, 155, 133, 2, 0, 15, 181, 51, 0, 0, 0, 9, 153, 134, 2, 0, 14, 168, 0, 0, 0, 15, 61,
    78, 0, 0, 15, 169, 134, 2, 0, 0, 9, 174, 134, 2, 0, 35, 0, 0, 0, 0, 16, 2, 21, 14, 29, 0, 0, 0,
    0, 210, 134, 2, 0, 2, 22, 14, 0, 29, 0, 0, 0, 0, 40, 73, 0, 0, 2, 23, 14, 8, 0, 39, 222, 134,
    2, 0, 0, 0, 0, 0, 2, 19, 14, 9, 227, 134, 2, 0, 14, 168, 0, 0, 0, 15, 169, 134, 2, 0, 15, 233,
    21, 0, 0, 15, 168, 0, 0, 0, 15, 40, 73, 0, 0, 15, 109, 22, 0, 0, 15, 38, 1, 0, 0, 0, 9, 12,
    135, 2, 0, 14, 168, 0, 0, 0, 15, 61, 78, 0, 0, 15, 28, 135, 2, 0, 0, 12, 26, 1, 0, 0, 0, 0, 0,
    0, 2, 224, 9, 44, 135, 2, 0, 14, 168, 0, 0, 0, 15, 61, 78, 0, 0, 15, 40, 73, 0, 0, 15, 40, 73,
    0, 0, 15, 168, 0, 0, 0, 0, 9, 75, 135, 2, 0, 14, 168, 0, 0, 0, 15, 168, 0, 0, 0, 15, 61, 78, 0,
    0, 15, 168, 0, 0, 0, 0, 9, 101, 135, 2, 0, 14, 168, 0, 0, 0, 15, 61, 78, 0, 0, 15, 168, 0, 0,
    0, 15, 122, 135, 2, 0, 0, 9, 127, 135, 2, 0, 35, 0, 0, 0, 0, 216, 2, 144, 13, 29, 0, 0, 0, 0,
    122, 135, 2, 0, 2, 145, 13, 0, 29, 0, 0, 0, 0, 195, 21, 0, 0, 2, 146, 13, 8, 29, 0, 0, 0, 0,
    152, 21, 0, 0, 2, 147, 13, 24, 29, 0, 0, 0, 0, 195, 21, 0, 0, 2, 148, 13, 40, 29, 0, 0, 0, 0,
    195, 21, 0, 0, 2, 149, 13, 56, 29, 0, 0, 0, 0, 28, 135, 2, 0, 2, 150, 13, 72, 29, 0, 0, 0, 0,
    38, 1, 0, 0, 2, 151, 13, 80, 29, 0, 0, 0, 0, 169, 26, 0, 0, 2, 152, 13, 84, 29, 0, 0, 0, 0, 38,
    1, 0, 0, 2, 153, 13, 88, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 154, 13, 92, 29, 0, 0, 0, 0, 190,
    104, 0, 0, 2, 155, 13, 96, 29, 0, 0, 0, 0, 61, 78, 0, 0, 2, 156, 13, 120, 29, 0, 0, 0, 0, 40,
    73, 0, 0, 2, 157, 13, 128, 29, 0, 0, 0, 0, 40, 73, 0, 0, 2, 158, 13, 136, 29, 0, 0, 0, 0, 238,
    104, 0, 0, 2, 159, 13, 144, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 160, 13, 152, 29, 0, 0, 0, 0, 90,
    22, 0, 0, 2, 161, 13, 160, 29, 0, 0, 0, 0, 231, 136, 2, 0, 2, 162, 13, 168, 29, 0, 0, 0, 0, 50,
    137, 2, 0, 2, 163, 13, 176, 29, 0, 0, 0, 0, 140, 136, 2, 0, 2, 172, 13, 184, 34, 32, 2, 164,
    13, 29, 0, 0, 0, 0, 26, 138, 2, 0, 2, 165, 13, 0, 29, 0, 0, 0, 0, 85, 138, 2, 0, 2, 166, 13, 0,
    29, 0, 0, 0, 0, 184, 136, 2, 0, 2, 171, 13, 0, 30, 24, 2, 167, 13, 29, 0, 0, 0, 0, 195, 21, 0,
    0, 2, 168, 13, 0, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 169, 13, 16, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2,
    170, 13, 20, 0, 0, 0, 9, 236, 136, 2, 0, 37, 241, 136, 2, 0, 35, 0, 0, 0, 0, 16, 2, 121, 13,
    29, 0, 0, 0, 0, 21, 137, 2, 0, 2, 122, 13, 0, 29, 0, 0, 0, 0, 38, 137, 2, 0, 2, 123, 13, 8, 0,
    9, 26, 137, 2, 0, 38, 15, 122, 135, 2, 0, 15, 122, 135, 2, 0, 0, 9, 43, 137, 2, 0, 38, 15, 122,
    135, 2, 0, 0, 9, 55, 137, 2, 0, 37, 60, 137, 2, 0, 35, 0, 0, 0, 0, 64, 2, 175, 13, 29, 0, 0, 0,
    0, 174, 137, 2, 0, 2, 176, 13, 0, 29, 0, 0, 0, 0, 190, 137, 2, 0, 2, 177, 13, 8, 29, 0, 0, 0,
    0, 38, 137, 2, 0, 2, 178, 13, 16, 29, 0, 0, 0, 0, 202, 137, 2, 0, 2, 179, 13, 24, 29, 0, 0, 0,
    0, 223, 137, 2, 0, 2, 180, 13, 32, 29, 0, 0, 0, 0, 239, 137, 2, 0, 2, 181, 13, 40, 29, 0, 0, 0,
    0, 9, 138, 2, 0, 2, 182, 13, 48, 29, 0, 0, 0, 0, 223, 137, 2, 0, 2, 183, 13, 56, 0, 9, 179,
    137, 2, 0, 14, 28, 135, 2, 0, 15, 28, 135, 2, 0, 0, 9, 195, 137, 2, 0, 38, 15, 28, 135, 2, 0,
    0, 9, 207, 137, 2, 0, 14, 168, 0, 0, 0, 15, 122, 135, 2, 0, 15, 168, 0, 0, 0, 0, 9, 228, 137,
    2, 0, 14, 181, 51, 0, 0, 15, 122, 135, 2, 0, 0, 9, 244, 137, 2, 0, 14, 168, 0, 0, 0, 15, 122,
    135, 2, 0, 15, 168, 0, 0, 0, 15, 228, 21, 0, 0, 0, 9, 14, 138, 2, 0, 38, 15, 122, 135, 2, 0,
    15, 230, 37, 1, 0, 0, 35, 0, 0, 0, 0, 32, 2, 128, 13, 29, 0, 0, 0, 0, 177, 66, 0, 0, 2, 129,
    13, 0, 29, 0, 0, 0, 0, 75, 138, 2, 0, 2, 130, 13, 8, 29, 0, 0, 0, 0, 195, 21, 0, 0, 2, 131, 13,
    16, 0, 9, 80, 138, 2, 0, 43, 0, 0, 0, 0, 35, 0, 0, 0, 0, 8, 2, 136, 13, 29, 0, 0, 0, 0, 108,
    138, 2, 0, 2, 137, 13, 0, 0, 9, 113, 138, 2, 0, 43, 0, 0, 0, 0, 9, 123, 138, 2, 0, 14, 161, 88,
    0, 0, 15, 61, 78, 0, 0, 15, 220, 54, 0, 0, 15, 168, 0, 0, 0, 15, 36, 54, 0, 0, 15, 207, 112, 0,
    0, 15, 168, 0, 0, 0, 0, 9, 164, 138, 2, 0, 14, 168, 0, 0, 0, 15, 168, 0, 0, 0, 0, 9, 180, 138,
    2, 0, 14, 161, 88, 0, 0, 15, 109, 103, 0, 0, 15, 61, 78, 0, 0, 15, 207, 112, 0, 0, 15, 36, 54,
    0, 0, 15, 38, 1, 0, 0, 0, 9, 216, 138, 2, 0, 14, 161, 88, 0, 0, 15, 61, 78, 0, 0, 15, 207, 112,
    0, 0, 15, 109, 103, 0, 0, 15, 36, 54, 0, 0, 15, 38, 1, 0, 0, 0, 9, 252, 138, 2, 0, 14, 168, 0,
    0, 0, 15, 61, 78, 0, 0, 15, 19, 1, 0, 0, 15, 22, 139, 2, 0, 15, 230, 37, 1, 0, 0, 9, 122, 135,
    2, 0, 9, 32, 139, 2, 0, 14, 19, 1, 0, 0, 15, 61, 78, 0, 0, 15, 168, 0, 0, 0, 15, 40, 73, 0, 0,
    15, 40, 73, 0, 0, 0, 9, 63, 139, 2, 0, 38, 15, 199, 111, 0, 0, 15, 61, 78, 0, 0, 0, 9, 80, 139,
    2, 0, 14, 161, 88, 0, 0, 15, 61, 78, 0, 0, 15, 40, 73, 0, 0, 15, 61, 78, 0, 0, 15, 40, 73, 0,
    0, 15, 36, 54, 0, 0, 15, 38, 1, 0, 0, 0, 9, 121, 139, 2, 0, 14, 40, 73, 0, 0, 15, 61, 78, 0, 0,
    15, 40, 73, 0, 0, 15, 61, 78, 0, 0, 15, 40, 73, 0, 0, 15, 40, 73, 0, 0, 15, 38, 1, 0, 0, 0, 18,
    38, 1, 0, 0, 0, 0, 0, 0, 4, 2, 37, 8, 19, 0, 0, 0, 0, 0, 19, 0, 0, 0, 0, 1, 19, 0, 0, 0, 0, 2,
    19, 0, 0, 0, 0, 3, 19, 0, 0, 0, 0, 4, 19, 0, 0, 0, 0, 5, 0, 35, 0, 0, 0, 0, 32, 2, 54, 8, 29,
    0, 0, 0, 0, 75, 105, 0, 0, 2, 55, 8, 0, 29, 0, 0, 0, 0, 144, 67, 1, 0, 2, 56, 8, 8, 29, 0, 0,
    0, 0, 39, 140, 2, 0, 2, 57, 8, 16, 29, 0, 0, 0, 0, 81, 62, 0, 0, 2, 58, 8, 20, 29, 0, 0, 0, 0,
    81, 62, 0, 0, 2, 59, 8, 24, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 60, 8, 28, 0, 18, 38, 1, 0, 0, 0,
    0, 0, 0, 4, 2, 46, 8, 19, 0, 0, 0, 0, 0, 19, 0, 0, 0, 0, 1, 19, 0, 0, 0, 0, 2, 19, 0, 0, 0, 0,
    3, 19, 0, 0, 0, 0, 4, 0, 35, 0, 0, 0, 0, 32, 2, 63, 8, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 64, 8,
    0, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 65, 8, 8, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 66, 8, 12, 29, 0,
    0, 0, 0, 38, 1, 0, 0, 2, 67, 8, 16, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 68, 8, 20, 29, 0, 0, 0, 0,
    40, 73, 0, 0, 2, 69, 8, 24, 0, 39, 177, 66, 0, 0, 0, 0, 0, 0, 2, 208, 7, 9, 188, 140, 2, 0, 14,
    168, 0, 0, 0, 15, 28, 74, 0, 0, 15, 26, 1, 0, 0, 0, 35, 0, 0, 0, 0, 16, 2, 238, 23, 29, 0, 0,
    0, 0, 233, 21, 0, 0, 2, 239, 23, 0, 29, 0, 0, 0, 0, 240, 140, 2, 0, 2, 240, 23, 8, 0, 9, 245,
    140, 2, 0, 35, 0, 0, 0, 0, 80, 2, 200, 32, 29, 0, 0, 0, 0, 254, 62, 0, 0, 2, 201, 32, 0, 29, 0,
    0, 0, 0, 218, 67, 0, 0, 2, 202, 32, 4, 29, 0, 0, 0, 0, 218, 67, 0, 0, 2, 203, 32, 5, 29, 0, 0,
    0, 0, 218, 67, 0, 0, 2, 204, 32, 6, 29, 0, 0, 0, 0, 120, 81, 0, 0, 2, 205, 32, 8, 29, 0, 0, 0,
    0, 77, 141, 2, 0, 2, 206, 32, 16, 0, 3, 154, 27, 0, 0, 4, 82, 0, 0, 0, 8, 0, 18, 38, 1, 0, 0,
    0, 0, 0, 0, 4, 2, 243, 23, 19, 0, 0, 0, 0, 0, 19, 0, 0, 0, 0, 1, 19, 0, 0, 0, 0, 2, 0, 18, 38,
    1, 0, 0, 0, 0, 0, 0, 4, 2, 249, 23, 19, 0, 0, 0, 0, 0, 19, 0, 0, 0, 0, 1, 19, 0, 0, 0, 0, 2,
    19, 0, 0, 0, 0, 3, 19, 0, 0, 0, 0, 4, 19, 0, 0, 0, 0, 5, 19, 0, 0, 0, 0, 6, 0, 9, 182, 141, 2,
    0, 37, 187, 141, 2, 0, 35, 0, 0, 0, 0, 32, 2, 34, 14, 29, 0, 0, 0, 0, 233, 21, 0, 0, 2, 35, 14,
    0, 29, 0, 0, 0, 0, 6, 142, 2, 0, 2, 36, 14, 8, 29, 0, 0, 0, 0, 218, 67, 0, 0, 2, 37, 14, 16,
    29, 0, 0, 0, 0, 236, 24, 0, 0, 2, 38, 14, 18, 29, 0, 0, 0, 0, 45, 1, 0, 0, 2, 39, 14, 24, 0, 9,
    11, 142, 2, 0, 39, 23, 142, 2, 0, 0, 0, 0, 0, 2, 32, 14, 14, 168, 0, 0, 0, 15, 49, 142, 2, 0,
    15, 177, 141, 2, 0, 15, 240, 75, 0, 0, 15, 54, 142, 2, 0, 0, 9, 204, 140, 2, 0, 9, 59, 142, 2,
    0, 35, 0, 0, 0, 0, 16, 2, 218, 32, 29, 0, 0, 0, 0, 181, 51, 0, 0, 2, 219, 32, 0, 44, 90, 142,
    2, 0, 2, 220, 32, 8, 34, 8, 2, 220, 32, 29, 0, 0, 0, 0, 181, 51, 0, 0, 2, 221, 32, 0, 29, 0, 0,
    0, 0, 168, 0, 0, 0, 2, 222, 32, 0, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 223, 32, 0, 29, 0, 0, 0, 0,
    109, 22, 0, 0, 2, 224, 32, 0, 0, 0, 9, 154, 142, 2, 0, 14, 185, 64, 0, 0, 15, 62, 73, 0, 0, 15,
    168, 0, 0, 0, 15, 233, 21, 0, 0, 15, 26, 1, 0, 0, 0, 9, 185, 142, 2, 0, 38, 15, 172, 69, 0, 0,
    0, 3, 23, 115, 0, 0, 4, 82, 0, 0, 0, 3, 0, 9, 209, 142, 2, 0, 37, 214, 142, 2, 0, 35, 0, 0, 0,
    0, 208, 2, 197, 13, 29, 0, 0, 0, 0, 50, 144, 2, 0, 2, 198, 13, 0, 29, 0, 0, 0, 0, 66, 144, 2,
    0, 2, 199, 13, 8, 29, 0, 0, 0, 0, 66, 144, 2, 0, 2, 200, 13, 16, 29, 0, 0, 0, 0, 78, 144, 2, 0,
    2, 201, 13, 24, 29, 0, 0, 0, 0, 95, 144, 2, 0, 2, 202, 13, 32, 29, 0, 0, 0, 0, 177, 145, 2, 0,
    2, 203, 13, 40, 29, 0, 0, 0, 0, 66, 144, 2, 0, 2, 204, 13, 48, 29, 0, 0, 0, 0, 180, 142, 2, 0,
    2, 205, 13, 56, 29, 0, 0, 0, 0, 193, 145, 2, 0, 2, 206, 13, 64, 29, 0, 0, 0, 0, 214, 145, 2, 0,
    2, 207, 13, 72, 29, 0, 0, 0, 0, 214, 145, 2, 0, 2, 208, 13, 80, 29, 0, 0, 0, 0, 214, 145, 2, 0,
    2, 209, 13, 88, 29, 0, 0, 0, 0, 214, 145, 2, 0, 2, 210, 13, 96, 29, 0, 0, 0, 0, 230, 145, 2, 0,
    2, 211, 13, 104, 29, 0, 0, 0, 0, 178, 146, 2, 0, 2, 212, 13, 112, 29, 0, 0, 0, 0, 180, 142, 2,
    0, 2, 213, 13, 120, 29, 0, 0, 0, 0, 204, 146, 2, 0, 2, 214, 13, 128, 29, 0, 0, 0, 0, 204, 146,
    2, 0, 2, 215, 13, 136, 29, 0, 0, 0, 0, 204, 146, 2, 0, 2, 216, 13, 144, 29, 0, 0, 0, 0, 204,
    146, 2, 0, 2, 217, 13, 152, 29, 0, 0, 0, 0, 225, 146, 2, 0, 2, 218, 13, 160, 29, 0, 0, 0, 0, 5,
    147, 2, 0, 2, 219, 13, 168, 29, 0, 0, 0, 0, 41, 147, 2, 0, 2, 220, 13, 176, 29, 0, 0, 0, 0, 12,
    149, 2, 0, 2, 221, 13, 184, 29, 0, 0, 0, 0, 38, 149, 2, 0, 2, 222, 13, 192, 29, 0, 0, 0, 0, 38,
    149, 2, 0, 2, 223, 13, 200, 0, 9, 55, 144, 2, 0, 14, 201, 58, 0, 0, 15, 172, 69, 0, 0, 0, 9,
    71, 144, 2, 0, 38, 15, 201, 58, 0, 0, 0, 9, 83, 144, 2, 0, 38, 15, 201, 58, 0, 0, 15, 168, 0,
    0, 0, 0, 9, 100, 144, 2, 0, 14, 168, 0, 0, 0, 15, 201, 58, 0, 0, 15, 116, 144, 2, 0, 0, 9, 121,
    144, 2, 0, 35, 0, 0, 0, 0, 96, 2, 101, 23, 29, 0, 0, 0, 0, 19, 1, 0, 0, 2, 102, 23, 0, 29, 0,
    0, 0, 0, 19, 1, 0, 0, 2, 103, 23, 8, 29, 0, 0, 0, 0, 40, 73, 0, 0, 2, 104, 23, 16, 29, 0, 0, 0,
    0, 40, 73, 0, 0, 2, 105, 23, 24, 29, 0, 0, 0, 0, 182, 1, 0, 0, 2, 106, 23, 32, 45, 0, 0, 0, 0,
    38, 1, 0, 0, 2, 107, 23, 4, 1, 31, 36, 45, 0, 0, 0, 0, 38, 1, 0, 0, 2, 108, 23, 4, 1, 30, 36,
    45, 0, 0, 0, 0, 38, 1, 0, 0, 2, 109, 23, 4, 1, 29, 36, 45, 0, 0, 0, 0, 38, 1, 0, 0, 2, 110, 23,
    4, 1, 28, 36, 45, 0, 0, 0, 0, 38, 1, 0, 0, 2, 111, 23, 4, 1, 27, 36, 45, 0, 0, 0, 0, 38, 1, 0,
    0, 2, 112, 23, 4, 1, 26, 36, 45, 0, 0, 0, 0, 38, 1, 0, 0, 2, 113, 23, 4, 1, 25, 36, 45, 0, 0,
    0, 0, 38, 1, 0, 0, 2, 114, 23, 4, 1, 24, 36, 29, 0, 0, 0, 0, 172, 145, 2, 0, 2, 115, 23, 40,
    29, 0, 0, 0, 0, 201, 58, 0, 0, 2, 116, 23, 48, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 117, 23, 56,
    29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 118, 23, 60, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 119, 23, 64, 29,
    0, 0, 0, 0, 36, 54, 0, 0, 2, 120, 23, 72, 29, 0, 0, 0, 0, 36, 54, 0, 0, 2, 121, 23, 80, 29, 0,
    0, 0, 0, 36, 54, 0, 0, 2, 122, 23, 88, 0, 9, 133, 235, 1, 0, 9, 182, 145, 2, 0, 14, 168, 0, 0,
    0, 15, 201, 58, 0, 0, 0, 9, 198, 145, 2, 0, 14, 168, 0, 0, 0, 15, 172, 69, 0, 0, 15, 168, 0, 0,
    0, 0, 9, 219, 145, 2, 0, 14, 168, 0, 0, 0, 15, 172, 69, 0, 0, 0, 9, 235, 145, 2, 0, 14, 168, 0,
    0, 0, 15, 185, 64, 0, 0, 15, 251, 145, 2, 0, 0, 9, 0, 146, 2, 0, 35, 0, 0, 0, 0, 120, 2, 25,
    86, 29, 0, 0, 0, 0, 19, 1, 0, 0, 2, 26, 86, 0, 29, 0, 0, 0, 0, 19, 1, 0, 0, 2, 27, 86, 8, 29,
    0, 0, 0, 0, 109, 22, 0, 0, 2, 28, 86, 16, 29, 0, 0, 0, 0, 109, 22, 0, 0, 2, 29, 86, 24, 29, 0,
    0, 0, 0, 109, 22, 0, 0, 2, 30, 86, 32, 29, 0, 0, 0, 0, 109, 22, 0, 0, 2, 31, 86, 40, 29, 0, 0,
    0, 0, 109, 22, 0, 0, 2, 32, 86, 48, 29, 0, 0, 0, 0, 243, 84, 1, 0, 2, 33, 86, 56, 29, 0, 0, 0,
    0, 19, 1, 0, 0, 2, 34, 86, 64, 29, 0, 0, 0, 0, 19, 1, 0, 0, 2, 35, 86, 72, 29, 0, 0, 0, 0, 19,
    1, 0, 0, 2, 36, 86, 80, 29, 0, 0, 0, 0, 166, 146, 2, 0, 2, 37, 86, 88, 0, 3, 19, 1, 0, 0, 4,
    82, 0, 0, 0, 4, 0, 9, 183, 146, 2, 0, 14, 168, 0, 0, 0, 15, 172, 69, 0, 0, 15, 176, 51, 0, 0,
    15, 154, 27, 0, 0, 0, 9, 209, 146, 2, 0, 14, 168, 0, 0, 0, 15, 199, 111, 0, 0, 15, 185, 64, 0,
    0, 0, 9, 230, 146, 2, 0, 14, 161, 88, 0, 0, 15, 172, 69, 0, 0, 15, 168, 0, 0, 0, 15, 154, 27,
    0, 0, 15, 36, 54, 0, 0, 15, 40, 73, 0, 0, 0, 9, 10, 147, 2, 0, 14, 161, 88, 0, 0, 15, 172, 69,
    0, 0, 15, 168, 0, 0, 0, 15, 233, 21, 0, 0, 15, 36, 54, 0, 0, 15, 40, 73, 0, 0, 0, 9, 46, 147,
    2, 0, 14, 57, 147, 2, 0, 15, 201, 58, 0, 0, 0, 9, 62, 147, 2, 0, 9, 67, 147, 2, 0, 35, 0, 0, 0,
    0, 208, 2, 201, 12, 29, 0, 0, 0, 0, 152, 21, 0, 0, 2, 202, 12, 0, 29, 0, 0, 0, 0, 195, 21, 0,
    0, 2, 203, 12, 16, 29, 0, 0, 0, 0, 195, 21, 0, 0, 2, 204, 12, 32, 29, 0, 0, 0, 0, 195, 21, 0,
    0, 2, 205, 12, 48, 29, 0, 0, 0, 0, 128, 104, 0, 0, 2, 206, 12, 64, 29, 0, 0, 0, 0, 33, 67, 0,
    0, 2, 207, 12, 96, 29, 0, 0, 0, 0, 242, 23, 0, 0, 2, 208, 12, 100, 29, 0, 0, 0, 0, 172, 69, 0,
    0, 2, 209, 12, 104, 29, 0, 0, 0, 0, 233, 147, 2, 0, 2, 210, 12, 112, 29, 0, 0, 0, 0, 40, 73, 0,
    0, 2, 211, 12, 120, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 212, 12, 128, 29, 0, 0, 0, 0, 129, 148, 2,
    0, 2, 213, 12, 136, 0, 35, 0, 0, 0, 0, 8, 2, 180, 12, 44, 251, 147, 2, 0, 2, 181, 12, 0, 34, 4,
    2, 181, 12, 29, 0, 0, 0, 0, 81, 62, 0, 0, 2, 182, 12, 0, 29, 0, 0, 0, 0, 134, 62, 0, 0, 2, 183,
    12, 0, 29, 0, 0, 0, 0, 54, 148, 2, 0, 2, 184, 12, 0, 0, 29, 0, 0, 0, 0, 97, 148, 2, 0, 2, 186,
    12, 4, 0, 39, 66, 148, 2, 0, 0, 0, 0, 0, 2, 172, 12, 30, 4, 2, 170, 12, 29, 0, 0, 0, 0, 85,
    148, 2, 0, 2, 171, 12, 0, 0, 39, 123, 62, 0, 0, 0, 0, 0, 0, 2, 168, 12, 18, 38, 1, 0, 0, 0, 0,
    0, 0, 4, 2, 174, 12, 19, 0, 0, 0, 0, 0, 19, 0, 0, 0, 0, 1, 19, 0, 0, 0, 0, 2, 0, 35, 0, 0, 0,
    0, 72, 2, 189, 12, 29, 0, 0, 0, 0, 0, 149, 2, 0, 2, 190, 12, 0, 29, 0, 0, 0, 0, 0, 149, 2, 0,
    2, 191, 12, 8, 29, 0, 0, 0, 0, 0, 149, 2, 0, 2, 192, 12, 16, 29, 0, 0, 0, 0, 0, 149, 2, 0, 2,
    193, 12, 24, 29, 0, 0, 0, 0, 0, 149, 2, 0, 2, 194, 12, 32, 29, 0, 0, 0, 0, 0, 149, 2, 0, 2,
    195, 12, 40, 29, 0, 0, 0, 0, 0, 149, 2, 0, 2, 196, 12, 48, 29, 0, 0, 0, 0, 130, 108, 0, 0, 2,
    197, 12, 56, 29, 0, 0, 0, 0, 130, 108, 0, 0, 2, 198, 12, 64, 0, 39, 235, 23, 0, 0, 0, 0, 0, 0,
    2, 125, 11, 9, 17, 149, 2, 0, 14, 168, 0, 0, 0, 15, 172, 69, 0, 0, 15, 220, 54, 0, 0, 15, 252,
    147, 0, 0, 0, 9, 43, 149, 2, 0, 14, 19, 1, 0, 0, 15, 172, 69, 0, 0, 15, 59, 149, 2, 0, 0, 9,
    64, 149, 2, 0, 35, 0, 0, 0, 0, 32, 2, 229, 8, 29, 0, 0, 0, 0, 252, 147, 0, 0, 2, 230, 8, 0, 29,
    0, 0, 0, 0, 168, 0, 0, 0, 2, 231, 8, 4, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 232, 8, 8, 29, 0, 0,
    0, 0, 90, 22, 0, 0, 2, 233, 8, 16, 29, 0, 0, 0, 0, 153, 99, 2, 0, 2, 234, 8, 24, 0, 9, 144,
    149, 2, 0, 37, 149, 149, 2, 0, 35, 0, 0, 0, 0, 88, 2, 234, 12, 29, 0, 0, 0, 0, 46, 150, 2, 0,
    2, 235, 12, 0, 29, 0, 0, 0, 0, 62, 150, 2, 0, 2, 236, 12, 8, 29, 0, 0, 0, 0, 83, 150, 2, 0, 2,
    237, 12, 16, 29, 0, 0, 0, 0, 46, 150, 2, 0, 2, 238, 12, 24, 29, 0, 0, 0, 0, 46, 150, 2, 0, 2,
    239, 12, 32, 29, 0, 0, 0, 0, 46, 150, 2, 0, 2, 240, 12, 40, 29, 0, 0, 0, 0, 193, 145, 2, 0, 2,
    241, 12, 48, 29, 0, 0, 0, 0, 95, 150, 2, 0, 2, 242, 12, 56, 29, 0, 0, 0, 0, 116, 150, 2, 0, 2,
    243, 12, 64, 29, 0, 0, 0, 0, 142, 150, 2, 0, 2, 244, 12, 72, 29, 0, 0, 0, 0, 163, 150, 2, 0, 2,
    245, 12, 80, 0, 9, 51, 150, 2, 0, 14, 168, 0, 0, 0, 15, 62, 147, 2, 0, 0, 9, 67, 150, 2, 0, 14,
    62, 147, 2, 0, 15, 172, 69, 0, 0, 15, 168, 0, 0, 0, 0, 9, 88, 150, 2, 0, 38, 15, 62, 147, 2, 0,
    0, 9, 100, 150, 2, 0, 14, 111, 150, 2, 0, 15, 201, 58, 0, 0, 0, 9, 0, 149, 2, 0, 9, 121, 150,
    2, 0, 14, 168, 0, 0, 0, 15, 201, 58, 0, 0, 15, 137, 150, 2, 0, 0, 9, 54, 148, 2, 0, 9, 147,
    150, 2, 0, 14, 168, 0, 0, 0, 15, 201, 58, 0, 0, 15, 111, 150, 2, 0, 0, 9, 168, 150, 2, 0, 14,
    168, 0, 0, 0, 15, 172, 69, 0, 0, 15, 184, 150, 2, 0, 0, 9, 233, 147, 2, 0, 9, 194, 150, 2, 0,
    37, 199, 150, 2, 0, 35, 0, 0, 0, 0, 88, 2, 40, 13, 29, 0, 0, 0, 0, 96, 151, 2, 0, 2, 41, 13, 0,
    29, 0, 0, 0, 0, 193, 145, 2, 0, 2, 42, 13, 8, 29, 0, 0, 0, 0, 137, 151, 2, 0, 2, 43, 13, 16,
    29, 0, 0, 0, 0, 137, 151, 2, 0, 2, 44, 13, 24, 29, 0, 0, 0, 0, 193, 145, 2, 0, 2, 45, 13, 32,
    29, 0, 0, 0, 0, 158, 151, 2, 0, 2, 46, 13, 40, 29, 0, 0, 0, 0, 47, 152, 2, 0, 2, 47, 13, 48,
    29, 0, 0, 0, 0, 40, 153, 2, 0, 2, 48, 13, 56, 29, 0, 0, 0, 0, 47, 152, 2, 0, 2, 49, 13, 64, 29,
    0, 0, 0, 0, 66, 153, 2, 0, 2, 50, 13, 72, 29, 0, 0, 0, 0, 137, 151, 2, 0, 2, 51, 13, 80, 0, 9,
    101, 151, 2, 0, 14, 168, 0, 0, 0, 15, 172, 69, 0, 0, 15, 168, 0, 0, 0, 15, 168, 0, 0, 0, 15,
    127, 151, 2, 0, 0, 9, 132, 151, 2, 0, 37, 167, 79, 0, 0, 9, 142, 151, 2, 0, 14, 168, 0, 0, 0,
    15, 172, 69, 0, 0, 15, 38, 1, 0, 0, 0, 9, 163, 151, 2, 0, 14, 168, 0, 0, 0, 15, 172, 69, 0, 0,
    15, 168, 0, 0, 0, 15, 184, 151, 2, 0, 0, 9, 189, 151, 2, 0, 35, 0, 0, 0, 0, 32, 2, 29, 13, 29,
    0, 0, 0, 0, 168, 0, 0, 0, 2, 30, 13, 0, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 31, 13, 4, 29, 0, 0, 0,
    0, 38, 1, 0, 0, 2, 32, 13, 8, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 33, 13, 12, 29, 0, 0, 0, 0, 38,
    1, 0, 0, 2, 34, 13, 16, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 35, 13, 20, 29, 0, 0, 0, 0, 38, 1, 0,
    0, 2, 36, 13, 24, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 37, 13, 28, 0, 9, 52, 152, 2, 0, 14, 168, 0,
    0, 0, 15, 172, 69, 0, 0, 15, 233, 147, 2, 0, 15, 73, 152, 2, 0, 0, 9, 78, 152, 2, 0, 35, 0, 0,
    0, 0, 120, 2, 248, 12, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 249, 12, 0, 29, 0, 0, 0, 0, 109, 22, 0,
    0, 2, 250, 12, 8, 29, 0, 0, 0, 0, 109, 22, 0, 0, 2, 251, 12, 16, 29, 0, 0, 0, 0, 109, 22, 0, 0,
    2, 252, 12, 24, 29, 0, 0, 0, 0, 109, 22, 0, 0, 2, 253, 12, 32, 29, 0, 0, 0, 0, 109, 22, 0, 0,
    2, 254, 12, 40, 29, 0, 0, 0, 0, 109, 22, 0, 0, 2, 255, 12, 48, 29, 0, 0, 0, 0, 213, 23, 0, 0,
    2, 0, 13, 56, 29, 0, 0, 0, 0, 213, 23, 0, 0, 2, 1, 13, 64, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 2,
    13, 72, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 3, 13, 76, 29, 0, 0, 0, 0, 109, 22, 0, 0, 2, 4, 13,
    80, 29, 0, 0, 0, 0, 109, 22, 0, 0, 2, 5, 13, 88, 29, 0, 0, 0, 0, 109, 22, 0, 0, 2, 6, 13, 96,
    29, 0, 0, 0, 0, 213, 23, 0, 0, 2, 7, 13, 104, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 8, 13, 112, 0,
    9, 45, 153, 2, 0, 14, 168, 0, 0, 0, 15, 172, 69, 0, 0, 15, 184, 150, 2, 0, 15, 73, 152, 2, 0,
    0, 9, 71, 153, 2, 0, 14, 168, 0, 0, 0, 15, 172, 69, 0, 0, 15, 87, 153, 2, 0, 0, 9, 92, 153, 2,
    0, 35, 0, 0, 0, 0, 176, 2, 24, 13, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 25, 13, 0, 29, 0, 0, 0, 0,
    128, 153, 2, 0, 2, 26, 13, 8, 0, 3, 140, 153, 2, 0, 4, 82, 0, 0, 0, 3, 0, 35, 0, 0, 0, 0, 56,
    2, 11, 13, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 12, 13, 0, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 13, 13,
    4, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 14, 13, 8, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 15, 13, 12, 29,
    0, 0, 0, 0, 38, 1, 0, 0, 2, 16, 13, 16, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 17, 13, 20, 29, 0, 0,
    0, 0, 38, 1, 0, 0, 2, 18, 13, 24, 29, 0, 0, 0, 0, 208, 0, 0, 0, 2, 19, 13, 32, 29, 0, 0, 0, 0,
    24, 154, 2, 0, 2, 20, 13, 40, 29, 0, 0, 0, 0, 24, 154, 2, 0, 2, 21, 13, 48, 0, 12, 109, 22, 0,
    0, 0, 0, 0, 0, 2, 95, 9, 40, 154, 2, 0, 37, 45, 154, 2, 0, 35, 0, 0, 0, 0, 72, 2, 230, 13, 29,
    0, 0, 0, 0, 172, 154, 2, 0, 2, 231, 13, 0, 29, 0, 0, 0, 0, 203, 154, 2, 0, 2, 232, 13, 8, 29,
    0, 0, 0, 0, 203, 154, 2, 0, 2, 233, 13, 16, 29, 0, 0, 0, 0, 189, 155, 2, 0, 2, 234, 13, 24, 29,
    0, 0, 0, 0, 215, 155, 2, 0, 2, 235, 13, 32, 29, 0, 0, 0, 0, 177, 145, 2, 0, 2, 236, 13, 40, 29,
    0, 0, 0, 0, 231, 155, 2, 0, 2, 237, 13, 48, 29, 0, 0, 0, 0, 6, 156, 2, 0, 2, 238, 13, 56, 29,
    0, 0, 0, 0, 57, 156, 2, 0, 2, 239, 13, 64, 0, 9, 177, 154, 2, 0, 14, 168, 0, 0, 0, 15, 201, 58,
    0, 0, 15, 207, 144, 1, 0, 15, 176, 51, 0, 0, 15, 201, 58, 0, 0, 0, 9, 208, 154, 2, 0, 14, 185,
    64, 0, 0, 15, 172, 69, 0, 0, 15, 234, 154, 2, 0, 15, 168, 0, 0, 0, 15, 168, 0, 0, 0, 0, 9, 239,
    154, 2, 0, 35, 0, 0, 0, 0, 20, 2, 18, 164, 44, 1, 155, 2, 0, 2, 19, 164, 0, 34, 20, 2, 19, 164,
    29, 0, 0, 0, 0, 19, 155, 2, 0, 2, 25, 164, 0, 30, 16, 2, 20, 164, 29, 0, 0, 0, 0, 177, 66, 0,
    0, 2, 21, 164, 0, 29, 0, 0, 0, 0, 177, 66, 0, 0, 2, 22, 164, 4, 29, 0, 0, 0, 0, 177, 66, 0, 0,
    2, 23, 164, 8, 29, 0, 0, 0, 0, 177, 66, 0, 0, 2, 24, 164, 12, 0, 29, 0, 0, 0, 0, 90, 155, 2, 0,
    2, 33, 164, 0, 30, 20, 2, 26, 164, 29, 0, 0, 0, 0, 177, 66, 0, 0, 2, 27, 164, 0, 29, 0, 0, 0,
    0, 229, 67, 0, 0, 2, 28, 164, 4, 29, 0, 0, 0, 0, 229, 67, 0, 0, 2, 29, 164, 6, 29, 0, 0, 0, 0,
    177, 66, 0, 0, 2, 30, 164, 8, 29, 0, 0, 0, 0, 177, 66, 0, 0, 2, 31, 164, 12, 29, 0, 0, 0, 0,
    177, 66, 0, 0, 2, 32, 164, 16, 0, 29, 0, 0, 0, 0, 30, 156, 1, 0, 2, 34, 164, 0, 0, 0, 9, 194,
    155, 2, 0, 14, 168, 0, 0, 0, 15, 185, 64, 0, 0, 15, 154, 27, 0, 0, 15, 185, 64, 0, 0, 0, 9,
    220, 155, 2, 0, 14, 185, 64, 0, 0, 15, 185, 64, 0, 0, 0, 9, 236, 155, 2, 0, 14, 168, 0, 0, 0,
    15, 172, 69, 0, 0, 15, 35, 229, 0, 0, 15, 132, 223, 0, 0, 15, 157, 252, 0, 0, 0, 9, 11, 156, 2,
    0, 14, 168, 0, 0, 0, 15, 201, 58, 0, 0, 15, 40, 73, 0, 0, 15, 109, 22, 0, 0, 15, 47, 156, 2, 0,
    15, 181, 51, 0, 0, 15, 132, 223, 0, 0, 0, 9, 52, 156, 2, 0, 43, 0, 0, 0, 0, 9, 62, 156, 2, 0,
    14, 168, 0, 0, 0, 15, 201, 58, 0, 0, 15, 47, 156, 2, 0, 15, 168, 0, 0, 0, 15, 88, 156, 2, 0, 0,
    9, 93, 156, 2, 0, 35, 0, 0, 0, 0, 80, 2, 156, 12, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 157, 12, 0,
    29, 0, 0, 0, 0, 70, 62, 0, 0, 2, 158, 12, 4, 29, 0, 0, 0, 0, 81, 62, 0, 0, 2, 159, 12, 8, 29,
    0, 0, 0, 0, 134, 62, 0, 0, 2, 160, 12, 12, 29, 0, 0, 0, 0, 40, 73, 0, 0, 2, 161, 12, 16, 29, 0,
    0, 0, 0, 13, 156, 0, 0, 2, 162, 12, 24, 29, 0, 0, 0, 0, 13, 156, 0, 0, 2, 163, 12, 40, 29, 0,
    0, 0, 0, 13, 156, 0, 0, 2, 164, 12, 56, 29, 0, 0, 0, 0, 61, 78, 0, 0, 2, 165, 12, 72, 0, 9,
    225, 156, 2, 0, 9, 230, 156, 2, 0, 37, 235, 156, 2, 0, 35, 0, 0, 0, 0, 48, 2, 242, 13, 29, 0,
    0, 0, 0, 233, 21, 0, 0, 2, 243, 13, 0, 29, 0, 0, 0, 0, 233, 21, 0, 0, 2, 244, 13, 8, 29, 0, 0,
    0, 0, 168, 0, 0, 0, 2, 245, 13, 16, 29, 0, 0, 0, 0, 67, 157, 2, 0, 2, 246, 13, 24, 29, 0, 0, 0,
    0, 83, 157, 2, 0, 2, 247, 13, 32, 29, 0, 0, 0, 0, 124, 157, 2, 0, 2, 248, 13, 40, 0, 9, 72,
    157, 2, 0, 14, 181, 51, 0, 0, 15, 185, 64, 0, 0, 0, 9, 88, 157, 2, 0, 14, 168, 0, 0, 0, 15,
    225, 156, 2, 0, 15, 185, 64, 0, 0, 15, 201, 58, 0, 0, 15, 233, 21, 0, 0, 15, 26, 1, 0, 0, 15,
    36, 54, 0, 0, 0, 9, 129, 157, 2, 0, 14, 168, 0, 0, 0, 15, 225, 156, 2, 0, 15, 185, 64, 0, 0,
    15, 201, 58, 0, 0, 15, 233, 21, 0, 0, 15, 45, 1, 0, 0, 15, 36, 54, 0, 0, 15, 168, 0, 0, 0, 0,
    9, 175, 157, 2, 0, 37, 180, 157, 2, 0, 35, 0, 0, 0, 0, 88, 2, 253, 13, 29, 0, 0, 0, 0, 38, 1,
    0, 0, 2, 254, 13, 0, 29, 0, 0, 0, 0, 233, 21, 0, 0, 2, 255, 13, 8, 29, 0, 0, 0, 0, 77, 158, 2,
    0, 2, 0, 14, 16, 29, 0, 0, 0, 0, 103, 158, 2, 0, 2, 1, 14, 24, 29, 0, 0, 0, 0, 134, 158, 2, 0,
    2, 2, 14, 32, 29, 0, 0, 0, 0, 154, 159, 2, 0, 2, 3, 14, 40, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 4,
    14, 48, 29, 0, 0, 0, 0, 170, 159, 2, 0, 2, 5, 14, 56, 29, 0, 0, 0, 0, 186, 159, 2, 0, 2, 6, 14,
    64, 29, 0, 0, 0, 0, 214, 145, 2, 0, 2, 7, 14, 72, 29, 0, 0, 0, 0, 208, 159, 2, 0, 2, 8, 14, 80,
    0, 9, 82, 158, 2, 0, 14, 168, 0, 0, 0, 15, 201, 58, 0, 0, 15, 26, 1, 0, 0, 15, 36, 54, 0, 0, 0,
    9, 108, 158, 2, 0, 14, 168, 0, 0, 0, 15, 201, 58, 0, 0, 15, 45, 1, 0, 0, 15, 36, 54, 0, 0, 15,
    26, 1, 0, 0, 0, 9, 139, 158, 2, 0, 14, 150, 158, 2, 0, 15, 172, 69, 0, 0, 0, 9, 155, 158, 2, 0,
    37, 160, 158, 2, 0, 52, 0, 0, 0, 0, 40, 2, 123, 174, 29, 0, 0, 0, 0, 218, 67, 0, 0, 2, 124,
    174, 0, 29, 0, 0, 0, 0, 209, 158, 2, 0, 2, 125, 174, 0, 29, 0, 0, 0, 0, 41, 159, 2, 0, 2, 126,
    174, 0, 0, 35, 0, 0, 0, 0, 28, 2, 104, 174, 29, 0, 0, 0, 0, 218, 67, 0, 0, 2, 105, 174, 0, 29,
    0, 0, 0, 0, 218, 67, 0, 0, 2, 106, 174, 1, 29, 0, 0, 0, 0, 218, 67, 0, 0, 2, 107, 174, 2, 29,
    0, 0, 0, 0, 218, 67, 0, 0, 2, 108, 174, 3, 29, 0, 0, 0, 0, 139, 0, 1, 0, 2, 109, 174, 4, 29, 0,
    0, 0, 0, 170, 110, 2, 0, 2, 110, 174, 12, 0, 35, 0, 0, 0, 0, 40, 2, 113, 174, 29, 0, 0, 0, 0,
    218, 67, 0, 0, 2, 114, 174, 0, 29, 0, 0, 0, 0, 218, 67, 0, 0, 2, 115, 174, 1, 29, 0, 0, 0, 0,
    218, 67, 0, 0, 2, 116, 174, 2, 29, 0, 0, 0, 0, 218, 67, 0, 0, 2, 117, 174, 3, 29, 0, 0, 0, 0,
    142, 159, 2, 0, 2, 118, 174, 4, 29, 0, 0, 0, 0, 170, 110, 2, 0, 2, 119, 174, 8, 29, 0, 0, 0, 0,
    170, 110, 2, 0, 2, 120, 174, 24, 0, 3, 218, 67, 0, 0, 4, 82, 0, 0, 0, 4, 0, 9, 159, 159, 2, 0,
    14, 181, 51, 0, 0, 15, 201, 58, 0, 0, 0, 9, 175, 159, 2, 0, 14, 181, 51, 0, 0, 15, 172, 69, 0,
    0, 0, 9, 191, 159, 2, 0, 38, 15, 172, 69, 0, 0, 15, 176, 51, 0, 0, 15, 176, 51, 0, 0, 0, 9,
    213, 159, 2, 0, 38, 15, 172, 69, 0, 0, 15, 225, 159, 2, 0, 0, 9, 248, 240, 1, 0, 9, 235, 159,
    2, 0, 37, 240, 159, 2, 0, 35, 0, 0, 0, 0, 40, 2, 11, 14, 29, 0, 0, 0, 0, 13, 119, 2, 0, 2, 12,
    14, 0, 29, 0, 0, 0, 0, 59, 160, 2, 0, 2, 13, 14, 8, 29, 0, 0, 0, 0, 77, 158, 2, 0, 2, 14, 14,
    16, 29, 0, 0, 0, 0, 90, 160, 2, 0, 2, 15, 14, 24, 29, 0, 0, 0, 0, 116, 160, 2, 0, 2, 16, 14,
    32, 0, 9, 64, 160, 2, 0, 14, 168, 0, 0, 0, 15, 61, 78, 0, 0, 15, 45, 1, 0, 0, 15, 36, 54, 0, 0,
    15, 109, 22, 0, 0, 0, 9, 95, 160, 2, 0, 14, 220, 54, 0, 0, 15, 201, 58, 0, 0, 15, 90, 22, 0, 0,
    15, 90, 22, 0, 0, 0, 9, 121, 160, 2, 0, 14, 168, 0, 0, 0, 15, 201, 58, 0, 0, 15, 45, 1, 0, 0,
    15, 109, 22, 0, 0, 15, 168, 0, 0, 0, 0, 35, 0, 0, 0, 0, 8, 2, 212, 10, 29, 0, 0, 0, 0, 75, 66,
    0, 0, 2, 213, 10, 0, 0, 9, 175, 160, 2, 0, 43, 0, 0, 0, 0, 28, 0, 0, 0, 0, 56, 1, 2, 143, 11,
    29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 144, 11, 0, 29, 0, 0, 0, 0, 57, 95, 0, 0, 2, 145, 11, 8, 29, 0,
    0, 0, 0, 1, 161, 2, 0, 2, 146, 11, 48, 29, 0, 0, 0, 0, 13, 161, 2, 0, 2, 147, 11, 72, 31, 0, 0,
    0, 0, 87, 162, 2, 0, 2, 148, 11, 32, 1, 0, 3, 201, 58, 0, 0, 4, 82, 0, 0, 0, 3, 0, 3, 25, 161,
    2, 0, 4, 82, 0, 0, 0, 3, 0, 35, 0, 0, 0, 0, 72, 2, 129, 11, 29, 0, 0, 0, 0, 152, 161, 2, 0, 2,
    130, 11, 0, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 131, 11, 8, 29, 0, 0, 0, 0, 195, 21, 0, 0, 2, 132,
    11, 16, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 133, 11, 32, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 134, 11,
    40, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 135, 11, 44, 29, 0, 0, 0, 0, 0, 149, 2, 0, 2, 136, 11, 48,
    29, 0, 0, 0, 0, 0, 149, 2, 0, 2, 137, 11, 56, 29, 0, 0, 0, 0, 26, 1, 0, 0, 2, 138, 11, 64, 0,
    9, 157, 161, 2, 0, 35, 0, 0, 0, 0, 32, 2, 216, 12, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 217, 12, 0,
    29, 0, 0, 0, 0, 219, 161, 2, 0, 2, 218, 12, 8, 29, 0, 0, 0, 0, 120, 81, 0, 0, 2, 219, 12, 16,
    29, 0, 0, 0, 0, 152, 161, 2, 0, 2, 220, 12, 24, 0, 9, 224, 161, 2, 0, 37, 229, 161, 2, 0, 35,
    0, 0, 0, 0, 64, 2, 223, 12, 29, 0, 0, 0, 0, 193, 145, 2, 0, 2, 224, 12, 0, 29, 0, 0, 0, 0, 193,
    145, 2, 0, 2, 225, 12, 8, 29, 0, 0, 0, 0, 193, 145, 2, 0, 2, 226, 12, 16, 29, 0, 0, 0, 0, 193,
    145, 2, 0, 2, 227, 12, 24, 29, 0, 0, 0, 0, 46, 150, 2, 0, 2, 228, 12, 32, 29, 0, 0, 0, 0, 46,
    150, 2, 0, 2, 229, 12, 40, 29, 0, 0, 0, 0, 46, 150, 2, 0, 2, 230, 12, 48, 29, 0, 0, 0, 0, 163,
    150, 2, 0, 2, 231, 12, 56, 0, 3, 219, 161, 2, 0, 4, 82, 0, 0, 0, 3, 0, 28, 0, 0, 0, 0, 64, 1,
    2, 170, 11, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 171, 11, 0, 29, 0, 0, 0, 0, 190, 104, 0, 0, 2,
    172, 11, 8, 29, 0, 0, 0, 0, 149, 162, 2, 0, 2, 173, 11, 32, 0, 3, 161, 162, 2, 0, 4, 82, 0, 0,
    0, 3, 0, 35, 0, 0, 0, 0, 96, 2, 162, 11, 29, 0, 0, 0, 0, 236, 162, 2, 0, 2, 163, 11, 0, 29, 0,
    0, 0, 0, 57, 208, 0, 0, 2, 164, 11, 48, 29, 0, 0, 0, 0, 42, 163, 2, 0, 2, 165, 11, 56, 29, 0,
    0, 0, 0, 190, 104, 0, 0, 2, 166, 11, 64, 29, 0, 0, 0, 0, 242, 23, 0, 0, 2, 167, 11, 88, 0, 35,
    0, 0, 0, 0, 48, 2, 151, 11, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 152, 11, 0, 29, 0, 0, 0, 0, 168,
    0, 0, 0, 2, 153, 11, 4, 29, 0, 0, 0, 0, 190, 104, 0, 0, 2, 154, 11, 8, 29, 0, 0, 0, 0, 28, 22,
    0, 0, 2, 155, 11, 32, 0, 35, 0, 0, 0, 0, 8, 2, 158, 11, 29, 0, 0, 0, 0, 244, 117, 0, 0, 2, 159,
    11, 0, 0, 39, 77, 163, 2, 0, 0, 0, 0, 0, 2, 178, 11, 30, 16, 2, 176, 11, 29, 0, 0, 0, 0, 251,
    108, 1, 0, 2, 177, 11, 0, 0, 35, 0, 0, 0, 0, 64, 2, 237, 8, 29, 0, 0, 0, 0, 210, 163, 2, 0, 2,
    238, 8, 0, 29, 0, 0, 0, 0, 210, 163, 2, 0, 2, 239, 8, 8, 29, 0, 0, 0, 0, 19, 1, 0, 0, 2, 240,
    8, 16, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 241, 8, 24, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 242, 8, 28,
    29, 0, 0, 0, 0, 195, 21, 0, 0, 2, 243, 8, 32, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 244, 8, 48, 29,
    0, 0, 0, 0, 236, 163, 2, 0, 2, 245, 8, 56, 0, 9, 215, 163, 2, 0, 14, 90, 22, 0, 0, 15, 231,
    163, 2, 0, 15, 59, 149, 2, 0, 0, 9, 96, 163, 2, 0, 9, 173, 23, 0, 0, 35, 0, 0, 0, 0, 32, 2,
    182, 11, 29, 0, 0, 0, 0, 47, 164, 2, 0, 2, 183, 11, 0, 29, 0, 0, 0, 0, 195, 21, 0, 0, 2, 184,
    11, 8, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 185, 11, 24, 29, 0, 0, 0, 0, 181, 51, 0, 0, 2, 186, 11,
    28, 0, 9, 52, 164, 2, 0, 35, 0, 0, 0, 0, 64, 2, 51, 12, 29, 0, 0, 0, 0, 33, 67, 0, 0, 2, 52,
    12, 0, 29, 0, 0, 0, 0, 114, 164, 2, 0, 2, 53, 12, 8, 29, 0, 0, 0, 0, 150, 164, 2, 0, 2, 54, 12,
    32, 29, 0, 0, 0, 0, 19, 1, 0, 0, 2, 55, 12, 40, 0, 35, 0, 0, 0, 0, 24, 2, 41, 12, 29, 0, 0, 0,
    0, 195, 21, 0, 0, 2, 42, 12, 0, 29, 0, 0, 0, 0, 19, 1, 0, 0, 2, 43, 12, 16, 0, 9, 155, 164, 2,
    0, 35, 0, 0, 0, 0, 16, 2, 46, 12, 29, 0, 0, 0, 0, 28, 22, 0, 0, 2, 47, 12, 0, 29, 0, 0, 0, 0,
    191, 164, 2, 0, 2, 48, 12, 16, 0, 3, 203, 164, 2, 0, 4, 82, 0, 0, 0, 0, 0, 9, 114, 164, 2, 0,
    9, 167, 79, 0, 0, 9, 218, 164, 2, 0, 14, 168, 0, 0, 0, 15, 127, 151, 2, 0, 15, 181, 51, 0, 0,
    0, 9, 239, 164, 2, 0, 14, 185, 64, 0, 0, 15, 185, 64, 0, 0, 15, 255, 164, 2, 0, 0, 9, 4, 165,
    2, 0, 37, 206, 58, 0, 0, 9, 14, 165, 2, 0, 14, 233, 21, 0, 0, 15, 185, 64, 0, 0, 15, 201, 58,
    0, 0, 15, 35, 165, 2, 0, 0, 9, 239, 73, 1, 0, 9, 45, 165, 2, 0, 14, 168, 0, 0, 0, 15, 201, 58,
    0, 0, 15, 168, 0, 0, 0, 0, 9, 66, 165, 2, 0, 14, 187, 62, 0, 0, 15, 201, 58, 0, 0, 15, 168, 0,
    0, 0, 0, 9, 87, 165, 2, 0, 14, 168, 0, 0, 0, 15, 185, 64, 0, 0, 15, 154, 27, 0, 0, 15, 168, 0,
    0, 0, 0, 9, 113, 165, 2, 0, 14, 168, 0, 0, 0, 15, 201, 58, 0, 0, 15, 185, 64, 0, 0, 15, 70, 62,
    0, 0, 15, 181, 51, 0, 0, 0, 9, 144, 165, 2, 0, 14, 168, 0, 0, 0, 15, 185, 64, 0, 0, 15, 201,
    58, 0, 0, 15, 185, 64, 0, 0, 0, 9, 170, 165, 2, 0, 14, 168, 0, 0, 0, 15, 201, 58, 0, 0, 15,
    185, 64, 0, 0, 0, 9, 191, 165, 2, 0, 14, 168, 0, 0, 0, 15, 201, 58, 0, 0, 15, 185, 64, 0, 0,
    15, 233, 21, 0, 0, 0, 9, 217, 165, 2, 0, 14, 168, 0, 0, 0, 15, 201, 58, 0, 0, 15, 185, 64, 0,
    0, 15, 70, 62, 0, 0, 0, 9, 243, 165, 2, 0, 14, 168, 0, 0, 0, 15, 201, 58, 0, 0, 15, 185, 64, 0,
    0, 15, 70, 62, 0, 0, 15, 18, 73, 0, 0, 0, 9, 18, 166, 2, 0, 14, 168, 0, 0, 0, 15, 201, 58, 0,
    0, 15, 185, 64, 0, 0, 15, 201, 58, 0, 0, 15, 185, 64, 0, 0, 15, 38, 1, 0, 0, 0, 9, 54, 166, 2,
    0, 14, 168, 0, 0, 0, 15, 185, 64, 0, 0, 15, 88, 156, 2, 0, 0, 9, 75, 166, 2, 0, 14, 168, 0, 0,
    0, 15, 127, 151, 2, 0, 15, 101, 166, 2, 0, 15, 177, 66, 0, 0, 15, 38, 1, 0, 0, 0, 9, 106, 166,
    2, 0, 35, 0, 0, 0, 0, 144, 2, 20, 12, 29, 0, 0, 0, 0, 177, 66, 0, 0, 2, 21, 12, 0, 29, 0, 0, 0,
    0, 70, 62, 0, 0, 2, 22, 12, 4, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 23, 12, 8, 29, 0, 0, 0, 0, 154,
    108, 0, 0, 2, 24, 12, 12, 29, 0, 0, 0, 0, 109, 22, 0, 0, 2, 25, 12, 16, 29, 0, 0, 0, 0, 109,
    22, 0, 0, 2, 26, 12, 24, 29, 0, 0, 0, 0, 109, 22, 0, 0, 2, 27, 12, 32, 29, 0, 0, 0, 0, 18, 73,
    0, 0, 2, 28, 12, 40, 29, 0, 0, 0, 0, 18, 73, 0, 0, 2, 29, 12, 44, 29, 0, 0, 0, 0, 81, 62, 0, 0,
    2, 30, 12, 48, 29, 0, 0, 0, 0, 134, 62, 0, 0, 2, 31, 12, 52, 29, 0, 0, 0, 0, 40, 73, 0, 0, 2,
    32, 12, 56, 29, 0, 0, 0, 0, 13, 156, 0, 0, 2, 33, 12, 64, 29, 0, 0, 0, 0, 13, 156, 0, 0, 2, 34,
    12, 80, 29, 0, 0, 0, 0, 13, 156, 0, 0, 2, 35, 12, 96, 29, 0, 0, 0, 0, 13, 156, 0, 0, 2, 36, 12,
    112, 29, 0, 0, 0, 0, 109, 22, 0, 0, 2, 37, 12, 128, 29, 0, 0, 0, 0, 109, 22, 0, 0, 2, 38, 12,
    136, 0, 9, 99, 167, 2, 0, 14, 161, 88, 0, 0, 15, 185, 64, 0, 0, 15, 154, 27, 0, 0, 15, 36, 54,
    0, 0, 0, 9, 125, 167, 2, 0, 14, 168, 0, 0, 0, 15, 201, 58, 0, 0, 15, 151, 167, 2, 0, 15, 109,
    22, 0, 0, 15, 109, 22, 0, 0, 0, 9, 156, 167, 2, 0, 35, 0, 0, 0, 0, 24, 2, 180, 175, 29, 0, 0,
    0, 0, 38, 1, 0, 0, 2, 181, 175, 0, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 182, 175, 4, 29, 0, 0, 0, 0,
    38, 1, 0, 0, 2, 183, 175, 8, 29, 0, 0, 0, 0, 218, 167, 2, 0, 2, 184, 175, 16, 0, 9, 223, 167,
    2, 0, 35, 0, 0, 0, 0, 56, 2, 207, 175, 29, 0, 0, 0, 0, 197, 0, 0, 0, 2, 208, 175, 0, 29, 0, 0,
    0, 0, 197, 0, 0, 0, 2, 209, 175, 8, 29, 0, 0, 0, 0, 197, 0, 0, 0, 2, 210, 175, 16, 29, 0, 0, 0,
    0, 238, 186, 0, 0, 2, 211, 175, 24, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 212, 175, 40, 29, 0, 0, 0,
    0, 55, 168, 2, 0, 2, 213, 175, 44, 0, 3, 27, 1, 0, 0, 4, 82, 0, 0, 0, 3, 0, 9, 72, 168, 2, 0,
    14, 168, 0, 0, 0, 15, 201, 58, 0, 0, 15, 93, 168, 2, 0, 15, 168, 0, 0, 0, 0, 9, 13, 156, 0, 0,
    9, 103, 168, 2, 0, 14, 168, 0, 0, 0, 15, 201, 58, 0, 0, 15, 185, 64, 0, 0, 15, 61, 78, 0, 0,
    15, 38, 1, 0, 0, 15, 70, 62, 0, 0, 0, 9, 139, 168, 2, 0, 14, 168, 0, 0, 0, 15, 201, 58, 0, 0,
    15, 187, 62, 0, 0, 15, 168, 0, 0, 0, 0, 9, 165, 168, 2, 0, 35, 0, 0, 0, 0, 56, 2, 114, 13, 29,
    0, 0, 0, 0, 33, 67, 0, 0, 2, 115, 13, 0, 29, 0, 0, 0, 0, 195, 21, 0, 0, 2, 116, 13, 8, 29, 0,
    0, 0, 0, 195, 21, 0, 0, 2, 117, 13, 24, 29, 0, 0, 0, 0, 195, 21, 0, 0, 2, 118, 13, 40, 0, 9,
    232, 168, 2, 0, 35, 0, 0, 0, 0, 136, 2, 83, 186, 29, 0, 0, 0, 0, 155, 169, 2, 0, 2, 84, 186, 0,
    29, 0, 0, 0, 0, 181, 51, 0, 0, 2, 85, 186, 16, 29, 0, 0, 0, 0, 181, 51, 0, 0, 2, 86, 186, 17,
    29, 0, 0, 0, 0, 10, 175, 2, 0, 2, 87, 186, 24, 29, 0, 0, 0, 0, 201, 58, 0, 0, 2, 88, 186, 32,
    29, 0, 0, 0, 0, 32, 99, 0, 0, 2, 89, 186, 40, 29, 0, 0, 0, 0, 195, 21, 0, 0, 2, 90, 186, 48,
    29, 0, 0, 0, 0, 103, 175, 2, 0, 2, 91, 186, 64, 29, 0, 0, 0, 0, 155, 123, 1, 0, 2, 92, 186, 72,
    29, 0, 0, 0, 0, 181, 51, 0, 0, 2, 93, 186, 88, 29, 0, 0, 0, 0, 206, 175, 2, 0, 2, 94, 186, 89,
    29, 0, 0, 0, 0, 170, 110, 2, 0, 2, 95, 186, 113, 29, 0, 0, 0, 0, 177, 66, 0, 0, 2, 96, 186,
    132, 0, 35, 0, 0, 0, 0, 16, 2, 51, 186, 29, 0, 0, 0, 0, 191, 169, 2, 0, 2, 52, 186, 0, 29, 0,
    0, 0, 0, 200, 174, 2, 0, 2, 53, 186, 8, 0, 9, 196, 169, 2, 0, 35, 0, 0, 0, 0, 32, 2, 125, 186,
    29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 126, 186, 0, 29, 0, 0, 0, 0, 232, 169, 2, 0, 2, 127, 186, 8, 0,
    35, 0, 0, 0, 0, 24, 2, 95, 129, 29, 0, 0, 0, 0, 177, 66, 0, 0, 2, 96, 129, 0, 29, 0, 0, 0, 0,
    168, 0, 0, 0, 2, 97, 129, 4, 29, 0, 0, 0, 0, 51, 170, 2, 0, 2, 98, 129, 8, 29, 0, 0, 0, 0, 68,
    170, 2, 0, 2, 99, 129, 16, 29, 0, 0, 0, 0, 141, 189, 1, 0, 2, 100, 129, 24, 0, 9, 56, 170, 2,
    0, 38, 15, 63, 170, 2, 0, 0, 9, 232, 169, 2, 0, 9, 73, 170, 2, 0, 28, 0, 0, 0, 0, 128, 1, 2,
    118, 129, 29, 0, 0, 0, 0, 195, 21, 0, 0, 2, 119, 129, 0, 29, 0, 0, 0, 0, 195, 21, 0, 0, 2, 120,
    129, 16, 29, 0, 0, 0, 0, 177, 66, 0, 0, 2, 121, 129, 32, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 122,
    129, 36, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 123, 129, 40, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 124,
    129, 44, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 125, 129, 48, 29, 0, 0, 0, 0, 254, 62, 0, 0, 2, 126,
    129, 52, 29, 0, 0, 0, 0, 143, 192, 0, 0, 2, 127, 129, 56, 29, 0, 0, 0, 0, 143, 192, 0, 0, 2,
    128, 129, 184, 31, 0, 0, 0, 0, 74, 171, 2, 0, 2, 129, 129, 56, 1, 31, 0, 0, 0, 0, 241, 170, 2,
    0, 2, 133, 129, 64, 1, 34, 32, 2, 130, 129, 29, 0, 0, 0, 0, 239, 173, 2, 0, 2, 131, 129, 0, 29,
    0, 0, 0, 0, 116, 174, 2, 0, 2, 132, 129, 0, 0, 31, 0, 0, 0, 0, 49, 172, 2, 0, 2, 134, 129, 96,
    1, 31, 0, 0, 0, 0, 51, 170, 2, 0, 2, 135, 129, 104, 1, 31, 0, 0, 0, 0, 188, 174, 2, 0, 2, 136,
    129, 112, 1, 31, 0, 0, 0, 0, 120, 81, 0, 0, 2, 137, 129, 120, 1, 0, 9, 79, 171, 2, 0, 37, 84,
    171, 2, 0, 35, 0, 0, 0, 0, 72, 2, 142, 129, 29, 0, 0, 0, 0, 237, 171, 2, 0, 2, 143, 129, 0, 29,
    0, 0, 0, 0, 7, 172, 2, 0, 2, 144, 129, 8, 29, 0, 0, 0, 0, 23, 172, 2, 0, 2, 145, 129, 16, 29,
    0, 0, 0, 0, 49, 172, 2, 0, 2, 146, 129, 24, 29, 0, 0, 0, 0, 65, 172, 2, 0, 2, 147, 129, 32, 29,
    0, 0, 0, 0, 82, 172, 2, 0, 2, 148, 129, 40, 29, 0, 0, 0, 0, 103, 172, 2, 0, 2, 149, 129, 48,
    29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 150, 129, 56, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 151, 129, 60, 29,
    0, 0, 0, 0, 38, 1, 0, 0, 2, 152, 129, 64, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 153, 129, 68, 0, 9,
    242, 171, 2, 0, 14, 38, 1, 0, 0, 15, 68, 170, 2, 0, 15, 177, 66, 0, 0, 15, 177, 66, 0, 0, 0, 9,
    12, 172, 2, 0, 14, 38, 1, 0, 0, 15, 68, 170, 2, 0, 0, 9, 28, 172, 2, 0, 14, 168, 0, 0, 0, 15,
    63, 170, 2, 0, 15, 177, 66, 0, 0, 15, 177, 66, 0, 0, 0, 9, 54, 172, 2, 0, 14, 168, 0, 0, 0, 15,
    63, 170, 2, 0, 0, 9, 70, 172, 2, 0, 38, 15, 199, 111, 0, 0, 15, 68, 170, 2, 0, 0, 9, 87, 172,
    2, 0, 14, 168, 0, 0, 0, 15, 26, 34, 0, 0, 15, 68, 170, 2, 0, 0, 9, 108, 172, 2, 0, 38, 15, 115,
    172, 2, 0, 0, 9, 120, 172, 2, 0, 28, 0, 0, 0, 0, 152, 1, 2, 17, 187, 29, 0, 0, 0, 0, 73, 170,
    2, 0, 2, 18, 187, 0, 31, 0, 0, 0, 0, 214, 172, 2, 0, 2, 19, 187, 128, 1, 33, 167, 172, 2, 0, 2,
    20, 187, 136, 1, 34, 16, 2, 20, 187, 29, 0, 0, 0, 0, 152, 21, 0, 0, 2, 21, 187, 0, 29, 0, 0, 0,
    0, 105, 173, 2, 0, 2, 22, 187, 0, 0, 31, 0, 0, 0, 0, 141, 189, 1, 0, 2, 24, 187, 152, 1, 0, 9,
    219, 172, 2, 0, 35, 0, 0, 0, 0, 168, 2, 42, 187, 29, 0, 0, 0, 0, 195, 21, 0, 0, 2, 43, 187, 0,
    29, 0, 0, 0, 0, 90, 101, 0, 0, 2, 44, 187, 16, 29, 0, 0, 0, 0, 120, 81, 0, 0, 2, 45, 187, 24,
    29, 0, 0, 0, 0, 38, 173, 2, 0, 2, 46, 187, 32, 29, 0, 0, 0, 0, 143, 192, 0, 0, 2, 47, 187, 40,
    0, 9, 43, 173, 2, 0, 14, 168, 0, 0, 0, 15, 214, 172, 2, 0, 15, 59, 173, 2, 0, 0, 9, 64, 173, 2,
    0, 9, 69, 173, 2, 0, 35, 0, 0, 0, 0, 4, 2, 62, 217, 29, 0, 0, 0, 0, 236, 24, 0, 0, 2, 63, 217,
    0, 29, 0, 0, 0, 0, 236, 24, 0, 0, 2, 64, 217, 2, 0, 9, 110, 173, 2, 0, 35, 0, 0, 0, 0, 48, 2,
    27, 187, 29, 0, 0, 0, 0, 195, 21, 0, 0, 2, 28, 187, 0, 29, 0, 0, 0, 0, 68, 170, 2, 0, 2, 29,
    187, 16, 44, 154, 173, 2, 0, 2, 30, 187, 24, 34, 8, 2, 30, 187, 29, 0, 0, 0, 0, 115, 172, 2, 0,
    2, 31, 187, 0, 29, 0, 0, 0, 0, 105, 173, 2, 0, 2, 32, 187, 0, 0, 29, 0, 0, 0, 0, 74, 171, 2, 0,
    2, 34, 187, 32, 29, 0, 0, 0, 0, 177, 66, 0, 0, 2, 35, 187, 40, 29, 0, 0, 0, 0, 181, 51, 0, 0,
    2, 36, 187, 44, 29, 0, 0, 0, 0, 181, 51, 0, 0, 2, 37, 187, 45, 0, 35, 0, 0, 0, 0, 32, 2, 103,
    129, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 104, 129, 0, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 105, 129, 4,
    29, 0, 0, 0, 0, 58, 174, 2, 0, 2, 106, 129, 8, 29, 0, 0, 0, 0, 94, 174, 2, 0, 2, 107, 129, 16,
    29, 0, 0, 0, 0, 94, 174, 2, 0, 2, 108, 129, 24, 0, 9, 63, 174, 2, 0, 14, 168, 0, 0, 0, 15, 63,
    170, 2, 0, 15, 84, 174, 2, 0, 15, 38, 1, 0, 0, 0, 9, 89, 174, 2, 0, 37, 218, 67, 0, 0, 9, 99,
    174, 2, 0, 38, 15, 63, 170, 2, 0, 15, 35, 229, 0, 0, 15, 84, 174, 2, 0, 0, 35, 0, 0, 0, 0, 16,
    2, 111, 129, 29, 0, 0, 0, 0, 152, 174, 2, 0, 2, 112, 129, 0, 29, 0, 0, 0, 0, 152, 174, 2, 0, 2,
    113, 129, 8, 0, 9, 157, 174, 2, 0, 14, 168, 0, 0, 0, 15, 63, 170, 2, 0, 15, 84, 174, 2, 0, 15,
    38, 1, 0, 0, 15, 35, 229, 0, 0, 15, 57, 208, 0, 0, 0, 9, 193, 174, 2, 0, 38, 15, 68, 170, 2, 0,
    0, 9, 205, 174, 2, 0, 35, 0, 0, 0, 0, 88, 2, 85, 187, 29, 0, 0, 0, 0, 178, 1, 2, 0, 2, 86, 187,
    0, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 87, 187, 84, 29, 0, 0, 0, 0, 254, 174, 2, 0, 2, 88, 187,
    88, 0, 3, 248, 240, 1, 0, 4, 82, 0, 0, 0, 0, 0, 9, 15, 175, 2, 0, 35, 0, 0, 0, 0, 32, 2, 130,
    186, 29, 0, 0, 0, 0, 233, 21, 0, 0, 2, 131, 186, 0, 29, 0, 0, 0, 0, 233, 21, 0, 0, 2, 132, 186,
    8, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 133, 186, 16, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 134, 186,
    20, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 135, 186, 24, 29, 0, 0, 0, 0, 33, 2, 2, 0, 2, 136, 186,
    28, 0, 9, 108, 175, 2, 0, 35, 0, 0, 0, 0, 120, 2, 63, 187, 29, 0, 0, 0, 0, 152, 21, 0, 0, 2,
    64, 187, 0, 29, 0, 0, 0, 0, 254, 62, 0, 0, 2, 65, 187, 16, 29, 0, 0, 0, 0, 196, 175, 2, 0, 2,
    66, 187, 24, 29, 0, 0, 0, 0, 155, 169, 2, 0, 2, 67, 187, 32, 29, 0, 0, 0, 0, 139, 0, 1, 0, 2,
    68, 187, 48, 29, 0, 0, 0, 0, 39, 232, 1, 0, 2, 69, 187, 56, 0, 9, 201, 175, 2, 0, 37, 15, 175,
    2, 0, 52, 0, 0, 0, 0, 24, 2, 73, 186, 29, 0, 0, 0, 0, 218, 67, 0, 0, 2, 74, 186, 0, 29, 0, 0,
    0, 0, 255, 175, 2, 0, 2, 75, 186, 0, 29, 0, 0, 0, 0, 86, 176, 2, 0, 2, 76, 186, 0, 0, 35, 0, 0,
    0, 0, 12, 2, 56, 186, 29, 0, 0, 0, 0, 158, 26, 0, 0, 2, 57, 186, 0, 29, 0, 0, 0, 0, 158, 26, 0,
    0, 2, 58, 186, 1, 29, 0, 0, 0, 0, 158, 26, 0, 0, 2, 59, 186, 2, 29, 0, 0, 0, 0, 158, 26, 0, 0,
    2, 60, 186, 3, 29, 0, 0, 0, 0, 74, 176, 2, 0, 2, 61, 186, 4, 0, 3, 158, 26, 0, 0, 4, 82, 0, 0,
    0, 8, 0, 35, 0, 0, 0, 0, 24, 2, 64, 186, 29, 0, 0, 0, 0, 158, 26, 0, 0, 2, 65, 186, 0, 29, 0,
    0, 0, 0, 158, 26, 0, 0, 2, 66, 186, 1, 29, 0, 0, 0, 0, 158, 26, 0, 0, 2, 67, 186, 2, 29, 0, 0,
    0, 0, 158, 26, 0, 0, 2, 68, 186, 3, 29, 0, 0, 0, 0, 179, 239, 1, 0, 2, 69, 186, 4, 29, 0, 0, 0,
    0, 251, 108, 1, 0, 2, 70, 186, 8, 0, 9, 179, 176, 2, 0, 28, 0, 0, 0, 0, 0, 1, 2, 107, 187, 29,
    0, 0, 0, 0, 242, 176, 2, 0, 2, 108, 187, 0, 29, 0, 0, 0, 0, 39, 232, 1, 0, 2, 109, 187, 120,
    29, 0, 0, 0, 0, 39, 232, 1, 0, 2, 110, 187, 184, 29, 0, 0, 0, 0, 255, 164, 2, 0, 2, 111, 187,
    248, 0, 35, 0, 0, 0, 0, 120, 2, 93, 187, 29, 0, 0, 0, 0, 139, 177, 2, 0, 2, 94, 187, 0, 29, 0,
    0, 0, 0, 84, 174, 2, 0, 2, 95, 187, 8, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 96, 187, 16, 29, 0, 0,
    0, 0, 38, 1, 0, 0, 2, 97, 187, 20, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 98, 187, 24, 29, 0, 0, 0, 0,
    38, 1, 0, 0, 2, 99, 187, 28, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 100, 187, 32, 29, 0, 0, 0, 0, 38,
    1, 0, 0, 2, 101, 187, 36, 29, 0, 0, 0, 0, 109, 22, 0, 0, 2, 102, 187, 40, 29, 0, 0, 0, 0, 90,
    22, 0, 0, 2, 103, 187, 48, 29, 0, 0, 0, 0, 148, 180, 0, 0, 2, 104, 187, 56, 0, 9, 144, 177, 2,
    0, 35, 0, 0, 0, 0, 96, 2, 128, 187, 29, 0, 0, 0, 0, 219, 177, 2, 0, 2, 129, 187, 0, 29, 0, 0,
    0, 0, 233, 21, 0, 0, 2, 130, 187, 8, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 131, 187, 16, 29, 0, 0, 0,
    0, 38, 1, 0, 0, 2, 132, 187, 20, 29, 0, 0, 0, 0, 167, 27, 2, 0, 2, 133, 187, 24, 0, 9, 224,
    177, 2, 0, 35, 0, 0, 0, 0, 96, 2, 138, 187, 29, 0, 0, 0, 0, 108, 178, 2, 0, 2, 139, 187, 0, 29,
    0, 0, 0, 0, 108, 178, 2, 0, 2, 140, 187, 8, 29, 0, 0, 0, 0, 108, 178, 2, 0, 2, 141, 187, 16,
    29, 0, 0, 0, 0, 108, 178, 2, 0, 2, 142, 187, 24, 29, 0, 0, 0, 0, 108, 178, 2, 0, 2, 143, 187,
    32, 29, 0, 0, 0, 0, 70, 179, 2, 0, 2, 144, 187, 40, 29, 0, 0, 0, 0, 91, 179, 2, 0, 2, 145, 187,
    48, 29, 0, 0, 0, 0, 112, 179, 2, 0, 2, 146, 187, 56, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 147, 187,
    64, 29, 0, 0, 0, 0, 232, 169, 2, 0, 2, 148, 187, 72, 0, 9, 113, 178, 2, 0, 14, 168, 0, 0, 0,
    15, 124, 178, 2, 0, 0, 9, 129, 178, 2, 0, 35, 0, 0, 0, 0, 80, 2, 164, 187, 29, 0, 0, 0, 0, 217,
    178, 2, 0, 2, 165, 187, 0, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 166, 187, 48, 29, 0, 0, 0, 0, 224,
    250, 0, 0, 2, 167, 187, 56, 29, 0, 0, 0, 0, 35, 229, 0, 0, 2, 168, 187, 64, 29, 0, 0, 0, 0, 26,
    1, 0, 0, 2, 169, 187, 72, 29, 0, 0, 0, 0, 141, 189, 1, 0, 2, 170, 187, 80, 0, 35, 0, 0, 0, 0,
    48, 2, 103, 186, 29, 0, 0, 0, 0, 195, 21, 0, 0, 2, 104, 186, 0, 29, 0, 0, 0, 0, 36, 179, 2, 0,
    2, 105, 186, 16, 29, 0, 0, 0, 0, 26, 1, 0, 0, 2, 106, 186, 24, 29, 0, 0, 0, 0, 63, 170, 2, 0,
    2, 107, 186, 32, 29, 0, 0, 0, 0, 177, 66, 0, 0, 2, 108, 186, 40, 0, 39, 48, 179, 2, 0, 0, 0, 0,
    0, 2, 101, 186, 9, 53, 179, 2, 0, 38, 15, 65, 179, 2, 0, 15, 168, 0, 0, 0, 0, 9, 217, 178, 2,
    0, 9, 75, 179, 2, 0, 14, 168, 0, 0, 0, 15, 124, 178, 2, 0, 15, 26, 1, 0, 0, 0, 9, 96, 179, 2,
    0, 14, 168, 0, 0, 0, 15, 124, 178, 2, 0, 15, 45, 1, 0, 0, 0, 9, 117, 179, 2, 0, 14, 168, 0, 0,
    0, 15, 219, 177, 2, 0, 15, 84, 174, 2, 0, 15, 38, 1, 0, 0, 0, 9, 143, 179, 2, 0, 37, 148, 179,
    2, 0, 35, 0, 0, 0, 0, 176, 2, 60, 13, 29, 0, 0, 0, 0, 188, 180, 2, 0, 2, 61, 13, 0, 29, 0, 0,
    0, 0, 209, 180, 2, 0, 2, 62, 13, 8, 29, 0, 0, 0, 0, 230, 180, 2, 0, 2, 63, 13, 16, 29, 0, 0, 0,
    0, 251, 180, 2, 0, 2, 64, 13, 24, 29, 0, 0, 0, 0, 11, 181, 2, 0, 2, 65, 13, 32, 29, 0, 0, 0, 0,
    42, 181, 2, 0, 2, 66, 13, 40, 29, 0, 0, 0, 0, 134, 181, 2, 0, 2, 67, 13, 48, 29, 0, 0, 0, 0,
    180, 181, 2, 0, 2, 68, 13, 56, 29, 0, 0, 0, 0, 226, 181, 2, 0, 2, 69, 13, 64, 29, 0, 0, 0, 0,
    247, 181, 2, 0, 2, 70, 13, 72, 29, 0, 0, 0, 0, 13, 182, 2, 0, 2, 71, 13, 80, 29, 0, 0, 0, 0,
    34, 182, 2, 0, 2, 72, 13, 88, 29, 0, 0, 0, 0, 134, 133, 2, 0, 2, 73, 13, 96, 29, 0, 0, 0, 0,
    46, 182, 2, 0, 2, 74, 13, 104, 29, 0, 0, 0, 0, 77, 182, 2, 0, 2, 75, 13, 112, 29, 0, 0, 0, 0,
    34, 182, 2, 0, 2, 76, 13, 120, 29, 0, 0, 0, 0, 251, 180, 2, 0, 2, 77, 13, 128, 29, 0, 0, 0, 0,
    110, 182, 2, 0, 2, 78, 13, 136, 29, 0, 0, 0, 0, 136, 182, 2, 0, 2, 79, 13, 144, 29, 0, 0, 0, 0,
    158, 182, 2, 0, 2, 80, 13, 152, 29, 0, 0, 0, 0, 179, 182, 2, 0, 2, 81, 13, 160, 29, 0, 0, 0, 0,
    213, 184, 2, 0, 2, 82, 13, 168, 0, 9, 193, 180, 2, 0, 14, 168, 0, 0, 0, 15, 220, 54, 0, 0, 15,
    116, 144, 2, 0, 0, 9, 214, 180, 2, 0, 14, 168, 0, 0, 0, 15, 61, 78, 0, 0, 15, 220, 54, 0, 0, 0,
    9, 235, 180, 2, 0, 14, 168, 0, 0, 0, 15, 234, 57, 0, 0, 15, 116, 144, 2, 0, 0, 9, 0, 181, 2, 0,
    14, 168, 0, 0, 0, 15, 220, 54, 0, 0, 0, 9, 16, 181, 2, 0, 14, 168, 0, 0, 0, 15, 61, 78, 0, 0,
    15, 234, 57, 0, 0, 15, 228, 21, 0, 0, 15, 38, 1, 0, 0, 0, 9, 47, 181, 2, 0, 38, 15, 54, 181, 2,
    0, 0, 9, 59, 181, 2, 0, 35, 0, 0, 0, 0, 32, 2, 125, 23, 29, 0, 0, 0, 0, 61, 78, 0, 0, 2, 126,
    23, 0, 29, 0, 0, 0, 0, 234, 57, 0, 0, 2, 127, 23, 8, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 128, 23,
    16, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 129, 23, 24, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 130, 23, 28,
    0, 9, 139, 181, 2, 0, 14, 168, 0, 0, 0, 15, 61, 78, 0, 0, 15, 234, 57, 0, 0, 15, 40, 73, 0, 0,
    15, 38, 1, 0, 0, 15, 38, 1, 0, 0, 15, 211, 107, 0, 0, 15, 230, 37, 1, 0, 0, 9, 185, 181, 2, 0,
    14, 168, 0, 0, 0, 15, 61, 78, 0, 0, 15, 234, 57, 0, 0, 15, 40, 73, 0, 0, 15, 38, 1, 0, 0, 15,
    38, 1, 0, 0, 15, 220, 54, 0, 0, 15, 26, 1, 0, 0, 0, 9, 231, 181, 2, 0, 14, 83, 231, 1, 0, 15,
    234, 57, 0, 0, 15, 83, 231, 1, 0, 0, 9, 252, 181, 2, 0, 38, 15, 220, 54, 0, 0, 15, 38, 1, 0, 0,
    15, 38, 1, 0, 0, 0, 9, 18, 182, 2, 0, 14, 168, 0, 0, 0, 15, 220, 54, 0, 0, 15, 252, 147, 0, 0,
    0, 9, 39, 182, 2, 0, 38, 15, 220, 54, 0, 0, 0, 9, 51, 182, 2, 0, 14, 168, 0, 0, 0, 15, 234, 57,
    0, 0, 15, 220, 54, 0, 0, 15, 220, 54, 0, 0, 15, 68, 43, 2, 0, 0, 9, 82, 182, 2, 0, 14, 181, 51,
    0, 0, 15, 220, 54, 0, 0, 15, 98, 182, 2, 0, 0, 39, 38, 1, 0, 0, 0, 0, 0, 0, 2, 227, 8, 9, 115,
    182, 2, 0, 14, 168, 0, 0, 0, 15, 220, 54, 0, 0, 15, 90, 22, 0, 0, 15, 90, 22, 0, 0, 0, 9, 141,
    182, 2, 0, 38, 15, 220, 54, 0, 0, 15, 90, 241, 0, 0, 15, 90, 241, 0, 0, 0, 9, 163, 182, 2, 0,
    14, 168, 0, 0, 0, 15, 234, 57, 0, 0, 15, 220, 54, 0, 0, 0, 9, 184, 182, 2, 0, 14, 168, 0, 0, 0,
    15, 205, 182, 2, 0, 15, 61, 78, 0, 0, 15, 208, 184, 2, 0, 0, 9, 210, 182, 2, 0, 35, 0, 0, 0, 0,
    240, 2, 171, 23, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 172, 23, 0, 29, 0, 0, 0, 0, 3, 27, 0, 0, 2,
    173, 23, 8, 29, 0, 0, 0, 0, 15, 204, 0, 0, 2, 174, 23, 16, 29, 0, 0, 0, 0, 62, 42, 2, 0, 2,
    175, 23, 56, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 176, 23, 60, 29, 0, 0, 0, 0, 239, 206, 1, 0, 2,
    177, 23, 64, 29, 0, 0, 0, 0, 59, 184, 2, 0, 2, 178, 23, 72, 29, 0, 0, 0, 0, 119, 184, 2, 0, 2,
    179, 23, 80, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 180, 23, 96, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 181,
    23, 100, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 182, 23, 104, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 183, 23,
    108, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 184, 23, 112, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 185, 23,
    116, 29, 0, 0, 0, 0, 57, 208, 0, 0, 2, 186, 23, 120, 29, 0, 0, 0, 0, 155, 184, 2, 0, 2, 187,
    23, 128, 29, 0, 0, 0, 0, 206, 94, 0, 0, 2, 188, 23, 136, 29, 0, 0, 0, 0, 71, 233, 1, 0, 2, 189,
    23, 144, 29, 0, 0, 0, 0, 61, 78, 0, 0, 2, 190, 23, 152, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 191,
    23, 160, 29, 0, 0, 0, 0, 216, 107, 0, 0, 2, 192, 23, 168, 29, 0, 0, 0, 0, 242, 23, 0, 0, 2,
    193, 23, 176, 29, 0, 0, 0, 0, 33, 67, 0, 0, 2, 194, 23, 180, 29, 0, 0, 0, 0, 33, 67, 0, 0, 2,
    195, 23, 184, 29, 0, 0, 0, 0, 117, 158, 0, 0, 2, 196, 23, 192, 29, 0, 0, 0, 0, 119, 184, 2, 0,
    2, 197, 23, 224, 29, 0, 0, 0, 0, 196, 184, 2, 0, 2, 198, 23, 240, 0, 9, 64, 184, 2, 0, 35, 0,
    0, 0, 0, 8, 2, 158, 23, 29, 0, 0, 0, 0, 33, 67, 0, 0, 2, 159, 23, 0, 45, 0, 0, 0, 0, 38, 1, 0,
    0, 2, 160, 23, 4, 24, 8, 4, 45, 0, 0, 0, 0, 38, 1, 0, 0, 2, 161, 23, 4, 8, 0, 4, 0, 35, 0, 0,
    0, 0, 16, 2, 164, 23, 29, 0, 0, 0, 0, 64, 184, 2, 0, 2, 165, 23, 0, 29, 0, 0, 0, 0, 64, 184, 2,
    0, 2, 166, 23, 8, 0, 9, 160, 184, 2, 0, 35, 0, 0, 0, 0, 12, 2, 173, 32, 29, 0, 0, 0, 0, 64,
    184, 2, 0, 2, 174, 32, 0, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 175, 32, 8, 0, 3, 15, 204, 0, 0, 4,
    82, 0, 0, 0, 0, 0, 9, 83, 231, 1, 0, 9, 218, 184, 2, 0, 38, 15, 61, 78, 0, 0, 0, 9, 230, 184,
    2, 0, 35, 0, 0, 0, 0, 232, 2, 18, 8, 29, 0, 0, 0, 0, 101, 185, 2, 0, 2, 19, 8, 0, 29, 0, 0, 0,
    0, 93, 222, 0, 0, 2, 20, 8, 48, 29, 0, 0, 0, 0, 177, 40, 1, 0, 2, 21, 8, 112, 29, 0, 0, 0, 0,
    46, 40, 1, 0, 2, 22, 8, 120, 29, 0, 0, 0, 0, 4, 162, 0, 0, 2, 23, 8, 176, 29, 0, 0, 0, 0, 194,
    185, 2, 0, 2, 24, 8, 208, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 25, 8, 212, 29, 0, 0, 0, 0, 232, 185,
    2, 0, 2, 26, 8, 216, 29, 0, 0, 0, 0, 26, 1, 0, 0, 2, 27, 8, 224, 0, 35, 0, 0, 0, 0, 48, 2, 231,
    7, 29, 0, 0, 0, 0, 189, 185, 2, 0, 2, 232, 7, 0, 29, 0, 0, 0, 0, 189, 185, 2, 0, 2, 233, 7, 8,
    29, 0, 0, 0, 0, 189, 185, 2, 0, 2, 234, 7, 16, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 235, 7, 24, 29,
    0, 0, 0, 0, 90, 22, 0, 0, 2, 236, 7, 32, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 237, 7, 40, 0, 37,
    90, 22, 0, 0, 18, 38, 1, 0, 0, 0, 0, 0, 0, 4, 2, 9, 8, 19, 0, 0, 0, 0, 1, 19, 0, 0, 0, 0, 2,
    19, 0, 0, 0, 0, 3, 19, 0, 0, 0, 0, 4, 0, 9, 237, 185, 2, 0, 37, 242, 185, 2, 0, 35, 0, 0, 0, 0,
    32, 2, 253, 8, 29, 0, 0, 0, 0, 34, 182, 2, 0, 2, 254, 8, 0, 29, 0, 0, 0, 0, 48, 186, 2, 0, 2,
    255, 8, 8, 29, 0, 0, 0, 0, 48, 186, 2, 0, 2, 0, 9, 16, 29, 0, 0, 0, 0, 165, 151, 0, 0, 2, 1, 9,
    24, 0, 9, 53, 186, 2, 0, 38, 15, 225, 184, 2, 0, 0, 9, 235, 104, 2, 0, 9, 70, 186, 2, 0, 14,
    168, 0, 0, 0, 15, 27, 40, 0, 0, 15, 213, 52, 0, 0, 15, 36, 54, 0, 0, 15, 168, 0, 0, 0, 15, 168,
    0, 0, 0, 15, 176, 51, 0, 0, 0, 9, 111, 186, 2, 0, 14, 168, 0, 0, 0, 15, 27, 40, 0, 0, 15, 220,
    54, 0, 0, 15, 168, 0, 0, 0, 15, 36, 54, 0, 0, 15, 168, 0, 0, 0, 0, 9, 147, 186, 2, 0, 14, 168,
    0, 0, 0, 15, 27, 40, 0, 0, 15, 26, 34, 0, 0, 0, 9, 168, 186, 2, 0, 14, 168, 0, 0, 0, 15, 27,
    40, 0, 0, 15, 236, 24, 0, 0, 0, 9, 189, 186, 2, 0, 14, 181, 51, 0, 0, 15, 205, 186, 2, 0, 15,
    168, 0, 0, 0, 0, 9, 210, 186, 2, 0, 37, 32, 40, 0, 0, 9, 220, 186, 2, 0, 14, 181, 51, 0, 0, 15,
    205, 186, 2, 0, 0, 9, 130, 148, 1, 0, 9, 19, 1, 0, 0, 9, 246, 186, 2, 0, 35, 0, 0, 0, 0, 64, 2,
    208, 52, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 209, 52, 0, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 210, 52,
    4, 29, 0, 0, 0, 0, 251, 68, 1, 0, 2, 211, 52, 8, 29, 0, 0, 0, 0, 154, 27, 0, 0, 2, 212, 52, 16,
    29, 0, 0, 0, 0, 117, 187, 2, 0, 2, 213, 52, 24, 29, 0, 0, 0, 0, 82, 188, 2, 0, 2, 214, 52, 32,
    29, 0, 0, 0, 0, 104, 188, 2, 0, 2, 215, 52, 40, 29, 0, 0, 0, 0, 121, 188, 2, 0, 2, 216, 52, 48,
    29, 0, 0, 0, 0, 133, 188, 2, 0, 2, 217, 52, 56, 0, 9, 122, 187, 2, 0, 14, 168, 0, 0, 0, 15,
    205, 186, 2, 0, 15, 138, 187, 2, 0, 0, 9, 143, 187, 2, 0, 35, 0, 0, 0, 0, 224, 2, 228, 52, 29,
    0, 0, 0, 0, 111, 45, 0, 0, 2, 229, 52, 0, 29, 0, 0, 0, 0, 138, 187, 2, 0, 2, 230, 52, 136, 29,
    0, 0, 0, 0, 229, 67, 0, 0, 2, 231, 52, 144, 29, 0, 0, 0, 0, 218, 67, 0, 0, 2, 232, 52, 146, 45,
    0, 0, 0, 0, 218, 67, 0, 0, 2, 233, 52, 1, 1, 7, 147, 45, 0, 0, 0, 0, 218, 67, 0, 0, 2, 234, 52,
    1, 7, 0, 147, 29, 0, 0, 0, 0, 177, 66, 0, 0, 2, 235, 52, 148, 29, 0, 0, 0, 0, 134, 156, 0, 0,
    2, 236, 52, 152, 29, 0, 0, 0, 0, 72, 188, 2, 0, 2, 237, 52, 192, 29, 0, 0, 0, 0, 27, 40, 0, 0,
    2, 238, 52, 200, 29, 0, 0, 0, 0, 132, 223, 0, 0, 2, 239, 52, 208, 29, 0, 0, 0, 0, 177, 66, 0,
    0, 2, 240, 52, 216, 29, 0, 0, 0, 0, 177, 66, 0, 0, 2, 241, 52, 220, 0, 9, 77, 188, 2, 0, 37,
    246, 186, 2, 0, 9, 87, 188, 2, 0, 38, 15, 205, 186, 2, 0, 15, 26, 34, 0, 0, 15, 138, 187, 2, 0,
    0, 9, 109, 188, 2, 0, 38, 15, 205, 186, 2, 0, 15, 26, 34, 0, 0, 0, 9, 126, 188, 2, 0, 38, 15,
    138, 187, 2, 0, 0, 9, 138, 188, 2, 0, 38, 15, 145, 188, 2, 0, 0, 9, 150, 188, 2, 0, 37, 143,
    187, 2, 0, 9, 160, 188, 2, 0, 35, 0, 0, 0, 0, 40, 2, 220, 52, 29, 0, 0, 0, 0, 251, 68, 1, 0, 2,
    221, 52, 0, 29, 0, 0, 0, 0, 154, 27, 0, 0, 2, 222, 52, 8, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 223,
    52, 16, 29, 0, 0, 0, 0, 235, 188, 2, 0, 2, 224, 52, 24, 29, 0, 0, 0, 0, 241, 51, 0, 0, 2, 225,
    52, 32, 0, 9, 240, 188, 2, 0, 14, 168, 0, 0, 0, 15, 27, 40, 0, 0, 15, 27, 40, 0, 0, 15, 26, 1,
    0, 0, 0, 9, 10, 189, 2, 0, 35, 0, 0, 0, 0, 24, 2, 238, 210, 29, 0, 0, 0, 0, 72, 189, 2, 0, 2,
    239, 210, 0, 29, 0, 0, 0, 0, 72, 189, 2, 0, 2, 240, 210, 8, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2,
    241, 210, 16, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 242, 210, 20, 0, 9, 77, 189, 2, 0, 35, 0, 0, 0,
    0, 16, 2, 98, 211, 29, 0, 0, 0, 0, 90, 101, 0, 0, 2, 99, 211, 0, 29, 0, 0, 0, 0, 168, 0, 0, 0,
    2, 100, 211, 8, 29, 0, 0, 0, 0, 33, 67, 0, 0, 2, 101, 211, 12, 0, 9, 131, 189, 2, 0, 22, 0, 0,
    0, 0, 8, 8, 2, 97, 157, 1, 0, 25, 0, 0, 0, 0, 75, 105, 0, 0, 2, 98, 157, 1, 0, 0, 25, 0, 0, 0,
    0, 174, 189, 2, 0, 2, 99, 157, 1, 0, 8, 0, 3, 90, 101, 0, 0, 50, 82, 0, 0, 0, 0, 1, 0, 9, 192,
    189, 2, 0, 43, 0, 0, 0, 0, 9, 234, 117, 1, 0, 3, 168, 0, 0, 0, 4, 82, 0, 0, 0, 0, 0, 39, 226,
    189, 2, 0, 0, 0, 0, 0, 2, 224, 33, 30, 32, 2, 220, 33, 29, 0, 0, 0, 0, 33, 67, 0, 0, 2, 221,
    33, 0, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 222, 33, 4, 29, 0, 0, 0, 0, 190, 104, 0, 0, 2, 223, 33,
    8, 0, 9, 20, 190, 2, 0, 35, 0, 0, 0, 0, 32, 2, 208, 51, 29, 0, 0, 0, 0, 254, 62, 0, 0, 2, 209,
    51, 0, 29, 0, 0, 0, 0, 28, 22, 0, 0, 2, 210, 51, 8, 29, 0, 0, 0, 0, 61, 255, 0, 0, 2, 211, 51,
    24, 0, 9, 74, 190, 2, 0, 35, 0, 0, 0, 0, 64, 2, 165, 45, 29, 0, 0, 0, 0, 190, 104, 0, 0, 2,
    166, 45, 0, 29, 0, 0, 0, 0, 238, 104, 0, 0, 2, 167, 45, 24, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2,
    168, 45, 32, 29, 0, 0, 0, 0, 28, 22, 0, 0, 2, 169, 45, 40, 0, 3, 148, 190, 2, 0, 4, 82, 0, 0,
    0, 2, 0, 9, 153, 190, 2, 0, 28, 0, 0, 0, 0, 32, 3, 2, 206, 210, 29, 0, 0, 0, 0, 112, 145, 1, 0,
    2, 207, 210, 0, 29, 0, 0, 0, 0, 152, 21, 0, 0, 2, 208, 210, 8, 29, 0, 0, 0, 0, 152, 21, 0, 0,
    2, 209, 210, 24, 29, 0, 0, 0, 0, 75, 105, 0, 0, 2, 210, 210, 40, 29, 0, 0, 0, 0, 254, 62, 0, 0,
    2, 211, 210, 48, 29, 0, 0, 0, 0, 177, 66, 0, 0, 2, 212, 210, 52, 29, 0, 0, 0, 0, 134, 156, 0,
    0, 2, 213, 210, 56, 29, 0, 0, 0, 0, 242, 23, 0, 0, 2, 214, 210, 96, 29, 0, 0, 0, 0, 177, 66, 0,
    0, 2, 215, 210, 100, 29, 0, 0, 0, 0, 177, 66, 0, 0, 2, 216, 210, 104, 29, 0, 0, 0, 0, 177, 66,
    0, 0, 2, 217, 210, 108, 29, 0, 0, 0, 0, 65, 153, 1, 0, 2, 218, 210, 112, 29, 0, 0, 0, 0, 155,
    152, 1, 0, 2, 219, 210, 120, 29, 0, 0, 0, 0, 13, 154, 1, 0, 2, 220, 210, 176, 29, 0, 0, 0, 0,
    1, 157, 1, 0, 2, 221, 210, 240, 31, 0, 0, 0, 0, 15, 192, 2, 0, 2, 222, 210, 16, 1, 31, 0, 0, 0,
    0, 51, 192, 2, 0, 2, 223, 210, 40, 1, 31, 0, 0, 0, 0, 181, 51, 0, 0, 2, 224, 210, 112, 1, 31,
    0, 0, 0, 0, 218, 67, 0, 0, 2, 225, 210, 113, 1, 31, 0, 0, 0, 0, 218, 67, 0, 0, 2, 226, 210,
    114, 1, 31, 0, 0, 0, 0, 218, 67, 0, 0, 2, 227, 210, 115, 1, 31, 0, 0, 0, 0, 218, 67, 0, 0, 2,
    228, 210, 116, 1, 31, 0, 0, 0, 0, 229, 67, 0, 0, 2, 229, 210, 118, 1, 31, 0, 0, 0, 0, 110, 159,
    1, 0, 2, 230, 210, 120, 1, 31, 0, 0, 0, 0, 100, 192, 2, 0, 2, 231, 210, 128, 1, 31, 0, 0, 0, 0,
    152, 21, 0, 0, 2, 232, 210, 0, 3, 31, 0, 0, 0, 0, 28, 22, 0, 0, 2, 233, 210, 16, 3, 0, 35, 0,
    0, 0, 0, 24, 2, 181, 210, 29, 0, 0, 0, 0, 195, 21, 0, 0, 2, 182, 210, 0, 29, 0, 0, 0, 0, 218,
    67, 0, 0, 2, 183, 210, 16, 0, 35, 0, 0, 0, 0, 72, 2, 186, 210, 29, 0, 0, 0, 0, 126, 146, 1, 0,
    2, 187, 210, 0, 29, 0, 0, 0, 0, 134, 156, 0, 0, 2, 188, 210, 24, 29, 0, 0, 0, 0, 90, 22, 0, 0,
    2, 189, 210, 64, 0, 3, 112, 192, 2, 0, 4, 82, 0, 0, 0, 6, 0, 35, 0, 0, 0, 0, 64, 2, 192, 210,
    29, 0, 0, 0, 0, 49, 152, 1, 0, 2, 193, 210, 0, 29, 0, 0, 0, 0, 98, 152, 1, 0, 2, 194, 210, 24,
    29, 0, 0, 0, 0, 236, 24, 0, 0, 2, 195, 210, 40, 29, 0, 0, 0, 0, 177, 66, 0, 0, 2, 196, 210, 44,
    29, 0, 0, 0, 0, 218, 67, 0, 0, 2, 197, 210, 48, 29, 0, 0, 0, 0, 218, 67, 0, 0, 2, 198, 210, 49,
    29, 0, 0, 0, 0, 218, 67, 0, 0, 2, 199, 210, 50, 29, 0, 0, 0, 0, 218, 67, 0, 0, 2, 200, 210, 51,
    29, 0, 0, 0, 0, 177, 66, 0, 0, 2, 201, 210, 52, 29, 0, 0, 0, 0, 177, 66, 0, 0, 2, 202, 210, 56,
    29, 0, 0, 0, 0, 177, 66, 0, 0, 2, 203, 210, 60, 0, 9, 14, 193, 2, 0, 35, 0, 0, 0, 0, 128, 2,
    175, 45, 29, 0, 0, 0, 0, 115, 193, 2, 0, 2, 176, 45, 0, 29, 0, 0, 0, 0, 3, 27, 0, 0, 2, 177,
    45, 4, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 178, 45, 8, 29, 0, 0, 0, 0, 61, 78, 0, 0, 2, 179, 45,
    16, 29, 0, 0, 0, 0, 27, 40, 0, 0, 2, 180, 45, 24, 29, 0, 0, 0, 0, 127, 193, 2, 0, 2, 181, 45,
    32, 29, 0, 0, 0, 0, 74, 190, 2, 0, 2, 185, 45, 64, 0, 39, 242, 6, 0, 0, 0, 0, 0, 0, 2, 163, 45,
    9, 132, 193, 2, 0, 37, 137, 193, 2, 0, 35, 0, 0, 0, 0, 224, 2, 190, 45, 29, 0, 0, 0, 0, 168, 0,
    0, 0, 2, 191, 45, 0, 29, 0, 0, 0, 0, 120, 81, 0, 0, 2, 192, 45, 8, 29, 0, 0, 0, 0, 255, 194, 2,
    0, 2, 193, 45, 16, 29, 0, 0, 0, 0, 15, 195, 2, 0, 2, 194, 45, 24, 29, 0, 0, 0, 0, 41, 195, 2,
    0, 2, 195, 45, 32, 29, 0, 0, 0, 0, 72, 195, 2, 0, 2, 196, 45, 40, 29, 0, 0, 0, 0, 93, 195, 2,
    0, 2, 197, 45, 48, 29, 0, 0, 0, 0, 15, 195, 2, 0, 2, 198, 45, 56, 29, 0, 0, 0, 0, 124, 195, 2,
    0, 2, 199, 45, 64, 29, 0, 0, 0, 0, 150, 195, 2, 0, 2, 200, 45, 72, 29, 0, 0, 0, 0, 150, 195, 2,
    0, 2, 201, 45, 80, 29, 0, 0, 0, 0, 176, 195, 2, 0, 2, 202, 45, 88, 29, 0, 0, 0, 0, 207, 195, 2,
    0, 2, 203, 45, 96, 29, 0, 0, 0, 0, 207, 195, 2, 0, 2, 204, 45, 104, 29, 0, 0, 0, 0, 228, 195,
    2, 0, 2, 205, 45, 112, 29, 0, 0, 0, 0, 8, 196, 2, 0, 2, 206, 45, 120, 29, 0, 0, 0, 0, 44, 196,
    2, 0, 2, 207, 45, 128, 29, 0, 0, 0, 0, 61, 196, 2, 0, 2, 208, 45, 136, 29, 0, 0, 0, 0, 87, 196,
    2, 0, 2, 209, 45, 144, 29, 0, 0, 0, 0, 118, 196, 2, 0, 2, 210, 45, 152, 29, 0, 0, 0, 0, 144,
    196, 2, 0, 2, 211, 45, 160, 29, 0, 0, 0, 0, 180, 196, 2, 0, 2, 212, 45, 168, 29, 0, 0, 0, 0,
    124, 51, 0, 0, 2, 213, 45, 176, 29, 0, 0, 0, 0, 255, 194, 2, 0, 2, 214, 45, 184, 29, 0, 0, 0,
    0, 216, 196, 2, 0, 2, 215, 45, 192, 29, 0, 0, 0, 0, 106, 186, 2, 0, 2, 216, 45, 200, 29, 0, 0,
    0, 0, 187, 52, 0, 0, 2, 217, 45, 208, 29, 0, 0, 0, 0, 124, 51, 0, 0, 2, 218, 45, 216, 0, 9, 4,
    195, 2, 0, 14, 168, 0, 0, 0, 15, 9, 193, 2, 0, 0, 9, 20, 195, 2, 0, 14, 168, 0, 0, 0, 15, 9,
    193, 2, 0, 15, 119, 51, 0, 0, 15, 168, 0, 0, 0, 0, 9, 46, 195, 2, 0, 14, 168, 0, 0, 0, 15, 9,
    193, 2, 0, 15, 119, 51, 0, 0, 15, 168, 0, 0, 0, 15, 168, 0, 0, 0, 0, 9, 77, 195, 2, 0, 14, 168,
    0, 0, 0, 15, 9, 193, 2, 0, 15, 9, 193, 2, 0, 0, 9, 98, 195, 2, 0, 14, 168, 0, 0, 0, 15, 9, 193,
    2, 0, 15, 9, 193, 2, 0, 15, 168, 0, 0, 0, 15, 181, 51, 0, 0, 0, 9, 129, 195, 2, 0, 14, 227,
    154, 0, 0, 15, 61, 78, 0, 0, 15, 9, 193, 2, 0, 15, 238, 154, 0, 0, 0, 9, 155, 195, 2, 0, 14,
    168, 0, 0, 0, 15, 9, 193, 2, 0, 15, 38, 1, 0, 0, 15, 90, 22, 0, 0, 0, 9, 181, 195, 2, 0, 14,
    168, 0, 0, 0, 15, 9, 193, 2, 0, 15, 26, 1, 0, 0, 15, 181, 51, 0, 0, 15, 181, 51, 0, 0, 0, 9,
    212, 195, 2, 0, 14, 168, 0, 0, 0, 15, 9, 193, 2, 0, 15, 168, 0, 0, 0, 0, 9, 233, 195, 2, 0, 14,
    168, 0, 0, 0, 15, 9, 193, 2, 0, 15, 168, 0, 0, 0, 15, 168, 0, 0, 0, 15, 50, 52, 0, 0, 15, 38,
    1, 0, 0, 0, 9, 13, 196, 2, 0, 14, 168, 0, 0, 0, 15, 9, 193, 2, 0, 15, 168, 0, 0, 0, 15, 168, 0,
    0, 0, 15, 154, 27, 0, 0, 15, 176, 51, 0, 0, 0, 9, 49, 196, 2, 0, 38, 15, 199, 111, 0, 0, 15, 9,
    193, 2, 0, 0, 9, 66, 196, 2, 0, 14, 168, 0, 0, 0, 15, 9, 193, 2, 0, 15, 213, 52, 0, 0, 15, 36,
    54, 0, 0, 0, 9, 92, 196, 2, 0, 14, 168, 0, 0, 0, 15, 9, 193, 2, 0, 15, 213, 52, 0, 0, 15, 36,
    54, 0, 0, 15, 168, 0, 0, 0, 0, 9, 123, 196, 2, 0, 14, 168, 0, 0, 0, 15, 61, 78, 0, 0, 15, 9,
    193, 2, 0, 15, 66, 90, 0, 0, 0, 9, 149, 196, 2, 0, 14, 161, 88, 0, 0, 15, 9, 193, 2, 0, 15,
    220, 54, 0, 0, 15, 168, 0, 0, 0, 15, 36, 54, 0, 0, 15, 168, 0, 0, 0, 0, 9, 185, 196, 2, 0, 14,
    161, 88, 0, 0, 15, 9, 193, 2, 0, 15, 207, 112, 0, 0, 15, 109, 103, 0, 0, 15, 36, 54, 0, 0, 15,
    38, 1, 0, 0, 0, 9, 221, 196, 2, 0, 14, 168, 0, 0, 0, 15, 27, 40, 0, 0, 15, 242, 196, 2, 0, 15,
    93, 197, 2, 0, 0, 9, 247, 196, 2, 0, 39, 3, 197, 2, 0, 0, 0, 0, 0, 2, 164, 35, 30, 32, 2, 156,
    35, 29, 0, 0, 0, 0, 36, 54, 0, 0, 2, 157, 35, 0, 29, 0, 0, 0, 0, 36, 54, 0, 0, 2, 158, 35, 8,
    29, 0, 0, 0, 0, 47, 197, 2, 0, 2, 162, 35, 16, 34, 8, 2, 159, 35, 29, 0, 0, 0, 0, 154, 27, 0,
    0, 2, 160, 35, 0, 29, 0, 0, 0, 0, 26, 1, 0, 0, 2, 161, 35, 0, 0, 29, 0, 0, 0, 0, 168, 0, 0, 0,
    2, 163, 35, 24, 0, 39, 105, 197, 2, 0, 0, 0, 0, 0, 2, 188, 45, 9, 110, 197, 2, 0, 14, 168, 0,
    0, 0, 15, 242, 196, 2, 0, 15, 26, 34, 0, 0, 15, 38, 1, 0, 0, 15, 36, 54, 0, 0, 0, 35, 0, 0, 0,
    0, 8, 2, 237, 33, 44, 154, 197, 2, 0, 2, 238, 33, 0, 34, 8, 2, 238, 33, 44, 168, 197, 2, 0, 2,
    239, 33, 0, 30, 8, 2, 239, 33, 45, 0, 0, 0, 0, 218, 67, 0, 0, 2, 240, 33, 1, 1, 7, 0, 45, 0, 0,
    0, 0, 218, 67, 0, 0, 2, 241, 33, 1, 1, 6, 0, 45, 0, 0, 0, 0, 218, 67, 0, 0, 2, 242, 33, 1, 6,
    0, 0, 29, 0, 0, 0, 0, 218, 67, 0, 0, 2, 243, 33, 1, 29, 0, 0, 0, 0, 229, 67, 0, 0, 2, 244, 33,
    2, 29, 0, 0, 0, 0, 177, 66, 0, 0, 2, 245, 33, 4, 0, 29, 0, 0, 0, 0, 109, 22, 0, 0, 2, 247, 33,
    0, 0, 0, 9, 25, 198, 2, 0, 14, 26, 34, 0, 0, 15, 27, 40, 0, 0, 15, 162, 12, 0, 0, 15, 26, 34,
    0, 0, 0, 9, 51, 198, 2, 0, 35, 0, 0, 0, 0, 40, 2, 5, 158, 29, 0, 0, 0, 0, 28, 22, 0, 0, 2, 6,
    158, 0, 29, 0, 0, 0, 0, 229, 67, 0, 0, 2, 7, 158, 16, 29, 0, 0, 0, 0, 229, 67, 0, 0, 2, 8, 158,
    18, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 9, 158, 20, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 10, 158, 24,
    45, 0, 0, 0, 0, 38, 1, 0, 0, 2, 11, 158, 4, 1, 31, 28, 45, 0, 0, 0, 0, 38, 1, 0, 0, 2, 12, 158,
    4, 1, 30, 28, 29, 0, 0, 0, 0, 61, 255, 0, 0, 2, 13, 158, 32, 29, 0, 0, 0, 0, 184, 198, 2, 0, 2,
    14, 158, 40, 0, 3, 27, 40, 0, 0, 4, 82, 0, 0, 0, 0, 0, 9, 201, 198, 2, 0, 40, 0, 0, 0, 0, 168,
    2, 88, 148, 1, 0, 25, 0, 0, 0, 0, 32, 199, 2, 0, 2, 89, 148, 1, 0, 0, 25, 0, 0, 0, 0, 90, 101,
    0, 0, 2, 90, 148, 1, 0, 128, 25, 0, 0, 0, 0, 27, 40, 0, 0, 2, 91, 148, 1, 0, 136, 25, 0, 0, 0,
    0, 28, 22, 0, 0, 2, 92, 148, 1, 0, 144, 25, 0, 0, 0, 0, 155, 95, 0, 0, 2, 93, 148, 1, 0, 160,
    0, 3, 44, 199, 2, 0, 4, 82, 0, 0, 0, 16, 0, 9, 49, 199, 2, 0, 40, 0, 0, 0, 0, 8, 2, 135, 148,
    1, 0, 25, 0, 0, 0, 0, 91, 199, 2, 0, 2, 136, 148, 1, 0, 0, 25, 0, 0, 0, 0, 143, 145, 1, 0, 2,
    137, 148, 1, 0, 8, 0, 9, 96, 199, 2, 0, 22, 0, 0, 0, 0, 64, 1, 2, 121, 148, 1, 0, 25, 0, 0, 0,
    0, 25, 6, 1, 0, 2, 122, 148, 1, 0, 0, 27, 0, 0, 0, 0, 188, 199, 2, 0, 2, 123, 148, 1, 0, 0, 1,
    27, 0, 0, 0, 0, 177, 66, 0, 0, 2, 124, 148, 1, 0, 8, 1, 27, 0, 0, 0, 0, 229, 67, 0, 0, 2, 125,
    148, 1, 0, 12, 1, 27, 0, 0, 0, 0, 229, 67, 0, 0, 2, 126, 148, 1, 0, 14, 1, 0, 9, 193, 199, 2,
    0, 40, 0, 0, 0, 0, 16, 2, 116, 148, 1, 0, 25, 0, 0, 0, 0, 90, 101, 0, 0, 2, 117, 148, 1, 0, 0,
    25, 0, 0, 0, 0, 155, 95, 0, 0, 2, 118, 148, 1, 0, 8, 0, 39, 27, 1, 0, 0, 0, 0, 0, 0, 2, 107,
    33, 39, 38, 1, 0, 0, 0, 0, 0, 0, 2, 44, 43, 9, 8, 200, 2, 0, 35, 0, 0, 0, 0, 16, 2, 239, 45,
    29, 0, 0, 0, 0, 254, 62, 0, 0, 2, 240, 45, 0, 29, 0, 0, 0, 0, 142, 159, 2, 0, 2, 241, 45, 4,
    29, 0, 0, 0, 0, 218, 67, 0, 0, 2, 242, 45, 8, 29, 0, 0, 0, 0, 78, 22, 0, 0, 2, 244, 45, 16, 0,
    9, 75, 200, 2, 0, 14, 97, 22, 0, 0, 15, 26, 34, 0, 0, 15, 162, 12, 0, 0, 15, 97, 22, 0, 0, 0,
    9, 101, 200, 2, 0, 14, 229, 67, 0, 0, 15, 162, 12, 0, 0, 15, 26, 34, 0, 0, 15, 162, 12, 0, 0,
    0, 9, 127, 200, 2, 0, 38, 15, 162, 12, 0, 0, 15, 168, 0, 0, 0, 0, 9, 144, 200, 2, 0, 14, 168,
    0, 0, 0, 15, 162, 12, 0, 0, 15, 26, 1, 0, 0, 0, 9, 165, 200, 2, 0, 14, 168, 0, 0, 0, 15, 162,
    12, 0, 0, 15, 186, 200, 2, 0, 15, 168, 0, 0, 0, 0, 9, 191, 200, 2, 0, 35, 0, 0, 0, 0, 40, 2,
    35, 35, 29, 0, 0, 0, 0, 213, 200, 2, 0, 2, 38, 35, 0, 34, 16, 2, 36, 35, 29, 0, 0, 0, 0, 73,
    21, 0, 0, 2, 37, 35, 0, 0, 29, 0, 0, 0, 0, 245, 200, 2, 0, 2, 53, 35, 16, 34, 24, 2, 39, 35,
    29, 0, 0, 0, 0, 82, 27, 0, 0, 2, 40, 35, 0, 29, 0, 0, 0, 0, 82, 27, 0, 0, 2, 41, 35, 0, 29, 0,
    0, 0, 0, 82, 27, 0, 0, 2, 42, 35, 0, 29, 0, 0, 0, 0, 82, 27, 0, 0, 2, 43, 35, 0, 29, 0, 0, 0,
    0, 82, 27, 0, 0, 2, 44, 35, 0, 29, 0, 0, 0, 0, 3, 27, 0, 0, 2, 45, 35, 0, 29, 0, 0, 0, 0, 168,
    0, 0, 0, 2, 46, 35, 0, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 47, 35, 0, 29, 0, 0, 0, 0, 165, 201, 2,
    0, 2, 48, 35, 0, 29, 0, 0, 0, 0, 73, 21, 0, 0, 2, 49, 35, 0, 29, 0, 0, 0, 0, 73, 21, 0, 0, 2,
    50, 35, 0, 29, 0, 0, 0, 0, 26, 1, 0, 0, 2, 51, 35, 0, 29, 0, 0, 0, 0, 253, 201, 2, 0, 2, 52,
    35, 0, 0, 0, 35, 0, 0, 0, 0, 24, 2, 11, 35, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 12, 35, 0, 29, 0,
    0, 0, 0, 90, 22, 0, 0, 2, 13, 35, 8, 29, 0, 0, 0, 0, 236, 24, 0, 0, 2, 14, 35, 16, 29, 0, 0, 0,
    0, 169, 26, 0, 0, 2, 15, 35, 18, 29, 0, 0, 0, 0, 169, 26, 0, 0, 2, 16, 35, 19, 29, 0, 0, 0, 0,
    169, 26, 0, 0, 2, 17, 35, 20, 0, 35, 0, 0, 0, 0, 16, 2, 20, 35, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2,
    21, 35, 0, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 22, 35, 4, 29, 0, 0, 0, 0, 45, 202, 2, 0, 2, 32, 35,
    8, 34, 8, 2, 23, 35, 29, 0, 0, 0, 0, 156, 202, 2, 0, 2, 24, 35, 0, 29, 0, 0, 0, 0, 205, 202, 2,
    0, 2, 25, 35, 0, 29, 0, 0, 0, 0, 254, 202, 2, 0, 2, 26, 35, 0, 29, 0, 0, 0, 0, 112, 203, 2, 0,
    2, 27, 35, 0, 29, 0, 0, 0, 0, 148, 203, 2, 0, 2, 28, 35, 0, 29, 0, 0, 0, 0, 197, 203, 2, 0, 2,
    29, 35, 0, 29, 0, 0, 0, 0, 42, 204, 2, 0, 2, 30, 35, 0, 29, 0, 0, 0, 0, 104, 204, 2, 0, 2, 31,
    35, 0, 0, 0, 9, 161, 202, 2, 0, 39, 173, 202, 2, 0, 0, 0, 0, 0, 2, 232, 34, 30, 4, 2, 229, 34,
    29, 0, 0, 0, 0, 236, 24, 0, 0, 2, 230, 34, 0, 29, 0, 0, 0, 0, 236, 24, 0, 0, 2, 231, 34, 2, 0,
    9, 210, 202, 2, 0, 39, 222, 202, 2, 0, 0, 0, 0, 0, 2, 0, 35, 30, 8, 2, 253, 34, 29, 0, 0, 0, 0,
    38, 1, 0, 0, 2, 254, 34, 0, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 255, 34, 4, 0, 9, 3, 203, 2, 0, 39,
    15, 203, 2, 0, 0, 0, 0, 0, 2, 242, 34, 30, 24, 2, 234, 34, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 235,
    34, 0, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 236, 34, 4, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 237, 34, 8,
    29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 238, 34, 12, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 239, 34, 16, 29,
    0, 0, 0, 0, 236, 24, 0, 0, 2, 240, 34, 20, 29, 0, 0, 0, 0, 236, 24, 0, 0, 2, 241, 34, 22, 0, 9,
    117, 203, 2, 0, 39, 129, 203, 2, 0, 0, 0, 0, 0, 2, 246, 34, 30, 4, 2, 244, 34, 29, 0, 0, 0, 0,
    38, 1, 0, 0, 2, 245, 34, 0, 0, 9, 153, 203, 2, 0, 39, 165, 203, 2, 0, 0, 0, 0, 0, 2, 251, 34,
    30, 20, 2, 248, 34, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 249, 34, 0, 29, 0, 0, 0, 0, 73, 21, 0, 0,
    2, 250, 34, 4, 0, 9, 202, 203, 2, 0, 39, 214, 203, 2, 0, 0, 0, 0, 0, 2, 9, 35, 30, 24, 2, 2,
    35, 29, 0, 0, 0, 0, 236, 24, 0, 0, 2, 3, 35, 0, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 4, 35, 4, 29,
    0, 0, 0, 0, 38, 1, 0, 0, 2, 5, 35, 8, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 6, 35, 12, 29, 0, 0, 0,
    0, 38, 1, 0, 0, 2, 7, 35, 16, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 8, 35, 20, 0, 9, 47, 204, 2, 0,
    39, 59, 204, 2, 0, 0, 0, 0, 0, 2, 220, 34, 30, 12, 2, 216, 34, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2,
    217, 34, 0, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 218, 34, 4, 29, 0, 0, 0, 0, 236, 24, 0, 0, 2, 219,
    34, 8, 0, 9, 109, 204, 2, 0, 39, 121, 204, 2, 0, 0, 0, 0, 0, 2, 227, 34, 30, 16, 2, 222, 34,
    29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 223, 34, 0, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 224, 34, 4, 29, 0,
    0, 0, 0, 236, 24, 0, 0, 2, 225, 34, 8, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 226, 34, 12, 0, 9, 184,
    204, 2, 0, 14, 168, 0, 0, 0, 15, 162, 12, 0, 0, 15, 200, 204, 2, 0, 0, 9, 165, 201, 2, 0, 9,
    210, 204, 2, 0, 14, 168, 0, 0, 0, 15, 162, 12, 0, 0, 15, 168, 0, 0, 0, 0, 9, 231, 204, 2, 0,
    14, 168, 0, 0, 0, 15, 162, 12, 0, 0, 15, 192, 147, 1, 0, 0, 9, 252, 204, 2, 0, 38, 15, 162, 12,
    0, 0, 15, 38, 1, 0, 0, 0, 9, 13, 205, 2, 0, 38, 15, 162, 12, 0, 0, 15, 25, 205, 2, 0, 0, 9, 30,
    205, 2, 0, 35, 0, 0, 0, 0, 192, 2, 134, 48, 29, 0, 0, 0, 0, 197, 0, 0, 0, 2, 135, 48, 0, 29, 0,
    0, 0, 0, 197, 0, 0, 0, 2, 136, 48, 8, 29, 0, 0, 0, 0, 197, 0, 0, 0, 2, 137, 48, 16, 29, 0, 0,
    0, 0, 197, 0, 0, 0, 2, 138, 48, 24, 29, 0, 0, 0, 0, 197, 0, 0, 0, 2, 139, 48, 32, 29, 0, 0, 0,
    0, 197, 0, 0, 0, 2, 140, 48, 40, 29, 0, 0, 0, 0, 197, 0, 0, 0, 2, 141, 48, 48, 29, 0, 0, 0, 0,
    197, 0, 0, 0, 2, 142, 48, 56, 29, 0, 0, 0, 0, 197, 0, 0, 0, 2, 143, 48, 64, 29, 0, 0, 0, 0,
    197, 0, 0, 0, 2, 144, 48, 72, 29, 0, 0, 0, 0, 197, 0, 0, 0, 2, 145, 48, 80, 29, 0, 0, 0, 0,
    197, 0, 0, 0, 2, 146, 48, 88, 29, 0, 0, 0, 0, 197, 0, 0, 0, 2, 147, 48, 96, 29, 0, 0, 0, 0,
    197, 0, 0, 0, 2, 148, 48, 104, 29, 0, 0, 0, 0, 197, 0, 0, 0, 2, 149, 48, 112, 29, 0, 0, 0, 0,
    197, 0, 0, 0, 2, 150, 48, 120, 29, 0, 0, 0, 0, 197, 0, 0, 0, 2, 151, 48, 128, 29, 0, 0, 0, 0,
    197, 0, 0, 0, 2, 152, 48, 136, 29, 0, 0, 0, 0, 197, 0, 0, 0, 2, 153, 48, 144, 29, 0, 0, 0, 0,
    197, 0, 0, 0, 2, 154, 48, 152, 29, 0, 0, 0, 0, 197, 0, 0, 0, 2, 155, 48, 160, 29, 0, 0, 0, 0,
    197, 0, 0, 0, 2, 156, 48, 168, 29, 0, 0, 0, 0, 197, 0, 0, 0, 2, 157, 48, 176, 29, 0, 0, 0, 0,
    197, 0, 0, 0, 2, 158, 48, 184, 0, 9, 101, 206, 2, 0, 14, 181, 51, 0, 0, 15, 197, 144, 1, 0, 15,
    168, 0, 0, 0, 0, 9, 122, 206, 2, 0, 14, 168, 0, 0, 0, 15, 168, 0, 0, 0, 15, 197, 144, 1, 0, 15,
    26, 1, 0, 0, 0, 9, 148, 206, 2, 0, 14, 159, 206, 2, 0, 15, 162, 12, 0, 0, 0, 9, 120, 22, 0, 0,
    9, 169, 206, 2, 0, 14, 168, 0, 0, 0, 15, 162, 12, 0, 0, 15, 57, 48, 0, 0, 15, 229, 67, 0, 0, 0,
    9, 195, 206, 2, 0, 14, 168, 0, 0, 0, 15, 162, 12, 0, 0, 15, 211, 206, 2, 0, 0, 9, 216, 206, 2,
    0, 40, 0, 0, 0, 0, 168, 2, 106, 132, 1, 0, 25, 0, 0, 0, 0, 254, 62, 0, 0, 2, 107, 132, 1, 0, 0,
    25, 0, 0, 0, 0, 245, 226, 1, 0, 2, 108, 132, 1, 0, 8, 25, 0, 0, 0, 0, 126, 146, 1, 0, 2, 109,
    132, 1, 0, 32, 25, 0, 0, 0, 0, 108, 160, 0, 0, 2, 110, 132, 1, 0, 56, 25, 0, 0, 0, 0, 62, 207,
    2, 0, 2, 111, 132, 1, 0, 144, 25, 0, 0, 0, 0, 28, 22, 0, 0, 2, 112, 132, 1, 0, 152, 0, 9, 67,
    207, 2, 0, 40, 0, 0, 0, 0, 80, 2, 224, 132, 1, 0, 25, 0, 0, 0, 0, 162, 12, 0, 0, 2, 225, 132,
    1, 0, 0, 25, 0, 0, 0, 0, 73, 21, 0, 0, 2, 226, 132, 1, 0, 8, 25, 0, 0, 0, 0, 233, 21, 0, 0, 2,
    227, 132, 1, 0, 24, 25, 0, 0, 0, 0, 214, 207, 2, 0, 2, 228, 132, 1, 0, 32, 25, 0, 0, 0, 0, 214,
    207, 2, 0, 2, 229, 132, 1, 0, 48, 25, 0, 0, 0, 0, 181, 51, 0, 0, 2, 230, 132, 1, 0, 64, 25, 0,
    0, 0, 0, 229, 67, 0, 0, 2, 231, 132, 1, 0, 66, 25, 0, 0, 0, 0, 229, 67, 0, 0, 2, 232, 132, 1,
    0, 68, 25, 0, 0, 0, 0, 45, 208, 2, 0, 2, 233, 132, 1, 0, 70, 0, 41, 0, 0, 0, 0, 16, 2, 216,
    132, 1, 0, 25, 0, 0, 0, 0, 175, 147, 1, 0, 2, 217, 132, 1, 0, 0, 25, 0, 0, 0, 0, 21, 48, 0, 0,
    2, 218, 132, 1, 0, 0, 25, 0, 0, 0, 0, 19, 109, 1, 0, 2, 219, 132, 1, 0, 0, 25, 0, 0, 0, 0, 140,
    181, 1, 0, 2, 220, 132, 1, 0, 0, 25, 0, 0, 0, 0, 183, 108, 1, 0, 2, 221, 132, 1, 0, 0, 0, 3,
    218, 67, 0, 0, 4, 82, 0, 0, 0, 6, 0, 9, 62, 208, 2, 0, 14, 168, 0, 0, 0, 15, 162, 12, 0, 0, 15,
    168, 0, 0, 0, 15, 35, 229, 0, 0, 0, 9, 88, 208, 2, 0, 14, 168, 0, 0, 0, 15, 162, 12, 0, 0, 15,
    168, 0, 0, 0, 15, 229, 67, 0, 0, 15, 218, 67, 0, 0, 15, 57, 48, 0, 0, 0, 9, 124, 208, 2, 0, 14,
    168, 0, 0, 0, 15, 162, 12, 0, 0, 15, 168, 0, 0, 0, 15, 168, 0, 0, 0, 15, 168, 0, 0, 0, 0, 9,
    155, 208, 2, 0, 14, 168, 0, 0, 0, 15, 162, 12, 0, 0, 15, 168, 0, 0, 0, 15, 181, 51, 0, 0, 0, 9,
    181, 208, 2, 0, 14, 168, 0, 0, 0, 15, 162, 12, 0, 0, 15, 168, 0, 0, 0, 15, 202, 208, 2, 0, 0,
    9, 207, 208, 2, 0, 35, 0, 0, 0, 0, 72, 2, 177, 48, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 178, 48, 0,
    29, 0, 0, 0, 0, 104, 209, 2, 0, 2, 179, 48, 4, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 180, 48, 36, 29,
    0, 0, 0, 0, 27, 1, 0, 0, 2, 181, 48, 40, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 182, 48, 44, 29, 0, 0,
    0, 0, 27, 1, 0, 0, 2, 183, 48, 48, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 184, 48, 52, 29, 0, 0, 0, 0,
    27, 1, 0, 0, 2, 185, 48, 56, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 186, 48, 60, 29, 0, 0, 0, 0, 27,
    1, 0, 0, 2, 187, 48, 64, 29, 0, 0, 0, 0, 57, 48, 0, 0, 2, 188, 48, 68, 0, 3, 158, 26, 0, 0, 4,
    82, 0, 0, 0, 32, 0, 9, 121, 209, 2, 0, 14, 168, 0, 0, 0, 15, 162, 12, 0, 0, 15, 168, 0, 0, 0,
    15, 168, 0, 0, 0, 0, 9, 147, 209, 2, 0, 14, 168, 0, 0, 0, 15, 162, 12, 0, 0, 15, 168, 0, 0, 0,
    15, 168, 209, 2, 0, 0, 9, 173, 209, 2, 0, 35, 0, 0, 0, 0, 64, 2, 166, 48, 29, 0, 0, 0, 0, 197,
    0, 0, 0, 2, 167, 48, 0, 29, 0, 0, 0, 0, 197, 0, 0, 0, 2, 168, 48, 8, 29, 0, 0, 0, 0, 197, 0, 0,
    0, 2, 169, 48, 16, 29, 0, 0, 0, 0, 197, 0, 0, 0, 2, 170, 48, 24, 29, 0, 0, 0, 0, 197, 0, 0, 0,
    2, 171, 48, 32, 29, 0, 0, 0, 0, 197, 0, 0, 0, 2, 172, 48, 40, 29, 0, 0, 0, 0, 197, 0, 0, 0, 2,
    173, 48, 48, 29, 0, 0, 0, 0, 197, 0, 0, 0, 2, 174, 48, 56, 0, 9, 36, 210, 2, 0, 14, 168, 0, 0,
    0, 15, 162, 12, 0, 0, 15, 168, 0, 0, 0, 15, 145, 110, 1, 0, 0, 9, 62, 210, 2, 0, 14, 168, 0, 0,
    0, 15, 162, 12, 0, 0, 15, 168, 0, 0, 0, 15, 26, 34, 0, 0, 0, 9, 88, 210, 2, 0, 14, 168, 0, 0,
    0, 15, 162, 12, 0, 0, 15, 168, 0, 0, 0, 15, 114, 210, 2, 0, 15, 114, 210, 2, 0, 0, 9, 119, 210,
    2, 0, 35, 0, 0, 0, 0, 16, 2, 161, 48, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 162, 48, 0, 29, 0, 0, 0,
    0, 197, 0, 0, 0, 2, 163, 48, 8, 0, 9, 160, 210, 2, 0, 14, 168, 0, 0, 0, 15, 162, 12, 0, 0, 15,
    168, 0, 0, 0, 15, 109, 22, 0, 0, 15, 168, 0, 0, 0, 0, 9, 191, 210, 2, 0, 14, 168, 0, 0, 0, 15,
    162, 12, 0, 0, 15, 108, 7, 0, 0, 15, 26, 1, 0, 0, 0, 9, 217, 210, 2, 0, 14, 168, 0, 0, 0, 15,
    162, 12, 0, 0, 15, 229, 67, 0, 0, 15, 224, 250, 0, 0, 15, 38, 1, 0, 0, 0, 9, 248, 210, 2, 0,
    14, 168, 0, 0, 0, 15, 162, 12, 0, 0, 15, 229, 67, 0, 0, 0, 9, 13, 211, 2, 0, 14, 168, 0, 0, 0,
    15, 162, 12, 0, 0, 15, 29, 211, 2, 0, 0, 9, 34, 211, 2, 0, 28, 0, 0, 0, 0, 128, 3, 2, 114, 49,
    29, 0, 0, 0, 0, 139, 157, 0, 0, 2, 115, 49, 0, 29, 0, 0, 0, 0, 139, 157, 0, 0, 2, 116, 49, 64,
    29, 0, 0, 0, 0, 139, 157, 0, 0, 2, 117, 49, 128, 29, 0, 0, 0, 0, 139, 157, 0, 0, 2, 118, 49,
    192, 31, 0, 0, 0, 0, 139, 157, 0, 0, 2, 119, 49, 0, 1, 31, 0, 0, 0, 0, 139, 157, 0, 0, 2, 120,
    49, 64, 1, 31, 0, 0, 0, 0, 50, 84, 2, 0, 2, 121, 49, 128, 1, 31, 0, 0, 0, 0, 50, 84, 2, 0, 2,
    122, 49, 128, 2, 0, 9, 158, 211, 2, 0, 14, 168, 0, 0, 0, 15, 162, 12, 0, 0, 15, 157, 252, 0, 0,
    15, 168, 0, 0, 0, 0, 9, 184, 211, 2, 0, 14, 168, 0, 0, 0, 15, 162, 12, 0, 0, 15, 201, 173, 1,
    0, 15, 229, 67, 0, 0, 15, 177, 66, 0, 0, 0, 9, 215, 211, 2, 0, 14, 168, 0, 0, 0, 15, 162, 12,
    0, 0, 15, 162, 12, 0, 0, 15, 191, 110, 1, 0, 0, 9, 241, 211, 2, 0, 14, 168, 0, 0, 0, 15, 162,
    12, 0, 0, 15, 162, 12, 0, 0, 0, 9, 6, 212, 2, 0, 14, 162, 12, 0, 0, 15, 162, 12, 0, 0, 15, 26,
    34, 0, 0, 15, 181, 51, 0, 0, 0, 9, 32, 212, 2, 0, 14, 97, 22, 0, 0, 15, 162, 12, 0, 0, 15, 97,
    22, 0, 0, 0, 9, 53, 212, 2, 0, 14, 168, 0, 0, 0, 15, 162, 12, 0, 0, 15, 97, 22, 0, 0, 0, 9, 74,
    212, 2, 0, 14, 168, 0, 0, 0, 15, 162, 12, 0, 0, 15, 146, 141, 1, 0, 0, 9, 95, 212, 2, 0, 38,
    15, 162, 12, 0, 0, 15, 146, 141, 1, 0, 0, 9, 112, 212, 2, 0, 14, 168, 0, 0, 0, 15, 153, 212, 2,
    0, 15, 145, 110, 1, 0, 15, 162, 12, 0, 0, 15, 188, 66, 0, 0, 15, 229, 67, 0, 0, 15, 229, 67, 0,
    0, 15, 191, 110, 1, 0, 0, 9, 158, 212, 2, 0, 35, 0, 0, 0, 0, 12, 2, 124, 48, 29, 0, 0, 0, 0,
    158, 26, 0, 0, 2, 125, 48, 0, 29, 0, 0, 0, 0, 158, 26, 0, 0, 2, 126, 48, 1, 29, 0, 0, 0, 0,
    225, 24, 0, 0, 2, 127, 48, 2, 29, 0, 0, 0, 0, 147, 26, 0, 0, 2, 128, 48, 4, 29, 0, 0, 0, 0,
    225, 24, 0, 0, 2, 129, 48, 8, 29, 0, 0, 0, 0, 158, 26, 0, 0, 2, 130, 48, 10, 29, 0, 0, 0, 0,
    158, 26, 0, 0, 2, 131, 48, 11, 0, 9, 8, 213, 2, 0, 14, 168, 0, 0, 0, 15, 153, 212, 2, 0, 15,
    145, 110, 1, 0, 15, 162, 12, 0, 0, 15, 188, 66, 0, 0, 15, 229, 67, 0, 0, 0, 9, 44, 213, 2, 0,
    14, 168, 0, 0, 0, 15, 26, 34, 0, 0, 15, 75, 213, 2, 0, 15, 162, 12, 0, 0, 15, 162, 12, 0, 0,
    15, 176, 51, 0, 0, 0, 9, 80, 213, 2, 0, 35, 0, 0, 0, 0, 128, 2, 104, 48, 29, 0, 0, 0, 0, 26,
    34, 0, 0, 2, 105, 48, 0, 29, 0, 0, 0, 0, 44, 214, 2, 0, 2, 106, 48, 8, 29, 0, 0, 0, 0, 129,
    214, 2, 0, 2, 107, 48, 16, 29, 0, 0, 0, 0, 150, 214, 2, 0, 2, 108, 48, 24, 29, 0, 0, 0, 0, 26,
    1, 0, 0, 2, 109, 48, 32, 29, 0, 0, 0, 0, 120, 81, 0, 0, 2, 110, 48, 40, 29, 0, 0, 0, 0, 191,
    110, 1, 0, 2, 111, 48, 48, 29, 0, 0, 0, 0, 229, 67, 0, 0, 2, 112, 48, 56, 29, 0, 0, 0, 0, 229,
    67, 0, 0, 2, 113, 48, 58, 29, 0, 0, 0, 0, 177, 66, 0, 0, 2, 114, 48, 60, 29, 0, 0, 0, 0, 38, 1,
    0, 0, 2, 115, 48, 64, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 116, 48, 68, 29, 0, 0, 0, 0, 181, 51, 0,
    0, 2, 117, 48, 72, 44, 11, 214, 2, 0, 2, 118, 48, 80, 34, 48, 2, 118, 48, 29, 0, 0, 0, 0, 166,
    214, 2, 0, 2, 119, 48, 0, 29, 0, 0, 0, 0, 120, 225, 1, 0, 2, 120, 48, 0, 0, 0, 9, 49, 214, 2,
    0, 37, 54, 214, 2, 0, 35, 0, 0, 0, 0, 16, 2, 91, 48, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 92, 48, 0,
    29, 0, 0, 0, 0, 225, 24, 0, 0, 2, 93, 48, 4, 29, 0, 0, 0, 0, 225, 24, 0, 0, 2, 94, 48, 6, 29,
    0, 0, 0, 0, 27, 1, 0, 0, 2, 95, 48, 8, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 96, 48, 12, 0, 9, 134,
    214, 2, 0, 14, 168, 0, 0, 0, 15, 26, 34, 0, 0, 15, 75, 213, 2, 0, 0, 9, 155, 214, 2, 0, 14,
    168, 0, 0, 0, 15, 75, 213, 2, 0, 0, 3, 218, 67, 0, 0, 4, 82, 0, 0, 0, 48, 0, 9, 183, 214, 2, 0,
    14, 168, 0, 0, 0, 15, 26, 34, 0, 0, 15, 145, 110, 1, 0, 15, 162, 12, 0, 0, 15, 188, 66, 0, 0,
    15, 229, 67, 0, 0, 15, 177, 66, 0, 0, 15, 177, 66, 0, 0, 15, 191, 110, 1, 0, 0, 9, 234, 214, 2,
    0, 14, 168, 0, 0, 0, 15, 162, 12, 0, 0, 15, 4, 215, 2, 0, 15, 229, 67, 0, 0, 15, 191, 110, 1,
    0, 0, 9, 54, 214, 2, 0, 9, 14, 215, 2, 0, 14, 168, 0, 0, 0, 15, 26, 34, 0, 0, 15, 177, 66, 0,
    0, 15, 177, 66, 0, 0, 15, 162, 12, 0, 0, 15, 177, 66, 0, 0, 15, 168, 0, 0, 0, 0, 9, 55, 215, 2,
    0, 14, 168, 0, 0, 0, 15, 162, 12, 0, 0, 15, 4, 215, 2, 0, 15, 229, 67, 0, 0, 0, 9, 81, 215, 2,
    0, 14, 168, 0, 0, 0, 15, 162, 12, 0, 0, 15, 181, 51, 0, 0, 0, 9, 102, 215, 2, 0, 14, 168, 0, 0,
    0, 15, 162, 12, 0, 0, 15, 118, 215, 2, 0, 0, 9, 123, 215, 2, 0, 35, 0, 0, 0, 0, 33, 2, 125, 49,
    29, 0, 0, 0, 0, 198, 66, 0, 0, 2, 126, 49, 0, 29, 0, 0, 0, 0, 169, 26, 0, 0, 2, 127, 49, 32, 0,
    9, 164, 215, 2, 0, 14, 168, 0, 0, 0, 15, 162, 12, 0, 0, 15, 154, 27, 0, 0, 15, 36, 54, 0, 0, 0,
    9, 190, 215, 2, 0, 38, 15, 162, 12, 0, 0, 15, 202, 215, 2, 0, 0, 9, 207, 215, 2, 0, 40, 0, 0,
    0, 0, 8, 2, 115, 132, 1, 0, 25, 0, 0, 0, 0, 236, 24, 0, 0, 2, 116, 132, 1, 0, 0, 25, 0, 0, 0,
    0, 118, 27, 0, 0, 2, 117, 132, 1, 0, 2, 25, 0, 0, 0, 0, 57, 48, 0, 0, 2, 118, 132, 1, 0, 4, 25,
    0, 0, 0, 0, 218, 67, 0, 0, 2, 119, 132, 1, 0, 6, 0, 9, 28, 216, 2, 0, 14, 26, 1, 0, 0, 15, 162,
    12, 0, 0, 15, 162, 12, 0, 0, 0, 9, 49, 216, 2, 0, 38, 15, 162, 12, 0, 0, 15, 26, 1, 0, 0, 0, 9,
    66, 216, 2, 0, 14, 168, 0, 0, 0, 15, 162, 12, 0, 0, 15, 168, 0, 0, 0, 15, 177, 66, 0, 0, 0, 9,
    92, 216, 2, 0, 14, 168, 0, 0, 0, 15, 197, 144, 1, 0, 0, 9, 108, 216, 2, 0, 14, 168, 0, 0, 0,
    15, 162, 12, 0, 0, 15, 26, 34, 0, 0, 0, 9, 129, 216, 2, 0, 14, 168, 0, 0, 0, 15, 162, 12, 0, 0,
    15, 145, 216, 2, 0, 0, 9, 150, 216, 2, 0, 35, 0, 0, 0, 0, 32, 2, 159, 49, 29, 0, 0, 0, 0, 230,
    7, 0, 0, 2, 160, 49, 0, 44, 181, 216, 2, 0, 2, 161, 49, 8, 34, 24, 2, 161, 49, 44, 195, 216, 2,
    0, 2, 162, 49, 0, 30, 24, 2, 162, 49, 29, 0, 0, 0, 0, 177, 66, 0, 0, 2, 163, 49, 0, 29, 0, 0,
    0, 0, 61, 255, 0, 0, 2, 164, 49, 8, 29, 0, 0, 0, 0, 191, 110, 1, 0, 2, 165, 49, 16, 0, 44, 249,
    216, 2, 0, 2, 167, 49, 0, 30, 8, 2, 167, 49, 29, 0, 0, 0, 0, 59, 217, 2, 0, 2, 168, 49, 0, 0,
    29, 0, 0, 0, 0, 25, 217, 2, 0, 2, 173, 49, 0, 30, 16, 2, 170, 49, 29, 0, 0, 0, 0, 38, 218, 2,
    0, 2, 171, 49, 0, 29, 0, 0, 0, 0, 229, 67, 0, 0, 2, 172, 49, 8, 0, 0, 0, 9, 64, 217, 2, 0, 28,
    0, 0, 0, 0, 64, 1, 2, 137, 41, 29, 0, 0, 0, 0, 25, 6, 1, 0, 2, 138, 41, 0, 31, 0, 0, 0, 0, 162,
    12, 0, 0, 2, 139, 41, 0, 1, 31, 0, 0, 0, 0, 144, 217, 2, 0, 2, 140, 41, 8, 1, 31, 0, 0, 0, 0,
    26, 1, 0, 0, 2, 141, 41, 16, 1, 31, 0, 0, 0, 0, 195, 21, 0, 0, 2, 142, 41, 24, 1, 0, 9, 149,
    217, 2, 0, 37, 154, 217, 2, 0, 35, 0, 0, 0, 0, 32, 2, 130, 41, 29, 0, 0, 0, 0, 216, 217, 2, 0,
    2, 131, 41, 0, 29, 0, 0, 0, 0, 216, 217, 2, 0, 2, 132, 41, 8, 29, 0, 0, 0, 0, 242, 217, 2, 0,
    2, 133, 41, 16, 29, 0, 0, 0, 0, 17, 218, 2, 0, 2, 134, 41, 24, 0, 9, 221, 217, 2, 0, 14, 168,
    0, 0, 0, 15, 59, 217, 2, 0, 15, 26, 1, 0, 0, 15, 26, 1, 0, 0, 0, 9, 247, 217, 2, 0, 14, 168, 0,
    0, 0, 15, 59, 217, 2, 0, 15, 26, 1, 0, 0, 15, 26, 1, 0, 0, 15, 109, 22, 0, 0, 0, 9, 22, 218, 2,
    0, 14, 168, 0, 0, 0, 15, 59, 217, 2, 0, 15, 26, 1, 0, 0, 0, 9, 43, 218, 2, 0, 40, 0, 0, 0, 0,
    144, 2, 122, 136, 1, 0, 25, 0, 0, 0, 0, 84, 219, 2, 0, 2, 123, 136, 1, 0, 0, 25, 0, 0, 0, 0,
    84, 219, 2, 0, 2, 124, 136, 1, 0, 8, 25, 0, 0, 0, 0, 12, 220, 2, 0, 2, 125, 136, 1, 0, 16, 25,
    0, 0, 0, 0, 109, 22, 0, 0, 2, 126, 136, 1, 0, 24, 25, 0, 0, 0, 0, 177, 66, 0, 0, 2, 127, 136,
    1, 0, 32, 25, 0, 0, 0, 0, 177, 66, 0, 0, 2, 128, 136, 1, 0, 36, 25, 0, 0, 0, 0, 177, 106, 0, 0,
    2, 129, 136, 1, 0, 40, 25, 0, 0, 0, 0, 254, 62, 0, 0, 2, 130, 136, 1, 0, 48, 25, 0, 0, 0, 0,
    117, 158, 0, 0, 2, 131, 136, 1, 0, 56, 25, 0, 0, 0, 0, 211, 107, 0, 0, 2, 132, 136, 1, 0, 88,
    25, 0, 0, 0, 0, 177, 66, 0, 0, 2, 133, 136, 1, 0, 96, 25, 0, 0, 0, 0, 229, 67, 0, 0, 2, 134,
    136, 1, 0, 100, 25, 0, 0, 0, 0, 218, 67, 0, 0, 2, 135, 136, 1, 0, 102, 25, 0, 0, 0, 0, 218, 67,
    0, 0, 2, 136, 136, 1, 0, 103, 25, 0, 0, 0, 0, 168, 0, 0, 0, 2, 137, 136, 1, 0, 104, 25, 0, 0,
    0, 0, 162, 12, 0, 0, 2, 138, 136, 1, 0, 112, 25, 0, 0, 0, 0, 181, 51, 0, 0, 2, 139, 136, 1, 0,
    120, 25, 0, 0, 0, 0, 33, 67, 0, 0, 2, 140, 136, 1, 0, 124, 25, 0, 0, 0, 0, 195, 21, 0, 0, 2,
    141, 136, 1, 0, 128, 0, 9, 89, 219, 2, 0, 40, 0, 0, 0, 0, 40, 2, 219, 180, 1, 0, 25, 0, 0, 0,
    0, 177, 66, 0, 0, 2, 220, 180, 1, 0, 0, 25, 0, 0, 0, 0, 177, 66, 0, 0, 2, 221, 180, 1, 0, 4,
    25, 0, 0, 0, 0, 177, 66, 0, 0, 2, 222, 180, 1, 0, 8, 25, 0, 0, 0, 0, 177, 66, 0, 0, 2, 223,
    180, 1, 0, 12, 25, 0, 0, 0, 0, 206, 219, 2, 0, 2, 224, 180, 1, 0, 16, 25, 0, 0, 0, 0, 109, 22,
    0, 0, 2, 225, 180, 1, 0, 24, 25, 0, 0, 0, 0, 109, 22, 0, 0, 2, 226, 180, 1, 0, 32, 0, 9, 211,
    219, 2, 0, 40, 0, 0, 0, 0, 128, 2, 248, 180, 1, 0, 25, 0, 0, 0, 0, 177, 66, 0, 0, 2, 249, 180,
    1, 0, 0, 25, 0, 0, 0, 0, 177, 66, 0, 0, 2, 2, 181, 1, 0, 64, 25, 0, 0, 0, 0, 177, 66, 0, 0, 2,
    3, 181, 1, 0, 68, 0, 9, 17, 220, 2, 0, 40, 0, 0, 0, 0, 104, 2, 85, 139, 1, 0, 25, 0, 0, 0, 0,
    84, 219, 2, 0, 2, 86, 139, 1, 0, 0, 25, 0, 0, 0, 0, 195, 21, 0, 0, 2, 87, 139, 1, 0, 8, 25, 0,
    0, 0, 0, 51, 250, 0, 0, 2, 88, 139, 1, 0, 24, 25, 0, 0, 0, 0, 43, 221, 2, 0, 2, 89, 139, 1, 0,
    32, 25, 0, 0, 0, 0, 109, 22, 0, 0, 2, 90, 139, 1, 0, 40, 25, 0, 0, 0, 0, 109, 22, 0, 0, 2, 91,
    139, 1, 0, 48, 25, 0, 0, 0, 0, 177, 66, 0, 0, 2, 92, 139, 1, 0, 56, 25, 0, 0, 0, 0, 177, 66, 0,
    0, 2, 93, 139, 1, 0, 60, 25, 0, 0, 0, 0, 177, 66, 0, 0, 2, 94, 139, 1, 0, 64, 25, 0, 0, 0, 0,
    177, 66, 0, 0, 2, 95, 139, 1, 0, 68, 25, 0, 0, 0, 0, 177, 66, 0, 0, 2, 96, 139, 1, 0, 72, 25,
    0, 0, 0, 0, 177, 66, 0, 0, 2, 97, 139, 1, 0, 76, 25, 0, 0, 0, 0, 177, 66, 0, 0, 2, 98, 139, 1,
    0, 80, 25, 0, 0, 0, 0, 181, 51, 0, 0, 2, 99, 139, 1, 0, 84, 25, 0, 0, 0, 0, 181, 51, 0, 0, 2,
    100, 139, 1, 0, 85, 25, 0, 0, 0, 0, 26, 1, 0, 0, 2, 101, 139, 1, 0, 88, 25, 0, 0, 0, 0, 92,
    168, 0, 0, 2, 102, 139, 1, 0, 96, 25, 0, 0, 0, 0, 141, 222, 2, 0, 2, 103, 139, 1, 0, 104, 0, 9,
    48, 221, 2, 0, 40, 0, 0, 0, 0, 112, 2, 106, 139, 1, 0, 25, 0, 0, 0, 0, 165, 221, 2, 0, 2, 107,
    139, 1, 0, 0, 25, 0, 0, 0, 0, 198, 176, 0, 0, 2, 108, 139, 1, 0, 56, 25, 0, 0, 0, 0, 198, 176,
    0, 0, 2, 109, 139, 1, 0, 64, 25, 0, 0, 0, 0, 12, 220, 2, 0, 2, 110, 139, 1, 0, 72, 25, 0, 0, 0,
    0, 181, 51, 0, 0, 2, 111, 139, 1, 0, 80, 25, 0, 0, 0, 0, 109, 22, 0, 0, 2, 112, 139, 1, 0, 88,
    25, 0, 0, 0, 0, 195, 21, 0, 0, 2, 113, 139, 1, 0, 96, 0, 35, 0, 0, 0, 0, 56, 2, 192, 157, 29,
    0, 0, 0, 0, 26, 1, 0, 0, 2, 193, 157, 0, 29, 0, 0, 0, 0, 26, 1, 0, 0, 2, 194, 157, 8, 29, 0, 0,
    0, 0, 26, 1, 0, 0, 2, 195, 157, 16, 29, 0, 0, 0, 0, 26, 1, 0, 0, 2, 196, 157, 24, 29, 0, 0, 0,
    0, 10, 222, 2, 0, 2, 197, 157, 32, 29, 0, 0, 0, 0, 113, 222, 2, 0, 2, 198, 157, 40, 29, 0, 0,
    0, 0, 177, 66, 0, 0, 2, 199, 157, 48, 0, 9, 15, 222, 2, 0, 35, 0, 0, 0, 0, 64, 2, 69, 48, 29,
    0, 0, 0, 0, 162, 12, 0, 0, 2, 70, 48, 0, 29, 0, 0, 0, 0, 177, 66, 0, 0, 2, 71, 48, 8, 29, 0, 0,
    0, 0, 177, 66, 0, 0, 2, 72, 48, 12, 29, 0, 0, 0, 0, 77, 222, 2, 0, 2, 73, 48, 16, 0, 35, 0, 0,
    0, 0, 8, 2, 64, 48, 29, 0, 0, 0, 0, 177, 66, 0, 0, 2, 65, 48, 0, 29, 0, 0, 0, 0, 177, 66, 0, 0,
    2, 66, 48, 4, 0, 9, 118, 222, 2, 0, 35, 0, 0, 0, 0, 8, 2, 188, 157, 29, 0, 0, 0, 0, 162, 12, 0,
    0, 2, 189, 157, 0, 0, 3, 43, 221, 2, 0, 4, 82, 0, 0, 0, 0, 0, 9, 158, 222, 2, 0, 14, 168, 0, 0,
    0, 15, 162, 12, 0, 0, 15, 168, 0, 0, 0, 15, 184, 222, 2, 0, 15, 177, 66, 0, 0, 0, 9, 189, 222,
    2, 0, 9, 194, 222, 2, 0, 35, 0, 0, 0, 0, 32, 2, 81, 48, 29, 0, 0, 0, 0, 26, 1, 0, 0, 2, 82, 48,
    0, 29, 0, 0, 0, 0, 229, 67, 0, 0, 2, 83, 48, 8, 29, 0, 0, 0, 0, 229, 67, 0, 0, 2, 84, 48, 10,
    45, 0, 0, 0, 0, 177, 66, 0, 0, 2, 85, 48, 4, 8, 24, 12, 45, 0, 0, 0, 0, 177, 66, 0, 0, 2, 86,
    48, 4, 24, 0, 12, 29, 0, 0, 0, 0, 77, 222, 2, 0, 2, 87, 48, 16, 29, 0, 0, 0, 0, 162, 12, 0, 0,
    2, 88, 48, 24, 0, 9, 50, 223, 2, 0, 14, 168, 0, 0, 0, 15, 162, 12, 0, 0, 15, 177, 66, 0, 0, 15,
    177, 66, 0, 0, 0, 9, 76, 223, 2, 0, 14, 87, 223, 2, 0, 15, 162, 12, 0, 0, 0, 9, 92, 223, 2, 0,
    22, 0, 0, 0, 0, 16, 1, 2, 53, 128, 1, 0, 25, 0, 0, 0, 0, 195, 21, 0, 0, 2, 54, 128, 1, 0, 0,
    25, 0, 0, 0, 0, 195, 21, 0, 0, 2, 55, 128, 1, 0, 16, 25, 0, 0, 0, 0, 80, 224, 2, 0, 2, 56, 128,
    1, 0, 32, 25, 0, 0, 0, 0, 38, 1, 0, 0, 2, 57, 128, 1, 0, 40, 25, 0, 0, 0, 0, 181, 51, 0, 0, 2,
    58, 128, 1, 0, 44, 25, 0, 0, 0, 0, 33, 67, 0, 0, 2, 59, 128, 1, 0, 48, 25, 0, 0, 0, 0, 46, 8,
    0, 0, 2, 60, 128, 1, 0, 52, 25, 0, 0, 0, 0, 46, 8, 0, 0, 2, 61, 128, 1, 0, 56, 25, 0, 0, 0, 0,
    26, 1, 0, 0, 2, 62, 128, 1, 0, 64, 25, 0, 0, 0, 0, 43, 234, 2, 0, 2, 63, 128, 1, 0, 72, 55, 0,
    0, 0, 0, 218, 67, 0, 0, 2, 64, 128, 1, 0, 1, 1, 7, 128, 55, 0, 0, 0, 0, 218, 67, 0, 0, 2, 65,
    128, 1, 0, 1, 1, 6, 128, 25, 0, 0, 0, 0, 108, 160, 0, 0, 2, 66, 128, 1, 0, 136, 25, 0, 0, 0, 0,
    195, 21, 0, 0, 2, 67, 128, 1, 0, 224, 25, 0, 0, 0, 0, 128, 104, 0, 0, 2, 68, 128, 1, 0, 240, 0,
    9, 85, 224, 2, 0, 22, 0, 0, 0, 0, 64, 1, 2, 58, 129, 1, 0, 25, 0, 0, 0, 0, 195, 21, 0, 0, 2,
    59, 129, 1, 0, 0, 25, 0, 0, 0, 0, 195, 21, 0, 0, 2, 60, 129, 1, 0, 16, 25, 0, 0, 0, 0, 195, 21,
    0, 0, 2, 61, 129, 1, 0, 32, 25, 0, 0, 0, 0, 195, 21, 0, 0, 2, 62, 129, 1, 0, 48, 25, 0, 0, 0,
    0, 195, 21, 0, 0, 2, 63, 129, 1, 0, 64, 25, 0, 0, 0, 0, 195, 21, 0, 0, 2, 64, 129, 1, 0, 80,
    25, 0, 0, 0, 0, 195, 21, 0, 0, 2, 65, 129, 1, 0, 96, 25, 0, 0, 0, 0, 195, 21, 0, 0, 2, 66, 129,
    1, 0, 112, 25, 0, 0, 0, 0, 128, 104, 0, 0, 2, 67, 129, 1, 0, 128, 25, 0, 0, 0, 0, 186, 225, 2,
    0, 2, 68, 129, 1, 0, 160, 25, 0, 0, 0, 0, 195, 21, 0, 0, 2, 69, 129, 1, 0, 168, 25, 0, 0, 0, 0,
    195, 21, 0, 0, 2, 70, 129, 1, 0, 184, 25, 0, 0, 0, 0, 195, 21, 0, 0, 2, 71, 129, 1, 0, 200, 25,
    0, 0, 0, 0, 151, 226, 2, 0, 2, 72, 129, 1, 0, 216, 25, 0, 0, 0, 0, 203, 147, 0, 0, 2, 73, 129,
    1, 0, 224, 25, 0, 0, 0, 0, 92, 168, 0, 0, 2, 74, 129, 1, 0, 240, 25, 0, 0, 0, 0, 112, 145, 1,
    0, 2, 75, 129, 1, 0, 248, 27, 0, 0, 0, 0, 128, 104, 0, 0, 2, 76, 129, 1, 0, 0, 1, 56, 0, 0, 0,
    0, 218, 67, 0, 0, 2, 77, 129, 1, 0, 1, 1, 7, 32, 1, 56, 0, 0, 0, 0, 218, 67, 0, 0, 2, 78, 129,
    1, 0, 1, 1, 6, 32, 1, 56, 0, 0, 0, 0, 218, 67, 0, 0, 2, 79, 129, 1, 0, 1, 1, 5, 32, 1, 27, 0,
    0, 0, 0, 78, 22, 0, 0, 2, 84, 129, 1, 0, 64, 1, 0, 9, 191, 225, 2, 0, 40, 0, 0, 0, 0, 16, 2,
    89, 129, 1, 0, 25, 0, 0, 0, 0, 233, 225, 2, 0, 2, 90, 129, 1, 0, 0, 25, 0, 0, 0, 0, 38, 1, 0,
    0, 2, 91, 129, 1, 0, 8, 0, 9, 238, 225, 2, 0, 9, 243, 225, 2, 0, 40, 0, 0, 0, 0, 32, 2, 155,
    129, 1, 0, 25, 0, 0, 0, 0, 233, 21, 0, 0, 2, 156, 129, 1, 0, 0, 25, 0, 0, 0, 0, 38, 1, 0, 0, 2,
    157, 129, 1, 0, 8, 25, 0, 0, 0, 0, 74, 226, 2, 0, 2, 158, 129, 1, 0, 16, 25, 0, 0, 0, 0, 38, 1,
    0, 0, 2, 159, 129, 1, 0, 24, 25, 0, 0, 0, 0, 181, 51, 0, 0, 2, 160, 129, 1, 0, 28, 0, 9, 79,
    226, 2, 0, 40, 0, 0, 0, 0, 24, 2, 148, 129, 1, 0, 25, 0, 0, 0, 0, 233, 21, 0, 0, 2, 149, 129,
    1, 0, 0, 25, 0, 0, 0, 0, 38, 1, 0, 0, 2, 150, 129, 1, 0, 8, 25, 0, 0, 0, 0, 38, 1, 0, 0, 2,
    151, 129, 1, 0, 12, 25, 0, 0, 0, 0, 18, 8, 0, 0, 2, 152, 129, 1, 0, 16, 0, 9, 156, 226, 2, 0,
    37, 161, 226, 2, 0, 22, 0, 0, 0, 0, 16, 1, 2, 104, 129, 1, 0, 25, 0, 0, 0, 0, 174, 228, 2, 0,
    2, 105, 129, 1, 0, 0, 25, 0, 0, 0, 0, 200, 228, 2, 0, 2, 106, 129, 1, 0, 8, 25, 0, 0, 0, 0,
    221, 228, 2, 0, 2, 107, 129, 1, 0, 16, 25, 0, 0, 0, 0, 242, 228, 2, 0, 2, 108, 129, 1, 0, 24,
    25, 0, 0, 0, 0, 17, 229, 2, 0, 2, 109, 129, 1, 0, 32, 25, 0, 0, 0, 0, 43, 229, 2, 0, 2, 110,
    129, 1, 0, 40, 25, 0, 0, 0, 0, 151, 229, 2, 0, 2, 111, 129, 1, 0, 48, 25, 0, 0, 0, 0, 192, 229,
    2, 0, 2, 112, 129, 1, 0, 56, 25, 0, 0, 0, 0, 223, 229, 2, 0, 2, 113, 129, 1, 0, 64, 25, 0, 0,
    0, 0, 3, 230, 2, 0, 2, 114, 129, 1, 0, 72, 25, 0, 0, 0, 0, 49, 230, 2, 0, 2, 115, 129, 1, 0,
    80, 25, 0, 0, 0, 0, 95, 230, 2, 0, 2, 116, 129, 1, 0, 88, 25, 0, 0, 0, 0, 95, 230, 2, 0, 2,
    117, 129, 1, 0, 96, 25, 0, 0, 0, 0, 116, 230, 2, 0, 2, 118, 129, 1, 0, 104, 25, 0, 0, 0, 0,
    152, 230, 2, 0, 2, 119, 129, 1, 0, 112, 25, 0, 0, 0, 0, 193, 230, 2, 0, 2, 120, 129, 1, 0, 120,
    25, 0, 0, 0, 0, 214, 230, 2, 0, 2, 121, 129, 1, 0, 128, 25, 0, 0, 0, 0, 240, 230, 2, 0, 2, 122,
    129, 1, 0, 136, 25, 0, 0, 0, 0, 5, 231, 2, 0, 2, 123, 129, 1, 0, 144, 25, 0, 0, 0, 0, 31, 231,
    2, 0, 2, 124, 129, 1, 0, 152, 25, 0, 0, 0, 0, 57, 231, 2, 0, 2, 125, 129, 1, 0, 160, 25, 0, 0,
    0, 0, 83, 231, 2, 0, 2, 126, 129, 1, 0, 168, 25, 0, 0, 0, 0, 141, 231, 2, 0, 2, 127, 129, 1, 0,
    176, 25, 0, 0, 0, 0, 172, 231, 2, 0, 2, 128, 129, 1, 0, 184, 25, 0, 0, 0, 0, 69, 232, 2, 0, 2,
    129, 129, 1, 0, 192, 25, 0, 0, 0, 0, 91, 232, 2, 0, 2, 130, 129, 1, 0, 200, 25, 0, 0, 0, 0,
    122, 232, 2, 0, 2, 131, 129, 1, 0, 208, 25, 0, 0, 0, 0, 225, 232, 2, 0, 2, 132, 129, 1, 0, 216,
    25, 0, 0, 0, 0, 127, 233, 2, 0, 2, 133, 129, 1, 0, 224, 25, 0, 0, 0, 0, 148, 233, 2, 0, 2, 134,
    129, 1, 0, 232, 25, 0, 0, 0, 0, 165, 233, 2, 0, 2, 135, 129, 1, 0, 240, 25, 0, 0, 0, 0, 201,
    233, 2, 0, 2, 136, 129, 1, 0, 248, 27, 0, 0, 0, 0, 227, 233, 2, 0, 2, 137, 129, 1, 0, 0, 1, 27,
    0, 0, 0, 0, 7, 234, 2, 0, 2, 138, 129, 1, 0, 8, 1, 0, 9, 179, 228, 2, 0, 14, 168, 0, 0, 0, 15,
    80, 224, 2, 0, 15, 181, 51, 0, 0, 15, 191, 110, 1, 0, 0, 9, 205, 228, 2, 0, 14, 168, 0, 0, 0,
    15, 80, 224, 2, 0, 15, 191, 110, 1, 0, 0, 9, 226, 228, 2, 0, 14, 168, 0, 0, 0, 15, 87, 223, 2,
    0, 15, 46, 8, 0, 0, 0, 9, 247, 228, 2, 0, 14, 168, 0, 0, 0, 15, 80, 224, 2, 0, 15, 38, 1, 0, 0,
    15, 38, 1, 0, 0, 15, 191, 110, 1, 0, 0, 9, 22, 229, 2, 0, 14, 168, 0, 0, 0, 15, 80, 224, 2, 0,
    15, 38, 1, 0, 0, 15, 191, 110, 1, 0, 0, 9, 48, 229, 2, 0, 14, 168, 0, 0, 0, 15, 80, 224, 2, 0,
    15, 38, 1, 0, 0, 15, 229, 67, 0, 0, 15, 74, 229, 2, 0, 0, 9, 79, 229, 2, 0, 40, 0, 0, 0, 0, 16,
    2, 141, 129, 1, 0, 25, 0, 0, 0, 0, 86, 8, 0, 0, 2, 142, 129, 1, 0, 0, 25, 0, 0, 0, 0, 177, 66,
    0, 0, 2, 143, 129, 1, 0, 4, 25, 0, 0, 0, 0, 114, 8, 0, 0, 2, 144, 129, 1, 0, 8, 25, 0, 0, 0, 0,
    177, 66, 0, 0, 2, 145, 129, 1, 0, 12, 0, 9, 156, 229, 2, 0, 14, 168, 0, 0, 0, 15, 80, 224, 2,
    0, 15, 38, 1, 0, 0, 15, 229, 67, 0, 0, 15, 177, 66, 0, 0, 15, 114, 8, 0, 0, 15, 191, 110, 1, 0,
    0, 9, 197, 229, 2, 0, 14, 168, 0, 0, 0, 15, 87, 223, 2, 0, 15, 38, 1, 0, 0, 15, 229, 67, 0, 0,
    15, 132, 223, 0, 0, 0, 9, 228, 229, 2, 0, 14, 168, 0, 0, 0, 15, 87, 223, 2, 0, 15, 38, 1, 0, 0,
    15, 229, 67, 0, 0, 15, 177, 66, 0, 0, 15, 191, 110, 1, 0, 0, 9, 8, 230, 2, 0, 14, 168, 0, 0, 0,
    15, 87, 223, 2, 0, 15, 38, 1, 0, 0, 15, 229, 67, 0, 0, 15, 86, 8, 0, 0, 15, 44, 230, 2, 0, 15,
    132, 223, 0, 0, 0, 9, 229, 67, 0, 0, 9, 54, 230, 2, 0, 14, 168, 0, 0, 0, 15, 87, 223, 2, 0, 15,
    38, 1, 0, 0, 15, 229, 67, 0, 0, 15, 86, 8, 0, 0, 15, 229, 67, 0, 0, 15, 177, 66, 0, 0, 15, 191,
    110, 1, 0, 0, 9, 100, 230, 2, 0, 14, 168, 0, 0, 0, 15, 80, 224, 2, 0, 15, 38, 1, 0, 0, 0, 9,
    121, 230, 2, 0, 14, 168, 0, 0, 0, 15, 87, 223, 2, 0, 15, 38, 1, 0, 0, 15, 229, 67, 0, 0, 15,
    132, 223, 0, 0, 15, 132, 223, 0, 0, 0, 9, 157, 230, 2, 0, 14, 168, 0, 0, 0, 15, 87, 223, 2, 0,
    15, 38, 1, 0, 0, 15, 229, 67, 0, 0, 15, 86, 8, 0, 0, 15, 132, 223, 0, 0, 15, 132, 223, 0, 0, 0,
    9, 198, 230, 2, 0, 14, 168, 0, 0, 0, 15, 80, 224, 2, 0, 15, 44, 230, 2, 0, 0, 9, 219, 230, 2,
    0, 14, 168, 0, 0, 0, 15, 80, 224, 2, 0, 15, 229, 67, 0, 0, 15, 191, 110, 1, 0, 0, 9, 245, 230,
    2, 0, 14, 168, 0, 0, 0, 15, 80, 224, 2, 0, 15, 35, 229, 0, 0, 0, 9, 10, 231, 2, 0, 14, 168, 0,
    0, 0, 15, 80, 224, 2, 0, 15, 218, 67, 0, 0, 15, 191, 110, 1, 0, 0, 9, 36, 231, 2, 0, 14, 168,
    0, 0, 0, 15, 80, 224, 2, 0, 15, 52, 231, 2, 0, 0, 9, 142, 8, 0, 0, 9, 62, 231, 2, 0, 14, 168,
    0, 0, 0, 15, 80, 224, 2, 0, 15, 142, 8, 0, 0, 15, 191, 110, 1, 0, 0, 9, 88, 231, 2, 0, 14, 168,
    0, 0, 0, 15, 80, 224, 2, 0, 15, 109, 231, 2, 0, 15, 191, 110, 1, 0, 0, 9, 114, 231, 2, 0, 40,
    0, 0, 0, 0, 8, 2, 156, 147, 1, 0, 25, 0, 0, 0, 0, 26, 34, 0, 0, 2, 157, 147, 1, 0, 0, 0, 9,
    146, 231, 2, 0, 14, 168, 0, 0, 0, 15, 80, 224, 2, 0, 15, 233, 21, 0, 0, 15, 233, 21, 0, 0, 15,
    191, 110, 1, 0, 0, 9, 177, 231, 2, 0, 14, 168, 0, 0, 0, 15, 80, 224, 2, 0, 15, 198, 231, 2, 0,
    15, 26, 1, 0, 0, 0, 9, 203, 231, 2, 0, 37, 208, 231, 2, 0, 40, 0, 0, 0, 0, 32, 2, 193, 129, 1,
    0, 25, 0, 0, 0, 0, 170, 8, 0, 0, 2, 194, 129, 1, 0, 0, 25, 0, 0, 0, 0, 204, 8, 0, 0, 2, 195,
    129, 1, 0, 4, 25, 0, 0, 0, 0, 181, 51, 0, 0, 2, 196, 129, 1, 0, 8, 25, 0, 0, 0, 0, 229, 67, 0,
    0, 2, 197, 129, 1, 0, 10, 25, 0, 0, 0, 0, 233, 21, 0, 0, 2, 198, 129, 1, 0, 16, 25, 0, 0, 0, 0,
    229, 67, 0, 0, 2, 199, 129, 1, 0, 24, 25, 0, 0, 0, 0, 177, 66, 0, 0, 2, 200, 129, 1, 0, 28, 0,
    9, 74, 232, 2, 0, 38, 15, 80, 224, 2, 0, 15, 198, 231, 2, 0, 15, 26, 1, 0, 0, 0, 9, 96, 232, 2,
    0, 14, 168, 0, 0, 0, 15, 80, 224, 2, 0, 15, 198, 231, 2, 0, 15, 204, 8, 0, 0, 15, 191, 110, 1,
    0, 0, 9, 127, 232, 2, 0, 14, 168, 0, 0, 0, 15, 80, 224, 2, 0, 15, 143, 232, 2, 0, 0, 9, 148,
    232, 2, 0, 37, 153, 232, 2, 0, 40, 0, 0, 0, 0, 16, 2, 186, 129, 1, 0, 25, 0, 0, 0, 0, 233, 21,
    0, 0, 2, 187, 129, 1, 0, 0, 25, 0, 0, 0, 0, 229, 67, 0, 0, 2, 188, 129, 1, 0, 8, 25, 0, 0, 0,
    0, 181, 51, 0, 0, 2, 189, 129, 1, 0, 10, 25, 0, 0, 0, 0, 177, 66, 0, 0, 2, 190, 129, 1, 0, 12,
    0, 9, 230, 232, 2, 0, 14, 168, 0, 0, 0, 15, 80, 224, 2, 0, 15, 143, 232, 2, 0, 15, 0, 233, 2,
    0, 15, 191, 110, 1, 0, 0, 9, 5, 233, 2, 0, 37, 10, 233, 2, 0, 40, 0, 0, 0, 0, 56, 2, 176, 129,
    1, 0, 25, 0, 0, 0, 0, 177, 66, 0, 0, 2, 177, 129, 1, 0, 0, 25, 0, 0, 0, 0, 109, 22, 0, 0, 2,
    178, 129, 1, 0, 8, 25, 0, 0, 0, 0, 109, 22, 0, 0, 2, 179, 129, 1, 0, 16, 25, 0, 0, 0, 0, 109,
    22, 0, 0, 2, 180, 129, 1, 0, 24, 25, 0, 0, 0, 0, 109, 22, 0, 0, 2, 181, 129, 1, 0, 32, 25, 0,
    0, 0, 0, 109, 22, 0, 0, 2, 182, 129, 1, 0, 40, 25, 0, 0, 0, 0, 109, 22, 0, 0, 2, 183, 129, 1,
    0, 48, 0, 9, 132, 233, 2, 0, 14, 168, 0, 0, 0, 15, 80, 224, 2, 0, 15, 0, 233, 2, 0, 0, 9, 153,
    233, 2, 0, 38, 15, 80, 224, 2, 0, 15, 0, 233, 2, 0, 0, 9, 170, 233, 2, 0, 14, 168, 0, 0, 0, 15,
    80, 224, 2, 0, 15, 0, 233, 2, 0, 15, 109, 22, 0, 0, 15, 109, 22, 0, 0, 15, 191, 110, 1, 0, 0,
    9, 206, 233, 2, 0, 14, 168, 0, 0, 0, 15, 80, 224, 2, 0, 15, 0, 233, 2, 0, 15, 157, 252, 0, 0,
    0, 9, 232, 233, 2, 0, 14, 168, 0, 0, 0, 15, 80, 224, 2, 0, 15, 87, 223, 2, 0, 15, 35, 229, 0,
    0, 15, 176, 51, 0, 0, 15, 191, 110, 1, 0, 0, 9, 12, 234, 2, 0, 14, 168, 0, 0, 0, 15, 80, 224,
    2, 0, 15, 87, 223, 2, 0, 15, 84, 174, 2, 0, 15, 168, 0, 0, 0, 15, 191, 110, 1, 0, 0, 40, 0, 0,
    0, 0, 56, 2, 38, 128, 1, 0, 55, 0, 0, 0, 0, 218, 67, 0, 0, 2, 39, 128, 1, 0, 1, 1, 7, 0, 55, 0,
    0, 0, 0, 218, 67, 0, 0, 2, 40, 128, 1, 0, 1, 1, 6, 0, 25, 0, 0, 0, 0, 177, 66, 0, 0, 2, 41,
    128, 1, 0, 4, 25, 0, 0, 0, 0, 238, 8, 0, 0, 2, 42, 128, 1, 0, 8, 25, 0, 0, 0, 0, 123, 215, 2,
    0, 2, 43, 128, 1, 0, 12, 23, 146, 234, 2, 0, 2, 44, 128, 1, 0, 48, 24, 8, 2, 44, 128, 1, 0, 25,
    0, 0, 0, 0, 200, 234, 2, 0, 2, 45, 128, 1, 0, 0, 25, 0, 0, 0, 0, 242, 234, 2, 0, 2, 46, 128, 1,
    0, 0, 25, 0, 0, 0, 0, 13, 235, 2, 0, 2, 47, 128, 1, 0, 0, 0, 0, 40, 0, 0, 0, 0, 8, 2, 24, 128,
    1, 0, 25, 0, 0, 0, 0, 177, 66, 0, 0, 2, 25, 128, 1, 0, 0, 25, 0, 0, 0, 0, 177, 66, 0, 0, 2, 26,
    128, 1, 0, 4, 0, 40, 0, 0, 0, 0, 2, 2, 29, 128, 1, 0, 25, 0, 0, 0, 0, 229, 67, 0, 0, 2, 30,
    128, 1, 0, 0, 0, 40, 0, 0, 0, 0, 4, 2, 33, 128, 1, 0, 25, 0, 0, 0, 0, 229, 67, 0, 0, 2, 34,
    128, 1, 0, 0, 25, 0, 0, 0, 0, 229, 67, 0, 0, 2, 35, 128, 1, 0, 2, 0, 9, 60, 235, 2, 0, 14, 168,
    0, 0, 0, 15, 162, 12, 0, 0, 15, 81, 235, 2, 0, 15, 168, 0, 0, 0, 0, 9, 86, 235, 2, 0, 40, 0, 0,
    0, 0, 52, 2, 71, 128, 1, 0, 25, 0, 0, 0, 0, 73, 21, 0, 0, 2, 72, 128, 1, 0, 0, 25, 0, 0, 0, 0,
    168, 0, 0, 0, 2, 73, 128, 1, 0, 16, 25, 0, 0, 0, 0, 57, 48, 0, 0, 2, 74, 128, 1, 0, 20, 25, 0,
    0, 0, 0, 57, 48, 0, 0, 2, 75, 128, 1, 0, 22, 25, 0, 0, 0, 0, 21, 48, 0, 0, 2, 76, 128, 1, 0,
    24, 25, 0, 0, 0, 0, 21, 48, 0, 0, 2, 77, 128, 1, 0, 28, 25, 0, 0, 0, 0, 203, 235, 2, 0, 2, 78,
    128, 1, 0, 32, 0, 35, 0, 0, 0, 0, 20, 2, 216, 201, 45, 0, 0, 0, 0, 158, 26, 0, 0, 2, 217, 201,
    1, 4, 4, 0, 45, 0, 0, 0, 0, 158, 26, 0, 0, 2, 218, 201, 1, 4, 0, 0, 29, 0, 0, 0, 0, 158, 26, 0,
    0, 2, 219, 201, 1, 29, 0, 0, 0, 0, 57, 48, 0, 0, 2, 220, 201, 2, 29, 0, 0, 0, 0, 57, 48, 0, 0,
    2, 221, 201, 4, 29, 0, 0, 0, 0, 57, 48, 0, 0, 2, 222, 201, 6, 29, 0, 0, 0, 0, 158, 26, 0, 0, 2,
    223, 201, 8, 29, 0, 0, 0, 0, 158, 26, 0, 0, 2, 224, 201, 9, 29, 0, 0, 0, 0, 106, 236, 2, 0, 2,
    225, 201, 10, 29, 0, 0, 0, 0, 21, 48, 0, 0, 2, 226, 201, 12, 29, 0, 0, 0, 0, 21, 48, 0, 0, 2,
    227, 201, 16, 0, 39, 225, 24, 0, 0, 0, 0, 0, 0, 2, 119, 200, 9, 123, 236, 2, 0, 37, 128, 236,
    2, 0, 28, 0, 0, 0, 0, 208, 1, 2, 115, 47, 29, 0, 0, 0, 0, 177, 66, 0, 0, 2, 116, 47, 0, 29, 0,
    0, 0, 0, 151, 239, 2, 0, 2, 117, 47, 8, 29, 0, 0, 0, 0, 221, 33, 0, 0, 2, 118, 47, 16, 29, 0,
    0, 0, 0, 95, 240, 2, 0, 2, 119, 47, 24, 29, 0, 0, 0, 0, 184, 240, 2, 0, 2, 120, 47, 32, 29, 0,
    0, 0, 0, 24, 241, 2, 0, 2, 121, 47, 40, 29, 0, 0, 0, 0, 45, 241, 2, 0, 2, 122, 47, 48, 29, 0,
    0, 0, 0, 61, 241, 2, 0, 2, 123, 47, 56, 29, 0, 0, 0, 0, 221, 33, 0, 0, 2, 124, 47, 64, 29, 0,
    0, 0, 0, 45, 241, 2, 0, 2, 125, 47, 72, 29, 0, 0, 0, 0, 78, 241, 2, 0, 2, 126, 47, 80, 29, 0,
    0, 0, 0, 221, 33, 0, 0, 2, 127, 47, 88, 29, 0, 0, 0, 0, 220, 241, 2, 0, 2, 128, 47, 96, 29, 0,
    0, 0, 0, 220, 241, 2, 0, 2, 129, 47, 104, 29, 0, 0, 0, 0, 70, 242, 2, 0, 2, 130, 47, 112, 29,
    0, 0, 0, 0, 70, 242, 2, 0, 2, 131, 47, 120, 29, 0, 0, 0, 0, 149, 243, 2, 0, 2, 132, 47, 128,
    29, 0, 0, 0, 0, 42, 244, 2, 0, 2, 133, 47, 136, 29, 0, 0, 0, 0, 63, 244, 2, 0, 2, 134, 47, 144,
    29, 0, 0, 0, 0, 147, 244, 2, 0, 2, 135, 47, 152, 29, 0, 0, 0, 0, 168, 244, 2, 0, 2, 136, 47,
    160, 29, 0, 0, 0, 0, 14, 245, 2, 0, 2, 137, 47, 168, 29, 0, 0, 0, 0, 36, 245, 2, 0, 2, 138, 47,
    176, 29, 0, 0, 0, 0, 57, 245, 2, 0, 2, 139, 47, 184, 29, 0, 0, 0, 0, 221, 33, 0, 0, 2, 140, 47,
    192, 29, 0, 0, 0, 0, 237, 33, 0, 0, 2, 141, 47, 200, 29, 0, 0, 0, 0, 45, 241, 2, 0, 2, 142, 47,
    208, 29, 0, 0, 0, 0, 133, 245, 2, 0, 2, 143, 47, 216, 29, 0, 0, 0, 0, 205, 204, 2, 0, 2, 144,
    47, 224, 29, 0, 0, 0, 0, 154, 245, 2, 0, 2, 145, 47, 232, 29, 0, 0, 0, 0, 155, 249, 2, 0, 2,
    146, 47, 240, 29, 0, 0, 0, 0, 176, 249, 2, 0, 2, 147, 47, 248, 31, 0, 0, 0, 0, 251, 249, 2, 0,
    2, 148, 47, 0, 1, 31, 0, 0, 0, 0, 45, 241, 2, 0, 2, 149, 47, 8, 1, 31, 0, 0, 0, 0, 45, 241, 2,
    0, 2, 150, 47, 16, 1, 31, 0, 0, 0, 0, 16, 250, 2, 0, 2, 151, 47, 24, 1, 31, 0, 0, 0, 0, 47,
    250, 2, 0, 2, 152, 47, 32, 1, 31, 0, 0, 0, 0, 78, 250, 2, 0, 2, 153, 47, 40, 1, 31, 0, 0, 0, 0,
    114, 250, 2, 0, 2, 154, 47, 48, 1, 31, 0, 0, 0, 0, 155, 250, 2, 0, 2, 155, 47, 56, 1, 31, 0, 0,
    0, 0, 48, 251, 2, 0, 2, 156, 47, 64, 1, 31, 0, 0, 0, 0, 69, 251, 2, 0, 2, 157, 47, 72, 1, 31,
    0, 0, 0, 0, 170, 251, 2, 0, 2, 158, 47, 80, 1, 31, 0, 0, 0, 0, 69, 251, 2, 0, 2, 159, 47, 88,
    1, 31, 0, 0, 0, 0, 196, 251, 2, 0, 2, 160, 47, 96, 1, 31, 0, 0, 0, 0, 67, 252, 2, 0, 2, 161,
    47, 104, 1, 31, 0, 0, 0, 0, 220, 241, 2, 0, 2, 162, 47, 112, 1, 31, 0, 0, 0, 0, 167, 252, 2, 0,
    2, 163, 47, 120, 1, 31, 0, 0, 0, 0, 167, 252, 2, 0, 2, 164, 47, 128, 1, 31, 0, 0, 0, 0, 64,
    253, 2, 0, 2, 165, 47, 136, 1, 31, 0, 0, 0, 0, 175, 253, 2, 0, 2, 166, 47, 144, 1, 31, 0, 0, 0,
    0, 201, 253, 2, 0, 2, 167, 47, 152, 1, 31, 0, 0, 0, 0, 201, 253, 2, 0, 2, 168, 47, 160, 1, 31,
    0, 0, 0, 0, 227, 253, 2, 0, 2, 169, 47, 168, 1, 31, 0, 0, 0, 0, 64, 255, 2, 0, 2, 170, 47, 176,
    1, 31, 0, 0, 0, 0, 95, 255, 2, 0, 2, 171, 47, 184, 1, 31, 0, 0, 0, 0, 95, 255, 2, 0, 2, 172,
    47, 192, 1, 31, 0, 0, 0, 0, 57, 245, 2, 0, 2, 173, 47, 200, 1, 0, 9, 156, 239, 2, 0, 38, 15,
    162, 12, 0, 0, 15, 168, 239, 2, 0, 0, 9, 173, 239, 2, 0, 35, 0, 0, 0, 0, 196, 2, 17, 46, 29, 0,
    0, 0, 0, 27, 1, 0, 0, 2, 18, 46, 0, 29, 0, 0, 0, 0, 131, 192, 0, 0, 2, 19, 46, 4, 29, 0, 0, 0,
    0, 131, 192, 0, 0, 2, 20, 46, 36, 29, 0, 0, 0, 0, 131, 192, 0, 0, 2, 21, 46, 68, 29, 0, 0, 0,
    0, 131, 192, 0, 0, 2, 22, 46, 100, 29, 0, 0, 0, 0, 131, 192, 0, 0, 2, 23, 46, 132, 29, 0, 0, 0,
    0, 83, 240, 2, 0, 2, 24, 46, 164, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 25, 46, 176, 29, 0, 0, 0, 0,
    27, 1, 0, 0, 2, 26, 46, 180, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 27, 46, 184, 29, 0, 0, 0, 0, 27,
    1, 0, 0, 2, 28, 46, 188, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 29, 46, 192, 0, 3, 75, 0, 0, 0, 4, 82,
    0, 0, 0, 12, 0, 9, 100, 240, 2, 0, 38, 15, 162, 12, 0, 0, 15, 117, 240, 2, 0, 15, 26, 1, 0, 0,
    0, 9, 122, 240, 2, 0, 35, 0, 0, 0, 0, 12, 2, 47, 46, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 48, 46, 0,
    29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 49, 46, 4, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 50, 46, 8, 29, 0, 0,
    0, 0, 198, 137, 1, 0, 2, 51, 46, 12, 0, 9, 189, 240, 2, 0, 38, 15, 162, 12, 0, 0, 15, 201, 240,
    2, 0, 0, 9, 206, 240, 2, 0, 35, 0, 0, 0, 0, 20, 2, 32, 46, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 33,
    46, 0, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 34, 46, 4, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 35, 46, 8,
    29, 0, 0, 0, 0, 12, 241, 2, 0, 2, 36, 46, 12, 0, 3, 158, 26, 0, 0, 4, 82, 0, 0, 0, 6, 0, 9, 29,
    241, 2, 0, 14, 168, 0, 0, 0, 15, 162, 12, 0, 0, 15, 201, 240, 2, 0, 0, 9, 50, 241, 2, 0, 14,
    177, 66, 0, 0, 15, 162, 12, 0, 0, 0, 9, 66, 241, 2, 0, 38, 15, 162, 12, 0, 0, 15, 177, 66, 0,
    0, 0, 9, 83, 241, 2, 0, 14, 168, 0, 0, 0, 15, 162, 12, 0, 0, 15, 99, 241, 2, 0, 0, 9, 104, 241,
    2, 0, 35, 0, 0, 0, 0, 8, 2, 94, 47, 29, 0, 0, 0, 0, 34, 9, 0, 0, 2, 95, 47, 0, 44, 135, 241, 2,
    0, 2, 96, 47, 4, 34, 4, 2, 96, 47, 29, 0, 0, 0, 0, 108, 9, 0, 0, 2, 97, 47, 0, 29, 0, 0, 0, 0,
    158, 9, 0, 0, 2, 98, 47, 0, 29, 0, 0, 0, 0, 196, 9, 0, 0, 2, 99, 47, 0, 29, 0, 0, 0, 0, 240, 9,
    0, 0, 2, 100, 47, 0, 29, 0, 0, 0, 0, 10, 10, 0, 0, 2, 101, 47, 0, 29, 0, 0, 0, 0, 218, 67, 0,
    0, 2, 102, 47, 0, 0, 0, 9, 225, 241, 2, 0, 14, 168, 0, 0, 0, 15, 162, 12, 0, 0, 15, 246, 241,
    2, 0, 15, 35, 229, 0, 0, 0, 9, 251, 241, 2, 0, 35, 0, 0, 0, 0, 16, 2, 54, 46, 29, 0, 0, 0, 0,
    27, 1, 0, 0, 2, 55, 46, 0, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 56, 46, 4, 29, 0, 0, 0, 0, 27, 1, 0,
    0, 2, 57, 46, 8, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 58, 46, 12, 29, 0, 0, 0, 0, 198, 137, 1, 0, 2,
    59, 46, 16, 0, 9, 75, 242, 2, 0, 14, 168, 0, 0, 0, 15, 162, 12, 0, 0, 15, 91, 242, 2, 0, 0, 9,
    96, 242, 2, 0, 35, 0, 0, 0, 0, 92, 2, 81, 46, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 82, 46, 0, 29, 0,
    0, 0, 0, 27, 1, 0, 0, 2, 83, 46, 4, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 84, 46, 8, 29, 0, 0, 0, 0,
    27, 1, 0, 0, 2, 85, 46, 12, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 86, 46, 16, 29, 0, 0, 0, 0, 27, 1,
    0, 0, 2, 87, 46, 20, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 88, 46, 24, 29, 0, 0, 0, 0, 27, 1, 0, 0,
    2, 89, 46, 28, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 90, 46, 32, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 91,
    46, 36, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 92, 46, 40, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 93, 46, 44,
    29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 94, 46, 48, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 95, 46, 52, 29, 0,
    0, 0, 0, 27, 1, 0, 0, 2, 96, 46, 56, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 97, 46, 60, 29, 0, 0, 0,
    0, 27, 1, 0, 0, 2, 98, 46, 64, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 99, 46, 68, 29, 0, 0, 0, 0, 27,
    1, 0, 0, 2, 100, 46, 72, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 101, 46, 76, 29, 0, 0, 0, 0, 27, 1, 0,
    0, 2, 102, 46, 80, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 103, 46, 84, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2,
    104, 46, 88, 0, 9, 154, 243, 2, 0, 38, 15, 162, 12, 0, 0, 15, 166, 243, 2, 0, 0, 9, 171, 243,
    2, 0, 35, 0, 0, 0, 0, 36, 2, 107, 46, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 108, 46, 0, 29, 0, 0, 0,
    0, 27, 1, 0, 0, 2, 109, 46, 4, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 110, 46, 8, 29, 0, 0, 0, 0, 27,
    1, 0, 0, 2, 111, 46, 12, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 112, 46, 16, 29, 0, 0, 0, 0, 27, 1, 0,
    0, 2, 113, 46, 20, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 114, 46, 24, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2,
    115, 46, 28, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 116, 46, 32, 0, 9, 47, 244, 2, 0, 14, 168, 0, 0,
    0, 15, 162, 12, 0, 0, 15, 166, 243, 2, 0, 0, 9, 68, 244, 2, 0, 38, 15, 162, 12, 0, 0, 15, 80,
    244, 2, 0, 0, 9, 85, 244, 2, 0, 35, 0, 0, 0, 0, 16, 2, 131, 46, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2,
    132, 46, 0, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 133, 46, 4, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 134,
    46, 8, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 135, 46, 12, 0, 9, 152, 244, 2, 0, 14, 168, 0, 0, 0, 15,
    162, 12, 0, 0, 15, 80, 244, 2, 0, 0, 9, 173, 244, 2, 0, 38, 15, 162, 12, 0, 0, 15, 190, 244, 2,
    0, 15, 157, 252, 0, 0, 0, 9, 195, 244, 2, 0, 35, 0, 0, 0, 0, 16, 2, 185, 46, 29, 0, 0, 0, 0,
    27, 1, 0, 0, 2, 186, 46, 0, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 187, 46, 4, 29, 0, 0, 0, 0, 27, 1,
    0, 0, 2, 188, 46, 8, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 189, 46, 12, 29, 0, 0, 0, 0, 167, 71, 2,
    0, 2, 190, 46, 16, 0, 9, 19, 245, 2, 0, 38, 15, 162, 12, 0, 0, 15, 177, 66, 0, 0, 15, 35, 229,
    0, 0, 0, 9, 41, 245, 2, 0, 14, 168, 0, 0, 0, 15, 162, 12, 0, 0, 15, 36, 10, 0, 0, 0, 9, 62,
    245, 2, 0, 38, 15, 162, 12, 0, 0, 15, 79, 245, 2, 0, 15, 157, 252, 0, 0, 0, 9, 84, 245, 2, 0,
    35, 0, 0, 0, 0, 8, 2, 193, 46, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 194, 46, 0, 29, 0, 0, 0, 0, 27,
    1, 0, 0, 2, 195, 46, 4, 29, 0, 0, 0, 0, 167, 71, 2, 0, 2, 196, 46, 8, 0, 9, 138, 245, 2, 0, 14,
    168, 0, 0, 0, 15, 162, 12, 0, 0, 15, 177, 66, 0, 0, 0, 9, 159, 245, 2, 0, 14, 168, 0, 0, 0, 15,
    162, 12, 0, 0, 15, 180, 245, 2, 0, 15, 132, 223, 0, 0, 0, 9, 185, 245, 2, 0, 35, 0, 0, 0, 0,
    192, 2, 25, 47, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 26, 47, 0, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 27,
    47, 4, 29, 0, 0, 0, 0, 197, 0, 0, 0, 2, 28, 47, 8, 29, 0, 0, 0, 0, 45, 246, 2, 0, 2, 29, 47,
    16, 44, 255, 245, 2, 0, 2, 30, 47, 184, 34, 4, 2, 30, 47, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 31,
    47, 0, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 32, 47, 0, 0, 29, 0, 0, 0, 0, 30, 156, 1, 0, 2, 34, 47,
    188, 0, 35, 0, 0, 0, 0, 168, 2, 15, 47, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 16, 47, 0, 29, 0, 0, 0,
    0, 146, 246, 2, 0, 2, 17, 47, 4, 29, 0, 0, 0, 0, 80, 249, 2, 0, 2, 18, 47, 56, 29, 0, 0, 0, 0,
    146, 246, 2, 0, 2, 19, 47, 76, 29, 0, 0, 0, 0, 80, 249, 2, 0, 2, 20, 47, 128, 29, 0, 0, 0, 0,
    197, 0, 0, 0, 2, 21, 47, 152, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 22, 47, 160, 0, 52, 0, 0, 0, 0,
    52, 2, 246, 46, 29, 0, 0, 0, 0, 82, 247, 2, 0, 2, 247, 46, 0, 29, 0, 0, 0, 0, 82, 247, 2, 0, 2,
    248, 46, 0, 29, 0, 0, 0, 0, 82, 247, 2, 0, 2, 249, 46, 0, 29, 0, 0, 0, 0, 157, 247, 2, 0, 2,
    250, 46, 0, 29, 0, 0, 0, 0, 157, 247, 2, 0, 2, 251, 46, 0, 29, 0, 0, 0, 0, 219, 247, 2, 0, 2,
    252, 46, 0, 29, 0, 0, 0, 0, 51, 248, 2, 0, 2, 253, 46, 0, 29, 0, 0, 0, 0, 51, 248, 2, 0, 2,
    254, 46, 0, 29, 0, 0, 0, 0, 51, 248, 2, 0, 2, 255, 46, 0, 29, 0, 0, 0, 0, 126, 248, 2, 0, 2, 0,
    47, 0, 29, 0, 0, 0, 0, 126, 248, 2, 0, 2, 1, 47, 0, 29, 0, 0, 0, 0, 188, 248, 2, 0, 2, 2, 47,
    0, 29, 0, 0, 0, 0, 7, 249, 2, 0, 2, 3, 47, 0, 29, 0, 0, 0, 0, 68, 249, 2, 0, 2, 4, 47, 0, 0,
    35, 0, 0, 0, 0, 16, 2, 199, 46, 29, 0, 0, 0, 0, 21, 48, 0, 0, 2, 200, 46, 0, 29, 0, 0, 0, 0,
    21, 48, 0, 0, 2, 201, 46, 4, 29, 0, 0, 0, 0, 57, 48, 0, 0, 2, 202, 46, 8, 29, 0, 0, 0, 0, 57,
    48, 0, 0, 2, 203, 46, 10, 29, 0, 0, 0, 0, 158, 26, 0, 0, 2, 204, 46, 12, 0, 35, 0, 0, 0, 0, 16,
    2, 207, 46, 29, 0, 0, 0, 0, 21, 48, 0, 0, 2, 208, 46, 0, 29, 0, 0, 0, 0, 21, 48, 0, 0, 2, 209,
    46, 4, 29, 0, 0, 0, 0, 21, 48, 0, 0, 2, 210, 46, 8, 29, 0, 0, 0, 0, 158, 26, 0, 0, 2, 211, 46,
    12, 0, 35, 0, 0, 0, 0, 16, 2, 214, 46, 29, 0, 0, 0, 0, 21, 48, 0, 0, 2, 215, 46, 0, 29, 0, 0,
    0, 0, 21, 48, 0, 0, 2, 216, 46, 4, 29, 0, 0, 0, 0, 21, 48, 0, 0, 2, 217, 46, 8, 29, 0, 0, 0, 0,
    158, 26, 0, 0, 2, 218, 46, 12, 29, 0, 0, 0, 0, 158, 26, 0, 0, 2, 219, 46, 13, 29, 0, 0, 0, 0,
    158, 26, 0, 0, 2, 220, 46, 14, 0, 35, 0, 0, 0, 0, 40, 2, 223, 46, 29, 0, 0, 0, 0, 19, 109, 1,
    0, 2, 224, 46, 0, 29, 0, 0, 0, 0, 19, 109, 1, 0, 2, 225, 46, 16, 29, 0, 0, 0, 0, 57, 48, 0, 0,
    2, 226, 46, 32, 29, 0, 0, 0, 0, 57, 48, 0, 0, 2, 227, 46, 34, 29, 0, 0, 0, 0, 158, 26, 0, 0, 2,
    228, 46, 36, 0, 35, 0, 0, 0, 0, 40, 2, 231, 46, 29, 0, 0, 0, 0, 19, 109, 1, 0, 2, 232, 46, 0,
    29, 0, 0, 0, 0, 19, 109, 1, 0, 2, 233, 46, 16, 29, 0, 0, 0, 0, 21, 48, 0, 0, 2, 234, 46, 32,
    29, 0, 0, 0, 0, 158, 26, 0, 0, 2, 235, 46, 36, 0, 35, 0, 0, 0, 0, 40, 2, 238, 46, 29, 0, 0, 0,
    0, 19, 109, 1, 0, 2, 239, 46, 0, 29, 0, 0, 0, 0, 19, 109, 1, 0, 2, 240, 46, 16, 29, 0, 0, 0, 0,
    21, 48, 0, 0, 2, 241, 46, 32, 29, 0, 0, 0, 0, 158, 26, 0, 0, 2, 242, 46, 36, 29, 0, 0, 0, 0,
    158, 26, 0, 0, 2, 243, 46, 37, 0, 35, 0, 0, 0, 0, 14, 2, 194, 43, 29, 0, 0, 0, 0, 56, 249, 2,
    0, 2, 195, 43, 0, 29, 0, 0, 0, 0, 56, 249, 2, 0, 2, 196, 43, 6, 29, 0, 0, 0, 0, 57, 48, 0, 0,
    2, 197, 43, 12, 0, 3, 169, 26, 0, 0, 4, 82, 0, 0, 0, 6, 0, 3, 158, 26, 0, 0, 4, 82, 0, 0, 0,
    52, 0, 35, 0, 0, 0, 0, 20, 2, 7, 47, 29, 0, 0, 0, 0, 220, 187, 0, 0, 2, 8, 47, 0, 29, 0, 0, 0,
    0, 56, 249, 2, 0, 2, 9, 47, 2, 29, 0, 0, 0, 0, 57, 48, 0, 0, 2, 10, 47, 8, 29, 0, 0, 0, 0, 57,
    48, 0, 0, 2, 11, 47, 10, 29, 0, 0, 0, 0, 11, 184, 1, 0, 2, 12, 47, 12, 0, 9, 160, 249, 2, 0,
    14, 168, 0, 0, 0, 15, 162, 12, 0, 0, 15, 180, 245, 2, 0, 0, 9, 181, 249, 2, 0, 14, 168, 0, 0,
    0, 15, 162, 12, 0, 0, 15, 197, 249, 2, 0, 0, 9, 202, 249, 2, 0, 35, 0, 0, 0, 0, 136, 2, 37, 47,
    29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 38, 47, 0, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 39, 47, 4, 29, 0, 0,
    0, 0, 143, 192, 0, 0, 2, 40, 47, 8, 0, 9, 0, 250, 2, 0, 14, 168, 0, 0, 0, 15, 162, 12, 0, 0,
    15, 132, 223, 0, 0, 0, 9, 21, 250, 2, 0, 14, 168, 0, 0, 0, 15, 162, 12, 0, 0, 15, 132, 223, 0,
    0, 15, 35, 229, 0, 0, 15, 35, 229, 0, 0, 0, 9, 52, 250, 2, 0, 14, 168, 0, 0, 0, 15, 162, 12, 0,
    0, 15, 47, 208, 0, 0, 15, 84, 174, 2, 0, 15, 89, 174, 2, 0, 0, 9, 83, 250, 2, 0, 14, 168, 0, 0,
    0, 15, 162, 12, 0, 0, 15, 132, 223, 0, 0, 15, 35, 229, 0, 0, 15, 35, 229, 0, 0, 15, 177, 66, 0,
    0, 0, 9, 119, 250, 2, 0, 14, 168, 0, 0, 0, 15, 162, 12, 0, 0, 15, 47, 208, 0, 0, 15, 84, 174,
    2, 0, 15, 89, 174, 2, 0, 15, 132, 223, 0, 0, 15, 181, 51, 0, 0, 0, 9, 160, 250, 2, 0, 38, 15,
    162, 12, 0, 0, 15, 172, 250, 2, 0, 0, 9, 177, 250, 2, 0, 35, 0, 0, 0, 0, 36, 2, 119, 46, 29, 0,
    0, 0, 0, 27, 1, 0, 0, 2, 120, 46, 0, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 121, 46, 4, 29, 0, 0, 0,
    0, 27, 1, 0, 0, 2, 122, 46, 8, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 123, 46, 12, 29, 0, 0, 0, 0, 27,
    1, 0, 0, 2, 124, 46, 16, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 125, 46, 20, 29, 0, 0, 0, 0, 27, 1, 0,
    0, 2, 126, 46, 24, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 127, 46, 28, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2,
    128, 46, 32, 0, 9, 53, 251, 2, 0, 14, 168, 0, 0, 0, 15, 162, 12, 0, 0, 15, 172, 250, 2, 0, 0,
    9, 74, 251, 2, 0, 14, 168, 0, 0, 0, 15, 162, 12, 0, 0, 15, 90, 251, 2, 0, 0, 9, 95, 251, 2, 0,
    35, 0, 0, 0, 0, 16, 2, 43, 47, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 44, 47, 0, 29, 0, 0, 0, 0, 27,
    1, 0, 0, 2, 45, 47, 4, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 46, 47, 8, 29, 0, 0, 0, 0, 27, 1, 0, 0,
    2, 47, 47, 12, 29, 0, 0, 0, 0, 198, 137, 1, 0, 2, 48, 47, 16, 0, 9, 175, 251, 2, 0, 14, 168, 0,
    0, 0, 15, 162, 12, 0, 0, 15, 90, 251, 2, 0, 15, 26, 1, 0, 0, 0, 9, 201, 251, 2, 0, 14, 168, 0,
    0, 0, 15, 162, 12, 0, 0, 15, 217, 251, 2, 0, 0, 9, 222, 251, 2, 0, 35, 0, 0, 0, 0, 44, 2, 51,
    47, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 52, 47, 0, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 53, 47, 4, 29,
    0, 0, 0, 0, 147, 26, 0, 0, 2, 54, 47, 8, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 55, 47, 12, 29, 0, 0,
    0, 0, 55, 168, 2, 0, 2, 56, 47, 16, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 57, 47, 28, 29, 0, 0, 0, 0,
    55, 168, 2, 0, 2, 58, 47, 32, 0, 9, 72, 252, 2, 0, 14, 168, 0, 0, 0, 15, 162, 12, 0, 0, 15, 88,
    252, 2, 0, 0, 9, 93, 252, 2, 0, 35, 0, 0, 0, 0, 44, 2, 74, 46, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2,
    75, 46, 0, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 76, 46, 4, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 77, 46,
    8, 29, 0, 0, 0, 0, 155, 252, 2, 0, 2, 78, 46, 12, 0, 3, 27, 1, 0, 0, 4, 82, 0, 0, 0, 8, 0, 9,
    172, 252, 2, 0, 14, 168, 0, 0, 0, 15, 162, 12, 0, 0, 15, 188, 252, 2, 0, 0, 9, 193, 252, 2, 0,
    35, 0, 0, 0, 0, 40, 2, 62, 46, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 63, 46, 0, 29, 0, 0, 0, 0, 27,
    1, 0, 0, 2, 64, 46, 4, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 65, 46, 8, 29, 0, 0, 0, 0, 27, 1, 0, 0,
    2, 66, 46, 12, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 67, 46, 16, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 68,
    46, 20, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 69, 46, 24, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 70, 46, 28,
    29, 0, 0, 0, 0, 37, 78, 0, 0, 2, 71, 46, 32, 0, 9, 69, 253, 2, 0, 14, 168, 0, 0, 0, 15, 162,
    12, 0, 0, 15, 90, 253, 2, 0, 15, 26, 1, 0, 0, 0, 9, 95, 253, 2, 0, 37, 100, 253, 2, 0, 35, 0,
    0, 0, 0, 16, 2, 39, 46, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 40, 46, 0, 29, 0, 0, 0, 0, 27, 1, 0, 0,
    2, 41, 46, 4, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 42, 46, 8, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 43,
    46, 12, 29, 0, 0, 0, 0, 141, 189, 1, 0, 2, 44, 46, 16, 0, 9, 180, 253, 2, 0, 14, 168, 0, 0, 0,
    15, 162, 12, 0, 0, 15, 90, 253, 2, 0, 15, 45, 1, 0, 0, 0, 9, 206, 253, 2, 0, 14, 168, 0, 0, 0,
    15, 162, 12, 0, 0, 15, 177, 66, 0, 0, 15, 91, 242, 2, 0, 0, 9, 232, 253, 2, 0, 14, 168, 0, 0,
    0, 15, 162, 12, 0, 0, 15, 248, 253, 2, 0, 0, 9, 253, 253, 2, 0, 35, 0, 0, 0, 0, 96, 2, 106, 47,
    29, 0, 0, 0, 0, 78, 254, 2, 0, 2, 107, 47, 0, 29, 0, 0, 0, 0, 32, 254, 2, 0, 2, 112, 47, 48,
    30, 48, 2, 108, 47, 29, 0, 0, 0, 0, 11, 103, 0, 0, 2, 109, 47, 0, 29, 0, 0, 0, 0, 11, 103, 0,
    0, 2, 110, 47, 16, 29, 0, 0, 0, 0, 11, 103, 0, 0, 2, 111, 47, 32, 0, 0, 35, 0, 0, 0, 0, 48, 2,
    68, 47, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 69, 47, 0, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 70, 47, 4,
    29, 0, 0, 0, 0, 158, 26, 0, 0, 2, 71, 47, 8, 29, 0, 0, 0, 0, 158, 26, 0, 0, 2, 72, 47, 9, 29,
    0, 0, 0, 0, 158, 26, 0, 0, 2, 73, 47, 10, 29, 0, 0, 0, 0, 158, 26, 0, 0, 2, 74, 47, 11, 29, 0,
    0, 0, 0, 158, 26, 0, 0, 2, 75, 47, 12, 29, 0, 0, 0, 0, 158, 26, 0, 0, 2, 76, 47, 13, 29, 0, 0,
    0, 0, 158, 26, 0, 0, 2, 77, 47, 14, 29, 0, 0, 0, 0, 50, 42, 2, 0, 2, 78, 47, 15, 29, 0, 0, 0,
    0, 158, 26, 0, 0, 2, 79, 47, 16, 29, 0, 0, 0, 0, 158, 26, 0, 0, 2, 80, 47, 17, 29, 0, 0, 0, 0,
    158, 26, 0, 0, 2, 81, 47, 18, 29, 0, 0, 0, 0, 40, 255, 2, 0, 2, 82, 47, 19, 29, 0, 0, 0, 0, 52,
    255, 2, 0, 2, 83, 47, 20, 29, 0, 0, 0, 0, 30, 156, 1, 0, 2, 84, 47, 48, 0, 3, 158, 26, 0, 0, 4,
    82, 0, 0, 0, 1, 0, 3, 27, 1, 0, 0, 4, 82, 0, 0, 0, 7, 0, 9, 69, 255, 2, 0, 14, 168, 0, 0, 0,
    15, 162, 12, 0, 0, 15, 85, 255, 2, 0, 0, 9, 90, 255, 2, 0, 37, 253, 253, 2, 0, 9, 100, 255, 2,
    0, 14, 168, 0, 0, 0, 15, 162, 12, 0, 0, 15, 116, 255, 2, 0, 0, 9, 121, 255, 2, 0, 35, 0, 0, 0,
    0, 16, 2, 61, 47, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 62, 47, 0, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2,
    63, 47, 4, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 64, 47, 8, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 65, 47,
    12, 0, 9, 188, 255, 2, 0, 37, 193, 255, 2, 0, 35, 0, 0, 0, 0, 32, 2, 78, 50, 29, 0, 0, 0, 0,
    255, 255, 2, 0, 2, 79, 50, 0, 29, 0, 0, 0, 0, 15, 0, 3, 0, 2, 80, 50, 8, 29, 0, 0, 0, 0, 41, 0,
    3, 0, 2, 81, 50, 16, 29, 0, 0, 0, 0, 72, 0, 3, 0, 2, 82, 50, 24, 0, 9, 4, 0, 3, 0, 14, 177, 66,
    0, 0, 15, 197, 144, 1, 0, 0, 9, 20, 0, 3, 0, 14, 26, 34, 0, 0, 15, 162, 12, 0, 0, 15, 26, 34,
    0, 0, 15, 229, 67, 0, 0, 0, 9, 46, 0, 3, 0, 14, 26, 34, 0, 0, 15, 162, 12, 0, 0, 15, 27, 40, 0,
    0, 15, 26, 34, 0, 0, 15, 229, 67, 0, 0, 0, 9, 77, 0, 3, 0, 14, 208, 140, 1, 0, 15, 197, 144, 1,
    0, 15, 93, 0, 3, 0, 0, 9, 95, 108, 1, 0, 9, 103, 0, 3, 0, 37, 108, 0, 3, 0, 35, 0, 0, 0, 0, 48,
    2, 91, 50, 29, 0, 0, 0, 0, 196, 0, 3, 0, 2, 92, 50, 0, 29, 0, 0, 0, 0, 212, 0, 3, 0, 2, 93, 50,
    8, 29, 0, 0, 0, 0, 140, 1, 3, 0, 2, 94, 50, 16, 29, 0, 0, 0, 0, 182, 1, 3, 0, 2, 95, 50, 24,
    29, 0, 0, 0, 0, 218, 1, 3, 0, 2, 96, 50, 32, 29, 0, 0, 0, 0, 245, 1, 3, 0, 2, 97, 50, 40, 0, 9,
    201, 0, 3, 0, 14, 168, 0, 0, 0, 15, 218, 67, 0, 0, 0, 9, 217, 0, 3, 0, 14, 168, 0, 0, 0, 15,
    197, 144, 1, 0, 15, 238, 0, 3, 0, 15, 23, 1, 3, 0, 0, 9, 243, 0, 3, 0, 35, 0, 0, 0, 0, 2, 2,
    54, 53, 29, 0, 0, 0, 0, 158, 26, 0, 0, 2, 55, 53, 0, 29, 0, 0, 0, 0, 158, 26, 0, 0, 2, 56, 53,
    1, 0, 9, 28, 1, 3, 0, 35, 0, 0, 0, 0, 176, 2, 59, 53, 29, 0, 0, 0, 0, 116, 1, 3, 0, 2, 60, 53,
    0, 29, 0, 0, 0, 0, 238, 0, 3, 0, 2, 61, 53, 120, 29, 0, 0, 0, 0, 238, 0, 3, 0, 2, 62, 53, 128,
    29, 0, 0, 0, 0, 238, 0, 3, 0, 2, 63, 53, 136, 29, 0, 0, 0, 0, 238, 0, 3, 0, 2, 64, 53, 144, 29,
    0, 0, 0, 0, 128, 1, 3, 0, 2, 65, 53, 152, 0, 3, 238, 0, 3, 0, 4, 82, 0, 0, 0, 15, 0, 3, 238, 0,
    3, 0, 4, 82, 0, 0, 0, 3, 0, 9, 145, 1, 3, 0, 38, 15, 197, 144, 1, 0, 15, 146, 141, 1, 0, 15,
    177, 66, 0, 0, 15, 218, 67, 0, 0, 15, 172, 1, 3, 0, 0, 9, 177, 1, 3, 0, 37, 28, 1, 3, 0, 9,
    187, 1, 3, 0, 14, 168, 0, 0, 0, 15, 197, 144, 1, 0, 15, 218, 67, 0, 0, 15, 146, 141, 1, 0, 15,
    35, 229, 0, 0, 15, 171, 158, 1, 0, 0, 9, 223, 1, 3, 0, 38, 15, 197, 144, 1, 0, 15, 26, 34, 0,
    0, 15, 218, 67, 0, 0, 15, 84, 174, 2, 0, 0, 9, 250, 1, 3, 0, 38, 15, 47, 85, 1, 0, 15, 162, 12,
    0, 0, 15, 56, 2, 3, 0, 15, 70, 163, 1, 0, 15, 223, 168, 1, 0, 15, 168, 0, 0, 0, 15, 177, 66, 0,
    0, 15, 181, 51, 0, 0, 15, 181, 51, 0, 0, 15, 27, 1, 0, 0, 15, 177, 66, 0, 0, 15, 181, 51, 0, 0,
    0, 9, 61, 2, 3, 0, 37, 66, 2, 3, 0, 35, 0, 0, 0, 0, 32, 2, 68, 53, 29, 0, 0, 0, 0, 158, 26, 0,
    0, 2, 69, 53, 0, 29, 0, 0, 0, 0, 158, 26, 0, 0, 2, 70, 53, 1, 29, 0, 0, 0, 0, 158, 26, 0, 0, 2,
    71, 53, 2, 45, 0, 0, 0, 0, 158, 26, 0, 0, 2, 72, 53, 1, 6, 2, 3, 45, 0, 0, 0, 0, 158, 26, 0, 0,
    2, 73, 53, 1, 1, 1, 3, 45, 0, 0, 0, 0, 158, 26, 0, 0, 2, 74, 53, 1, 1, 0, 3, 29, 0, 0, 0, 0,
    21, 48, 0, 0, 2, 75, 53, 4, 29, 0, 0, 0, 0, 21, 48, 0, 0, 2, 76, 53, 8, 29, 0, 0, 0, 0, 21, 48,
    0, 0, 2, 77, 53, 12, 29, 0, 0, 0, 0, 183, 108, 1, 0, 2, 78, 53, 16, 0, 9, 220, 2, 3, 0, 37,
    225, 2, 3, 0, 35, 0, 0, 0, 0, 40, 2, 177, 49, 29, 0, 0, 0, 0, 81, 158, 1, 0, 2, 178, 49, 0, 29,
    0, 0, 0, 0, 97, 158, 1, 0, 2, 179, 49, 8, 29, 0, 0, 0, 0, 97, 158, 1, 0, 2, 180, 49, 16, 29, 0,
    0, 0, 0, 44, 3, 3, 0, 2, 181, 49, 24, 29, 0, 0, 0, 0, 97, 158, 1, 0, 2, 182, 49, 32, 0, 9, 49,
    3, 3, 0, 14, 181, 51, 0, 0, 15, 26, 34, 0, 0, 15, 197, 148, 1, 0, 0, 9, 70, 3, 3, 0, 37, 75, 3,
    3, 0, 35, 0, 0, 0, 0, 24, 2, 109, 50, 29, 0, 0, 0, 0, 124, 3, 3, 0, 2, 110, 50, 0, 29, 0, 0, 0,
    0, 207, 3, 3, 0, 2, 111, 50, 8, 29, 0, 0, 0, 0, 67, 7, 3, 0, 2, 112, 50, 16, 0, 9, 129, 3, 3,
    0, 14, 168, 0, 0, 0, 15, 162, 12, 0, 0, 15, 27, 40, 0, 0, 15, 74, 10, 0, 0, 15, 160, 3, 3, 0,
    15, 177, 66, 0, 0, 0, 9, 165, 3, 3, 0, 40, 0, 0, 0, 0, 4, 2, 105, 140, 1, 0, 25, 0, 0, 0, 0,
    225, 24, 0, 0, 2, 106, 140, 1, 0, 0, 25, 0, 0, 0, 0, 225, 24, 0, 0, 2, 107, 140, 1, 0, 2, 0, 9,
    212, 3, 3, 0, 38, 15, 162, 12, 0, 0, 15, 229, 3, 3, 0, 15, 74, 10, 0, 0, 0, 9, 234, 3, 3, 0,
    22, 0, 0, 0, 0, 64, 1, 2, 167, 140, 1, 0, 25, 0, 0, 0, 0, 89, 5, 3, 0, 2, 168, 140, 1, 0, 0,
    55, 0, 0, 0, 0, 218, 67, 0, 0, 2, 169, 140, 1, 0, 1, 3, 5, 20, 55, 0, 0, 0, 0, 218, 67, 0, 0,
    2, 170, 140, 1, 0, 1, 3, 2, 20, 25, 0, 0, 0, 0, 124, 51, 0, 0, 2, 171, 140, 1, 0, 24, 25, 0, 0,
    0, 0, 241, 51, 0, 0, 2, 172, 140, 1, 0, 32, 25, 0, 0, 0, 0, 26, 1, 0, 0, 2, 173, 140, 1, 0, 40,
    25, 0, 0, 0, 0, 26, 1, 0, 0, 2, 174, 140, 1, 0, 48, 25, 0, 0, 0, 0, 162, 12, 0, 0, 2, 175, 140,
    1, 0, 56, 25, 0, 0, 0, 0, 251, 5, 3, 0, 2, 176, 140, 1, 0, 64, 25, 0, 0, 0, 0, 251, 5, 3, 0, 2,
    177, 140, 1, 0, 80, 25, 0, 0, 0, 0, 224, 250, 0, 0, 2, 178, 140, 1, 0, 96, 25, 0, 0, 0, 0, 229,
    67, 0, 0, 2, 179, 140, 1, 0, 104, 25, 0, 0, 0, 0, 181, 51, 0, 0, 2, 180, 140, 1, 0, 106, 25, 0,
    0, 0, 0, 181, 51, 0, 0, 2, 181, 140, 1, 0, 107, 25, 0, 0, 0, 0, 128, 104, 0, 0, 2, 182, 140, 1,
    0, 112, 25, 0, 0, 0, 0, 90, 22, 0, 0, 2, 183, 140, 1, 0, 144, 25, 0, 0, 0, 0, 74, 48, 0, 0, 2,
    184, 140, 1, 0, 152, 25, 0, 0, 0, 0, 241, 51, 0, 0, 2, 185, 140, 1, 0, 160, 25, 0, 0, 0, 0, 37,
    6, 3, 0, 2, 186, 140, 1, 0, 168, 25, 0, 0, 0, 0, 37, 6, 3, 0, 2, 187, 140, 1, 0, 224, 27, 0, 0,
    0, 0, 195, 21, 0, 0, 2, 188, 140, 1, 0, 24, 1, 27, 0, 0, 0, 0, 254, 62, 0, 0, 2, 189, 140, 1,
    0, 40, 1, 27, 0, 0, 0, 0, 28, 22, 0, 0, 2, 190, 140, 1, 0, 48, 1, 0, 40, 0, 0, 0, 0, 20, 2,
    154, 140, 1, 0, 25, 0, 0, 0, 0, 229, 67, 0, 0, 2, 155, 140, 1, 0, 0, 25, 0, 0, 0, 0, 229, 67,
    0, 0, 2, 156, 140, 1, 0, 2, 25, 0, 0, 0, 0, 229, 67, 0, 0, 2, 157, 140, 1, 0, 4, 25, 0, 0, 0,
    0, 229, 67, 0, 0, 2, 158, 140, 1, 0, 6, 25, 0, 0, 0, 0, 229, 67, 0, 0, 2, 159, 140, 1, 0, 8,
    25, 0, 0, 0, 0, 229, 67, 0, 0, 2, 160, 140, 1, 0, 10, 25, 0, 0, 0, 0, 229, 67, 0, 0, 2, 161,
    140, 1, 0, 12, 25, 0, 0, 0, 0, 229, 67, 0, 0, 2, 162, 140, 1, 0, 14, 25, 0, 0, 0, 0, 229, 67,
    0, 0, 2, 163, 140, 1, 0, 16, 25, 0, 0, 0, 0, 229, 67, 0, 0, 2, 164, 140, 1, 0, 18, 0, 40, 0, 0,
    0, 0, 16, 2, 141, 140, 1, 0, 25, 0, 0, 0, 0, 154, 27, 0, 0, 2, 142, 140, 1, 0, 0, 25, 0, 0, 0,
    0, 154, 27, 0, 0, 2, 143, 140, 1, 0, 8, 0, 41, 0, 0, 0, 0, 56, 2, 146, 140, 1, 0, 25, 0, 0, 0,
    0, 165, 3, 3, 0, 2, 147, 140, 1, 0, 0, 23, 74, 6, 3, 0, 2, 148, 140, 1, 0, 0, 24, 56, 2, 148,
    140, 1, 0, 25, 0, 0, 0, 0, 113, 6, 3, 0, 2, 149, 140, 1, 0, 0, 25, 0, 0, 0, 0, 236, 6, 3, 0, 2,
    150, 140, 1, 0, 0, 0, 0, 40, 0, 0, 0, 0, 40, 2, 110, 140, 1, 0, 25, 0, 0, 0, 0, 165, 3, 3, 0,
    2, 111, 140, 1, 0, 0, 25, 0, 0, 0, 0, 200, 6, 3, 0, 2, 112, 140, 1, 0, 4, 25, 0, 0, 0, 0, 212,
    6, 3, 0, 2, 113, 140, 1, 0, 12, 25, 0, 0, 0, 0, 224, 6, 3, 0, 2, 114, 140, 1, 0, 28, 25, 0, 0,
    0, 0, 200, 6, 3, 0, 2, 115, 140, 1, 0, 32, 0, 3, 169, 26, 0, 0, 4, 82, 0, 0, 0, 8, 0, 3, 169,
    26, 0, 0, 4, 82, 0, 0, 0, 16, 0, 3, 169, 26, 0, 0, 4, 82, 0, 0, 0, 4, 0, 40, 0, 0, 0, 0, 56, 2,
    118, 140, 1, 0, 25, 0, 0, 0, 0, 165, 3, 3, 0, 2, 119, 140, 1, 0, 0, 25, 0, 0, 0, 0, 200, 6, 3,
    0, 2, 120, 140, 1, 0, 4, 25, 0, 0, 0, 0, 198, 66, 0, 0, 2, 121, 140, 1, 0, 12, 25, 0, 0, 0, 0,
    224, 6, 3, 0, 2, 122, 140, 1, 0, 44, 25, 0, 0, 0, 0, 200, 6, 3, 0, 2, 123, 140, 1, 0, 48, 0, 9,
    72, 7, 3, 0, 14, 168, 0, 0, 0, 15, 162, 12, 0, 0, 15, 27, 40, 0, 0, 15, 177, 66, 0, 0, 15, 35,
    229, 0, 0, 15, 74, 10, 0, 0, 0, 9, 108, 7, 3, 0, 37, 113, 7, 3, 0, 35, 0, 0, 0, 0, 48, 2, 221,
    48, 29, 0, 0, 0, 0, 201, 7, 3, 0, 2, 222, 48, 0, 29, 0, 0, 0, 0, 242, 7, 3, 0, 2, 223, 48, 8,
    29, 0, 0, 0, 0, 7, 8, 3, 0, 2, 224, 48, 16, 29, 0, 0, 0, 0, 38, 8, 3, 0, 2, 225, 48, 24, 29, 0,
    0, 0, 0, 60, 8, 3, 0, 2, 226, 48, 32, 29, 0, 0, 0, 0, 81, 8, 3, 0, 2, 227, 48, 40, 0, 9, 206,
    7, 3, 0, 14, 168, 0, 0, 0, 15, 26, 34, 0, 0, 15, 162, 12, 0, 0, 15, 236, 24, 0, 0, 15, 45, 1,
    0, 0, 15, 45, 1, 0, 0, 15, 38, 1, 0, 0, 0, 9, 247, 7, 3, 0, 14, 168, 0, 0, 0, 15, 201, 173, 1,
    0, 15, 239, 206, 1, 0, 0, 9, 12, 8, 3, 0, 14, 168, 0, 0, 0, 15, 233, 144, 1, 0, 15, 33, 8, 3,
    0, 15, 57, 48, 0, 0, 0, 9, 197, 147, 1, 0, 9, 43, 8, 3, 0, 38, 15, 33, 8, 3, 0, 15, 197, 144,
    1, 0, 15, 188, 66, 0, 0, 0, 9, 65, 8, 3, 0, 14, 181, 51, 0, 0, 15, 233, 21, 0, 0, 15, 38, 1, 0,
    0, 0, 9, 86, 8, 3, 0, 14, 57, 48, 0, 0, 15, 201, 173, 1, 0, 0, 35, 0, 0, 0, 0, 24, 2, 174, 41,
    29, 0, 0, 0, 0, 195, 21, 0, 0, 2, 175, 41, 0, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 176, 41, 16, 0,
    9, 138, 8, 3, 0, 40, 0, 0, 0, 0, 200, 2, 220, 171, 1, 0, 25, 0, 0, 0, 0, 162, 12, 0, 0, 2, 221,
    171, 1, 0, 0, 25, 0, 0, 0, 0, 225, 8, 3, 0, 2, 222, 171, 1, 0, 8, 25, 0, 0, 0, 0, 195, 21, 0,
    0, 2, 223, 171, 1, 0, 160, 25, 0, 0, 0, 0, 38, 1, 0, 0, 2, 224, 171, 1, 0, 176, 25, 0, 0, 0, 0,
    28, 22, 0, 0, 2, 225, 171, 1, 0, 184, 0, 40, 0, 0, 0, 0, 152, 2, 214, 171, 1, 0, 25, 0, 0, 0,
    0, 38, 1, 0, 0, 2, 215, 171, 1, 0, 0, 25, 0, 0, 0, 0, 152, 21, 0, 0, 2, 216, 171, 1, 0, 8, 25,
    0, 0, 0, 0, 26, 9, 3, 0, 2, 217, 171, 1, 0, 24, 0, 3, 38, 9, 3, 0, 4, 82, 0, 0, 0, 16, 0, 9,
    162, 12, 0, 0, 9, 224, 10, 0, 0, 9, 53, 9, 3, 0, 43, 0, 0, 0, 0, 9, 63, 9, 3, 0, 22, 0, 0, 0,
    0, 96, 1, 2, 126, 132, 1, 0, 25, 0, 0, 0, 0, 162, 12, 0, 0, 2, 127, 132, 1, 0, 0, 25, 0, 0, 0,
    0, 254, 62, 0, 0, 2, 128, 132, 1, 0, 8, 25, 0, 0, 0, 0, 168, 0, 0, 0, 2, 129, 132, 1, 0, 12,
    25, 0, 0, 0, 0, 151, 10, 3, 0, 2, 130, 132, 1, 0, 16, 25, 0, 0, 0, 0, 167, 11, 3, 0, 2, 131,
    132, 1, 0, 24, 25, 0, 0, 0, 0, 98, 13, 3, 0, 2, 132, 132, 1, 0, 32, 25, 0, 0, 0, 0, 168, 0, 0,
    0, 2, 133, 132, 1, 0, 40, 25, 0, 0, 0, 0, 33, 67, 0, 0, 2, 134, 132, 1, 0, 44, 25, 0, 0, 0, 0,
    167, 11, 3, 0, 2, 135, 132, 1, 0, 48, 25, 0, 0, 0, 0, 90, 22, 0, 0, 2, 136, 132, 1, 0, 56, 25,
    0, 0, 0, 0, 90, 22, 0, 0, 2, 137, 132, 1, 0, 64, 25, 0, 0, 0, 0, 90, 22, 0, 0, 2, 138, 132, 1,
    0, 72, 25, 0, 0, 0, 0, 90, 22, 0, 0, 2, 139, 132, 1, 0, 80, 25, 0, 0, 0, 0, 90, 22, 0, 0, 2,
    140, 132, 1, 0, 88, 25, 0, 0, 0, 0, 169, 26, 0, 0, 2, 141, 132, 1, 0, 96, 25, 0, 0, 0, 0, 169,
    26, 0, 0, 2, 142, 132, 1, 0, 97, 25, 0, 0, 0, 0, 169, 26, 0, 0, 2, 143, 132, 1, 0, 98, 25, 0,
    0, 0, 0, 134, 156, 0, 0, 2, 144, 132, 1, 0, 104, 25, 0, 0, 0, 0, 134, 156, 0, 0, 2, 145, 132,
    1, 0, 144, 25, 0, 0, 0, 0, 192, 147, 1, 0, 2, 146, 132, 1, 0, 184, 25, 0, 0, 0, 0, 172, 102, 1,
    0, 2, 147, 132, 1, 0, 192, 27, 0, 0, 0, 0, 28, 22, 0, 0, 2, 148, 132, 1, 0, 80, 1, 0, 9, 156,
    10, 3, 0, 40, 0, 0, 0, 0, 120, 2, 30, 133, 1, 0, 25, 0, 0, 0, 0, 152, 21, 0, 0, 2, 31, 133, 1,
    0, 0, 25, 0, 0, 0, 0, 151, 10, 3, 0, 2, 32, 133, 1, 0, 16, 25, 0, 0, 0, 0, 58, 9, 3, 0, 2, 33,
    133, 1, 0, 24, 25, 0, 0, 0, 0, 28, 22, 0, 0, 2, 34, 133, 1, 0, 32, 25, 0, 0, 0, 0, 21, 48, 0,
    0, 2, 35, 133, 1, 0, 48, 25, 0, 0, 0, 0, 21, 48, 0, 0, 2, 36, 133, 1, 0, 52, 25, 0, 0, 0, 0,
    21, 48, 0, 0, 2, 37, 133, 1, 0, 56, 25, 0, 0, 0, 0, 27, 1, 0, 0, 2, 38, 133, 1, 0, 60, 25, 0,
    0, 0, 0, 21, 48, 0, 0, 2, 39, 133, 1, 0, 64, 25, 0, 0, 0, 0, 169, 26, 0, 0, 2, 40, 133, 1, 0,
    68, 25, 0, 0, 0, 0, 169, 26, 0, 0, 2, 41, 133, 1, 0, 69, 25, 0, 0, 0, 0, 27, 1, 0, 0, 2, 42,
    133, 1, 0, 72, 25, 0, 0, 0, 0, 73, 21, 0, 0, 2, 43, 133, 1, 0, 76, 25, 0, 0, 0, 0, 27, 1, 0, 0,
    2, 44, 133, 1, 0, 92, 25, 0, 0, 0, 0, 27, 1, 0, 0, 2, 45, 133, 1, 0, 96, 25, 0, 0, 0, 0, 90,
    22, 0, 0, 2, 46, 133, 1, 0, 104, 25, 0, 0, 0, 0, 90, 22, 0, 0, 2, 47, 133, 1, 0, 112, 0, 9,
    172, 11, 3, 0, 40, 0, 0, 0, 0, 144, 2, 213, 156, 1, 0, 25, 0, 0, 0, 0, 58, 9, 3, 0, 2, 214,
    156, 1, 0, 0, 25, 0, 0, 0, 0, 21, 48, 0, 0, 2, 215, 156, 1, 0, 8, 25, 0, 0, 0, 0, 38, 1, 0, 0,
    2, 216, 156, 1, 0, 12, 25, 0, 0, 0, 0, 247, 12, 3, 0, 2, 217, 156, 1, 0, 16, 25, 0, 0, 0, 0,
    247, 12, 3, 0, 2, 218, 156, 1, 0, 24, 25, 0, 0, 0, 0, 11, 103, 0, 0, 2, 219, 156, 1, 0, 32, 23,
    28, 12, 3, 0, 2, 220, 156, 1, 0, 48, 24, 8, 2, 220, 156, 1, 0, 25, 0, 0, 0, 0, 167, 11, 3, 0,
    2, 221, 156, 1, 0, 0, 25, 0, 0, 0, 0, 167, 11, 3, 0, 2, 222, 156, 1, 0, 0, 0, 25, 0, 0, 0, 0,
    167, 11, 3, 0, 2, 224, 156, 1, 0, 56, 25, 0, 0, 0, 0, 134, 156, 0, 0, 2, 225, 156, 1, 0, 64,
    25, 0, 0, 0, 0, 168, 0, 0, 0, 2, 226, 156, 1, 0, 104, 25, 0, 0, 0, 0, 254, 62, 0, 0, 2, 227,
    156, 1, 0, 108, 25, 0, 0, 0, 0, 33, 67, 0, 0, 2, 228, 156, 1, 0, 112, 25, 0, 0, 0, 0, 75, 0, 0,
    0, 2, 229, 156, 1, 0, 116, 25, 0, 0, 0, 0, 75, 0, 0, 0, 2, 230, 156, 1, 0, 117, 25, 0, 0, 0, 0,
    75, 0, 0, 0, 2, 231, 156, 1, 0, 118, 25, 0, 0, 0, 0, 75, 0, 0, 0, 2, 232, 156, 1, 0, 119, 25,
    0, 0, 0, 0, 169, 26, 0, 0, 2, 233, 156, 1, 0, 120, 25, 0, 0, 0, 0, 169, 26, 0, 0, 2, 234, 156,
    1, 0, 121, 25, 0, 0, 0, 0, 28, 22, 0, 0, 2, 235, 156, 1, 0, 128, 0, 9, 252, 12, 3, 0, 40, 0, 0,
    0, 0, 32, 2, 253, 156, 1, 0, 25, 0, 0, 0, 0, 247, 12, 3, 0, 2, 254, 156, 1, 0, 0, 25, 0, 0, 0,
    0, 11, 103, 0, 0, 2, 255, 156, 1, 0, 8, 25, 0, 0, 0, 0, 21, 48, 0, 0, 2, 0, 157, 1, 0, 24, 25,
    0, 0, 0, 0, 169, 26, 0, 0, 2, 1, 157, 1, 0, 28, 25, 0, 0, 0, 0, 169, 26, 0, 0, 2, 2, 157, 1, 0,
    29, 25, 0, 0, 0, 0, 169, 26, 0, 0, 2, 3, 157, 1, 0, 30, 0, 9, 167, 11, 3, 0, 9, 108, 13, 3, 0,
    22, 0, 0, 0, 0, 0, 4, 2, 7, 173, 1, 0, 25, 0, 0, 0, 0, 217, 16, 3, 0, 2, 8, 173, 1, 0, 0, 25,
    0, 0, 0, 0, 156, 31, 3, 0, 2, 9, 173, 1, 0, 8, 25, 0, 0, 0, 0, 195, 21, 0, 0, 2, 10, 173, 1, 0,
    16, 25, 0, 0, 0, 0, 162, 12, 0, 0, 2, 11, 173, 1, 0, 32, 25, 0, 0, 0, 0, 177, 66, 0, 0, 2, 12,
    173, 1, 0, 40, 25, 0, 0, 0, 0, 195, 21, 0, 0, 2, 13, 173, 1, 0, 48, 25, 0, 0, 0, 0, 33, 67, 0,
    0, 2, 14, 173, 1, 0, 64, 55, 0, 0, 0, 0, 218, 67, 0, 0, 2, 15, 173, 1, 0, 1, 1, 7, 68, 25, 0,
    0, 0, 0, 128, 104, 0, 0, 2, 16, 173, 1, 0, 72, 25, 0, 0, 0, 0, 181, 51, 0, 0, 2, 17, 173, 1, 0,
    104, 25, 0, 0, 0, 0, 181, 51, 0, 0, 2, 18, 173, 1, 0, 105, 25, 0, 0, 0, 0, 45, 208, 2, 0, 2,
    19, 173, 1, 0, 106, 25, 0, 0, 0, 0, 10, 29, 3, 0, 2, 20, 173, 1, 0, 112, 25, 0, 0, 0, 0, 218,
    67, 0, 0, 2, 21, 173, 1, 0, 144, 25, 0, 0, 0, 0, 218, 67, 0, 0, 2, 22, 173, 1, 0, 145, 25, 0,
    0, 0, 0, 218, 67, 0, 0, 2, 23, 173, 1, 0, 146, 25, 0, 0, 0, 0, 136, 42, 3, 0, 2, 24, 173, 1, 0,
    152, 25, 0, 0, 0, 0, 146, 42, 3, 0, 2, 25, 173, 1, 0, 160, 25, 0, 0, 0, 0, 156, 42, 3, 0, 2,
    26, 173, 1, 0, 168, 25, 0, 0, 0, 0, 177, 66, 0, 0, 2, 27, 173, 1, 0, 172, 25, 0, 0, 0, 0, 117,
    158, 0, 0, 2, 28, 173, 1, 0, 176, 25, 0, 0, 0, 0, 45, 208, 2, 0, 2, 29, 173, 1, 0, 208, 25, 0,
    0, 0, 0, 195, 21, 0, 0, 2, 30, 173, 1, 0, 216, 25, 0, 0, 0, 0, 33, 67, 0, 0, 2, 31, 173, 1, 0,
    232, 25, 0, 0, 0, 0, 202, 42, 3, 0, 2, 32, 173, 1, 0, 240, 25, 0, 0, 0, 0, 212, 42, 3, 0, 2,
    33, 173, 1, 0, 248, 27, 0, 0, 0, 0, 212, 42, 3, 0, 2, 34, 173, 1, 0, 24, 1, 27, 0, 0, 0, 0,
    181, 51, 0, 0, 2, 35, 173, 1, 0, 56, 1, 27, 0, 0, 0, 0, 181, 51, 0, 0, 2, 36, 173, 1, 0, 57, 1,
    27, 0, 0, 0, 0, 181, 51, 0, 0, 2, 37, 173, 1, 0, 58, 1, 27, 0, 0, 0, 0, 168, 0, 0, 0, 2, 38,
    173, 1, 0, 60, 1, 27, 0, 0, 0, 0, 168, 0, 0, 0, 2, 39, 173, 1, 0, 64, 1, 27, 0, 0, 0, 0, 177,
    66, 0, 0, 2, 40, 173, 1, 0, 68, 1, 27, 0, 0, 0, 0, 177, 66, 0, 0, 2, 41, 173, 1, 0, 72, 1, 27,
    0, 0, 0, 0, 181, 51, 0, 0, 2, 42, 173, 1, 0, 76, 1, 27, 0, 0, 0, 0, 181, 51, 0, 0, 2, 43, 173,
    1, 0, 77, 1, 27, 0, 0, 0, 0, 90, 22, 0, 0, 2, 44, 173, 1, 0, 80, 1, 27, 0, 0, 0, 0, 38, 1, 0,
    0, 2, 45, 173, 1, 0, 88, 1, 27, 0, 0, 0, 0, 209, 15, 3, 0, 2, 58, 173, 1, 0, 96, 1, 63, 88, 2,
    2, 46, 173, 1, 0, 25, 0, 0, 0, 0, 152, 43, 3, 0, 2, 47, 173, 1, 0, 0, 25, 0, 0, 0, 0, 90, 45,
    3, 0, 2, 48, 173, 1, 0, 160, 27, 0, 0, 0, 0, 146, 42, 3, 0, 2, 49, 173, 1, 0, 16, 2, 27, 0, 0,
    0, 0, 84, 174, 2, 0, 2, 50, 173, 1, 0, 24, 2, 27, 0, 0, 0, 0, 36, 54, 0, 0, 2, 51, 173, 1, 0,
    32, 2, 27, 0, 0, 0, 0, 45, 208, 2, 0, 2, 52, 173, 1, 0, 40, 2, 27, 0, 0, 0, 0, 45, 208, 2, 0,
    2, 53, 173, 1, 0, 46, 2, 27, 0, 0, 0, 0, 10, 29, 3, 0, 2, 54, 173, 1, 0, 52, 2, 27, 0, 0, 0, 0,
    38, 42, 2, 0, 2, 55, 173, 1, 0, 84, 2, 27, 0, 0, 0, 0, 38, 42, 2, 0, 2, 56, 173, 1, 0, 85, 2,
    27, 0, 0, 0, 0, 181, 51, 0, 0, 2, 57, 173, 1, 0, 86, 2, 0, 27, 0, 0, 0, 0, 99, 49, 3, 0, 2, 59,
    173, 1, 0, 184, 3, 27, 0, 0, 0, 0, 195, 21, 0, 0, 2, 60, 173, 1, 0, 192, 3, 27, 0, 0, 0, 0, 33,
    67, 0, 0, 2, 61, 173, 1, 0, 208, 3, 27, 0, 0, 0, 0, 117, 158, 0, 0, 2, 62, 173, 1, 0, 216, 3,
    27, 0, 0, 0, 0, 90, 22, 0, 0, 2, 63, 173, 1, 0, 248, 3, 0, 9, 222, 16, 3, 0, 22, 0, 0, 0, 0, 0,
    5, 2, 171, 174, 1, 0, 25, 0, 0, 0, 0, 45, 208, 2, 0, 2, 172, 174, 1, 0, 0, 25, 0, 0, 0, 0, 45,
    208, 2, 0, 2, 173, 174, 1, 0, 6, 25, 0, 0, 0, 0, 21, 22, 3, 0, 2, 174, 174, 1, 0, 16, 25, 0, 0,
    0, 0, 53, 22, 3, 0, 2, 175, 174, 1, 0, 24, 25, 0, 0, 0, 0, 105, 22, 3, 0, 2, 176, 174, 1, 0,
    32, 25, 0, 0, 0, 0, 168, 0, 0, 0, 2, 177, 174, 1, 0, 40, 25, 0, 0, 0, 0, 229, 67, 0, 0, 2, 178,
    174, 1, 0, 44, 25, 0, 0, 0, 0, 229, 67, 0, 0, 2, 179, 174, 1, 0, 46, 25, 0, 0, 0, 0, 229, 67,
    0, 0, 2, 180, 174, 1, 0, 48, 25, 0, 0, 0, 0, 229, 67, 0, 0, 2, 181, 174, 1, 0, 50, 25, 0, 0, 0,
    0, 177, 66, 0, 0, 2, 182, 174, 1, 0, 52, 25, 0, 0, 0, 0, 177, 66, 0, 0, 2, 183, 174, 1, 0, 56,
    25, 0, 0, 0, 0, 177, 66, 0, 0, 2, 184, 174, 1, 0, 60, 25, 0, 0, 0, 0, 43, 23, 3, 0, 2, 185,
    174, 1, 0, 64, 25, 0, 0, 0, 0, 177, 66, 0, 0, 2, 186, 174, 1, 0, 72, 25, 0, 0, 0, 0, 55, 23, 3,
    0, 2, 187, 174, 1, 0, 76, 25, 0, 0, 0, 0, 168, 0, 0, 0, 2, 188, 174, 1, 0, 80, 25, 0, 0, 0, 0,
    218, 67, 0, 0, 2, 189, 174, 1, 0, 84, 25, 0, 0, 0, 0, 218, 67, 0, 0, 2, 190, 174, 1, 0, 85, 25,
    0, 0, 0, 0, 218, 67, 0, 0, 2, 191, 174, 1, 0, 86, 25, 0, 0, 0, 0, 218, 67, 0, 0, 2, 192, 174,
    1, 0, 87, 25, 0, 0, 0, 0, 229, 67, 0, 0, 2, 193, 174, 1, 0, 88, 25, 0, 0, 0, 0, 229, 67, 0, 0,
    2, 194, 174, 1, 0, 90, 25, 0, 0, 0, 0, 177, 66, 0, 0, 2, 195, 174, 1, 0, 92, 25, 0, 0, 0, 0,
    177, 66, 0, 0, 2, 196, 174, 1, 0, 96, 25, 0, 0, 0, 0, 177, 66, 0, 0, 2, 197, 174, 1, 0, 100,
    25, 0, 0, 0, 0, 168, 0, 0, 0, 2, 198, 174, 1, 0, 104, 25, 0, 0, 0, 0, 47, 208, 0, 0, 2, 199,
    174, 1, 0, 112, 25, 0, 0, 0, 0, 168, 0, 0, 0, 2, 200, 174, 1, 0, 120, 25, 0, 0, 0, 0, 47, 208,
    0, 0, 2, 201, 174, 1, 0, 128, 25, 0, 0, 0, 0, 89, 23, 3, 0, 2, 202, 174, 1, 0, 136, 25, 0, 0,
    0, 0, 38, 1, 0, 0, 2, 203, 174, 1, 0, 144, 25, 0, 0, 0, 0, 218, 67, 0, 0, 2, 204, 174, 1, 0,
    148, 25, 0, 0, 0, 0, 218, 67, 0, 0, 2, 205, 174, 1, 0, 149, 25, 0, 0, 0, 0, 177, 66, 0, 0, 2,
    206, 174, 1, 0, 152, 25, 0, 0, 0, 0, 177, 66, 0, 0, 2, 207, 174, 1, 0, 156, 25, 0, 0, 0, 0,
    218, 67, 0, 0, 2, 208, 174, 1, 0, 160, 25, 0, 0, 0, 0, 131, 192, 0, 0, 2, 209, 174, 1, 0, 161,
    25, 0, 0, 0, 0, 177, 66, 0, 0, 2, 210, 174, 1, 0, 196, 25, 0, 0, 0, 0, 156, 23, 3, 0, 2, 211,
    174, 1, 0, 200, 25, 0, 0, 0, 0, 191, 24, 3, 0, 2, 212, 174, 1, 0, 208, 25, 0, 0, 0, 0, 229, 67,
    0, 0, 2, 213, 174, 1, 0, 216, 25, 0, 0, 0, 0, 218, 67, 0, 0, 2, 214, 174, 1, 0, 218, 25, 0, 0,
    0, 0, 177, 66, 0, 0, 2, 215, 174, 1, 0, 220, 25, 0, 0, 0, 0, 177, 66, 0, 0, 2, 216, 174, 1, 0,
    224, 25, 0, 0, 0, 0, 177, 66, 0, 0, 2, 217, 174, 1, 0, 228, 25, 0, 0, 0, 0, 84, 174, 2, 0, 2,
    218, 174, 1, 0, 232, 25, 0, 0, 0, 0, 84, 174, 2, 0, 2, 219, 174, 1, 0, 240, 25, 0, 0, 0, 0,
    218, 67, 0, 0, 2, 220, 174, 1, 0, 248, 27, 0, 0, 0, 0, 74, 31, 3, 0, 2, 221, 174, 1, 0, 0, 1,
    27, 0, 0, 0, 0, 38, 1, 0, 0, 2, 222, 174, 1, 0, 8, 1, 27, 0, 0, 0, 0, 45, 1, 0, 0, 2, 223, 174,
    1, 0, 16, 1, 27, 0, 0, 0, 0, 6, 32, 3, 0, 2, 224, 174, 1, 0, 24, 1, 27, 0, 0, 0, 0, 86, 36, 3,
    0, 2, 225, 174, 1, 0, 64, 1, 27, 0, 0, 0, 0, 174, 37, 3, 0, 2, 226, 174, 1, 0, 72, 1, 27, 0, 0,
    0, 0, 5, 166, 0, 0, 2, 227, 174, 1, 0, 80, 1, 27, 0, 0, 0, 0, 181, 51, 0, 0, 2, 228, 174, 1, 0,
    64, 4, 27, 0, 0, 0, 0, 185, 64, 0, 0, 2, 229, 174, 1, 0, 72, 4, 27, 0, 0, 0, 0, 98, 39, 3, 0,
    2, 230, 174, 1, 0, 80, 4, 27, 0, 0, 0, 0, 222, 39, 3, 0, 2, 231, 174, 1, 0, 88, 4, 27, 0, 0, 0,
    0, 195, 21, 0, 0, 2, 232, 174, 1, 0, 96, 4, 27, 0, 0, 0, 0, 112, 145, 1, 0, 2, 233, 174, 1, 0,
    112, 4, 27, 0, 0, 0, 0, 14, 24, 0, 0, 2, 234, 174, 1, 0, 120, 4, 27, 0, 0, 0, 0, 18, 40, 3, 0,
    2, 235, 174, 1, 0, 128, 4, 27, 0, 0, 0, 0, 130, 40, 3, 0, 2, 236, 174, 1, 0, 136, 4, 27, 0, 0,
    0, 0, 100, 41, 3, 0, 2, 237, 174, 1, 0, 144, 4, 27, 0, 0, 0, 0, 168, 0, 0, 0, 2, 238, 174, 1,
    0, 152, 4, 27, 0, 0, 0, 0, 168, 0, 0, 0, 2, 239, 174, 1, 0, 156, 4, 27, 0, 0, 0, 0, 229, 67, 0,
    0, 2, 240, 174, 1, 0, 160, 4, 27, 0, 0, 0, 0, 218, 67, 0, 0, 2, 241, 174, 1, 0, 162, 4, 27, 0,
    0, 0, 0, 177, 66, 0, 0, 2, 242, 174, 1, 0, 164, 4, 27, 0, 0, 0, 0, 218, 67, 0, 0, 2, 243, 174,
    1, 0, 168, 4, 27, 0, 0, 0, 0, 177, 66, 0, 0, 2, 244, 174, 1, 0, 172, 4, 27, 0, 0, 0, 0, 177,
    66, 0, 0, 2, 245, 174, 1, 0, 176, 4, 27, 0, 0, 0, 0, 177, 66, 0, 0, 2, 246, 174, 1, 0, 180, 4,
    27, 0, 0, 0, 0, 90, 22, 0, 0, 2, 247, 174, 1, 0, 184, 4, 56, 0, 0, 0, 0, 218, 67, 0, 0, 2, 248,
    174, 1, 0, 1, 1, 7, 192, 4, 56, 0, 0, 0, 0, 218, 67, 0, 0, 2, 249, 174, 1, 0, 1, 1, 6, 192, 4,
    27, 0, 0, 0, 0, 110, 41, 3, 0, 2, 250, 174, 1, 0, 200, 4, 27, 0, 0, 0, 0, 191, 21, 3, 0, 2,
    255, 174, 1, 0, 208, 4, 59, 24, 2, 251, 174, 1, 0, 25, 0, 0, 0, 0, 109, 22, 0, 0, 2, 252, 174,
    1, 0, 0, 25, 0, 0, 0, 0, 109, 22, 0, 0, 2, 253, 174, 1, 0, 8, 25, 0, 0, 0, 0, 218, 67, 0, 0, 2,
    254, 174, 1, 0, 16, 0, 27, 0, 0, 0, 0, 218, 67, 0, 0, 2, 0, 175, 1, 0, 232, 4, 27, 0, 0, 0, 0,
    78, 22, 0, 0, 2, 4, 175, 1, 0, 0, 5, 0, 9, 26, 22, 3, 0, 40, 0, 0, 0, 0, 6, 2, 138, 174, 1, 0,
    25, 0, 0, 0, 0, 45, 208, 2, 0, 2, 139, 174, 1, 0, 0, 0, 9, 58, 22, 3, 0, 37, 63, 22, 3, 0, 40,
    0, 0, 0, 0, 4, 2, 105, 175, 1, 0, 25, 0, 0, 0, 0, 229, 67, 0, 0, 2, 106, 175, 1, 0, 0, 25, 0,
    0, 0, 0, 229, 67, 0, 0, 2, 107, 175, 1, 0, 2, 0, 9, 110, 22, 3, 0, 37, 115, 22, 3, 0, 40, 0, 0,
    0, 0, 24, 2, 94, 175, 1, 0, 25, 0, 0, 0, 0, 247, 22, 3, 0, 2, 95, 175, 1, 0, 0, 25, 0, 0, 0, 0,
    177, 66, 0, 0, 2, 96, 175, 1, 0, 8, 25, 0, 0, 0, 0, 229, 67, 0, 0, 2, 97, 175, 1, 0, 12, 25, 0,
    0, 0, 0, 218, 67, 0, 0, 2, 98, 175, 1, 0, 14, 25, 0, 0, 0, 0, 181, 51, 0, 0, 2, 99, 175, 1, 0,
    15, 25, 0, 0, 0, 0, 218, 67, 0, 0, 2, 100, 175, 1, 0, 16, 25, 0, 0, 0, 0, 218, 67, 0, 0, 2,
    101, 175, 1, 0, 17, 25, 0, 0, 0, 0, 177, 66, 0, 0, 2, 102, 175, 1, 0, 20, 0, 9, 252, 22, 3, 0,
    37, 1, 23, 3, 0, 40, 0, 0, 0, 0, 4, 2, 89, 175, 1, 0, 25, 0, 0, 0, 0, 229, 67, 0, 0, 2, 90,
    175, 1, 0, 0, 25, 0, 0, 0, 0, 229, 67, 0, 0, 2, 91, 175, 1, 0, 2, 0, 3, 218, 67, 0, 0, 4, 82,
    0, 0, 0, 7, 0, 21, 38, 1, 0, 0, 0, 0, 0, 0, 4, 2, 147, 174, 1, 0, 19, 0, 0, 0, 0, 0, 19, 0, 0,
    0, 0, 1, 19, 0, 0, 0, 0, 2, 0, 9, 94, 23, 3, 0, 37, 99, 23, 3, 0, 40, 0, 0, 0, 0, 24, 2, 172,
    175, 1, 0, 25, 0, 0, 0, 0, 229, 67, 0, 0, 2, 173, 175, 1, 0, 0, 25, 0, 0, 0, 0, 47, 208, 0, 0,
    2, 174, 175, 1, 0, 8, 25, 0, 0, 0, 0, 168, 0, 0, 0, 2, 175, 175, 1, 0, 16, 0, 9, 161, 23, 3, 0,
    37, 166, 23, 3, 0, 40, 0, 0, 0, 0, 32, 2, 118, 175, 1, 0, 25, 0, 0, 0, 0, 177, 66, 0, 0, 2,
    119, 175, 1, 0, 0, 25, 0, 0, 0, 0, 168, 0, 0, 0, 2, 120, 175, 1, 0, 4, 25, 0, 0, 0, 0, 168, 0,
    0, 0, 2, 121, 175, 1, 0, 8, 25, 0, 0, 0, 0, 168, 0, 0, 0, 2, 122, 175, 1, 0, 12, 25, 0, 0, 0,
    0, 168, 0, 0, 0, 2, 123, 175, 1, 0, 16, 25, 0, 0, 0, 0, 168, 0, 0, 0, 2, 124, 175, 1, 0, 20,
    25, 0, 0, 0, 0, 27, 24, 3, 0, 2, 125, 175, 1, 0, 24, 0, 9, 32, 24, 3, 0, 37, 37, 24, 3, 0, 40,
    0, 0, 0, 0, 24, 2, 110, 175, 1, 0, 25, 0, 0, 0, 0, 124, 24, 3, 0, 2, 111, 175, 1, 0, 0, 25, 0,
    0, 0, 0, 177, 66, 0, 0, 2, 112, 175, 1, 0, 8, 25, 0, 0, 0, 0, 177, 66, 0, 0, 2, 113, 175, 1, 0,
    12, 25, 0, 0, 0, 0, 177, 66, 0, 0, 2, 114, 175, 1, 0, 16, 25, 0, 0, 0, 0, 181, 51, 0, 0, 2,
    115, 175, 1, 0, 20, 0, 9, 129, 24, 3, 0, 37, 134, 24, 3, 0, 40, 0, 0, 0, 0, 12, 2, 159, 173, 1,
    0, 25, 0, 0, 0, 0, 27, 1, 0, 0, 2, 160, 173, 1, 0, 0, 25, 0, 0, 0, 0, 27, 1, 0, 0, 2, 161, 173,
    1, 0, 4, 25, 0, 0, 0, 0, 27, 1, 0, 0, 2, 162, 173, 1, 0, 8, 0, 9, 196, 24, 3, 0, 40, 0, 0, 0,
    0, 40, 2, 75, 175, 1, 0, 25, 0, 0, 0, 0, 181, 51, 0, 0, 2, 76, 175, 1, 0, 0, 25, 0, 0, 0, 0,
    181, 51, 0, 0, 2, 77, 175, 1, 0, 1, 25, 0, 0, 0, 0, 181, 51, 0, 0, 2, 78, 175, 1, 0, 2, 25, 0,
    0, 0, 0, 181, 51, 0, 0, 2, 79, 175, 1, 0, 3, 25, 0, 0, 0, 0, 181, 51, 0, 0, 2, 80, 175, 1, 0,
    4, 25, 0, 0, 0, 0, 181, 51, 0, 0, 2, 81, 175, 1, 0, 5, 25, 0, 0, 0, 0, 181, 51, 0, 0, 2, 82,
    175, 1, 0, 6, 25, 0, 0, 0, 0, 117, 25, 3, 0, 2, 83, 175, 1, 0, 8, 25, 0, 0, 0, 0, 194, 25, 3,
    0, 2, 84, 175, 1, 0, 16, 25, 0, 0, 0, 0, 168, 0, 0, 0, 2, 85, 175, 1, 0, 24, 25, 0, 0, 0, 0,
    38, 27, 3, 0, 2, 86, 175, 1, 0, 32, 0, 9, 122, 25, 3, 0, 40, 0, 0, 0, 0, 24, 2, 50, 175, 1, 0,
    25, 0, 0, 0, 0, 84, 174, 2, 0, 2, 51, 175, 1, 0, 0, 25, 0, 0, 0, 0, 84, 174, 2, 0, 2, 52, 175,
    1, 0, 8, 25, 0, 0, 0, 0, 168, 0, 0, 0, 2, 53, 175, 1, 0, 16, 25, 0, 0, 0, 0, 168, 0, 0, 0, 2,
    54, 175, 1, 0, 20, 0, 9, 199, 25, 3, 0, 40, 0, 0, 0, 0, 96, 2, 57, 175, 1, 0, 25, 0, 0, 0, 0,
    9, 193, 2, 0, 2, 58, 175, 1, 0, 0, 25, 0, 0, 0, 0, 21, 48, 0, 0, 2, 59, 175, 1, 0, 8, 25, 0, 0,
    0, 0, 21, 48, 0, 0, 2, 60, 175, 1, 0, 12, 25, 0, 0, 0, 0, 229, 67, 0, 0, 2, 61, 175, 1, 0, 16,
    25, 0, 0, 0, 0, 229, 67, 0, 0, 2, 62, 175, 1, 0, 18, 25, 0, 0, 0, 0, 45, 208, 2, 0, 2, 63, 175,
    1, 0, 20, 25, 0, 0, 0, 0, 168, 0, 0, 0, 2, 64, 175, 1, 0, 28, 25, 0, 0, 0, 0, 84, 174, 2, 0, 2,
    65, 175, 1, 0, 32, 25, 0, 0, 0, 0, 180, 26, 3, 0, 2, 66, 175, 1, 0, 40, 25, 0, 0, 0, 0, 177,
    66, 0, 0, 2, 67, 175, 1, 0, 52, 25, 0, 0, 0, 0, 177, 66, 0, 0, 2, 68, 175, 1, 0, 56, 25, 0, 0,
    0, 0, 84, 174, 2, 0, 2, 69, 175, 1, 0, 64, 25, 0, 0, 0, 0, 84, 174, 2, 0, 2, 70, 175, 1, 0, 72,
    25, 0, 0, 0, 0, 177, 66, 0, 0, 2, 71, 175, 1, 0, 80, 25, 0, 0, 0, 0, 237, 26, 3, 0, 2, 72, 175,
    1, 0, 84, 0, 40, 0, 0, 0, 0, 12, 2, 147, 173, 1, 0, 25, 0, 0, 0, 0, 27, 1, 0, 0, 2, 148, 173,
    1, 0, 0, 25, 0, 0, 0, 0, 27, 1, 0, 0, 2, 149, 173, 1, 0, 4, 25, 0, 0, 0, 0, 27, 1, 0, 0, 2,
    150, 173, 1, 0, 8, 0, 40, 0, 0, 0, 0, 8, 2, 153, 173, 1, 0, 25, 0, 0, 0, 0, 27, 1, 0, 0, 2,
    154, 173, 1, 0, 0, 25, 0, 0, 0, 0, 27, 1, 0, 0, 2, 155, 173, 1, 0, 4, 25, 0, 0, 0, 0, 198, 137,
    1, 0, 2, 156, 173, 1, 0, 8, 0, 9, 43, 27, 3, 0, 40, 0, 0, 0, 0, 192, 2, 19, 175, 1, 0, 25, 0,
    0, 0, 0, 109, 22, 0, 0, 2, 20, 175, 1, 0, 0, 25, 0, 0, 0, 0, 219, 28, 3, 0, 2, 21, 175, 1, 0,
    8, 25, 0, 0, 0, 0, 168, 0, 0, 0, 2, 22, 175, 1, 0, 16, 25, 0, 0, 0, 0, 177, 66, 0, 0, 2, 23,
    175, 1, 0, 20, 25, 0, 0, 0, 0, 22, 29, 3, 0, 2, 24, 175, 1, 0, 24, 25, 0, 0, 0, 0, 84, 174, 2,
    0, 2, 25, 175, 1, 0, 32, 25, 0, 0, 0, 0, 36, 54, 0, 0, 2, 26, 175, 1, 0, 40, 25, 0, 0, 0, 0,
    177, 66, 0, 0, 2, 27, 175, 1, 0, 48, 25, 0, 0, 0, 0, 68, 29, 3, 0, 2, 28, 175, 1, 0, 56, 25, 0,
    0, 0, 0, 168, 0, 0, 0, 2, 29, 175, 1, 0, 64, 25, 0, 0, 0, 0, 12, 101, 0, 0, 2, 30, 175, 1, 0,
    68, 25, 0, 0, 0, 0, 177, 66, 0, 0, 2, 31, 175, 1, 0, 72, 25, 0, 0, 0, 0, 157, 29, 3, 0, 2, 32,
    175, 1, 0, 80, 25, 0, 0, 0, 0, 168, 0, 0, 0, 2, 33, 175, 1, 0, 88, 25, 0, 0, 0, 0, 45, 208, 2,
    0, 2, 34, 175, 1, 0, 92, 25, 0, 0, 0, 0, 45, 208, 2, 0, 2, 35, 175, 1, 0, 98, 25, 0, 0, 0, 0,
    181, 51, 0, 0, 2, 36, 175, 1, 0, 104, 25, 0, 0, 0, 0, 38, 42, 2, 0, 2, 37, 175, 1, 0, 105, 25,
    0, 0, 0, 0, 204, 29, 3, 0, 2, 38, 175, 1, 0, 108, 25, 0, 0, 0, 0, 217, 16, 3, 0, 2, 39, 175, 1,
    0, 120, 25, 0, 0, 0, 0, 162, 12, 0, 0, 2, 40, 175, 1, 0, 128, 25, 0, 0, 0, 0, 90, 22, 0, 0, 2,
    41, 175, 1, 0, 136, 25, 0, 0, 0, 0, 181, 51, 0, 0, 2, 42, 175, 1, 0, 144, 25, 0, 0, 0, 0, 28,
    22, 0, 0, 2, 43, 175, 1, 0, 152, 25, 0, 0, 0, 0, 177, 66, 0, 0, 2, 44, 175, 1, 0, 168, 25, 0,
    0, 0, 0, 181, 51, 0, 0, 2, 45, 175, 1, 0, 172, 25, 0, 0, 0, 0, 195, 21, 0, 0, 2, 46, 175, 1, 0,
    176, 25, 0, 0, 0, 0, 42, 30, 3, 0, 2, 47, 175, 1, 0, 192, 0, 9, 224, 28, 3, 0, 40, 0, 0, 0, 0,
    33, 2, 142, 174, 1, 0, 25, 0, 0, 0, 0, 10, 29, 3, 0, 2, 143, 174, 1, 0, 0, 25, 0, 0, 0, 0, 218,
    67, 0, 0, 2, 144, 174, 1, 0, 32, 0, 3, 218, 67, 0, 0, 4, 82, 0, 0, 0, 32, 0, 21, 38, 1, 0, 0,
    0, 0, 0, 0, 4, 2, 139, 173, 1, 0, 19, 0, 0, 0, 0, 0, 19, 0, 0, 0, 0, 1, 19, 0, 0, 0, 0, 2, 19,
    0, 0, 0, 0, 3, 19, 0, 0, 0, 0, 4, 0, 9, 73, 29, 3, 0, 40, 0, 0, 0, 0, 64, 2, 7, 175, 1, 0, 25,
    0, 0, 0, 0, 224, 28, 3, 0, 2, 8, 175, 1, 0, 0, 25, 0, 0, 0, 0, 45, 208, 2, 0, 2, 9, 175, 1, 0,
    33, 25, 0, 0, 0, 0, 12, 101, 0, 0, 2, 10, 175, 1, 0, 40, 25, 0, 0, 0, 0, 145, 29, 3, 0, 2, 11,
    175, 1, 0, 44, 0, 3, 12, 101, 0, 0, 4, 82, 0, 0, 0, 5, 0, 9, 162, 29, 3, 0, 40, 0, 0, 0, 0, 8,
    2, 14, 175, 1, 0, 25, 0, 0, 0, 0, 177, 66, 0, 0, 2, 15, 175, 1, 0, 0, 25, 0, 0, 0, 0, 177, 66,
    0, 0, 2, 16, 175, 1, 0, 4, 0, 40, 0, 0, 0, 0, 8, 2, 203, 172, 1, 0, 25, 0, 0, 0, 0, 246, 29, 3,
    0, 2, 204, 172, 1, 0, 0, 25, 0, 0, 0, 0, 38, 42, 2, 0, 2, 205, 172, 1, 0, 4, 0, 21, 38, 1, 0,
    0, 0, 0, 0, 0, 4, 2, 194, 172, 1, 0, 19, 0, 0, 0, 0, 0, 19, 0, 0, 0, 0, 1, 19, 0, 0, 0, 0, 2,
    19, 0, 0, 0, 0, 3, 19, 0, 0, 0, 0, 4, 19, 0, 0, 0, 0, 5, 0, 3, 54, 30, 3, 0, 4, 82, 0, 0, 0, 0,
    0, 9, 59, 30, 3, 0, 40, 0, 0, 0, 0, 64, 2, 54, 174, 1, 0, 25, 0, 0, 0, 0, 246, 29, 3, 0, 2, 55,
    174, 1, 0, 0, 25, 0, 0, 0, 0, 177, 66, 0, 0, 2, 56, 174, 1, 0, 4, 25, 0, 0, 0, 0, 229, 67, 0,
    0, 2, 57, 174, 1, 0, 8, 25, 0, 0, 0, 0, 229, 67, 0, 0, 2, 58, 174, 1, 0, 10, 25, 0, 0, 0, 0,
    177, 66, 0, 0, 2, 59, 174, 1, 0, 12, 25, 0, 0, 0, 0, 168, 0, 0, 0, 2, 60, 174, 1, 0, 16, 25, 0,
    0, 0, 0, 168, 0, 0, 0, 2, 61, 174, 1, 0, 20, 25, 0, 0, 0, 0, 168, 0, 0, 0, 2, 62, 174, 1, 0,
    24, 25, 0, 0, 0, 0, 181, 51, 0, 0, 2, 63, 174, 1, 0, 28, 25, 0, 0, 0, 0, 177, 66, 0, 0, 2, 64,
    174, 1, 0, 32, 25, 0, 0, 0, 0, 168, 0, 0, 0, 2, 65, 174, 1, 0, 36, 25, 0, 0, 0, 0, 168, 0, 0,
    0, 2, 66, 174, 1, 0, 40, 25, 0, 0, 0, 0, 40, 31, 3, 0, 2, 67, 174, 1, 0, 44, 25, 0, 0, 0, 0,
    90, 22, 0, 0, 2, 68, 174, 1, 0, 48, 25, 0, 0, 0, 0, 38, 1, 0, 0, 2, 69, 174, 1, 0, 56, 0, 21,
    38, 1, 0, 0, 0, 0, 0, 0, 4, 2, 222, 173, 1, 0, 19, 0, 0, 0, 0, 0, 19, 0, 0, 0, 0, 1, 19, 0, 0,
    0, 0, 2, 0, 9, 79, 31, 3, 0, 37, 84, 31, 3, 0, 40, 0, 0, 0, 0, 32, 2, 146, 175, 1, 0, 25, 0, 0,
    0, 0, 156, 31, 3, 0, 2, 147, 175, 1, 0, 0, 25, 0, 0, 0, 0, 84, 174, 2, 0, 2, 148, 175, 1, 0, 8,
    25, 0, 0, 0, 0, 84, 174, 2, 0, 2, 149, 175, 1, 0, 16, 25, 0, 0, 0, 0, 218, 67, 0, 0, 2, 150,
    175, 1, 0, 24, 0, 21, 38, 1, 0, 0, 0, 0, 0, 0, 4, 2, 14, 172, 1, 0, 19, 0, 0, 0, 0, 0, 19, 0,
    0, 0, 0, 1, 19, 0, 0, 0, 0, 2, 19, 0, 0, 0, 0, 3, 19, 0, 0, 0, 0, 4, 19, 0, 0, 0, 0, 5, 19, 0,
    0, 0, 0, 6, 19, 0, 0, 0, 0, 7, 19, 0, 0, 0, 0, 8, 19, 0, 0, 0, 0, 9, 19, 0, 0, 0, 0, 10, 19, 0,
    0, 0, 0, 11, 19, 0, 0, 0, 0, 12, 19, 0, 0, 0, 0, 13, 19, 0, 0, 0, 0, 12, 0, 3, 18, 32, 3, 0, 4,
    82, 0, 0, 0, 5, 0, 9, 23, 32, 3, 0, 40, 0, 0, 0, 0, 104, 2, 114, 174, 1, 0, 25, 0, 0, 0, 0, 54,
    30, 3, 0, 2, 115, 174, 1, 0, 0, 25, 0, 0, 0, 0, 200, 32, 3, 0, 2, 116, 174, 1, 0, 8, 25, 0, 0,
    0, 0, 246, 29, 3, 0, 2, 117, 174, 1, 0, 16, 25, 0, 0, 0, 0, 168, 0, 0, 0, 2, 118, 174, 1, 0,
    20, 25, 0, 0, 0, 0, 168, 0, 0, 0, 2, 119, 174, 1, 0, 24, 25, 0, 0, 0, 0, 21, 33, 3, 0, 2, 120,
    174, 1, 0, 28, 25, 0, 0, 0, 0, 192, 33, 3, 0, 2, 121, 174, 1, 0, 52, 25, 0, 0, 0, 0, 65, 34, 3,
    0, 2, 122, 174, 1, 0, 68, 25, 0, 0, 0, 0, 134, 34, 3, 0, 2, 123, 174, 1, 0, 84, 25, 0, 0, 0, 0,
    229, 67, 0, 0, 2, 124, 174, 1, 0, 92, 25, 0, 0, 0, 0, 8, 35, 3, 0, 2, 125, 174, 1, 0, 96, 0, 9,
    205, 32, 3, 0, 40, 0, 0, 0, 0, 12, 2, 72, 174, 1, 0, 25, 0, 0, 0, 0, 177, 66, 0, 0, 2, 73, 174,
    1, 0, 0, 25, 0, 0, 0, 0, 229, 67, 0, 0, 2, 74, 174, 1, 0, 4, 25, 0, 0, 0, 0, 229, 67, 0, 0, 2,
    75, 174, 1, 0, 6, 25, 0, 0, 0, 0, 229, 67, 0, 0, 2, 76, 174, 1, 0, 8, 0, 40, 0, 0, 0, 0, 22, 2,
    79, 174, 1, 0, 25, 0, 0, 0, 0, 229, 67, 0, 0, 2, 80, 174, 1, 0, 0, 25, 0, 0, 0, 0, 181, 51, 0,
    0, 2, 81, 174, 1, 0, 2, 25, 0, 0, 0, 0, 218, 67, 0, 0, 2, 82, 174, 1, 0, 3, 25, 0, 0, 0, 0,
    218, 67, 0, 0, 2, 83, 174, 1, 0, 4, 25, 0, 0, 0, 0, 108, 33, 3, 0, 2, 84, 174, 1, 0, 5, 0, 40,
    0, 0, 0, 0, 16, 2, 93, 172, 1, 0, 25, 0, 0, 0, 0, 180, 33, 3, 0, 2, 94, 172, 1, 0, 0, 25, 0, 0,
    0, 0, 83, 108, 1, 0, 2, 95, 172, 1, 0, 10, 25, 0, 0, 0, 0, 218, 67, 0, 0, 2, 96, 172, 1, 0, 12,
    25, 0, 0, 0, 0, 197, 105, 0, 0, 2, 97, 172, 1, 0, 13, 0, 3, 218, 67, 0, 0, 4, 82, 0, 0, 0, 10,
    0, 40, 0, 0, 0, 0, 16, 2, 88, 174, 1, 0, 25, 0, 0, 0, 0, 181, 51, 0, 0, 2, 89, 174, 1, 0, 0,
    25, 0, 0, 0, 0, 177, 66, 0, 0, 2, 90, 174, 1, 0, 4, 25, 0, 0, 0, 0, 249, 33, 3, 0, 2, 91, 174,
    1, 0, 8, 0, 40, 0, 0, 0, 0, 8, 2, 173, 172, 1, 0, 25, 0, 0, 0, 0, 83, 108, 1, 0, 2, 174, 172,
    1, 0, 0, 25, 0, 0, 0, 0, 83, 108, 1, 0, 2, 175, 172, 1, 0, 2, 25, 0, 0, 0, 0, 83, 108, 1, 0, 2,
    176, 172, 1, 0, 4, 25, 0, 0, 0, 0, 83, 108, 1, 0, 2, 177, 172, 1, 0, 6, 0, 40, 0, 0, 0, 0, 16,
    2, 108, 174, 1, 0, 25, 0, 0, 0, 0, 181, 51, 0, 0, 2, 109, 174, 1, 0, 0, 25, 0, 0, 0, 0, 180,
    33, 3, 0, 2, 110, 174, 1, 0, 1, 25, 0, 0, 0, 0, 122, 34, 3, 0, 2, 111, 174, 1, 0, 11, 0, 3,
    218, 67, 0, 0, 4, 82, 0, 0, 0, 5, 0, 40, 0, 0, 0, 0, 8, 2, 77, 172, 1, 0, 25, 0, 0, 0, 0, 218,
    67, 0, 0, 2, 78, 172, 1, 0, 0, 25, 0, 0, 0, 0, 176, 34, 3, 0, 2, 79, 172, 1, 0, 4, 0, 21, 38,
    1, 0, 0, 0, 0, 0, 0, 4, 2, 62, 172, 1, 0, 19, 0, 0, 0, 0, 4, 19, 0, 0, 0, 0, 5, 19, 0, 0, 0, 0,
    6, 19, 0, 0, 0, 0, 7, 19, 0, 0, 0, 0, 8, 19, 0, 0, 0, 0, 9, 19, 0, 0, 0, 0, 10, 19, 0, 0, 0, 0,
    11, 19, 0, 0, 0, 0, 12, 19, 0, 0, 0, 0, 13, 19, 0, 0, 0, 0, 14, 19, 0, 0, 0, 0, 15, 0, 9, 13,
    35, 3, 0, 37, 18, 35, 3, 0, 40, 0, 0, 0, 0, 60, 2, 101, 174, 1, 0, 25, 0, 0, 0, 0, 229, 67, 0,
    0, 2, 102, 174, 1, 0, 0, 25, 0, 0, 0, 0, 75, 35, 3, 0, 2, 103, 174, 1, 0, 2, 25, 0, 0, 0, 0,
    59, 36, 3, 0, 2, 104, 174, 1, 0, 57, 0, 40, 0, 0, 0, 0, 55, 2, 94, 174, 1, 0, 25, 0, 0, 0, 0,
    181, 51, 0, 0, 2, 95, 174, 1, 0, 0, 25, 0, 0, 0, 0, 147, 35, 3, 0, 2, 96, 174, 1, 0, 1, 25, 0,
    0, 0, 0, 201, 35, 3, 0, 2, 97, 174, 1, 0, 18, 25, 0, 0, 0, 0, 47, 36, 3, 0, 2, 98, 174, 1, 0,
    30, 0, 40, 0, 0, 0, 0, 17, 2, 233, 173, 1, 0, 25, 0, 0, 0, 0, 45, 208, 2, 0, 2, 234, 173, 1, 0,
    0, 25, 0, 0, 0, 0, 189, 35, 3, 0, 2, 235, 173, 1, 0, 6, 0, 3, 218, 67, 0, 0, 4, 82, 0, 0, 0,
    11, 0, 40, 0, 0, 0, 0, 12, 2, 238, 173, 1, 0, 25, 0, 0, 0, 0, 83, 108, 1, 0, 2, 239, 173, 1, 0,
    0, 25, 0, 0, 0, 0, 83, 108, 1, 0, 2, 240, 173, 1, 0, 2, 25, 0, 0, 0, 0, 83, 108, 1, 0, 2, 241,
    173, 1, 0, 4, 25, 0, 0, 0, 0, 83, 108, 1, 0, 2, 242, 173, 1, 0, 6, 25, 0, 0, 0, 0, 83, 108, 1,
    0, 2, 243, 173, 1, 0, 8, 25, 0, 0, 0, 0, 83, 108, 1, 0, 2, 244, 173, 1, 0, 10, 0, 3, 218, 67,
    0, 0, 4, 82, 0, 0, 0, 25, 0, 40, 0, 0, 0, 0, 2, 2, 247, 173, 1, 0, 25, 0, 0, 0, 0, 83, 108, 1,
    0, 2, 248, 173, 1, 0, 0, 0, 9, 91, 36, 3, 0, 38, 15, 217, 16, 3, 0, 15, 103, 36, 3, 0, 0, 9,
    108, 36, 3, 0, 40, 0, 0, 0, 0, 64, 2, 1, 174, 1, 0, 25, 0, 0, 0, 0, 28, 22, 0, 0, 2, 2, 174, 1,
    0, 0, 25, 0, 0, 0, 0, 168, 0, 0, 0, 2, 3, 174, 1, 0, 16, 25, 0, 0, 0, 0, 14, 37, 3, 0, 2, 4,
    174, 1, 0, 20, 25, 0, 0, 0, 0, 54, 37, 3, 0, 2, 5, 174, 1, 0, 24, 25, 0, 0, 0, 0, 88, 37, 3, 0,
    2, 6, 174, 1, 0, 28, 25, 0, 0, 0, 0, 100, 37, 3, 0, 2, 7, 174, 1, 0, 32, 25, 0, 0, 0, 0, 181,
    51, 0, 0, 2, 8, 174, 1, 0, 36, 25, 0, 0, 0, 0, 181, 51, 0, 0, 2, 9, 174, 1, 0, 37, 25, 0, 0, 0,
    0, 140, 37, 3, 0, 2, 10, 174, 1, 0, 40, 25, 0, 0, 0, 0, 195, 21, 0, 0, 2, 11, 174, 1, 0, 48, 0,
    21, 38, 1, 0, 0, 0, 0, 0, 0, 4, 2, 101, 173, 1, 0, 19, 0, 0, 0, 0, 0, 19, 0, 0, 0, 0, 1, 19, 0,
    0, 0, 0, 2, 19, 0, 0, 0, 0, 3, 0, 21, 38, 1, 0, 0, 0, 0, 0, 0, 4, 2, 115, 173, 1, 0, 19, 0, 0,
    0, 0, 0, 19, 0, 0, 0, 0, 1, 19, 0, 0, 0, 0, 2, 0, 3, 75, 0, 0, 0, 4, 82, 0, 0, 0, 3, 0, 21, 38,
    1, 0, 0, 0, 0, 0, 0, 4, 2, 108, 173, 1, 0, 19, 0, 0, 0, 0, 0, 19, 0, 0, 0, 0, 1, 19, 0, 0, 0,
    0, 2, 19, 0, 0, 0, 0, 3, 0, 21, 38, 1, 0, 0, 0, 0, 0, 0, 4, 2, 251, 173, 1, 0, 19, 0, 0, 0, 0,
    0, 19, 0, 0, 0, 0, 1, 19, 0, 0, 0, 0, 2, 0, 9, 179, 37, 3, 0, 37, 184, 37, 3, 0, 40, 0, 0, 0,
    0, 32, 2, 46, 174, 1, 0, 25, 0, 0, 0, 0, 28, 22, 0, 0, 2, 47, 174, 1, 0, 0, 25, 0, 0, 0, 0,
    177, 66, 0, 0, 2, 48, 174, 1, 0, 16, 25, 0, 0, 0, 0, 88, 37, 3, 0, 2, 49, 174, 1, 0, 20, 25, 0,
    0, 0, 0, 100, 37, 3, 0, 2, 50, 174, 1, 0, 24, 25, 0, 0, 0, 0, 15, 38, 3, 0, 2, 51, 174, 1, 0,
    28, 0, 3, 27, 38, 3, 0, 4, 82, 0, 0, 0, 0, 0, 40, 0, 0, 0, 0, 96, 2, 37, 174, 1, 0, 25, 0, 0,
    0, 0, 129, 38, 3, 0, 2, 38, 174, 1, 0, 0, 25, 0, 0, 0, 0, 186, 38, 3, 0, 2, 39, 174, 1, 0, 12,
    25, 0, 0, 0, 0, 228, 38, 3, 0, 2, 40, 174, 1, 0, 20, 25, 0, 0, 0, 0, 177, 66, 0, 0, 2, 41, 174,
    1, 0, 84, 25, 0, 0, 0, 0, 177, 66, 0, 0, 2, 42, 174, 1, 0, 88, 25, 0, 0, 0, 0, 181, 51, 0, 0,
    2, 43, 174, 1, 0, 92, 0, 40, 0, 0, 0, 0, 12, 2, 14, 174, 1, 0, 25, 0, 0, 0, 0, 177, 66, 0, 0,
    2, 15, 174, 1, 0, 0, 25, 0, 0, 0, 0, 177, 66, 0, 0, 2, 16, 174, 1, 0, 4, 25, 0, 0, 0, 0, 177,
    66, 0, 0, 2, 17, 174, 1, 0, 8, 0, 40, 0, 0, 0, 0, 8, 2, 20, 174, 1, 0, 25, 0, 0, 0, 0, 177, 66,
    0, 0, 2, 21, 174, 1, 0, 0, 25, 0, 0, 0, 0, 177, 66, 0, 0, 2, 22, 174, 1, 0, 4, 0, 40, 0, 0, 0,
    0, 64, 2, 32, 174, 1, 0, 25, 0, 0, 0, 0, 14, 39, 3, 0, 2, 33, 174, 1, 0, 0, 25, 0, 0, 0, 0, 14,
    39, 3, 0, 2, 34, 174, 1, 0, 32, 0, 3, 26, 39, 3, 0, 4, 82, 0, 0, 0, 4, 0, 40, 0, 0, 0, 0, 8, 2,
    25, 174, 1, 0, 25, 0, 0, 0, 0, 229, 67, 0, 0, 2, 26, 174, 1, 0, 0, 25, 0, 0, 0, 0, 229, 67, 0,
    0, 2, 27, 174, 1, 0, 2, 25, 0, 0, 0, 0, 229, 67, 0, 0, 2, 28, 174, 1, 0, 4, 25, 0, 0, 0, 0,
    218, 67, 0, 0, 2, 29, 174, 1, 0, 6, 0, 9, 103, 39, 3, 0, 37, 108, 39, 3, 0, 40, 0, 0, 0, 0, 26,
    2, 100, 172, 1, 0, 25, 0, 0, 0, 0, 83, 108, 1, 0, 2, 101, 172, 1, 0, 0, 25, 0, 0, 0, 0, 218,
    67, 0, 0, 2, 102, 172, 1, 0, 2, 25, 0, 0, 0, 0, 108, 33, 3, 0, 2, 103, 172, 1, 0, 3, 25, 0, 0,
    0, 0, 83, 108, 1, 0, 2, 104, 172, 1, 0, 19, 25, 0, 0, 0, 0, 210, 39, 3, 0, 2, 105, 172, 1, 0,
    21, 25, 0, 0, 0, 0, 218, 67, 0, 0, 2, 106, 172, 1, 0, 25, 0, 39, 27, 1, 0, 0, 0, 0, 0, 0, 2,
    153, 186, 9, 227, 39, 3, 0, 37, 232, 39, 3, 0, 40, 0, 0, 0, 0, 12, 2, 180, 172, 1, 0, 25, 0, 0,
    0, 0, 210, 39, 3, 0, 2, 181, 172, 1, 0, 0, 25, 0, 0, 0, 0, 249, 33, 3, 0, 2, 182, 172, 1, 0, 4,
    0, 9, 23, 40, 3, 0, 37, 28, 40, 3, 0, 40, 0, 0, 0, 0, 24, 2, 128, 175, 1, 0, 25, 0, 0, 0, 0,
    168, 0, 0, 0, 2, 129, 175, 1, 0, 0, 25, 0, 0, 0, 0, 168, 0, 0, 0, 2, 130, 175, 1, 0, 4, 25, 0,
    0, 0, 0, 168, 0, 0, 0, 2, 131, 175, 1, 0, 8, 25, 0, 0, 0, 0, 168, 0, 0, 0, 2, 132, 175, 1, 0,
    12, 25, 0, 0, 0, 0, 168, 0, 0, 0, 2, 133, 175, 1, 0, 16, 25, 0, 0, 0, 0, 168, 0, 0, 0, 2, 134,
    175, 1, 0, 20, 0, 9, 135, 40, 3, 0, 37, 140, 40, 3, 0, 40, 0, 0, 0, 0, 48, 2, 137, 175, 1, 0,
    25, 0, 0, 0, 0, 242, 40, 3, 0, 2, 138, 175, 1, 0, 0, 25, 0, 0, 0, 0, 177, 66, 0, 0, 2, 139,
    175, 1, 0, 8, 25, 0, 0, 0, 0, 28, 41, 3, 0, 2, 140, 175, 1, 0, 16, 25, 0, 0, 0, 0, 59, 41, 3,
    0, 2, 141, 175, 1, 0, 24, 25, 0, 0, 0, 0, 120, 111, 1, 0, 2, 142, 175, 1, 0, 32, 25, 0, 0, 0,
    0, 38, 1, 0, 0, 2, 143, 175, 1, 0, 40, 0, 40, 0, 0, 0, 0, 8, 2, 228, 173, 1, 0, 25, 0, 0, 0, 0,
    27, 1, 0, 0, 2, 229, 173, 1, 0, 0, 25, 0, 0, 0, 0, 27, 1, 0, 0, 2, 230, 173, 1, 0, 4, 0, 9, 33,
    41, 3, 0, 14, 168, 0, 0, 0, 15, 217, 16, 3, 0, 15, 103, 13, 3, 0, 15, 45, 1, 0, 0, 15, 168, 0,
    0, 0, 0, 9, 64, 41, 3, 0, 14, 168, 0, 0, 0, 15, 217, 16, 3, 0, 15, 103, 13, 3, 0, 15, 26, 34,
    0, 0, 15, 45, 1, 0, 0, 15, 168, 0, 0, 0, 15, 216, 107, 0, 0, 0, 9, 105, 41, 3, 0, 37, 242, 40,
    3, 0, 9, 115, 41, 3, 0, 37, 120, 41, 3, 0, 40, 0, 0, 0, 0, 20, 2, 153, 175, 1, 0, 25, 0, 0, 0,
    0, 38, 1, 0, 0, 2, 154, 175, 1, 0, 0, 55, 0, 0, 0, 0, 218, 67, 0, 0, 2, 155, 175, 1, 0, 1, 1,
    7, 4, 55, 0, 0, 0, 0, 218, 67, 0, 0, 2, 156, 175, 1, 0, 1, 1, 6, 4, 25, 0, 0, 0, 0, 197, 41, 3,
    0, 2, 169, 175, 1, 0, 8, 59, 12, 2, 157, 175, 1, 0, 25, 0, 0, 0, 0, 177, 66, 0, 0, 2, 158, 175,
    1, 0, 0, 25, 0, 0, 0, 0, 177, 66, 0, 0, 2, 159, 175, 1, 0, 4, 25, 0, 0, 0, 0, 38, 42, 2, 0, 2,
    160, 175, 1, 0, 8, 25, 0, 0, 0, 0, 218, 67, 0, 0, 2, 161, 175, 1, 0, 9, 55, 0, 0, 0, 0, 218,
    67, 0, 0, 2, 162, 175, 1, 0, 1, 1, 7, 10, 55, 0, 0, 0, 0, 218, 67, 0, 0, 2, 163, 175, 1, 0, 1,
    1, 6, 10, 55, 0, 0, 0, 0, 218, 67, 0, 0, 2, 164, 175, 1, 0, 1, 1, 5, 10, 55, 0, 0, 0, 0, 218,
    67, 0, 0, 2, 165, 175, 1, 0, 1, 1, 4, 10, 55, 0, 0, 0, 0, 218, 67, 0, 0, 2, 166, 175, 1, 0, 1,
    1, 3, 10, 55, 0, 0, 0, 0, 218, 67, 0, 0, 2, 167, 175, 1, 0, 1, 1, 2, 10, 55, 0, 0, 0, 0, 218,
    67, 0, 0, 2, 168, 175, 1, 0, 1, 1, 1, 10, 0, 0, 9, 141, 42, 3, 0, 43, 0, 0, 0, 0, 9, 151, 42,
    3, 0, 43, 0, 0, 0, 0, 21, 38, 1, 0, 0, 0, 0, 0, 0, 4, 2, 36, 172, 1, 0, 19, 0, 0, 0, 0, 0, 19,
    0, 0, 0, 0, 1, 19, 0, 0, 0, 0, 2, 19, 0, 0, 0, 0, 3, 19, 0, 0, 0, 0, 4, 0, 9, 207, 42, 3, 0,
    43, 0, 0, 0, 0, 40, 0, 0, 0, 0, 32, 2, 84, 172, 1, 0, 25, 0, 0, 0, 0, 54, 30, 3, 0, 2, 85, 172,
    1, 0, 0, 25, 0, 0, 0, 0, 58, 43, 3, 0, 2, 86, 172, 1, 0, 8, 25, 0, 0, 0, 0, 177, 66, 0, 0, 2,
    87, 172, 1, 0, 12, 25, 0, 0, 0, 0, 177, 66, 0, 0, 2, 88, 172, 1, 0, 16, 25, 0, 0, 0, 0, 134,
    34, 3, 0, 2, 89, 172, 1, 0, 20, 25, 0, 0, 0, 0, 229, 67, 0, 0, 2, 90, 172, 1, 0, 28, 0, 21, 38,
    1, 0, 0, 0, 0, 0, 0, 4, 2, 46, 172, 1, 0, 19, 0, 0, 0, 0, 0, 19, 0, 0, 0, 0, 1, 19, 0, 0, 0, 0,
    2, 19, 0, 0, 0, 0, 3, 19, 0, 0, 0, 0, 4, 19, 0, 0, 0, 0, 5, 19, 0, 0, 0, 0, 6, 19, 0, 0, 0, 0,
    7, 19, 0, 0, 0, 0, 8, 19, 0, 0, 0, 0, 9, 19, 0, 0, 0, 0, 10, 19, 0, 0, 0, 0, 11, 19, 0, 0, 0,
    0, 12, 0, 40, 0, 0, 0, 0, 160, 2, 111, 172, 1, 0, 25, 0, 0, 0, 0, 84, 174, 2, 0, 2, 112, 172,
    1, 0, 0, 25, 0, 0, 0, 0, 84, 174, 2, 0, 2, 113, 172, 1, 0, 8, 25, 0, 0, 0, 0, 212, 42, 3, 0, 2,
    114, 172, 1, 0, 16, 25, 0, 0, 0, 0, 84, 174, 2, 0, 2, 115, 172, 1, 0, 48, 25, 0, 0, 0, 0, 218,
    67, 0, 0, 2, 116, 172, 1, 0, 56, 25, 0, 0, 0, 0, 218, 67, 0, 0, 2, 117, 172, 1, 0, 57, 25, 0,
    0, 0, 0, 229, 67, 0, 0, 2, 118, 172, 1, 0, 58, 25, 0, 0, 0, 0, 177, 66, 0, 0, 2, 119, 172, 1,
    0, 60, 25, 0, 0, 0, 0, 181, 51, 0, 0, 2, 120, 172, 1, 0, 64, 25, 0, 0, 0, 0, 181, 51, 0, 0, 2,
    121, 172, 1, 0, 65, 25, 0, 0, 0, 0, 181, 51, 0, 0, 2, 122, 172, 1, 0, 66, 25, 0, 0, 0, 0, 181,
    51, 0, 0, 2, 123, 172, 1, 0, 67, 25, 0, 0, 0, 0, 181, 51, 0, 0, 2, 124, 172, 1, 0, 68, 25, 0,
    0, 0, 0, 178, 44, 3, 0, 2, 126, 172, 1, 0, 72, 25, 0, 0, 0, 0, 108, 39, 3, 0, 2, 127, 172, 1,
    0, 92, 25, 0, 0, 0, 0, 108, 39, 3, 0, 2, 128, 172, 1, 0, 118, 25, 0, 0, 0, 0, 190, 44, 3, 0, 2,
    129, 172, 1, 0, 144, 25, 0, 0, 0, 0, 168, 0, 0, 0, 2, 130, 172, 1, 0, 152, 0, 3, 168, 0, 0, 0,
    4, 82, 0, 0, 0, 5, 0, 9, 195, 44, 3, 0, 40, 0, 0, 0, 0, 40, 2, 128, 174, 1, 0, 25, 0, 0, 0, 0,
    84, 174, 2, 0, 2, 129, 174, 1, 0, 0, 25, 0, 0, 0, 0, 84, 174, 2, 0, 2, 130, 174, 1, 0, 8, 25,
    0, 0, 0, 0, 168, 0, 0, 0, 2, 131, 174, 1, 0, 16, 25, 0, 0, 0, 0, 168, 0, 0, 0, 2, 132, 174, 1,
    0, 20, 25, 0, 0, 0, 0, 229, 67, 0, 0, 2, 133, 174, 1, 0, 24, 25, 0, 0, 0, 0, 177, 66, 0, 0, 2,
    134, 174, 1, 0, 28, 25, 0, 0, 0, 0, 56, 45, 3, 0, 2, 135, 174, 1, 0, 32, 0, 21, 38, 1, 0, 0, 0,
    0, 0, 0, 4, 2, 133, 173, 1, 0, 19, 0, 0, 0, 0, 0, 19, 0, 0, 0, 0, 1, 19, 0, 0, 0, 0, 2, 0, 22,
    0, 0, 0, 0, 112, 1, 2, 216, 172, 1, 0, 25, 0, 0, 0, 0, 54, 30, 3, 0, 2, 217, 172, 1, 0, 0, 25,
    0, 0, 0, 0, 54, 30, 3, 0, 2, 218, 172, 1, 0, 8, 25, 0, 0, 0, 0, 84, 174, 2, 0, 2, 219, 172, 1,
    0, 16, 25, 0, 0, 0, 0, 84, 174, 2, 0, 2, 220, 172, 1, 0, 24, 25, 0, 0, 0, 0, 84, 174, 2, 0, 2,
    221, 172, 1, 0, 32, 25, 0, 0, 0, 0, 36, 54, 0, 0, 2, 222, 172, 1, 0, 40, 25, 0, 0, 0, 0, 99,
    47, 3, 0, 2, 223, 172, 1, 0, 48, 25, 0, 0, 0, 0, 84, 174, 2, 0, 2, 225, 172, 1, 0, 56, 25, 0,
    0, 0, 0, 36, 54, 0, 0, 2, 226, 172, 1, 0, 64, 25, 0, 0, 0, 0, 181, 51, 0, 0, 2, 227, 172, 1, 0,
    72, 25, 0, 0, 0, 0, 181, 47, 3, 0, 2, 229, 172, 1, 0, 76, 25, 0, 0, 0, 0, 215, 47, 3, 0, 2,
    230, 172, 1, 0, 80, 25, 0, 0, 0, 0, 84, 174, 2, 0, 2, 231, 172, 1, 0, 176, 25, 0, 0, 0, 0, 218,
    67, 0, 0, 2, 232, 172, 1, 0, 184, 25, 0, 0, 0, 0, 218, 67, 0, 0, 2, 233, 172, 1, 0, 185, 25, 0,
    0, 0, 0, 177, 66, 0, 0, 2, 235, 172, 1, 0, 188, 25, 0, 0, 0, 0, 168, 0, 0, 0, 2, 236, 172, 1,
    0, 192, 25, 0, 0, 0, 0, 108, 39, 3, 0, 2, 237, 172, 1, 0, 196, 25, 0, 0, 0, 0, 108, 39, 3, 0,
    2, 238, 172, 1, 0, 222, 25, 0, 0, 0, 0, 232, 39, 3, 0, 2, 239, 172, 1, 0, 248, 27, 0, 0, 0, 0,
    232, 39, 3, 0, 2, 240, 172, 1, 0, 4, 1, 27, 0, 0, 0, 0, 181, 51, 0, 0, 2, 241, 172, 1, 0, 16,
    1, 27, 0, 0, 0, 0, 223, 48, 3, 0, 2, 243, 172, 1, 0, 20, 1, 27, 0, 0, 0, 0, 84, 174, 2, 0, 2,
    244, 172, 1, 0, 32, 1, 27, 0, 0, 0, 0, 84, 174, 2, 0, 2, 245, 172, 1, 0, 40, 1, 27, 0, 0, 0, 0,
    36, 54, 0, 0, 2, 246, 172, 1, 0, 48, 1, 27, 0, 0, 0, 0, 84, 174, 2, 0, 2, 247, 172, 1, 0, 56,
    1, 27, 0, 0, 0, 0, 36, 54, 0, 0, 2, 248, 172, 1, 0, 64, 1, 27, 0, 0, 0, 0, 229, 67, 0, 0, 2,
    249, 172, 1, 0, 72, 1, 27, 0, 0, 0, 0, 84, 174, 2, 0, 2, 251, 172, 1, 0, 80, 1, 27, 0, 0, 0, 0,
    36, 54, 0, 0, 2, 252, 172, 1, 0, 88, 1, 27, 0, 0, 0, 0, 181, 51, 0, 0, 2, 253, 172, 1, 0, 96,
    1, 27, 0, 0, 0, 0, 134, 34, 3, 0, 2, 255, 172, 1, 0, 100, 1, 0, 21, 38, 1, 0, 0, 0, 0, 0, 0, 4,
    2, 134, 172, 1, 0, 19, 0, 0, 0, 0, 0, 19, 0, 0, 0, 0, 1, 19, 0, 0, 0, 0, 2, 19, 0, 0, 0, 0, 3,
    19, 0, 0, 0, 0, 4, 19, 0, 0, 0, 0, 5, 19, 0, 0, 0, 0, 6, 19, 0, 0, 0, 0, 7, 19, 0, 0, 0, 0, 8,
    19, 0, 0, 0, 0, 7, 19, 0, 0, 0, 0, 8, 0, 21, 38, 1, 0, 0, 0, 0, 0, 0, 4, 2, 148, 172, 1, 0, 19,
    0, 0, 0, 0, 0, 19, 0, 0, 0, 0, 1, 19, 0, 0, 0, 0, 2, 0, 40, 0, 0, 0, 0, 96, 2, 154, 172, 1, 0,
    25, 0, 0, 0, 0, 177, 66, 0, 0, 2, 155, 172, 1, 0, 0, 25, 0, 0, 0, 0, 177, 66, 0, 0, 2, 156,
    172, 1, 0, 4, 25, 0, 0, 0, 0, 168, 0, 0, 0, 2, 157, 172, 1, 0, 8, 25, 0, 0, 0, 0, 96, 254, 0,
    0, 2, 158, 172, 1, 0, 12, 25, 0, 0, 0, 0, 168, 0, 0, 0, 2, 159, 172, 1, 0, 32, 25, 0, 0, 0, 0,
    211, 48, 3, 0, 2, 160, 172, 1, 0, 36, 25, 0, 0, 0, 0, 181, 51, 0, 0, 2, 161, 172, 1, 0, 44, 25,
    0, 0, 0, 0, 57, 48, 0, 0, 2, 162, 172, 1, 0, 46, 25, 0, 0, 0, 0, 181, 51, 0, 0, 2, 163, 172, 1,
    0, 48, 25, 0, 0, 0, 0, 181, 51, 0, 0, 2, 164, 172, 1, 0, 49, 25, 0, 0, 0, 0, 181, 51, 0, 0, 2,
    165, 172, 1, 0, 50, 25, 0, 0, 0, 0, 190, 44, 3, 0, 2, 166, 172, 1, 0, 56, 25, 0, 0, 0, 0, 168,
    0, 0, 0, 2, 167, 172, 1, 0, 64, 25, 0, 0, 0, 0, 84, 174, 2, 0, 2, 168, 172, 1, 0, 72, 25, 0, 0,
    0, 0, 84, 174, 2, 0, 2, 169, 172, 1, 0, 80, 25, 0, 0, 0, 0, 218, 67, 0, 0, 2, 170, 172, 1, 0,
    88, 0, 3, 177, 66, 0, 0, 4, 82, 0, 0, 0, 2, 0, 40, 0, 0, 0, 0, 12, 2, 208, 172, 1, 0, 25, 0, 0,
    0, 0, 47, 49, 3, 0, 2, 209, 172, 1, 0, 0, 25, 0, 0, 0, 0, 8, 49, 3, 0, 2, 213, 172, 1, 0, 4,
    24, 8, 2, 210, 172, 1, 0, 25, 0, 0, 0, 0, 246, 29, 3, 0, 2, 211, 172, 1, 0, 0, 25, 0, 0, 0, 0,
    204, 29, 3, 0, 2, 212, 172, 1, 0, 0, 0, 0, 21, 38, 1, 0, 0, 0, 0, 0, 0, 4, 2, 185, 172, 1, 0,
    19, 0, 0, 0, 0, 0, 19, 0, 0, 0, 0, 1, 19, 0, 0, 0, 0, 2, 19, 0, 0, 0, 0, 3, 19, 0, 0, 0, 0, 4,
    19, 0, 0, 0, 0, 3, 0, 9, 104, 49, 3, 0, 43, 0, 0, 0, 0, 9, 114, 49, 3, 0, 40, 0, 0, 0, 0, 88,
    2, 46, 166, 1, 0, 25, 0, 0, 0, 0, 155, 50, 3, 0, 2, 47, 166, 1, 0, 0, 25, 0, 0, 0, 0, 168, 0,
    0, 0, 2, 48, 166, 1, 0, 8, 25, 0, 0, 0, 0, 195, 21, 0, 0, 2, 49, 166, 1, 0, 16, 25, 0, 0, 0, 0,
    162, 12, 0, 0, 2, 50, 166, 1, 0, 32, 25, 0, 0, 0, 0, 115, 53, 3, 0, 2, 51, 166, 1, 0, 40, 25,
    0, 0, 0, 0, 162, 12, 0, 0, 2, 52, 166, 1, 0, 48, 25, 0, 0, 0, 0, 177, 66, 0, 0, 2, 53, 166, 1,
    0, 56, 25, 0, 0, 0, 0, 83, 108, 1, 0, 2, 54, 166, 1, 0, 60, 25, 0, 0, 0, 0, 83, 108, 1, 0, 2,
    55, 166, 1, 0, 62, 25, 0, 0, 0, 0, 103, 53, 3, 0, 2, 56, 166, 1, 0, 64, 25, 0, 0, 0, 0, 242,
    23, 0, 0, 2, 57, 166, 1, 0, 72, 25, 0, 0, 0, 0, 242, 23, 0, 0, 2, 58, 166, 1, 0, 76, 25, 0, 0,
    0, 0, 218, 67, 0, 0, 2, 59, 166, 1, 0, 80, 25, 0, 0, 0, 0, 218, 67, 0, 0, 2, 60, 166, 1, 0, 81,
    25, 0, 0, 0, 0, 218, 67, 0, 0, 2, 61, 166, 1, 0, 82, 25, 0, 0, 0, 0, 38, 42, 2, 0, 2, 62, 166,
    1, 0, 83, 25, 0, 0, 0, 0, 181, 51, 0, 0, 2, 63, 166, 1, 0, 84, 25, 0, 0, 0, 0, 181, 51, 0, 0,
    2, 64, 166, 1, 0, 85, 25, 0, 0, 0, 0, 181, 51, 0, 0, 2, 65, 166, 1, 0, 86, 0, 9, 160, 50, 3, 0,
    22, 0, 0, 0, 0, 0, 4, 2, 214, 166, 1, 0, 25, 0, 0, 0, 0, 45, 1, 0, 0, 2, 215, 166, 1, 0, 0, 25,
    0, 0, 0, 0, 177, 66, 0, 0, 2, 216, 166, 1, 0, 8, 25, 0, 0, 0, 0, 218, 67, 0, 0, 2, 217, 166, 1,
    0, 12, 25, 0, 0, 0, 0, 218, 67, 0, 0, 2, 218, 166, 1, 0, 13, 25, 0, 0, 0, 0, 144, 51, 3, 0, 2,
    219, 166, 1, 0, 16, 25, 0, 0, 0, 0, 12, 101, 0, 0, 2, 220, 166, 1, 0, 200, 25, 0, 0, 0, 0, 207,
    52, 3, 0, 2, 221, 166, 1, 0, 204, 25, 0, 0, 0, 0, 103, 53, 3, 0, 2, 222, 166, 1, 0, 216, 25, 0,
    0, 0, 0, 12, 101, 0, 0, 2, 223, 166, 1, 0, 224, 25, 0, 0, 0, 0, 218, 67, 0, 0, 2, 224, 166, 1,
    0, 228, 25, 0, 0, 0, 0, 229, 67, 0, 0, 2, 225, 166, 1, 0, 230, 25, 0, 0, 0, 0, 229, 67, 0, 0,
    2, 226, 166, 1, 0, 232, 25, 0, 0, 0, 0, 5, 166, 0, 0, 2, 227, 166, 1, 0, 240, 27, 0, 0, 0, 0,
    112, 145, 1, 0, 2, 228, 166, 1, 0, 224, 3, 27, 0, 0, 0, 0, 78, 22, 0, 0, 2, 232, 166, 1, 0, 0,
    4, 0, 40, 0, 0, 0, 0, 184, 2, 189, 166, 1, 0, 25, 0, 0, 0, 0, 162, 116, 2, 0, 2, 190, 166, 1,
    0, 0, 25, 0, 0, 0, 0, 177, 66, 0, 0, 2, 191, 166, 1, 0, 128, 25, 0, 0, 0, 0, 177, 66, 0, 0, 2,
    192, 166, 1, 0, 132, 25, 0, 0, 0, 0, 177, 66, 0, 0, 2, 193, 166, 1, 0, 136, 25, 0, 0, 0, 0,
    155, 52, 3, 0, 2, 194, 166, 1, 0, 140, 25, 0, 0, 0, 0, 218, 67, 0, 0, 2, 195, 166, 1, 0, 144,
    25, 0, 0, 0, 0, 218, 67, 0, 0, 2, 196, 166, 1, 0, 145, 25, 0, 0, 0, 0, 218, 67, 0, 0, 2, 197,
    166, 1, 0, 146, 25, 0, 0, 0, 0, 218, 67, 0, 0, 2, 198, 166, 1, 0, 147, 25, 0, 0, 0, 0, 218, 67,
    0, 0, 2, 199, 166, 1, 0, 148, 25, 0, 0, 0, 0, 218, 67, 0, 0, 2, 200, 166, 1, 0, 149, 25, 0, 0,
    0, 0, 38, 42, 2, 0, 2, 201, 166, 1, 0, 150, 25, 0, 0, 0, 0, 38, 42, 2, 0, 2, 202, 166, 1, 0,
    151, 25, 0, 0, 0, 0, 36, 54, 0, 0, 2, 203, 166, 1, 0, 152, 25, 0, 0, 0, 0, 36, 54, 0, 0, 2,
    204, 166, 1, 0, 160, 25, 0, 0, 0, 0, 216, 129, 2, 0, 2, 205, 166, 1, 0, 168, 25, 0, 0, 0, 0,
    216, 129, 2, 0, 2, 206, 166, 1, 0, 176, 0, 21, 38, 1, 0, 0, 0, 0, 0, 0, 4, 2, 180, 166, 1, 0,
    19, 0, 0, 0, 0, 0, 19, 0, 0, 0, 0, 1, 19, 0, 0, 0, 0, 2, 19, 0, 0, 0, 0, 3, 19, 0, 0, 0, 0, 4,
    19, 0, 0, 0, 0, 3, 0, 40, 0, 0, 0, 0, 8, 2, 209, 166, 1, 0, 25, 0, 0, 0, 0, 249, 52, 3, 0, 2,
    210, 166, 1, 0, 0, 25, 0, 0, 0, 0, 63, 53, 3, 0, 2, 211, 166, 1, 0, 4, 0, 21, 38, 1, 0, 0, 0,
    0, 0, 0, 4, 2, 161, 166, 1, 0, 19, 0, 0, 0, 0, 0, 19, 0, 0, 0, 0, 1, 19, 0, 0, 0, 0, 2, 19, 0,
    0, 0, 0, 3, 19, 0, 0, 0, 0, 4, 19, 0, 0, 0, 0, 5, 19, 0, 0, 0, 0, 6, 19, 0, 0, 0, 0, 7, 19, 0,
    0, 0, 0, 6, 0, 21, 38, 1, 0, 0, 0, 0, 0, 0, 4, 2, 173, 166, 1, 0, 19, 0, 0, 0, 0, 0, 19, 0, 0,
    0, 0, 1, 19, 0, 0, 0, 0, 2, 19, 0, 0, 0, 0, 1, 0, 39, 197, 0, 0, 0, 0, 0, 0, 0, 2, 45, 186, 9,
    120, 53, 3, 0, 37, 125, 53, 3, 0, 40, 0, 0, 0, 0, 8, 2, 244, 166, 1, 0, 25, 0, 0, 0, 0, 152,
    53, 3, 0, 2, 245, 166, 1, 0, 0, 0, 9, 157, 53, 3, 0, 14, 168, 0, 0, 0, 15, 26, 34, 0, 0, 15,
    162, 12, 0, 0, 15, 188, 53, 3, 0, 15, 188, 53, 3, 0, 15, 38, 1, 0, 0, 0, 9, 193, 53, 3, 0, 37,
    198, 53, 3, 0, 40, 0, 0, 0, 0, 16, 2, 235, 166, 1, 0, 25, 0, 0, 0, 0, 218, 67, 0, 0, 2, 236,
    166, 1, 0, 0, 25, 0, 0, 0, 0, 83, 108, 1, 0, 2, 237, 166, 1, 0, 2, 23, 250, 53, 3, 0, 2, 238,
    166, 1, 0, 8, 24, 8, 2, 238, 166, 1, 0, 25, 0, 0, 0, 0, 83, 108, 1, 0, 2, 239, 166, 1, 0, 0,
    25, 0, 0, 0, 0, 103, 53, 3, 0, 2, 240, 166, 1, 0, 0, 0, 0, 9, 38, 54, 3, 0, 43, 0, 0, 0, 0, 9,
    48, 54, 3, 0, 28, 0, 0, 0, 0, 0, 1, 2, 81, 49, 29, 0, 0, 0, 0, 137, 54, 3, 0, 2, 82, 49, 0, 29,
    0, 0, 0, 0, 203, 54, 3, 0, 2, 83, 49, 8, 29, 0, 0, 0, 0, 223, 85, 0, 0, 2, 84, 49, 16, 29, 0,
    0, 0, 0, 162, 12, 0, 0, 2, 85, 49, 80, 29, 0, 0, 0, 0, 15, 222, 2, 0, 2, 91, 49, 128, 29, 0, 0,
    0, 0, 38, 218, 2, 0, 2, 92, 49, 192, 0, 9, 142, 54, 3, 0, 35, 0, 0, 0, 0, 24, 2, 63, 49, 29, 0,
    0, 0, 0, 38, 1, 0, 0, 2, 64, 49, 0, 29, 0, 0, 0, 0, 28, 22, 0, 0, 2, 65, 49, 8, 29, 0, 0, 0, 0,
    191, 54, 3, 0, 2, 66, 49, 24, 0, 3, 229, 67, 0, 0, 4, 82, 0, 0, 0, 0, 0, 9, 208, 54, 3, 0, 35,
    0, 0, 0, 0, 24, 2, 75, 49, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 76, 49, 0, 29, 0, 0, 0, 0, 28, 22,
    0, 0, 2, 77, 49, 8, 29, 0, 0, 0, 0, 1, 55, 3, 0, 2, 78, 49, 24, 0, 3, 13, 55, 3, 0, 4, 82, 0,
    0, 0, 0, 0, 35, 0, 0, 0, 0, 8, 2, 69, 49, 29, 0, 0, 0, 0, 229, 67, 0, 0, 2, 70, 49, 0, 29, 0,
    0, 0, 0, 229, 67, 0, 0, 2, 71, 49, 2, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 72, 49, 4, 0, 9, 67, 55,
    3, 0, 39, 79, 55, 3, 0, 0, 0, 0, 0, 2, 192, 41, 14, 90, 55, 3, 0, 15, 140, 55, 3, 0, 0, 39,
    102, 55, 3, 0, 0, 0, 0, 0, 2, 190, 41, 18, 38, 1, 0, 0, 0, 0, 0, 0, 4, 2, 183, 41, 19, 0, 0, 0,
    0, 0, 19, 0, 0, 0, 0, 1, 19, 0, 0, 0, 0, 2, 19, 0, 0, 0, 0, 3, 0, 9, 26, 34, 0, 0, 9, 150, 55,
    3, 0, 35, 0, 0, 0, 0, 48, 2, 165, 50, 29, 0, 0, 0, 0, 225, 55, 3, 0, 2, 166, 50, 0, 29, 0, 0,
    0, 0, 72, 61, 3, 0, 2, 167, 50, 8, 29, 0, 0, 0, 0, 187, 71, 3, 0, 2, 168, 50, 16, 29, 0, 0, 0,
    0, 58, 57, 3, 0, 2, 169, 50, 24, 29, 0, 0, 0, 0, 28, 22, 0, 0, 2, 170, 50, 32, 0, 9, 230, 55,
    3, 0, 35, 0, 0, 0, 0, 104, 2, 131, 51, 29, 0, 0, 0, 0, 225, 55, 3, 0, 2, 132, 51, 0, 29, 0, 0,
    0, 0, 26, 1, 0, 0, 2, 133, 51, 8, 29, 0, 0, 0, 0, 153, 56, 3, 0, 2, 134, 51, 16, 29, 0, 0, 0,
    0, 57, 48, 0, 0, 2, 135, 51, 24, 29, 0, 0, 0, 0, 177, 66, 0, 0, 2, 136, 51, 28, 29, 0, 0, 0, 0,
    26, 1, 0, 0, 2, 137, 51, 32, 29, 0, 0, 0, 0, 138, 57, 3, 0, 2, 138, 51, 40, 29, 0, 0, 0, 0,
    157, 60, 3, 0, 2, 139, 51, 48, 29, 0, 0, 0, 0, 33, 67, 0, 0, 2, 140, 51, 56, 29, 0, 0, 0, 0,
    181, 51, 0, 0, 2, 141, 51, 60, 29, 0, 0, 0, 0, 254, 62, 0, 0, 2, 142, 51, 64, 29, 0, 0, 0, 0,
    28, 22, 0, 0, 2, 143, 51, 72, 29, 0, 0, 0, 0, 152, 21, 0, 0, 2, 144, 51, 88, 0, 9, 158, 56, 3,
    0, 14, 168, 0, 0, 0, 15, 26, 34, 0, 0, 15, 179, 56, 3, 0, 15, 189, 56, 3, 0, 0, 9, 184, 56, 3,
    0, 37, 230, 55, 3, 0, 9, 194, 56, 3, 0, 35, 0, 0, 0, 0, 16, 2, 147, 51, 44, 212, 56, 3, 0, 2,
    148, 51, 0, 34, 16, 2, 148, 51, 44, 226, 56, 3, 0, 2, 149, 51, 0, 30, 16, 2, 149, 51, 29, 0, 0,
    0, 0, 90, 22, 0, 0, 2, 150, 51, 0, 29, 0, 0, 0, 0, 177, 66, 0, 0, 2, 151, 51, 8, 0, 29, 0, 0,
    0, 0, 179, 56, 3, 0, 2, 153, 51, 0, 44, 24, 57, 3, 0, 2, 154, 51, 0, 30, 16, 2, 154, 51, 29, 0,
    0, 0, 0, 181, 51, 0, 0, 2, 155, 51, 0, 29, 0, 0, 0, 0, 58, 57, 3, 0, 2, 156, 51, 8, 0, 0, 0, 9,
    63, 57, 3, 0, 35, 0, 0, 0, 0, 20, 2, 12, 49, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 13, 49, 0, 29, 0,
    0, 0, 0, 27, 1, 0, 0, 2, 14, 49, 4, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 15, 49, 8, 29, 0, 0, 0, 0,
    27, 1, 0, 0, 2, 16, 49, 12, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 17, 49, 16, 0, 9, 143, 57, 3, 0,
    37, 148, 57, 3, 0, 35, 0, 0, 0, 0, 192, 2, 163, 51, 29, 0, 0, 0, 0, 195, 21, 0, 0, 2, 164, 51,
    0, 29, 0, 0, 0, 0, 73, 21, 0, 0, 2, 165, 51, 16, 29, 0, 0, 0, 0, 153, 56, 3, 0, 2, 166, 51, 32,
    29, 0, 0, 0, 0, 188, 58, 3, 0, 2, 167, 51, 40, 29, 0, 0, 0, 0, 204, 58, 3, 0, 2, 168, 51, 48,
    29, 0, 0, 0, 0, 226, 58, 3, 0, 2, 169, 51, 56, 29, 0, 0, 0, 0, 247, 58, 3, 0, 2, 170, 51, 64,
    29, 0, 0, 0, 0, 8, 59, 3, 0, 2, 171, 51, 72, 29, 0, 0, 0, 0, 69, 59, 3, 0, 2, 172, 51, 80, 29,
    0, 0, 0, 0, 105, 59, 3, 0, 2, 173, 51, 88, 29, 0, 0, 0, 0, 121, 59, 3, 0, 2, 174, 51, 96, 29,
    0, 0, 0, 0, 20, 60, 3, 0, 2, 175, 51, 104, 29, 0, 0, 0, 0, 247, 58, 3, 0, 2, 176, 51, 112, 29,
    0, 0, 0, 0, 247, 58, 3, 0, 2, 177, 51, 120, 29, 0, 0, 0, 0, 94, 60, 3, 0, 2, 178, 51, 128, 29,
    0, 0, 0, 0, 126, 60, 3, 0, 2, 179, 51, 136, 29, 0, 0, 0, 0, 170, 136, 0, 0, 2, 180, 51, 144,
    29, 0, 0, 0, 0, 105, 72, 3, 0, 2, 181, 51, 152, 29, 0, 0, 0, 0, 105, 72, 3, 0, 2, 182, 51, 160,
    29, 0, 0, 0, 0, 146, 72, 3, 0, 2, 183, 51, 168, 29, 0, 0, 0, 0, 120, 81, 0, 0, 2, 184, 51, 176,
    29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 185, 51, 184, 0, 9, 193, 58, 3, 0, 14, 168, 0, 0, 0, 15, 225,
    55, 3, 0, 0, 9, 209, 58, 3, 0, 38, 15, 225, 55, 3, 0, 15, 181, 51, 0, 0, 15, 191, 110, 1, 0, 0,
    9, 231, 58, 3, 0, 14, 26, 1, 0, 0, 15, 225, 55, 3, 0, 15, 177, 66, 0, 0, 0, 9, 252, 58, 3, 0,
    38, 15, 225, 55, 3, 0, 15, 26, 1, 0, 0, 0, 9, 13, 59, 3, 0, 14, 168, 0, 0, 0, 15, 47, 85, 1, 0,
    15, 26, 34, 0, 0, 15, 225, 55, 3, 0, 15, 90, 22, 0, 0, 15, 177, 66, 0, 0, 15, 145, 110, 1, 0,
    15, 230, 37, 1, 0, 15, 181, 51, 0, 0, 15, 181, 51, 0, 0, 15, 191, 110, 1, 0, 0, 9, 74, 59, 3,
    0, 14, 168, 0, 0, 0, 15, 225, 55, 3, 0, 15, 26, 1, 0, 0, 15, 90, 241, 0, 0, 15, 181, 51, 0, 0,
    15, 191, 110, 1, 0, 0, 9, 110, 59, 3, 0, 14, 181, 51, 0, 0, 15, 225, 55, 3, 0, 0, 9, 126, 59,
    3, 0, 38, 15, 225, 55, 3, 0, 15, 143, 59, 3, 0, 15, 181, 51, 0, 0, 0, 9, 148, 59, 3, 0, 40, 0,
    0, 0, 0, 32, 2, 241, 132, 1, 0, 25, 0, 0, 0, 0, 168, 0, 0, 0, 2, 242, 132, 1, 0, 0, 25, 0, 0,
    0, 0, 168, 0, 0, 0, 2, 243, 132, 1, 0, 4, 25, 0, 0, 0, 0, 168, 0, 0, 0, 2, 244, 132, 1, 0, 8,
    25, 0, 0, 0, 0, 181, 51, 0, 0, 2, 245, 132, 1, 0, 12, 25, 0, 0, 0, 0, 90, 22, 0, 0, 2, 246,
    132, 1, 0, 16, 25, 0, 0, 0, 0, 250, 59, 3, 0, 2, 247, 132, 1, 0, 24, 0, 9, 255, 59, 3, 0, 14,
    168, 0, 0, 0, 15, 225, 55, 3, 0, 15, 26, 1, 0, 0, 15, 143, 59, 3, 0, 0, 9, 25, 60, 3, 0, 14,
    168, 0, 0, 0, 15, 225, 55, 3, 0, 15, 181, 51, 0, 0, 15, 56, 60, 3, 0, 15, 26, 1, 0, 0, 15, 191,
    110, 1, 0, 0, 9, 61, 60, 3, 0, 39, 73, 60, 3, 0, 0, 0, 0, 0, 2, 46, 51, 14, 168, 0, 0, 0, 15,
    108, 7, 0, 0, 15, 26, 1, 0, 0, 15, 26, 1, 0, 0, 0, 9, 99, 60, 3, 0, 38, 15, 26, 1, 0, 0, 15,
    177, 66, 0, 0, 15, 90, 22, 0, 0, 15, 26, 1, 0, 0, 15, 90, 22, 0, 0, 0, 9, 131, 60, 3, 0, 14,
    26, 1, 0, 0, 15, 47, 85, 1, 0, 15, 157, 60, 3, 0, 15, 145, 110, 1, 0, 15, 191, 110, 1, 0, 0, 9,
    162, 60, 3, 0, 35, 0, 0, 0, 0, 112, 2, 188, 51, 29, 0, 0, 0, 0, 128, 104, 0, 0, 2, 189, 51, 0,
    29, 0, 0, 0, 0, 225, 55, 3, 0, 2, 190, 51, 32, 29, 0, 0, 0, 0, 195, 21, 0, 0, 2, 191, 51, 40,
    29, 0, 0, 0, 0, 72, 61, 3, 0, 2, 192, 51, 56, 29, 0, 0, 0, 0, 177, 66, 0, 0, 2, 193, 51, 64,
    29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 194, 51, 68, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 195, 51, 72, 29,
    0, 0, 0, 0, 181, 51, 0, 0, 2, 196, 51, 76, 29, 0, 0, 0, 0, 181, 51, 0, 0, 2, 197, 51, 77, 29,
    0, 0, 0, 0, 138, 57, 3, 0, 2, 198, 51, 80, 29, 0, 0, 0, 0, 26, 1, 0, 0, 2, 199, 51, 88, 29, 0,
    0, 0, 0, 28, 22, 0, 0, 2, 200, 51, 96, 0, 9, 77, 61, 3, 0, 28, 0, 0, 0, 0, 240, 4, 2, 103, 51,
    29, 0, 0, 0, 0, 128, 104, 0, 0, 2, 104, 51, 0, 29, 0, 0, 0, 0, 195, 21, 0, 0, 2, 105, 51, 32,
    29, 0, 0, 0, 0, 177, 66, 0, 0, 2, 106, 51, 48, 29, 0, 0, 0, 0, 177, 66, 0, 0, 2, 107, 51, 52,
    29, 0, 0, 0, 0, 254, 62, 0, 0, 2, 108, 51, 56, 29, 0, 0, 0, 0, 47, 85, 1, 0, 2, 109, 51, 64,
    29, 0, 0, 0, 0, 99, 62, 3, 0, 2, 110, 51, 72, 29, 0, 0, 0, 0, 57, 95, 0, 0, 2, 111, 51, 80, 29,
    0, 0, 0, 0, 70, 72, 3, 0, 2, 112, 51, 120, 29, 0, 0, 0, 0, 195, 21, 0, 0, 2, 113, 51, 136, 29,
    0, 0, 0, 0, 181, 51, 0, 0, 2, 114, 51, 152, 29, 0, 0, 0, 0, 242, 23, 0, 0, 2, 115, 51, 156, 29,
    0, 0, 0, 0, 38, 1, 0, 0, 2, 116, 51, 160, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 117, 51, 164, 29, 0,
    0, 0, 0, 26, 62, 3, 0, 2, 121, 51, 168, 30, 24, 2, 118, 51, 29, 0, 0, 0, 0, 157, 60, 3, 0, 2,
    119, 51, 0, 29, 0, 0, 0, 0, 195, 21, 0, 0, 2, 120, 51, 8, 0, 29, 0, 0, 0, 0, 28, 22, 0, 0, 2,
    122, 51, 192, 29, 0, 0, 0, 0, 93, 72, 3, 0, 2, 123, 51, 208, 31, 0, 0, 0, 0, 128, 104, 0, 0, 2,
    124, 51, 208, 4, 0, 9, 104, 62, 3, 0, 28, 0, 0, 0, 0, 64, 1, 2, 26, 49, 29, 0, 0, 0, 0, 214,
    63, 3, 0, 2, 27, 49, 0, 29, 0, 0, 0, 0, 240, 63, 3, 0, 2, 28, 49, 8, 29, 0, 0, 0, 0, 38, 1, 0,
    0, 2, 29, 49, 16, 29, 0, 0, 0, 0, 177, 66, 0, 0, 2, 30, 49, 20, 29, 0, 0, 0, 0, 0, 64, 3, 0, 2,
    31, 49, 24, 29, 0, 0, 0, 0, 239, 70, 3, 0, 2, 32, 49, 32, 29, 0, 0, 0, 0, 152, 21, 0, 0, 2, 33,
    49, 40, 29, 0, 0, 0, 0, 177, 66, 0, 0, 2, 34, 49, 56, 29, 0, 0, 0, 0, 177, 66, 0, 0, 2, 35, 49,
    60, 29, 0, 0, 0, 0, 9, 66, 3, 0, 2, 36, 49, 64, 29, 0, 0, 0, 0, 177, 71, 3, 0, 2, 37, 49, 72,
    29, 0, 0, 0, 0, 187, 71, 3, 0, 2, 38, 49, 80, 29, 0, 0, 0, 0, 58, 57, 3, 0, 2, 39, 49, 88, 29,
    0, 0, 0, 0, 168, 0, 0, 0, 2, 40, 49, 96, 29, 0, 0, 0, 0, 254, 62, 0, 0, 2, 41, 49, 100, 29, 0,
    0, 0, 0, 126, 146, 1, 0, 2, 45, 49, 128, 29, 0, 0, 0, 0, 8, 72, 3, 0, 2, 46, 49, 152, 29, 0, 0,
    0, 0, 228, 71, 3, 0, 2, 47, 49, 176, 29, 0, 0, 0, 0, 4, 66, 0, 0, 2, 48, 49, 192, 29, 0, 0, 0,
    0, 63, 57, 3, 0, 2, 49, 49, 196, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 50, 49, 216, 29, 0, 0, 0, 0,
    99, 62, 3, 0, 2, 51, 49, 224, 29, 0, 0, 0, 0, 126, 146, 1, 0, 2, 52, 49, 232, 31, 0, 0, 0, 0,
    33, 67, 0, 0, 2, 53, 49, 0, 1, 31, 0, 0, 0, 0, 33, 67, 0, 0, 2, 54, 49, 4, 1, 31, 0, 0, 0, 0,
    181, 51, 0, 0, 2, 55, 49, 8, 1, 31, 0, 0, 0, 0, 28, 22, 0, 0, 2, 56, 49, 16, 1, 0, 9, 219, 63,
    3, 0, 14, 168, 0, 0, 0, 15, 26, 34, 0, 0, 15, 99, 62, 3, 0, 15, 140, 55, 3, 0, 0, 9, 245, 63,
    3, 0, 14, 26, 34, 0, 0, 15, 99, 62, 3, 0, 0, 9, 5, 64, 3, 0, 37, 10, 64, 3, 0, 35, 0, 0, 0, 0,
    168, 2, 58, 51, 29, 0, 0, 0, 0, 37, 65, 3, 0, 2, 59, 51, 0, 29, 0, 0, 0, 0, 42, 65, 3, 0, 2,
    60, 51, 8, 29, 0, 0, 0, 0, 73, 21, 0, 0, 2, 61, 51, 16, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 62,
    51, 32, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 63, 51, 36, 29, 0, 0, 0, 0, 214, 63, 3, 0, 2, 64, 51,
    40, 29, 0, 0, 0, 0, 240, 63, 3, 0, 2, 65, 51, 48, 29, 0, 0, 0, 0, 240, 63, 3, 0, 2, 66, 51, 56,
    29, 0, 0, 0, 0, 105, 70, 3, 0, 2, 67, 51, 64, 29, 0, 0, 0, 0, 131, 70, 3, 0, 2, 68, 51, 72, 29,
    0, 0, 0, 0, 131, 70, 3, 0, 2, 69, 51, 80, 29, 0, 0, 0, 0, 105, 70, 3, 0, 2, 70, 51, 88, 29, 0,
    0, 0, 0, 131, 70, 3, 0, 2, 71, 51, 96, 29, 0, 0, 0, 0, 143, 70, 3, 0, 2, 72, 51, 104, 29, 0, 0,
    0, 0, 164, 70, 3, 0, 2, 73, 51, 112, 29, 0, 0, 0, 0, 185, 70, 3, 0, 2, 74, 51, 120, 29, 0, 0,
    0, 0, 206, 70, 3, 0, 2, 75, 51, 128, 29, 0, 0, 0, 0, 206, 70, 3, 0, 2, 76, 51, 136, 29, 0, 0,
    0, 0, 223, 70, 3, 0, 2, 77, 51, 144, 29, 0, 0, 0, 0, 223, 70, 3, 0, 2, 78, 51, 152, 29, 0, 0,
    0, 0, 120, 81, 0, 0, 2, 79, 51, 160, 0, 9, 10, 64, 3, 0, 9, 47, 65, 3, 0, 37, 52, 65, 3, 0, 35,
    0, 0, 0, 0, 112, 2, 84, 51, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 85, 51, 0, 29, 0, 0, 0, 0, 244, 65,
    3, 0, 2, 86, 51, 8, 29, 0, 0, 0, 0, 236, 67, 3, 0, 2, 87, 51, 16, 29, 0, 0, 0, 0, 21, 68, 3, 0,
    2, 88, 51, 24, 29, 0, 0, 0, 0, 42, 68, 3, 0, 2, 89, 51, 32, 29, 0, 0, 0, 0, 59, 68, 3, 0, 2,
    90, 51, 40, 29, 0, 0, 0, 0, 80, 68, 3, 0, 2, 91, 51, 48, 29, 0, 0, 0, 0, 121, 68, 3, 0, 2, 92,
    51, 56, 29, 0, 0, 0, 0, 142, 68, 3, 0, 2, 93, 51, 64, 29, 0, 0, 0, 0, 6, 69, 3, 0, 2, 94, 51,
    72, 29, 0, 0, 0, 0, 32, 69, 3, 0, 2, 95, 51, 80, 29, 0, 0, 0, 0, 42, 68, 3, 0, 2, 96, 51, 88,
    29, 0, 0, 0, 0, 58, 69, 3, 0, 2, 97, 51, 96, 29, 0, 0, 0, 0, 89, 69, 3, 0, 2, 98, 51, 104, 0,
    9, 249, 65, 3, 0, 14, 9, 66, 3, 0, 15, 99, 62, 3, 0, 15, 130, 67, 3, 0, 0, 9, 14, 66, 3, 0, 28,
    0, 0, 0, 0, 64, 1, 2, 232, 48, 29, 0, 0, 0, 0, 162, 12, 0, 0, 2, 233, 48, 0, 29, 0, 0, 0, 0,
    99, 62, 3, 0, 2, 234, 48, 8, 29, 0, 0, 0, 0, 99, 62, 3, 0, 2, 235, 48, 16, 29, 0, 0, 0, 0, 223,
    85, 0, 0, 2, 236, 48, 24, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 237, 48, 88, 29, 0, 0, 0, 0, 90, 22,
    0, 0, 2, 238, 48, 96, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 239, 48, 104, 29, 0, 0, 0, 0, 162, 12,
    0, 0, 2, 240, 48, 112, 29, 0, 0, 0, 0, 38, 218, 2, 0, 2, 241, 48, 120, 29, 0, 0, 0, 0, 33, 67,
    0, 0, 2, 242, 48, 128, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 243, 48, 132, 29, 0, 0, 0, 0, 90, 22,
    0, 0, 2, 244, 48, 136, 29, 0, 0, 0, 0, 90, 22, 0, 0, 2, 245, 48, 144, 29, 0, 0, 0, 0, 207, 66,
    3, 0, 2, 251, 48, 192, 0, 35, 0, 0, 0, 0, 128, 2, 247, 45, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 248,
    45, 0, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 249, 45, 4, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 250, 45, 8,
    29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 2, 46, 64, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 3, 46, 68, 29, 0, 0,
    0, 0, 38, 1, 0, 0, 2, 4, 46, 72, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 5, 46, 76, 29, 0, 0, 0, 0, 38,
    1, 0, 0, 2, 6, 46, 80, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 7, 46, 84, 29, 0, 0, 0, 0, 90, 22, 0, 0,
    2, 8, 46, 88, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 9, 46, 96, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 10,
    46, 100, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 11, 46, 104, 0, 9, 135, 67, 3, 0, 35, 0, 0, 0, 0, 20,
    2, 235, 50, 29, 0, 0, 0, 0, 169, 26, 0, 0, 2, 236, 50, 0, 29, 0, 0, 0, 0, 169, 26, 0, 0, 2,
    237, 50, 1, 29, 0, 0, 0, 0, 236, 24, 0, 0, 2, 238, 50, 2, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 239,
    50, 4, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 240, 50, 8, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 241, 50, 12,
    29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 242, 50, 16, 0, 9, 241, 67, 3, 0, 14, 168, 0, 0, 0, 15, 99, 62,
    3, 0, 15, 90, 22, 0, 0, 15, 99, 62, 3, 0, 15, 16, 68, 3, 0, 15, 191, 110, 1, 0, 0, 9, 99, 62,
    3, 0, 9, 26, 68, 3, 0, 14, 99, 62, 3, 0, 15, 99, 62, 3, 0, 15, 90, 22, 0, 0, 0, 9, 47, 68, 3,
    0, 38, 15, 99, 62, 3, 0, 15, 90, 22, 0, 0, 0, 9, 64, 68, 3, 0, 14, 90, 22, 0, 0, 15, 99, 62, 3,
    0, 15, 177, 66, 0, 0, 0, 9, 85, 68, 3, 0, 14, 168, 0, 0, 0, 15, 99, 62, 3, 0, 15, 177, 66, 0,
    0, 15, 177, 66, 0, 0, 15, 145, 110, 1, 0, 15, 216, 107, 0, 0, 15, 191, 110, 1, 0, 0, 9, 126,
    68, 3, 0, 14, 168, 0, 0, 0, 15, 99, 62, 3, 0, 15, 90, 22, 0, 0, 0, 9, 147, 68, 3, 0, 38, 15,
    99, 62, 3, 0, 15, 159, 68, 3, 0, 0, 9, 164, 68, 3, 0, 40, 0, 0, 0, 0, 24, 2, 146, 125, 1, 0,
    25, 0, 0, 0, 0, 168, 0, 0, 0, 2, 147, 125, 1, 0, 0, 25, 0, 0, 0, 0, 168, 0, 0, 0, 2, 148, 125,
    1, 0, 4, 25, 0, 0, 0, 0, 168, 0, 0, 0, 2, 149, 125, 1, 0, 8, 25, 0, 0, 0, 0, 236, 68, 3, 0, 2,
    150, 125, 1, 0, 16, 0, 9, 241, 68, 3, 0, 14, 168, 0, 0, 0, 15, 99, 62, 3, 0, 15, 90, 22, 0, 0,
    15, 159, 68, 3, 0, 0, 9, 11, 69, 3, 0, 14, 72, 61, 3, 0, 15, 99, 62, 3, 0, 15, 90, 22, 0, 0,
    15, 191, 110, 1, 0, 0, 9, 37, 69, 3, 0, 14, 90, 22, 0, 0, 15, 99, 62, 3, 0, 15, 90, 22, 0, 0,
    15, 177, 66, 0, 0, 0, 9, 63, 69, 3, 0, 14, 168, 0, 0, 0, 15, 99, 62, 3, 0, 15, 90, 22, 0, 0,
    15, 26, 34, 0, 0, 15, 130, 67, 3, 0, 0, 9, 94, 69, 3, 0, 14, 168, 0, 0, 0, 15, 99, 62, 3, 0,
    15, 90, 22, 0, 0, 15, 115, 69, 3, 0, 0, 9, 120, 69, 3, 0, 35, 0, 0, 0, 0, 96, 2, 250, 50, 29,
    0, 0, 0, 0, 9, 153, 0, 0, 2, 251, 50, 0, 29, 0, 0, 0, 0, 26, 34, 0, 0, 2, 252, 50, 8, 29, 0, 0,
    0, 0, 150, 110, 1, 0, 2, 253, 50, 16, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 254, 50, 24, 29, 0, 0,
    0, 0, 168, 0, 0, 0, 2, 255, 50, 28, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 0, 51, 32, 29, 0, 0, 0, 0,
    26, 1, 0, 0, 2, 1, 51, 40, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 2, 51, 48, 29, 0, 0, 0, 0, 247, 69,
    3, 0, 2, 3, 51, 56, 0, 35, 0, 0, 0, 0, 40, 2, 191, 48, 29, 0, 0, 0, 0, 197, 0, 0, 0, 2, 192,
    48, 0, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 193, 48, 8, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 194, 48, 12,
    29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 195, 48, 16, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 196, 48, 20, 29,
    0, 0, 0, 0, 27, 1, 0, 0, 2, 197, 48, 24, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 198, 48, 28, 29, 0, 0,
    0, 0, 27, 1, 0, 0, 2, 199, 48, 32, 0, 9, 110, 70, 3, 0, 14, 168, 0, 0, 0, 15, 99, 62, 3, 0, 15,
    150, 110, 1, 0, 15, 191, 110, 1, 0, 0, 9, 136, 70, 3, 0, 38, 15, 99, 62, 3, 0, 0, 9, 148, 70,
    3, 0, 14, 168, 0, 0, 0, 15, 99, 62, 3, 0, 15, 38, 1, 0, 0, 0, 9, 169, 70, 3, 0, 14, 168, 0, 0,
    0, 15, 99, 62, 3, 0, 15, 26, 34, 0, 0, 0, 9, 190, 70, 3, 0, 14, 168, 0, 0, 0, 15, 99, 62, 3, 0,
    15, 115, 69, 3, 0, 0, 9, 211, 70, 3, 0, 38, 15, 99, 62, 3, 0, 15, 177, 66, 0, 0, 0, 9, 228, 70,
    3, 0, 14, 177, 66, 0, 0, 15, 99, 62, 3, 0, 0, 9, 244, 70, 3, 0, 35, 0, 0, 0, 0, 64, 2, 48, 51,
    29, 0, 0, 0, 0, 28, 22, 0, 0, 2, 49, 51, 0, 29, 0, 0, 0, 0, 195, 21, 0, 0, 2, 50, 51, 16, 29,
    0, 0, 0, 0, 63, 71, 3, 0, 2, 51, 51, 32, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 52, 51, 56, 29, 0, 0,
    0, 0, 191, 54, 3, 0, 2, 53, 51, 60, 0, 35, 0, 0, 0, 0, 24, 2, 202, 48, 29, 0, 0, 0, 0, 169, 26,
    0, 0, 2, 203, 48, 0, 29, 0, 0, 0, 0, 169, 26, 0, 0, 2, 204, 48, 1, 29, 0, 0, 0, 0, 3, 27, 0, 0,
    2, 205, 48, 2, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2, 206, 48, 4, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2,
    207, 48, 8, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 208, 48, 12, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 209,
    48, 16, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 210, 48, 20, 0, 9, 182, 71, 3, 0, 43, 0, 0, 0, 0, 9,
    192, 71, 3, 0, 35, 0, 0, 0, 0, 16, 2, 245, 50, 29, 0, 0, 0, 0, 228, 71, 3, 0, 2, 246, 50, 0,
    29, 0, 0, 0, 0, 243, 157, 0, 0, 2, 247, 50, 16, 0, 35, 0, 0, 0, 0, 16, 2, 7, 49, 29, 0, 0, 0,
    0, 197, 0, 0, 0, 2, 8, 49, 0, 29, 0, 0, 0, 0, 197, 0, 0, 0, 2, 9, 49, 8, 0, 35, 0, 0, 0, 0, 24,
    2, 0, 49, 29, 0, 0, 0, 0, 26, 34, 0, 0, 2, 1, 49, 0, 29, 0, 0, 0, 0, 26, 34, 0, 0, 2, 2, 49, 8,
    29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 3, 49, 16, 29, 0, 0, 0, 0, 33, 67, 0, 0, 2, 4, 49, 20, 0, 35,
    0, 0, 0, 0, 16, 2, 42, 51, 29, 0, 0, 0, 0, 195, 21, 0, 0, 2, 43, 51, 0, 0, 3, 90, 101, 0, 0, 4,
    82, 0, 0, 0, 128, 0, 9, 110, 72, 3, 0, 14, 168, 0, 0, 0, 15, 47, 85, 1, 0, 15, 225, 55, 3, 0,
    15, 26, 1, 0, 0, 15, 26, 34, 0, 0, 15, 130, 67, 3, 0, 15, 181, 51, 0, 0, 0, 9, 151, 72, 3, 0,
    14, 168, 0, 0, 0, 15, 26, 34, 0, 0, 15, 47, 85, 1, 0, 15, 26, 1, 0, 0, 0, 9, 177, 72, 3, 0, 35,
    0, 0, 0, 0, 16, 2, 90, 245, 29, 0, 0, 0, 0, 221, 107, 0, 0, 2, 91, 245, 0, 29, 0, 0, 0, 0, 229,
    67, 0, 0, 2, 92, 245, 4, 29, 0, 0, 0, 0, 229, 67, 0, 0, 2, 93, 245, 6, 29, 0, 0, 0, 0, 230, 37,
    1, 0, 2, 94, 245, 8, 29, 0, 0, 0, 0, 28, 73, 3, 0, 2, 98, 245, 16, 30, 4, 2, 95, 245, 29, 0, 0,
    0, 0, 229, 67, 0, 0, 2, 96, 245, 0, 29, 0, 0, 0, 0, 229, 67, 0, 0, 2, 97, 245, 2, 0, 0, 3, 251,
    72, 3, 0, 4, 82, 0, 0, 0, 0, 0, 9, 45, 73, 3, 0, 35, 0, 0, 0, 0, 168, 2, 2, 159, 29, 0, 0, 0,
    0, 120, 73, 3, 0, 2, 3, 159, 0, 29, 0, 0, 0, 0, 195, 21, 0, 0, 2, 4, 159, 128, 29, 0, 0, 0, 0,
    162, 12, 0, 0, 2, 5, 159, 144, 29, 0, 0, 0, 0, 162, 12, 0, 0, 2, 6, 159, 152, 29, 0, 0, 0, 0,
    38, 1, 0, 0, 2, 7, 159, 160, 0, 3, 189, 222, 2, 0, 4, 82, 0, 0, 0, 16, 0, 9, 137, 73, 3, 0, 35,
    0, 0, 0, 0, 16, 2, 109, 49, 29, 0, 0, 0, 0, 28, 22, 0, 0, 2, 110, 49, 0, 29, 0, 0, 0, 0, 173,
    73, 3, 0, 2, 111, 49, 16, 0, 3, 185, 73, 3, 0, 4, 82, 0, 0, 0, 0, 0, 9, 190, 73, 3, 0, 35, 0,
    0, 0, 0, 24, 2, 102, 49, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 103, 49, 0, 29, 0, 0, 0, 0, 38, 1, 0,
    0, 2, 104, 49, 4, 29, 0, 0, 0, 0, 28, 22, 0, 0, 2, 105, 49, 8, 29, 0, 0, 0, 0, 191, 54, 3, 0,
    2, 106, 49, 24, 0, 3, 90, 101, 0, 0, 4, 82, 0, 0, 0, 16, 0, 9, 13, 74, 3, 0, 35, 0, 0, 0, 0,
    16, 2, 44, 50, 29, 0, 0, 0, 0, 62, 74, 3, 0, 2, 45, 50, 0, 29, 0, 0, 0, 0, 62, 74, 3, 0, 2, 46,
    50, 8, 29, 0, 0, 0, 0, 243, 157, 0, 0, 2, 47, 50, 16, 0, 39, 74, 74, 3, 0, 0, 0, 0, 0, 2, 94,
    39, 30, 8, 2, 92, 39, 29, 0, 0, 0, 0, 235, 56, 2, 0, 2, 93, 39, 0, 0, 9, 98, 74, 3, 0, 35, 0,
    0, 0, 0, 32, 2, 50, 50, 29, 0, 0, 0, 0, 109, 22, 0, 0, 2, 51, 50, 0, 29, 0, 0, 0, 0, 109, 22,
    0, 0, 2, 52, 50, 8, 29, 0, 0, 0, 0, 109, 22, 0, 0, 2, 53, 50, 16, 29, 0, 0, 0, 0, 109, 22, 0,
    0, 2, 54, 50, 24, 29, 0, 0, 0, 0, 243, 157, 0, 0, 2, 55, 50, 32, 0, 9, 178, 74, 3, 0, 43, 0, 0,
    0, 0, 9, 188, 74, 3, 0, 43, 0, 0, 0, 0, 9, 198, 74, 3, 0, 43, 0, 0, 0, 0, 3, 20, 89, 0, 0, 4,
    82, 0, 0, 0, 4, 0, 9, 220, 74, 3, 0, 37, 225, 74, 3, 0, 35, 0, 0, 0, 0, 200, 2, 173, 50, 29, 0,
    0, 0, 0, 195, 21, 0, 0, 2, 174, 50, 0, 29, 0, 0, 0, 0, 233, 21, 0, 0, 2, 175, 50, 16, 29, 0, 0,
    0, 0, 36, 54, 0, 0, 2, 176, 50, 24, 29, 0, 0, 0, 0, 237, 33, 0, 0, 2, 177, 50, 32, 29, 0, 0, 0,
    0, 38, 1, 0, 0, 2, 178, 50, 40, 29, 0, 0, 0, 0, 120, 111, 1, 0, 2, 179, 50, 48, 29, 0, 0, 0, 0,
    35, 76, 3, 0, 2, 180, 50, 56, 29, 0, 0, 0, 0, 61, 76, 3, 0, 2, 181, 50, 64, 29, 0, 0, 0, 0, 97,
    76, 3, 0, 2, 182, 50, 72, 29, 0, 0, 0, 0, 128, 76, 3, 0, 2, 183, 50, 80, 29, 0, 0, 0, 0, 145,
    76, 3, 0, 2, 184, 50, 88, 29, 0, 0, 0, 0, 161, 76, 3, 0, 2, 185, 50, 96, 29, 0, 0, 0, 0, 145,
    76, 3, 0, 2, 186, 50, 104, 29, 0, 0, 0, 0, 161, 76, 3, 0, 2, 187, 50, 112, 29, 0, 0, 0, 0, 182,
    76, 3, 0, 2, 188, 50, 120, 29, 0, 0, 0, 0, 182, 76, 3, 0, 2, 189, 50, 128, 29, 0, 0, 0, 0, 38,
    1, 0, 0, 2, 190, 50, 136, 29, 0, 0, 0, 0, 120, 111, 1, 0, 2, 191, 50, 144, 29, 0, 0, 0, 0, 194,
    76, 3, 0, 2, 192, 50, 152, 29, 0, 0, 0, 0, 230, 76, 3, 0, 2, 193, 50, 160, 29, 0, 0, 0, 0, 251,
    76, 3, 0, 2, 194, 50, 168, 29, 0, 0, 0, 0, 21, 77, 3, 0, 2, 195, 50, 176, 29, 0, 0, 0, 0, 37,
    77, 3, 0, 2, 196, 50, 184, 29, 0, 0, 0, 0, 58, 77, 3, 0, 2, 197, 50, 192, 0, 9, 40, 76, 3, 0,
    14, 168, 0, 0, 0, 15, 145, 110, 1, 0, 15, 145, 110, 1, 0, 15, 191, 110, 1, 0, 0, 9, 66, 76, 3,
    0, 14, 168, 0, 0, 0, 15, 47, 85, 1, 0, 15, 162, 12, 0, 0, 15, 145, 110, 1, 0, 15, 145, 110, 1,
    0, 15, 191, 110, 1, 0, 0, 9, 102, 76, 3, 0, 14, 168, 0, 0, 0, 15, 162, 12, 0, 0, 15, 145, 110,
    1, 0, 15, 145, 110, 1, 0, 15, 191, 110, 1, 0, 0, 9, 133, 76, 3, 0, 38, 15, 162, 12, 0, 0, 15,
    228, 21, 0, 0, 0, 9, 150, 76, 3, 0, 14, 36, 54, 0, 0, 15, 197, 144, 1, 0, 0, 9, 166, 76, 3, 0,
    14, 168, 0, 0, 0, 15, 26, 34, 0, 0, 15, 197, 144, 1, 0, 0, 9, 187, 76, 3, 0, 57, 38, 1, 0, 0,
    58, 0, 9, 199, 76, 3, 0, 14, 168, 0, 0, 0, 15, 162, 12, 0, 0, 15, 162, 12, 0, 0, 15, 145, 110,
    1, 0, 15, 145, 110, 1, 0, 15, 191, 110, 1, 0, 0, 9, 235, 76, 3, 0, 14, 36, 54, 0, 0, 15, 197,
    144, 1, 0, 15, 197, 144, 1, 0, 0, 9, 0, 77, 3, 0, 14, 168, 0, 0, 0, 15, 26, 34, 0, 0, 15, 197,
    144, 1, 0, 15, 197, 144, 1, 0, 0, 9, 26, 77, 3, 0, 14, 47, 85, 1, 0, 15, 197, 144, 1, 0, 0, 9,
    42, 77, 3, 0, 14, 36, 54, 0, 0, 15, 197, 144, 1, 0, 15, 168, 0, 0, 0, 0, 9, 63, 77, 3, 0, 14,
    168, 0, 0, 0, 15, 26, 34, 0, 0, 15, 197, 144, 1, 0, 15, 176, 51, 0, 0, 15, 168, 0, 0, 0, 0, 9,
    94, 77, 3, 0, 37, 99, 77, 3, 0, 28, 0, 0, 0, 0, 136, 1, 2, 6, 48, 29, 0, 0, 0, 0, 252, 79, 3,
    0, 2, 7, 48, 0, 29, 0, 0, 0, 0, 252, 79, 3, 0, 2, 8, 48, 8, 29, 0, 0, 0, 0, 162, 80, 3, 0, 2,
    9, 48, 16, 29, 0, 0, 0, 0, 162, 80, 3, 0, 2, 10, 48, 24, 29, 0, 0, 0, 0, 223, 80, 3, 0, 2, 11,
    48, 32, 29, 0, 0, 0, 0, 223, 80, 3, 0, 2, 12, 48, 40, 29, 0, 0, 0, 0, 163, 81, 3, 0, 2, 13, 48,
    48, 29, 0, 0, 0, 0, 225, 81, 3, 0, 2, 14, 48, 56, 29, 0, 0, 0, 0, 225, 81, 3, 0, 2, 15, 48, 64,
    29, 0, 0, 0, 0, 83, 82, 3, 0, 2, 16, 48, 72, 29, 0, 0, 0, 0, 83, 82, 3, 0, 2, 17, 48, 80, 29,
    0, 0, 0, 0, 83, 82, 3, 0, 2, 18, 48, 88, 29, 0, 0, 0, 0, 252, 79, 3, 0, 2, 19, 48, 96, 29, 0,
    0, 0, 0, 225, 81, 3, 0, 2, 20, 48, 104, 29, 0, 0, 0, 0, 158, 82, 3, 0, 2, 21, 48, 112, 29, 0,
    0, 0, 0, 174, 82, 3, 0, 2, 22, 48, 120, 29, 0, 0, 0, 0, 195, 82, 3, 0, 2, 23, 48, 128, 29, 0,
    0, 0, 0, 212, 82, 3, 0, 2, 24, 48, 136, 29, 0, 0, 0, 0, 249, 82, 3, 0, 2, 25, 48, 144, 29, 0,
    0, 0, 0, 212, 82, 3, 0, 2, 26, 48, 152, 29, 0, 0, 0, 0, 249, 82, 3, 0, 2, 27, 48, 160, 29, 0,
    0, 0, 0, 15, 83, 3, 0, 2, 28, 48, 168, 29, 0, 0, 0, 0, 52, 83, 3, 0, 2, 29, 48, 176, 29, 0, 0,
    0, 0, 15, 83, 3, 0, 2, 30, 48, 184, 29, 0, 0, 0, 0, 52, 83, 3, 0, 2, 31, 48, 192, 29, 0, 0, 0,
    0, 249, 82, 3, 0, 2, 32, 48, 200, 29, 0, 0, 0, 0, 52, 83, 3, 0, 2, 33, 48, 208, 29, 0, 0, 0, 0,
    158, 82, 3, 0, 2, 34, 48, 216, 29, 0, 0, 0, 0, 74, 83, 3, 0, 2, 35, 48, 224, 29, 0, 0, 0, 0,
    57, 208, 2, 0, 2, 36, 48, 232, 29, 0, 0, 0, 0, 100, 83, 3, 0, 2, 37, 48, 240, 29, 0, 0, 0, 0,
    158, 82, 3, 0, 2, 38, 48, 248, 31, 0, 0, 0, 0, 126, 83, 3, 0, 2, 39, 48, 0, 1, 31, 0, 0, 0, 0,
    143, 83, 3, 0, 2, 40, 48, 8, 1, 31, 0, 0, 0, 0, 165, 83, 3, 0, 2, 41, 48, 16, 1, 31, 0, 0, 0,
    0, 52, 83, 3, 0, 2, 42, 48, 24, 1, 31, 0, 0, 0, 0, 249, 82, 3, 0, 2, 43, 48, 32, 1, 31, 0, 0,
    0, 0, 187, 83, 3, 0, 2, 44, 48, 40, 1, 31, 0, 0, 0, 0, 218, 83, 3, 0, 2, 45, 48, 48, 1, 31, 0,
    0, 0, 0, 74, 83, 3, 0, 2, 46, 48, 56, 1, 31, 0, 0, 0, 0, 244, 83, 3, 0, 2, 47, 48, 64, 1, 31,
    0, 0, 0, 0, 158, 82, 3, 0, 2, 48, 48, 72, 1, 31, 0, 0, 0, 0, 174, 82, 3, 0, 2, 49, 48, 80, 1,
    31, 0, 0, 0, 0, 14, 84, 3, 0, 2, 50, 48, 88, 1, 31, 0, 0, 0, 0, 83, 82, 3, 0, 2, 51, 48, 96, 1,
    31, 0, 0, 0, 0, 81, 84, 3, 0, 2, 52, 48, 104, 1, 31, 0, 0, 0, 0, 195, 84, 3, 0, 2, 53, 48, 112,
    1, 31, 0, 0, 0, 0, 27, 85, 3, 0, 2, 54, 48, 120, 1, 31, 0, 0, 0, 0, 27, 85, 3, 0, 2, 55, 48,
    128, 1, 0, 9, 1, 80, 3, 0, 14, 168, 0, 0, 0, 15, 162, 12, 0, 0, 15, 17, 80, 3, 0, 0, 9, 22, 80,
    3, 0, 35, 0, 0, 0, 0, 59, 2, 183, 47, 29, 0, 0, 0, 0, 158, 26, 0, 0, 2, 184, 47, 0, 29, 0, 0,
    0, 0, 158, 26, 0, 0, 2, 185, 47, 1, 29, 0, 0, 0, 0, 158, 26, 0, 0, 2, 186, 47, 2, 29, 0, 0, 0,
    0, 74, 176, 2, 0, 2, 187, 47, 3, 29, 0, 0, 0, 0, 74, 176, 2, 0, 2, 188, 47, 11, 29, 0, 0, 0, 0,
    74, 176, 2, 0, 2, 189, 47, 19, 29, 0, 0, 0, 0, 74, 176, 2, 0, 2, 190, 47, 27, 29, 0, 0, 0, 0,
    74, 176, 2, 0, 2, 191, 47, 35, 29, 0, 0, 0, 0, 74, 176, 2, 0, 2, 192, 47, 43, 29, 0, 0, 0, 0,
    74, 176, 2, 0, 2, 193, 47, 51, 0, 9, 167, 80, 3, 0, 14, 168, 0, 0, 0, 15, 162, 12, 0, 0, 15,
    183, 80, 3, 0, 0, 9, 188, 80, 3, 0, 35, 0, 0, 0, 0, 64, 2, 196, 47, 29, 0, 0, 0, 0, 211, 80, 3,
    0, 2, 197, 47, 0, 0, 3, 197, 0, 0, 0, 4, 82, 0, 0, 0, 8, 0, 9, 228, 80, 3, 0, 14, 168, 0, 0, 0,
    15, 162, 12, 0, 0, 15, 244, 80, 3, 0, 0, 9, 249, 80, 3, 0, 28, 0, 0, 0, 0, 104, 1, 2, 200, 47,
    29, 0, 0, 0, 0, 74, 176, 2, 0, 2, 201, 47, 0, 29, 0, 0, 0, 0, 155, 252, 2, 0, 2, 202, 47, 8,
    29, 0, 0, 0, 0, 155, 252, 2, 0, 2, 203, 47, 40, 29, 0, 0, 0, 0, 155, 252, 2, 0, 2, 204, 47, 72,
    29, 0, 0, 0, 0, 155, 252, 2, 0, 2, 205, 47, 104, 29, 0, 0, 0, 0, 155, 252, 2, 0, 2, 206, 47,
    136, 29, 0, 0, 0, 0, 155, 252, 2, 0, 2, 207, 47, 168, 29, 0, 0, 0, 0, 155, 252, 2, 0, 2, 208,
    47, 200, 29, 0, 0, 0, 0, 155, 252, 2, 0, 2, 209, 47, 232, 31, 0, 0, 0, 0, 155, 252, 2, 0, 2,
    210, 47, 8, 1, 31, 0, 0, 0, 0, 155, 252, 2, 0, 2, 211, 47, 40, 1, 31, 0, 0, 0, 0, 155, 252, 2,
    0, 2, 212, 47, 72, 1, 0, 9, 168, 81, 3, 0, 14, 168, 0, 0, 0, 15, 162, 12, 0, 0, 15, 184, 81, 3,
    0, 0, 9, 189, 81, 3, 0, 35, 0, 0, 0, 0, 96, 2, 215, 47, 29, 0, 0, 0, 0, 211, 80, 3, 0, 2, 216,
    47, 0, 29, 0, 0, 0, 0, 155, 252, 2, 0, 2, 217, 47, 64, 0, 9, 230, 81, 3, 0, 14, 168, 0, 0, 0,
    15, 162, 12, 0, 0, 15, 246, 81, 3, 0, 0, 9, 251, 81, 3, 0, 35, 0, 0, 0, 0, 136, 2, 220, 47, 29,
    0, 0, 0, 0, 158, 26, 0, 0, 2, 221, 47, 0, 29, 0, 0, 0, 0, 158, 26, 0, 0, 2, 222, 47, 1, 29, 0,
    0, 0, 0, 158, 26, 0, 0, 2, 223, 47, 2, 29, 0, 0, 0, 0, 225, 24, 0, 0, 2, 224, 47, 4, 29, 0, 0,
    0, 0, 211, 80, 3, 0, 2, 225, 47, 8, 29, 0, 0, 0, 0, 211, 80, 3, 0, 2, 226, 47, 72, 0, 9, 88,
    82, 3, 0, 14, 168, 0, 0, 0, 15, 162, 12, 0, 0, 15, 104, 82, 3, 0, 0, 9, 109, 82, 3, 0, 35, 0,
    0, 0, 0, 4, 2, 251, 47, 29, 0, 0, 0, 0, 158, 26, 0, 0, 2, 252, 47, 0, 29, 0, 0, 0, 0, 158, 26,
    0, 0, 2, 253, 47, 1, 29, 0, 0, 0, 0, 225, 24, 0, 0, 2, 254, 47, 2, 0, 9, 163, 82, 3, 0, 14,
    218, 67, 0, 0, 15, 162, 12, 0, 0, 0, 9, 179, 82, 3, 0, 14, 218, 67, 0, 0, 15, 162, 12, 0, 0,
    15, 218, 67, 0, 0, 0, 9, 200, 82, 3, 0, 38, 15, 162, 12, 0, 0, 15, 35, 229, 0, 0, 0, 9, 217,
    82, 3, 0, 38, 15, 162, 12, 0, 0, 15, 168, 0, 0, 0, 15, 218, 67, 0, 0, 15, 218, 67, 0, 0, 15,
    218, 67, 0, 0, 15, 218, 67, 0, 0, 0, 9, 254, 82, 3, 0, 38, 15, 162, 12, 0, 0, 15, 168, 0, 0, 0,
    15, 218, 67, 0, 0, 0, 9, 20, 83, 3, 0, 38, 15, 162, 12, 0, 0, 15, 168, 0, 0, 0, 15, 35, 229, 0,
    0, 15, 35, 229, 0, 0, 15, 35, 229, 0, 0, 15, 35, 229, 0, 0, 0, 9, 57, 83, 3, 0, 38, 15, 162,
    12, 0, 0, 15, 168, 0, 0, 0, 15, 35, 229, 0, 0, 0, 9, 79, 83, 3, 0, 14, 218, 67, 0, 0, 15, 162,
    12, 0, 0, 15, 168, 0, 0, 0, 15, 35, 229, 0, 0, 0, 9, 105, 83, 3, 0, 14, 168, 0, 0, 0, 15, 162,
    12, 0, 0, 15, 168, 0, 0, 0, 15, 218, 67, 0, 0, 0, 9, 131, 83, 3, 0, 38, 15, 162, 12, 0, 0, 15,
    218, 67, 0, 0, 0, 9, 148, 83, 3, 0, 38, 15, 162, 12, 0, 0, 15, 168, 0, 0, 0, 15, 132, 223, 0,
    0, 0, 9, 170, 83, 3, 0, 38, 15, 162, 12, 0, 0, 15, 168, 0, 0, 0, 15, 177, 66, 0, 0, 0, 9, 192,
    83, 3, 0, 14, 168, 0, 0, 0, 15, 162, 12, 0, 0, 15, 218, 67, 0, 0, 15, 229, 67, 0, 0, 15, 218,
    67, 0, 0, 0, 9, 223, 83, 3, 0, 14, 168, 0, 0, 0, 15, 162, 12, 0, 0, 15, 218, 67, 0, 0, 15, 229,
    67, 0, 0, 0, 9, 249, 83, 3, 0, 14, 218, 67, 0, 0, 15, 162, 12, 0, 0, 15, 168, 0, 0, 0, 15, 218,
    67, 0, 0, 0, 9, 19, 84, 3, 0, 14, 168, 0, 0, 0, 15, 162, 12, 0, 0, 15, 40, 84, 3, 0, 15, 44,
    230, 2, 0, 0, 9, 45, 84, 3, 0, 35, 0, 0, 0, 0, 2, 2, 1, 48, 29, 0, 0, 0, 0, 158, 26, 0, 0, 2,
    2, 48, 0, 29, 0, 0, 0, 0, 158, 26, 0, 0, 2, 3, 48, 1, 0, 9, 86, 84, 3, 0, 14, 168, 0, 0, 0, 15,
    162, 12, 0, 0, 15, 102, 84, 3, 0, 0, 9, 107, 84, 3, 0, 35, 0, 0, 0, 0, 20, 2, 235, 47, 29, 0,
    0, 0, 0, 158, 26, 0, 0, 2, 236, 47, 0, 29, 0, 0, 0, 0, 158, 26, 0, 0, 2, 237, 47, 1, 29, 0, 0,
    0, 0, 158, 26, 0, 0, 2, 238, 47, 2, 29, 0, 0, 0, 0, 158, 26, 0, 0, 2, 239, 47, 3, 29, 0, 0, 0,
    0, 74, 176, 2, 0, 2, 240, 47, 4, 29, 0, 0, 0, 0, 74, 176, 2, 0, 2, 241, 47, 12, 0, 9, 200, 84,
    3, 0, 14, 168, 0, 0, 0, 15, 162, 12, 0, 0, 15, 216, 84, 3, 0, 0, 9, 221, 84, 3, 0, 35, 0, 0, 0,
    0, 4, 2, 244, 47, 29, 0, 0, 0, 0, 158, 26, 0, 0, 2, 245, 47, 0, 29, 0, 0, 0, 0, 158, 26, 0, 0,
    2, 246, 47, 1, 29, 0, 0, 0, 0, 158, 26, 0, 0, 2, 247, 47, 2, 29, 0, 0, 0, 0, 158, 26, 0, 0, 2,
    248, 47, 3, 0, 9, 32, 85, 3, 0, 14, 168, 0, 0, 0, 15, 162, 12, 0, 0, 15, 48, 85, 3, 0, 0, 9,
    53, 85, 3, 0, 35, 0, 0, 0, 0, 44, 2, 229, 47, 29, 0, 0, 0, 0, 74, 176, 2, 0, 2, 230, 47, 0, 29,
    0, 0, 0, 0, 155, 252, 2, 0, 2, 231, 47, 8, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 232, 47, 40, 0, 3,
    114, 85, 3, 0, 4, 82, 0, 0, 0, 16, 0, 35, 0, 0, 0, 0, 4, 2, 200, 41, 29, 0, 0, 0, 0, 229, 67,
    0, 0, 2, 201, 41, 0, 29, 0, 0, 0, 0, 229, 67, 0, 0, 2, 202, 41, 2, 0, 9, 155, 85, 3, 0, 35, 0,
    0, 0, 0, 24, 2, 58, 48, 29, 0, 0, 0, 0, 28, 22, 0, 0, 2, 59, 48, 0, 29, 0, 0, 0, 0, 177, 66, 0,
    0, 2, 60, 48, 16, 29, 0, 0, 0, 0, 48, 254, 0, 0, 2, 61, 48, 20, 0, 9, 209, 85, 3, 0, 22, 0, 0,
    0, 0, 96, 5, 2, 209, 58, 1, 0, 25, 0, 0, 0, 0, 119, 89, 3, 0, 2, 210, 58, 1, 0, 0, 27, 0, 0, 0,
    0, 70, 93, 3, 0, 2, 211, 58, 1, 0, 80, 3, 27, 0, 0, 0, 0, 177, 66, 0, 0, 2, 212, 58, 1, 0, 88,
    3, 27, 0, 0, 0, 0, 222, 97, 3, 0, 2, 213, 58, 1, 0, 92, 3, 56, 0, 0, 0, 0, 38, 1, 0, 0, 2, 214,
    58, 1, 0, 4, 1, 31, 228, 3, 56, 0, 0, 0, 0, 38, 1, 0, 0, 2, 215, 58, 1, 0, 4, 1, 30, 228, 3,
    56, 0, 0, 0, 0, 38, 1, 0, 0, 2, 216, 58, 1, 0, 4, 1, 29, 228, 3, 56, 0, 0, 0, 0, 38, 1, 0, 0,
    2, 217, 58, 1, 0, 4, 1, 28, 228, 3, 56, 0, 0, 0, 0, 38, 1, 0, 0, 2, 218, 58, 1, 0, 4, 1, 27,
    228, 3, 56, 0, 0, 0, 0, 38, 1, 0, 0, 2, 219, 58, 1, 0, 4, 1, 26, 228, 3, 56, 0, 0, 0, 0, 38, 1,
    0, 0, 2, 220, 58, 1, 0, 4, 1, 25, 228, 3, 56, 0, 0, 0, 0, 38, 1, 0, 0, 2, 221, 58, 1, 0, 4, 1,
    24, 228, 3, 56, 0, 0, 0, 0, 38, 1, 0, 0, 2, 222, 58, 1, 0, 4, 1, 23, 228, 3, 56, 0, 0, 0, 0,
    38, 1, 0, 0, 2, 223, 58, 1, 0, 4, 1, 22, 228, 3, 56, 0, 0, 0, 0, 38, 1, 0, 0, 2, 224, 58, 1, 0,
    4, 1, 21, 228, 3, 56, 0, 0, 0, 0, 38, 1, 0, 0, 2, 225, 58, 1, 0, 4, 1, 20, 228, 3, 56, 0, 0, 0,
    0, 38, 1, 0, 0, 2, 226, 58, 1, 0, 4, 1, 19, 228, 3, 56, 0, 0, 0, 0, 38, 1, 0, 0, 2, 227, 58, 1,
    0, 4, 1, 18, 228, 3, 27, 0, 0, 0, 0, 23, 98, 3, 0, 2, 228, 58, 1, 0, 232, 3, 27, 0, 0, 0, 0,
    177, 66, 0, 0, 2, 229, 58, 1, 0, 236, 3, 27, 0, 0, 0, 0, 81, 98, 3, 0, 2, 230, 58, 1, 0, 240,
    3, 27, 0, 0, 0, 0, 168, 0, 0, 0, 2, 231, 58, 1, 0, 244, 3, 27, 0, 0, 0, 0, 168, 0, 0, 0, 2,
    232, 58, 1, 0, 248, 3, 27, 0, 0, 0, 0, 168, 0, 0, 0, 2, 233, 58, 1, 0, 252, 3, 27, 0, 0, 0, 0,
    168, 0, 0, 0, 2, 234, 58, 1, 0, 0, 4, 27, 0, 0, 0, 0, 218, 67, 0, 0, 2, 235, 58, 1, 0, 4, 4,
    27, 0, 0, 0, 0, 218, 67, 0, 0, 2, 236, 58, 1, 0, 5, 4, 27, 0, 0, 0, 0, 218, 67, 0, 0, 2, 237,
    58, 1, 0, 6, 4, 27, 0, 0, 0, 0, 11, 103, 0, 0, 2, 238, 58, 1, 0, 8, 4, 27, 0, 0, 0, 0, 11, 103,
    0, 0, 2, 239, 58, 1, 0, 24, 4, 27, 0, 0, 0, 0, 11, 103, 0, 0, 2, 240, 58, 1, 0, 40, 4, 27, 0,
    0, 0, 0, 11, 103, 0, 0, 2, 241, 58, 1, 0, 56, 4, 27, 0, 0, 0, 0, 177, 66, 0, 0, 2, 242, 58, 1,
    0, 72, 4, 27, 0, 0, 0, 0, 13, 99, 3, 0, 2, 243, 58, 1, 0, 80, 4, 27, 0, 0, 0, 0, 38, 1, 0, 0,
    2, 244, 58, 1, 0, 88, 4, 27, 0, 0, 0, 0, 13, 99, 3, 0, 2, 245, 58, 1, 0, 96, 4, 27, 0, 0, 0, 0,
    13, 99, 3, 0, 2, 246, 58, 1, 0, 104, 4, 27, 0, 0, 0, 0, 168, 0, 0, 0, 2, 247, 58, 1, 0, 112, 4,
    27, 0, 0, 0, 0, 26, 1, 0, 0, 2, 248, 58, 1, 0, 120, 4, 27, 0, 0, 0, 0, 212, 92, 3, 0, 2, 249,
    58, 1, 0, 128, 4, 27, 0, 0, 0, 0, 26, 34, 0, 0, 2, 250, 58, 1, 0, 136, 4, 27, 0, 0, 0, 0, 26,
    1, 0, 0, 2, 251, 58, 1, 0, 144, 4, 27, 0, 0, 0, 0, 150, 110, 1, 0, 2, 252, 58, 1, 0, 152, 4,
    27, 0, 0, 0, 0, 108, 160, 0, 0, 2, 253, 58, 1, 0, 160, 4, 27, 0, 0, 0, 0, 128, 104, 0, 0, 2,
    254, 58, 1, 0, 248, 4, 27, 0, 0, 0, 0, 181, 51, 0, 0, 2, 255, 58, 1, 0, 24, 5, 27, 0, 0, 0, 0,
    23, 99, 3, 0, 2, 0, 59, 1, 0, 32, 5, 27, 0, 0, 0, 0, 254, 108, 3, 0, 2, 1, 59, 1, 0, 40, 5, 27,
    0, 0, 0, 0, 162, 12, 0, 0, 2, 2, 59, 1, 0, 48, 5, 27, 0, 0, 0, 0, 8, 109, 3, 0, 2, 3, 59, 1, 0,
    56, 5, 27, 0, 0, 0, 0, 218, 67, 0, 0, 2, 4, 59, 1, 0, 64, 5, 27, 0, 0, 0, 0, 218, 67, 0, 0, 2,
    5, 59, 1, 0, 65, 5, 27, 0, 0, 0, 0, 222, 109, 3, 0, 2, 6, 59, 1, 0, 72, 5, 27, 0, 0, 0, 0, 237,
    33, 0, 0, 2, 7, 59, 1, 0, 80, 5, 27, 0, 0, 0, 0, 239, 109, 3, 0, 2, 8, 59, 1, 0, 88, 5, 0, 22,
    0, 0, 0, 0, 80, 3, 2, 138, 58, 1, 0, 25, 0, 0, 0, 0, 5, 166, 0, 0, 2, 139, 58, 1, 0, 0, 27, 0,
    0, 0, 0, 67, 90, 3, 0, 2, 140, 58, 1, 0, 240, 2, 27, 0, 0, 0, 0, 131, 192, 0, 0, 2, 141, 58, 1,
    0, 248, 2, 27, 0, 0, 0, 0, 203, 171, 0, 0, 2, 142, 58, 1, 0, 24, 3, 27, 0, 0, 0, 0, 48, 93, 3,
    0, 2, 143, 58, 1, 0, 32, 3, 27, 0, 0, 0, 0, 48, 93, 3, 0, 2, 144, 58, 1, 0, 40, 3, 27, 0, 0, 0,
    0, 168, 0, 0, 0, 2, 145, 58, 1, 0, 48, 3, 27, 0, 0, 0, 0, 168, 0, 0, 0, 2, 146, 58, 1, 0, 52,
    3, 27, 0, 0, 0, 0, 190, 92, 3, 0, 2, 147, 58, 1, 0, 56, 3, 27, 0, 0, 0, 0, 60, 93, 3, 0, 2,
    148, 58, 1, 0, 64, 3, 27, 0, 0, 0, 0, 38, 1, 0, 0, 2, 149, 58, 1, 0, 72, 3, 27, 0, 0, 0, 0, 38,
    1, 0, 0, 2, 150, 58, 1, 0, 76, 3, 0, 9, 72, 90, 3, 0, 22, 0, 0, 0, 0, 80, 10, 2, 26, 59, 1, 0,
    25, 0, 0, 0, 0, 120, 81, 0, 0, 2, 27, 59, 1, 0, 0, 25, 0, 0, 0, 0, 233, 21, 0, 0, 2, 28, 59, 1,
    0, 8, 25, 0, 0, 0, 0, 245, 91, 3, 0, 2, 29, 59, 1, 0, 16, 25, 0, 0, 0, 0, 26, 1, 0, 0, 2, 30,
    59, 1, 0, 80, 25, 0, 0, 0, 0, 1, 92, 3, 0, 2, 31, 59, 1, 0, 88, 25, 0, 0, 0, 0, 27, 92, 3, 0,
    2, 32, 59, 1, 0, 96, 25, 0, 0, 0, 0, 58, 92, 3, 0, 2, 33, 59, 1, 0, 104, 25, 0, 0, 0, 0, 74,
    92, 3, 0, 2, 34, 59, 1, 0, 112, 27, 0, 0, 0, 0, 128, 104, 0, 0, 2, 35, 59, 1, 0, 112, 4, 27, 0,
    0, 0, 0, 92, 168, 0, 0, 2, 36, 59, 1, 0, 144, 4, 27, 0, 0, 0, 0, 252, 90, 3, 0, 2, 42, 59, 1,
    0, 152, 4, 26, 38, 1, 0, 0, 4, 2, 37, 59, 1, 0, 19, 0, 0, 0, 0, 1, 19, 0, 0, 0, 0, 2, 19, 0, 0,
    0, 0, 3, 19, 0, 0, 0, 0, 4, 0, 27, 0, 0, 0, 0, 5, 166, 0, 0, 2, 43, 59, 1, 0, 160, 4, 27, 0, 0,
    0, 0, 173, 92, 3, 0, 2, 44, 59, 1, 0, 144, 7, 27, 0, 0, 0, 0, 177, 66, 0, 0, 2, 45, 59, 1, 0,
    144, 8, 27, 0, 0, 0, 0, 177, 66, 0, 0, 2, 46, 59, 1, 0, 148, 8, 27, 0, 0, 0, 0, 229, 102, 1, 0,
    2, 47, 59, 1, 0, 152, 8, 27, 0, 0, 0, 0, 168, 0, 0, 0, 2, 48, 59, 1, 0, 24, 9, 27, 0, 0, 0, 0,
    168, 0, 0, 0, 2, 49, 59, 1, 0, 28, 9, 27, 0, 0, 0, 0, 190, 92, 3, 0, 2, 50, 59, 1, 0, 32, 9,
    27, 0, 0, 0, 0, 176, 91, 3, 0, 2, 56, 59, 1, 0, 40, 9, 26, 38, 1, 0, 0, 4, 2, 51, 59, 1, 0, 19,
    0, 0, 0, 0, 0, 19, 0, 0, 0, 0, 1, 19, 0, 0, 0, 0, 2, 19, 0, 0, 0, 0, 3, 0, 27, 0, 0, 0, 0, 128,
    104, 0, 0, 2, 57, 59, 1, 0, 48, 9, 27, 0, 0, 0, 0, 200, 92, 3, 0, 2, 58, 59, 1, 0, 80, 9, 0, 3,
    75, 0, 0, 0, 4, 82, 0, 0, 0, 61, 0, 9, 6, 92, 3, 0, 14, 168, 0, 0, 0, 15, 67, 90, 3, 0, 15,
    168, 0, 0, 0, 15, 168, 0, 0, 0, 0, 9, 32, 92, 3, 0, 14, 168, 0, 0, 0, 15, 67, 90, 3, 0, 15,
    168, 0, 0, 0, 15, 168, 0, 0, 0, 15, 229, 67, 0, 0, 0, 9, 63, 92, 3, 0, 14, 168, 0, 0, 0, 15,
    67, 90, 3, 0, 0, 3, 86, 92, 3, 0, 4, 82, 0, 0, 0, 32, 0, 40, 0, 0, 0, 0, 32, 2, 18, 59, 1, 0,
    25, 0, 0, 0, 0, 62, 74, 3, 0, 2, 19, 59, 1, 0, 0, 25, 0, 0, 0, 0, 62, 74, 3, 0, 2, 20, 59, 1,
    0, 8, 25, 0, 0, 0, 0, 62, 74, 3, 0, 2, 21, 59, 1, 0, 16, 25, 0, 0, 0, 0, 62, 74, 3, 0, 2, 22,
    59, 1, 0, 24, 25, 0, 0, 0, 0, 243, 157, 0, 0, 2, 23, 59, 1, 0, 32, 0, 3, 185, 92, 3, 0, 4, 82,
    0, 0, 0, 32, 0, 9, 119, 89, 3, 0, 9, 195, 92, 3, 0, 43, 0, 0, 0, 0, 3, 212, 92, 3, 0, 4, 82, 0,
    0, 0, 32, 0, 9, 217, 92, 3, 0, 40, 0, 0, 0, 0, 32, 2, 75, 59, 1, 0, 25, 0, 0, 0, 0, 168, 0, 0,
    0, 2, 76, 59, 1, 0, 0, 25, 0, 0, 0, 0, 254, 62, 0, 0, 2, 77, 59, 1, 0, 4, 25, 0, 0, 0, 0, 90,
    22, 0, 0, 2, 78, 59, 1, 0, 8, 25, 0, 0, 0, 0, 36, 54, 0, 0, 2, 79, 59, 1, 0, 16, 25, 0, 0, 0,
    0, 26, 1, 0, 0, 2, 80, 59, 1, 0, 24, 0, 9, 53, 93, 3, 0, 38, 15, 185, 92, 3, 0, 0, 9, 65, 93,
    3, 0, 43, 0, 0, 0, 0, 9, 75, 93, 3, 0, 22, 0, 0, 0, 0, 224, 1, 2, 83, 59, 1, 0, 25, 0, 0, 0, 0,
    234, 95, 3, 0, 2, 84, 59, 1, 0, 0, 25, 0, 0, 0, 0, 177, 66, 0, 0, 2, 85, 59, 1, 0, 152, 25, 0,
    0, 0, 0, 154, 27, 0, 0, 2, 86, 59, 1, 0, 160, 25, 0, 0, 0, 0, 177, 66, 0, 0, 2, 87, 59, 1, 0,
    168, 25, 0, 0, 0, 0, 20, 96, 3, 0, 2, 88, 59, 1, 0, 176, 25, 0, 0, 0, 0, 177, 66, 0, 0, 2, 89,
    59, 1, 0, 184, 25, 0, 0, 0, 0, 45, 1, 0, 0, 2, 90, 59, 1, 0, 192, 25, 0, 0, 0, 0, 30, 96, 3, 0,
    2, 91, 59, 1, 0, 200, 25, 0, 0, 0, 0, 30, 96, 3, 0, 2, 92, 59, 1, 0, 208, 25, 0, 0, 0, 0, 30,
    96, 3, 0, 2, 93, 59, 1, 0, 216, 25, 0, 0, 0, 0, 30, 96, 3, 0, 2, 94, 59, 1, 0, 224, 25, 0, 0,
    0, 0, 30, 96, 3, 0, 2, 95, 59, 1, 0, 232, 25, 0, 0, 0, 0, 30, 96, 3, 0, 2, 96, 59, 1, 0, 240,
    25, 0, 0, 0, 0, 30, 96, 3, 0, 2, 97, 59, 1, 0, 248, 27, 0, 0, 0, 0, 30, 96, 3, 0, 2, 98, 59, 1,
    0, 0, 1, 27, 0, 0, 0, 0, 30, 96, 3, 0, 2, 99, 59, 1, 0, 8, 1, 27, 0, 0, 0, 0, 30, 96, 3, 0, 2,
    100, 59, 1, 0, 16, 1, 27, 0, 0, 0, 0, 30, 96, 3, 0, 2, 101, 59, 1, 0, 24, 1, 27, 0, 0, 0, 0,
    30, 96, 3, 0, 2, 102, 59, 1, 0, 32, 1, 27, 0, 0, 0, 0, 46, 96, 3, 0, 2, 103, 59, 1, 0, 40, 1,
    27, 0, 0, 0, 0, 62, 96, 3, 0, 2, 104, 59, 1, 0, 48, 1, 27, 0, 0, 0, 0, 30, 96, 3, 0, 2, 105,
    59, 1, 0, 56, 1, 27, 0, 0, 0, 0, 74, 96, 3, 0, 2, 106, 59, 1, 0, 64, 1, 27, 0, 0, 0, 0, 95, 96,
    3, 0, 2, 107, 59, 1, 0, 72, 1, 27, 0, 0, 0, 0, 62, 96, 3, 0, 2, 108, 59, 1, 0, 80, 1, 27, 0, 0,
    0, 0, 112, 96, 3, 0, 2, 109, 59, 1, 0, 88, 1, 27, 0, 0, 0, 0, 138, 96, 3, 0, 2, 110, 59, 1, 0,
    96, 1, 27, 0, 0, 0, 0, 30, 96, 3, 0, 2, 111, 59, 1, 0, 104, 1, 27, 0, 0, 0, 0, 169, 96, 3, 0,
    2, 112, 59, 1, 0, 112, 1, 27, 0, 0, 0, 0, 190, 96, 3, 0, 2, 113, 59, 1, 0, 120, 1, 27, 0, 0, 0,
    0, 211, 96, 3, 0, 2, 114, 59, 1, 0, 128, 1, 27, 0, 0, 0, 0, 30, 96, 3, 0, 2, 115, 59, 1, 0,
    136, 1, 27, 0, 0, 0, 0, 237, 96, 3, 0, 2, 116, 59, 1, 0, 144, 1, 27, 0, 0, 0, 0, 84, 97, 3, 0,
    2, 117, 59, 1, 0, 152, 1, 27, 0, 0, 0, 0, 30, 96, 3, 0, 2, 118, 59, 1, 0, 160, 1, 27, 0, 0, 0,
    0, 105, 97, 3, 0, 2, 119, 59, 1, 0, 168, 1, 27, 0, 0, 0, 0, 122, 97, 3, 0, 2, 120, 59, 1, 0,
    176, 1, 27, 0, 0, 0, 0, 144, 97, 3, 0, 2, 121, 59, 1, 0, 184, 1, 27, 0, 0, 0, 0, 175, 97, 3, 0,
    2, 122, 59, 1, 0, 192, 1, 27, 0, 0, 0, 0, 201, 97, 3, 0, 2, 123, 59, 1, 0, 200, 1, 27, 0, 0, 0,
    0, 30, 96, 3, 0, 2, 124, 59, 1, 0, 208, 1, 27, 0, 0, 0, 0, 30, 96, 3, 0, 2, 125, 59, 1, 0, 216,
    1, 0, 40, 0, 0, 0, 0, 152, 2, 61, 59, 1, 0, 25, 0, 0, 0, 0, 144, 169, 0, 0, 2, 62, 59, 1, 0, 0,
    25, 0, 0, 0, 0, 168, 0, 0, 0, 2, 63, 59, 1, 0, 144, 0, 37, 25, 96, 3, 0, 9, 189, 185, 2, 0, 9,
    35, 96, 3, 0, 14, 168, 0, 0, 0, 15, 204, 85, 3, 0, 0, 9, 51, 96, 3, 0, 14, 92, 247, 0, 0, 15,
    204, 85, 3, 0, 0, 9, 67, 96, 3, 0, 38, 15, 204, 85, 3, 0, 0, 9, 79, 96, 3, 0, 14, 168, 0, 0, 0,
    15, 204, 85, 3, 0, 15, 201, 240, 2, 0, 0, 9, 100, 96, 3, 0, 38, 15, 204, 85, 3, 0, 15, 201,
    240, 2, 0, 0, 9, 117, 96, 3, 0, 14, 168, 0, 0, 0, 15, 204, 85, 3, 0, 15, 168, 0, 0, 0, 15, 229,
    67, 0, 0, 0, 9, 143, 96, 3, 0, 14, 168, 0, 0, 0, 15, 204, 85, 3, 0, 15, 168, 0, 0, 0, 15, 229,
    67, 0, 0, 15, 229, 67, 0, 0, 0, 9, 174, 96, 3, 0, 14, 168, 0, 0, 0, 15, 204, 85, 3, 0, 15, 168,
    0, 0, 0, 0, 9, 195, 96, 3, 0, 14, 168, 0, 0, 0, 15, 204, 85, 3, 0, 15, 88, 252, 2, 0, 0, 9,
    216, 96, 3, 0, 14, 168, 0, 0, 0, 15, 204, 85, 3, 0, 15, 246, 241, 2, 0, 15, 35, 229, 0, 0, 0,
    9, 242, 96, 3, 0, 14, 168, 0, 0, 0, 15, 204, 85, 3, 0, 15, 2, 97, 3, 0, 0, 9, 7, 97, 3, 0, 37,
    12, 97, 3, 0, 40, 0, 0, 0, 0, 16, 2, 11, 59, 1, 0, 25, 0, 0, 0, 0, 177, 66, 0, 0, 2, 12, 59, 1,
    0, 0, 25, 0, 0, 0, 0, 177, 66, 0, 0, 2, 13, 59, 1, 0, 4, 25, 0, 0, 0, 0, 177, 66, 0, 0, 2, 14,
    59, 1, 0, 8, 25, 0, 0, 0, 0, 38, 42, 2, 0, 2, 15, 59, 1, 0, 12, 0, 9, 89, 97, 3, 0, 14, 168, 0,
    0, 0, 15, 204, 85, 3, 0, 15, 90, 241, 0, 0, 0, 9, 110, 97, 3, 0, 38, 15, 204, 85, 3, 0, 15, 35,
    229, 0, 0, 0, 9, 127, 97, 3, 0, 38, 15, 204, 85, 3, 0, 15, 79, 245, 2, 0, 15, 157, 252, 0, 0,
    0, 9, 149, 97, 3, 0, 14, 168, 0, 0, 0, 15, 204, 85, 3, 0, 15, 170, 97, 3, 0, 15, 26, 1, 0, 0,
    0, 9, 100, 253, 2, 0, 9, 180, 97, 3, 0, 14, 168, 0, 0, 0, 15, 204, 85, 3, 0, 15, 170, 97, 3, 0,
    15, 45, 1, 0, 0, 0, 9, 206, 97, 3, 0, 14, 168, 0, 0, 0, 15, 204, 85, 3, 0, 15, 181, 51, 0, 0,
    0, 40, 0, 0, 0, 0, 136, 2, 153, 58, 1, 0, 25, 0, 0, 0, 0, 177, 66, 0, 0, 2, 154, 58, 1, 0, 0,
    25, 0, 0, 0, 0, 177, 66, 0, 0, 2, 155, 58, 1, 0, 4, 25, 0, 0, 0, 0, 162, 116, 2, 0, 2, 156, 58,
    1, 0, 8, 0, 21, 38, 1, 0, 0, 0, 0, 0, 0, 4, 2, 159, 58, 1, 0, 19, 0, 0, 0, 0, 0, 19, 0, 0, 0,
    0, 1, 19, 0, 0, 0, 0, 2, 19, 0, 0, 0, 0, 3, 19, 0, 0, 0, 0, 4, 19, 0, 0, 0, 0, 5, 19, 0, 0, 0,
    0, 6, 0, 42, 95, 98, 3, 0, 0, 0, 0, 0, 2, 197, 58, 1, 0, 26, 38, 1, 0, 0, 4, 2, 169, 58, 1, 0,
    19, 0, 0, 0, 0, 0, 19, 0, 0, 0, 0, 1, 19, 0, 0, 0, 0, 2, 19, 0, 0, 0, 0, 3, 19, 0, 0, 0, 0, 4,
    19, 0, 0, 0, 0, 5, 19, 0, 0, 0, 0, 6, 19, 0, 0, 0, 0, 7, 19, 0, 0, 0, 0, 8, 19, 0, 0, 0, 0, 9,
    19, 0, 0, 0, 0, 10, 19, 0, 0, 0, 0, 11, 19, 0, 0, 0, 0, 12, 19, 0, 0, 0, 0, 13, 19, 0, 0, 0, 0,
    14, 19, 0, 0, 0, 0, 15, 19, 0, 0, 0, 0, 16, 19, 0, 0, 0, 0, 17, 19, 0, 0, 0, 0, 18, 19, 0, 0,
    0, 0, 19, 19, 0, 0, 0, 0, 20, 19, 0, 0, 0, 0, 21, 19, 0, 0, 0, 0, 22, 19, 0, 0, 0, 0, 23, 19,
    0, 0, 0, 0, 24, 19, 0, 0, 0, 0, 25, 19, 0, 0, 0, 0, 26, 0, 9, 18, 99, 3, 0, 43, 0, 0, 0, 0, 9,
    28, 99, 3, 0, 40, 0, 0, 0, 0, 96, 2, 216, 99, 1, 0, 25, 0, 0, 0, 0, 221, 107, 0, 0, 2, 217, 99,
    1, 0, 0, 25, 0, 0, 0, 0, 195, 21, 0, 0, 2, 218, 99, 1, 0, 8, 25, 0, 0, 0, 0, 5, 178, 0, 0, 2,
    219, 99, 1, 0, 24, 25, 0, 0, 0, 0, 220, 99, 3, 0, 2, 220, 99, 1, 0, 32, 25, 0, 0, 0, 0, 92,
    168, 0, 0, 2, 221, 99, 1, 0, 40, 25, 0, 0, 0, 0, 88, 100, 3, 0, 2, 222, 99, 1, 0, 48, 25, 0, 0,
    0, 0, 145, 100, 3, 0, 2, 223, 99, 1, 0, 56, 25, 0, 0, 0, 0, 23, 108, 3, 0, 2, 224, 99, 1, 0,
    64, 25, 0, 0, 0, 0, 26, 1, 0, 0, 2, 225, 99, 1, 0, 72, 25, 0, 0, 0, 0, 204, 85, 3, 0, 2, 226,
    99, 1, 0, 80, 25, 0, 0, 0, 0, 181, 51, 0, 0, 2, 227, 99, 1, 0, 88, 25, 0, 0, 0, 0, 181, 51, 0,
    0, 2, 228, 99, 1, 0, 89, 0, 9, 225, 99, 3, 0, 37, 230, 99, 3, 0, 40, 0, 0, 0, 0, 48, 2, 154,
    100, 1, 0, 25, 0, 0, 0, 0, 76, 100, 3, 0, 2, 155, 100, 1, 0, 0, 25, 0, 0, 0, 0, 76, 100, 3, 0,
    2, 156, 100, 1, 0, 8, 25, 0, 0, 0, 0, 76, 100, 3, 0, 2, 157, 100, 1, 0, 16, 25, 0, 0, 0, 0, 76,
    100, 3, 0, 2, 158, 100, 1, 0, 24, 25, 0, 0, 0, 0, 98, 100, 3, 0, 2, 159, 100, 1, 0, 32, 25, 0,
    0, 0, 0, 119, 100, 3, 0, 2, 160, 100, 1, 0, 40, 0, 9, 81, 100, 3, 0, 38, 15, 88, 100, 3, 0, 0,
    9, 93, 100, 3, 0, 43, 0, 0, 0, 0, 9, 103, 100, 3, 0, 14, 168, 0, 0, 0, 15, 88, 100, 3, 0, 15,
    88, 252, 2, 0, 0, 9, 124, 100, 3, 0, 14, 168, 0, 0, 0, 15, 88, 100, 3, 0, 15, 246, 241, 2, 0,
    15, 35, 229, 0, 0, 0, 9, 150, 100, 3, 0, 37, 155, 100, 3, 0, 40, 0, 0, 0, 0, 24, 2, 163, 100,
    1, 0, 25, 0, 0, 0, 0, 233, 21, 0, 0, 2, 164, 100, 1, 0, 0, 25, 0, 0, 0, 0, 233, 21, 0, 0, 2,
    165, 100, 1, 0, 8, 25, 0, 0, 0, 0, 212, 100, 3, 0, 2, 166, 100, 1, 0, 16, 0, 9, 217, 100, 3, 0,
    38, 15, 229, 100, 3, 0, 15, 216, 107, 0, 0, 0, 9, 234, 100, 3, 0, 37, 239, 100, 3, 0, 40, 0, 0,
    0, 0, 96, 2, 86, 100, 1, 0, 25, 0, 0, 0, 0, 25, 101, 3, 0, 2, 87, 100, 1, 0, 0, 25, 0, 0, 0, 0,
    132, 107, 3, 0, 2, 88, 100, 1, 0, 64, 0, 40, 0, 0, 0, 0, 64, 2, 231, 99, 1, 0, 25, 0, 0, 0, 0,
    218, 67, 0, 0, 2, 232, 99, 1, 0, 0, 25, 0, 0, 0, 0, 218, 67, 0, 0, 2, 233, 99, 1, 0, 1, 25, 0,
    0, 0, 0, 218, 67, 0, 0, 2, 234, 99, 1, 0, 2, 55, 0, 0, 0, 0, 218, 67, 0, 0, 2, 235, 99, 1, 0,
    1, 1, 7, 3, 55, 0, 0, 0, 0, 218, 67, 0, 0, 2, 236, 99, 1, 0, 1, 1, 6, 3, 55, 0, 0, 0, 0, 218,
    67, 0, 0, 2, 237, 99, 1, 0, 1, 1, 5, 3, 55, 0, 0, 0, 0, 218, 67, 0, 0, 2, 238, 99, 1, 0, 1, 1,
    4, 3, 55, 0, 0, 0, 0, 218, 67, 0, 0, 2, 239, 99, 1, 0, 1, 1, 3, 3, 55, 0, 0, 0, 0, 218, 67, 0,
    0, 2, 240, 99, 1, 0, 1, 1, 2, 3, 55, 0, 0, 0, 0, 218, 67, 0, 0, 2, 241, 99, 1, 0, 1, 1, 1, 3,
    55, 0, 0, 0, 0, 218, 67, 0, 0, 2, 242, 99, 1, 0, 1, 1, 0, 3, 55, 0, 0, 0, 0, 218, 67, 0, 0, 2,
    243, 99, 1, 0, 1, 1, 7, 4, 55, 0, 0, 0, 0, 218, 67, 0, 0, 2, 244, 99, 1, 0, 1, 1, 6, 4, 55, 0,
    0, 0, 0, 218, 67, 0, 0, 2, 245, 99, 1, 0, 1, 1, 5, 4, 55, 0, 0, 0, 0, 218, 67, 0, 0, 2, 246,
    99, 1, 0, 1, 1, 4, 4, 55, 0, 0, 0, 0, 218, 67, 0, 0, 2, 247, 99, 1, 0, 1, 1, 3, 4, 55, 0, 0, 0,
    0, 218, 67, 0, 0, 2, 248, 99, 1, 0, 1, 1, 2, 4, 55, 0, 0, 0, 0, 218, 67, 0, 0, 2, 249, 99, 1,
    0, 1, 1, 1, 4, 55, 0, 0, 0, 0, 218, 67, 0, 0, 2, 250, 99, 1, 0, 1, 1, 0, 4, 55, 0, 0, 0, 0,
    218, 67, 0, 0, 2, 251, 99, 1, 0, 1, 1, 7, 5, 55, 0, 0, 0, 0, 218, 67, 0, 0, 2, 252, 99, 1, 0,
    1, 1, 6, 5, 55, 0, 0, 0, 0, 218, 67, 0, 0, 2, 253, 99, 1, 0, 1, 1, 5, 5, 55, 0, 0, 0, 0, 218,
    67, 0, 0, 2, 254, 99, 1, 0, 1, 1, 4, 5, 55, 0, 0, 0, 0, 218, 67, 0, 0, 2, 255, 99, 1, 0, 1, 1,
    3, 5, 55, 0, 0, 0, 0, 218, 67, 0, 0, 2, 0, 100, 1, 0, 1, 1, 2, 5, 55, 0, 0, 0, 0, 218, 67, 0,
    0, 2, 1, 100, 1, 0, 1, 1, 1, 5, 55, 0, 0, 0, 0, 218, 67, 0, 0, 2, 2, 100, 1, 0, 1, 1, 0, 5, 55,
    0, 0, 0, 0, 218, 67, 0, 0, 2, 3, 100, 1, 0, 1, 1, 7, 6, 55, 0, 0, 0, 0, 218, 67, 0, 0, 2, 4,
    100, 1, 0, 1, 1, 6, 6, 55, 0, 0, 0, 0, 218, 67, 0, 0, 2, 5, 100, 1, 0, 1, 1, 5, 6, 55, 0, 0, 0,
    0, 218, 67, 0, 0, 2, 6, 100, 1, 0, 1, 1, 4, 6, 55, 0, 0, 0, 0, 218, 67, 0, 0, 2, 7, 100, 1, 0,
    1, 1, 3, 6, 55, 0, 0, 0, 0, 218, 67, 0, 0, 2, 8, 100, 1, 0, 1, 1, 2, 6, 55, 0, 0, 0, 0, 218,
    67, 0, 0, 2, 9, 100, 1, 0, 1, 1, 1, 6, 55, 0, 0, 0, 0, 218, 67, 0, 0, 2, 10, 100, 1, 0, 1, 1,
    0, 6, 55, 0, 0, 0, 0, 218, 67, 0, 0, 2, 11, 100, 1, 0, 1, 1, 7, 7, 55, 0, 0, 0, 0, 218, 67, 0,
    0, 2, 12, 100, 1, 0, 1, 1, 6, 7, 55, 0, 0, 0, 0, 218, 67, 0, 0, 2, 13, 100, 1, 0, 1, 1, 5, 7,
    55, 0, 0, 0, 0, 218, 67, 0, 0, 2, 14, 100, 1, 0, 1, 1, 4, 7, 55, 0, 0, 0, 0, 218, 67, 0, 0, 2,
    15, 100, 1, 0, 1, 1, 3, 7, 55, 0, 0, 0, 0, 218, 67, 0, 0, 2, 16, 100, 1, 0, 1, 1, 2, 7, 55, 0,
    0, 0, 0, 218, 67, 0, 0, 2, 17, 100, 1, 0, 1, 1, 1, 7, 55, 0, 0, 0, 0, 218, 67, 0, 0, 2, 18,
    100, 1, 0, 1, 1, 0, 7, 55, 0, 0, 0, 0, 218, 67, 0, 0, 2, 19, 100, 1, 0, 1, 1, 7, 8, 55, 0, 0,
    0, 0, 218, 67, 0, 0, 2, 20, 100, 1, 0, 1, 1, 6, 8, 55, 0, 0, 0, 0, 218, 67, 0, 0, 2, 21, 100,
    1, 0, 1, 1, 5, 8, 55, 0, 0, 0, 0, 218, 67, 0, 0, 2, 22, 100, 1, 0, 1, 1, 4, 8, 55, 0, 0, 0, 0,
    218, 67, 0, 0, 2, 23, 100, 1, 0, 1, 1, 3, 8, 55, 0, 0, 0, 0, 218, 67, 0, 0, 2, 24, 100, 1, 0,
    1, 1, 2, 8, 55, 0, 0, 0, 0, 218, 67, 0, 0, 2, 25, 100, 1, 0, 1, 1, 1, 8, 55, 0, 0, 0, 0, 218,
    67, 0, 0, 2, 26, 100, 1, 0, 1, 1, 0, 8, 55, 0, 0, 0, 0, 218, 67, 0, 0, 2, 27, 100, 1, 0, 1, 1,
    7, 9, 55, 0, 0, 0, 0, 218, 67, 0, 0, 2, 28, 100, 1, 0, 1, 1, 6, 9, 55, 0, 0, 0, 0, 218, 67, 0,
    0, 2, 29, 100, 1, 0, 1, 1, 5, 9, 55, 0, 0, 0, 0, 218, 67, 0, 0, 2, 30, 100, 1, 0, 1, 1, 4, 9,
    55, 0, 0, 0, 0, 218, 67, 0, 0, 2, 31, 100, 1, 0, 1, 1, 3, 9, 55, 0, 0, 0, 0, 218, 67, 0, 0, 2,
    32, 100, 1, 0, 1, 1, 2, 9, 55, 0, 0, 0, 0, 218, 67, 0, 0, 2, 33, 100, 1, 0, 1, 1, 1, 9, 55, 0,
    0, 0, 0, 218, 67, 0, 0, 2, 34, 100, 1, 0, 1, 1, 0, 9, 55, 0, 0, 0, 0, 218, 67, 0, 0, 2, 35,
    100, 1, 0, 1, 1, 7, 10, 55, 0, 0, 0, 0, 218, 67, 0, 0, 2, 36, 100, 1, 0, 1, 1, 6, 10, 55, 0, 0,
    0, 0, 218, 67, 0, 0, 2, 37, 100, 1, 0, 1, 1, 5, 10, 55, 0, 0, 0, 0, 218, 67, 0, 0, 2, 38, 100,
    1, 0, 1, 1, 4, 10, 55, 0, 0, 0, 0, 218, 67, 0, 0, 2, 39, 100, 1, 0, 1, 1, 3, 10, 55, 0, 0, 0,
    0, 218, 67, 0, 0, 2, 40, 100, 1, 0, 1, 1, 2, 10, 55, 0, 0, 0, 0, 218, 67, 0, 0, 2, 41, 100, 1,
    0, 1, 1, 1, 10, 55, 0, 0, 0, 0, 218, 67, 0, 0, 2, 42, 100, 1, 0, 1, 1, 0, 10, 25, 0, 0, 0, 0,
    218, 67, 0, 0, 2, 43, 100, 1, 0, 11, 25, 0, 0, 0, 0, 218, 67, 0, 0, 2, 44, 100, 1, 0, 12, 25,
    0, 0, 0, 0, 218, 67, 0, 0, 2, 45, 100, 1, 0, 13, 25, 0, 0, 0, 0, 45, 208, 2, 0, 2, 46, 100, 1,
    0, 14, 25, 0, 0, 0, 0, 73, 21, 0, 0, 2, 47, 100, 1, 0, 20, 25, 0, 0, 0, 0, 218, 67, 0, 0, 2,
    48, 100, 1, 0, 36, 25, 0, 0, 0, 0, 88, 37, 3, 0, 2, 49, 100, 1, 0, 37, 25, 0, 0, 0, 0, 73, 21,
    0, 0, 2, 50, 100, 1, 0, 40, 25, 0, 0, 0, 0, 63, 0, 0, 0, 2, 51, 100, 1, 0, 56, 23, 99, 106, 3,
    0, 2, 52, 100, 1, 0, 60, 24, 2, 2, 52, 100, 1, 0, 25, 0, 0, 0, 0, 57, 48, 0, 0, 2, 53, 100, 1,
    0, 0, 25, 0, 0, 0, 0, 57, 48, 0, 0, 2, 54, 100, 1, 0, 0, 25, 0, 0, 0, 0, 151, 106, 3, 0, 2, 60,
    100, 1, 0, 0, 59, 2, 2, 55, 100, 1, 0, 55, 0, 0, 0, 0, 218, 67, 0, 0, 2, 56, 100, 1, 0, 1, 1,
    7, 0, 55, 0, 0, 0, 0, 218, 67, 0, 0, 2, 57, 100, 1, 0, 1, 1, 6, 0, 55, 0, 0, 0, 0, 218, 67, 0,
    0, 2, 58, 100, 1, 0, 1, 6, 0, 0, 25, 0, 0, 0, 0, 218, 67, 0, 0, 2, 59, 100, 1, 0, 1, 0, 25, 0,
    0, 0, 0, 243, 106, 3, 0, 2, 68, 100, 1, 0, 0, 59, 2, 2, 61, 100, 1, 0, 55, 0, 0, 0, 0, 218, 67,
    0, 0, 2, 62, 100, 1, 0, 1, 1, 7, 0, 55, 0, 0, 0, 0, 218, 67, 0, 0, 2, 63, 100, 1, 0, 1, 1, 6,
    0, 55, 0, 0, 0, 0, 218, 67, 0, 0, 2, 64, 100, 1, 0, 1, 1, 5, 0, 55, 0, 0, 0, 0, 218, 67, 0, 0,
    2, 65, 100, 1, 0, 1, 1, 4, 0, 55, 0, 0, 0, 0, 218, 67, 0, 0, 2, 66, 100, 1, 0, 1, 4, 0, 0, 25,
    0, 0, 0, 0, 218, 67, 0, 0, 2, 67, 100, 1, 0, 1, 0, 0, 25, 0, 0, 0, 0, 218, 67, 0, 0, 2, 70,
    100, 1, 0, 62, 25, 0, 0, 0, 0, 218, 67, 0, 0, 2, 71, 100, 1, 0, 63, 0, 40, 0, 0, 0, 0, 32, 2,
    74, 100, 1, 0, 25, 0, 0, 0, 0, 57, 48, 0, 0, 2, 75, 100, 1, 0, 0, 25, 0, 0, 0, 0, 218, 67, 0,
    0, 2, 76, 100, 1, 0, 2, 25, 0, 0, 0, 0, 218, 67, 0, 0, 2, 77, 100, 1, 0, 3, 25, 0, 0, 0, 0, 73,
    21, 0, 0, 2, 78, 100, 1, 0, 4, 25, 0, 0, 0, 0, 36, 46, 2, 0, 2, 79, 100, 1, 0, 20, 25, 0, 0, 0,
    0, 218, 67, 0, 0, 2, 80, 100, 1, 0, 28, 25, 0, 0, 0, 0, 218, 67, 0, 0, 2, 81, 100, 1, 0, 29,
    25, 0, 0, 0, 0, 218, 67, 0, 0, 2, 82, 100, 1, 0, 30, 25, 0, 0, 0, 0, 218, 67, 0, 0, 2, 83, 100,
    1, 0, 31, 0, 9, 28, 108, 3, 0, 37, 33, 108, 3, 0, 40, 0, 0, 0, 0, 80, 2, 141, 100, 1, 0, 25, 0,
    0, 0, 0, 195, 108, 3, 0, 2, 142, 100, 1, 0, 0, 25, 0, 0, 0, 0, 195, 108, 3, 0, 2, 143, 100, 1,
    0, 8, 25, 0, 0, 0, 0, 212, 108, 3, 0, 2, 144, 100, 1, 0, 16, 25, 0, 0, 0, 0, 170, 136, 0, 0, 2,
    145, 100, 1, 0, 24, 25, 0, 0, 0, 0, 86, 56, 1, 0, 2, 146, 100, 1, 0, 32, 25, 0, 0, 0, 0, 170,
    136, 0, 0, 2, 147, 100, 1, 0, 40, 25, 0, 0, 0, 0, 170, 136, 0, 0, 2, 148, 100, 1, 0, 48, 25, 0,
    0, 0, 0, 170, 136, 0, 0, 2, 149, 100, 1, 0, 56, 25, 0, 0, 0, 0, 233, 108, 3, 0, 2, 150, 100, 1,
    0, 64, 25, 0, 0, 0, 0, 170, 136, 0, 0, 2, 151, 100, 1, 0, 72, 0, 9, 200, 108, 3, 0, 38, 15, 26,
    1, 0, 0, 15, 23, 99, 3, 0, 0, 9, 217, 108, 3, 0, 14, 168, 0, 0, 0, 15, 26, 1, 0, 0, 15, 229,
    100, 3, 0, 0, 9, 238, 108, 3, 0, 14, 168, 0, 0, 0, 15, 26, 1, 0, 0, 15, 204, 85, 3, 0, 0, 9, 3,
    109, 3, 0, 43, 0, 0, 0, 0, 9, 13, 109, 3, 0, 40, 0, 0, 0, 0, 48, 2, 66, 59, 1, 0, 25, 0, 0, 0,
    0, 115, 109, 3, 0, 2, 67, 59, 1, 0, 0, 25, 0, 0, 0, 0, 141, 109, 3, 0, 2, 68, 59, 1, 0, 8, 25,
    0, 0, 0, 0, 163, 109, 3, 0, 2, 69, 59, 1, 0, 16, 25, 0, 0, 0, 0, 184, 109, 3, 0, 2, 70, 59, 1,
    0, 24, 25, 0, 0, 0, 0, 201, 109, 3, 0, 2, 71, 59, 1, 0, 32, 25, 0, 0, 0, 0, 92, 168, 0, 0, 2,
    72, 59, 1, 0, 40, 0, 9, 120, 109, 3, 0, 14, 181, 51, 0, 0, 15, 8, 109, 3, 0, 15, 26, 34, 0, 0,
    15, 168, 0, 0, 0, 0, 9, 146, 109, 3, 0, 38, 15, 8, 109, 3, 0, 15, 26, 34, 0, 0, 15, 168, 0, 0,
    0, 0, 9, 168, 109, 3, 0, 14, 168, 0, 0, 0, 15, 8, 109, 3, 0, 15, 186, 200, 2, 0, 0, 9, 189,
    109, 3, 0, 38, 15, 8, 109, 3, 0, 15, 204, 85, 3, 0, 0, 9, 206, 109, 3, 0, 14, 168, 0, 0, 0, 15,
    8, 109, 3, 0, 15, 217, 251, 2, 0, 0, 9, 227, 109, 3, 0, 38, 15, 204, 85, 3, 0, 15, 181, 51, 0,
    0, 0, 9, 244, 109, 3, 0, 37, 249, 109, 3, 0, 43, 0, 0, 0, 0, 9, 3, 110, 3, 0, 37, 8, 110, 3, 0,
    35, 0, 0, 0, 0, 64, 2, 205, 50, 29, 0, 0, 0, 0, 83, 110, 3, 0, 2, 206, 50, 0, 29, 0, 0, 0, 0,
    83, 110, 3, 0, 2, 207, 50, 8, 29, 0, 0, 0, 0, 114, 110, 3, 0, 2, 208, 50, 16, 29, 0, 0, 0, 0,
    38, 1, 0, 0, 2, 209, 50, 24, 29, 0, 0, 0, 0, 135, 110, 3, 0, 2, 210, 50, 28, 0, 9, 88, 110, 3,
    0, 14, 168, 0, 0, 0, 15, 162, 12, 0, 0, 15, 38, 1, 0, 0, 15, 38, 1, 0, 0, 15, 202, 215, 2, 0,
    0, 9, 119, 110, 3, 0, 14, 168, 0, 0, 0, 15, 162, 12, 0, 0, 15, 38, 1, 0, 0, 0, 3, 147, 110, 3,
    0, 4, 82, 0, 0, 0, 4, 0, 35, 0, 0, 0, 0, 8, 2, 200, 50, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 201,
    50, 0, 29, 0, 0, 0, 0, 38, 1, 0, 0, 2, 202, 50, 4, 0, 9, 188, 110, 3, 0, 43, 0, 0, 0, 0, 3,
    205, 110, 3, 0, 4, 82, 0, 0, 0, 3, 0, 35, 0, 0, 0, 0, 16, 2, 211, 41, 29, 0, 0, 0, 0, 61, 255,
    0, 0, 2, 212, 41, 0, 29, 0, 0, 0, 0, 241, 110, 3, 0, 2, 213, 41, 8, 0, 9, 246, 110, 3, 0, 40,
    0, 0, 0, 0, 80, 2, 93, 132, 1, 0, 25, 0, 0, 0, 0, 47, 111, 3, 0, 2, 94, 132, 1, 0, 0, 25, 0, 0,
    0, 0, 162, 12, 0, 0, 2, 95, 132, 1, 0, 64, 25, 0, 0, 0, 0, 168, 0, 0, 0, 2, 96, 132, 1, 0, 72,
    0, 35, 0, 0, 0, 0, 64, 2, 245, 129, 29, 0, 0, 0, 0, 185, 23, 0, 0, 2, 246, 129, 0, 29, 0, 0, 0,
    0, 177, 66, 0, 0, 2, 247, 129, 8, 29, 0, 0, 0, 0, 135, 111, 3, 0, 2, 248, 129, 12, 29, 0, 0, 0,
    0, 197, 111, 3, 0, 2, 249, 129, 16, 29, 0, 0, 0, 0, 61, 255, 0, 0, 2, 250, 129, 24, 29, 0, 0,
    0, 0, 117, 158, 0, 0, 2, 251, 129, 32, 0, 18, 38, 1, 0, 0, 0, 0, 0, 0, 4, 2, 206, 129, 19, 0,
    0, 0, 0, 0, 19, 0, 0, 0, 0, 1, 19, 0, 0, 0, 0, 2, 19, 0, 0, 0, 0, 3, 19, 0, 0, 0, 0, 4, 19, 0,
    0, 0, 0, 5, 19, 0, 0, 0, 0, 6, 19, 0, 0, 0, 0, 7, 0, 9, 202, 111, 3, 0, 37, 207, 111, 3, 0, 35,
    0, 0, 0, 0, 48, 2, 254, 129, 29, 0, 0, 0, 0, 39, 112, 3, 0, 2, 255, 129, 0, 29, 0, 0, 0, 0, 39,
    112, 3, 0, 2, 0, 130, 8, 29, 0, 0, 0, 0, 56, 112, 3, 0, 2, 1, 130, 16, 29, 0, 0, 0, 0, 72, 112,
    3, 0, 2, 2, 130, 24, 29, 0, 0, 0, 0, 98, 112, 3, 0, 2, 3, 130, 32, 29, 0, 0, 0, 0, 125, 112, 3,
    0, 2, 4, 130, 40, 0, 9, 44, 112, 3, 0, 38, 15, 51, 112, 3, 0, 0, 9, 47, 111, 3, 0, 9, 61, 112,
    3, 0, 14, 168, 0, 0, 0, 15, 51, 112, 3, 0, 0, 9, 77, 112, 3, 0, 14, 168, 0, 0, 0, 15, 51, 112,
    3, 0, 15, 61, 255, 0, 0, 15, 61, 255, 0, 0, 0, 9, 103, 112, 3, 0, 38, 15, 115, 112, 3, 0, 15,
    199, 111, 0, 0, 0, 9, 120, 112, 3, 0, 37, 47, 111, 3, 0, 9, 130, 112, 3, 0, 14, 168, 0, 0, 0,
    15, 115, 112, 3, 0, 15, 146, 112, 3, 0, 0, 9, 151, 112, 3, 0, 35, 0, 0, 0, 0, 32, 2, 217, 129,
    29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 218, 129, 0, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 219, 129, 4, 29,
    0, 0, 0, 0, 27, 1, 0, 0, 2, 220, 129, 8, 44, 208, 112, 3, 0, 2, 221, 129, 16, 34, 16, 2, 221,
    129, 29, 0, 0, 0, 0, 226, 112, 3, 0, 2, 225, 129, 0, 30, 16, 2, 222, 129, 29, 0, 0, 0, 0, 197,
    0, 0, 0, 2, 223, 129, 0, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 224, 129, 8, 0, 29, 0, 0, 0, 0, 15,
    113, 3, 0, 2, 228, 129, 0, 30, 4, 2, 226, 129, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 227, 129, 0, 0,
    29, 0, 0, 0, 0, 47, 113, 3, 0, 2, 232, 129, 0, 30, 16, 2, 229, 129, 29, 0, 0, 0, 0, 197, 0, 0,
    0, 2, 230, 129, 0, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 231, 129, 8, 0, 29, 0, 0, 0, 0, 92, 113, 3,
    0, 2, 236, 129, 0, 30, 8, 2, 233, 129, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 234, 129, 0, 29, 0, 0,
    0, 0, 27, 1, 0, 0, 2, 235, 129, 4, 0, 29, 0, 0, 0, 0, 137, 113, 3, 0, 2, 239, 129, 0, 30, 4, 2,
    237, 129, 29, 0, 0, 0, 0, 27, 1, 0, 0, 2, 238, 129, 0, 0, 0, 0, 9, 163, 113, 3, 0, 37, 168,
    113, 3, 0, 40, 0, 0, 0, 0, 56, 2, 69, 130, 1, 0, 25, 0, 0, 0, 0, 29, 114, 3, 0, 2, 70, 130, 1,
    0, 0, 25, 0, 0, 0, 0, 50, 114, 3, 0, 2, 71, 130, 1, 0, 8, 25, 0, 0, 0, 0, 31, 115, 3, 0, 2, 72,
    130, 1, 0, 16, 25, 0, 0, 0, 0, 62, 115, 3, 0, 2, 73, 130, 1, 0, 24, 25, 0, 0, 0, 0, 38, 1, 0,
    0, 2, 74, 130, 1, 0, 32, 25, 0, 0, 0, 0, 233, 21, 0, 0, 2, 75, 130, 1, 0, 40, 25, 0, 0, 0, 0,
    100, 10, 0, 0, 2, 76, 130, 1, 0, 48, 0, 9, 34, 114, 3, 0, 14, 26, 34, 0, 0, 15, 26, 34, 0, 0,
    15, 162, 12, 0, 0, 0, 9, 55, 114, 3, 0, 14, 26, 34, 0, 0, 15, 26, 34, 0, 0, 15, 162, 12, 0, 0,
    15, 76, 114, 3, 0, 0, 9, 81, 114, 3, 0, 40, 0, 0, 0, 0, 64, 2, 141, 128, 1, 0, 25, 0, 0, 0, 0,
    57, 48, 0, 0, 2, 142, 128, 1, 0, 0, 25, 0, 0, 0, 0, 181, 51, 0, 0, 2, 143, 128, 1, 0, 2, 25, 0,
    0, 0, 0, 162, 12, 0, 0, 2, 144, 128, 1, 0, 8, 25, 0, 0, 0, 0, 213, 114, 3, 0, 2, 145, 128, 1,
    0, 16, 25, 0, 0, 0, 0, 244, 114, 3, 0, 2, 146, 128, 1, 0, 24, 25, 0, 0, 0, 0, 10, 115, 3, 0, 2,
    147, 128, 1, 0, 32, 25, 0, 0, 0, 0, 26, 1, 0, 0, 2, 148, 128, 1, 0, 40, 25, 0, 0, 0, 0, 195,
    21, 0, 0, 2, 149, 128, 1, 0, 48, 0, 9, 218, 114, 3, 0, 14, 168, 0, 0, 0, 15, 26, 34, 0, 0, 15,
    162, 12, 0, 0, 15, 76, 114, 3, 0, 15, 162, 12, 0, 0, 0, 9, 249, 114, 3, 0, 38, 15, 228, 21, 0,
    0, 15, 76, 114, 3, 0, 15, 162, 12, 0, 0, 0, 9, 15, 115, 3, 0, 14, 181, 51, 0, 0, 15, 76, 114,
    3, 0, 15, 27, 40, 0, 0, 0, 9, 36, 115, 3, 0, 14, 168, 0, 0, 0, 15, 201, 173, 1, 0, 15, 57, 115,
    3, 0, 15, 176, 51, 0, 0, 0, 9, 57, 48, 0, 0, 9, 67, 115, 3, 0, 14, 181, 51, 0, 0, 15, 201, 173,
    1, 0, 15, 162, 12, 0, 0, 0, 9, 88, 115, 3, 0, 40, 0, 0, 0, 0, 80, 2, 83, 130, 1, 0, 25, 0, 0,
    0, 0, 195, 21, 0, 0, 2, 84, 130, 1, 0, 0, 25, 0, 0, 0, 0, 90, 91, 1, 0, 2, 85, 130, 1, 0, 16,
    25, 0, 0, 0, 0, 38, 1, 0, 0, 2, 86, 130, 1, 0, 24, 25, 0, 0, 0, 0, 221, 107, 0, 0, 2, 87, 130,
    1, 0, 28, 25, 0, 0, 0, 0, 181, 51, 0, 0, 2, 88, 130, 1, 0, 32, 25, 0, 0, 0, 0, 220, 115, 3, 0,
    2, 89, 130, 1, 0, 40, 25, 0, 0, 0, 0, 195, 21, 0, 0, 2, 90, 130, 1, 0, 48, 25, 0, 0, 0, 0, 195,
    21, 0, 0, 2, 91, 130, 1, 0, 64, 0, 9, 225, 115, 3, 0, 40, 0, 0, 0, 0, 32, 2, 251, 128, 1, 0,
    25, 0, 0, 0, 0, 92, 168, 0, 0, 2, 252, 128, 1, 0, 0, 25, 0, 0, 0, 0, 162, 12, 0, 0, 2, 253,
    128, 1, 0, 8, 25, 0, 0, 0, 0, 168, 0, 0, 0, 2, 254, 128, 1, 0, 16, 25, 0, 0, 0, 0, 41, 116, 3,
    0, 2, 255, 128, 1, 0, 24, 0, 9, 46, 116, 3, 0, 22, 0, 0, 0, 0, 72, 1, 2, 240, 128, 1, 0, 25, 0,
    0, 0, 0, 92, 168, 0, 0, 2, 241, 128, 1, 0, 0, 25, 0, 0, 0, 0, 168, 0, 0, 0, 2, 242, 128, 1, 0,
    8, 25, 0, 0, 0, 0, 180, 116, 3, 0, 2, 243, 128, 1, 0, 16, 25, 0, 0, 0, 0, 168, 0, 0, 0, 2, 244,
    128, 1, 0, 112, 25, 0, 0, 0, 0, 214, 183, 0, 0, 2, 245, 128, 1, 0, 120, 25, 0, 0, 0, 0, 192,
    116, 3, 0, 2, 246, 128, 1, 0, 128, 25, 0, 0, 0, 0, 204, 116, 3, 0, 2, 247, 128, 1, 0, 224, 27,
    0, 0, 0, 0, 216, 116, 3, 0, 2, 248, 128, 1, 0, 64, 1, 0, 3, 92, 168, 0, 0, 4, 82, 0, 0, 0, 12,
    0, 3, 154, 27, 0, 0, 4, 82, 0, 0, 0, 12, 0, 3, 214, 183, 0, 0, 4, 82, 0, 0, 0, 12, 0, 3, 38,
    42, 2, 0, 4, 82, 0, 0, 0, 4, 0, 9, 233, 116, 3, 0, 40, 0, 0, 0, 0, 136, 2, 106, 130, 1, 0, 25,
    0, 0, 0, 0, 181, 51, 0, 0, 2, 107, 130, 1, 0, 0, 25, 0, 0, 0, 0, 92, 168, 0, 0, 2, 108, 130, 1,
    0, 8, 25, 0, 0, 0, 0, 83, 115, 3, 0, 2, 109, 130, 1, 0, 16, 25, 0, 0, 0, 0, 38, 1, 0, 0, 2,
    110, 130, 1, 0, 24, 25, 0, 0, 0, 0, 254, 181, 0, 0, 2, 111, 130, 1, 0, 32, 25, 0, 0, 0, 0, 26,
    1, 0, 0, 2, 112, 130, 1, 0, 56, 25, 0, 0, 0, 0, 41, 116, 3, 0, 2, 113, 130, 1, 0, 64, 25, 0, 0,
    0, 0, 33, 118, 3, 0, 2, 114, 130, 1, 0, 72, 25, 0, 0, 0, 0, 177, 66, 0, 0, 2, 115, 130, 1, 0,
    80, 25, 0, 0, 0, 0, 67, 90, 3, 0, 2, 116, 130, 1, 0, 88, 25, 0, 0, 0, 0, 38, 1, 0, 0, 2, 117,
    130, 1, 0, 96, 25, 0, 0, 0, 0, 38, 1, 0, 0, 2, 118, 130, 1, 0, 100, 25, 0, 0, 0, 0, 80, 224, 2,
    0, 2, 119, 130, 1, 0, 104, 25, 0, 0, 0, 0, 38, 1, 0, 0, 2, 120, 130, 1, 0, 112, 25, 0, 0, 0, 0,
    181, 51, 0, 0, 2, 121, 130, 1, 0, 116, 25, 0, 0, 0, 0, 181, 51, 0, 0, 2, 122, 130, 1, 0, 117,
    25, 0, 0, 0, 0, 181, 51, 0, 0, 2, 123, 130, 1, 0, 118, 25, 0, 0, 0, 0, 181, 51, 0, 0, 2, 124,
    130, 1, 0, 119, 25, 0, 0, 0, 0, 181, 51, 0, 0, 2, 125, 130, 1, 0, 120, 25, 0, 0, 0, 0, 36, 54,
    0, 0, 2, 126, 130, 1, 0, 128, 0, 9, 38, 118, 3, 0, 37, 43, 118, 3, 0, 22, 0, 0, 0, 0, 40, 2, 2,
    133, 130, 1, 0, 25, 0, 0, 0, 0, 104, 122, 3, 0, 2, 134, 130, 1, 0, 0, 25, 0, 0, 0, 0, 130, 122,
    3, 0, 2, 135, 130, 1, 0, 8, 25, 0, 0, 0, 0, 146, 122, 3, 0, 2, 136, 130, 1, 0, 16, 25, 0, 0, 0,
    0, 158, 122, 3, 0, 2, 137, 130, 1, 0, 24, 25, 0, 0, 0, 0, 179, 122, 3, 0, 2, 138, 130, 1, 0,
    32, 25, 0, 0, 0, 0, 205, 122, 3, 0, 2, 139, 130, 1, 0, 40, 25, 0, 0, 0, 0, 236, 122, 3, 0, 2,
    140, 130, 1, 0, 48, 25, 0, 0, 0, 0, 2, 123, 3, 0, 2, 141, 130, 1, 0, 56, 25, 0, 0, 0, 0, 34,
    123, 3, 0, 2, 142, 130, 1, 0, 64, 25, 0, 0, 0, 0, 222, 123, 3, 0, 2, 143, 130, 1, 0, 72, 25, 0,
    0, 0, 0, 248, 123, 3, 0, 2, 144, 130, 1, 0, 80, 25, 0, 0, 0, 0, 29, 124, 3, 0, 2, 145, 130, 1,
    0, 88, 25, 0, 0, 0, 0, 46, 124, 3, 0, 2, 146, 130, 1, 0, 96, 25, 0, 0, 0, 0, 73, 124, 3, 0, 2,
    147, 130, 1, 0, 104, 25, 0, 0, 0, 0, 125, 124, 3, 0, 2, 148, 130, 1, 0, 112, 25, 0, 0, 0, 0,
    147, 124, 3, 0, 2, 149, 130, 1, 0, 120, 25, 0, 0, 0, 0, 191, 124, 3, 0, 2, 150, 130, 1, 0, 128,
    25, 0, 0, 0, 0, 179, 122, 3, 0, 2, 151, 130, 1, 0, 136, 25, 0, 0, 0, 0, 191, 124, 3, 0, 2, 152,
    130, 1, 0, 144, 25, 0, 0, 0, 0, 230, 124, 3, 0, 2, 153, 130, 1, 0, 152, 25, 0, 0, 0, 0, 252,
    124, 3, 0, 2, 154, 130, 1, 0, 160, 25, 0, 0, 0, 0, 22, 125, 3, 0, 2, 155, 130, 1, 0, 168, 25,
    0, 0, 0, 0, 130, 122, 3, 0, 2, 156, 130, 1, 0, 176, 25, 0, 0, 0, 0, 130, 122, 3, 0, 2, 157,
    130, 1, 0, 184, 25, 0, 0, 0, 0, 48, 125, 3, 0, 2, 158, 130, 1, 0, 192, 25, 0, 0, 0, 0, 29, 124,
    3, 0, 2, 159, 130, 1, 0, 200, 25, 0, 0, 0, 0, 74, 125, 3, 0, 2, 160, 130, 1, 0, 208, 25, 0, 0,
    0, 0, 74, 125, 3, 0, 2, 161, 130, 1, 0, 216, 25, 0, 0, 0, 0, 130, 122, 3, 0, 2, 162, 130, 1, 0,
    224, 25, 0, 0, 0, 0, 100, 125, 3, 0, 2, 163, 130, 1, 0, 232, 25, 0, 0, 0, 0, 100, 125, 3, 0, 2,
    164, 130, 1, 0, 240, 25, 0, 0, 0, 0, 126, 125, 3, 0, 2, 165, 130, 1, 0, 248, 27, 0, 0, 0, 0,
    147, 125, 3, 0, 2, 166, 130, 1, 0, 0, 1, 27, 0, 0, 0, 0, 174, 125, 3, 0, 2, 167, 130, 1, 0, 8,
    1, 27, 0, 0, 0, 0, 195, 125, 3, 0, 2, 168, 130, 1, 0, 16, 1, 27, 0, 0, 0, 0, 221, 125, 3, 0, 2,
    169, 130, 1, 0, 24, 1, 27, 0, 0, 0, 0, 243, 125, 3, 0, 2, 170, 130, 1, 0, 32, 1, 27, 0, 0, 0,
    0, 29, 124, 3, 0, 2, 171, 130, 1, 0, 40, 1, 27, 0, 0, 0, 0, 9, 126, 3, 0, 2, 172, 130, 1, 0,
    48, 1, 27, 0, 0, 0, 0, 40, 126, 3, 0, 2, 173, 130, 1, 0, 56, 1, 27, 0, 0, 0, 0, 66, 126, 3, 0,
    2, 174, 130, 1, 0, 64, 1, 27, 0, 0, 0, 0, 109, 127, 3, 0, 2, 175, 130, 1, 0, 72, 1, 27, 0, 0,
    0, 0, 66, 126, 3, 0, 2, 176, 130, 1, 0, 80, 1, 27, 0, 0, 0, 0, 131, 127, 3, 0, 2, 177, 130, 1,
    0, 88, 1, 27, 0, 0, 0, 0, 131, 127, 3, 0, 2, 178, 130, 1, 0, 96, 1, 27, 0, 0, 0, 0, 162, 127,
    3, 0, 2, 179, 130, 1, 0, 104, 1, 27, 0, 0, 0, 0, 238, 127, 3, 0, 2, 180, 130, 1, 0, 112, 1, 27,
    0, 0, 0, 0, 75, 128, 3, 0, 2, 181, 130, 1, 0, 120, 1, 27, 0, 0, 0, 0, 238, 127, 3, 0, 2, 182,
    130, 1, 0, 128, 1, 27, 0, 0, 0, 0, 97, 128, 3, 0, 2, 183, 130, 1, 0, 136, 1, 27, 0, 0, 0, 0,
    128, 128, 3, 0, 2, 184, 130, 1, 0, 144, 1, 27, 0, 0, 0, 0, 154, 128, 3, 0, 2, 185, 130, 1, 0,
    152, 1, 27, 0, 0, 0, 0, 154, 128, 3, 0, 2, 186, 130, 1, 0, 160, 1, 27, 0, 0, 0, 0, 154, 128, 3,
    0, 2, 187, 130, 1, 0, 168, 1, 27, 0, 0, 0, 0, 29, 139, 3, 0, 2, 188, 130, 1, 0, 176, 1, 27, 0,
    0, 0, 0, 107, 139, 3, 0, 2, 189, 130, 1, 0, 184, 1, 27, 0, 0, 0, 0, 129, 139, 3, 0, 2, 190,
    130, 1, 0, 192, 1, 27, 0, 0, 0, 0, 29, 124, 3, 0, 2, 191, 130, 1, 0, 200, 1, 27, 0, 0, 0, 0,
    202, 139, 3, 0, 2, 192, 130, 1, 0, 208, 1, 27, 0, 0, 0, 0, 233, 139, 3, 0, 2, 193, 130, 1, 0,
    216, 1, 27, 0, 0, 0, 0, 13, 140, 3, 0, 2, 194, 130, 1, 0, 224, 1, 27, 0, 0, 0, 0, 45, 140, 3,
    0, 2, 195, 130, 1, 0, 232, 1, 27, 0, 0, 0, 0, 45, 140, 3, 0, 2, 196, 130, 1, 0, 240, 1, 27, 0,
    0, 0, 0, 71, 140, 3, 0, 2, 197, 130, 1, 0, 248, 1, 27, 0, 0, 0, 0, 71, 140, 3, 0, 2, 198, 130,
    1, 0, 0, 2, 27, 0, 0, 0, 0, 102, 140, 3, 0, 2, 199, 130, 1, 0, 8, 2, 27, 0, 0, 0, 0, 102, 140,
    3, 0, 2, 200, 130, 1, 0, 16, 2, 27, 0, 0, 0, 0, 179, 122, 3, 0, 2, 201, 130, 1, 0, 24, 2, 27,
    0, 0, 0, 0, 126, 125, 3, 0, 2, 202, 130, 1, 0, 32, 2, 0, 9, 109, 122, 3, 0, 14, 100, 10, 0, 0,
    15, 228, 116, 3, 0, 15, 168, 0, 0, 0, 15, 100, 10, 0, 0, 0, 9, 135, 122, 3, 0, 14, 168, 0, 0,
    0, 15, 228, 116, 3, 0, 0, 9, 151, 122, 3, 0, 38, 15, 228, 116, 3, 0, 0, 9, 163, 122, 3, 0, 14,
    177, 66, 0, 0, 15, 228, 116, 3, 0, 15, 168, 0, 0, 0, 0, 9, 184, 122, 3, 0, 14, 168, 0, 0, 0,
    15, 228, 116, 3, 0, 15, 168, 0, 0, 0, 15, 168, 0, 0, 0, 0, 9, 210, 122, 3, 0, 14, 168, 0, 0, 0,
    15, 228, 116, 3, 0, 15, 168, 0, 0, 0, 15, 168, 0, 0, 0, 15, 229, 67, 0, 0, 0, 9, 241, 122, 3,
    0, 38, 15, 228, 116, 3, 0, 15, 168, 0, 0, 0, 15, 204, 85, 3, 0, 0, 9, 7, 123, 3, 0, 38, 15,
    228, 116, 3, 0, 15, 168, 0, 0, 0, 15, 24, 123, 3, 0, 0, 9, 29, 123, 3, 0, 43, 0, 0, 0, 0, 9,
    39, 123, 3, 0, 38, 15, 228, 116, 3, 0, 15, 168, 0, 0, 0, 15, 216, 107, 0, 0, 15, 61, 123, 3, 0,
    0, 9, 66, 123, 3, 0, 40, 0, 0, 0, 0, 56, 2, 2, 129, 1, 0, 25, 0, 0, 0, 0, 11, 103, 0, 0, 2, 3,
    129, 1, 0, 0, 25, 0, 0, 0, 0, 11, 103, 0, 0, 2, 4, 129, 1, 0, 16, 25, 0, 0, 0, 0, 81, 98, 3, 0,
    2, 5, 129, 1, 0, 32, 25, 0, 0, 0, 0, 168, 0, 0, 0, 2, 6, 129, 1, 0, 36, 25, 0, 0, 0, 0, 168, 0,
    0, 0, 2, 7, 129, 1, 0, 40, 25, 0, 0, 0, 0, 168, 0, 0, 0, 2, 8, 129, 1, 0, 44, 55, 0, 0, 0, 0,
    38, 1, 0, 0, 2, 9, 129, 1, 0, 4, 1, 31, 48, 55, 0, 0, 0, 0, 38, 1, 0, 0, 2, 10, 129, 1, 0, 4,
    1, 30, 48, 55, 0, 0, 0, 0, 38, 1, 0, 0, 2, 11, 129, 1, 0, 4, 1, 29, 48, 0, 9, 227, 123, 3, 0,
    14, 168, 0, 0, 0, 15, 228, 116, 3, 0, 15, 168, 0, 0, 0, 15, 61, 123, 3, 0, 0, 9, 253, 123, 3,
    0, 38, 15, 228, 116, 3, 0, 15, 168, 0, 0, 0, 15, 38, 1, 0, 0, 15, 19, 124, 3, 0, 0, 9, 24, 124,
    3, 0, 37, 66, 123, 3, 0, 9, 34, 124, 3, 0, 38, 15, 228, 116, 3, 0, 15, 168, 0, 0, 0, 0, 9, 51,
    124, 3, 0, 38, 15, 228, 116, 3, 0, 15, 168, 0, 0, 0, 15, 38, 1, 0, 0, 15, 81, 98, 3, 0, 0, 9,
    78, 124, 3, 0, 38, 15, 228, 116, 3, 0, 15, 168, 0, 0, 0, 15, 38, 1, 0, 0, 15, 81, 98, 3, 0, 15,
    204, 85, 3, 0, 15, 168, 0, 0, 0, 15, 168, 0, 0, 0, 15, 181, 51, 0, 0, 15, 181, 51, 0, 0, 0, 9,
    130, 124, 3, 0, 38, 15, 228, 116, 3, 0, 15, 168, 0, 0, 0, 15, 61, 123, 3, 0, 0, 9, 152, 124, 3,
    0, 38, 15, 228, 116, 3, 0, 15, 168, 0, 0, 0, 15, 177, 66, 0, 0, 15, 174, 124, 3, 0, 0, 9, 179,
    124, 3, 0, 39, 218, 67, 0, 0, 0, 0, 0, 0, 2, 179, 73, 9, 196, 124, 3, 0, 38, 15, 228, 116, 3,
    0, 15, 168, 0, 0, 0, 15, 213, 124, 3, 0, 0, 9, 218, 124, 3, 0, 39, 109, 22, 0, 0, 0, 0, 0, 0,
    2, 181, 73, 9, 235, 124, 3, 0, 38, 15, 228, 116, 3, 0, 15, 168, 0, 0, 0, 15, 201, 240, 2, 0, 0,
    9, 1, 125, 3, 0, 14, 168, 0, 0, 0, 15, 228, 116, 3, 0, 15, 168, 0, 0, 0, 15, 201, 240, 2, 0, 0,
    9, 27, 125, 3, 0, 14, 168, 0, 0, 0, 15, 228, 116, 3, 0, 15, 168, 0, 0, 0, 15, 217, 251, 2, 0,
    0, 9, 53, 125, 3, 0, 14, 168, 0, 0, 0, 15, 228, 116, 3, 0, 15, 168, 0, 0, 0, 15, 204, 85, 3, 0,
    0, 9, 79, 125, 3, 0, 14, 168, 0, 0, 0, 15, 228, 116, 3, 0, 15, 168, 0, 0, 0, 15, 188, 252, 2,
    0, 0, 9, 105, 125, 3, 0, 14, 168, 0, 0, 0, 15, 228, 116, 3, 0, 15, 246, 241, 2, 0, 15, 35, 229,
    0, 0, 0, 9, 131, 125, 3, 0, 14, 168, 0, 0, 0, 15, 228, 116, 3, 0, 15, 168, 0, 0, 0, 0, 9, 152,
    125, 3, 0, 38, 15, 228, 116, 3, 0, 15, 168, 0, 0, 0, 15, 117, 240, 2, 0, 15, 26, 1, 0, 0, 0, 9,
    179, 125, 3, 0, 14, 168, 0, 0, 0, 15, 228, 116, 3, 0, 15, 38, 1, 0, 0, 0, 9, 200, 125, 3, 0,
    14, 168, 0, 0, 0, 15, 228, 116, 3, 0, 15, 168, 0, 0, 0, 15, 162, 12, 0, 0, 0, 9, 226, 125, 3,
    0, 38, 15, 228, 116, 3, 0, 15, 168, 0, 0, 0, 15, 162, 12, 0, 0, 0, 9, 248, 125, 3, 0, 38, 15,
    228, 116, 3, 0, 15, 168, 0, 0, 0, 15, 218, 67, 0, 0, 0, 9, 14, 126, 3, 0, 14, 168, 0, 0, 0, 15,
    228, 116, 3, 0, 15, 168, 0, 0, 0, 15, 181, 51, 0, 0, 15, 181, 51, 0, 0, 0, 9, 45, 126, 3, 0,
    14, 168, 0, 0, 0, 15, 228, 116, 3, 0, 15, 168, 0, 0, 0, 15, 181, 51, 0, 0, 0, 9, 71, 126, 3, 0,
    14, 168, 0, 0, 0, 15, 228, 116, 3, 0, 15, 168, 0, 0, 0, 15, 92, 126, 3, 0, 0, 9, 97, 126, 3, 0,
    37, 102, 126, 3, 0, 40, 0, 0, 0, 0, 40, 2, 35, 130, 1, 0, 25, 0, 0, 0, 0, 174, 126, 3, 0, 2,
    36, 130, 1, 0, 0, 25, 0, 0, 0, 0, 229, 67, 0, 0, 2, 37, 130, 1, 0, 32, 25, 0, 0, 0, 0, 229, 67,
    0, 0, 2, 38, 130, 1, 0, 34, 25, 0, 0, 0, 0, 229, 67, 0, 0, 2, 39, 130, 1, 0, 36, 0, 40, 0, 0,
    0, 0, 32, 2, 27, 130, 1, 0, 25, 0, 0, 0, 0, 162, 12, 0, 0, 2, 28, 130, 1, 0, 0, 25, 0, 0, 0, 0,
    5, 127, 3, 0, 2, 29, 130, 1, 0, 8, 25, 0, 0, 0, 0, 177, 66, 0, 0, 2, 30, 130, 1, 0, 12, 25, 0,
    0, 0, 0, 26, 1, 0, 0, 2, 31, 130, 1, 0, 16, 25, 0, 0, 0, 0, 87, 127, 3, 0, 2, 32, 130, 1, 0,
    24, 0, 21, 38, 1, 0, 0, 0, 0, 0, 0, 4, 2, 13, 130, 1, 0, 19, 0, 0, 0, 0, 0, 19, 0, 0, 0, 0, 1,
    19, 0, 0, 0, 0, 2, 19, 0, 0, 0, 0, 3, 19, 0, 0, 0, 0, 4, 19, 0, 0, 0, 0, 5, 19, 0, 0, 0, 0, 6,
    19, 0, 0, 0, 0, 7, 19, 0, 0, 0, 0, 8, 19, 0, 0, 0, 0, 9, 19, 0, 0, 0, 0, 10, 0, 9, 92, 127, 3,
    0, 38, 15, 162, 12, 0, 0, 15, 168, 0, 0, 0, 15, 26, 1, 0, 0, 0, 9, 114, 127, 3, 0, 38, 15, 228,
    116, 3, 0, 15, 168, 0, 0, 0, 15, 92, 126, 3, 0, 0, 9, 136, 127, 3, 0, 14, 168, 0, 0, 0, 15,
    228, 116, 3, 0, 15, 168, 0, 0, 0, 15, 188, 66, 0, 0, 15, 229, 67, 0, 0, 0, 9, 167, 127, 3, 0,
    14, 168, 0, 0, 0, 15, 228, 116, 3, 0, 15, 168, 0, 0, 0, 15, 193, 127, 3, 0, 15, 26, 1, 0, 0, 0,
    9, 198, 127, 3, 0, 42, 212, 127, 3, 0, 0, 0, 0, 0, 2, 131, 130, 1, 0, 14, 168, 0, 0, 0, 15,
    188, 66, 0, 0, 15, 229, 67, 0, 0, 15, 181, 51, 0, 0, 15, 26, 1, 0, 0, 0, 9, 243, 127, 3, 0, 14,
    168, 0, 0, 0, 15, 228, 116, 3, 0, 15, 168, 0, 0, 0, 15, 8, 128, 3, 0, 0, 9, 13, 128, 3, 0, 37,
    18, 128, 3, 0, 40, 0, 0, 0, 0, 40, 2, 42, 130, 1, 0, 25, 0, 0, 0, 0, 174, 126, 3, 0, 2, 43,
    130, 1, 0, 0, 25, 0, 0, 0, 0, 56, 249, 2, 0, 2, 44, 130, 1, 0, 32, 25, 0, 0, 0, 0, 229, 67, 0,
    0, 2, 45, 130, 1, 0, 38, 0, 9, 80, 128, 3, 0, 38, 15, 228, 116, 3, 0, 15, 168, 0, 0, 0, 15, 8,
    128, 3, 0, 0, 9, 102, 128, 3, 0, 14, 168, 0, 0, 0, 15, 228, 116, 3, 0, 15, 168, 0, 0, 0, 15,
    180, 245, 2, 0, 15, 132, 223, 0, 0, 0, 9, 133, 128, 3, 0, 14, 168, 0, 0, 0, 15, 228, 116, 3, 0,
    15, 168, 0, 0, 0, 15, 180, 245, 2, 0, 0, 9, 159, 128, 3, 0, 14, 168, 0, 0, 0, 15, 228, 116, 3,
    0, 15, 168, 0, 0, 0, 15, 185, 128, 3, 0, 15, 181, 51, 0, 0, 0, 9, 190, 128, 3, 0, 40, 0, 0, 0,
    0, 96, 2, 215, 128, 1, 0, 25, 0, 0, 0, 0, 36, 129, 3, 0, 2, 216, 128, 1, 0, 0, 25, 0, 0, 0, 0,
    108, 129, 3, 0, 2, 217, 128, 1, 0, 24, 25, 0, 0, 0, 0, 90, 22, 0, 0, 2, 218, 128, 1, 0, 32, 25,
    0, 0, 0, 0, 154, 129, 3, 0, 2, 219, 128, 1, 0, 40, 25, 0, 0, 0, 0, 183, 138, 3, 0, 2, 220, 128,
    1, 0, 48, 25, 0, 0, 0, 0, 177, 66, 0, 0, 2, 221, 128, 1, 0, 88, 0, 40, 0, 0, 0, 0, 24, 2, 208,
    128, 1, 0, 25, 0, 0, 0, 0, 177, 66, 0, 0, 2, 209, 128, 1, 0, 0, 25, 0, 0, 0, 0, 57, 48, 0, 0,
    2, 210, 128, 1, 0, 4, 25, 0, 0, 0, 0, 177, 66, 0, 0, 2, 211, 128, 1, 0, 8, 25, 0, 0, 0, 0, 191,
    110, 1, 0, 2, 212, 128, 1, 0, 16, 0, 21, 38, 1, 0, 0, 0, 0, 0, 0, 4, 2, 200, 128, 1, 0, 19, 0,
    0, 0, 0, 0, 19, 0, 0, 0, 0, 1, 19, 0, 0, 0, 0, 2, 19, 0, 0, 0, 0, 3, 19, 0, 0, 0, 0, 4, 0, 9,
    159, 129, 3, 0, 40, 0, 0, 0, 0, 32, 2, 153, 127, 1, 0, 25, 0, 0, 0, 0, 201, 129, 3, 0, 2, 154,
    127, 1, 0, 0, 25, 0, 0, 0, 0, 61, 130, 3, 0, 2, 155, 127, 1, 0, 24, 0, 40, 0, 0, 0, 0, 24, 2,
    0, 127, 1, 0, 25, 0, 0, 0, 0, 2, 130, 3, 0, 2, 1, 127, 1, 0, 0, 25, 0, 0, 0, 0, 26, 1, 0, 0, 2,
    2, 127, 1, 0, 8, 25, 0, 0, 0, 0, 26, 1, 0, 0, 2, 3, 127, 1, 0, 16, 0, 9, 7, 130, 3, 0, 40, 0,
    0, 0, 0, 60, 2, 218, 126, 1, 0, 25, 0, 0, 0, 0, 38, 1, 0, 0, 2, 219, 126, 1, 0, 0, 25, 0, 0, 0,
    0, 49, 130, 3, 0, 2, 220, 126, 1, 0, 4, 0, 3, 236, 24, 0, 0, 4, 82, 0, 0, 0, 28, 0, 40, 0, 0,
    0, 0, 8, 2, 148, 127, 1, 0, 25, 0, 0, 0, 0, 38, 1, 0, 0, 2, 149, 127, 1, 0, 0, 25, 0, 0, 0, 0,
    103, 130, 3, 0, 2, 150, 127, 1, 0, 8, 0, 3, 115, 130, 3, 0, 4, 82, 0, 0, 0, 0, 0, 40, 0, 0, 0,
    0, 80, 2, 68, 127, 1, 0, 25, 0, 0, 0, 0, 170, 134, 3, 0, 2, 69, 127, 1, 0, 0, 25, 0, 0, 0, 0,
    110, 135, 3, 0, 2, 70, 127, 1, 0, 4, 25, 0, 0, 0, 0, 156, 135, 3, 0, 2, 71, 127, 1, 0, 8, 25,
    0, 0, 0, 0, 26, 1, 0, 0, 2, 72, 127, 1, 0, 16, 23, 197, 130, 3, 0, 2, 73, 127, 1, 0, 24, 24,
    48, 2, 73, 127, 1, 0, 25, 0, 0, 0, 0, 177, 66, 0, 0, 2, 74, 127, 1, 0, 0, 25, 0, 0, 0, 0, 162,
    12, 0, 0, 2, 75, 127, 1, 0, 0, 25, 0, 0, 0, 0, 249, 130, 3, 0, 2, 80, 127, 1, 0, 0, 59, 6, 2,
    76, 127, 1, 0, 25, 0, 0, 0, 0, 229, 67, 0, 0, 2, 77, 127, 1, 0, 0, 25, 0, 0, 0, 0, 57, 48, 0,
    0, 2, 78, 127, 1, 0, 2, 25, 0, 0, 0, 0, 218, 67, 0, 0, 2, 79, 127, 1, 0, 4, 0, 25, 0, 0, 0, 0,
    61, 131, 3, 0, 2, 86, 127, 1, 0, 0, 59, 16, 2, 81, 127, 1, 0, 25, 0, 0, 0, 0, 170, 135, 3, 0,
    2, 82, 127, 1, 0, 0, 25, 0, 0, 0, 0, 177, 66, 0, 0, 2, 83, 127, 1, 0, 4, 25, 0, 0, 0, 0, 177,
    66, 0, 0, 2, 84, 127, 1, 0, 8, 25, 0, 0, 0, 0, 177, 66, 0, 0, 2, 85, 127, 1, 0, 12, 0, 25, 0,
    0, 0, 0, 222, 135, 3, 0, 2, 87, 127, 1, 0, 0, 25, 0, 0, 0, 0, 177, 66, 0, 0, 2, 88, 127, 1, 0,
    0, 25, 0, 0, 0, 0, 177, 66, 0, 0, 2, 89, 127, 1, 0, 0, 25, 0, 0, 0, 0, 229, 67, 0, 0, 2, 90,
    127, 1, 0, 0, 25, 0, 0, 0, 0, 177, 66, 0, 0, 2, 91, 127, 1, 0, 0, 25, 0, 0, 0, 0, 219, 131, 3,
    0, 2, 96, 127, 1, 0, 0, 59, 12, 2, 92, 127, 1, 0, 25, 0, 0, 0, 0, 177, 66, 0, 0, 2, 93, 127, 1,
    0, 0, 25, 0, 0, 0, 0, 177, 66, 0, 0, 2, 94, 127, 1, 0, 4, 25, 0, 0, 0, 0, 218, 67, 0, 0, 2, 95,
    127, 1, 0, 8, 0, 25, 0, 0, 0, 0, 31, 132, 3, 0, 2, 102, 127, 1, 0, 0, 59, 24, 2, 97, 127, 1, 0,
    25, 0, 0, 0, 0, 186, 137, 3, 0, 2, 98, 127, 1, 0, 0, 25, 0, 0, 0, 0, 177, 66, 0, 0, 2, 99, 127,
    1, 0, 8, 25, 0, 0, 0, 0, 177, 66, 0, 0, 2, 100, 127, 1, 0, 12, 25, 0, 0, 0, 0, 181, 51, 0, 0,
    2, 101, 127, 1, 0, 16, 0, 25, 0, 0, 0, 0, 114, 132, 3, 0, 2, 108, 127, 1, 0, 0, 59, 24, 2, 103,
    127, 1, 0, 25, 0, 0, 0, 0, 177, 66, 0, 0, 2, 104, 127, 1, 0, 0, 25, 0, 0, 0, 0, 177, 66, 0, 0,
    2, 105, 127, 1, 0, 4, 25, 0, 0, 0, 0, 109, 22, 0, 0, 2, 106, 127, 1, 0, 8, 25, 0, 0, 0, 0, 177,
    66, 0, 0, 2, 107, 127, 1, 0, 16, 0, 25, 0, 0, 0, 0, 197, 132, 3, 0, 2, 113, 127, 1, 0, 0, 59,
    16, 2, 109, 127, 1, 0, 25, 0, 0, 0, 0, 168, 0, 0, 0, 2, 110, 127, 1, 0, 0, 25, 0, 0, 0, 0, 229,
    67, 0, 0, 2, 111, 127, 1, 0, 4, 25, 0, 0, 0, 0, 37, 138, 3, 0, 2, 112, 127, 1, 0, 8, 0, 25, 0,
    0, 0, 0, 9, 133, 3, 0, 2, 118, 127, 1, 0, 0, 59, 32, 2, 114, 127, 1, 0, 25, 0, 0, 0, 0, 90, 22,
    0, 0, 2, 115, 127, 1, 0, 0, 25, 0, 0, 0, 0, 177, 66, 0, 0, 2, 116, 127, 1, 0, 8, 25, 0, 0, 0,
    0, 47, 138, 3, 0, 2, 117, 127, 1, 0, 12, 0, 25, 0, 0, 0, 0, 77, 133, 3, 0, 2, 125, 127, 1, 0,
    0, 59, 12, 2, 119, 127, 1, 0, 25, 0, 0, 0, 0, 177, 66, 0, 0, 2, 120, 127, 1, 0, 0, 25, 0, 0, 0,
    0, 57, 48, 0, 0, 2, 121, 127, 1, 0, 4, 25, 0, 0, 0, 0, 218, 67, 0, 0, 2, 122, 127, 1, 0, 6, 25,
    0, 0, 0, 0, 218, 67, 0, 0, 2, 123, 127, 1, 0, 7, 25, 0, 0, 0, 0, 218, 67, 0, 0, 2, 124, 127, 1,
    0, 8, 0, 25, 0, 0, 0, 0, 175, 133, 3, 0, 2, 128, 127, 1, 0, 0, 59, 2, 2, 126, 127, 1, 0, 25, 0,
    0, 0, 0, 57, 48, 0, 0, 2, 127, 127, 1, 0, 0, 0, 25, 0, 0, 0, 0, 213, 133, 3, 0, 2, 134, 127, 1,
    0, 0, 59, 8, 2, 129, 127, 1, 0, 25, 0, 0, 0, 0, 177, 66, 0, 0, 2, 130, 127, 1, 0, 0, 25, 0, 0,
    0, 0, 218, 67, 0, 0, 2, 131, 127, 1, 0, 4, 25, 0, 0, 0, 0, 218, 67, 0, 0, 2, 132, 127, 1, 0, 5,
    25, 0, 0, 0, 0, 218, 67, 0, 0, 2, 133, 127, 1, 0, 6, 0, 25, 0, 0, 0, 0, 40, 134, 3, 0, 2, 143,
    127, 1, 0, 0, 59, 48, 2, 135, 127, 1, 0, 25, 0, 0, 0, 0, 177, 66, 0, 0, 2, 136, 127, 1, 0, 0,
    25, 0, 0, 0, 0, 12, 101, 0, 0, 2, 137, 127, 1, 0, 4, 25, 0, 0, 0, 0, 109, 22, 0, 0, 2, 138,
    127, 1, 0, 8, 25, 0, 0, 0, 0, 109, 22, 0, 0, 2, 139, 127, 1, 0, 16, 25, 0, 0, 0, 0, 109, 22, 0,
    0, 2, 140, 127, 1, 0, 24, 25, 0, 0, 0, 0, 177, 66, 0, 0, 2, 141, 127, 1, 0, 32, 25, 0, 0, 0, 0,
    59, 138, 3, 0, 2, 142, 127, 1, 0, 40, 0, 0, 25, 0, 0, 0, 0, 136, 138, 3, 0, 2, 145, 127, 1, 0,
    72, 0, 21, 38, 1, 0, 0, 0, 0, 0, 0, 4, 2, 6, 127, 1, 0, 19, 0, 0, 0, 0, 0, 19, 0, 0, 0, 0, 1,
    19, 0, 0, 0, 0, 2, 19, 0, 0, 0, 0, 3, 19, 0, 0, 0, 0, 4, 19, 0, 0, 0, 0, 5, 19, 0, 0, 0, 0, 6,
    19, 0, 0, 0, 0, 7, 19, 0, 0, 0, 0, 8, 19, 0, 0, 0, 0, 9, 19, 0, 0, 0, 0, 10, 19, 0, 0, 0, 0,
    11, 19, 0, 0, 0, 0, 12, 19, 0, 0, 0, 0, 13, 19, 0, 0, 0, 0, 14, 19, 0, 0, 0, 0, 15, 19, 0, 0,
    0, 0, 16, 19, 0, 0, 0, 0, 17, 19, 0, 0, 0, 0, 18, 19, 0, 0, 0, 0, 19, 19, 0, 0, 0, 0, 20, 19,
    0, 0, 0, 0, 21, 19, 0, 0, 0, 0, 22, 19, 0, 0, 0, 0, 23, 19, 0, 0, 0, 0, 24, 19, 0, 0, 0, 0, 25,
    19, 0, 0, 0, 0, 26, 19, 0, 0, 0, 0, 27, 19, 0, 0, 0, 0, 28, 19, 0, 0, 0, 0, 29, 0, 21, 38, 1,
    0, 0, 0, 0, 0, 0, 4, 2, 39, 127, 1, 0, 19, 0, 0, 0, 0, 1, 19, 0, 0, 0, 0, 2, 19, 0, 0, 0, 0, 3,
    19, 0, 0, 0, 0, 4, 19, 0, 0, 0, 0, 7, 0, 42, 170, 136, 0, 0, 0, 0, 0, 0, 2, 47, 127, 1, 0, 21,
    38, 1, 0, 0, 0, 0, 0, 0, 4, 2, 49, 127, 1, 0, 19, 0, 0, 0, 0, 0, 19, 0, 0, 0, 0, 1, 19, 0, 0,
    0, 0, 2, 19, 0, 0, 0, 0, 3, 19, 0, 0, 0, 0, 4, 19, 0, 0, 0, 0, 5, 0, 9, 227, 135, 3, 0, 40, 0,
    0, 0, 0, 80, 2, 184, 128, 1, 0, 25, 0, 0, 0, 0, 43, 136, 3, 0, 2, 185, 128, 1, 0, 0, 25, 0, 0,
    0, 0, 33, 137, 3, 0, 2, 186, 128, 1, 0, 56, 25, 0, 0, 0, 0, 218, 67, 0, 0, 2, 187, 128, 1, 0,
    72, 25, 0, 0, 0, 0, 218, 67, 0, 0, 2, 188, 128, 1, 0, 73, 0, 40, 0, 0, 0, 0, 56, 2, 157, 128,
    1, 0, 25, 0, 0, 0, 0, 240, 105, 1, 0, 2, 158, 128, 1, 0, 0, 25, 0, 0, 0, 0, 84, 136, 3, 0, 2,
    168, 128, 1, 0, 8, 24, 32, 2, 159, 128, 1, 0, 25, 0, 0, 0, 0, 106, 136, 3, 0, 2, 163, 128, 1,
    0, 0, 59, 8, 2, 160, 128, 1, 0, 25, 0, 0, 0, 0, 21, 48, 0, 0, 2, 161, 128, 1, 0, 0, 25, 0, 0,
    0, 0, 21, 48, 0, 0, 2, 162, 128, 1, 0, 4, 0, 25, 0, 0, 0, 0, 159, 136, 3, 0, 2, 167, 128, 1, 0,
    0, 59, 32, 2, 164, 128, 1, 0, 25, 0, 0, 0, 0, 183, 108, 1, 0, 2, 165, 128, 1, 0, 0, 25, 0, 0,
    0, 0, 183, 108, 1, 0, 2, 166, 128, 1, 0, 16, 0, 0, 25, 0, 0, 0, 0, 57, 48, 0, 0, 2, 169, 128,
    1, 0, 40, 25, 0, 0, 0, 0, 218, 67, 0, 0, 2, 170, 128, 1, 0, 42, 25, 0, 0, 0, 0, 218, 67, 0, 0,
    2, 171, 128, 1, 0, 43, 25, 0, 0, 0, 0, 21, 48, 0, 0, 2, 172, 128, 1, 0, 44, 25, 0, 0, 0, 0, 57,
    48, 0, 0, 2, 173, 128, 1, 0, 48, 25, 0, 0, 0, 0, 57, 48, 0, 0, 2, 174, 128, 1, 0, 50, 0, 40, 0,
    0, 0, 0, 16, 2, 179, 128, 1, 0, 25, 0, 0, 0, 0, 75, 137, 3, 0, 2, 180, 128, 1, 0, 0, 25, 0, 0,
    0, 0, 90, 22, 0, 0, 2, 181, 128, 1, 0, 8, 0, 9, 80, 137, 3, 0, 40, 0, 0, 0, 0, 40, 2, 88, 145,
    1, 0, 25, 0, 0, 0, 0, 90, 22, 0, 0, 2, 89, 145, 1, 0, 0, 25, 0, 0, 0, 0, 208, 140, 1, 0, 2, 90,
    145, 1, 0, 8, 25, 0, 0, 0, 0, 177, 66, 0, 0, 2, 91, 145, 1, 0, 16, 23, 147, 137, 3, 0, 2, 92,
    145, 1, 0, 20, 24, 16, 2, 92, 145, 1, 0, 25, 0, 0, 0, 0, 140, 181, 1, 0, 2, 93, 145, 1, 0, 0,
    25, 0, 0, 0, 0, 183, 108, 1, 0, 2, 94, 145, 1, 0, 0, 0, 0, 9, 191, 137, 3, 0, 40, 0, 0, 0, 0,
    56, 2, 209, 149, 1, 0, 25, 0, 0, 0, 0, 195, 21, 0, 0, 2, 210, 149, 1, 0, 0, 25, 0, 0, 0, 0, 47,
    85, 1, 0, 2, 211, 149, 1, 0, 16, 25, 0, 0, 0, 0, 177, 66, 0, 0, 2, 212, 149, 1, 0, 24, 25, 0,
    0, 0, 0, 177, 66, 0, 0, 2, 213, 149, 1, 0, 28, 25, 0, 0, 0, 0, 177, 66, 0, 0, 2, 214, 149, 1,
    0, 32, 25, 0, 0, 0, 0, 28, 22, 0, 0, 2, 215, 149, 1, 0, 40, 0, 9, 42, 138, 3, 0, 43, 0, 0, 0,
    0, 3, 177, 66, 0, 0, 4, 82, 0, 0, 0, 4, 0, 9, 64, 138, 3, 0, 40, 0, 0, 0, 0, 16, 2, 218, 149,
    1, 0, 25, 0, 0, 0, 0, 218, 67, 0, 0, 2, 219, 149, 1, 0, 0, 25, 0, 0, 0, 0, 177, 66, 0, 0, 2,
    220, 149, 1, 0, 4, 25, 0, 0, 0, 0, 12, 101, 0, 0, 2, 221, 149, 1, 0, 8, 25, 0, 0, 0, 0, 12,
    101, 0, 0, 2, 222, 149, 1, 0, 12, 0, 9, 141, 138, 3, 0, 40, 0, 0, 0, 0, 4, 2, 152, 128, 1, 0,
    25, 0, 0, 0, 0, 177, 66, 0, 0, 2, 153, 128, 1, 0, 0, 25, 0, 0, 0, 0, 143, 145, 1, 0, 2, 154,
    128, 1, 0, 4, 0, 40, 0, 0, 0, 0, 40, 2, 191, 128, 1, 0, 25, 0, 0, 0, 0, 109, 22, 0, 0, 2, 192,
    128, 1, 0, 0, 25, 0, 0, 0, 0, 109, 22, 0, 0, 2, 193, 128, 1, 0, 8, 25, 0, 0, 0, 0, 109, 22, 0,
    0, 2, 194, 128, 1, 0, 16, 25, 0, 0, 0, 0, 109, 22, 0, 0, 2, 195, 128, 1, 0, 24, 25, 0, 0, 0, 0,
    110, 135, 3, 0, 2, 196, 128, 1, 0, 32, 25, 0, 0, 0, 0, 181, 51, 0, 0, 2, 197, 128, 1, 0, 36, 0,
    9, 34, 139, 3, 0, 14, 168, 0, 0, 0, 15, 228, 116, 3, 0, 15, 168, 0, 0, 0, 15, 60, 139, 3, 0,
    15, 181, 51, 0, 0, 0, 9, 65, 139, 3, 0, 40, 0, 0, 0, 0, 2, 2, 94, 130, 1, 0, 25, 0, 0, 0, 0,
    218, 67, 0, 0, 2, 95, 130, 1, 0, 0, 25, 0, 0, 0, 0, 181, 51, 0, 0, 2, 96, 130, 1, 0, 1, 0, 9,
    112, 139, 3, 0, 38, 15, 228, 116, 3, 0, 15, 168, 0, 0, 0, 15, 60, 139, 3, 0, 0, 9, 134, 139, 3,
    0, 14, 168, 0, 0, 0, 15, 228, 116, 3, 0, 15, 168, 0, 0, 0, 15, 155, 139, 3, 0, 0, 9, 160, 139,
    3, 0, 40, 0, 0, 0, 0, 16, 2, 99, 130, 1, 0, 25, 0, 0, 0, 0, 177, 66, 0, 0, 2, 100, 130, 1, 0,
    0, 25, 0, 0, 0, 0, 109, 22, 0, 0, 2, 101, 130, 1, 0, 8, 0, 9, 207, 139, 3, 0, 14, 168, 0, 0, 0,
    15, 228, 116, 3, 0, 15, 168, 0, 0, 0, 15, 108, 7, 0, 0, 15, 26, 1, 0, 0, 0, 9, 238, 139, 3, 0,
    14, 168, 0, 0, 0, 15, 228, 116, 3, 0, 15, 168, 0, 0, 0, 15, 168, 0, 0, 0, 15, 168, 0, 0, 0, 15,
    162, 12, 0, 0, 0, 9, 18, 140, 3, 0, 38, 15, 228, 116, 3, 0, 15, 168, 0, 0, 0, 15, 168, 0, 0, 0,
    15, 168, 0, 0, 0, 15, 162, 12, 0, 0, 0, 9, 50, 140, 3, 0, 14, 168, 0, 0, 0, 15, 228, 116, 3, 0,
    15, 168, 0, 0, 0, 15, 186, 200, 2, 0, 0, 9, 76, 140, 3, 0, 14, 181, 51, 0, 0, 15, 228, 116, 3,
    0, 15, 168, 0, 0, 0, 15, 26, 34, 0, 0, 15, 38, 1, 0, 0, 0, 9, 107, 140, 3, 0, 14, 168, 0, 0, 0,
    15, 228, 116, 3, 0, 15, 177, 66, 0, 0, 15, 128, 140, 3, 0, 0, 9, 133, 140, 3, 0, 40, 0, 0, 0,
    0, 36, 2, 171, 129, 1, 0, 25, 0, 0, 0, 0, 175, 140, 3, 0, 2, 172, 129, 1, 0, 0, 25, 0, 0, 0, 0,
    6, 141, 3, 0, 2, 173, 129, 1, 0, 32, 0, 41, 0, 0, 0, 0, 32, 2, 163, 129, 1, 0, 25, 0, 0, 0, 0,
    218, 67, 0, 0, 2, 164, 129, 1, 0, 0, 25, 0, 0, 0, 0, 229, 67, 0, 0, 2, 165, 129, 1, 0, 0, 25,
    0, 0, 0, 0, 177, 66, 0, 0, 2, 166, 129, 1, 0, 0, 25, 0, 0, 0, 0, 131, 192, 0, 0, 2, 167, 129,
    1, 0, 0, 25, 0, 0, 0, 0, 181, 51, 0, 0, 2, 168, 129, 1, 0, 0, 0, 21, 38, 1, 0, 0, 0, 0, 0, 0,
    4, 2, 29, 129, 1, 0, 19, 0, 0, 0, 0, 0, 19, 0, 0, 0, 0, 1, 19, 0, 0, 0, 0, 2, 19, 0, 0, 0, 0,
    3, 19, 0, 0, 0, 0, 2, 0, 40, 0, 0, 0, 0, 24, 2, 88, 128, 1, 0, 25, 0, 0, 0, 0, 92, 168, 0, 0,
    2, 89, 128, 1, 0, 0, 25, 0, 0, 0, 0, 139, 141, 3, 0, 2, 90, 128, 1, 0, 8, 25, 0, 0, 0, 0, 181,
    51, 0, 0, 2, 91, 128, 1, 0, 12, 25, 0, 0, 0, 0, 181, 51, 0, 0, 2, 92, 128, 1, 0, 13, 25, 0, 0,
    0, 0, 167, 141, 3, 0, 2, 93, 128, 1, 0, 16, 0, 21, 38, 1, 0, 0, 0, 0, 0, 0, 4, 2, 81, 128, 1,
    0, 19, 0, 0, 0, 0, 0, 19, 0, 0, 0, 0, 1, 0, 9, 172, 141, 3, 0, 38, 15, 184, 141, 3, 0, 15, 61,
    123, 3, 0, 0, 9, 52, 141, 3, 0, 9, 194, 141, 3, 0, 37, 199, 141, 3, 0, 40, 0, 0, 0, 0, 8, 2,
    79, 130, 1, 0, 25, 0, 0, 0, 0, 160, 200, 2, 0, 2, 80, 130, 1, 0, 0, 0, 20, 38, 1, 0, 0, 4, 2,
    56, 33, 19, 0, 0, 0, 0, 0, 19, 0, 0, 0, 0, 1, 19, 0, 0, 0, 0, 2, 19, 0, 0, 0, 0, 3, 19, 0, 0,
    0, 0, 4, 0, 20, 38, 1, 0, 0, 4, 2, 125, 143, 19, 0, 0, 0, 0, 255, 255, 255, 255, 15, 19, 0, 0,
    0, 0, 255, 255, 255, 255, 15, 19, 0, 0, 0, 0, 0, 0, 9, 51, 142, 3, 0, 37, 109, 91, 0, 0, 37,
    201, 95, 0, 0, 37, 173, 23, 0, 0, 64, 0, 0, 0, 0, 0, 0, 0, 0, 128, 6, 0, 0, 1, 90, 0, 0, 0, 0,
    1, 50, 168, 0, 0, 0, 65, 0, 0, 0, 0, 0, 0, 0, 0, 1, 51, 196, 145, 3, 0, 66, 2, 145, 24, 0, 0,
    0, 0, 1, 57, 221, 144, 3, 0, 67, 55, 0, 0, 0, 0, 0, 0, 0, 1, 53, 244, 117, 0, 0, 67, 90, 0, 0,
    0, 0, 0, 0, 0, 1, 54, 109, 22, 0, 0, 67, 125, 0, 0, 0, 0, 0, 0, 0, 1, 55, 109, 22, 0, 0, 67,
    196, 3, 0, 0, 0, 0, 0, 0, 1, 77, 46, 142, 3, 0, 68, 48, 0, 0, 0, 67, 196, 0, 0, 0, 0, 0, 0, 0,
    1, 59, 122, 67, 1, 0, 68, 0, 0, 0, 0, 67, 160, 0, 0, 0, 0, 0, 0, 0, 1, 59, 45, 1, 0, 0, 0, 0,
    68, 144, 0, 0, 0, 67, 31, 1, 0, 0, 0, 0, 0, 0, 1, 60, 122, 67, 1, 0, 68, 96, 0, 0, 0, 67, 251,
    0, 0, 0, 0, 0, 0, 0, 1, 60, 45, 1, 0, 0, 0, 0, 69, 216, 1, 0, 0, 0, 0, 0, 0, 24, 0, 0, 0, 67,
    86, 1, 0, 0, 0, 0, 0, 0, 1, 61, 38, 1, 0, 0, 0, 69, 32, 2, 0, 0, 0, 0, 0, 0, 24, 0, 0, 0, 67,
    141, 1, 0, 0, 0, 0, 0, 0, 1, 62, 38, 1, 0, 0, 0, 69, 136, 2, 0, 0, 0, 0, 0, 0, 24, 0, 0, 0, 67,
    196, 1, 0, 0, 0, 0, 0, 0, 1, 66, 90, 22, 0, 0, 0, 69, 208, 2, 0, 0, 0, 0, 0, 0, 24, 0, 0, 0,
    67, 251, 1, 0, 0, 0, 0, 0, 0, 1, 67, 90, 22, 0, 0, 0, 69, 24, 3, 0, 0, 0, 0, 0, 0, 24, 0, 0, 0,
    67, 50, 2, 0, 0, 0, 0, 0, 0, 1, 68, 109, 22, 0, 0, 0, 69, 104, 3, 0, 0, 0, 0, 0, 0, 24, 0, 0,
    0, 67, 105, 2, 0, 0, 0, 0, 0, 0, 1, 69, 109, 22, 0, 0, 0, 68, 240, 0, 0, 0, 67, 196, 2, 0, 0,
    0, 0, 0, 0, 1, 70, 168, 0, 0, 0, 68, 192, 0, 0, 0, 67, 160, 2, 0, 0, 0, 0, 0, 0, 1, 70, 45, 1,
    0, 0, 0, 0, 69, 72, 4, 0, 0, 0, 0, 0, 0, 24, 0, 0, 0, 67, 232, 2, 0, 0, 0, 0, 0, 0, 1, 73, 109,
    22, 0, 0, 0, 69, 144, 4, 0, 0, 0, 0, 0, 0, 24, 0, 0, 0, 67, 31, 3, 0, 0, 0, 0, 0, 0, 1, 74,
    109, 22, 0, 0, 0, 69, 216, 4, 0, 0, 0, 0, 0, 0, 24, 0, 0, 0, 67, 86, 3, 0, 0, 0, 0, 0, 0, 1,
    76, 109, 22, 0, 0, 0, 69, 40, 5, 0, 0, 0, 0, 0, 0, 32, 0, 0, 0, 67, 141, 3, 0, 0, 0, 0, 0, 0,
    1, 77, 104, 91, 0, 0, 0, 69, 112, 5, 0, 0, 0, 0, 0, 0, 176, 0, 0, 0, 67, 85, 4, 0, 0, 0, 0, 0,
    0, 1, 79, 109, 22, 0, 0, 67, 120, 4, 0, 0, 0, 0, 0, 0, 1, 80, 109, 22, 0, 0, 70, 0, 0, 0, 0, 1,
    81, 109, 22, 0, 0, 70, 0, 0, 0, 0, 1, 82, 109, 22, 0, 0, 68, 32, 1, 0, 0, 67, 231, 3, 0, 0, 0,
    0, 0, 0, 1, 79, 20, 146, 3, 0, 0, 69, 184, 5, 0, 0, 0, 0, 0, 0, 48, 0, 0, 0, 67, 30, 4, 0, 0,
    0, 0, 0, 0, 1, 80, 20, 146, 3, 0, 0, 68, 80, 1, 0, 0, 66, 2, 145, 8, 0, 0, 0, 0, 1, 81, 20,
    146, 3, 0, 0, 0, 0, 36, 0, 0, 0, 0, 112, 1, 40, 8, 0, 0, 0, 0, 254, 144, 3, 0, 1, 41, 0, 8, 0,
    0, 0, 0, 79, 145, 3, 0, 1, 42, 40, 0, 36, 0, 0, 0, 0, 36, 1, 19, 8, 0, 0, 0, 0, 122, 67, 1, 0,
    1, 20, 0, 8, 0, 0, 0, 0, 122, 67, 1, 0, 1, 21, 4, 8, 0, 0, 0, 0, 122, 67, 1, 0, 1, 22, 8, 8, 0,
    0, 0, 0, 154, 108, 0, 0, 1, 23, 12, 8, 0, 0, 0, 0, 154, 108, 0, 0, 1, 24, 16, 8, 0, 0, 0, 0,
    73, 21, 0, 0, 1, 25, 20, 0, 36, 0, 0, 0, 0, 72, 1, 28, 8, 0, 0, 0, 0, 218, 124, 3, 0, 1, 29, 0,
    8, 0, 0, 0, 0, 218, 124, 3, 0, 1, 30, 8, 8, 0, 0, 0, 0, 218, 124, 3, 0, 1, 31, 16, 8, 0, 0, 0,
    0, 218, 124, 3, 0, 1, 32, 24, 8, 0, 0, 0, 0, 218, 124, 3, 0, 1, 33, 32, 8, 0, 0, 0, 0, 218,
    124, 3, 0, 1, 34, 40, 8, 0, 0, 0, 0, 218, 124, 3, 0, 1, 35, 48, 8, 0, 0, 0, 0, 218, 124, 3, 0,
    1, 36, 56, 8, 0, 0, 0, 0, 218, 124, 3, 0, 1, 37, 64, 0, 9, 201, 145, 3, 0, 35, 0, 0, 0, 0, 32,
    2, 237, 110, 29, 0, 0, 0, 0, 253, 94, 2, 0, 2, 238, 110, 0, 29, 0, 0, 0, 0, 73, 21, 0, 0, 2,
    239, 110, 8, 29, 0, 0, 0, 0, 122, 67, 1, 0, 2, 240, 110, 24, 29, 0, 0, 0, 0, 168, 0, 0, 0, 2,
    241, 110, 28, 29, 0, 0, 0, 0, 78, 22, 0, 0, 2, 242, 110, 32, 0, 37, 213, 23, 0, 0, 0, 224, 0,
    0, 0, 0, 0, 0, 0, 16, 1, 0, 0, 0, 0, 0, 0, 24, 1, 0, 0, 0, 0, 0, 0, 40, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 224, 0, 0, 0, 0, 0, 0, 0, 16, 1, 0, 0, 0, 0, 0, 0,
    24, 1, 0, 0, 0, 0, 0, 0, 48, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 96, 1, 0, 0, 0, 0, 0, 0, 136, 1, 0, 0, 0, 0, 0, 0, 144, 1, 0, 0, 0, 0, 0, 0, 160, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 96, 1, 0, 0, 0, 0, 0, 0, 136, 1, 0,
    0, 0, 0, 0, 0, 144, 1, 0, 0, 0, 0, 0, 0, 168, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 184, 3, 0, 0, 0, 0, 0, 0, 232, 3, 0, 0, 0, 0, 0, 0, 240, 3, 0, 0, 0, 0, 0,
    0, 0, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 184, 3, 0, 0, 0, 0,
    0, 0, 232, 3, 0, 0, 0, 0, 0, 0, 240, 3, 0, 0, 0, 0, 0, 0, 24, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 112, 5, 0, 0, 0, 0, 0, 0, 184, 5, 0, 0, 0, 0, 0, 0, 232, 5,
    0, 0, 0, 0, 0, 0, 240, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    240, 5, 0, 0, 0, 0, 0, 0, 8, 6, 0, 0, 0, 0, 0, 0, 16, 6, 0, 0, 0, 0, 0, 0, 24, 6, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 99, 108, 97, 110, 103, 32, 118, 101, 114,
    115, 105, 111, 110, 32, 49, 49, 46, 48, 46, 48, 32, 40, 82, 101, 100, 32, 72, 97, 116, 32, 49,
    49, 46, 48, 46, 48, 45, 49, 46, 109, 111, 100, 117, 108, 101, 43, 101, 108, 56, 46, 52, 46, 48,
    43, 56, 53, 57, 56, 43, 97, 48, 55, 49, 102, 99, 100, 53, 41, 0, 115, 114, 99, 47, 98, 112,
    102, 47, 101, 120, 105, 116, 115, 116, 97, 116, 46, 98, 112, 102, 46, 99, 0, 47, 98, 117, 105,
    108, 100, 100, 105, 114, 47, 98, 117, 105, 108, 100, 47, 66, 85, 73, 76, 68, 47, 98, 101, 108,
    111, 119, 45, 48, 46, 50, 46, 48, 0, 95, 108, 105, 99, 101, 110, 115, 101, 0, 99, 104, 97, 114,
    0, 95, 95, 65, 82, 82, 65, 89, 95, 83, 73, 90, 69, 95, 84, 89, 80, 69, 95, 95, 0, 101, 118,
    101, 110, 116, 115, 0, 116, 121, 112, 101, 0, 105, 110, 116, 0, 107, 101, 121, 95, 115, 105,
    122, 101, 0, 118, 97, 108, 117, 101, 95, 115, 105, 122, 101, 0, 98, 112, 102, 95, 103, 101,
    116, 95, 99, 117, 114, 114, 101, 110, 116, 95, 116, 97, 115, 107, 0, 108, 111, 110, 103, 32,
    108, 111, 110, 103, 32, 117, 110, 115, 105, 103, 110, 101, 100, 32, 105, 110, 116, 0, 95, 95,
    117, 54, 52, 0, 98, 112, 102, 95, 103, 101, 116, 95, 99, 117, 114, 114, 101, 110, 116, 95, 112,
    105, 100, 95, 116, 103, 105, 100, 0, 98, 112, 102, 95, 107, 116, 105, 109, 101, 95, 103, 101,
    116, 95, 110, 115, 0, 98, 112, 102, 95, 112, 114, 111, 98, 101, 95, 114, 101, 97, 100, 0, 108,
    111, 110, 103, 32, 105, 110, 116, 0, 117, 110, 115, 105, 103, 110, 101, 100, 32, 105, 110, 116,
    0, 95, 95, 117, 51, 50, 0, 98, 112, 102, 95, 103, 101, 116, 95, 99, 117, 114, 114, 101, 110,
    116, 95, 99, 111, 109, 109, 0, 98, 112, 102, 95, 112, 101, 114, 102, 95, 101, 118, 101, 110,
    116, 95, 111, 117, 116, 112, 117, 116, 0, 102, 115, 95, 118, 97, 108, 117, 101, 95, 105, 115,
    95, 117, 110, 100, 101, 102, 105, 110, 101, 100, 0, 102, 115, 95, 118, 97, 108, 117, 101, 95,
    105, 115, 95, 102, 108, 97, 103, 0, 102, 115, 95, 118, 97, 108, 117, 101, 95, 105, 115, 95,
    115, 116, 114, 105, 110, 103, 0, 102, 115, 95, 118, 97, 108, 117, 101, 95, 105, 115, 95, 98,
    108, 111, 98, 0, 102, 115, 95, 118, 97, 108, 117, 101, 95, 105, 115, 95, 102, 105, 108, 101,
    110, 97, 109, 101, 0, 102, 115, 95, 118, 97, 108, 117, 101, 95, 105, 115, 95, 102, 105, 108,
    101, 0, 102, 115, 95, 118, 97, 108, 117, 101, 95, 116, 121, 112, 101, 0, 87, 66, 95, 83, 89,
    78, 67, 95, 78, 79, 78, 69, 0, 87, 66, 95, 83, 89, 78, 67, 95, 65, 76, 76, 0, 119, 114, 105,
    116, 101, 98, 97, 99, 107, 95, 115, 121, 110, 99, 95, 109, 111, 100, 101, 115, 0, 77, 79, 68,
    85, 76, 69, 95, 83, 84, 65, 84, 69, 95, 76, 73, 86, 69, 0, 77, 79, 68, 85, 76, 69, 95, 83, 84,
    65, 84, 69, 95, 67, 79, 77, 73, 78, 71, 0, 77, 79, 68, 85, 76, 69, 95, 83, 84, 65, 84, 69, 95,
    71, 79, 73, 78, 71, 0, 77, 79, 68, 85, 76, 69, 95, 83, 84, 65, 84, 69, 95, 85, 78, 70, 79, 82,
    77, 69, 68, 0, 109, 111, 100, 117, 108, 101, 95, 115, 116, 97, 116, 101, 0, 84, 82, 65, 67, 69,
    95, 82, 69, 71, 95, 82, 69, 71, 73, 83, 84, 69, 82, 0, 84, 82, 65, 67, 69, 95, 82, 69, 71, 95,
    85, 78, 82, 69, 71, 73, 83, 84, 69, 82, 0, 84, 82, 65, 67, 69, 95, 82, 69, 71, 95, 80, 69, 82,
    70, 95, 82, 69, 71, 73, 83, 84, 69, 82, 0, 84, 82, 65, 67, 69, 95, 82, 69, 71, 95, 80, 69, 82,
    70, 95, 85, 78, 82, 69, 71, 73, 83, 84, 69, 82, 0, 84, 82, 65, 67, 69, 95, 82, 69, 71, 95, 80,
    69, 82, 70, 95, 79, 80, 69, 78, 0, 84, 82, 65, 67, 69, 95, 82, 69, 71, 95, 80, 69, 82, 70, 95,
    67, 76, 79, 83, 69, 0, 84, 82, 65, 67, 69, 95, 82, 69, 71, 95, 80, 69, 82, 70, 95, 65, 68, 68,
    0, 84, 82, 65, 67, 69, 95, 82, 69, 71, 95, 80, 69, 82, 70, 95, 68, 69, 76, 0, 116, 114, 97, 99,
    101, 95, 114, 101, 103, 0, 84, 82, 65, 67, 69, 95, 84, 89, 80, 69, 95, 80, 65, 82, 84, 73, 65,
    76, 95, 76, 73, 78, 69, 0, 84, 82, 65, 67, 69, 95, 84, 89, 80, 69, 95, 72, 65, 78, 68, 76, 69,
    68, 0, 84, 82, 65, 67, 69, 95, 84, 89, 80, 69, 95, 85, 78, 72, 65, 78, 68, 76, 69, 68, 0, 84,
    82, 65, 67, 69, 95, 84, 89, 80, 69, 95, 78, 79, 95, 67, 79, 78, 83, 85, 77, 69, 0, 112, 114,
    105, 110, 116, 95, 108, 105, 110, 101, 95, 116, 0, 87, 65, 84, 67, 72, 95, 84, 89, 80, 69, 95,
    77, 69, 84, 65, 0, 87, 65, 84, 67, 72, 95, 84, 89, 80, 69, 95, 75, 69, 89, 95, 78, 79, 84, 73,
    70, 89, 0, 87, 65, 84, 67, 72, 95, 84, 89, 80, 69, 95, 95, 78, 82, 0, 119, 97, 116, 99, 104,
    95, 110, 111, 116, 105, 102, 105, 99, 97, 116, 105, 111, 110, 95, 116, 121, 112, 101, 0, 66,
    80, 70, 95, 80, 82, 79, 71, 95, 84, 89, 80, 69, 95, 85, 78, 83, 80, 69, 67, 0, 66, 80, 70, 95,
    80, 82, 79, 71, 95, 84, 89, 80, 69, 95, 83, 79, 67, 75, 69, 84, 95, 70, 73, 76, 84, 69, 82, 0,
    66, 80, 70, 95, 80, 82, 79, 71, 95, 84, 89, 80, 69, 95, 75, 80, 82, 79, 66, 69, 0, 66, 80, 70,
    95, 80, 82, 79, 71, 95, 84, 89, 80, 69, 95, 83, 67, 72, 69, 68, 95, 67, 76, 83, 0, 66, 80, 70,
    95, 80, 82, 79, 71, 95, 84, 89, 80, 69, 95, 83, 67, 72, 69, 68, 95, 65, 67, 84, 0, 66, 80, 70,
    95, 80, 82, 79, 71, 95, 84, 89, 80, 69, 95, 84, 82, 65, 67, 69, 80, 79, 73, 78, 84, 0, 66, 80,
    70, 95, 80, 82, 79, 71, 95, 84, 89, 80, 69, 95, 88, 68, 80, 0, 66, 80, 70, 95, 80, 82, 79, 71,
    95, 84, 89, 80, 69, 95, 80, 69, 82, 70, 95, 69, 86, 69, 78, 84, 0, 66, 80, 70, 95, 80, 82, 79,
    71, 95, 84, 89, 80, 69, 95, 67, 71, 82, 79, 85, 80, 95, 83, 75, 66, 0, 66, 80, 70, 95, 80, 82,
    79, 71, 95, 84, 89, 80, 69, 95, 67, 71, 82, 79, 85, 80, 95, 83, 79, 67, 75, 0, 66, 80, 70, 95,
    80, 82, 79, 71, 95, 84, 89, 80, 69, 95, 76, 87, 84, 95, 73, 78, 0, 66, 80, 70, 95, 80, 82, 79,
    71, 95, 84, 89, 80, 69, 95, 76, 87, 84, 95, 79, 85, 84, 0, 66, 80, 70, 95, 80, 82, 79, 71, 95,
    84, 89, 80, 69, 95, 76, 87, 84, 95, 88, 77, 73, 84, 0, 66, 80, 70, 95, 80, 82, 79, 71, 95, 84,
    89, 80, 69, 95, 83, 79, 67, 75, 95, 79, 80, 83, 0, 66, 80, 70, 95, 80, 82, 79, 71, 95, 84, 89,
    80, 69, 95, 83, 75, 95, 83, 75, 66, 0, 66, 80, 70, 95, 80, 82, 79, 71, 95, 84, 89, 80, 69, 95,
    67, 71, 82, 79, 85, 80, 95, 68, 69, 86, 73, 67, 69, 0, 66, 80, 70, 95, 80, 82, 79, 71, 95, 84,
    89, 80, 69, 95, 83, 75, 95, 77, 83, 71, 0, 66, 80, 70, 95, 80, 82, 79, 71, 95, 84, 89, 80, 69,
    95, 82, 65, 87, 95, 84, 82, 65, 67, 69, 80, 79, 73, 78, 84, 0, 66, 80, 70, 95, 80, 82, 79, 71,
    95, 84, 89, 80, 69, 95, 67, 71, 82, 79, 85, 80, 95, 83, 79, 67, 75, 95, 65, 68, 68, 82, 0, 66,
    80, 70, 95, 80, 82, 79, 71, 95, 84, 89, 80, 69, 95, 76, 87, 84, 95, 83, 69, 71, 54, 76, 79, 67,
    65, 76, 0, 66, 80, 70, 95, 80, 82, 79, 71, 95, 84, 89, 80, 69, 95, 76, 73, 82, 67, 95, 77, 79,
    68, 69, 50, 0, 66, 80, 70, 95, 80, 82, 79, 71, 95, 84, 89, 80, 69, 95, 83, 75, 95, 82, 69, 85,
    83, 69, 80, 79, 82, 84, 0, 66, 80, 70, 95, 80, 82, 79, 71, 95, 84, 89, 80, 69, 95, 70, 76, 79,
    87, 95, 68, 73, 83, 83, 69, 67, 84, 79, 82, 0, 66, 80, 70, 95, 80, 82, 79, 71, 95, 84, 89, 80,
    69, 95, 67, 71, 82, 79, 85, 80, 95, 83, 89, 83, 67, 84, 76, 0, 66, 80, 70, 95, 80, 82, 79, 71,
    95, 84, 89, 80, 69, 95, 82, 65, 87, 95, 84, 82, 65, 67, 69, 80, 79, 73, 78, 84, 95, 87, 82, 73,
    84, 65, 66, 76, 69, 0, 66, 80, 70, 95, 80, 82, 79, 71, 95, 84, 89, 80, 69, 95, 67, 71, 82, 79,
    85, 80, 95, 83, 79, 67, 75, 79, 80, 84, 0, 66, 80, 70, 95, 80, 82, 79, 71, 95, 84, 89, 80, 69,
    95, 84, 82, 65, 67, 73, 78, 71, 0, 66, 80, 70, 95, 80, 82, 79, 71, 95, 84, 89, 80, 69, 95, 83,
    84, 82, 85, 67, 84, 95, 79, 80, 83, 0, 66, 80, 70, 95, 80, 82, 79, 71, 95, 84, 89, 80, 69, 95,
    69, 88, 84, 0, 66, 80, 70, 95, 80, 82, 79, 71, 95, 84, 89, 80, 69, 95, 76, 83, 77, 0, 66, 80,
    70, 95, 80, 82, 79, 71, 95, 84, 89, 80, 69, 95, 83, 75, 95, 76, 79, 79, 75, 85, 80, 0, 98, 112,
    102, 95, 112, 114, 111, 103, 95, 116, 121, 112, 101, 0, 66, 80, 70, 95, 67, 71, 82, 79, 85, 80,
    95, 73, 78, 69, 84, 95, 73, 78, 71, 82, 69, 83, 83, 0, 66, 80, 70, 95, 67, 71, 82, 79, 85, 80,
    95, 73, 78, 69, 84, 95, 69, 71, 82, 69, 83, 83, 0, 66, 80, 70, 95, 67, 71, 82, 79, 85, 80, 95,
    73, 78, 69, 84, 95, 83, 79, 67, 75, 95, 67, 82, 69, 65, 84, 69, 0, 66, 80, 70, 95, 67, 71, 82,
    79, 85, 80, 95, 83, 79, 67, 75, 95, 79, 80, 83, 0, 66, 80, 70, 95, 83, 75, 95, 83, 75, 66, 95,
    83, 84, 82, 69, 65, 77, 95, 80, 65, 82, 83, 69, 82, 0, 66, 80, 70, 95, 83, 75, 95, 83, 75, 66,
    95, 83, 84, 82, 69, 65, 77, 95, 86, 69, 82, 68, 73, 67, 84, 0, 66, 80, 70, 95, 67, 71, 82, 79,
    85, 80, 95, 68, 69, 86, 73, 67, 69, 0, 66, 80, 70, 95, 83, 75, 95, 77, 83, 71, 95, 86, 69, 82,
    68, 73, 67, 84, 0, 66, 80, 70, 95, 67, 71, 82, 79, 85, 80, 95, 73, 78, 69, 84, 52, 95, 66, 73,
    78, 68, 0, 66, 80, 70, 95, 67, 71, 82, 79, 85, 80, 95, 73, 78, 69, 84, 54, 95, 66, 73, 78, 68,
    0, 66, 80, 70, 95, 67, 71, 82, 79, 85, 80, 95, 73, 78, 69, 84, 52, 95, 67, 79, 78, 78, 69, 67,
    84, 0, 66, 80, 70, 95, 67, 71, 82, 79, 85, 80, 95, 73, 78, 69, 84, 54, 95, 67, 79, 78, 78, 69,
    67, 84, 0, 66, 80, 70, 95, 67, 71, 82, 79, 85, 80, 95, 73, 78, 69, 84, 52, 95, 80, 79, 83, 84,
    95, 66, 73, 78, 68, 0, 66, 80, 70, 95, 67, 71, 82, 79, 85, 80, 95, 73, 78, 69, 84, 54, 95, 80,
    79, 83, 84, 95, 66, 73, 78, 68, 0, 66, 80, 70, 95, 67, 71, 82, 79, 85, 80, 95, 85, 68, 80, 52,
    95, 83, 69, 78, 68, 77, 83, 71, 0, 66, 80, 70, 95, 67, 71, 82, 79, 85, 80, 95, 85, 68, 80, 54,
    95, 83, 69, 78, 68, 77, 83, 71, 0, 66, 80, 70, 95, 76, 73, 82, 67, 95, 77, 79, 68, 69, 50, 0,
    66, 80, 70, 95, 70, 76, 79, 87, 95, 68, 73, 83, 83, 69, 67, 84, 79, 82, 0, 66, 80, 70, 95, 67,
    71, 82, 79, 85, 80, 95, 83, 89, 83, 67, 84, 76, 0, 66, 80, 70, 95, 67, 71, 82, 79, 85, 80, 95,
    85, 68, 80, 52, 95, 82, 69, 67, 86, 77, 83, 71, 0, 66, 80, 70, 95, 67, 71, 82, 79, 85, 80, 95,
    85, 68, 80, 54, 95, 82, 69, 67, 86, 77, 83, 71, 0, 66, 80, 70, 95, 67, 71, 82, 79, 85, 80, 95,
    71, 69, 84, 83, 79, 67, 75, 79, 80, 84, 0, 66, 80, 70, 95, 67, 71, 82, 79, 85, 80, 95, 83, 69,
    84, 83, 79, 67, 75, 79, 80, 84, 0, 66, 80, 70, 95, 84, 82, 65, 67, 69, 95, 82, 65, 87, 95, 84,
    80, 0, 66, 80, 70, 95, 84, 82, 65, 67, 69, 95, 70, 69, 78, 84, 82, 89, 0, 66, 80, 70, 95, 84,
    82, 65, 67, 69, 95, 70, 69, 88, 73, 84, 0, 66, 80, 70, 95, 77, 79, 68, 73, 70, 89, 95, 82, 69,
    84, 85, 82, 78, 0, 66, 80, 70, 95, 76, 83, 77, 95, 77, 65, 67, 0, 66, 80, 70, 95, 84, 82, 65,
    67, 69, 95, 73, 84, 69, 82, 0, 66, 80, 70, 95, 67, 71, 82, 79, 85, 80, 95, 73, 78, 69, 84, 52,
    95, 71, 69, 84, 80, 69, 69, 82, 78, 65, 77, 69, 0, 66, 80, 70, 95, 67, 71, 82, 79, 85, 80, 95,
    73, 78, 69, 84, 54, 95, 71, 69, 84, 80, 69, 69, 82, 78, 65, 77, 69, 0, 66, 80, 70, 95, 67, 71,
    82, 79, 85, 80, 95, 73, 78, 69, 84, 52, 95, 71, 69, 84, 83, 79, 67, 75, 78, 65, 77, 69, 0, 66,
    80, 70, 95, 67, 71, 82, 79, 85, 80, 95, 73, 78, 69, 84, 54, 95, 71, 69, 84, 83, 79, 67, 75, 78,
    65, 77, 69, 0, 66, 80, 70, 95, 88, 68, 80, 95, 68, 69, 86, 77, 65, 80, 0, 66, 80, 70, 95, 67,
    71, 82, 79, 85, 80, 95, 73, 78, 69, 84, 95, 83, 79, 67, 75, 95, 82, 69, 76, 69, 65, 83, 69, 0,
    66, 80, 70, 95, 88, 68, 80, 95, 67, 80, 85, 77, 65, 80, 0, 66, 80, 70, 95, 83, 75, 95, 76, 79,
    79, 75, 85, 80, 0, 66, 80, 70, 95, 88, 68, 80, 0, 95, 95, 77, 65, 88, 95, 66, 80, 70, 95, 65,
    84, 84, 65, 67, 72, 95, 84, 89, 80, 69, 0, 98, 112, 102, 95, 97, 116, 116, 97, 99, 104, 95,
    116, 121, 112, 101, 0, 78, 79, 84, 95, 73, 78, 73, 84, 0, 83, 67, 65, 76, 65, 82, 95, 86, 65,
    76, 85, 69, 0, 80, 84, 82, 95, 84, 79, 95, 67, 84, 88, 0, 67, 79, 78, 83, 84, 95, 80, 84, 82,
    95, 84, 79, 95, 77, 65, 80, 0, 80, 84, 82, 95, 84, 79, 95, 77, 65, 80, 95, 86, 65, 76, 85, 69,
    0, 80, 84, 82, 95, 84, 79, 95, 77, 65, 80, 95, 86, 65, 76, 85, 69, 95, 79, 82, 95, 78, 85, 76,
    76, 0, 80, 84, 82, 95, 84, 79, 95, 83, 84, 65, 67, 75, 0, 80, 84, 82, 95, 84, 79, 95, 80, 65,
    67, 75, 69, 84, 95, 77, 69, 84, 65, 0, 80, 84, 82, 95, 84, 79, 95, 80, 65, 67, 75, 69, 84, 0,
    80, 84, 82, 95, 84, 79, 95, 80, 65, 67, 75, 69, 84, 95, 69, 78, 68, 0, 80, 84, 82, 95, 84, 79,
    95, 70, 76, 79, 87, 95, 75, 69, 89, 83, 0, 80, 84, 82, 95, 84, 79, 95, 83, 79, 67, 75, 69, 84,
    0, 80, 84, 82, 95, 84, 79, 95, 83, 79, 67, 75, 69, 84, 95, 79, 82, 95, 78, 85, 76, 76, 0, 80,
    84, 82, 95, 84, 79, 95, 83, 79, 67, 75, 95, 67, 79, 77, 77, 79, 78, 0, 80, 84, 82, 95, 84, 79,
    95, 83, 79, 67, 75, 95, 67, 79, 77, 77, 79, 78, 95, 79, 82, 95, 78, 85, 76, 76, 0, 80, 84, 82,
    95, 84, 79, 95, 84, 67, 80, 95, 83, 79, 67, 75, 0, 80, 84, 82, 95, 84, 79, 95, 84, 67, 80, 95,
    83, 79, 67, 75, 95, 79, 82, 95, 78, 85, 76, 76, 0, 80, 84, 82, 95, 84, 79, 95, 84, 80, 95, 66,
    85, 70, 70, 69, 82, 0, 80, 84, 82, 95, 84, 79, 95, 88, 68, 80, 95, 83, 79, 67, 75, 0, 80, 84,
    82, 95, 84, 79, 95, 66, 84, 70, 95, 73, 68, 0, 80, 84, 82, 95, 84, 79, 95, 66, 84, 70, 95, 73,
    68, 95, 79, 82, 95, 78, 85, 76, 76, 0, 80, 84, 82, 95, 84, 79, 95, 77, 69, 77, 0, 80, 84, 82,
    95, 84, 79, 95, 77, 69, 77, 95, 79, 82, 95, 78, 85, 76, 76, 0, 80, 84, 82, 95, 84, 79, 95, 82,
    68, 79, 78, 76, 89, 95, 66, 85, 70, 0, 80, 84, 82, 95, 84, 79, 95, 82, 68, 79, 78, 76, 89, 95,
    66, 85, 70, 95, 79, 82, 95, 78, 85, 76, 76, 0, 80, 84, 82, 95, 84, 79, 95, 82, 68, 87, 82, 95,
    66, 85, 70, 0, 80, 84, 82, 95, 84, 79, 95, 82, 68, 87, 82, 95, 66, 85, 70, 95, 79, 82, 95, 78,
    85, 76, 76, 0, 98, 112, 102, 95, 114, 101, 103, 95, 116, 121, 112, 101, 0, 66, 80, 70, 95, 84,
    82, 65, 77, 80, 95, 70, 69, 78, 84, 82, 89, 0, 66, 80, 70, 95, 84, 82, 65, 77, 80, 95, 70, 69,
    88, 73, 84, 0, 66, 80, 70, 95, 84, 82, 65, 77, 80, 95, 77, 79, 68, 73, 70, 89, 95, 82, 69, 84,
    85, 82, 78, 0, 66, 80, 70, 95, 84, 82, 65, 77, 80, 95, 77, 65, 88, 0, 66, 80, 70, 95, 84, 82,
    65, 77, 80, 95, 82, 69, 80, 76, 65, 67, 69, 0, 98, 112, 102, 95, 116, 114, 97, 109, 112, 95,
    112, 114, 111, 103, 95, 116, 121, 112, 101, 0, 66, 80, 70, 95, 77, 65, 80, 95, 84, 89, 80, 69,
    95, 85, 78, 83, 80, 69, 67, 0, 66, 80, 70, 95, 77, 65, 80, 95, 84, 89, 80, 69, 95, 72, 65, 83,
    72, 0, 66, 80, 70, 95, 77, 65, 80, 95, 84, 89, 80, 69, 95, 65, 82, 82, 65, 89, 0, 66, 80, 70,
    95, 77, 65, 80, 95, 84, 89, 80, 69, 95, 80, 82, 79, 71, 95, 65, 82, 82, 65, 89, 0, 66, 80, 70,
    95, 77, 65, 80, 95, 84, 89, 80, 69, 95, 80, 69, 82, 70, 95, 69, 86, 69, 78, 84, 95, 65, 82, 82,
    65, 89, 0, 66, 80, 70, 95, 77, 65, 80, 95, 84, 89, 80, 69, 95, 80, 69, 82, 67, 80, 85, 95, 72,
    65, 83, 72, 0, 66, 80, 70, 95, 77, 65, 80, 95, 84, 89, 80, 69, 95, 80, 69, 82, 67, 80, 85, 95,
    65, 82, 82, 65, 89, 0, 66, 80, 70, 95, 77, 65, 80, 95, 84, 89, 80, 69, 95, 83, 84, 65, 67, 75,
    95, 84, 82, 65, 67, 69, 0, 66, 80, 70, 95, 77, 65, 80, 95, 84, 89, 80, 69, 95, 67, 71, 82, 79,
    85, 80, 95, 65, 82, 82, 65, 89, 0, 66, 80, 70, 95, 77, 65, 80, 95, 84, 89, 80, 69, 95, 76, 82,
    85, 95, 72, 65, 83, 72, 0, 66, 80, 70, 95, 77, 65, 80, 95, 84, 89, 80, 69, 95, 76, 82, 85, 95,
    80, 69, 82, 67, 80, 85, 95, 72, 65, 83, 72, 0, 66, 80, 70, 95, 77, 65, 80, 95, 84, 89, 80, 69,
    95, 76, 80, 77, 95, 84, 82, 73, 69, 0, 66, 80, 70, 95, 77, 65, 80, 95, 84, 89, 80, 69, 95, 65,
    82, 82, 65, 89, 95, 79, 70, 95, 77, 65, 80, 83, 0, 66, 80, 70, 95, 77, 65, 80, 95, 84, 89, 80,
    69, 95, 72, 65, 83, 72, 95, 79, 70, 95, 77, 65, 80, 83, 0, 66, 80, 70, 95, 77, 65, 80, 95, 84,
    89, 80, 69, 95, 68, 69, 86, 77, 65, 80, 0, 66, 80, 70, 95, 77, 65, 80, 95, 84, 89, 80, 69, 95,
    83, 79, 67, 75, 77, 65, 80, 0, 66, 80, 70, 95, 77, 65, 80, 95, 84, 89, 80, 69, 95, 67, 80, 85,
    77, 65, 80, 0, 66, 80, 70, 95, 77, 65, 80, 95, 84, 89, 80, 69, 95, 88, 83, 75, 77, 65, 80, 0,
    66, 80, 70, 95, 77, 65, 80, 95, 84, 89, 80, 69, 95, 83, 79, 67, 75, 72, 65, 83, 72, 0, 66, 80,
    70, 95, 77, 65, 80, 95, 84, 89, 80, 69, 95, 67, 71, 82, 79, 85, 80, 95, 83, 84, 79, 82, 65, 71,
    69, 0, 66, 80, 70, 95, 77, 65, 80, 95, 84, 89, 80, 69, 95, 82, 69, 85, 83, 69, 80, 79, 82, 84,
    95, 83, 79, 67, 75, 65, 82, 82, 65, 89, 0, 66, 80, 70, 95, 77, 65, 80, 95, 84, 89, 80, 69, 95,
    80, 69, 82, 67, 80, 85, 95, 67, 71, 82, 79, 85, 80, 95, 83, 84, 79, 82, 65, 71, 69, 0, 66, 80,
    70, 95, 77, 65, 80, 95, 84, 89, 80, 69, 95, 81, 85, 69, 85, 69, 0, 66, 80, 70, 95, 77, 65, 80,
    95, 84, 89, 80, 69, 95, 83, 84, 65, 67, 75, 0, 66, 80, 70, 95, 77, 65, 80, 95, 84, 89, 80, 69,
    95, 83, 75, 95, 83, 84, 79, 82, 65, 71, 69, 0, 66, 80, 70, 95, 77, 65, 80, 95, 84, 89, 80, 69,
    95, 68, 69, 86, 77, 65, 80, 95, 72, 65, 83, 72, 0, 66, 80, 70, 95, 77, 65, 80, 95, 84, 89, 80,
    69, 95, 83, 84, 82, 85, 67, 84, 95, 79, 80, 83, 0, 66, 80, 70, 95, 77, 65, 80, 95, 84, 89, 80,
    69, 95, 82, 73, 78, 71, 66, 85, 70, 0, 98, 112, 102, 95, 109, 97, 112, 95, 116, 121, 112, 101,
    0, 95, 95, 78, 69, 84, 68, 69, 86, 95, 84, 88, 95, 77, 73, 78, 0, 78, 69, 84, 68, 69, 86, 95,
    84, 88, 95, 79, 75, 0, 78, 69, 84, 68, 69, 86, 95, 84, 88, 95, 66, 85, 83, 89, 0, 110, 101,
    116, 100, 101, 118, 95, 116, 120, 0, 67, 65, 95, 69, 86, 69, 78, 84, 95, 84, 88, 95, 83, 84,
    65, 82, 84, 0, 67, 65, 95, 69, 86, 69, 78, 84, 95, 67, 87, 78, 68, 95, 82, 69, 83, 84, 65, 82,
    84, 0, 67, 65, 95, 69, 86, 69, 78, 84, 95, 67, 79, 77, 80, 76, 69, 84, 69, 95, 67, 87, 82, 0,
    67, 65, 95, 69, 86, 69, 78, 84, 95, 76, 79, 83, 83, 0, 67, 65, 95, 69, 86, 69, 78, 84, 95, 69,
    67, 78, 95, 78, 79, 95, 67, 69, 0, 67, 65, 95, 69, 86, 69, 78, 84, 95, 69, 67, 78, 95, 73, 83,
    95, 67, 69, 0, 116, 99, 112, 95, 99, 97, 95, 101, 118, 101, 110, 116, 0, 72, 82, 84, 73, 77,
    69, 82, 95, 78, 79, 82, 69, 83, 84, 65, 82, 84, 0, 72, 82, 84, 73, 77, 69, 82, 95, 82, 69, 83,
    84, 65, 82, 84, 0, 104, 114, 116, 105, 109, 101, 114, 95, 114, 101, 115, 116, 97, 114, 116, 0,
    78, 70, 95, 76, 79, 71, 95, 84, 89, 80, 69, 95, 76, 79, 71, 0, 78, 70, 95, 76, 79, 71, 95, 84,
    89, 80, 69, 95, 85, 76, 79, 71, 0, 78, 70, 95, 76, 79, 71, 95, 84, 89, 80, 69, 95, 77, 65, 88,
    0, 110, 102, 95, 108, 111, 103, 95, 116, 121, 112, 101, 0, 83, 67, 84, 80, 95, 67, 79, 78, 78,
    84, 82, 65, 67, 75, 95, 78, 79, 78, 69, 0, 83, 67, 84, 80, 95, 67, 79, 78, 78, 84, 82, 65, 67,
    75, 95, 67, 76, 79, 83, 69, 68, 0, 83, 67, 84, 80, 95, 67, 79, 78, 78, 84, 82, 65, 67, 75, 95,
    67, 79, 79, 75, 73, 69, 95, 87, 65, 73, 84, 0, 83, 67, 84, 80, 95, 67, 79, 78, 78, 84, 82, 65,
    67, 75, 95, 67, 79, 79, 75, 73, 69, 95, 69, 67, 72, 79, 69, 68, 0, 83, 67, 84, 80, 95, 67, 79,
    78, 78, 84, 82, 65, 67, 75, 95, 69, 83, 84, 65, 66, 76, 73, 83, 72, 69, 68, 0, 83, 67, 84, 80,
    95, 67, 79, 78, 78, 84, 82, 65, 67, 75, 95, 83, 72, 85, 84, 68, 79, 87, 78, 95, 83, 69, 78, 84,
    0, 83, 67, 84, 80, 95, 67, 79, 78, 78, 84, 82, 65, 67, 75, 95, 83, 72, 85, 84, 68, 79, 87, 78,
    95, 82, 69, 67, 68, 0, 83, 67, 84, 80, 95, 67, 79, 78, 78, 84, 82, 65, 67, 75, 95, 83, 72, 85,
    84, 68, 79, 87, 78, 95, 65, 67, 75, 95, 83, 69, 78, 84, 0, 83, 67, 84, 80, 95, 67, 79, 78, 78,
    84, 82, 65, 67, 75, 95, 72, 69, 65, 82, 84, 66, 69, 65, 84, 95, 83, 69, 78, 84, 0, 83, 67, 84,
    80, 95, 67, 79, 78, 78, 84, 82, 65, 67, 75, 95, 72, 69, 65, 82, 84, 66, 69, 65, 84, 95, 65, 67,
    75, 69, 68, 0, 83, 67, 84, 80, 95, 67, 79, 78, 78, 84, 82, 65, 67, 75, 95, 77, 65, 88, 0, 115,
    99, 116, 112, 95, 99, 111, 110, 110, 116, 114, 97, 99, 107, 0, 73, 80, 95, 67, 84, 95, 68, 73,
    82, 95, 79, 82, 73, 71, 73, 78, 65, 76, 0, 73, 80, 95, 67, 84, 95, 68, 73, 82, 95, 82, 69, 80,
    76, 89, 0, 73, 80, 95, 67, 84, 95, 68, 73, 82, 95, 77, 65, 88, 0, 105, 112, 95, 99, 111, 110,
    110, 116, 114, 97, 99, 107, 95, 100, 105, 114, 0, 107, 101, 114, 110, 101, 108, 95, 112, 107,
    101, 121, 95, 101, 110, 99, 114, 121, 112, 116, 0, 107, 101, 114, 110, 101, 108, 95, 112, 107,
    101, 121, 95, 100, 101, 99, 114, 121, 112, 116, 0, 107, 101, 114, 110, 101, 108, 95, 112, 107,
    101, 121, 95, 115, 105, 103, 110, 0, 107, 101, 114, 110, 101, 108, 95, 112, 107, 101, 121, 95,
    118, 101, 114, 105, 102, 121, 0, 107, 101, 114, 110, 101, 108, 95, 112, 107, 101, 121, 95, 111,
    112, 101, 114, 97, 116, 105, 111, 110, 0, 83, 83, 95, 70, 82, 69, 69, 0, 83, 83, 95, 85, 78,
    67, 79, 78, 78, 69, 67, 84, 69, 68, 0, 83, 83, 95, 67, 79, 78, 78, 69, 67, 84, 73, 78, 71, 0,
    83, 83, 95, 67, 79, 78, 78, 69, 67, 84, 69, 68, 0, 83, 83, 95, 68, 73, 83, 67, 79, 78, 78, 69,
    67, 84, 73, 78, 71, 0, 75, 77, 69, 77, 95, 78, 79, 78, 69, 0, 75, 77, 69, 77, 95, 65, 76, 76,
    79, 67, 65, 84, 69, 68, 0, 75, 77, 69, 77, 95, 79, 78, 76, 73, 78, 69, 0, 109, 101, 109, 99,
    103, 95, 107, 109, 101, 109, 95, 115, 116, 97, 116, 101, 0, 90, 79, 78, 69, 95, 68, 77, 65, 0,
    90, 79, 78, 69, 95, 68, 77, 65, 51, 50, 0, 90, 79, 78, 69, 95, 78, 79, 82, 77, 65, 76, 0, 90,
    79, 78, 69, 95, 77, 79, 86, 65, 66, 76, 69, 0, 90, 79, 78, 69, 95, 68, 69, 86, 73, 67, 69, 0,
    95, 95, 77, 65, 88, 95, 78, 82, 95, 90, 79, 78, 69, 83, 0, 122, 111, 110, 101, 95, 116, 121,
    112, 101, 0, 84, 67, 95, 83, 69, 84, 85, 80, 95, 81, 68, 73, 83, 67, 95, 77, 81, 80, 82, 73,
    79, 0, 84, 67, 95, 83, 69, 84, 85, 80, 95, 67, 76, 83, 85, 51, 50, 0, 84, 67, 95, 83, 69, 84,
    85, 80, 95, 67, 76, 83, 70, 76, 79, 87, 69, 82, 0, 84, 67, 95, 83, 69, 84, 85, 80, 95, 67, 76,
    83, 77, 65, 84, 67, 72, 65, 76, 76, 0, 84, 67, 95, 83, 69, 84, 85, 80, 95, 67, 76, 83, 66, 80,
    70, 0, 84, 67, 95, 83, 69, 84, 85, 80, 95, 66, 76, 79, 67, 75, 0, 84, 67, 95, 83, 69, 84, 85,
    80, 95, 81, 68, 73, 83, 67, 95, 67, 66, 83, 0, 84, 67, 95, 83, 69, 84, 85, 80, 95, 81, 68, 73,
    83, 67, 95, 82, 69, 68, 0, 84, 67, 95, 83, 69, 84, 85, 80, 95, 81, 68, 73, 83, 67, 95, 80, 82,
    73, 79, 0, 84, 67, 95, 83, 69, 84, 85, 80, 95, 81, 68, 73, 83, 67, 95, 77, 81, 0, 84, 67, 95,
    83, 69, 84, 85, 80, 95, 81, 68, 73, 83, 67, 95, 69, 84, 70, 0, 84, 67, 95, 83, 69, 84, 85, 80,
    95, 82, 79, 79, 84, 95, 81, 68, 73, 83, 67, 0, 84, 67, 95, 83, 69, 84, 85, 80, 95, 81, 68, 73,
    83, 67, 95, 71, 82, 69, 68, 0, 84, 67, 95, 83, 69, 84, 85, 80, 95, 81, 68, 73, 83, 67, 95, 84,
    65, 80, 82, 73, 79, 0, 84, 67, 95, 83, 69, 84, 85, 80, 95, 70, 84, 0, 84, 67, 95, 83, 69, 84,
    85, 80, 95, 81, 68, 73, 83, 67, 95, 69, 84, 83, 0, 84, 67, 95, 83, 69, 84, 85, 80, 95, 81, 68,
    73, 83, 67, 95, 84, 66, 70, 0, 84, 67, 95, 83, 69, 84, 85, 80, 95, 81, 68, 73, 83, 67, 95, 70,
    73, 70, 79, 0, 116, 99, 95, 115, 101, 116, 117, 112, 95, 116, 121, 112, 101, 0, 88, 68, 80, 95,
    83, 69, 84, 85, 80, 95, 80, 82, 79, 71, 0, 88, 68, 80, 95, 83, 69, 84, 85, 80, 95, 80, 82, 79,
    71, 95, 72, 87, 0, 66, 80, 70, 95, 79, 70, 70, 76, 79, 65, 68, 95, 77, 65, 80, 95, 65, 76, 76,
    79, 67, 0, 66, 80, 70, 95, 79, 70, 70, 76, 79, 65, 68, 95, 77, 65, 80, 95, 70, 82, 69, 69, 0,
    88, 68, 80, 95, 83, 69, 84, 85, 80, 95, 88, 83, 75, 95, 85, 77, 69, 77, 0, 98, 112, 102, 95,
    110, 101, 116, 100, 101, 118, 95, 99, 111, 109, 109, 97, 110, 100, 0, 68, 69, 86, 76, 73, 78,
    75, 95, 68, 80, 73, 80, 69, 95, 70, 73, 69, 76, 68, 95, 77, 65, 80, 80, 73, 78, 71, 95, 84, 89,
    80, 69, 95, 78, 79, 78, 69, 0, 68, 69, 86, 76, 73, 78, 75, 95, 68, 80, 73, 80, 69, 95, 70, 73,
    69, 76, 68, 95, 77, 65, 80, 80, 73, 78, 71, 95, 84, 89, 80, 69, 95, 73, 70, 73, 78, 68, 69, 88,
    0, 100, 101, 118, 108, 105, 110, 107, 95, 100, 112, 105, 112, 101, 95, 102, 105, 101, 108, 100,
    95, 109, 97, 112, 112, 105, 110, 103, 95, 116, 121, 112, 101, 0, 68, 69, 86, 76, 73, 78, 75,
    95, 80, 79, 82, 84, 95, 84, 89, 80, 69, 95, 78, 79, 84, 83, 69, 84, 0, 68, 69, 86, 76, 73, 78,
    75, 95, 80, 79, 82, 84, 95, 84, 89, 80, 69, 95, 65, 85, 84, 79, 0, 68, 69, 86, 76, 73, 78, 75,
    95, 80, 79, 82, 84, 95, 84, 89, 80, 69, 95, 69, 84, 72, 0, 68, 69, 86, 76, 73, 78, 75, 95, 80,
    79, 82, 84, 95, 84, 89, 80, 69, 95, 73, 66, 0, 100, 101, 118, 108, 105, 110, 107, 95, 112, 111,
    114, 116, 95, 116, 121, 112, 101, 0, 68, 69, 86, 76, 73, 78, 75, 95, 83, 66, 95, 80, 79, 79,
    76, 95, 84, 89, 80, 69, 95, 73, 78, 71, 82, 69, 83, 83, 0, 68, 69, 86, 76, 73, 78, 75, 95, 83,
    66, 95, 80, 79, 79, 76, 95, 84, 89, 80, 69, 95, 69, 71, 82, 69, 83, 83, 0, 100, 101, 118, 108,
    105, 110, 107, 95, 115, 98, 95, 112, 111, 111, 108, 95, 116, 121, 112, 101, 0, 68, 69, 86, 76,
    73, 78, 75, 95, 83, 66, 95, 84, 72, 82, 69, 83, 72, 79, 76, 68, 95, 84, 89, 80, 69, 95, 83, 84,
    65, 84, 73, 67, 0, 68, 69, 86, 76, 73, 78, 75, 95, 83, 66, 95, 84, 72, 82, 69, 83, 72, 79, 76,
    68, 95, 84, 89, 80, 69, 95, 68, 89, 78, 65, 77, 73, 67, 0, 100, 101, 118, 108, 105, 110, 107,
    95, 115, 98, 95, 116, 104, 114, 101, 115, 104, 111, 108, 100, 95, 116, 121, 112, 101, 0, 68,
    69, 86, 76, 73, 78, 75, 95, 69, 83, 87, 73, 84, 67, 72, 95, 69, 78, 67, 65, 80, 95, 77, 79, 68,
    69, 95, 78, 79, 78, 69, 0, 68, 69, 86, 76, 73, 78, 75, 95, 69, 83, 87, 73, 84, 67, 72, 95, 69,
    78, 67, 65, 80, 95, 77, 79, 68, 69, 95, 66, 65, 83, 73, 67, 0, 100, 101, 118, 108, 105, 110,
    107, 95, 101, 115, 119, 105, 116, 99, 104, 95, 101, 110, 99, 97, 112, 95, 109, 111, 100, 101,
    0, 68, 69, 86, 76, 73, 78, 75, 95, 84, 82, 65, 80, 95, 84, 89, 80, 69, 95, 68, 82, 79, 80, 0,
    68, 69, 86, 76, 73, 78, 75, 95, 84, 82, 65, 80, 95, 84, 89, 80, 69, 95, 69, 88, 67, 69, 80, 84,
    73, 79, 78, 0, 68, 69, 86, 76, 73, 78, 75, 95, 84, 82, 65, 80, 95, 84, 89, 80, 69, 95, 67, 79,
    78, 84, 82, 79, 76, 0, 100, 101, 118, 108, 105, 110, 107, 95, 116, 114, 97, 112, 95, 116, 121,
    112, 101, 0, 68, 69, 86, 76, 73, 78, 75, 95, 84, 82, 65, 80, 95, 65, 67, 84, 73, 79, 78, 95,
    68, 82, 79, 80, 0, 68, 69, 86, 76, 73, 78, 75, 95, 84, 82, 65, 80, 95, 65, 67, 84, 73, 79, 78,
    95, 84, 82, 65, 80, 0, 68, 69, 86, 76, 73, 78, 75, 95, 84, 82, 65, 80, 95, 65, 67, 84, 73, 79,
    78, 95, 77, 73, 82, 82, 79, 82, 0, 100, 101, 118, 108, 105, 110, 107, 95, 116, 114, 97, 112,
    95, 97, 99, 116, 105, 111, 110, 0, 68, 69, 86, 76, 73, 78, 75, 95, 80, 79, 82, 84, 95, 70, 76,
    65, 86, 79, 85, 82, 95, 80, 72, 89, 83, 73, 67, 65, 76, 0, 68, 69, 86, 76, 73, 78, 75, 95, 80,
    79, 82, 84, 95, 70, 76, 65, 86, 79, 85, 82, 95, 67, 80, 85, 0, 68, 69, 86, 76, 73, 78, 75, 95,
    80, 79, 82, 84, 95, 70, 76, 65, 86, 79, 85, 82, 95, 68, 83, 65, 0, 68, 69, 86, 76, 73, 78, 75,
    95, 80, 79, 82, 84, 95, 70, 76, 65, 86, 79, 85, 82, 95, 80, 67, 73, 95, 80, 70, 0, 68, 69, 86,
    76, 73, 78, 75, 95, 80, 79, 82, 84, 95, 70, 76, 65, 86, 79, 85, 82, 95, 80, 67, 73, 95, 86, 70,
    0, 68, 69, 86, 76, 73, 78, 75, 95, 80, 79, 82, 84, 95, 70, 76, 65, 86, 79, 85, 82, 95, 86, 73,
    82, 84, 85, 65, 76, 0, 100, 101, 118, 108, 105, 110, 107, 95, 112, 111, 114, 116, 95, 102, 108,
    97, 118, 111, 117, 114, 0, 69, 84, 72, 84, 79, 79, 76, 95, 76, 73, 78, 75, 95, 69, 88, 84, 95,
    83, 84, 65, 84, 69, 95, 65, 85, 84, 79, 78, 69, 71, 0, 69, 84, 72, 84, 79, 79, 76, 95, 76, 73,
    78, 75, 95, 69, 88, 84, 95, 83, 84, 65, 84, 69, 95, 76, 73, 78, 75, 95, 84, 82, 65, 73, 78, 73,
    78, 71, 95, 70, 65, 73, 76, 85, 82, 69, 0, 69, 84, 72, 84, 79, 79, 76, 95, 76, 73, 78, 75, 95,
    69, 88, 84, 95, 83, 84, 65, 84, 69, 95, 76, 73, 78, 75, 95, 76, 79, 71, 73, 67, 65, 76, 95, 77,
    73, 83, 77, 65, 84, 67, 72, 0, 69, 84, 72, 84, 79, 79, 76, 95, 76, 73, 78, 75, 95, 69, 88, 84,
    95, 83, 84, 65, 84, 69, 95, 66, 65, 68, 95, 83, 73, 71, 78, 65, 76, 95, 73, 78, 84, 69, 71, 82,
    73, 84, 89, 0, 69, 84, 72, 84, 79, 79, 76, 95, 76, 73, 78, 75, 95, 69, 88, 84, 95, 83, 84, 65,
    84, 69, 95, 78, 79, 95, 67, 65, 66, 76, 69, 0, 69, 84, 72, 84, 79, 79, 76, 95, 76, 73, 78, 75,
    95, 69, 88, 84, 95, 83, 84, 65, 84, 69, 95, 67, 65, 66, 76, 69, 95, 73, 83, 83, 85, 69, 0, 69,
    84, 72, 84, 79, 79, 76, 95, 76, 73, 78, 75, 95, 69, 88, 84, 95, 83, 84, 65, 84, 69, 95, 69, 69,
    80, 82, 79, 77, 95, 73, 83, 83, 85, 69, 0, 69, 84, 72, 84, 79, 79, 76, 95, 76, 73, 78, 75, 95,
    69, 88, 84, 95, 83, 84, 65, 84, 69, 95, 67, 65, 76, 73, 66, 82, 65, 84, 73, 79, 78, 95, 70, 65,
    73, 76, 85, 82, 69, 0, 69, 84, 72, 84, 79, 79, 76, 95, 76, 73, 78, 75, 95, 69, 88, 84, 95, 83,
    84, 65, 84, 69, 95, 80, 79, 87, 69, 82, 95, 66, 85, 68, 71, 69, 84, 95, 69, 88, 67, 69, 69, 68,
    69, 68, 0, 69, 84, 72, 84, 79, 79, 76, 95, 76, 73, 78, 75, 95, 69, 88, 84, 95, 83, 84, 65, 84,
    69, 95, 79, 86, 69, 82, 72, 69, 65, 84, 0, 101, 116, 104, 116, 111, 111, 108, 95, 108, 105,
    110, 107, 95, 101, 120, 116, 95, 115, 116, 97, 116, 101, 0, 69, 84, 72, 84, 79, 79, 76, 95, 76,
    73, 78, 75, 95, 69, 88, 84, 95, 83, 85, 66, 83, 84, 65, 84, 69, 95, 65, 78, 95, 78, 79, 95, 80,
    65, 82, 84, 78, 69, 82, 95, 68, 69, 84, 69, 67, 84, 69, 68, 0, 69, 84, 72, 84, 79, 79, 76, 95,
    76, 73, 78, 75, 95, 69, 88, 84, 95, 83, 85, 66, 83, 84, 65, 84, 69, 95, 65, 78, 95, 65, 67, 75,
    95, 78, 79, 84, 95, 82, 69, 67, 69, 73, 86, 69, 68, 0, 69, 84, 72, 84, 79, 79, 76, 95, 76, 73,
    78, 75, 95, 69, 88, 84, 95, 83, 85, 66, 83, 84, 65, 84, 69, 95, 65, 78, 95, 78, 69, 88, 84, 95,
    80, 65, 71, 69, 95, 69, 88, 67, 72, 65, 78, 71, 69, 95, 70, 65, 73, 76, 69, 68, 0, 69, 84, 72,
    84, 79, 79, 76, 95, 76, 73, 78, 75, 95, 69, 88, 84, 95, 83, 85, 66, 83, 84, 65, 84, 69, 95, 65,
    78, 95, 78, 79, 95, 80, 65, 82, 84, 78, 69, 82, 95, 68, 69, 84, 69, 67, 84, 69, 68, 95, 70, 79,
    82, 67, 69, 95, 77, 79, 68, 69, 0, 69, 84, 72, 84, 79, 79, 76, 95, 76, 73, 78, 75, 95, 69, 88,
    84, 95, 83, 85, 66, 83, 84, 65, 84, 69, 95, 65, 78, 95, 70, 69, 67, 95, 77, 73, 83, 77, 65, 84,
    67, 72, 95, 68, 85, 82, 73, 78, 71, 95, 79, 86, 69, 82, 82, 73, 68, 69, 0, 69, 84, 72, 84, 79,
    79, 76, 95, 76, 73, 78, 75, 95, 69, 88, 84, 95, 83, 85, 66, 83, 84, 65, 84, 69, 95, 65, 78, 95,
    78, 79, 95, 72, 67, 68, 0, 101, 116, 104, 116, 111, 111, 108, 95, 108, 105, 110, 107, 95, 101,
    120, 116, 95, 115, 117, 98, 115, 116, 97, 116, 101, 95, 97, 117, 116, 111, 110, 101, 103, 0,
    69, 84, 72, 84, 79, 79, 76, 95, 76, 73, 78, 75, 95, 69, 88, 84, 95, 83, 85, 66, 83, 84, 65, 84,
    69, 95, 76, 84, 95, 75, 82, 95, 70, 82, 65, 77, 69, 95, 76, 79, 67, 75, 95, 78, 79, 84, 95, 65,
    67, 81, 85, 73, 82, 69, 68, 0, 69, 84, 72, 84, 79, 79, 76, 95, 76, 73, 78, 75, 95, 69, 88, 84,
    95, 83, 85, 66, 83, 84, 65, 84, 69, 95, 76, 84, 95, 75, 82, 95, 76, 73, 78, 75, 95, 73, 78, 72,
    73, 66, 73, 84, 95, 84, 73, 77, 69, 79, 85, 84, 0, 69, 84, 72, 84, 79, 79, 76, 95, 76, 73, 78,
    75, 95, 69, 88, 84, 95, 83, 85, 66, 83, 84, 65, 84, 69, 95, 76, 84, 95, 75, 82, 95, 76, 73, 78,
    75, 95, 80, 65, 82, 84, 78, 69, 82, 95, 68, 73, 68, 95, 78, 79, 84, 95, 83, 69, 84, 95, 82, 69,
    67, 69, 73, 86, 69, 82, 95, 82, 69, 65, 68, 89, 0, 69, 84, 72, 84, 79, 79, 76, 95, 76, 73, 78,
    75, 95, 69, 88, 84, 95, 83, 85, 66, 83, 84, 65, 84, 69, 95, 76, 84, 95, 82, 69, 77, 79, 84, 69,
    95, 70, 65, 85, 76, 84, 0, 101, 116, 104, 116, 111, 111, 108, 95, 108, 105, 110, 107, 95, 101,
    120, 116, 95, 115, 117, 98, 115, 116, 97, 116, 101, 95, 108, 105, 110, 107, 95, 116, 114, 97,
    105, 110, 105, 110, 103, 0, 69, 84, 72, 84, 79, 79, 76, 95, 76, 73, 78, 75, 95, 69, 88, 84, 95,
    83, 85, 66, 83, 84, 65, 84, 69, 95, 76, 76, 77, 95, 80, 67, 83, 95, 68, 73, 68, 95, 78, 79, 84,
    95, 65, 67, 81, 85, 73, 82, 69, 95, 66, 76, 79, 67, 75, 95, 76, 79, 67, 75, 0, 69, 84, 72, 84,
    79, 79, 76, 95, 76, 73, 78, 75, 95, 69, 88, 84, 95, 83, 85, 66, 83, 84, 65, 84, 69, 95, 76, 76,
    77, 95, 80, 67, 83, 95, 68, 73, 68, 95, 78, 79, 84, 95, 65, 67, 81, 85, 73, 82, 69, 95, 65, 77,
    95, 76, 79, 67, 75, 0, 69, 84, 72, 84, 79, 79, 76, 95, 76, 73, 78, 75, 95, 69, 88, 84, 95, 83,
    85, 66, 83, 84, 65, 84, 69, 95, 76, 76, 77, 95, 80, 67, 83, 95, 68, 73, 68, 95, 78, 79, 84, 95,
    71, 69, 84, 95, 65, 76, 73, 71, 78, 95, 83, 84, 65, 84, 85, 83, 0, 69, 84, 72, 84, 79, 79, 76,
    95, 76, 73, 78, 75, 95, 69, 88, 84, 95, 83, 85, 66, 83, 84, 65, 84, 69, 95, 76, 76, 77, 95, 70,
    67, 95, 70, 69, 67, 95, 73, 83, 95, 78, 79, 84, 95, 76, 79, 67, 75, 69, 68, 0, 69, 84, 72, 84,
    79, 79, 76, 95, 76, 73, 78, 75, 95, 69, 88, 84, 95, 83, 85, 66, 83, 84, 65, 84, 69, 95, 76, 76,
    77, 95, 82, 83, 95, 70, 69, 67, 95, 73, 83, 95, 78, 79, 84, 95, 76, 79, 67, 75, 69, 68, 0, 101,
    116, 104, 116, 111, 111, 108, 95, 108, 105, 110, 107, 95, 101, 120, 116, 95, 115, 117, 98, 115,
    116, 97, 116, 101, 95, 108, 105, 110, 107, 95, 108, 111, 103, 105, 99, 97, 108, 95, 109, 105,
    115, 109, 97, 116, 99, 104, 0, 69, 84, 72, 84, 79, 79, 76, 95, 76, 73, 78, 75, 95, 69, 88, 84,
    95, 83, 85, 66, 83, 84, 65, 84, 69, 95, 66, 83, 73, 95, 76, 65, 82, 71, 69, 95, 78, 85, 77, 66,
    69, 82, 95, 79, 70, 95, 80, 72, 89, 83, 73, 67, 65, 76, 95, 69, 82, 82, 79, 82, 83, 0, 69, 84,
    72, 84, 79, 79, 76, 95, 76, 73, 78, 75, 95, 69, 88, 84, 95, 83, 85, 66, 83, 84, 65, 84, 69, 95,
    66, 83, 73, 95, 85, 78, 83, 85, 80, 80, 79, 82, 84, 69, 68, 95, 82, 65, 84, 69, 0, 101, 116,
    104, 116, 111, 111, 108, 95, 108, 105, 110, 107, 95, 101, 120, 116, 95, 115, 117, 98, 115, 116,
    97, 116, 101, 95, 98, 97, 100, 95, 115, 105, 103, 110, 97, 108, 95, 105, 110, 116, 101, 103,
    114, 105, 116, 121, 0, 69, 84, 72, 84, 79, 79, 76, 95, 76, 73, 78, 75, 95, 69, 88, 84, 95, 83,
    85, 66, 83, 84, 65, 84, 69, 95, 67, 73, 95, 85, 78, 83, 85, 80, 80, 79, 82, 84, 69, 68, 95, 67,
    65, 66, 76, 69, 0, 69, 84, 72, 84, 79, 79, 76, 95, 76, 73, 78, 75, 95, 69, 88, 84, 95, 83, 85,
    66, 83, 84, 65, 84, 69, 95, 67, 73, 95, 67, 65, 66, 76, 69, 95, 84, 69, 83, 84, 95, 70, 65, 73,
    76, 85, 82, 69, 0, 101, 116, 104, 116, 111, 111, 108, 95, 108, 105, 110, 107, 95, 101, 120,
    116, 95, 115, 117, 98, 115, 116, 97, 116, 101, 95, 99, 97, 98, 108, 101, 95, 105, 115, 115,
    117, 101, 0, 69, 84, 72, 84, 79, 79, 76, 95, 73, 68, 95, 73, 78, 65, 67, 84, 73, 86, 69, 0, 69,
    84, 72, 84, 79, 79, 76, 95, 73, 68, 95, 65, 67, 84, 73, 86, 69, 0, 69, 84, 72, 84, 79, 79, 76,
    95, 73, 68, 95, 79, 78, 0, 69, 84, 72, 84, 79, 79, 76, 95, 73, 68, 95, 79, 70, 70, 0, 101, 116,
    104, 116, 111, 111, 108, 95, 112, 104, 121, 115, 95, 105, 100, 95, 115, 116, 97, 116, 101, 0,
    84, 76, 83, 95, 79, 70, 70, 76, 79, 65, 68, 95, 67, 84, 88, 95, 68, 73, 82, 95, 82, 88, 0, 84,
    76, 83, 95, 79, 70, 70, 76, 79, 65, 68, 95, 67, 84, 88, 95, 68, 73, 82, 95, 84, 88, 0, 116,
    108, 115, 95, 111, 102, 102, 108, 111, 97, 100, 95, 99, 116, 120, 95, 100, 105, 114, 0, 68, 83,
    65, 95, 84, 65, 71, 95, 80, 82, 79, 84, 79, 95, 78, 79, 78, 69, 0, 68, 83, 65, 95, 84, 65, 71,
    95, 80, 82, 79, 84, 79, 95, 66, 82, 67, 77, 0, 68, 83, 65, 95, 84, 65, 71, 95, 80, 82, 79, 84,
    79, 95, 66, 82, 67, 77, 95, 80, 82, 69, 80, 69, 78, 68, 0, 68, 83, 65, 95, 84, 65, 71, 95, 80,
    82, 79, 84, 79, 95, 68, 83, 65, 0, 68, 83, 65, 95, 84, 65, 71, 95, 80, 82, 79, 84, 79, 95, 69,
    68, 83, 65, 0, 68, 83, 65, 95, 84, 65, 71, 95, 80, 82, 79, 84, 79, 95, 71, 83, 87, 73, 80, 0,
    68, 83, 65, 95, 84, 65, 71, 95, 80, 82, 79, 84, 79, 95, 75, 83, 90, 57, 52, 55, 55, 0, 68, 83,
    65, 95, 84, 65, 71, 95, 80, 82, 79, 84, 79, 95, 75, 83, 90, 57, 56, 57, 51, 0, 68, 83, 65, 95,
    84, 65, 71, 95, 80, 82, 79, 84, 79, 95, 76, 65, 78, 57, 51, 48, 51, 0, 68, 83, 65, 95, 84, 65,
    71, 95, 80, 82, 79, 84, 79, 95, 77, 84, 75, 0, 68, 83, 65, 95, 84, 65, 71, 95, 80, 82, 79, 84,
    79, 95, 81, 67, 65, 0, 68, 83, 65, 95, 84, 65, 71, 95, 80, 82, 79, 84, 79, 95, 84, 82, 65, 73,
    76, 69, 82, 0, 68, 83, 65, 95, 84, 65, 71, 95, 80, 82, 79, 84, 79, 95, 56, 48, 50, 49, 81, 0,
    68, 83, 65, 95, 84, 65, 71, 95, 80, 82, 79, 84, 79, 95, 83, 74, 65, 49, 49, 48, 53, 0, 68, 83,
    65, 95, 84, 65, 71, 95, 80, 82, 79, 84, 79, 95, 75, 83, 90, 56, 55, 57, 53, 0, 68, 83, 65, 95,
    84, 65, 71, 95, 80, 82, 79, 84, 79, 95, 79, 67, 69, 76, 79, 84, 0, 68, 83, 65, 95, 84, 65, 71,
    95, 80, 82, 79, 84, 79, 95, 65, 82, 57, 51, 51, 49, 0, 68, 83, 65, 95, 84, 65, 71, 95, 80, 82,
    79, 84, 79, 95, 82, 84, 76, 52, 95, 65, 0, 100, 115, 97, 95, 116, 97, 103, 95, 112, 114, 111,
    116, 111, 99, 111, 108, 0, 109, 97, 115, 116, 101, 114, 0, 110, 97, 109, 101, 0, 110, 97, 109,
    101, 95, 110, 111, 100, 101, 0, 104, 108, 105, 115, 116, 0, 110, 101, 120, 116, 0, 112, 112,
    114, 101, 118, 0, 104, 108, 105, 115, 116, 95, 110, 111, 100, 101, 0, 108, 105, 115, 116, 0,
    112, 114, 101, 118, 0, 108, 105, 115, 116, 95, 104, 101, 97, 100, 0, 100, 101, 118, 0, 110,
    101, 116, 100, 101, 118, 95, 110, 97, 109, 101, 95, 110, 111, 100, 101, 0, 105, 102, 97, 108,
    105, 97, 115, 0, 114, 99, 117, 104, 101, 97, 100, 0, 102, 117, 110, 99, 0, 99, 97, 108, 108,
    98, 97, 99, 107, 95, 104, 101, 97, 100, 0, 100, 101, 118, 95, 105, 102, 97, 108, 105, 97, 115,
    0, 109, 101, 109, 95, 101, 110, 100, 0, 108, 111, 110, 103, 32, 117, 110, 115, 105, 103, 110,
    101, 100, 32, 105, 110, 116, 0, 109, 101, 109, 95, 115, 116, 97, 114, 116, 0, 98, 97, 115, 101,
    95, 97, 100, 100, 114, 0, 105, 114, 113, 0, 115, 116, 97, 116, 101, 0, 100, 101, 118, 95, 108,
    105, 115, 116, 0, 110, 97, 112, 105, 95, 108, 105, 115, 116, 0, 117, 110, 114, 101, 103, 95,
    108, 105, 115, 116, 0, 99, 108, 111, 115, 101, 95, 108, 105, 115, 116, 0, 112, 116, 121, 112,
    101, 95, 97, 108, 108, 0, 112, 116, 121, 112, 101, 95, 115, 112, 101, 99, 105, 102, 105, 99, 0,
    97, 100, 106, 95, 108, 105, 115, 116, 0, 117, 112, 112, 101, 114, 0, 108, 111, 119, 101, 114,
    0, 102, 101, 97, 116, 117, 114, 101, 115, 0, 117, 54, 52, 0, 110, 101, 116, 100, 101, 118, 95,
    102, 101, 97, 116, 117, 114, 101, 115, 95, 116, 0, 104, 119, 95, 102, 101, 97, 116, 117, 114,
    101, 115, 0, 119, 97, 110, 116, 101, 100, 95, 102, 101, 97, 116, 117, 114, 101, 115, 0, 118,
    108, 97, 110, 95, 102, 101, 97, 116, 117, 114, 101, 115, 0, 104, 119, 95, 101, 110, 99, 95,
    102, 101, 97, 116, 117, 114, 101, 115, 0, 109, 112, 108, 115, 95, 102, 101, 97, 116, 117, 114,
    101, 115, 0, 103, 115, 111, 95, 112, 97, 114, 116, 105, 97, 108, 95, 102, 101, 97, 116, 117,
    114, 101, 115, 0, 105, 102, 105, 110, 100, 101, 120, 0, 103, 114, 111, 117, 112, 0, 115, 116,
    97, 116, 115, 0, 114, 120, 95, 112, 97, 99, 107, 101, 116, 115, 0, 116, 120, 95, 112, 97, 99,
    107, 101, 116, 115, 0, 114, 120, 95, 98, 121, 116, 101, 115, 0, 116, 120, 95, 98, 121, 116,
    101, 115, 0, 114, 120, 95, 101, 114, 114, 111, 114, 115, 0, 116, 120, 95, 101, 114, 114, 111,
    114, 115, 0, 114, 120, 95, 100, 114, 111, 112, 112, 101, 100, 0, 116, 120, 95, 100, 114, 111,
    112, 112, 101, 100, 0, 109, 117, 108, 116, 105, 99, 97, 115, 116, 0, 99, 111, 108, 108, 105,
    115, 105, 111, 110, 115, 0, 114, 120, 95, 108, 101, 110, 103, 116, 104, 95, 101, 114, 114, 111,
    114, 115, 0, 114, 120, 95, 111, 118, 101, 114, 95, 101, 114, 114, 111, 114, 115, 0, 114, 120,
    95, 99, 114, 99, 95, 101, 114, 114, 111, 114, 115, 0, 114, 120, 95, 102, 114, 97, 109, 101, 95,
    101, 114, 114, 111, 114, 115, 0, 114, 120, 95, 102, 105, 102, 111, 95, 101, 114, 114, 111, 114,
    115, 0, 114, 120, 95, 109, 105, 115, 115, 101, 100, 95, 101, 114, 114, 111, 114, 115, 0, 116,
    120, 95, 97, 98, 111, 114, 116, 101, 100, 95, 101, 114, 114, 111, 114, 115, 0, 116, 120, 95,
    99, 97, 114, 114, 105, 101, 114, 95, 101, 114, 114, 111, 114, 115, 0, 116, 120, 95, 102, 105,
    102, 111, 95, 101, 114, 114, 111, 114, 115, 0, 116, 120, 95, 104, 101, 97, 114, 116, 98, 101,
    97, 116, 95, 101, 114, 114, 111, 114, 115, 0, 116, 120, 95, 119, 105, 110, 100, 111, 119, 95,
    101, 114, 114, 111, 114, 115, 0, 114, 120, 95, 99, 111, 109, 112, 114, 101, 115, 115, 101, 100,
    0, 116, 120, 95, 99, 111, 109, 112, 114, 101, 115, 115, 101, 100, 0, 110, 101, 116, 95, 100,
    101, 118, 105, 99, 101, 95, 115, 116, 97, 116, 115, 0, 99, 111, 117, 110, 116, 101, 114, 0,
    108, 111, 110, 103, 32, 108, 111, 110, 103, 32, 105, 110, 116, 0, 95, 95, 115, 54, 52, 0, 115,
    54, 52, 0, 97, 116, 111, 109, 105, 99, 54, 52, 95, 116, 0, 97, 116, 111, 109, 105, 99, 95, 108,
    111, 110, 103, 95, 116, 0, 114, 120, 95, 110, 111, 104, 97, 110, 100, 108, 101, 114, 0, 99, 97,
    114, 114, 105, 101, 114, 95, 117, 112, 95, 99, 111, 117, 110, 116, 0, 97, 116, 111, 109, 105,
    99, 95, 116, 0, 99, 97, 114, 114, 105, 101, 114, 95, 100, 111, 119, 110, 95, 99, 111, 117, 110,
    116, 0, 119, 105, 114, 101, 108, 101, 115, 115, 95, 104, 97, 110, 100, 108, 101, 114, 115, 0,
    115, 116, 97, 110, 100, 97, 114, 100, 0, 99, 109, 100, 0, 117, 110, 115, 105, 103, 110, 101,
    100, 32, 115, 104, 111, 114, 116, 0, 95, 95, 117, 49, 54, 0, 102, 108, 97, 103, 115, 0, 105,
    119, 95, 114, 101, 113, 117, 101, 115, 116, 95, 105, 110, 102, 111, 0, 101, 115, 115, 105, 100,
    0, 112, 111, 105, 110, 116, 101, 114, 0, 108, 101, 110, 103, 116, 104, 0, 105, 119, 95, 112,
    111, 105, 110, 116, 0, 110, 119, 105, 100, 0, 118, 97, 108, 117, 101, 0, 95, 95, 115, 51, 50,
    0, 102, 105, 120, 101, 100, 0, 117, 110, 115, 105, 103, 110, 101, 100, 32, 99, 104, 97, 114, 0,
    95, 95, 117, 56, 0, 100, 105, 115, 97, 98, 108, 101, 100, 0, 105, 119, 95, 112, 97, 114, 97,
    109, 0, 102, 114, 101, 113, 0, 109, 0, 101, 0, 115, 104, 111, 114, 116, 0, 95, 95, 115, 49, 54,
    0, 105, 0, 105, 119, 95, 102, 114, 101, 113, 0, 115, 101, 110, 115, 0, 98, 105, 116, 114, 97,
    116, 101, 0, 116, 120, 112, 111, 119, 101, 114, 0, 114, 116, 115, 0, 102, 114, 97, 103, 0, 109,
    111, 100, 101, 0, 114, 101, 116, 114, 121, 0, 101, 110, 99, 111, 100, 105, 110, 103, 0, 112,
    111, 119, 101, 114, 0, 113, 117, 97, 108, 0, 108, 101, 118, 101, 108, 0, 110, 111, 105, 115,
    101, 0, 117, 112, 100, 97, 116, 101, 100, 0, 105, 119, 95, 113, 117, 97, 108, 105, 116, 121, 0,
    97, 112, 95, 97, 100, 100, 114, 0, 115, 97, 95, 102, 97, 109, 105, 108, 121, 0, 95, 95, 107,
    101, 114, 110, 101, 108, 95, 115, 97, 95, 102, 97, 109, 105, 108, 121, 95, 116, 0, 115, 97, 95,
    102, 97, 109, 105, 108, 121, 95, 116, 0, 115, 97, 95, 100, 97, 116, 97, 0, 115, 111, 99, 107,
    97, 100, 100, 114, 0, 97, 100, 100, 114, 0, 112, 97, 114, 97, 109, 0, 100, 97, 116, 97, 0, 105,
    119, 114, 101, 113, 95, 100, 97, 116, 97, 0, 105, 119, 95, 104, 97, 110, 100, 108, 101, 114, 0,
    110, 117, 109, 95, 115, 116, 97, 110, 100, 97, 114, 100, 0, 110, 117, 109, 95, 112, 114, 105,
    118, 97, 116, 101, 0, 110, 117, 109, 95, 112, 114, 105, 118, 97, 116, 101, 95, 97, 114, 103,
    115, 0, 112, 114, 105, 118, 97, 116, 101, 0, 112, 114, 105, 118, 97, 116, 101, 95, 97, 114,
    103, 115, 0, 115, 101, 116, 95, 97, 114, 103, 115, 0, 103, 101, 116, 95, 97, 114, 103, 115, 0,
    105, 119, 95, 112, 114, 105, 118, 95, 97, 114, 103, 115, 0, 103, 101, 116, 95, 119, 105, 114,
    101, 108, 101, 115, 115, 95, 115, 116, 97, 116, 115, 0, 115, 116, 97, 116, 117, 115, 0, 100,
    105, 115, 99, 97, 114, 100, 0, 99, 111, 100, 101, 0, 102, 114, 97, 103, 109, 101, 110, 116, 0,
    114, 101, 116, 114, 105, 101, 115, 0, 109, 105, 115, 99, 0, 105, 119, 95, 100, 105, 115, 99,
    97, 114, 100, 101, 100, 0, 109, 105, 115, 115, 0, 98, 101, 97, 99, 111, 110, 0, 105, 119, 95,
    109, 105, 115, 115, 101, 100, 0, 105, 119, 95, 115, 116, 97, 116, 105, 115, 116, 105, 99, 115,
    0, 105, 119, 95, 104, 97, 110, 100, 108, 101, 114, 95, 100, 101, 102, 0, 119, 105, 114, 101,
    108, 101, 115, 115, 95, 100, 97, 116, 97, 0, 115, 112, 121, 95, 100, 97, 116, 97, 0, 115, 112,
    121, 95, 110, 117, 109, 98, 101, 114, 0, 115, 112, 121, 95, 97, 100, 100, 114, 101, 115, 115,
    0, 117, 95, 99, 104, 97, 114, 0, 115, 112, 121, 95, 115, 116, 97, 116, 0, 115, 112, 121, 95,
    116, 104, 114, 95, 108, 111, 119, 0, 115, 112, 121, 95, 116, 104, 114, 95, 104, 105, 103, 104,
    0, 115, 112, 121, 95, 116, 104, 114, 95, 117, 110, 100, 101, 114, 0, 105, 119, 95, 115, 112,
    121, 95, 100, 97, 116, 97, 0, 108, 105, 98, 105, 112, 119, 0, 108, 105, 98, 105, 112, 119, 95,
    100, 101, 118, 105, 99, 101, 0, 105, 119, 95, 112, 117, 98, 108, 105, 99, 95, 100, 97, 116, 97,
    0, 110, 101, 116, 100, 101, 118, 95, 111, 112, 115, 0, 110, 100, 111, 95, 105, 110, 105, 116,
    0, 110, 100, 111, 95, 117, 110, 105, 110, 105, 116, 0, 110, 100, 111, 95, 111, 112, 101, 110,
    0, 110, 100, 111, 95, 115, 116, 111, 112, 0, 110, 100, 111, 95, 115, 116, 97, 114, 116, 95,
    120, 109, 105, 116, 0, 110, 101, 116, 100, 101, 118, 95, 116, 120, 95, 116, 0, 100, 101, 118,
    95, 115, 99, 114, 97, 116, 99, 104, 0, 114, 98, 110, 111, 100, 101, 0, 95, 95, 114, 98, 95,
    112, 97, 114, 101, 110, 116, 95, 99, 111, 108, 111, 114, 0, 114, 98, 95, 114, 105, 103, 104,
    116, 0, 114, 98, 95, 108, 101, 102, 116, 0, 114, 98, 95, 110, 111, 100, 101, 0, 115, 107, 0,
    95, 95, 115, 107, 95, 99, 111, 109, 109, 111, 110, 0, 115, 107, 99, 95, 97, 100, 100, 114, 112,
    97, 105, 114, 0, 95, 95, 97, 100, 100, 114, 112, 97, 105, 114, 0, 115, 107, 99, 95, 100, 97,
    100, 100, 114, 0, 95, 95, 98, 101, 51, 50, 0, 115, 107, 99, 95, 114, 99, 118, 95, 115, 97, 100,
    100, 114, 0, 115, 107, 99, 95, 104, 97, 115, 104, 0, 115, 107, 99, 95, 117, 49, 54, 104, 97,
    115, 104, 101, 115, 0, 115, 107, 99, 95, 112, 111, 114, 116, 112, 97, 105, 114, 0, 95, 95, 112,
    111, 114, 116, 112, 97, 105, 114, 0, 115, 107, 99, 95, 100, 112, 111, 114, 116, 0, 95, 95, 98,
    101, 49, 54, 0, 115, 107, 99, 95, 110, 117, 109, 0, 115, 107, 99, 95, 102, 97, 109, 105, 108,
    121, 0, 115, 107, 99, 95, 115, 116, 97, 116, 101, 0, 115, 107, 99, 95, 114, 101, 117, 115, 101,
    0, 115, 107, 99, 95, 114, 101, 117, 115, 101, 112, 111, 114, 116, 0, 115, 107, 99, 95, 105,
    112, 118, 54, 111, 110, 108, 121, 0, 115, 107, 99, 95, 110, 101, 116, 95, 114, 101, 102, 99,
    110, 116, 0, 115, 107, 99, 95, 98, 111, 117, 110, 100, 95, 100, 101, 118, 95, 105, 102, 0, 115,
    107, 99, 95, 98, 105, 110, 100, 95, 110, 111, 100, 101, 0, 115, 107, 99, 95, 112, 111, 114,
    116, 97, 100, 100, 114, 95, 110, 111, 100, 101, 0, 115, 107, 99, 95, 112, 114, 111, 116, 0, 99,
    108, 111, 115, 101, 0, 112, 114, 101, 95, 99, 111, 110, 110, 101, 99, 116, 0, 99, 111, 110,
    110, 101, 99, 116, 0, 100, 105, 115, 99, 111, 110, 110, 101, 99, 116, 0, 97, 99, 99, 101, 112,
    116, 0, 95, 66, 111, 111, 108, 0, 98, 111, 111, 108, 0, 105, 111, 99, 116, 108, 0, 105, 110,
    105, 116, 0, 100, 101, 115, 116, 114, 111, 121, 0, 115, 104, 117, 116, 100, 111, 119, 110, 0,
    115, 101, 116, 115, 111, 99, 107, 111, 112, 116, 0, 107, 101, 114, 110, 101, 108, 0, 117, 115,
    101, 114, 0, 105, 115, 95, 107, 101, 114, 110, 101, 108, 0, 115, 111, 99, 107, 112, 116, 114,
    95, 116, 0, 103, 101, 116, 115, 111, 99, 107, 111, 112, 116, 0, 107, 101, 101, 112, 97, 108,
    105, 118, 101, 0, 99, 111, 109, 112, 97, 116, 95, 105, 111, 99, 116, 108, 0, 115, 101, 110,
    100, 109, 115, 103, 0, 109, 115, 103, 95, 110, 97, 109, 101, 0, 109, 115, 103, 95, 110, 97,
    109, 101, 108, 101, 110, 0, 109, 115, 103, 95, 105, 116, 101, 114, 0, 105, 111, 118, 95, 111,
    102, 102, 115, 101, 116, 0, 95, 95, 107, 101, 114, 110, 101, 108, 95, 117, 108, 111, 110, 103,
    95, 116, 0, 95, 95, 107, 101, 114, 110, 101, 108, 95, 115, 105, 122, 101, 95, 116, 0, 115, 105,
    122, 101, 95, 116, 0, 99, 111, 117, 110, 116, 0, 105, 111, 118, 0, 105, 111, 118, 95, 98, 97,
    115, 101, 0, 105, 111, 118, 95, 108, 101, 110, 0, 105, 111, 118, 101, 99, 0, 107, 118, 101, 99,
    0, 98, 118, 101, 99, 0, 98, 118, 95, 112, 97, 103, 101, 0, 108, 114, 117, 0, 109, 97, 112, 112,
    105, 110, 103, 0, 104, 111, 115, 116, 0, 105, 95, 109, 111, 100, 101, 0, 117, 109, 111, 100,
    101, 95, 116, 0, 105, 95, 111, 112, 102, 108, 97, 103, 115, 0, 105, 95, 117, 105, 100, 0, 118,
    97, 108, 0, 95, 95, 107, 101, 114, 110, 101, 108, 95, 117, 105, 100, 51, 50, 95, 116, 0, 117,
    105, 100, 95, 116, 0, 107, 117, 105, 100, 95, 116, 0, 105, 95, 103, 105, 100, 0, 95, 95, 107,
    101, 114, 110, 101, 108, 95, 103, 105, 100, 51, 50, 95, 116, 0, 103, 105, 100, 95, 116, 0, 107,
    103, 105, 100, 95, 116, 0, 105, 95, 102, 108, 97, 103, 115, 0, 105, 95, 97, 99, 108, 0, 97, 95,
    114, 101, 102, 99, 111, 117, 110, 116, 0, 114, 101, 102, 115, 0, 114, 101, 102, 99, 111, 117,
    110, 116, 95, 115, 116, 114, 117, 99, 116, 0, 114, 101, 102, 99, 111, 117, 110, 116, 95, 116,
    0, 97, 95, 114, 99, 117, 0, 97, 95, 99, 111, 117, 110, 116, 0, 97, 95, 101, 110, 116, 114, 105,
    101, 115, 0, 101, 95, 116, 97, 103, 0, 101, 95, 112, 101, 114, 109, 0, 101, 95, 117, 105, 100,
    0, 101, 95, 103, 105, 100, 0, 112, 111, 115, 105, 120, 95, 97, 99, 108, 95, 101, 110, 116, 114,
    121, 0, 112, 111, 115, 105, 120, 95, 97, 99, 108, 0, 105, 95, 100, 101, 102, 97, 117, 108, 116,
    95, 97, 99, 108, 0, 105, 95, 111, 112, 0, 108, 111, 111, 107, 117, 112, 0, 100, 95, 102, 108,
    97, 103, 115, 0, 100, 95, 115, 101, 113, 0, 115, 101, 113, 99, 111, 117, 110, 116, 0, 115, 101,
    113, 117, 101, 110, 99, 101, 0, 115, 101, 113, 99, 111, 117, 110, 116, 95, 116, 0, 115, 101,
    113, 99, 111, 117, 110, 116, 95, 115, 112, 105, 110, 108, 111, 99, 107, 0, 115, 101, 113, 99,
    111, 117, 110, 116, 95, 115, 112, 105, 110, 108, 111, 99, 107, 95, 116, 0, 100, 95, 104, 97,
    115, 104, 0, 104, 108, 105, 115, 116, 95, 98, 108, 95, 110, 111, 100, 101, 0, 100, 95, 112, 97,
    114, 101, 110, 116, 0, 100, 95, 110, 97, 109, 101, 0, 104, 97, 115, 104, 0, 117, 51, 50, 0,
    108, 101, 110, 0, 104, 97, 115, 104, 95, 108, 101, 110, 0, 113, 115, 116, 114, 0, 100, 95, 105,
    110, 111, 100, 101, 0, 100, 95, 105, 110, 97, 109, 101, 0, 100, 95, 108, 111, 99, 107, 114,
    101, 102, 0, 108, 111, 99, 107, 95, 99, 111, 117, 110, 116, 0, 108, 111, 99, 107, 0, 114, 108,
    111, 99, 107, 0, 114, 97, 119, 95, 108, 111, 99, 107, 0, 108, 111, 99, 107, 101, 100, 0, 117,
    56, 0, 112, 101, 110, 100, 105, 110, 103, 0, 108, 111, 99, 107, 101, 100, 95, 112, 101, 110,
    100, 105, 110, 103, 0, 117, 49, 54, 0, 116, 97, 105, 108, 0, 113, 115, 112, 105, 110, 108, 111,
    99, 107, 0, 97, 114, 99, 104, 95, 115, 112, 105, 110, 108, 111, 99, 107, 95, 116, 0, 114, 97,
    119, 95, 115, 112, 105, 110, 108, 111, 99, 107, 0, 115, 112, 105, 110, 108, 111, 99, 107, 0,
    115, 112, 105, 110, 108, 111, 99, 107, 95, 116, 0, 108, 111, 99, 107, 114, 101, 102, 0, 100,
    95, 111, 112, 0, 100, 95, 114, 101, 118, 97, 108, 105, 100, 97, 116, 101, 0, 100, 95, 119, 101,
    97, 107, 95, 114, 101, 118, 97, 108, 105, 100, 97, 116, 101, 0, 100, 95, 99, 111, 109, 112, 97,
    114, 101, 0, 100, 95, 100, 101, 108, 101, 116, 101, 0, 100, 95, 105, 110, 105, 116, 0, 100, 95,
    114, 101, 108, 101, 97, 115, 101, 0, 100, 95, 112, 114, 117, 110, 101, 0, 100, 95, 105, 112,
    117, 116, 0, 100, 95, 100, 110, 97, 109, 101, 0, 100, 95, 97, 117, 116, 111, 109, 111, 117,
    110, 116, 0, 109, 110, 116, 95, 114, 111, 111, 116, 0, 109, 110, 116, 95, 115, 98, 0, 115, 95,
    108, 105, 115, 116, 0, 115, 95, 100, 101, 118, 0, 95, 95, 107, 101, 114, 110, 101, 108, 95,
    100, 101, 118, 95, 116, 0, 100, 101, 118, 95, 116, 0, 115, 95, 98, 108, 111, 99, 107, 115, 105,
    122, 101, 95, 98, 105, 116, 115, 0, 115, 95, 98, 108, 111, 99, 107, 115, 105, 122, 101, 0, 115,
    95, 109, 97, 120, 98, 121, 116, 101, 115, 0, 95, 95, 107, 101, 114, 110, 101, 108, 95, 108,
    111, 102, 102, 95, 116, 0, 108, 111, 102, 102, 95, 116, 0, 115, 95, 116, 121, 112, 101, 0, 102,
    115, 95, 102, 108, 97, 103, 115, 0, 105, 110, 105, 116, 95, 102, 115, 95, 99, 111, 110, 116,
    101, 120, 116, 0, 111, 112, 115, 0, 102, 114, 101, 101, 0, 100, 117, 112, 0, 112, 97, 114, 115,
    101, 95, 112, 97, 114, 97, 109, 0, 107, 101, 121, 0, 115, 116, 114, 105, 110, 103, 0, 98, 108,
    111, 98, 0, 117, 112, 116, 114, 0, 114, 101, 102, 99, 110, 116, 0, 97, 110, 97, 109, 101, 0,
    110, 97, 109, 101, 95, 108, 101, 110, 0, 104, 105, 100, 100, 101, 110, 0, 105, 110, 111, 0,
    117, 105, 100, 0, 103, 105, 100, 0, 114, 100, 101, 118, 0, 111, 115, 105, 100, 0, 102, 99, 97,
    112, 0, 112, 101, 114, 109, 105, 116, 116, 101, 100, 0, 99, 97, 112, 0, 107, 101, 114, 110,
    101, 108, 95, 99, 97, 112, 95, 115, 116, 114, 117, 99, 116, 0, 107, 101, 114, 110, 101, 108,
    95, 99, 97, 112, 95, 116, 0, 105, 110, 104, 101, 114, 105, 116, 97, 98, 108, 101, 0, 102, 69,
    0, 101, 102, 102, 101, 99, 116, 105, 118, 101, 0, 97, 109, 98, 105, 101, 110, 116, 0, 114, 111,
    111, 116, 105, 100, 0, 97, 117, 100, 105, 116, 95, 99, 97, 112, 95, 100, 97, 116, 97, 0, 102,
    99, 97, 112, 95, 118, 101, 114, 0, 115, 104, 111, 117, 108, 100, 95, 102, 114, 101, 101, 0, 97,
    117, 100, 105, 116, 95, 110, 97, 109, 101, 115, 0, 105, 110, 97, 109, 101, 0, 102, 105, 108,
    101, 110, 97, 109, 101, 0, 102, 105, 108, 101, 0, 102, 95, 117, 0, 102, 117, 95, 108, 108, 105,
    115, 116, 0, 108, 108, 105, 115, 116, 95, 110, 111, 100, 101, 0, 102, 117, 95, 114, 99, 117,
    104, 101, 97, 100, 0, 102, 95, 112, 97, 116, 104, 0, 109, 110, 116, 0, 100, 101, 110, 116, 114,
    121, 0, 112, 97, 116, 104, 0, 102, 95, 105, 110, 111, 100, 101, 0, 102, 95, 111, 112, 0, 111,
    119, 110, 101, 114, 0, 109, 107, 111, 98, 106, 0, 107, 111, 98, 106, 0, 101, 110, 116, 114,
    121, 0, 112, 97, 114, 101, 110, 116, 0, 107, 115, 101, 116, 0, 108, 105, 115, 116, 95, 108,
    111, 99, 107, 0, 117, 101, 118, 101, 110, 116, 95, 111, 112, 115, 0, 102, 105, 108, 116, 101,
    114, 0, 117, 101, 118, 101, 110, 116, 0, 97, 114, 103, 118, 0, 101, 110, 118, 112, 0, 101, 110,
    118, 112, 95, 105, 100, 120, 0, 98, 117, 102, 0, 98, 117, 102, 108, 101, 110, 0, 107, 111, 98,
    106, 95, 117, 101, 118, 101, 110, 116, 95, 101, 110, 118, 0, 107, 115, 101, 116, 95, 117, 101,
    118, 101, 110, 116, 95, 111, 112, 115, 0, 107, 116, 121, 112, 101, 0, 114, 101, 108, 101, 97,
    115, 101, 0, 115, 121, 115, 102, 115, 95, 111, 112, 115, 0, 115, 104, 111, 119, 0, 95, 95, 107,
    101, 114, 110, 101, 108, 95, 108, 111, 110, 103, 95, 116, 0, 95, 95, 107, 101, 114, 110, 101,
    108, 95, 115, 115, 105, 122, 101, 95, 116, 0, 115, 115, 105, 122, 101, 95, 116, 0, 97, 116,
    116, 114, 105, 98, 117, 116, 101, 0, 115, 116, 111, 114, 101, 0, 100, 101, 102, 97, 117, 108,
    116, 95, 97, 116, 116, 114, 115, 0, 100, 101, 102, 97, 117, 108, 116, 95, 103, 114, 111, 117,
    112, 115, 0, 105, 115, 95, 118, 105, 115, 105, 98, 108, 101, 0, 105, 115, 95, 98, 105, 110, 95,
    118, 105, 115, 105, 98, 108, 101, 0, 97, 116, 116, 114, 0, 115, 105, 122, 101, 0, 114, 101, 97,
    100, 0, 119, 114, 105, 116, 101, 0, 109, 109, 97, 112, 0, 118, 109, 95, 115, 116, 97, 114, 116,
    0, 118, 109, 95, 101, 110, 100, 0, 118, 109, 95, 110, 101, 120, 116, 0, 118, 109, 95, 112, 114,
    101, 118, 0, 118, 109, 95, 114, 98, 0, 114, 98, 95, 115, 117, 98, 116, 114, 101, 101, 95, 103,
    97, 112, 0, 118, 109, 95, 109, 109, 0, 109, 109, 95, 114, 98, 0, 114, 98, 95, 114, 111, 111,
    116, 0, 118, 109, 97, 99, 97, 99, 104, 101, 95, 115, 101, 113, 110, 117, 109, 0, 103, 101, 116,
    95, 117, 110, 109, 97, 112, 112, 101, 100, 95, 97, 114, 101, 97, 0, 109, 109, 97, 112, 95, 98,
    97, 115, 101, 0, 109, 109, 97, 112, 95, 108, 101, 103, 97, 99, 121, 95, 98, 97, 115, 101, 0,
    109, 109, 97, 112, 95, 99, 111, 109, 112, 97, 116, 95, 98, 97, 115, 101, 0, 109, 109, 97, 112,
    95, 99, 111, 109, 112, 97, 116, 95, 108, 101, 103, 97, 99, 121, 95, 98, 97, 115, 101, 0, 116,
    97, 115, 107, 95, 115, 105, 122, 101, 0, 104, 105, 103, 104, 101, 115, 116, 95, 118, 109, 95,
    101, 110, 100, 0, 112, 103, 100, 0, 112, 103, 100, 118, 97, 108, 95, 116, 0, 112, 103, 100, 95,
    116, 0, 109, 101, 109, 98, 97, 114, 114, 105, 101, 114, 95, 115, 116, 97, 116, 101, 0, 109,
    109, 95, 117, 115, 101, 114, 115, 0, 109, 109, 95, 99, 111, 117, 110, 116, 0, 104, 97, 115, 95,
    112, 105, 110, 110, 101, 100, 0, 112, 103, 116, 97, 98, 108, 101, 115, 95, 98, 121, 116, 101,
    115, 0, 109, 97, 112, 95, 99, 111, 117, 110, 116, 0, 112, 97, 103, 101, 95, 116, 97, 98, 108,
    101, 95, 108, 111, 99, 107, 0, 109, 109, 97, 112, 95, 108, 111, 99, 107, 0, 111, 115, 113, 0,
    111, 112, 116, 105, 109, 105, 115, 116, 105, 99, 95, 115, 112, 105, 110, 95, 113, 117, 101,
    117, 101, 0, 119, 97, 105, 116, 95, 108, 111, 99, 107, 0, 114, 97, 119, 95, 115, 112, 105, 110,
    108, 111, 99, 107, 95, 116, 0, 119, 97, 105, 116, 95, 108, 105, 115, 116, 0, 114, 119, 95, 115,
    101, 109, 97, 112, 104, 111, 114, 101, 0, 109, 109, 108, 105, 115, 116, 0, 104, 105, 119, 97,
    116, 101, 114, 95, 114, 115, 115, 0, 104, 105, 119, 97, 116, 101, 114, 95, 118, 109, 0, 116,
    111, 116, 97, 108, 95, 118, 109, 0, 108, 111, 99, 107, 101, 100, 95, 118, 109, 0, 112, 105,
    110, 110, 101, 100, 95, 118, 109, 0, 100, 97, 116, 97, 95, 118, 109, 0, 101, 120, 101, 99, 95,
    118, 109, 0, 115, 116, 97, 99, 107, 95, 118, 109, 0, 100, 101, 102, 95, 102, 108, 97, 103, 115,
    0, 97, 114, 103, 95, 108, 111, 99, 107, 0, 115, 116, 97, 114, 116, 95, 99, 111, 100, 101, 0,
    101, 110, 100, 95, 99, 111, 100, 101, 0, 115, 116, 97, 114, 116, 95, 100, 97, 116, 97, 0, 101,
    110, 100, 95, 100, 97, 116, 97, 0, 115, 116, 97, 114, 116, 95, 98, 114, 107, 0, 98, 114, 107,
    0, 115, 116, 97, 114, 116, 95, 115, 116, 97, 99, 107, 0, 97, 114, 103, 95, 115, 116, 97, 114,
    116, 0, 97, 114, 103, 95, 101, 110, 100, 0, 101, 110, 118, 95, 115, 116, 97, 114, 116, 0, 101,
    110, 118, 95, 101, 110, 100, 0, 115, 97, 118, 101, 100, 95, 97, 117, 120, 118, 0, 114, 115,
    115, 95, 115, 116, 97, 116, 0, 109, 109, 95, 114, 115, 115, 95, 115, 116, 97, 116, 0, 98, 105,
    110, 102, 109, 116, 0, 108, 104, 0, 109, 111, 100, 117, 108, 101, 0, 108, 111, 97, 100, 95, 98,
    105, 110, 97, 114, 121, 0, 118, 109, 97, 0, 118, 109, 97, 95, 112, 97, 103, 101, 115, 0, 109,
    109, 0, 112, 0, 97, 114, 103, 109, 105, 110, 0, 104, 97, 118, 101, 95, 101, 120, 101, 99, 102,
    100, 0, 101, 120, 101, 99, 102, 100, 95, 99, 114, 101, 100, 115, 0, 115, 101, 99, 117, 114,
    101, 101, 120, 101, 99, 0, 112, 111, 105, 110, 116, 95, 111, 102, 95, 110, 111, 95, 114, 101,
    116, 117, 114, 110, 0, 101, 120, 101, 99, 117, 116, 97, 98, 108, 101, 0, 105, 110, 116, 101,
    114, 112, 114, 101, 116, 101, 114, 0, 99, 114, 101, 100, 0, 117, 115, 97, 103, 101, 0, 115,
    117, 105, 100, 0, 115, 103, 105, 100, 0, 101, 117, 105, 100, 0, 101, 103, 105, 100, 0, 102,
    115, 117, 105, 100, 0, 102, 115, 103, 105, 100, 0, 115, 101, 99, 117, 114, 101, 98, 105, 116,
    115, 0, 99, 97, 112, 95, 105, 110, 104, 101, 114, 105, 116, 97, 98, 108, 101, 0, 99, 97, 112,
    95, 112, 101, 114, 109, 105, 116, 116, 101, 100, 0, 99, 97, 112, 95, 101, 102, 102, 101, 99,
    116, 105, 118, 101, 0, 99, 97, 112, 95, 98, 115, 101, 116, 0, 99, 97, 112, 95, 97, 109, 98,
    105, 101, 110, 116, 0, 106, 105, 116, 95, 107, 101, 121, 114, 105, 110, 103, 0, 115, 101, 115,
    115, 105, 111, 110, 95, 107, 101, 121, 114, 105, 110, 103, 0, 115, 101, 114, 105, 97, 108, 0,
    115, 51, 50, 0, 105, 110, 116, 51, 50, 95, 116, 0, 107, 101, 121, 95, 115, 101, 114, 105, 97,
    108, 95, 116, 0, 103, 114, 97, 118, 101, 121, 97, 114, 100, 95, 108, 105, 110, 107, 0, 115,
    101, 114, 105, 97, 108, 95, 110, 111, 100, 101, 0, 119, 97, 116, 99, 104, 101, 114, 115, 0,
    114, 99, 117, 0, 102, 105, 114, 115, 116, 0, 104, 108, 105, 115, 116, 95, 104, 101, 97, 100, 0,
    114, 101, 108, 101, 97, 115, 101, 95, 119, 97, 116, 99, 104, 0, 105, 110, 102, 111, 95, 105,
    100, 0, 113, 117, 101, 117, 101, 0, 116, 121, 112, 101, 95, 102, 105, 108, 116, 101, 114, 0,
    110, 114, 95, 102, 105, 108, 116, 101, 114, 115, 0, 102, 105, 108, 116, 101, 114, 115, 0, 115,
    117, 98, 116, 121, 112, 101, 95, 102, 105, 108, 116, 101, 114, 0, 105, 110, 102, 111, 95, 102,
    105, 108, 116, 101, 114, 0, 105, 110, 102, 111, 95, 109, 97, 115, 107, 0, 119, 97, 116, 99,
    104, 95, 116, 121, 112, 101, 95, 102, 105, 108, 116, 101, 114, 0, 119, 97, 116, 99, 104, 95,
    102, 105, 108, 116, 101, 114, 0, 112, 105, 112, 101, 0, 109, 117, 116, 101, 120, 0, 114, 100,
    95, 119, 97, 105, 116, 0, 104, 101, 97, 100, 0, 119, 97, 105, 116, 95, 113, 117, 101, 117, 101,
    95, 104, 101, 97, 100, 0, 119, 97, 105, 116, 95, 113, 117, 101, 117, 101, 95, 104, 101, 97,
    100, 95, 116, 0, 119, 114, 95, 119, 97, 105, 116, 0, 109, 97, 120, 95, 117, 115, 97, 103, 101,
    0, 114, 105, 110, 103, 95, 115, 105, 122, 101, 0, 110, 111, 116, 101, 95, 108, 111, 115, 115,
    0, 110, 114, 95, 97, 99, 99, 111, 117, 110, 116, 101, 100, 0, 114, 101, 97, 100, 101, 114, 115,
    0, 119, 114, 105, 116, 101, 114, 115, 0, 102, 105, 108, 101, 115, 0, 114, 95, 99, 111, 117,
    110, 116, 101, 114, 0, 119, 95, 99, 111, 117, 110, 116, 101, 114, 0, 116, 109, 112, 95, 112,
    97, 103, 101, 0, 102, 97, 115, 121, 110, 99, 95, 114, 101, 97, 100, 101, 114, 115, 0, 102, 97,
    95, 108, 111, 99, 107, 0, 99, 110, 116, 115, 0, 119, 108, 111, 99, 107, 101, 100, 0, 95, 95,
    108, 115, 116, 97, 116, 101, 0, 113, 114, 119, 108, 111, 99, 107, 0, 97, 114, 99, 104, 95, 114,
    119, 108, 111, 99, 107, 95, 116, 0, 114, 119, 108, 111, 99, 107, 95, 116, 0, 109, 97, 103, 105,
    99, 0, 102, 97, 95, 102, 100, 0, 102, 97, 95, 110, 101, 120, 116, 0, 102, 97, 95, 102, 105,
    108, 101, 0, 102, 97, 95, 114, 99, 117, 0, 102, 97, 115, 121, 110, 99, 95, 115, 116, 114, 117,
    99, 116, 0, 102, 97, 115, 121, 110, 99, 95, 119, 114, 105, 116, 101, 114, 115, 0, 98, 117, 102,
    115, 0, 112, 97, 103, 101, 0, 111, 102, 102, 115, 101, 116, 0, 99, 111, 110, 102, 105, 114,
    109, 0, 116, 114, 121, 95, 115, 116, 101, 97, 108, 0, 103, 101, 116, 0, 112, 105, 112, 101, 95,
    98, 117, 102, 95, 111, 112, 101, 114, 97, 116, 105, 111, 110, 115, 0, 112, 105, 112, 101, 95,
    98, 117, 102, 102, 101, 114, 0, 95, 95, 99, 111, 117, 110, 116, 0, 112, 114, 111, 99, 101, 115,
    115, 101, 115, 0, 115, 105, 103, 112, 101, 110, 100, 105, 110, 103, 0, 102, 97, 110, 111, 116,
    105, 102, 121, 95, 108, 105, 115, 116, 101, 110, 101, 114, 115, 0, 101, 112, 111, 108, 108, 95,
    119, 97, 116, 99, 104, 101, 115, 0, 109, 113, 95, 98, 121, 116, 101, 115, 0, 108, 111, 99, 107,
    101, 100, 95, 115, 104, 109, 0, 117, 110, 105, 120, 95, 105, 110, 102, 108, 105, 103, 104, 116,
    0, 112, 105, 112, 101, 95, 98, 117, 102, 115, 0, 117, 105, 100, 104, 97, 115, 104, 95, 110,
    111, 100, 101, 0, 110, 114, 95, 119, 97, 116, 99, 104, 101, 115, 0, 114, 97, 116, 101, 108,
    105, 109, 105, 116, 0, 105, 110, 116, 101, 114, 118, 97, 108, 0, 98, 117, 114, 115, 116, 0,
    112, 114, 105, 110, 116, 101, 100, 0, 109, 105, 115, 115, 101, 100, 0, 98, 101, 103, 105, 110,
    0, 114, 97, 116, 101, 108, 105, 109, 105, 116, 95, 115, 116, 97, 116, 101, 0, 117, 115, 101,
    114, 95, 115, 116, 114, 117, 99, 116, 0, 119, 97, 116, 99, 104, 95, 113, 117, 101, 117, 101, 0,
    112, 105, 112, 101, 95, 105, 110, 111, 100, 101, 95, 105, 110, 102, 111, 0, 119, 97, 116, 99,
    104, 101, 115, 0, 110, 111, 116, 101, 115, 0, 110, 111, 116, 101, 115, 95, 98, 105, 116, 109,
    97, 112, 0, 114, 101, 102, 99, 111, 117, 110, 116, 0, 107, 114, 101, 102, 0, 110, 114, 95, 110,
    111, 116, 101, 115, 0, 110, 114, 95, 112, 97, 103, 101, 115, 0, 100, 101, 102, 117, 110, 99,
    116, 0, 113, 117, 101, 117, 101, 95, 110, 111, 100, 101, 0, 119, 97, 116, 99, 104, 95, 108,
    105, 115, 116, 0, 108, 105, 115, 116, 95, 110, 111, 100, 101, 0, 105, 100, 0, 119, 97, 116, 99,
    104, 0, 115, 101, 109, 0, 110, 111, 100, 101, 0, 99, 111, 110, 115, 95, 108, 111, 99, 107, 0,
    110, 107, 101, 121, 115, 0, 110, 105, 107, 101, 121, 115, 0, 113, 110, 107, 101, 121, 115, 0,
    113, 110, 98, 121, 116, 101, 115, 0, 107, 101, 121, 95, 117, 115, 101, 114, 0, 115, 101, 99,
    117, 114, 105, 116, 121, 0, 101, 120, 112, 105, 114, 121, 0, 116, 105, 109, 101, 54, 52, 95,
    116, 0, 114, 101, 118, 111, 107, 101, 100, 95, 97, 116, 0, 108, 97, 115, 116, 95, 117, 115,
    101, 100, 95, 97, 116, 0, 112, 101, 114, 109, 0, 117, 105, 110, 116, 51, 50, 95, 116, 0, 107,
    101, 121, 95, 112, 101, 114, 109, 95, 116, 0, 113, 117, 111, 116, 97, 108, 101, 110, 0, 100,
    97, 116, 97, 108, 101, 110, 0, 105, 110, 100, 101, 120, 95, 107, 101, 121, 0, 100, 101, 115,
    99, 95, 108, 101, 110, 0, 100, 101, 115, 99, 0, 120, 0, 100, 101, 102, 95, 100, 97, 116, 97,
    108, 101, 110, 0, 118, 101, 116, 95, 100, 101, 115, 99, 114, 105, 112, 116, 105, 111, 110, 0,
    112, 114, 101, 112, 97, 114, 115, 101, 0, 100, 101, 115, 99, 114, 105, 112, 116, 105, 111, 110,
    0, 112, 97, 121, 108, 111, 97, 100, 0, 114, 99, 117, 95, 100, 97, 116, 97, 48, 0, 107, 101,
    121, 95, 112, 97, 121, 108, 111, 97, 100, 0, 107, 101, 121, 95, 112, 114, 101, 112, 97, 114,
    115, 101, 100, 95, 112, 97, 121, 108, 111, 97, 100, 0, 102, 114, 101, 101, 95, 112, 114, 101,
    112, 97, 114, 115, 101, 0, 105, 110, 115, 116, 97, 110, 116, 105, 97, 116, 101, 0, 117, 112,
    100, 97, 116, 101, 0, 109, 97, 116, 99, 104, 95, 112, 114, 101, 112, 97, 114, 115, 101, 0, 99,
    109, 112, 0, 114, 97, 119, 95, 100, 97, 116, 97, 0, 112, 114, 101, 112, 97, 114, 115, 101, 100,
    0, 108, 111, 111, 107, 117, 112, 95, 116, 121, 112, 101, 0, 107, 101, 121, 95, 109, 97, 116,
    99, 104, 95, 100, 97, 116, 97, 0, 109, 97, 116, 99, 104, 95, 102, 114, 101, 101, 0, 114, 101,
    118, 111, 107, 101, 0, 100, 101, 115, 99, 114, 105, 98, 101, 0, 102, 114, 111, 109, 0, 112, 97,
    100, 95, 117, 110, 116, 105, 108, 0, 105, 110, 100, 101, 120, 0, 114, 101, 97, 100, 95, 112,
    111, 115, 0, 111, 112, 0, 115, 116, 97, 114, 116, 0, 115, 116, 111, 112, 0, 115, 101, 113, 95,
    111, 112, 101, 114, 97, 116, 105, 111, 110, 115, 0, 112, 111, 108, 108, 95, 101, 118, 101, 110,
    116, 0, 115, 101, 113, 95, 102, 105, 108, 101, 0, 114, 101, 113, 117, 101, 115, 116, 95, 107,
    101, 121, 0, 114, 101, 113, 117, 101, 115, 116, 95, 107, 101, 121, 95, 97, 99, 116, 111, 114,
    95, 116, 0, 108, 111, 111, 107, 117, 112, 95, 114, 101, 115, 116, 114, 105, 99, 116, 105, 111,
    110, 0, 99, 104, 101, 99, 107, 0, 107, 101, 121, 95, 114, 101, 115, 116, 114, 105, 99, 116, 95,
    108, 105, 110, 107, 95, 102, 117, 110, 99, 95, 116, 0, 107, 101, 121, 116, 121, 112, 101, 0,
    107, 101, 121, 95, 114, 101, 115, 116, 114, 105, 99, 116, 105, 111, 110, 0, 97, 115, 121, 109,
    95, 113, 117, 101, 114, 121, 0, 104, 97, 115, 104, 95, 97, 108, 103, 111, 0, 105, 110, 102,
    111, 0, 105, 110, 95, 108, 101, 110, 0, 111, 117, 116, 95, 108, 101, 110, 0, 105, 110, 50, 95,
    108, 101, 110, 0, 107, 101, 114, 110, 101, 108, 95, 112, 107, 101, 121, 95, 112, 97, 114, 97,
    109, 115, 0, 115, 117, 112, 112, 111, 114, 116, 101, 100, 95, 111, 112, 115, 0, 109, 97, 120,
    95, 100, 97, 116, 97, 95, 115, 105, 122, 101, 0, 109, 97, 120, 95, 115, 105, 103, 95, 115, 105,
    122, 101, 0, 109, 97, 120, 95, 101, 110, 99, 95, 115, 105, 122, 101, 0, 109, 97, 120, 95, 100,
    101, 99, 95, 115, 105, 122, 101, 0, 107, 101, 114, 110, 101, 108, 95, 112, 107, 101, 121, 95,
    113, 117, 101, 114, 121, 0, 97, 115, 121, 109, 95, 101, 100, 115, 95, 111, 112, 0, 97, 115,
    121, 109, 95, 118, 101, 114, 105, 102, 121, 95, 115, 105, 103, 110, 97, 116, 117, 114, 101, 0,
    108, 105, 110, 107, 0, 108, 111, 99, 107, 95, 99, 108, 97, 115, 115, 0, 108, 111, 99, 107, 95,
    99, 108, 97, 115, 115, 95, 107, 101, 121, 0, 107, 101, 121, 95, 116, 121, 112, 101, 0, 100,
    111, 109, 97, 105, 110, 95, 116, 97, 103, 0, 114, 101, 109, 111, 118, 101, 100, 0, 107, 101,
    121, 95, 116, 97, 103, 0, 107, 101, 121, 114, 105, 110, 103, 95, 105, 110, 100, 101, 120, 95,
    107, 101, 121, 0, 108, 101, 110, 95, 100, 101, 115, 99, 0, 110, 97, 109, 101, 95, 108, 105,
    110, 107, 0, 107, 101, 121, 115, 0, 114, 111, 111, 116, 0, 97, 115, 115, 111, 99, 95, 97, 114,
    114, 97, 121, 95, 112, 116, 114, 0, 110, 114, 95, 108, 101, 97, 118, 101, 115, 95, 111, 110,
    95, 116, 114, 101, 101, 0, 97, 115, 115, 111, 99, 95, 97, 114, 114, 97, 121, 0, 114, 101, 115,
    116, 114, 105, 99, 116, 95, 108, 105, 110, 107, 0, 112, 114, 111, 99, 101, 115, 115, 95, 107,
    101, 121, 114, 105, 110, 103, 0, 116, 104, 114, 101, 97, 100, 95, 107, 101, 121, 114, 105, 110,
    103, 0, 114, 101, 113, 117, 101, 115, 116, 95, 107, 101, 121, 95, 97, 117, 116, 104, 0, 117,
    115, 101, 114, 95, 110, 115, 0, 117, 105, 100, 95, 109, 97, 112, 0, 110, 114, 95, 101, 120,
    116, 101, 110, 116, 115, 0, 101, 120, 116, 101, 110, 116, 0, 108, 111, 119, 101, 114, 95, 102,
    105, 114, 115, 116, 0, 117, 105, 100, 95, 103, 105, 100, 95, 101, 120, 116, 101, 110, 116, 0,
    102, 111, 114, 119, 97, 114, 100, 0, 114, 101, 118, 101, 114, 115, 101, 0, 117, 105, 100, 95,
    103, 105, 100, 95, 109, 97, 112, 0, 103, 105, 100, 95, 109, 97, 112, 0, 112, 114, 111, 106,
    105, 100, 95, 109, 97, 112, 0, 110, 115, 0, 115, 116, 97, 115, 104, 101, 100, 0, 114, 101, 97,
    108, 95, 110, 115, 95, 110, 97, 109, 101, 0, 116, 104, 114, 101, 97, 100, 95, 105, 110, 102,
    111, 0, 115, 116, 97, 99, 107, 0, 112, 116, 114, 97, 99, 101, 0, 111, 110, 95, 99, 112, 117, 0,
    119, 97, 107, 101, 95, 101, 110, 116, 114, 121, 0, 108, 108, 105, 115, 116, 0, 117, 95, 102,
    108, 97, 103, 115, 0, 97, 95, 102, 108, 97, 103, 115, 0, 95, 95, 99, 97, 108, 108, 95, 115,
    105, 110, 103, 108, 101, 95, 110, 111, 100, 101, 0, 99, 112, 117, 0, 119, 97, 107, 101, 101,
    95, 102, 108, 105, 112, 115, 0, 119, 97, 107, 101, 101, 95, 102, 108, 105, 112, 95, 100, 101,
    99, 97, 121, 95, 116, 115, 0, 108, 97, 115, 116, 95, 119, 97, 107, 101, 101, 0, 114, 101, 99,
    101, 110, 116, 95, 117, 115, 101, 100, 95, 99, 112, 117, 0, 119, 97, 107, 101, 95, 99, 112,
    117, 0, 111, 110, 95, 114, 113, 0, 112, 114, 105, 111, 0, 115, 116, 97, 116, 105, 99, 95, 112,
    114, 105, 111, 0, 110, 111, 114, 109, 97, 108, 95, 112, 114, 105, 111, 0, 114, 116, 95, 112,
    114, 105, 111, 114, 105, 116, 121, 0, 115, 99, 104, 101, 100, 95, 99, 108, 97, 115, 115, 0,
    117, 99, 108, 97, 109, 112, 95, 101, 110, 97, 98, 108, 101, 100, 0, 101, 110, 113, 117, 101,
    117, 101, 95, 116, 97, 115, 107, 0, 110, 114, 95, 114, 117, 110, 110, 105, 110, 103, 0, 110,
    114, 95, 110, 117, 109, 97, 95, 114, 117, 110, 110, 105, 110, 103, 0, 110, 114, 95, 112, 114,
    101, 102, 101, 114, 114, 101, 100, 95, 114, 117, 110, 110, 105, 110, 103, 0, 110, 117, 109, 97,
    95, 109, 105, 103, 114, 97, 116, 101, 95, 111, 110, 0, 108, 97, 115, 116, 95, 98, 108, 111, 99,
    107, 101, 100, 95, 108, 111, 97, 100, 95, 117, 112, 100, 97, 116, 101, 95, 116, 105, 99, 107,
    0, 104, 97, 115, 95, 98, 108, 111, 99, 107, 101, 100, 95, 108, 111, 97, 100, 0, 110, 111, 104,
    122, 95, 99, 115, 100, 0, 115, 109, 112, 95, 99, 97, 108, 108, 95, 102, 117, 110, 99, 95, 116,
    0, 95, 95, 99, 97, 108, 108, 95, 115, 105, 110, 103, 108, 101, 95, 100, 97, 116, 97, 0, 99, 97,
    108, 108, 95, 115, 105, 110, 103, 108, 101, 95, 100, 97, 116, 97, 95, 116, 0, 110, 111, 104,
    122, 95, 116, 105, 99, 107, 95, 115, 116, 111, 112, 112, 101, 100, 0, 110, 111, 104, 122, 95,
    102, 108, 97, 103, 115, 0, 116, 116, 119, 117, 95, 112, 101, 110, 100, 105, 110, 103, 0, 110,
    114, 95, 115, 119, 105, 116, 99, 104, 101, 115, 0, 117, 99, 108, 97, 109, 112, 0, 98, 117, 99,
    107, 101, 116, 0, 116, 97, 115, 107, 115, 0, 117, 99, 108, 97, 109, 112, 95, 98, 117, 99, 107,
    101, 116, 0, 117, 99, 108, 97, 109, 112, 95, 114, 113, 0, 117, 99, 108, 97, 109, 112, 95, 102,
    108, 97, 103, 115, 0, 99, 102, 115, 0, 108, 111, 97, 100, 0, 119, 101, 105, 103, 104, 116, 0,
    105, 110, 118, 95, 119, 101, 105, 103, 104, 116, 0, 108, 111, 97, 100, 95, 119, 101, 105, 103,
    104, 116, 0, 104, 95, 110, 114, 95, 114, 117, 110, 110, 105, 110, 103, 0, 105, 100, 108, 101,
    95, 104, 95, 110, 114, 95, 114, 117, 110, 110, 105, 110, 103, 0, 101, 120, 101, 99, 95, 99,
    108, 111, 99, 107, 0, 109, 105, 110, 95, 118, 114, 117, 110, 116, 105, 109, 101, 0, 116, 97,
    115, 107, 115, 95, 116, 105, 109, 101, 108, 105, 110, 101, 0, 114, 98, 95, 108, 101, 102, 116,
    109, 111, 115, 116, 0, 114, 98, 95, 114, 111, 111, 116, 95, 99, 97, 99, 104, 101, 100, 0, 99,
    117, 114, 114, 0, 114, 117, 110, 95, 110, 111, 100, 101, 0, 103, 114, 111, 117, 112, 95, 110,
    111, 100, 101, 0, 101, 120, 101, 99, 95, 115, 116, 97, 114, 116, 0, 115, 117, 109, 95, 101,
    120, 101, 99, 95, 114, 117, 110, 116, 105, 109, 101, 0, 118, 114, 117, 110, 116, 105, 109, 101,
    0, 112, 114, 101, 118, 95, 115, 117, 109, 95, 101, 120, 101, 99, 95, 114, 117, 110, 116, 105,
    109, 101, 0, 110, 114, 95, 109, 105, 103, 114, 97, 116, 105, 111, 110, 115, 0, 115, 116, 97,
    116, 105, 115, 116, 105, 99, 115, 0, 119, 97, 105, 116, 95, 115, 116, 97, 114, 116, 0, 119, 97,
    105, 116, 95, 109, 97, 120, 0, 119, 97, 105, 116, 95, 99, 111, 117, 110, 116, 0, 119, 97, 105,
    116, 95, 115, 117, 109, 0, 105, 111, 119, 97, 105, 116, 95, 99, 111, 117, 110, 116, 0, 105,
    111, 119, 97, 105, 116, 95, 115, 117, 109, 0, 115, 108, 101, 101, 112, 95, 115, 116, 97, 114,
    116, 0, 115, 108, 101, 101, 112, 95, 109, 97, 120, 0, 115, 117, 109, 95, 115, 108, 101, 101,
    112, 95, 114, 117, 110, 116, 105, 109, 101, 0, 98, 108, 111, 99, 107, 95, 115, 116, 97, 114,
    116, 0, 98, 108, 111, 99, 107, 95, 109, 97, 120, 0, 101, 120, 101, 99, 95, 109, 97, 120, 0,
    115, 108, 105, 99, 101, 95, 109, 97, 120, 0, 110, 114, 95, 109, 105, 103, 114, 97, 116, 105,
    111, 110, 115, 95, 99, 111, 108, 100, 0, 110, 114, 95, 102, 97, 105, 108, 101, 100, 95, 109,
    105, 103, 114, 97, 116, 105, 111, 110, 115, 95, 97, 102, 102, 105, 110, 101, 0, 110, 114, 95,
    102, 97, 105, 108, 101, 100, 95, 109, 105, 103, 114, 97, 116, 105, 111, 110, 115, 95, 114, 117,
    110, 110, 105, 110, 103, 0, 110, 114, 95, 102, 97, 105, 108, 101, 100, 95, 109, 105, 103, 114,
    97, 116, 105, 111, 110, 115, 95, 104, 111, 116, 0, 110, 114, 95, 102, 111, 114, 99, 101, 100,
    95, 109, 105, 103, 114, 97, 116, 105, 111, 110, 115, 0, 110, 114, 95, 119, 97, 107, 101, 117,
    112, 115, 0, 110, 114, 95, 119, 97, 107, 101, 117, 112, 115, 95, 115, 121, 110, 99, 0, 110,
    114, 95, 119, 97, 107, 101, 117, 112, 115, 95, 109, 105, 103, 114, 97, 116, 101, 0, 110, 114,
    95, 119, 97, 107, 101, 117, 112, 115, 95, 108, 111, 99, 97, 108, 0, 110, 114, 95, 119, 97, 107,
    101, 117, 112, 115, 95, 114, 101, 109, 111, 116, 101, 0, 110, 114, 95, 119, 97, 107, 101, 117,
    112, 115, 95, 97, 102, 102, 105, 110, 101, 0, 110, 114, 95, 119, 97, 107, 101, 117, 112, 115,
    95, 97, 102, 102, 105, 110, 101, 95, 97, 116, 116, 101, 109, 112, 116, 115, 0, 110, 114, 95,
    119, 97, 107, 101, 117, 112, 115, 95, 112, 97, 115, 115, 105, 118, 101, 0, 110, 114, 95, 119,
    97, 107, 101, 117, 112, 115, 95, 105, 100, 108, 101, 0, 115, 99, 104, 101, 100, 95, 115, 116,
    97, 116, 105, 115, 116, 105, 99, 115, 0, 100, 101, 112, 116, 104, 0, 99, 102, 115, 95, 114,
    113, 0, 109, 121, 95, 113, 0, 114, 117, 110, 110, 97, 98, 108, 101, 95, 119, 101, 105, 103,
    104, 116, 0, 97, 118, 103, 0, 108, 97, 115, 116, 95, 117, 112, 100, 97, 116, 101, 95, 116, 105,
    109, 101, 0, 108, 111, 97, 100, 95, 115, 117, 109, 0, 114, 117, 110, 110, 97, 98, 108, 101, 95,
    115, 117, 109, 0, 117, 116, 105, 108, 95, 115, 117, 109, 0, 112, 101, 114, 105, 111, 100, 95,
    99, 111, 110, 116, 114, 105, 98, 0, 108, 111, 97, 100, 95, 97, 118, 103, 0, 114, 117, 110, 110,
    97, 98, 108, 101, 95, 97, 118, 103, 0, 117, 116, 105, 108, 95, 97, 118, 103, 0, 117, 116, 105,
    108, 95, 101, 115, 116, 0, 101, 110, 113, 117, 101, 117, 101, 100, 0, 101, 119, 109, 97, 0,
    115, 99, 104, 101, 100, 95, 97, 118, 103, 0, 115, 99, 104, 101, 100, 95, 101, 110, 116, 105,
    116, 121, 0, 108, 97, 115, 116, 0, 115, 107, 105, 112, 0, 110, 114, 95, 115, 112, 114, 101, 97,
    100, 95, 111, 118, 101, 114, 0, 110, 114, 0, 116, 103, 95, 108, 111, 97, 100, 95, 97, 118, 103,
    95, 99, 111, 110, 116, 114, 105, 98, 0, 112, 114, 111, 112, 97, 103, 97, 116, 101, 0, 112, 114,
    111, 112, 95, 114, 117, 110, 110, 97, 98, 108, 101, 95, 115, 117, 109, 0, 104, 95, 108, 111,
    97, 100, 0, 108, 97, 115, 116, 95, 104, 95, 108, 111, 97, 100, 95, 117, 112, 100, 97, 116, 101,
    0, 104, 95, 108, 111, 97, 100, 95, 110, 101, 120, 116, 0, 114, 113, 0, 111, 110, 95, 108, 105,
    115, 116, 0, 108, 101, 97, 102, 95, 99, 102, 115, 95, 114, 113, 95, 108, 105, 115, 116, 0, 116,
    103, 0, 99, 115, 115, 0, 99, 103, 114, 111, 117, 112, 0, 115, 101, 108, 102, 0, 109, 97, 120,
    95, 100, 101, 112, 116, 104, 0, 110, 114, 95, 100, 101, 115, 99, 101, 110, 100, 97, 110, 116,
    115, 0, 110, 114, 95, 100, 121, 105, 110, 103, 95, 100, 101, 115, 99, 101, 110, 100, 97, 110,
    116, 115, 0, 109, 97, 120, 95, 100, 101, 115, 99, 101, 110, 100, 97, 110, 116, 115, 0, 110,
    114, 95, 112, 111, 112, 117, 108, 97, 116, 101, 100, 95, 99, 115, 101, 116, 115, 0, 110, 114,
    95, 112, 111, 112, 117, 108, 97, 116, 101, 100, 95, 100, 111, 109, 97, 105, 110, 95, 99, 104,
    105, 108, 100, 114, 101, 110, 0, 110, 114, 95, 112, 111, 112, 117, 108, 97, 116, 101, 100, 95,
    116, 104, 114, 101, 97, 100, 101, 100, 95, 99, 104, 105, 108, 100, 114, 101, 110, 0, 110, 114,
    95, 116, 104, 114, 101, 97, 100, 101, 100, 95, 99, 104, 105, 108, 100, 114, 101, 110, 0, 107,
    110, 0, 97, 99, 116, 105, 118, 101, 0, 114, 98, 0, 100, 105, 114, 0, 115, 117, 98, 100, 105,
    114, 115, 0, 99, 104, 105, 108, 100, 114, 101, 110, 0, 105, 110, 111, 95, 105, 100, 114, 0,
    105, 100, 114, 95, 114, 116, 0, 120, 97, 95, 108, 111, 99, 107, 0, 120, 97, 95, 102, 108, 97,
    103, 115, 0, 103, 102, 112, 95, 116, 0, 120, 97, 95, 104, 101, 97, 100, 0, 120, 97, 114, 114,
    97, 121, 0, 105, 100, 114, 95, 98, 97, 115, 101, 0, 105, 100, 114, 95, 110, 101, 120, 116, 0,
    105, 100, 114, 0, 108, 97, 115, 116, 95, 105, 100, 95, 108, 111, 119, 98, 105, 116, 115, 0,
    105, 100, 95, 104, 105, 103, 104, 98, 105, 116, 115, 0, 115, 121, 115, 99, 97, 108, 108, 95,
    111, 112, 115, 0, 115, 104, 111, 119, 95, 111, 112, 116, 105, 111, 110, 115, 0, 109, 107, 100,
    105, 114, 0, 114, 109, 100, 105, 114, 0, 114, 101, 110, 97, 109, 101, 0, 115, 104, 111, 119,
    95, 112, 97, 116, 104, 0, 107, 101, 114, 110, 102, 115, 95, 115, 121, 115, 99, 97, 108, 108,
    95, 111, 112, 115, 0, 115, 117, 112, 101, 114, 115, 0, 100, 101, 97, 99, 116, 105, 118, 97,
    116, 101, 95, 119, 97, 105, 116, 113, 0, 107, 101, 114, 110, 102, 115, 95, 114, 111, 111, 116,
    0, 107, 101, 114, 110, 102, 115, 95, 101, 108, 101, 109, 95, 100, 105, 114, 0, 115, 121, 109,
    108, 105, 110, 107, 0, 116, 97, 114, 103, 101, 116, 95, 107, 110, 0, 107, 101, 114, 110, 102,
    115, 95, 101, 108, 101, 109, 95, 115, 121, 109, 108, 105, 110, 107, 0, 111, 112, 101, 110, 0,
    112, 114, 105, 118, 0, 112, 114, 101, 97, 108, 108, 111, 99, 95, 109, 117, 116, 101, 120, 0,
    101, 118, 101, 110, 116, 0, 112, 114, 101, 97, 108, 108, 111, 99, 95, 98, 117, 102, 0, 97, 116,
    111, 109, 105, 99, 95, 119, 114, 105, 116, 101, 95, 108, 101, 110, 0, 109, 109, 97, 112, 112,
    101, 100, 0, 114, 101, 108, 101, 97, 115, 101, 100, 0, 118, 109, 95, 111, 112, 115, 0, 115,
    112, 108, 105, 116, 0, 109, 114, 101, 109, 97, 112, 0, 102, 97, 117, 108, 116, 0, 118, 109, 95,
    102, 97, 117, 108, 116, 95, 116, 0, 103, 102, 112, 95, 109, 97, 115, 107, 0, 112, 103, 111,
    102, 102, 0, 97, 100, 100, 114, 101, 115, 115, 0, 112, 109, 100, 0, 112, 109, 100, 118, 97,
    108, 95, 116, 0, 112, 109, 100, 95, 116, 0, 112, 117, 100, 0, 112, 117, 100, 118, 97, 108, 95,
    116, 0, 112, 117, 100, 95, 116, 0, 111, 114, 105, 103, 95, 112, 116, 101, 0, 112, 116, 101, 0,
    112, 116, 101, 118, 97, 108, 95, 116, 0, 112, 116, 101, 95, 116, 0, 99, 111, 119, 95, 112, 97,
    103, 101, 0, 112, 116, 108, 0, 112, 114, 101, 97, 108, 108, 111, 99, 95, 112, 116, 101, 0, 112,
    103, 116, 97, 98, 108, 101, 95, 116, 0, 118, 109, 95, 102, 97, 117, 108, 116, 0, 104, 117, 103,
    101, 95, 102, 97, 117, 108, 116, 0, 80, 69, 95, 83, 73, 90, 69, 95, 80, 84, 69, 0, 80, 69, 95,
    83, 73, 90, 69, 95, 80, 77, 68, 0, 80, 69, 95, 83, 73, 90, 69, 95, 80, 85, 68, 0, 112, 97, 103,
    101, 95, 101, 110, 116, 114, 121, 95, 115, 105, 122, 101, 0, 109, 97, 112, 95, 112, 97, 103,
    101, 115, 0, 112, 97, 103, 101, 115, 105, 122, 101, 0, 112, 97, 103, 101, 95, 109, 107, 119,
    114, 105, 116, 101, 0, 112, 102, 110, 95, 109, 107, 119, 114, 105, 116, 101, 0, 97, 99, 99,
    101, 115, 115, 0, 115, 101, 116, 95, 112, 111, 108, 105, 99, 121, 0, 118, 0, 112, 114, 101,
    102, 101, 114, 114, 101, 100, 95, 110, 111, 100, 101, 0, 110, 111, 100, 101, 115, 0, 98, 105,
    116, 115, 0, 110, 111, 100, 101, 109, 97, 115, 107, 95, 116, 0, 119, 0, 99, 112, 117, 115, 101,
    116, 95, 109, 101, 109, 115, 95, 97, 108, 108, 111, 119, 101, 100, 0, 117, 115, 101, 114, 95,
    110, 111, 100, 101, 109, 97, 115, 107, 0, 109, 101, 109, 112, 111, 108, 105, 99, 121, 0, 103,
    101, 116, 95, 112, 111, 108, 105, 99, 121, 0, 102, 105, 110, 100, 95, 115, 112, 101, 99, 105,
    97, 108, 95, 112, 97, 103, 101, 0, 118, 109, 95, 111, 112, 101, 114, 97, 116, 105, 111, 110,
    115, 95, 115, 116, 114, 117, 99, 116, 0, 107, 101, 114, 110, 102, 115, 95, 111, 112, 101, 110,
    95, 102, 105, 108, 101, 0, 115, 101, 113, 95, 115, 104, 111, 119, 0, 115, 101, 113, 95, 115,
    116, 97, 114, 116, 0, 115, 101, 113, 95, 110, 101, 120, 116, 0, 115, 101, 113, 95, 115, 116,
    111, 112, 0, 112, 114, 101, 97, 108, 108, 111, 99, 0, 112, 111, 108, 108, 0, 95, 95, 112, 111,
    108, 108, 95, 116, 0, 95, 113, 112, 114, 111, 99, 0, 112, 111, 108, 108, 95, 113, 117, 101,
    117, 101, 95, 112, 114, 111, 99, 0, 95, 107, 101, 121, 0, 112, 111, 108, 108, 95, 116, 97, 98,
    108, 101, 95, 115, 116, 114, 117, 99, 116, 0, 107, 101, 114, 110, 102, 115, 95, 111, 112, 115,
    0, 107, 101, 114, 110, 102, 115, 95, 111, 112, 101, 110, 95, 110, 111, 100, 101, 0, 110, 111,
    116, 105, 102, 121, 95, 110, 101, 120, 116, 0, 107, 101, 114, 110, 102, 115, 95, 101, 108, 101,
    109, 95, 97, 116, 116, 114, 0, 105, 97, 116, 116, 114, 0, 105, 97, 95, 117, 105, 100, 0, 105,
    97, 95, 103, 105, 100, 0, 105, 97, 95, 97, 116, 105, 109, 101, 0, 116, 118, 95, 115, 101, 99,
    0, 116, 118, 95, 110, 115, 101, 99, 0, 116, 105, 109, 101, 115, 112, 101, 99, 54, 52, 0, 105,
    97, 95, 109, 116, 105, 109, 101, 0, 105, 97, 95, 99, 116, 105, 109, 101, 0, 120, 97, 116, 116,
    114, 115, 0, 115, 105, 109, 112, 108, 101, 95, 120, 97, 116, 116, 114, 115, 0, 110, 114, 95,
    117, 115, 101, 114, 95, 120, 97, 116, 116, 114, 115, 0, 117, 115, 101, 114, 95, 120, 97, 116,
    116, 114, 95, 115, 105, 122, 101, 0, 107, 101, 114, 110, 102, 115, 95, 105, 97, 116, 116, 114,
    115, 0, 107, 101, 114, 110, 102, 115, 95, 110, 111, 100, 101, 0, 112, 114, 111, 99, 115, 95,
    102, 105, 108, 101, 0, 110, 111, 116, 105, 102, 105, 101, 100, 95, 97, 116, 0, 110, 111, 116,
    105, 102, 121, 95, 116, 105, 109, 101, 114, 0, 101, 120, 112, 105, 114, 101, 115, 0, 102, 117,
    110, 99, 116, 105, 111, 110, 0, 116, 105, 109, 101, 114, 95, 108, 105, 115, 116, 0, 99, 103,
    114, 111, 117, 112, 95, 102, 105, 108, 101, 0, 101, 118, 101, 110, 116, 115, 95, 102, 105, 108,
    101, 0, 115, 117, 98, 116, 114, 101, 101, 95, 99, 111, 110, 116, 114, 111, 108, 0, 115, 117,
    98, 116, 114, 101, 101, 95, 115, 115, 95, 109, 97, 115, 107, 0, 111, 108, 100, 95, 115, 117,
    98, 116, 114, 101, 101, 95, 99, 111, 110, 116, 114, 111, 108, 0, 111, 108, 100, 95, 115, 117,
    98, 116, 114, 101, 101, 95, 115, 115, 95, 109, 97, 115, 107, 0, 115, 117, 98, 115, 121, 115, 0,
    107, 102, 95, 114, 111, 111, 116, 0, 115, 117, 98, 115, 121, 115, 95, 109, 97, 115, 107, 0,
    104, 105, 101, 114, 97, 114, 99, 104, 121, 95, 105, 100, 0, 99, 103, 114, 112, 0, 99, 103, 114,
    112, 95, 97, 110, 99, 101, 115, 116, 111, 114, 95, 105, 100, 95, 115, 116, 111, 114, 97, 103,
    101, 0, 110, 114, 95, 99, 103, 114, 112, 115, 0, 114, 111, 111, 116, 95, 108, 105, 115, 116, 0,
    114, 101, 108, 101, 97, 115, 101, 95, 97, 103, 101, 110, 116, 95, 112, 97, 116, 104, 0, 99,
    103, 114, 111, 117, 112, 95, 114, 111, 111, 116, 0, 99, 115, 101, 116, 95, 108, 105, 110, 107,
    115, 0, 101, 95, 99, 115, 101, 116, 115, 0, 100, 111, 109, 95, 99, 103, 114, 112, 0, 111, 108,
    100, 95, 100, 111, 109, 95, 99, 103, 114, 112, 0, 114, 115, 116, 97, 116, 95, 99, 112, 117, 0,
    98, 115, 121, 110, 99, 0, 117, 54, 52, 95, 115, 116, 97, 116, 115, 95, 115, 121, 110, 99, 0,
    98, 115, 116, 97, 116, 0, 99, 112, 117, 116, 105, 109, 101, 0, 115, 116, 105, 109, 101, 0, 117,
    116, 105, 109, 101, 0, 116, 97, 115, 107, 95, 99, 112, 117, 116, 105, 109, 101, 0, 99, 103,
    114, 111, 117, 112, 95, 98, 97, 115, 101, 95, 115, 116, 97, 116, 0, 108, 97, 115, 116, 95, 98,
    115, 116, 97, 116, 0, 117, 112, 100, 97, 116, 101, 100, 95, 99, 104, 105, 108, 100, 114, 101,
    110, 0, 117, 112, 100, 97, 116, 101, 100, 95, 110, 101, 120, 116, 0, 99, 103, 114, 111, 117,
    112, 95, 114, 115, 116, 97, 116, 95, 99, 112, 117, 0, 114, 115, 116, 97, 116, 95, 99, 115, 115,
    95, 108, 105, 115, 116, 0, 112, 114, 101, 118, 95, 99, 112, 117, 116, 105, 109, 101, 0, 112,
    105, 100, 108, 105, 115, 116, 115, 0, 112, 105, 100, 108, 105, 115, 116, 95, 109, 117, 116,
    101, 120, 0, 111, 102, 102, 108, 105, 110, 101, 95, 119, 97, 105, 116, 113, 0, 114, 101, 108,
    101, 97, 115, 101, 95, 97, 103, 101, 110, 116, 95, 119, 111, 114, 107, 0, 119, 111, 114, 107,
    95, 102, 117, 110, 99, 95, 116, 0, 119, 111, 114, 107, 95, 115, 116, 114, 117, 99, 116, 0, 112,
    115, 105, 0, 97, 118, 103, 115, 95, 108, 111, 99, 107, 0, 112, 99, 112, 117, 0, 115, 101, 113,
    0, 115, 116, 97, 116, 101, 95, 109, 97, 115, 107, 0, 116, 105, 109, 101, 115, 0, 115, 116, 97,
    116, 101, 95, 115, 116, 97, 114, 116, 0, 116, 105, 109, 101, 115, 95, 112, 114, 101, 118, 0,
    112, 115, 105, 95, 103, 114, 111, 117, 112, 95, 99, 112, 117, 0, 97, 118, 103, 95, 116, 111,
    116, 97, 108, 0, 97, 118, 103, 95, 108, 97, 115, 116, 95, 117, 112, 100, 97, 116, 101, 0, 97,
    118, 103, 95, 110, 101, 120, 116, 95, 117, 112, 100, 97, 116, 101, 0, 97, 118, 103, 115, 95,
    119, 111, 114, 107, 0, 119, 111, 114, 107, 0, 116, 105, 109, 101, 114, 0, 119, 113, 0, 112,
    119, 113, 115, 0, 119, 111, 114, 107, 95, 99, 111, 108, 111, 114, 0, 102, 108, 117, 115, 104,
    95, 99, 111, 108, 111, 114, 0, 110, 114, 95, 112, 119, 113, 115, 95, 116, 111, 95, 102, 108,
    117, 115, 104, 0, 102, 105, 114, 115, 116, 95, 102, 108, 117, 115, 104, 101, 114, 0, 100, 111,
    110, 101, 0, 119, 97, 105, 116, 0, 116, 97, 115, 107, 95, 108, 105, 115, 116, 0, 115, 119, 97,
    105, 116, 95, 113, 117, 101, 117, 101, 95, 104, 101, 97, 100, 0, 99, 111, 109, 112, 108, 101,
    116, 105, 111, 110, 0, 119, 113, 95, 102, 108, 117, 115, 104, 101, 114, 0, 102, 108, 117, 115,
    104, 101, 114, 95, 113, 117, 101, 117, 101, 0, 102, 108, 117, 115, 104, 101, 114, 95, 111, 118,
    101, 114, 102, 108, 111, 119, 0, 109, 97, 121, 100, 97, 121, 115, 0, 114, 101, 115, 99, 117,
    101, 114, 0, 104, 101, 110, 116, 114, 121, 0, 99, 117, 114, 114, 101, 110, 116, 95, 119, 111,
    114, 107, 0, 99, 117, 114, 114, 101, 110, 116, 95, 102, 117, 110, 99, 0, 99, 117, 114, 114,
    101, 110, 116, 95, 112, 119, 113, 0, 112, 111, 111, 108, 0, 119, 97, 116, 99, 104, 100, 111,
    103, 95, 116, 115, 0, 119, 111, 114, 107, 108, 105, 115, 116, 0, 110, 114, 95, 119, 111, 114,
    107, 101, 114, 115, 0, 110, 114, 95, 105, 100, 108, 101, 0, 105, 100, 108, 101, 95, 108, 105,
    115, 116, 0, 105, 100, 108, 101, 95, 116, 105, 109, 101, 114, 0, 109, 97, 121, 100, 97, 121,
    95, 116, 105, 109, 101, 114, 0, 98, 117, 115, 121, 95, 104, 97, 115, 104, 0, 109, 97, 110, 97,
    103, 101, 114, 0, 119, 111, 114, 107, 101, 114, 115, 0, 100, 101, 116, 97, 99, 104, 95, 99,
    111, 109, 112, 108, 101, 116, 105, 111, 110, 0, 119, 111, 114, 107, 101, 114, 95, 105, 100, 97,
    0, 120, 97, 0, 105, 100, 97, 0, 97, 116, 116, 114, 115, 0, 110, 105, 99, 101, 0, 99, 112, 117,
    109, 97, 115, 107, 0, 99, 112, 117, 109, 97, 115, 107, 95, 118, 97, 114, 95, 116, 0, 110, 111,
    95, 110, 117, 109, 97, 0, 119, 111, 114, 107, 113, 117, 101, 117, 101, 95, 97, 116, 116, 114,
    115, 0, 104, 97, 115, 104, 95, 110, 111, 100, 101, 0, 119, 111, 114, 107, 101, 114, 95, 112,
    111, 111, 108, 0, 110, 114, 95, 105, 110, 95, 102, 108, 105, 103, 104, 116, 0, 110, 114, 95,
    97, 99, 116, 105, 118, 101, 0, 109, 97, 120, 95, 97, 99, 116, 105, 118, 101, 0, 100, 101, 108,
    97, 121, 101, 100, 95, 119, 111, 114, 107, 115, 0, 112, 119, 113, 115, 95, 110, 111, 100, 101,
    0, 109, 97, 121, 100, 97, 121, 95, 110, 111, 100, 101, 0, 117, 110, 98, 111, 117, 110, 100, 95,
    114, 101, 108, 101, 97, 115, 101, 95, 119, 111, 114, 107, 0, 112, 111, 111, 108, 95, 119, 111,
    114, 107, 113, 117, 101, 117, 101, 0, 115, 99, 104, 101, 100, 117, 108, 101, 100, 0, 116, 97,
    115, 107, 0, 108, 97, 115, 116, 95, 97, 99, 116, 105, 118, 101, 0, 115, 108, 101, 101, 112,
    105, 110, 103, 0, 114, 101, 115, 99, 117, 101, 95, 119, 113, 0, 108, 97, 115, 116, 95, 102,
    117, 110, 99, 0, 119, 111, 114, 107, 101, 114, 0, 110, 114, 95, 100, 114, 97, 105, 110, 101,
    114, 115, 0, 115, 97, 118, 101, 100, 95, 109, 97, 120, 95, 97, 99, 116, 105, 118, 101, 0, 117,
    110, 98, 111, 117, 110, 100, 95, 97, 116, 116, 114, 115, 0, 100, 102, 108, 95, 112, 119, 113,
    0, 119, 113, 95, 100, 101, 118, 0, 107, 108, 105, 115, 116, 95, 99, 104, 105, 108, 100, 114,
    101, 110, 0, 107, 95, 108, 111, 99, 107, 0, 107, 95, 108, 105, 115, 116, 0, 110, 95, 107, 108,
    105, 115, 116, 0, 110, 95, 110, 111, 100, 101, 0, 110, 95, 114, 101, 102, 0, 107, 108, 105,
    115, 116, 95, 110, 111, 100, 101, 0, 112, 117, 116, 0, 107, 108, 105, 115, 116, 0, 107, 110,
    111, 100, 101, 95, 112, 97, 114, 101, 110, 116, 0, 107, 110, 111, 100, 101, 95, 100, 114, 105,
    118, 101, 114, 0, 107, 110, 111, 100, 101, 95, 98, 117, 115, 0, 107, 110, 111, 100, 101, 95,
    99, 108, 97, 115, 115, 0, 100, 101, 102, 101, 114, 114, 101, 100, 95, 112, 114, 111, 98, 101,
    0, 97, 115, 121, 110, 99, 95, 100, 114, 105, 118, 101, 114, 0, 98, 117, 115, 0, 100, 101, 118,
    95, 110, 97, 109, 101, 0, 100, 101, 118, 95, 114, 111, 111, 116, 0, 98, 117, 115, 95, 103, 114,
    111, 117, 112, 115, 0, 100, 101, 118, 95, 103, 114, 111, 117, 112, 115, 0, 100, 114, 118, 95,
    103, 114, 111, 117, 112, 115, 0, 109, 97, 116, 99, 104, 0, 112, 114, 111, 98, 101, 0, 115, 121,
    110, 99, 95, 115, 116, 97, 116, 101, 0, 114, 101, 109, 111, 118, 101, 0, 111, 110, 108, 105,
    110, 101, 0, 111, 102, 102, 108, 105, 110, 101, 0, 115, 117, 115, 112, 101, 110, 100, 0, 112,
    109, 95, 109, 101, 115, 115, 97, 103, 101, 0, 112, 109, 95, 109, 101, 115, 115, 97, 103, 101,
    95, 116, 0, 114, 101, 115, 117, 109, 101, 0, 110, 117, 109, 95, 118, 102, 0, 100, 109, 97, 95,
    99, 111, 110, 102, 105, 103, 117, 114, 101, 0, 112, 109, 0, 112, 114, 101, 112, 97, 114, 101,
    0, 99, 111, 109, 112, 108, 101, 116, 101, 0, 102, 114, 101, 101, 122, 101, 0, 116, 104, 97,
    119, 0, 112, 111, 119, 101, 114, 111, 102, 102, 0, 114, 101, 115, 116, 111, 114, 101, 0, 115,
    117, 115, 112, 101, 110, 100, 95, 108, 97, 116, 101, 0, 114, 101, 115, 117, 109, 101, 95, 101,
    97, 114, 108, 121, 0, 102, 114, 101, 101, 122, 101, 95, 108, 97, 116, 101, 0, 116, 104, 97,
    119, 95, 101, 97, 114, 108, 121, 0, 112, 111, 119, 101, 114, 111, 102, 102, 95, 108, 97, 116,
    101, 0, 114, 101, 115, 116, 111, 114, 101, 95, 101, 97, 114, 108, 121, 0, 115, 117, 115, 112,
    101, 110, 100, 95, 110, 111, 105, 114, 113, 0, 114, 101, 115, 117, 109, 101, 95, 110, 111, 105,
    114, 113, 0, 102, 114, 101, 101, 122, 101, 95, 110, 111, 105, 114, 113, 0, 116, 104, 97, 119,
    95, 110, 111, 105, 114, 113, 0, 112, 111, 119, 101, 114, 111, 102, 102, 95, 110, 111, 105, 114,
    113, 0, 114, 101, 115, 116, 111, 114, 101, 95, 110, 111, 105, 114, 113, 0, 114, 117, 110, 116,
    105, 109, 101, 95, 115, 117, 115, 112, 101, 110, 100, 0, 114, 117, 110, 116, 105, 109, 101, 95,
    114, 101, 115, 117, 109, 101, 0, 114, 117, 110, 116, 105, 109, 101, 95, 105, 100, 108, 101, 0,
    100, 101, 118, 95, 112, 109, 95, 111, 112, 115, 0, 105, 111, 109, 109, 117, 95, 111, 112, 115,
    0, 99, 97, 112, 97, 98, 108, 101, 0, 73, 79, 77, 77, 85, 95, 67, 65, 80, 95, 67, 65, 67, 72,
    69, 95, 67, 79, 72, 69, 82, 69, 78, 67, 89, 0, 73, 79, 77, 77, 85, 95, 67, 65, 80, 95, 73, 78,
    84, 82, 95, 82, 69, 77, 65, 80, 0, 73, 79, 77, 77, 85, 95, 67, 65, 80, 95, 78, 79, 69, 88, 69,
    67, 0, 105, 111, 109, 109, 117, 95, 99, 97, 112, 0, 100, 111, 109, 97, 105, 110, 95, 97, 108,
    108, 111, 99, 0, 112, 103, 115, 105, 122, 101, 95, 98, 105, 116, 109, 97, 112, 0, 104, 97, 110,
    100, 108, 101, 114, 0, 105, 111, 109, 109, 117, 95, 102, 97, 117, 108, 116, 95, 104, 97, 110,
    100, 108, 101, 114, 95, 116, 0, 104, 97, 110, 100, 108, 101, 114, 95, 116, 111, 107, 101, 110,
    0, 103, 101, 111, 109, 101, 116, 114, 121, 0, 97, 112, 101, 114, 116, 117, 114, 101, 95, 115,
    116, 97, 114, 116, 0, 100, 109, 97, 95, 97, 100, 100, 114, 95, 116, 0, 97, 112, 101, 114, 116,
    117, 114, 101, 95, 101, 110, 100, 0, 102, 111, 114, 99, 101, 95, 97, 112, 101, 114, 116, 117,
    114, 101, 0, 105, 111, 109, 109, 117, 95, 100, 111, 109, 97, 105, 110, 95, 103, 101, 111, 109,
    101, 116, 114, 121, 0, 105, 111, 118, 97, 95, 99, 111, 111, 107, 105, 101, 0, 105, 111, 109,
    109, 117, 95, 100, 111, 109, 97, 105, 110, 0, 100, 111, 109, 97, 105, 110, 95, 102, 114, 101,
    101, 0, 97, 116, 116, 97, 99, 104, 95, 100, 101, 118, 0, 100, 101, 116, 97, 99, 104, 95, 100,
    101, 118, 0, 109, 97, 112, 0, 112, 104, 121, 115, 95, 97, 100, 100, 114, 95, 116, 0, 117, 110,
    109, 97, 112, 0, 101, 110, 100, 0, 112, 103, 115, 105, 122, 101, 0, 105, 111, 109, 109, 117,
    95, 105, 111, 116, 108, 98, 95, 103, 97, 116, 104, 101, 114, 0, 102, 108, 117, 115, 104, 95,
    105, 111, 116, 108, 98, 95, 97, 108, 108, 0, 105, 111, 116, 108, 98, 95, 115, 121, 110, 99, 95,
    109, 97, 112, 0, 105, 111, 116, 108, 98, 95, 115, 121, 110, 99, 0, 105, 111, 118, 97, 95, 116,
    111, 95, 112, 104, 121, 115, 0, 112, 114, 111, 98, 101, 95, 100, 101, 118, 105, 99, 101, 0,
    102, 119, 110, 111, 100, 101, 0, 115, 101, 99, 111, 110, 100, 97, 114, 121, 0, 100, 101, 118,
    105, 99, 101, 95, 105, 115, 95, 97, 118, 97, 105, 108, 97, 98, 108, 101, 0, 100, 101, 118, 105,
    99, 101, 95, 103, 101, 116, 95, 109, 97, 116, 99, 104, 95, 100, 97, 116, 97, 0, 112, 114, 111,
    112, 101, 114, 116, 121, 95, 112, 114, 101, 115, 101, 110, 116, 0, 112, 114, 111, 112, 101,
    114, 116, 121, 95, 114, 101, 97, 100, 95, 105, 110, 116, 95, 97, 114, 114, 97, 121, 0, 112,
    114, 111, 112, 101, 114, 116, 121, 95, 114, 101, 97, 100, 95, 115, 116, 114, 105, 110, 103, 95,
    97, 114, 114, 97, 121, 0, 103, 101, 116, 95, 110, 97, 109, 101, 0, 103, 101, 116, 95, 110, 97,
    109, 101, 95, 112, 114, 101, 102, 105, 120, 0, 103, 101, 116, 95, 112, 97, 114, 101, 110, 116,
    0, 103, 101, 116, 95, 110, 101, 120, 116, 95, 99, 104, 105, 108, 100, 95, 110, 111, 100, 101,
    0, 103, 101, 116, 95, 110, 97, 109, 101, 100, 95, 99, 104, 105, 108, 100, 95, 110, 111, 100,
    101, 0, 103, 101, 116, 95, 114, 101, 102, 101, 114, 101, 110, 99, 101, 95, 97, 114, 103, 115,
    0, 110, 97, 114, 103, 115, 0, 97, 114, 103, 115, 0, 102, 119, 110, 111, 100, 101, 95, 114, 101,
    102, 101, 114, 101, 110, 99, 101, 95, 97, 114, 103, 115, 0, 103, 114, 97, 112, 104, 95, 103,
    101, 116, 95, 110, 101, 120, 116, 95, 101, 110, 100, 112, 111, 105, 110, 116, 0, 103, 114, 97,
    112, 104, 95, 103, 101, 116, 95, 114, 101, 109, 111, 116, 101, 95, 101, 110, 100, 112, 111,
    105, 110, 116, 0, 103, 114, 97, 112, 104, 95, 103, 101, 116, 95, 112, 111, 114, 116, 95, 112,
    97, 114, 101, 110, 116, 0, 103, 114, 97, 112, 104, 95, 112, 97, 114, 115, 101, 95, 101, 110,
    100, 112, 111, 105, 110, 116, 0, 112, 111, 114, 116, 0, 108, 111, 99, 97, 108, 95, 102, 119,
    110, 111, 100, 101, 0, 102, 119, 110, 111, 100, 101, 95, 101, 110, 100, 112, 111, 105, 110,
    116, 0, 97, 100, 100, 95, 108, 105, 110, 107, 115, 0, 102, 119, 110, 111, 100, 101, 95, 111,
    112, 101, 114, 97, 116, 105, 111, 110, 115, 0, 102, 119, 110, 111, 100, 101, 95, 104, 97, 110,
    100, 108, 101, 0, 105, 111, 109, 109, 117, 95, 100, 101, 118, 105, 99, 101, 0, 114, 101, 108,
    101, 97, 115, 101, 95, 100, 101, 118, 105, 99, 101, 0, 112, 114, 111, 98, 101, 95, 102, 105,
    110, 97, 108, 105, 122, 101, 0, 100, 101, 118, 105, 99, 101, 95, 103, 114, 111, 117, 112, 0,
    100, 101, 118, 105, 99, 101, 115, 95, 107, 111, 98, 106, 0, 100, 101, 118, 105, 99, 101, 115,
    0, 110, 111, 116, 105, 102, 105, 101, 114, 0, 114, 119, 115, 101, 109, 0, 110, 111, 116, 105,
    102, 105, 101, 114, 95, 99, 97, 108, 108, 0, 110, 111, 116, 105, 102, 105, 101, 114, 95, 102,
    110, 95, 116, 0, 112, 114, 105, 111, 114, 105, 116, 121, 0, 110, 111, 116, 105, 102, 105, 101,
    114, 95, 98, 108, 111, 99, 107, 0, 98, 108, 111, 99, 107, 105, 110, 103, 95, 110, 111, 116,
    105, 102, 105, 101, 114, 95, 104, 101, 97, 100, 0, 105, 111, 109, 109, 117, 95, 100, 97, 116,
    97, 0, 105, 111, 109, 109, 117, 95, 100, 97, 116, 97, 95, 114, 101, 108, 101, 97, 115, 101, 0,
    100, 101, 102, 97, 117, 108, 116, 95, 100, 111, 109, 97, 105, 110, 0, 100, 111, 109, 97, 105,
    110, 0, 105, 111, 109, 109, 117, 95, 103, 114, 111, 117, 112, 0, 100, 111, 109, 97, 105, 110,
    95, 103, 101, 116, 95, 97, 116, 116, 114, 0, 68, 79, 77, 65, 73, 78, 95, 65, 84, 84, 82, 95,
    71, 69, 79, 77, 69, 84, 82, 89, 0, 68, 79, 77, 65, 73, 78, 95, 65, 84, 84, 82, 95, 80, 65, 71,
    73, 78, 71, 0, 68, 79, 77, 65, 73, 78, 95, 65, 84, 84, 82, 95, 87, 73, 78, 68, 79, 87, 83, 0,
    68, 79, 77, 65, 73, 78, 95, 65, 84, 84, 82, 95, 70, 83, 76, 95, 80, 65, 77, 85, 95, 83, 84, 65,
    83, 72, 0, 68, 79, 77, 65, 73, 78, 95, 65, 84, 84, 82, 95, 70, 83, 76, 95, 80, 65, 77, 85, 95,
    69, 78, 65, 66, 76, 69, 0, 68, 79, 77, 65, 73, 78, 95, 65, 84, 84, 82, 95, 70, 83, 76, 95, 80,
    65, 77, 85, 86, 49, 0, 68, 79, 77, 65, 73, 78, 95, 65, 84, 84, 82, 95, 78, 69, 83, 84, 73, 78,
    71, 0, 68, 79, 77, 65, 73, 78, 95, 65, 84, 84, 82, 95, 68, 77, 65, 95, 85, 83, 69, 95, 70, 76,
    85, 83, 72, 95, 81, 85, 69, 85, 69, 0, 68, 79, 77, 65, 73, 78, 95, 65, 84, 84, 82, 95, 77, 65,
    88, 0, 105, 111, 109, 109, 117, 95, 97, 116, 116, 114, 0, 100, 111, 109, 97, 105, 110, 95, 115,
    101, 116, 95, 97, 116, 116, 114, 0, 103, 101, 116, 95, 114, 101, 115, 118, 95, 114, 101, 103,
    105, 111, 110, 115, 0, 112, 117, 116, 95, 114, 101, 115, 118, 95, 114, 101, 103, 105, 111, 110,
    115, 0, 97, 112, 112, 108, 121, 95, 114, 101, 115, 118, 95, 114, 101, 103, 105, 111, 110, 0,
    112, 114, 111, 116, 0, 73, 79, 77, 77, 85, 95, 82, 69, 83, 86, 95, 68, 73, 82, 69, 67, 84, 0,
    73, 79, 77, 77, 85, 95, 82, 69, 83, 86, 95, 68, 73, 82, 69, 67, 84, 95, 82, 69, 76, 65, 88, 65,
    66, 76, 69, 0, 73, 79, 77, 77, 85, 95, 82, 69, 83, 86, 95, 82, 69, 83, 69, 82, 86, 69, 68, 0,
    73, 79, 77, 77, 85, 95, 82, 69, 83, 86, 95, 77, 83, 73, 0, 73, 79, 77, 77, 85, 95, 82, 69, 83,
    86, 95, 83, 87, 95, 77, 83, 73, 0, 105, 111, 109, 109, 117, 95, 114, 101, 115, 118, 95, 116,
    121, 112, 101, 0, 105, 111, 109, 109, 117, 95, 114, 101, 115, 118, 95, 114, 101, 103, 105, 111,
    110, 0, 100, 111, 109, 97, 105, 110, 95, 119, 105, 110, 100, 111, 119, 95, 101, 110, 97, 98,
    108, 101, 0, 100, 111, 109, 97, 105, 110, 95, 119, 105, 110, 100, 111, 119, 95, 100, 105, 115,
    97, 98, 108, 101, 0, 111, 102, 95, 120, 108, 97, 116, 101, 0, 110, 112, 0, 112, 104, 97, 110,
    100, 108, 101, 0, 102, 117, 108, 108, 95, 110, 97, 109, 101, 0, 112, 114, 111, 112, 101, 114,
    116, 105, 101, 115, 0, 95, 102, 108, 97, 103, 115, 0, 112, 114, 111, 112, 101, 114, 116, 121,
    0, 100, 101, 97, 100, 112, 114, 111, 112, 115, 0, 99, 104, 105, 108, 100, 0, 115, 105, 98, 108,
    105, 110, 103, 0, 100, 101, 118, 105, 99, 101, 95, 110, 111, 100, 101, 0, 97, 114, 103, 115,
    95, 99, 111, 117, 110, 116, 0, 111, 102, 95, 112, 104, 97, 110, 100, 108, 101, 95, 97, 114,
    103, 115, 0, 105, 115, 95, 97, 116, 116, 97, 99, 104, 95, 100, 101, 102, 101, 114, 114, 101,
    100, 0, 100, 101, 118, 95, 104, 97, 115, 95, 102, 101, 97, 116, 0, 73, 79, 77, 77, 85, 95, 68,
    69, 86, 95, 70, 69, 65, 84, 95, 65, 85, 88, 0, 73, 79, 77, 77, 85, 95, 68, 69, 86, 95, 70, 69,
    65, 84, 95, 83, 86, 65, 0, 105, 111, 109, 109, 117, 95, 100, 101, 118, 95, 102, 101, 97, 116,
    117, 114, 101, 115, 0, 100, 101, 118, 95, 102, 101, 97, 116, 95, 101, 110, 97, 98, 108, 101,
    100, 0, 100, 101, 118, 95, 101, 110, 97, 98, 108, 101, 95, 102, 101, 97, 116, 0, 100, 101, 118,
    95, 100, 105, 115, 97, 98, 108, 101, 95, 102, 101, 97, 116, 0, 97, 117, 120, 95, 97, 116, 116,
    97, 99, 104, 95, 100, 101, 118, 0, 97, 117, 120, 95, 100, 101, 116, 97, 99, 104, 95, 100, 101,
    118, 0, 97, 117, 120, 95, 103, 101, 116, 95, 112, 97, 115, 105, 100, 0, 115, 118, 97, 95, 98,
    105, 110, 100, 0, 105, 111, 109, 109, 117, 95, 115, 118, 97, 0, 115, 118, 97, 95, 117, 110, 98,
    105, 110, 100, 0, 115, 118, 97, 95, 103, 101, 116, 95, 112, 97, 115, 105, 100, 0, 112, 97, 103,
    101, 95, 114, 101, 115, 112, 111, 110, 115, 101, 0, 112, 97, 100, 100, 105, 110, 103, 0, 114,
    101, 97, 115, 111, 110, 0, 112, 97, 115, 105, 100, 0, 102, 101, 116, 99, 104, 95, 97, 100, 100,
    114, 0, 105, 111, 109, 109, 117, 95, 102, 97, 117, 108, 116, 95, 117, 110, 114, 101, 99, 111,
    118, 101, 114, 97, 98, 108, 101, 0, 112, 114, 109, 0, 103, 114, 112, 105, 100, 0, 112, 114,
    105, 118, 97, 116, 101, 95, 100, 97, 116, 97, 0, 105, 111, 109, 109, 117, 95, 102, 97, 117,
    108, 116, 95, 112, 97, 103, 101, 95, 114, 101, 113, 117, 101, 115, 116, 0, 112, 97, 100, 100,
    105, 110, 103, 50, 0, 105, 111, 109, 109, 117, 95, 102, 97, 117, 108, 116, 0, 105, 111, 109,
    109, 117, 95, 102, 97, 117, 108, 116, 95, 101, 118, 101, 110, 116, 0, 118, 101, 114, 115, 105,
    111, 110, 0, 105, 111, 109, 109, 117, 95, 112, 97, 103, 101, 95, 114, 101, 115, 112, 111, 110,
    115, 101, 0, 99, 97, 99, 104, 101, 95, 105, 110, 118, 97, 108, 105, 100, 97, 116, 101, 0, 99,
    97, 99, 104, 101, 0, 103, 114, 97, 110, 117, 108, 97, 114, 105, 116, 121, 0, 112, 97, 115, 105,
    100, 95, 105, 110, 102, 111, 0, 97, 114, 99, 104, 105, 100, 0, 105, 111, 109, 109, 117, 95,
    105, 110, 118, 95, 112, 97, 115, 105, 100, 95, 105, 110, 102, 111, 0, 97, 100, 100, 114, 95,
    105, 110, 102, 111, 0, 103, 114, 97, 110, 117, 108, 101, 95, 115, 105, 122, 101, 0, 110, 98,
    95, 103, 114, 97, 110, 117, 108, 101, 115, 0, 105, 111, 109, 109, 117, 95, 105, 110, 118, 95,
    97, 100, 100, 114, 95, 105, 110, 102, 111, 0, 105, 111, 109, 109, 117, 95, 99, 97, 99, 104,
    101, 95, 105, 110, 118, 97, 108, 105, 100, 97, 116, 101, 95, 105, 110, 102, 111, 0, 115, 118,
    97, 95, 98, 105, 110, 100, 95, 103, 112, 97, 115, 105, 100, 0, 102, 111, 114, 109, 97, 116, 0,
    103, 112, 103, 100, 0, 104, 112, 97, 115, 105, 100, 0, 103, 112, 97, 115, 105, 100, 0, 97, 100,
    100, 114, 95, 119, 105, 100, 116, 104, 0, 118, 116, 100, 0, 112, 97, 116, 0, 101, 109, 116, 0,
    105, 111, 109, 109, 117, 95, 103, 112, 97, 115, 105, 100, 95, 98, 105, 110, 100, 95, 100, 97,
    116, 97, 95, 118, 116, 100, 0, 105, 111, 109, 109, 117, 95, 103, 112, 97, 115, 105, 100, 95,
    98, 105, 110, 100, 95, 100, 97, 116, 97, 0, 115, 118, 97, 95, 117, 110, 98, 105, 110, 100, 95,
    103, 112, 97, 115, 105, 100, 0, 100, 101, 102, 95, 100, 111, 109, 97, 105, 110, 95, 116, 121,
    112, 101, 0, 100, 101, 118, 105, 99, 101, 115, 95, 107, 115, 101, 116, 0, 105, 110, 116, 101,
    114, 102, 97, 99, 101, 115, 0, 100, 114, 105, 118, 101, 114, 115, 95, 107, 115, 101, 116, 0,
    107, 108, 105, 115, 116, 95, 100, 101, 118, 105, 99, 101, 115, 0, 107, 108, 105, 115, 116, 95,
    100, 114, 105, 118, 101, 114, 115, 0, 98, 117, 115, 95, 110, 111, 116, 105, 102, 105, 101, 114,
    0, 100, 114, 105, 118, 101, 114, 115, 95, 97, 117, 116, 111, 112, 114, 111, 98, 101, 0, 103,
    108, 117, 101, 95, 100, 105, 114, 115, 0, 99, 108, 97, 115, 115, 0, 99, 108, 97, 115, 115, 95,
    103, 114, 111, 117, 112, 115, 0, 100, 101, 118, 95, 107, 111, 98, 106, 0, 100, 101, 118, 95,
    117, 101, 118, 101, 110, 116, 0, 100, 101, 118, 110, 111, 100, 101, 0, 99, 108, 97, 115, 115,
    95, 114, 101, 108, 101, 97, 115, 101, 0, 100, 101, 118, 95, 114, 101, 108, 101, 97, 115, 101,
    0, 115, 104, 117, 116, 100, 111, 119, 110, 95, 112, 114, 101, 0, 110, 115, 95, 116, 121, 112,
    101, 0, 75, 79, 66, 74, 95, 78, 83, 95, 84, 89, 80, 69, 95, 78, 79, 78, 69, 0, 75, 79, 66, 74,
    95, 78, 83, 95, 84, 89, 80, 69, 95, 78, 69, 84, 0, 75, 79, 66, 74, 95, 78, 83, 95, 84, 89, 80,
    69, 83, 0, 107, 111, 98, 106, 95, 110, 115, 95, 116, 121, 112, 101, 0, 99, 117, 114, 114, 101,
    110, 116, 95, 109, 97, 121, 95, 109, 111, 117, 110, 116, 0, 103, 114, 97, 98, 95, 99, 117, 114,
    114, 101, 110, 116, 95, 110, 115, 0, 110, 101, 116, 108, 105, 110, 107, 95, 110, 115, 0, 105,
    110, 105, 116, 105, 97, 108, 95, 110, 115, 0, 100, 114, 111, 112, 95, 110, 115, 0, 107, 111,
    98, 106, 95, 110, 115, 95, 116, 121, 112, 101, 95, 111, 112, 101, 114, 97, 116, 105, 111, 110,
    115, 0, 110, 97, 109, 101, 115, 112, 97, 99, 101, 0, 103, 101, 116, 95, 111, 119, 110, 101,
    114, 115, 104, 105, 112, 0, 115, 117, 98, 115, 121, 115, 95, 112, 114, 105, 118, 97, 116, 101,
    0, 108, 111, 99, 107, 95, 107, 101, 121, 0, 110, 101, 101, 100, 95, 112, 97, 114, 101, 110,
    116, 95, 108, 111, 99, 107, 0, 98, 117, 115, 95, 116, 121, 112, 101, 0, 109, 111, 100, 95, 110,
    97, 109, 101, 0, 115, 117, 112, 112, 114, 101, 115, 115, 95, 98, 105, 110, 100, 95, 97, 116,
    116, 114, 115, 0, 112, 114, 111, 98, 101, 95, 116, 121, 112, 101, 0, 80, 82, 79, 66, 69, 95,
    68, 69, 70, 65, 85, 76, 84, 95, 83, 84, 82, 65, 84, 69, 71, 89, 0, 80, 82, 79, 66, 69, 95, 80,
    82, 69, 70, 69, 82, 95, 65, 83, 89, 78, 67, 72, 82, 79, 78, 79, 85, 83, 0, 80, 82, 79, 66, 69,
    95, 70, 79, 82, 67, 69, 95, 83, 89, 78, 67, 72, 82, 79, 78, 79, 85, 83, 0, 111, 102, 95, 109,
    97, 116, 99, 104, 95, 116, 97, 98, 108, 101, 0, 99, 111, 109, 112, 97, 116, 105, 98, 108, 101,
    0, 111, 102, 95, 100, 101, 118, 105, 99, 101, 95, 105, 100, 0, 97, 99, 112, 105, 95, 109, 97,
    116, 99, 104, 95, 116, 97, 98, 108, 101, 0, 100, 114, 105, 118, 101, 114, 95, 100, 97, 116, 97,
    0, 107, 101, 114, 110, 101, 108, 95, 117, 108, 111, 110, 103, 95, 116, 0, 99, 108, 115, 0, 99,
    108, 115, 95, 109, 115, 107, 0, 97, 99, 112, 105, 95, 100, 101, 118, 105, 99, 101, 95, 105,
    100, 0, 103, 114, 111, 117, 112, 115, 0, 99, 111, 114, 101, 100, 117, 109, 112, 0, 100, 114,
    105, 118, 101, 114, 0, 100, 114, 105, 118, 101, 114, 95, 112, 114, 105, 118, 97, 116, 101, 0,
    100, 101, 118, 105, 99, 101, 95, 100, 114, 105, 118, 101, 114, 0, 100, 101, 102, 101, 114, 114,
    101, 100, 95, 112, 114, 111, 98, 101, 95, 114, 101, 97, 115, 111, 110, 0, 100, 101, 118, 105,
    99, 101, 0, 100, 101, 97, 100, 0, 100, 101, 118, 105, 99, 101, 95, 112, 114, 105, 118, 97, 116,
    101, 0, 105, 110, 105, 116, 95, 110, 97, 109, 101, 0, 100, 101, 118, 105, 99, 101, 95, 116,
    121, 112, 101, 0, 112, 108, 97, 116, 102, 111, 114, 109, 95, 100, 97, 116, 97, 0, 108, 105,
    110, 107, 115, 0, 115, 117, 112, 112, 108, 105, 101, 114, 115, 0, 99, 111, 110, 115, 117, 109,
    101, 114, 115, 0, 110, 101, 101, 100, 115, 95, 115, 117, 112, 112, 108, 105, 101, 114, 115, 0,
    100, 101, 102, 101, 114, 95, 104, 111, 111, 107, 0, 110, 101, 101, 100, 95, 102, 111, 114, 95,
    112, 114, 111, 98, 101, 0, 68, 76, 95, 68, 69, 86, 95, 78, 79, 95, 68, 82, 73, 86, 69, 82, 0,
    68, 76, 95, 68, 69, 86, 95, 80, 82, 79, 66, 73, 78, 71, 0, 68, 76, 95, 68, 69, 86, 95, 68, 82,
    73, 86, 69, 82, 95, 66, 79, 85, 78, 68, 0, 68, 76, 95, 68, 69, 86, 95, 85, 78, 66, 73, 78, 68,
    73, 78, 71, 0, 100, 108, 95, 100, 101, 118, 95, 115, 116, 97, 116, 101, 0, 100, 101, 118, 95,
    108, 105, 110, 107, 115, 95, 105, 110, 102, 111, 0, 112, 111, 119, 101, 114, 95, 115, 116, 97,
    116, 101, 0, 99, 97, 110, 95, 119, 97, 107, 101, 117, 112, 0, 97, 115, 121, 110, 99, 95, 115,
    117, 115, 112, 101, 110, 100, 0, 105, 110, 95, 100, 112, 109, 95, 108, 105, 115, 116, 0, 105,
    115, 95, 112, 114, 101, 112, 97, 114, 101, 100, 0, 105, 115, 95, 115, 117, 115, 112, 101, 110,
    100, 101, 100, 0, 105, 115, 95, 110, 111, 105, 114, 113, 95, 115, 117, 115, 112, 101, 110, 100,
    101, 100, 0, 105, 115, 95, 108, 97, 116, 101, 95, 115, 117, 115, 112, 101, 110, 100, 101, 100,
    0, 110, 111, 95, 112, 109, 0, 101, 97, 114, 108, 121, 95, 105, 110, 105, 116, 0, 100, 105, 114,
    101, 99, 116, 95, 99, 111, 109, 112, 108, 101, 116, 101, 0, 100, 114, 105, 118, 101, 114, 95,
    102, 108, 97, 103, 115, 0, 119, 97, 107, 101, 117, 112, 0, 119, 97, 107, 101, 105, 114, 113, 0,
    119, 97, 107, 101, 95, 105, 114, 113, 0, 116, 105, 109, 101, 114, 95, 101, 120, 112, 105, 114,
    101, 115, 0, 116, 111, 116, 97, 108, 95, 116, 105, 109, 101, 0, 107, 116, 105, 109, 101, 95,
    116, 0, 109, 97, 120, 95, 116, 105, 109, 101, 0, 108, 97, 115, 116, 95, 116, 105, 109, 101, 0,
    115, 116, 97, 114, 116, 95, 112, 114, 101, 118, 101, 110, 116, 95, 116, 105, 109, 101, 0, 112,
    114, 101, 118, 101, 110, 116, 95, 115, 108, 101, 101, 112, 95, 116, 105, 109, 101, 0, 101, 118,
    101, 110, 116, 95, 99, 111, 117, 110, 116, 0, 97, 99, 116, 105, 118, 101, 95, 99, 111, 117,
    110, 116, 0, 114, 101, 108, 97, 120, 95, 99, 111, 117, 110, 116, 0, 101, 120, 112, 105, 114,
    101, 95, 99, 111, 117, 110, 116, 0, 119, 97, 107, 101, 117, 112, 95, 99, 111, 117, 110, 116, 0,
    97, 117, 116, 111, 115, 108, 101, 101, 112, 95, 101, 110, 97, 98, 108, 101, 100, 0, 119, 97,
    107, 101, 117, 112, 95, 115, 111, 117, 114, 99, 101, 0, 119, 97, 107, 101, 117, 112, 95, 112,
    97, 116, 104, 0, 115, 121, 115, 99, 111, 114, 101, 0, 110, 111, 95, 112, 109, 95, 99, 97, 108,
    108, 98, 97, 99, 107, 115, 0, 109, 117, 115, 116, 95, 114, 101, 115, 117, 109, 101, 0, 109, 97,
    121, 95, 115, 107, 105, 112, 95, 114, 101, 115, 117, 109, 101, 0, 115, 117, 115, 112, 101, 110,
    100, 95, 116, 105, 109, 101, 114, 0, 116, 105, 109, 101, 114, 113, 117, 101, 117, 101, 95, 110,
    111, 100, 101, 0, 95, 115, 111, 102, 116, 101, 120, 112, 105, 114, 101, 115, 0, 98, 97, 115,
    101, 0, 99, 112, 117, 95, 98, 97, 115, 101, 0, 97, 99, 116, 105, 118, 101, 95, 98, 97, 115,
    101, 115, 0, 99, 108, 111, 99, 107, 95, 119, 97, 115, 95, 115, 101, 116, 95, 115, 101, 113, 0,
    104, 114, 101, 115, 95, 97, 99, 116, 105, 118, 101, 0, 105, 110, 95, 104, 114, 116, 105, 114,
    113, 0, 104, 97, 110, 103, 95, 100, 101, 116, 101, 99, 116, 101, 100, 0, 115, 111, 102, 116,
    105, 114, 113, 95, 97, 99, 116, 105, 118, 97, 116, 101, 100, 0, 110, 114, 95, 101, 118, 101,
    110, 116, 115, 0, 110, 114, 95, 114, 101, 116, 114, 105, 101, 115, 0, 110, 114, 95, 104, 97,
    110, 103, 115, 0, 109, 97, 120, 95, 104, 97, 110, 103, 95, 116, 105, 109, 101, 0, 101, 120,
    112, 105, 114, 101, 115, 95, 110, 101, 120, 116, 0, 110, 101, 120, 116, 95, 116, 105, 109, 101,
    114, 0, 115, 111, 102, 116, 105, 114, 113, 95, 101, 120, 112, 105, 114, 101, 115, 95, 110, 101,
    120, 116, 0, 115, 111, 102, 116, 105, 114, 113, 95, 110, 101, 120, 116, 95, 116, 105, 109, 101,
    114, 0, 99, 108, 111, 99, 107, 95, 98, 97, 115, 101, 0, 104, 114, 116, 105, 109, 101, 114, 95,
    99, 112, 117, 95, 98, 97, 115, 101, 0, 99, 108, 111, 99, 107, 105, 100, 0, 95, 95, 107, 101,
    114, 110, 101, 108, 95, 99, 108, 111, 99, 107, 105, 100, 95, 116, 0, 99, 108, 111, 99, 107,
    105, 100, 95, 116, 0, 115, 101, 113, 99, 111, 117, 110, 116, 95, 114, 97, 119, 95, 115, 112,
    105, 110, 108, 111, 99, 107, 0, 115, 101, 113, 99, 111, 117, 110, 116, 95, 114, 97, 119, 95,
    115, 112, 105, 110, 108, 111, 99, 107, 95, 116, 0, 114, 117, 110, 110, 105, 110, 103, 0, 116,
    105, 109, 101, 114, 113, 117, 101, 117, 101, 95, 104, 101, 97, 100, 0, 103, 101, 116, 95, 116,
    105, 109, 101, 0, 104, 114, 116, 105, 109, 101, 114, 95, 99, 108, 111, 99, 107, 95, 98, 97,
    115, 101, 0, 105, 115, 95, 114, 101, 108, 0, 105, 115, 95, 115, 111, 102, 116, 0, 105, 115, 95,
    104, 97, 114, 100, 0, 104, 114, 116, 105, 109, 101, 114, 0, 119, 97, 105, 116, 95, 113, 117,
    101, 117, 101, 0, 117, 115, 97, 103, 101, 95, 99, 111, 117, 110, 116, 0, 99, 104, 105, 108,
    100, 95, 99, 111, 117, 110, 116, 0, 100, 105, 115, 97, 98, 108, 101, 95, 100, 101, 112, 116,
    104, 0, 105, 100, 108, 101, 95, 110, 111, 116, 105, 102, 105, 99, 97, 116, 105, 111, 110, 0,
    114, 101, 113, 117, 101, 115, 116, 95, 112, 101, 110, 100, 105, 110, 103, 0, 100, 101, 102,
    101, 114, 114, 101, 100, 95, 114, 101, 115, 117, 109, 101, 0, 114, 117, 110, 116, 105, 109,
    101, 95, 97, 117, 116, 111, 0, 105, 103, 110, 111, 114, 101, 95, 99, 104, 105, 108, 100, 114,
    101, 110, 0, 110, 111, 95, 99, 97, 108, 108, 98, 97, 99, 107, 115, 0, 105, 114, 113, 95, 115,
    97, 102, 101, 0, 117, 115, 101, 95, 97, 117, 116, 111, 115, 117, 115, 112, 101, 110, 100, 0,
    116, 105, 109, 101, 114, 95, 97, 117, 116, 111, 115, 117, 115, 112, 101, 110, 100, 115, 0, 109,
    101, 109, 97, 108, 108, 111, 99, 95, 110, 111, 105, 111, 0, 108, 105, 110, 107, 115, 95, 99,
    111, 117, 110, 116, 0, 114, 101, 113, 117, 101, 115, 116, 0, 82, 80, 77, 95, 82, 69, 81, 95,
    78, 79, 78, 69, 0, 82, 80, 77, 95, 82, 69, 81, 95, 73, 68, 76, 69, 0, 82, 80, 77, 95, 82, 69,
    81, 95, 83, 85, 83, 80, 69, 78, 68, 0, 82, 80, 77, 95, 82, 69, 81, 95, 65, 85, 84, 79, 83, 85,
    83, 80, 69, 78, 68, 0, 82, 80, 77, 95, 82, 69, 81, 95, 82, 69, 83, 85, 77, 69, 0, 114, 112,
    109, 95, 114, 101, 113, 117, 101, 115, 116, 0, 114, 117, 110, 116, 105, 109, 101, 95, 115, 116,
    97, 116, 117, 115, 0, 82, 80, 77, 95, 65, 67, 84, 73, 86, 69, 0, 82, 80, 77, 95, 82, 69, 83,
    85, 77, 73, 78, 71, 0, 82, 80, 77, 95, 83, 85, 83, 80, 69, 78, 68, 69, 68, 0, 82, 80, 77, 95,
    83, 85, 83, 80, 69, 78, 68, 73, 78, 71, 0, 114, 112, 109, 95, 115, 116, 97, 116, 117, 115, 0,
    114, 117, 110, 116, 105, 109, 101, 95, 101, 114, 114, 111, 114, 0, 97, 117, 116, 111, 115, 117,
    115, 112, 101, 110, 100, 95, 100, 101, 108, 97, 121, 0, 108, 97, 115, 116, 95, 98, 117, 115,
    121, 0, 97, 99, 116, 105, 118, 101, 95, 116, 105, 109, 101, 0, 115, 117, 115, 112, 101, 110,
    100, 101, 100, 95, 116, 105, 109, 101, 0, 97, 99, 99, 111, 117, 110, 116, 105, 110, 103, 95,
    116, 105, 109, 101, 115, 116, 97, 109, 112, 0, 115, 117, 98, 115, 121, 115, 95, 100, 97, 116,
    97, 0, 99, 108, 111, 99, 107, 95, 108, 105, 115, 116, 0, 100, 111, 109, 97, 105, 110, 95, 100,
    97, 116, 97, 0, 112, 109, 95, 100, 111, 109, 97, 105, 110, 95, 100, 97, 116, 97, 0, 112, 109,
    95, 115, 117, 98, 115, 121, 115, 95, 100, 97, 116, 97, 0, 115, 101, 116, 95, 108, 97, 116, 101,
    110, 99, 121, 95, 116, 111, 108, 101, 114, 97, 110, 99, 101, 0, 113, 111, 115, 0, 114, 101,
    115, 117, 109, 101, 95, 108, 97, 116, 101, 110, 99, 121, 0, 110, 111, 100, 101, 95, 108, 105,
    115, 116, 0, 112, 108, 105, 115, 116, 95, 104, 101, 97, 100, 0, 116, 97, 114, 103, 101, 116,
    95, 118, 97, 108, 117, 101, 0, 100, 101, 102, 97, 117, 108, 116, 95, 118, 97, 108, 117, 101, 0,
    110, 111, 95, 99, 111, 110, 115, 116, 114, 97, 105, 110, 116, 95, 118, 97, 108, 117, 101, 0,
    80, 77, 95, 81, 79, 83, 95, 85, 78, 73, 84, 73, 65, 76, 73, 90, 69, 68, 0, 80, 77, 95, 81, 79,
    83, 95, 77, 65, 88, 0, 80, 77, 95, 81, 79, 83, 95, 77, 73, 78, 0, 112, 109, 95, 113, 111, 115,
    95, 116, 121, 112, 101, 0, 110, 111, 116, 105, 102, 105, 101, 114, 115, 0, 112, 109, 95, 113,
    111, 115, 95, 99, 111, 110, 115, 116, 114, 97, 105, 110, 116, 115, 0, 108, 97, 116, 101, 110,
    99, 121, 95, 116, 111, 108, 101, 114, 97, 110, 99, 101, 0, 109, 105, 110, 95, 102, 114, 101,
    113, 0, 109, 105, 110, 95, 102, 114, 101, 113, 95, 110, 111, 116, 105, 102, 105, 101, 114, 115,
    0, 109, 97, 120, 95, 102, 114, 101, 113, 0, 109, 97, 120, 95, 102, 114, 101, 113, 95, 110, 111,
    116, 105, 102, 105, 101, 114, 115, 0, 102, 114, 101, 113, 95, 99, 111, 110, 115, 116, 114, 97,
    105, 110, 116, 115, 0, 101, 102, 102, 101, 99, 116, 105, 118, 101, 95, 102, 108, 97, 103, 115,
    0, 112, 109, 95, 113, 111, 115, 95, 102, 108, 97, 103, 115, 0, 114, 101, 115, 117, 109, 101,
    95, 108, 97, 116, 101, 110, 99, 121, 95, 114, 101, 113, 0, 68, 69, 86, 95, 80, 77, 95, 81, 79,
    83, 95, 82, 69, 83, 85, 77, 69, 95, 76, 65, 84, 69, 78, 67, 89, 0, 68, 69, 86, 95, 80, 77, 95,
    81, 79, 83, 95, 76, 65, 84, 69, 78, 67, 89, 95, 84, 79, 76, 69, 82, 65, 78, 67, 69, 0, 68, 69,
    86, 95, 80, 77, 95, 81, 79, 83, 95, 77, 73, 78, 95, 70, 82, 69, 81, 85, 69, 78, 67, 89, 0, 68,
    69, 86, 95, 80, 77, 95, 81, 79, 83, 95, 77, 65, 88, 95, 70, 82, 69, 81, 85, 69, 78, 67, 89, 0,
    68, 69, 86, 95, 80, 77, 95, 81, 79, 83, 95, 70, 76, 65, 71, 83, 0, 100, 101, 118, 95, 112, 109,
    95, 113, 111, 115, 95, 114, 101, 113, 95, 116, 121, 112, 101, 0, 112, 110, 111, 100, 101, 0,
    112, 114, 105, 111, 95, 108, 105, 115, 116, 0, 112, 108, 105, 115, 116, 95, 110, 111, 100, 101,
    0, 102, 108, 114, 0, 112, 109, 95, 113, 111, 115, 95, 102, 108, 97, 103, 115, 95, 114, 101,
    113, 117, 101, 115, 116, 0, 70, 82, 69, 81, 95, 81, 79, 83, 95, 77, 73, 78, 0, 70, 82, 69, 81,
    95, 81, 79, 83, 95, 77, 65, 88, 0, 102, 114, 101, 113, 95, 113, 111, 115, 95, 114, 101, 113,
    95, 116, 121, 112, 101, 0, 102, 114, 101, 113, 95, 113, 111, 115, 95, 114, 101, 113, 117, 101,
    115, 116, 0, 100, 101, 118, 95, 112, 109, 95, 113, 111, 115, 95, 114, 101, 113, 117, 101, 115,
    116, 0, 108, 97, 116, 101, 110, 99, 121, 95, 116, 111, 108, 101, 114, 97, 110, 99, 101, 95,
    114, 101, 113, 0, 102, 108, 97, 103, 115, 95, 114, 101, 113, 0, 100, 101, 118, 95, 112, 109,
    95, 113, 111, 115, 0, 100, 101, 118, 95, 112, 109, 95, 105, 110, 102, 111, 0, 112, 109, 95,
    100, 111, 109, 97, 105, 110, 0, 100, 101, 116, 97, 99, 104, 0, 97, 99, 116, 105, 118, 97, 116,
    101, 0, 115, 121, 110, 99, 0, 100, 105, 115, 109, 105, 115, 115, 0, 100, 101, 118, 95, 112,
    109, 95, 100, 111, 109, 97, 105, 110, 0, 101, 109, 95, 112, 100, 0, 116, 97, 98, 108, 101, 0,
    102, 114, 101, 113, 117, 101, 110, 99, 121, 0, 99, 111, 115, 116, 0, 101, 109, 95, 112, 101,
    114, 102, 95, 115, 116, 97, 116, 101, 0, 110, 114, 95, 112, 101, 114, 102, 95, 115, 116, 97,
    116, 101, 115, 0, 99, 112, 117, 115, 0, 101, 109, 95, 112, 101, 114, 102, 95, 100, 111, 109,
    97, 105, 110, 0, 109, 115, 105, 95, 100, 111, 109, 97, 105, 110, 0, 68, 79, 77, 65, 73, 78, 95,
    66, 85, 83, 95, 65, 78, 89, 0, 68, 79, 77, 65, 73, 78, 95, 66, 85, 83, 95, 87, 73, 82, 69, 68,
    0, 68, 79, 77, 65, 73, 78, 95, 66, 85, 83, 95, 71, 69, 78, 69, 82, 73, 67, 95, 77, 83, 73, 0,
    68, 79, 77, 65, 73, 78, 95, 66, 85, 83, 95, 80, 67, 73, 95, 77, 83, 73, 0, 68, 79, 77, 65, 73,
    78, 95, 66, 85, 83, 95, 80, 76, 65, 84, 70, 79, 82, 77, 95, 77, 83, 73, 0, 68, 79, 77, 65, 73,
    78, 95, 66, 85, 83, 95, 78, 69, 88, 85, 83, 0, 68, 79, 77, 65, 73, 78, 95, 66, 85, 83, 95, 73,
    80, 73, 0, 68, 79, 77, 65, 73, 78, 95, 66, 85, 83, 95, 70, 83, 76, 95, 77, 67, 95, 77, 83, 73,
    0, 68, 79, 77, 65, 73, 78, 95, 66, 85, 83, 95, 84, 73, 95, 83, 67, 73, 95, 73, 78, 84, 65, 95,
    77, 83, 73, 0, 68, 79, 77, 65, 73, 78, 95, 66, 85, 83, 95, 87, 65, 75, 69, 85, 80, 0, 105, 114,
    113, 95, 100, 111, 109, 97, 105, 110, 95, 98, 117, 115, 95, 116, 111, 107, 101, 110, 0, 115,
    101, 108, 101, 99, 116, 0, 112, 97, 114, 97, 109, 95, 99, 111, 117, 110, 116, 0, 105, 114, 113,
    95, 102, 119, 115, 112, 101, 99, 0, 105, 114, 113, 95, 104, 119, 95, 110, 117, 109, 98, 101,
    114, 95, 116, 0, 120, 108, 97, 116, 101, 0, 97, 108, 108, 111, 99, 0, 109, 97, 115, 107, 0,
    104, 119, 105, 114, 113, 0, 99, 111, 109, 109, 111, 110, 0, 115, 116, 97, 116, 101, 95, 117,
    115, 101, 95, 97, 99, 99, 101, 115, 115, 111, 114, 115, 0, 104, 97, 110, 100, 108, 101, 114,
    95, 100, 97, 116, 97, 0, 109, 115, 105, 95, 100, 101, 115, 99, 0, 110, 118, 101, 99, 95, 117,
    115, 101, 100, 0, 109, 115, 103, 0, 97, 100, 100, 114, 101, 115, 115, 95, 108, 111, 0, 97, 100,
    100, 114, 101, 115, 115, 95, 104, 105, 0, 109, 115, 105, 95, 109, 115, 103, 0, 97, 102, 102,
    105, 110, 105, 116, 121, 0, 105, 115, 95, 109, 97, 110, 97, 103, 101, 100, 0, 105, 114, 113,
    95, 97, 102, 102, 105, 110, 105, 116, 121, 95, 100, 101, 115, 99, 0, 105, 111, 109, 109, 117,
    95, 99, 111, 111, 107, 105, 101, 0, 119, 114, 105, 116, 101, 95, 109, 115, 105, 95, 109, 115,
    103, 0, 119, 114, 105, 116, 101, 95, 109, 115, 105, 95, 109, 115, 103, 95, 100, 97, 116, 97, 0,
    109, 97, 115, 107, 101, 100, 0, 109, 115, 105, 95, 97, 116, 116, 114, 105, 98, 0, 105, 115, 95,
    109, 115, 105, 120, 0, 109, 117, 108, 116, 105, 112, 108, 101, 0, 109, 117, 108, 116, 105, 95,
    99, 97, 112, 0, 109, 97, 115, 107, 98, 105, 116, 0, 105, 115, 95, 54, 52, 0, 105, 115, 95, 118,
    105, 114, 116, 117, 97, 108, 0, 101, 110, 116, 114, 121, 95, 110, 114, 0, 100, 101, 102, 97,
    117, 108, 116, 95, 105, 114, 113, 0, 109, 97, 115, 107, 95, 112, 111, 115, 0, 109, 97, 115,
    107, 95, 98, 97, 115, 101, 0, 112, 108, 97, 116, 102, 111, 114, 109, 0, 109, 115, 105, 95, 112,
    114, 105, 118, 95, 100, 97, 116, 97, 0, 104, 111, 115, 116, 95, 100, 97, 116, 97, 0, 97, 114,
    103, 0, 88, 56, 54, 95, 73, 82, 81, 95, 65, 76, 76, 79, 67, 95, 84, 89, 80, 69, 95, 73, 79, 65,
    80, 73, 67, 0, 88, 56, 54, 95, 73, 82, 81, 95, 65, 76, 76, 79, 67, 95, 84, 89, 80, 69, 95, 72,
    80, 69, 84, 0, 88, 56, 54, 95, 73, 82, 81, 95, 65, 76, 76, 79, 67, 95, 84, 89, 80, 69, 95, 77,
    83, 73, 0, 88, 56, 54, 95, 73, 82, 81, 95, 65, 76, 76, 79, 67, 95, 84, 89, 80, 69, 95, 77, 83,
    73, 88, 0, 88, 56, 54, 95, 73, 82, 81, 95, 65, 76, 76, 79, 67, 95, 84, 89, 80, 69, 95, 68, 77,
    65, 82, 0, 88, 56, 54, 95, 73, 82, 81, 95, 65, 76, 76, 79, 67, 95, 84, 89, 80, 69, 95, 85, 86,
    0, 105, 114, 113, 95, 97, 108, 108, 111, 99, 95, 116, 121, 112, 101, 0, 117, 110, 117, 115,
    101, 100, 0, 104, 112, 101, 116, 95, 105, 100, 0, 104, 112, 101, 116, 95, 105, 110, 100, 101,
    120, 0, 104, 112, 101, 116, 95, 100, 97, 116, 97, 0, 109, 115, 105, 95, 100, 101, 118, 0, 98,
    117, 115, 95, 108, 105, 115, 116, 0, 115, 108, 111, 116, 115, 0, 114, 101, 115, 111, 117, 114,
    99, 101, 0, 114, 101, 115, 111, 117, 114, 99, 101, 95, 115, 105, 122, 101, 95, 116, 0, 114,
    101, 115, 111, 117, 114, 99, 101, 115, 0, 98, 117, 115, 110, 95, 114, 101, 115, 0, 97, 100,
    100, 95, 98, 117, 115, 0, 114, 101, 109, 111, 118, 101, 95, 98, 117, 115, 0, 109, 97, 112, 95,
    98, 117, 115, 0, 112, 99, 105, 95, 111, 112, 115, 0, 109, 115, 105, 0, 111, 102, 95, 110, 111,
    100, 101, 0, 115, 101, 116, 117, 112, 95, 105, 114, 113, 0, 115, 101, 116, 117, 112, 95, 105,
    114, 113, 115, 0, 116, 101, 97, 114, 100, 111, 119, 110, 95, 105, 114, 113, 0, 109, 115, 105,
    95, 99, 111, 110, 116, 114, 111, 108, 108, 101, 114, 0, 115, 121, 115, 100, 97, 116, 97, 0,
    112, 114, 111, 99, 100, 105, 114, 0, 105, 110, 95, 117, 115, 101, 0, 112, 100, 101, 95, 111,
    112, 101, 110, 101, 114, 115, 0, 112, 100, 101, 95, 117, 110, 108, 111, 97, 100, 95, 108, 111,
    99, 107, 0, 112, 100, 101, 95, 117, 110, 108, 111, 97, 100, 95, 99, 111, 109, 112, 108, 101,
    116, 105, 111, 110, 0, 112, 114, 111, 99, 95, 105, 111, 112, 115, 0, 112, 114, 111, 99, 95,
    111, 112, 115, 0, 112, 114, 111, 99, 95, 102, 108, 97, 103, 115, 0, 112, 114, 111, 99, 95, 111,
    112, 101, 110, 0, 112, 114, 111, 99, 95, 114, 101, 97, 100, 0, 112, 114, 111, 99, 95, 119, 114,
    105, 116, 101, 0, 112, 114, 111, 99, 95, 108, 115, 101, 101, 107, 0, 112, 114, 111, 99, 95,
    114, 101, 108, 101, 97, 115, 101, 0, 112, 114, 111, 99, 95, 112, 111, 108, 108, 0, 112, 114,
    111, 99, 95, 105, 111, 99, 116, 108, 0, 112, 114, 111, 99, 95, 99, 111, 109, 112, 97, 116, 95,
    105, 111, 99, 116, 108, 0, 112, 114, 111, 99, 95, 109, 109, 97, 112, 0, 112, 114, 111, 99, 95,
    103, 101, 116, 95, 117, 110, 109, 97, 112, 112, 101, 100, 95, 97, 114, 101, 97, 0, 112, 114,
    111, 99, 95, 100, 105, 114, 95, 111, 112, 115, 0, 112, 114, 111, 99, 95, 100, 111, 112, 115, 0,
    115, 101, 113, 95, 111, 112, 115, 0, 115, 105, 110, 103, 108, 101, 95, 115, 104, 111, 119, 0,
    112, 114, 111, 99, 95, 119, 114, 105, 116, 101, 95, 116, 0, 115, 116, 97, 116, 101, 95, 115,
    105, 122, 101, 0, 108, 111, 119, 95, 105, 110, 111, 0, 110, 108, 105, 110, 107, 0, 110, 108,
    105, 110, 107, 95, 116, 0, 115, 117, 98, 100, 105, 114, 0, 115, 117, 98, 100, 105, 114, 95,
    110, 111, 100, 101, 0, 110, 97, 109, 101, 108, 101, 110, 0, 105, 110, 108, 105, 110, 101, 95,
    110, 97, 109, 101, 0, 112, 114, 111, 99, 95, 100, 105, 114, 95, 101, 110, 116, 114, 121, 0,
    110, 117, 109, 98, 101, 114, 0, 112, 114, 105, 109, 97, 114, 121, 0, 109, 97, 120, 95, 98, 117,
    115, 95, 115, 112, 101, 101, 100, 0, 99, 117, 114, 95, 98, 117, 115, 95, 115, 112, 101, 101,
    100, 0, 98, 114, 105, 100, 103, 101, 95, 99, 116, 108, 0, 98, 117, 115, 95, 102, 108, 97, 103,
    115, 0, 112, 99, 105, 95, 98, 117, 115, 95, 102, 108, 97, 103, 115, 95, 116, 0, 98, 114, 105,
    100, 103, 101, 0, 108, 101, 103, 97, 99, 121, 95, 105, 111, 0, 108, 101, 103, 97, 99, 121, 95,
    109, 101, 109, 0, 105, 115, 95, 97, 100, 100, 101, 100, 0, 112, 99, 105, 95, 98, 117, 115, 0,
    115, 117, 98, 111, 114, 100, 105, 110, 97, 116, 101, 0, 112, 114, 111, 99, 101, 110, 116, 0,
    115, 108, 111, 116, 0, 104, 111, 116, 112, 108, 117, 103, 0, 101, 110, 97, 98, 108, 101, 95,
    115, 108, 111, 116, 0, 100, 105, 115, 97, 98, 108, 101, 95, 115, 108, 111, 116, 0, 115, 101,
    116, 95, 97, 116, 116, 101, 110, 116, 105, 111, 110, 95, 115, 116, 97, 116, 117, 115, 0, 104,
    97, 114, 100, 119, 97, 114, 101, 95, 116, 101, 115, 116, 0, 103, 101, 116, 95, 112, 111, 119,
    101, 114, 95, 115, 116, 97, 116, 117, 115, 0, 103, 101, 116, 95, 97, 116, 116, 101, 110, 116,
    105, 111, 110, 95, 115, 116, 97, 116, 117, 115, 0, 103, 101, 116, 95, 108, 97, 116, 99, 104,
    95, 115, 116, 97, 116, 117, 115, 0, 103, 101, 116, 95, 97, 100, 97, 112, 116, 101, 114, 95,
    115, 116, 97, 116, 117, 115, 0, 114, 101, 115, 101, 116, 95, 115, 108, 111, 116, 0, 104, 111,
    116, 112, 108, 117, 103, 95, 115, 108, 111, 116, 95, 111, 112, 115, 0, 115, 108, 111, 116, 95,
    108, 105, 115, 116, 0, 112, 99, 105, 95, 115, 108, 111, 116, 0, 104, 111, 116, 112, 108, 117,
    103, 95, 115, 108, 111, 116, 0, 100, 101, 118, 102, 110, 0, 118, 101, 110, 100, 111, 114, 0,
    115, 117, 98, 115, 121, 115, 116, 101, 109, 95, 118, 101, 110, 100, 111, 114, 0, 115, 117, 98,
    115, 121, 115, 116, 101, 109, 95, 100, 101, 118, 105, 99, 101, 0, 114, 101, 118, 105, 115, 105,
    111, 110, 0, 104, 100, 114, 95, 116, 121, 112, 101, 0, 97, 101, 114, 95, 99, 97, 112, 0, 97,
    101, 114, 95, 115, 116, 97, 116, 115, 0, 100, 101, 118, 95, 99, 111, 114, 95, 101, 114, 114,
    115, 0, 100, 101, 118, 95, 102, 97, 116, 97, 108, 95, 101, 114, 114, 115, 0, 100, 101, 118, 95,
    110, 111, 110, 102, 97, 116, 97, 108, 95, 101, 114, 114, 115, 0, 100, 101, 118, 95, 116, 111,
    116, 97, 108, 95, 99, 111, 114, 95, 101, 114, 114, 115, 0, 100, 101, 118, 95, 116, 111, 116,
    97, 108, 95, 102, 97, 116, 97, 108, 95, 101, 114, 114, 115, 0, 100, 101, 118, 95, 116, 111,
    116, 97, 108, 95, 110, 111, 110, 102, 97, 116, 97, 108, 95, 101, 114, 114, 115, 0, 114, 111,
    111, 116, 112, 111, 114, 116, 95, 116, 111, 116, 97, 108, 95, 99, 111, 114, 95, 101, 114, 114,
    115, 0, 114, 111, 111, 116, 112, 111, 114, 116, 95, 116, 111, 116, 97, 108, 95, 102, 97, 116,
    97, 108, 95, 101, 114, 114, 115, 0, 114, 111, 111, 116, 112, 111, 114, 116, 95, 116, 111, 116,
    97, 108, 95, 110, 111, 110, 102, 97, 116, 97, 108, 95, 101, 114, 114, 115, 0, 112, 99, 105,
    101, 95, 99, 97, 112, 0, 109, 115, 105, 95, 99, 97, 112, 0, 109, 115, 105, 120, 95, 99, 97,
    112, 0, 112, 99, 105, 101, 95, 109, 112, 115, 115, 0, 114, 111, 109, 95, 98, 97, 115, 101, 95,
    114, 101, 103, 0, 112, 105, 110, 0, 112, 99, 105, 101, 95, 102, 108, 97, 103, 115, 95, 114,
    101, 103, 0, 100, 109, 97, 95, 97, 108, 105, 97, 115, 95, 109, 97, 115, 107, 0, 105, 100, 95,
    116, 97, 98, 108, 101, 0, 115, 117, 98, 118, 101, 110, 100, 111, 114, 0, 115, 117, 98, 100,
    101, 118, 105, 99, 101, 0, 99, 108, 97, 115, 115, 95, 109, 97, 115, 107, 0, 112, 99, 105, 95,
    100, 101, 118, 105, 99, 101, 95, 105, 100, 0, 115, 114, 105, 111, 118, 95, 99, 111, 110, 102,
    105, 103, 117, 114, 101, 0, 101, 114, 114, 95, 104, 97, 110, 100, 108, 101, 114, 0, 101, 114,
    114, 111, 114, 95, 100, 101, 116, 101, 99, 116, 101, 100, 0, 112, 99, 105, 95, 101, 114, 115,
    95, 114, 101, 115, 117, 108, 116, 95, 116, 0, 112, 99, 105, 95, 99, 104, 97, 110, 110, 101,
    108, 95, 115, 116, 97, 116, 101, 95, 116, 0, 109, 109, 105, 111, 95, 101, 110, 97, 98, 108,
    101, 100, 0, 115, 108, 111, 116, 95, 114, 101, 115, 101, 116, 0, 114, 101, 115, 101, 116, 95,
    112, 114, 101, 112, 97, 114, 101, 0, 114, 101, 115, 101, 116, 95, 100, 111, 110, 101, 0, 112,
    99, 105, 95, 101, 114, 114, 111, 114, 95, 104, 97, 110, 100, 108, 101, 114, 115, 0, 100, 121,
    110, 105, 100, 115, 0, 112, 99, 105, 95, 100, 121, 110, 105, 100, 115, 0, 112, 99, 105, 95,
    100, 114, 105, 118, 101, 114, 0, 100, 109, 97, 95, 109, 97, 115, 107, 0, 100, 109, 97, 95, 112,
    97, 114, 109, 115, 0, 109, 97, 120, 95, 115, 101, 103, 109, 101, 110, 116, 95, 115, 105, 122,
    101, 0, 115, 101, 103, 109, 101, 110, 116, 95, 98, 111, 117, 110, 100, 97, 114, 121, 95, 109,
    97, 115, 107, 0, 100, 101, 118, 105, 99, 101, 95, 100, 109, 97, 95, 112, 97, 114, 97, 109, 101,
    116, 101, 114, 115, 0, 99, 117, 114, 114, 101, 110, 116, 95, 115, 116, 97, 116, 101, 0, 112,
    99, 105, 95, 112, 111, 119, 101, 114, 95, 116, 0, 105, 109, 109, 95, 114, 101, 97, 100, 121, 0,
    112, 109, 95, 99, 97, 112, 0, 112, 109, 101, 95, 115, 117, 112, 112, 111, 114, 116, 0, 112,
    109, 101, 95, 112, 111, 108, 108, 0, 100, 49, 95, 115, 117, 112, 112, 111, 114, 116, 0, 100,
    50, 95, 115, 117, 112, 112, 111, 114, 116, 0, 110, 111, 95, 100, 49, 100, 50, 0, 110, 111, 95,
    100, 51, 99, 111, 108, 100, 0, 98, 114, 105, 100, 103, 101, 95, 100, 51, 0, 100, 51, 99, 111,
    108, 100, 95, 97, 108, 108, 111, 119, 101, 100, 0, 109, 109, 105, 111, 95, 97, 108, 119, 97,
    121, 115, 95, 111, 110, 0, 119, 97, 107, 101, 117, 112, 95, 112, 114, 101, 112, 97, 114, 101,
    100, 0, 114, 117, 110, 116, 105, 109, 101, 95, 100, 51, 99, 111, 108, 100, 0, 115, 107, 105,
    112, 95, 98, 117, 115, 95, 112, 109, 0, 105, 103, 110, 111, 114, 101, 95, 104, 111, 116, 112,
    108, 117, 103, 0, 104, 111, 116, 112, 108, 117, 103, 95, 117, 115, 101, 114, 95, 105, 110, 100,
    105, 99, 97, 116, 111, 114, 115, 0, 99, 108, 101, 97, 114, 95, 114, 101, 116, 114, 97, 105,
    110, 95, 108, 105, 110, 107, 0, 100, 51, 95, 100, 101, 108, 97, 121, 0, 100, 51, 99, 111, 108,
    100, 95, 100, 101, 108, 97, 121, 0, 108, 105, 110, 107, 95, 115, 116, 97, 116, 101, 0, 112,
    100, 101, 118, 0, 100, 111, 119, 110, 115, 116, 114, 101, 97, 109, 0, 97, 115, 112, 109, 95,
    115, 117, 112, 112, 111, 114, 116, 0, 97, 115, 112, 109, 95, 101, 110, 97, 98, 108, 101, 100,
    0, 97, 115, 112, 109, 95, 99, 97, 112, 97, 98, 108, 101, 0, 97, 115, 112, 109, 95, 100, 101,
    102, 97, 117, 108, 116, 0, 97, 115, 112, 109, 95, 100, 105, 115, 97, 98, 108, 101, 0, 99, 108,
    107, 112, 109, 95, 99, 97, 112, 97, 98, 108, 101, 0, 99, 108, 107, 112, 109, 95, 101, 110, 97,
    98, 108, 101, 100, 0, 99, 108, 107, 112, 109, 95, 100, 101, 102, 97, 117, 108, 116, 0, 99, 108,
    107, 112, 109, 95, 100, 105, 115, 97, 98, 108, 101, 0, 108, 97, 116, 101, 110, 99, 121, 95,
    117, 112, 0, 108, 48, 115, 0, 108, 49, 0, 97, 115, 112, 109, 95, 108, 97, 116, 101, 110, 99,
    121, 0, 108, 97, 116, 101, 110, 99, 121, 95, 100, 119, 0, 97, 99, 99, 101, 112, 116, 97, 98,
    108, 101, 0, 108, 49, 115, 115, 0, 117, 112, 95, 99, 97, 112, 95, 112, 116, 114, 0, 100, 119,
    95, 99, 97, 112, 95, 112, 116, 114, 0, 99, 116, 108, 49, 0, 99, 116, 108, 50, 0, 112, 99, 105,
    101, 95, 108, 105, 110, 107, 95, 115, 116, 97, 116, 101, 0, 108, 116, 114, 95, 112, 97, 116,
    104, 0, 101, 101, 116, 108, 112, 95, 112, 114, 101, 102, 105, 120, 95, 112, 97, 116, 104, 0,
    101, 114, 114, 111, 114, 95, 115, 116, 97, 116, 101, 0, 99, 102, 103, 95, 115, 105, 122, 101,
    0, 109, 97, 116, 99, 104, 95, 100, 114, 105, 118, 101, 114, 0, 116, 114, 97, 110, 115, 112, 97,
    114, 101, 110, 116, 0, 105, 111, 95, 119, 105, 110, 100, 111, 119, 0, 112, 114, 101, 102, 95,
    119, 105, 110, 100, 111, 119, 0, 112, 114, 101, 102, 95, 54, 52, 95, 119, 105, 110, 100, 111,
    119, 0, 109, 117, 108, 116, 105, 102, 117, 110, 99, 116, 105, 111, 110, 0, 105, 115, 95, 98,
    117, 115, 109, 97, 115, 116, 101, 114, 0, 110, 111, 95, 109, 115, 105, 0, 110, 111, 95, 54, 52,
    98, 105, 116, 95, 109, 115, 105, 0, 98, 108, 111, 99, 107, 95, 99, 102, 103, 95, 97, 99, 99,
    101, 115, 115, 0, 98, 114, 111, 107, 101, 110, 95, 112, 97, 114, 105, 116, 121, 95, 115, 116,
    97, 116, 117, 115, 0, 105, 114, 113, 95, 114, 101, 114, 111, 117, 116, 101, 95, 118, 97, 114,
    105, 97, 110, 116, 0, 109, 115, 105, 95, 101, 110, 97, 98, 108, 101, 100, 0, 109, 115, 105,
    120, 95, 101, 110, 97, 98, 108, 101, 100, 0, 97, 114, 105, 95, 101, 110, 97, 98, 108, 101, 100,
    0, 97, 116, 115, 95, 101, 110, 97, 98, 108, 101, 100, 0, 112, 97, 115, 105, 100, 95, 101, 110,
    97, 98, 108, 101, 100, 0, 112, 114, 105, 95, 101, 110, 97, 98, 108, 101, 100, 0, 110, 101, 101,
    100, 115, 95, 102, 114, 101, 115, 101, 116, 0, 115, 116, 97, 116, 101, 95, 115, 97, 118, 101,
    100, 0, 105, 115, 95, 112, 104, 121, 115, 102, 110, 0, 105, 115, 95, 118, 105, 114, 116, 102,
    110, 0, 114, 101, 115, 101, 116, 95, 102, 110, 0, 105, 115, 95, 104, 111, 116, 112, 108, 117,
    103, 95, 98, 114, 105, 100, 103, 101, 0, 115, 104, 112, 99, 95, 109, 97, 110, 97, 103, 101,
    100, 0, 105, 115, 95, 116, 104, 117, 110, 100, 101, 114, 98, 111, 108, 116, 0, 117, 110, 116,
    114, 117, 115, 116, 101, 100, 0, 101, 120, 116, 101, 114, 110, 97, 108, 95, 102, 97, 99, 105,
    110, 103, 0, 98, 114, 111, 107, 101, 110, 95, 105, 110, 116, 120, 95, 109, 97, 115, 107, 105,
    110, 103, 0, 105, 111, 95, 119, 105, 110, 100, 111, 119, 95, 49, 107, 0, 105, 114, 113, 95,
    109, 97, 110, 97, 103, 101, 100, 0, 110, 111, 110, 95, 99, 111, 109, 112, 108, 105, 97, 110,
    116, 95, 98, 97, 114, 115, 0, 105, 115, 95, 112, 114, 111, 98, 101, 100, 0, 108, 105, 110, 107,
    95, 97, 99, 116, 105, 118, 101, 95, 114, 101, 112, 111, 114, 116, 105, 110, 103, 0, 110, 111,
    95, 118, 102, 95, 115, 99, 97, 110, 0, 110, 111, 95, 99, 111, 109, 109, 97, 110, 100, 95, 109,
    101, 109, 111, 114, 121, 0, 100, 101, 118, 95, 102, 108, 97, 103, 115, 0, 112, 99, 105, 95,
    100, 101, 118, 95, 102, 108, 97, 103, 115, 95, 116, 0, 101, 110, 97, 98, 108, 101, 95, 99, 110,
    116, 0, 115, 97, 118, 101, 100, 95, 99, 111, 110, 102, 105, 103, 95, 115, 112, 97, 99, 101, 0,
    115, 97, 118, 101, 100, 95, 99, 97, 112, 95, 115, 112, 97, 99, 101, 0, 114, 111, 109, 95, 97,
    116, 116, 114, 0, 114, 111, 109, 95, 97, 116, 116, 114, 95, 101, 110, 97, 98, 108, 101, 100, 0,
    114, 101, 115, 95, 97, 116, 116, 114, 0, 114, 101, 115, 95, 97, 116, 116, 114, 95, 119, 99, 0,
    98, 114, 111, 107, 101, 110, 95, 99, 109, 100, 95, 99, 111, 109, 112, 108, 0, 112, 116, 109,
    95, 114, 111, 111, 116, 0, 112, 116, 109, 95, 101, 110, 97, 98, 108, 101, 100, 0, 112, 116,
    109, 95, 103, 114, 97, 110, 117, 108, 97, 114, 105, 116, 121, 0, 109, 115, 105, 95, 105, 114,
    113, 95, 103, 114, 111, 117, 112, 115, 0, 118, 112, 100, 0, 115, 101, 116, 95, 115, 105, 122,
    101, 0, 112, 99, 105, 95, 118, 112, 100, 95, 111, 112, 115, 0, 102, 108, 97, 103, 0, 98, 117,
    115, 121, 0, 118, 97, 108, 105, 100, 0, 112, 99, 105, 95, 118, 112, 100, 0, 100, 112, 99, 95,
    99, 97, 112, 0, 100, 112, 99, 95, 114, 112, 95, 101, 120, 116, 101, 110, 115, 105, 111, 110,
    115, 0, 100, 112, 99, 95, 114, 112, 95, 108, 111, 103, 95, 115, 105, 122, 101, 0, 115, 114,
    105, 111, 118, 0, 112, 111, 115, 0, 110, 114, 101, 115, 0, 99, 116, 114, 108, 0, 116, 111, 116,
    97, 108, 95, 86, 70, 115, 0, 105, 110, 105, 116, 105, 97, 108, 95, 86, 70, 115, 0, 110, 117,
    109, 95, 86, 70, 115, 0, 115, 116, 114, 105, 100, 101, 0, 118, 102, 95, 100, 101, 118, 105, 99,
    101, 0, 112, 103, 115, 122, 0, 109, 97, 120, 95, 86, 70, 95, 98, 117, 115, 101, 115, 0, 100,
    114, 105, 118, 101, 114, 95, 109, 97, 120, 95, 86, 70, 115, 0, 98, 97, 114, 115, 122, 0, 112,
    99, 105, 95, 115, 114, 105, 111, 118, 0, 112, 104, 121, 115, 102, 110, 0, 97, 116, 115, 95, 99,
    97, 112, 0, 97, 116, 115, 95, 115, 116, 117, 0, 112, 114, 105, 95, 99, 97, 112, 0, 112, 114,
    105, 95, 114, 101, 113, 115, 95, 97, 108, 108, 111, 99, 0, 112, 97, 115, 105, 100, 95, 114,
    101, 113, 117, 105, 114, 101, 100, 0, 112, 97, 115, 105, 100, 95, 99, 97, 112, 0, 112, 97, 115,
    105, 100, 95, 102, 101, 97, 116, 117, 114, 101, 115, 0, 112, 50, 112, 100, 109, 97, 0, 99, 104,
    117, 110, 107, 115, 0, 109, 105, 110, 95, 97, 108, 108, 111, 99, 95, 111, 114, 100, 101, 114,
    0, 97, 108, 103, 111, 0, 103, 101, 110, 112, 111, 111, 108, 95, 97, 108, 103, 111, 95, 116, 0,
    103, 101, 110, 95, 112, 111, 111, 108, 0, 112, 50, 112, 109, 101, 109, 95, 112, 117, 98, 108,
    105, 115, 104, 101, 100, 0, 109, 97, 112, 95, 116, 121, 112, 101, 115, 0, 112, 99, 105, 95,
    112, 50, 112, 100, 109, 97, 0, 97, 99, 115, 95, 99, 97, 112, 0, 114, 111, 109, 0, 114, 111,
    109, 108, 101, 110, 0, 100, 114, 105, 118, 101, 114, 95, 111, 118, 101, 114, 114, 105, 100,
    101, 0, 112, 114, 105, 118, 95, 102, 108, 97, 103, 115, 0, 112, 99, 105, 95, 100, 101, 118, 0,
    109, 115, 105, 95, 104, 119, 105, 114, 113, 0, 105, 111, 97, 112, 105, 99, 95, 105, 100, 0,
    105, 111, 97, 112, 105, 99, 95, 112, 105, 110, 0, 105, 111, 97, 112, 105, 99, 95, 110, 111,
    100, 101, 0, 105, 111, 97, 112, 105, 99, 95, 116, 114, 105, 103, 103, 101, 114, 0, 105, 111,
    97, 112, 105, 99, 95, 112, 111, 108, 97, 114, 105, 116, 121, 0, 105, 111, 97, 112, 105, 99, 95,
    118, 97, 108, 105, 100, 0, 105, 111, 97, 112, 105, 99, 95, 101, 110, 116, 114, 121, 0, 118,
    101, 99, 116, 111, 114, 0, 100, 101, 108, 105, 118, 101, 114, 121, 95, 109, 111, 100, 101, 0,
    100, 101, 115, 116, 95, 109, 111, 100, 101, 0, 100, 101, 108, 105, 118, 101, 114, 121, 95, 115,
    116, 97, 116, 117, 115, 0, 112, 111, 108, 97, 114, 105, 116, 121, 0, 105, 114, 114, 0, 116,
    114, 105, 103, 103, 101, 114, 0, 95, 95, 114, 101, 115, 101, 114, 118, 101, 100, 95, 50, 0, 95,
    95, 114, 101, 115, 101, 114, 118, 101, 100, 95, 51, 0, 100, 101, 115, 116, 0, 73, 79, 95, 65,
    80, 73, 67, 95, 114, 111, 117, 116, 101, 95, 101, 110, 116, 114, 121, 0, 100, 109, 97, 114, 95,
    105, 100, 0, 100, 109, 97, 114, 95, 100, 97, 116, 97, 0, 105, 114, 113, 95, 97, 108, 108, 111,
    99, 95, 105, 110, 102, 111, 0, 109, 115, 105, 95, 97, 108, 108, 111, 99, 95, 105, 110, 102,
    111, 95, 116, 0, 119, 114, 105, 116, 101, 95, 109, 115, 103, 0, 105, 114, 113, 95, 119, 114,
    105, 116, 101, 95, 109, 115, 105, 95, 109, 115, 103, 95, 116, 0, 100, 101, 118, 105, 100, 0,
    112, 108, 97, 116, 102, 111, 114, 109, 95, 109, 115, 105, 95, 112, 114, 105, 118, 95, 100, 97,
    116, 97, 0, 109, 115, 105, 95, 105, 110, 100, 101, 120, 0, 112, 108, 97, 116, 102, 111, 114,
    109, 95, 109, 115, 105, 95, 100, 101, 115, 99, 0, 102, 115, 108, 95, 109, 99, 0, 102, 115, 108,
    95, 109, 99, 95, 109, 115, 105, 95, 100, 101, 115, 99, 0, 105, 110, 116, 97, 0, 100, 101, 118,
    95, 105, 110, 100, 101, 120, 0, 116, 105, 95, 115, 99, 105, 95, 105, 110, 116, 97, 95, 109,
    115, 105, 95, 100, 101, 115, 99, 0, 101, 102, 102, 101, 99, 116, 105, 118, 101, 95, 97, 102,
    102, 105, 110, 105, 116, 121, 0, 105, 114, 113, 95, 99, 111, 109, 109, 111, 110, 95, 100, 97,
    116, 97, 0, 99, 104, 105, 112, 0, 112, 97, 114, 101, 110, 116, 95, 100, 101, 118, 105, 99, 101,
    0, 105, 114, 113, 95, 115, 116, 97, 114, 116, 117, 112, 0, 105, 114, 113, 95, 115, 104, 117,
    116, 100, 111, 119, 110, 0, 105, 114, 113, 95, 101, 110, 97, 98, 108, 101, 0, 105, 114, 113,
    95, 100, 105, 115, 97, 98, 108, 101, 0, 105, 114, 113, 95, 97, 99, 107, 0, 105, 114, 113, 95,
    109, 97, 115, 107, 0, 105, 114, 113, 95, 109, 97, 115, 107, 95, 97, 99, 107, 0, 105, 114, 113,
    95, 117, 110, 109, 97, 115, 107, 0, 105, 114, 113, 95, 101, 111, 105, 0, 105, 114, 113, 95,
    115, 101, 116, 95, 97, 102, 102, 105, 110, 105, 116, 121, 0, 105, 114, 113, 95, 114, 101, 116,
    114, 105, 103, 103, 101, 114, 0, 105, 114, 113, 95, 115, 101, 116, 95, 116, 121, 112, 101, 0,
    105, 114, 113, 95, 115, 101, 116, 95, 119, 97, 107, 101, 0, 105, 114, 113, 95, 98, 117, 115,
    95, 108, 111, 99, 107, 0, 105, 114, 113, 95, 98, 117, 115, 95, 115, 121, 110, 99, 95, 117, 110,
    108, 111, 99, 107, 0, 105, 114, 113, 95, 99, 112, 117, 95, 111, 110, 108, 105, 110, 101, 0,
    105, 114, 113, 95, 99, 112, 117, 95, 111, 102, 102, 108, 105, 110, 101, 0, 105, 114, 113, 95,
    115, 117, 115, 112, 101, 110, 100, 0, 105, 114, 113, 95, 114, 101, 115, 117, 109, 101, 0, 105,
    114, 113, 95, 112, 109, 95, 115, 104, 117, 116, 100, 111, 119, 110, 0, 105, 114, 113, 95, 99,
    97, 108, 99, 95, 109, 97, 115, 107, 0, 105, 114, 113, 95, 112, 114, 105, 110, 116, 95, 99, 104,
    105, 112, 0, 105, 114, 113, 95, 114, 101, 113, 117, 101, 115, 116, 95, 114, 101, 115, 111, 117,
    114, 99, 101, 115, 0, 105, 114, 113, 95, 114, 101, 108, 101, 97, 115, 101, 95, 114, 101, 115,
    111, 117, 114, 99, 101, 115, 0, 105, 114, 113, 95, 99, 111, 109, 112, 111, 115, 101, 95, 109,
    115, 105, 95, 109, 115, 103, 0, 105, 114, 113, 95, 119, 114, 105, 116, 101, 95, 109, 115, 105,
    95, 109, 115, 103, 0, 105, 114, 113, 95, 103, 101, 116, 95, 105, 114, 113, 99, 104, 105, 112,
    95, 115, 116, 97, 116, 101, 0, 73, 82, 81, 67, 72, 73, 80, 95, 83, 84, 65, 84, 69, 95, 80, 69,
    78, 68, 73, 78, 71, 0, 73, 82, 81, 67, 72, 73, 80, 95, 83, 84, 65, 84, 69, 95, 65, 67, 84, 73,
    86, 69, 0, 73, 82, 81, 67, 72, 73, 80, 95, 83, 84, 65, 84, 69, 95, 77, 65, 83, 75, 69, 68, 0,
    73, 82, 81, 67, 72, 73, 80, 95, 83, 84, 65, 84, 69, 95, 76, 73, 78, 69, 95, 76, 69, 86, 69, 76,
    0, 105, 114, 113, 99, 104, 105, 112, 95, 105, 114, 113, 95, 115, 116, 97, 116, 101, 0, 105,
    114, 113, 95, 115, 101, 116, 95, 105, 114, 113, 99, 104, 105, 112, 95, 115, 116, 97, 116, 101,
    0, 105, 114, 113, 95, 115, 101, 116, 95, 118, 99, 112, 117, 95, 97, 102, 102, 105, 110, 105,
    116, 121, 0, 105, 112, 105, 95, 115, 101, 110, 100, 95, 115, 105, 110, 103, 108, 101, 0, 105,
    112, 105, 95, 115, 101, 110, 100, 95, 109, 97, 115, 107, 0, 105, 114, 113, 95, 110, 109, 105,
    95, 115, 101, 116, 117, 112, 0, 105, 114, 113, 95, 110, 109, 105, 95, 116, 101, 97, 114, 100,
    111, 119, 110, 0, 105, 114, 113, 95, 99, 104, 105, 112, 0, 112, 97, 114, 101, 110, 116, 95,
    100, 97, 116, 97, 0, 99, 104, 105, 112, 95, 100, 97, 116, 97, 0, 105, 114, 113, 95, 100, 97,
    116, 97, 0, 100, 101, 97, 99, 116, 105, 118, 97, 116, 101, 0, 116, 114, 97, 110, 115, 108, 97,
    116, 101, 0, 105, 114, 113, 95, 100, 111, 109, 97, 105, 110, 95, 111, 112, 115, 0, 109, 97,
    112, 99, 111, 117, 110, 116, 0, 98, 117, 115, 95, 116, 111, 107, 101, 110, 0, 103, 99, 0, 105,
    114, 113, 115, 95, 112, 101, 114, 95, 99, 104, 105, 112, 0, 110, 117, 109, 95, 99, 104, 105,
    112, 115, 0, 105, 114, 113, 95, 102, 108, 97, 103, 115, 95, 116, 111, 95, 99, 108, 101, 97,
    114, 0, 105, 114, 113, 95, 102, 108, 97, 103, 115, 95, 116, 111, 95, 115, 101, 116, 0, 103, 99,
    95, 102, 108, 97, 103, 115, 0, 73, 82, 81, 95, 71, 67, 95, 73, 78, 73, 84, 95, 77, 65, 83, 75,
    95, 67, 65, 67, 72, 69, 0, 73, 82, 81, 95, 71, 67, 95, 73, 78, 73, 84, 95, 78, 69, 83, 84, 69,
    68, 95, 76, 79, 67, 75, 0, 73, 82, 81, 95, 71, 67, 95, 77, 65, 83, 75, 95, 67, 65, 67, 72, 69,
    95, 80, 69, 82, 95, 84, 89, 80, 69, 0, 73, 82, 81, 95, 71, 67, 95, 78, 79, 95, 77, 65, 83, 75,
    0, 73, 82, 81, 95, 71, 67, 95, 66, 69, 95, 73, 79, 0, 105, 114, 113, 95, 103, 99, 95, 102, 108,
    97, 103, 115, 0, 114, 101, 103, 95, 98, 97, 115, 101, 0, 114, 101, 103, 95, 114, 101, 97, 100,
    108, 0, 114, 101, 103, 95, 119, 114, 105, 116, 101, 108, 0, 105, 114, 113, 95, 98, 97, 115,
    101, 0, 105, 114, 113, 95, 99, 110, 116, 0, 109, 97, 115, 107, 95, 99, 97, 99, 104, 101, 0,
    116, 121, 112, 101, 95, 99, 97, 99, 104, 101, 0, 112, 111, 108, 97, 114, 105, 116, 121, 95, 99,
    97, 99, 104, 101, 0, 119, 97, 107, 101, 95, 101, 110, 97, 98, 108, 101, 100, 0, 119, 97, 107,
    101, 95, 97, 99, 116, 105, 118, 101, 0, 110, 117, 109, 95, 99, 116, 0, 105, 110, 115, 116, 97,
    108, 108, 101, 100, 0, 99, 104, 105, 112, 95, 116, 121, 112, 101, 115, 0, 114, 101, 103, 115,
    0, 101, 110, 97, 98, 108, 101, 0, 100, 105, 115, 97, 98, 108, 101, 0, 97, 99, 107, 0, 101, 111,
    105, 0, 105, 114, 113, 95, 99, 104, 105, 112, 95, 114, 101, 103, 115, 0, 107, 115, 116, 97,
    116, 95, 105, 114, 113, 115, 0, 104, 97, 110, 100, 108, 101, 95, 105, 114, 113, 0, 97, 99, 116,
    105, 111, 110, 0, 73, 82, 81, 95, 78, 79, 78, 69, 0, 73, 82, 81, 95, 72, 65, 78, 68, 76, 69,
    68, 0, 73, 82, 81, 95, 87, 65, 75, 69, 95, 84, 72, 82, 69, 65, 68, 0, 105, 114, 113, 114, 101,
    116, 117, 114, 110, 0, 105, 114, 113, 114, 101, 116, 117, 114, 110, 95, 116, 0, 105, 114, 113,
    95, 104, 97, 110, 100, 108, 101, 114, 95, 116, 0, 100, 101, 118, 95, 105, 100, 0, 112, 101,
    114, 99, 112, 117, 95, 100, 101, 118, 95, 105, 100, 0, 116, 104, 114, 101, 97, 100, 95, 102,
    110, 0, 116, 104, 114, 101, 97, 100, 0, 116, 104, 114, 101, 97, 100, 95, 102, 108, 97, 103,
    115, 0, 116, 104, 114, 101, 97, 100, 95, 109, 97, 115, 107, 0, 105, 114, 113, 97, 99, 116, 105,
    111, 110, 0, 115, 116, 97, 116, 117, 115, 95, 117, 115, 101, 95, 97, 99, 99, 101, 115, 115,
    111, 114, 115, 0, 99, 111, 114, 101, 95, 105, 110, 116, 101, 114, 110, 97, 108, 95, 115, 116,
    97, 116, 101, 95, 95, 100, 111, 95, 110, 111, 116, 95, 109, 101, 115, 115, 95, 119, 105, 116,
    104, 95, 105, 116, 0, 119, 97, 107, 101, 95, 100, 101, 112, 116, 104, 0, 116, 111, 116, 95, 99,
    111, 117, 110, 116, 0, 105, 114, 113, 95, 99, 111, 117, 110, 116, 0, 108, 97, 115, 116, 95,
    117, 110, 104, 97, 110, 100, 108, 101, 100, 0, 105, 114, 113, 115, 95, 117, 110, 104, 97, 110,
    100, 108, 101, 100, 0, 116, 104, 114, 101, 97, 100, 115, 95, 104, 97, 110, 100, 108, 101, 100,
    0, 116, 104, 114, 101, 97, 100, 115, 95, 104, 97, 110, 100, 108, 101, 100, 95, 108, 97, 115,
    116, 0, 112, 101, 114, 99, 112, 117, 95, 101, 110, 97, 98, 108, 101, 100, 0, 112, 101, 114, 99,
    112, 117, 95, 97, 102, 102, 105, 110, 105, 116, 121, 0, 97, 102, 102, 105, 110, 105, 116, 121,
    95, 104, 105, 110, 116, 0, 97, 102, 102, 105, 110, 105, 116, 121, 95, 110, 111, 116, 105, 102,
    121, 0, 110, 111, 116, 105, 102, 121, 0, 99, 112, 117, 109, 97, 115, 107, 95, 116, 0, 105, 114,
    113, 95, 97, 102, 102, 105, 110, 105, 116, 121, 95, 110, 111, 116, 105, 102, 121, 0, 112, 101,
    110, 100, 105, 110, 103, 95, 109, 97, 115, 107, 0, 116, 104, 114, 101, 97, 100, 115, 95, 111,
    110, 101, 115, 104, 111, 116, 0, 116, 104, 114, 101, 97, 100, 115, 95, 97, 99, 116, 105, 118,
    101, 0, 119, 97, 105, 116, 95, 102, 111, 114, 95, 116, 104, 114, 101, 97, 100, 115, 0, 110,
    114, 95, 97, 99, 116, 105, 111, 110, 115, 0, 110, 111, 95, 115, 117, 115, 112, 101, 110, 100,
    95, 100, 101, 112, 116, 104, 0, 99, 111, 110, 100, 95, 115, 117, 115, 112, 101, 110, 100, 95,
    100, 101, 112, 116, 104, 0, 102, 111, 114, 99, 101, 95, 114, 101, 115, 117, 109, 101, 95, 100,
    101, 112, 116, 104, 0, 114, 101, 113, 117, 101, 115, 116, 95, 109, 117, 116, 101, 120, 0, 112,
    97, 114, 101, 110, 116, 95, 105, 114, 113, 0, 105, 114, 113, 95, 100, 101, 115, 99, 0, 105,
    114, 113, 95, 102, 108, 111, 119, 95, 104, 97, 110, 100, 108, 101, 114, 95, 116, 0, 109, 97,
    115, 107, 95, 99, 97, 99, 104, 101, 95, 112, 114, 105, 118, 0, 105, 114, 113, 95, 99, 104, 105,
    112, 95, 116, 121, 112, 101, 0, 105, 114, 113, 95, 99, 104, 105, 112, 95, 103, 101, 110, 101,
    114, 105, 99, 0, 105, 114, 113, 95, 100, 111, 109, 97, 105, 110, 95, 99, 104, 105, 112, 95,
    103, 101, 110, 101, 114, 105, 99, 0, 104, 119, 105, 114, 113, 95, 109, 97, 120, 0, 114, 101,
    118, 109, 97, 112, 95, 100, 105, 114, 101, 99, 116, 95, 109, 97, 120, 95, 105, 114, 113, 0,
    114, 101, 118, 109, 97, 112, 95, 115, 105, 122, 101, 0, 114, 101, 118, 109, 97, 112, 95, 116,
    114, 101, 101, 0, 114, 101, 118, 109, 97, 112, 95, 116, 114, 101, 101, 95, 109, 117, 116, 101,
    120, 0, 108, 105, 110, 101, 97, 114, 95, 114, 101, 118, 109, 97, 112, 0, 105, 114, 113, 95,
    100, 111, 109, 97, 105, 110, 0, 112, 105, 110, 115, 0, 115, 116, 97, 116, 101, 115, 0, 115,
    101, 116, 116, 105, 110, 103, 115, 0, 112, 105, 110, 99, 116, 114, 108, 95, 115, 116, 97, 116,
    101, 0, 100, 116, 95, 109, 97, 112, 115, 0, 117, 115, 101, 114, 115, 0, 112, 105, 110, 99, 116,
    114, 108, 0, 100, 101, 102, 97, 117, 108, 116, 95, 115, 116, 97, 116, 101, 0, 105, 110, 105,
    116, 95, 115, 116, 97, 116, 101, 0, 115, 108, 101, 101, 112, 95, 115, 116, 97, 116, 101, 0,
    105, 100, 108, 101, 95, 115, 116, 97, 116, 101, 0, 100, 101, 118, 95, 112, 105, 110, 95, 105,
    110, 102, 111, 0, 109, 115, 105, 95, 108, 105, 115, 116, 0, 100, 109, 97, 95, 111, 112, 115, 0,
    103, 101, 116, 95, 115, 103, 116, 97, 98, 108, 101, 0, 115, 103, 108, 0, 112, 97, 103, 101, 95,
    108, 105, 110, 107, 0, 100, 109, 97, 95, 97, 100, 100, 114, 101, 115, 115, 0, 100, 109, 97, 95,
    108, 101, 110, 103, 116, 104, 0, 115, 99, 97, 116, 116, 101, 114, 108, 105, 115, 116, 0, 110,
    101, 110, 116, 115, 0, 111, 114, 105, 103, 95, 110, 101, 110, 116, 115, 0, 115, 103, 95, 116,
    97, 98, 108, 101, 0, 109, 97, 112, 95, 112, 97, 103, 101, 0, 68, 77, 65, 95, 66, 73, 68, 73,
    82, 69, 67, 84, 73, 79, 78, 65, 76, 0, 68, 77, 65, 95, 84, 79, 95, 68, 69, 86, 73, 67, 69, 0,
    68, 77, 65, 95, 70, 82, 79, 77, 95, 68, 69, 86, 73, 67, 69, 0, 68, 77, 65, 95, 78, 79, 78, 69,
    0, 100, 109, 97, 95, 100, 97, 116, 97, 95, 100, 105, 114, 101, 99, 116, 105, 111, 110, 0, 117,
    110, 109, 97, 112, 95, 112, 97, 103, 101, 0, 109, 97, 112, 95, 115, 103, 0, 117, 110, 109, 97,
    112, 95, 115, 103, 0, 109, 97, 112, 95, 114, 101, 115, 111, 117, 114, 99, 101, 0, 117, 110,
    109, 97, 112, 95, 114, 101, 115, 111, 117, 114, 99, 101, 0, 115, 121, 110, 99, 95, 115, 105,
    110, 103, 108, 101, 95, 102, 111, 114, 95, 99, 112, 117, 0, 115, 121, 110, 99, 95, 115, 105,
    110, 103, 108, 101, 95, 102, 111, 114, 95, 100, 101, 118, 105, 99, 101, 0, 115, 121, 110, 99,
    95, 115, 103, 95, 102, 111, 114, 95, 99, 112, 117, 0, 115, 121, 110, 99, 95, 115, 103, 95, 102,
    111, 114, 95, 100, 101, 118, 105, 99, 101, 0, 99, 97, 99, 104, 101, 95, 115, 121, 110, 99, 0,
    100, 109, 97, 95, 115, 117, 112, 112, 111, 114, 116, 101, 100, 0, 103, 101, 116, 95, 114, 101,
    113, 117, 105, 114, 101, 100, 95, 109, 97, 115, 107, 0, 109, 97, 120, 95, 109, 97, 112, 112,
    105, 110, 103, 95, 115, 105, 122, 101, 0, 103, 101, 116, 95, 109, 101, 114, 103, 101, 95, 98,
    111, 117, 110, 100, 97, 114, 121, 0, 100, 109, 97, 95, 109, 97, 112, 95, 111, 112, 115, 0, 99,
    111, 104, 101, 114, 101, 110, 116, 95, 100, 109, 97, 95, 109, 97, 115, 107, 0, 98, 117, 115,
    95, 100, 109, 97, 95, 108, 105, 109, 105, 116, 0, 100, 109, 97, 95, 112, 102, 110, 95, 111,
    102, 102, 115, 101, 116, 0, 100, 109, 97, 95, 112, 111, 111, 108, 115, 0, 100, 109, 97, 95,
    109, 101, 109, 0, 118, 105, 114, 116, 95, 98, 97, 115, 101, 0, 100, 101, 118, 105, 99, 101, 95,
    98, 97, 115, 101, 0, 112, 102, 110, 95, 98, 97, 115, 101, 0, 98, 105, 116, 109, 97, 112, 0,
    117, 115, 101, 95, 100, 101, 118, 95, 100, 109, 97, 95, 112, 102, 110, 95, 111, 102, 102, 115,
    101, 116, 0, 100, 109, 97, 95, 99, 111, 104, 101, 114, 101, 110, 116, 95, 109, 101, 109, 0, 97,
    114, 99, 104, 100, 97, 116, 97, 0, 100, 101, 118, 95, 97, 114, 99, 104, 100, 97, 116, 97, 0,
    110, 117, 109, 97, 95, 110, 111, 100, 101, 0, 100, 101, 118, 116, 0, 100, 101, 118, 114, 101,
    115, 95, 108, 111, 99, 107, 0, 100, 101, 118, 114, 101, 115, 95, 104, 101, 97, 100, 0, 105,
    111, 109, 109, 117, 0, 102, 97, 117, 108, 116, 95, 112, 97, 114, 97, 109, 0, 105, 111, 109,
    109, 117, 95, 100, 101, 118, 95, 102, 97, 117, 108, 116, 95, 104, 97, 110, 100, 108, 101, 114,
    95, 116, 0, 102, 97, 117, 108, 116, 115, 0, 105, 111, 109, 109, 117, 95, 102, 97, 117, 108,
    116, 95, 112, 97, 114, 97, 109, 0, 102, 119, 115, 112, 101, 99, 0, 105, 111, 109, 109, 117, 95,
    102, 119, 110, 111, 100, 101, 0, 110, 117, 109, 95, 112, 97, 115, 105, 100, 95, 98, 105, 116,
    115, 0, 110, 117, 109, 95, 105, 100, 115, 0, 105, 100, 115, 0, 105, 111, 109, 109, 117, 95,
    102, 119, 115, 112, 101, 99, 0, 105, 111, 109, 109, 117, 95, 100, 101, 118, 0, 100, 101, 118,
    95, 105, 111, 109, 109, 117, 0, 111, 102, 102, 108, 105, 110, 101, 95, 100, 105, 115, 97, 98,
    108, 101, 100, 0, 111, 102, 95, 110, 111, 100, 101, 95, 114, 101, 117, 115, 101, 100, 0, 115,
    116, 97, 116, 101, 95, 115, 121, 110, 99, 101, 100, 0, 119, 113, 95, 100, 101, 118, 105, 99,
    101, 0, 99, 112, 117, 95, 112, 119, 113, 115, 0, 110, 117, 109, 97, 95, 112, 119, 113, 95, 116,
    98, 108, 0, 119, 111, 114, 107, 113, 117, 101, 117, 101, 95, 115, 116, 114, 117, 99, 116, 0,
    100, 101, 108, 97, 121, 101, 100, 95, 119, 111, 114, 107, 0, 116, 111, 116, 97, 108, 0, 112,
    111, 108, 108, 95, 116, 97, 115, 107, 0, 112, 111, 108, 108, 95, 116, 105, 109, 101, 114, 0,
    112, 111, 108, 108, 95, 119, 97, 105, 116, 0, 112, 111, 108, 108, 95, 119, 97, 107, 101, 117,
    112, 0, 116, 114, 105, 103, 103, 101, 114, 95, 108, 111, 99, 107, 0, 116, 114, 105, 103, 103,
    101, 114, 115, 0, 110, 114, 95, 116, 114, 105, 103, 103, 101, 114, 115, 0, 112, 111, 108, 108,
    95, 115, 116, 97, 116, 101, 115, 0, 112, 111, 108, 108, 95, 109, 105, 110, 95, 112, 101, 114,
    105, 111, 100, 0, 112, 111, 108, 108, 105, 110, 103, 95, 116, 111, 116, 97, 108, 0, 112, 111,
    108, 108, 105, 110, 103, 95, 110, 101, 120, 116, 95, 117, 112, 100, 97, 116, 101, 0, 112, 111,
    108, 108, 105, 110, 103, 95, 117, 110, 116, 105, 108, 0, 112, 115, 105, 95, 103, 114, 111, 117,
    112, 0, 98, 112, 102, 0, 105, 116, 101, 109, 115, 0, 112, 114, 111, 103, 0, 112, 97, 103, 101,
    115, 0, 106, 105, 116, 101, 100, 0, 106, 105, 116, 95, 114, 101, 113, 117, 101, 115, 116, 101,
    100, 0, 103, 112, 108, 95, 99, 111, 109, 112, 97, 116, 105, 98, 108, 101, 0, 99, 98, 95, 97,
    99, 99, 101, 115, 115, 0, 100, 115, 116, 95, 110, 101, 101, 100, 101, 100, 0, 98, 108, 105,
    110, 100, 101, 100, 0, 105, 115, 95, 102, 117, 110, 99, 0, 107, 112, 114, 111, 98, 101, 95,
    111, 118, 101, 114, 114, 105, 100, 101, 0, 104, 97, 115, 95, 99, 97, 108, 108, 99, 104, 97,
    105, 110, 95, 98, 117, 102, 0, 101, 110, 102, 111, 114, 99, 101, 95, 101, 120, 112, 101, 99,
    116, 101, 100, 95, 97, 116, 116, 97, 99, 104, 95, 116, 121, 112, 101, 0, 99, 97, 108, 108, 95,
    103, 101, 116, 95, 115, 116, 97, 99, 107, 0, 101, 120, 112, 101, 99, 116, 101, 100, 95, 97,
    116, 116, 97, 99, 104, 95, 116, 121, 112, 101, 0, 106, 105, 116, 101, 100, 95, 108, 101, 110,
    0, 116, 97, 103, 0, 97, 117, 120, 0, 117, 115, 101, 100, 95, 109, 97, 112, 95, 99, 110, 116, 0,
    109, 97, 120, 95, 99, 116, 120, 95, 111, 102, 102, 115, 101, 116, 0, 109, 97, 120, 95, 112,
    107, 116, 95, 111, 102, 102, 115, 101, 116, 0, 109, 97, 120, 95, 116, 112, 95, 97, 99, 99, 101,
    115, 115, 0, 115, 116, 97, 99, 107, 95, 100, 101, 112, 116, 104, 0, 102, 117, 110, 99, 95, 99,
    110, 116, 0, 102, 117, 110, 99, 95, 105, 100, 120, 0, 97, 116, 116, 97, 99, 104, 95, 98, 116,
    102, 95, 105, 100, 0, 99, 116, 120, 95, 97, 114, 103, 95, 105, 110, 102, 111, 95, 115, 105,
    122, 101, 0, 109, 97, 120, 95, 114, 100, 111, 110, 108, 121, 95, 97, 99, 99, 101, 115, 115, 0,
    109, 97, 120, 95, 114, 100, 119, 114, 95, 97, 99, 99, 101, 115, 115, 0, 99, 116, 120, 95, 97,
    114, 103, 95, 105, 110, 102, 111, 0, 114, 101, 103, 95, 116, 121, 112, 101, 0, 98, 116, 102,
    95, 105, 100, 0, 98, 112, 102, 95, 99, 116, 120, 95, 97, 114, 103, 95, 97, 117, 120, 0, 108,
    105, 110, 107, 101, 100, 95, 112, 114, 111, 103, 0, 118, 101, 114, 105, 102, 105, 101, 114, 95,
    122, 101, 120, 116, 0, 111, 102, 102, 108, 111, 97, 100, 95, 114, 101, 113, 117, 101, 115, 116,
    101, 100, 0, 97, 116, 116, 97, 99, 104, 95, 98, 116, 102, 95, 116, 114, 97, 99, 101, 0, 102,
    117, 110, 99, 95, 112, 114, 111, 116, 111, 95, 117, 110, 114, 101, 108, 105, 97, 98, 108, 101,
    0, 116, 114, 97, 109, 112, 111, 108, 105, 110, 101, 95, 112, 114, 111, 103, 95, 116, 121, 112,
    101, 0, 116, 114, 97, 109, 112, 111, 108, 105, 110, 101, 0, 109, 111, 100, 101, 108, 0, 114,
    101, 116, 95, 115, 105, 122, 101, 0, 110, 114, 95, 97, 114, 103, 115, 0, 97, 114, 103, 95, 115,
    105, 122, 101, 0, 98, 116, 102, 95, 102, 117, 110, 99, 95, 109, 111, 100, 101, 108, 0, 102,
    116, 114, 97, 99, 101, 95, 109, 97, 110, 97, 103, 101, 100, 0, 101, 120, 116, 101, 110, 115,
    105, 111, 110, 95, 112, 114, 111, 103, 0, 112, 114, 111, 103, 115, 95, 104, 108, 105, 115, 116,
    0, 112, 114, 111, 103, 115, 95, 99, 110, 116, 0, 105, 109, 97, 103, 101, 0, 115, 101, 108, 101,
    99, 116, 111, 114, 0, 107, 115, 121, 109, 0, 108, 110, 111, 100, 101, 0, 116, 110, 111, 100,
    101, 0, 108, 97, 116, 99, 104, 95, 116, 114, 101, 101, 95, 110, 111, 100, 101, 0, 98, 112, 102,
    95, 107, 115, 121, 109, 0, 98, 112, 102, 95, 116, 114, 97, 109, 112, 111, 108, 105, 110, 101,
    0, 116, 114, 97, 109, 112, 95, 104, 108, 105, 115, 116, 0, 97, 116, 116, 97, 99, 104, 95, 102,
    117, 110, 99, 95, 112, 114, 111, 116, 111, 0, 110, 97, 109, 101, 95, 111, 102, 102, 0, 98, 116,
    102, 95, 116, 121, 112, 101, 0, 97, 116, 116, 97, 99, 104, 95, 102, 117, 110, 99, 95, 110, 97,
    109, 101, 0, 106, 105, 116, 95, 100, 97, 116, 97, 0, 112, 111, 107, 101, 95, 116, 97, 98, 0,
    105, 112, 0, 116, 97, 105, 108, 95, 99, 97, 108, 108, 0, 109, 97, 112, 95, 97, 108, 108, 111,
    99, 95, 99, 104, 101, 99, 107, 0, 109, 97, 112, 95, 116, 121, 112, 101, 0, 109, 97, 120, 95,
    101, 110, 116, 114, 105, 101, 115, 0, 109, 97, 112, 95, 102, 108, 97, 103, 115, 0, 105, 110,
    110, 101, 114, 95, 109, 97, 112, 95, 102, 100, 0, 109, 97, 112, 95, 110, 97, 109, 101, 0, 109,
    97, 112, 95, 105, 102, 105, 110, 100, 101, 120, 0, 98, 116, 102, 95, 102, 100, 0, 98, 116, 102,
    95, 107, 101, 121, 95, 116, 121, 112, 101, 95, 105, 100, 0, 98, 116, 102, 95, 118, 97, 108,
    117, 101, 95, 116, 121, 112, 101, 95, 105, 100, 0, 98, 116, 102, 95, 118, 109, 108, 105, 110,
    117, 120, 95, 118, 97, 108, 117, 101, 95, 116, 121, 112, 101, 95, 105, 100, 0, 109, 97, 112,
    95, 102, 100, 0, 110, 101, 120, 116, 95, 107, 101, 121, 0, 98, 97, 116, 99, 104, 0, 105, 110,
    95, 98, 97, 116, 99, 104, 0, 111, 117, 116, 95, 98, 97, 116, 99, 104, 0, 118, 97, 108, 117,
    101, 115, 0, 101, 108, 101, 109, 95, 102, 108, 97, 103, 115, 0, 112, 114, 111, 103, 95, 116,
    121, 112, 101, 0, 105, 110, 115, 110, 95, 99, 110, 116, 0, 105, 110, 115, 110, 115, 0, 108,
    105, 99, 101, 110, 115, 101, 0, 108, 111, 103, 95, 108, 101, 118, 101, 108, 0, 108, 111, 103,
    95, 115, 105, 122, 101, 0, 108, 111, 103, 95, 98, 117, 102, 0, 107, 101, 114, 110, 95, 118,
    101, 114, 115, 105, 111, 110, 0, 112, 114, 111, 103, 95, 102, 108, 97, 103, 115, 0, 112, 114,
    111, 103, 95, 110, 97, 109, 101, 0, 112, 114, 111, 103, 95, 105, 102, 105, 110, 100, 101, 120,
    0, 112, 114, 111, 103, 95, 98, 116, 102, 95, 102, 100, 0, 102, 117, 110, 99, 95, 105, 110, 102,
    111, 95, 114, 101, 99, 95, 115, 105, 122, 101, 0, 102, 117, 110, 99, 95, 105, 110, 102, 111, 0,
    102, 117, 110, 99, 95, 105, 110, 102, 111, 95, 99, 110, 116, 0, 108, 105, 110, 101, 95, 105,
    110, 102, 111, 95, 114, 101, 99, 95, 115, 105, 122, 101, 0, 108, 105, 110, 101, 95, 105, 110,
    102, 111, 0, 108, 105, 110, 101, 95, 105, 110, 102, 111, 95, 99, 110, 116, 0, 97, 116, 116, 97,
    99, 104, 95, 112, 114, 111, 103, 95, 102, 100, 0, 112, 97, 116, 104, 110, 97, 109, 101, 0, 98,
    112, 102, 95, 102, 100, 0, 102, 105, 108, 101, 95, 102, 108, 97, 103, 115, 0, 116, 97, 114,
    103, 101, 116, 95, 102, 100, 0, 97, 116, 116, 97, 99, 104, 95, 98, 112, 102, 95, 102, 100, 0,
    97, 116, 116, 97, 99, 104, 95, 116, 121, 112, 101, 0, 97, 116, 116, 97, 99, 104, 95, 102, 108,
    97, 103, 115, 0, 114, 101, 112, 108, 97, 99, 101, 95, 98, 112, 102, 95, 102, 100, 0, 116, 101,
    115, 116, 0, 112, 114, 111, 103, 95, 102, 100, 0, 114, 101, 116, 118, 97, 108, 0, 100, 97, 116,
    97, 95, 115, 105, 122, 101, 95, 105, 110, 0, 100, 97, 116, 97, 95, 115, 105, 122, 101, 95, 111,
    117, 116, 0, 100, 97, 116, 97, 95, 105, 110, 0, 100, 97, 116, 97, 95, 111, 117, 116, 0, 114,
    101, 112, 101, 97, 116, 0, 100, 117, 114, 97, 116, 105, 111, 110, 0, 99, 116, 120, 95, 115,
    105, 122, 101, 95, 105, 110, 0, 99, 116, 120, 95, 115, 105, 122, 101, 95, 111, 117, 116, 0, 99,
    116, 120, 95, 105, 110, 0, 99, 116, 120, 95, 111, 117, 116, 0, 115, 116, 97, 114, 116, 95, 105,
    100, 0, 112, 114, 111, 103, 95, 105, 100, 0, 109, 97, 112, 95, 105, 100, 0, 108, 105, 110, 107,
    95, 105, 100, 0, 110, 101, 120, 116, 95, 105, 100, 0, 111, 112, 101, 110, 95, 102, 108, 97,
    103, 115, 0, 105, 110, 102, 111, 95, 108, 101, 110, 0, 113, 117, 101, 114, 121, 0, 113, 117,
    101, 114, 121, 95, 102, 108, 97, 103, 115, 0, 112, 114, 111, 103, 95, 105, 100, 115, 0, 112,
    114, 111, 103, 95, 99, 110, 116, 0, 114, 97, 119, 95, 116, 114, 97, 99, 101, 112, 111, 105,
    110, 116, 0, 98, 116, 102, 0, 98, 116, 102, 95, 108, 111, 103, 95, 98, 117, 102, 0, 98, 116,
    102, 95, 115, 105, 122, 101, 0, 98, 116, 102, 95, 108, 111, 103, 95, 115, 105, 122, 101, 0, 98,
    116, 102, 95, 108, 111, 103, 95, 108, 101, 118, 101, 108, 0, 116, 97, 115, 107, 95, 102, 100,
    95, 113, 117, 101, 114, 121, 0, 112, 105, 100, 0, 102, 100, 0, 98, 117, 102, 95, 108, 101, 110,
    0, 102, 100, 95, 116, 121, 112, 101, 0, 112, 114, 111, 98, 101, 95, 111, 102, 102, 115, 101,
    116, 0, 112, 114, 111, 98, 101, 95, 97, 100, 100, 114, 0, 108, 105, 110, 107, 95, 99, 114, 101,
    97, 116, 101, 0, 116, 97, 114, 103, 101, 116, 95, 105, 102, 105, 110, 100, 101, 120, 0, 105,
    116, 101, 114, 95, 105, 110, 102, 111, 0, 105, 116, 101, 114, 95, 105, 110, 102, 111, 95, 108,
    101, 110, 0, 108, 105, 110, 107, 95, 117, 112, 100, 97, 116, 101, 0, 108, 105, 110, 107, 95,
    102, 100, 0, 110, 101, 119, 95, 112, 114, 111, 103, 95, 102, 100, 0, 111, 108, 100, 95, 112,
    114, 111, 103, 95, 102, 100, 0, 108, 105, 110, 107, 95, 100, 101, 116, 97, 99, 104, 0, 101,
    110, 97, 98, 108, 101, 95, 115, 116, 97, 116, 115, 0, 105, 116, 101, 114, 95, 99, 114, 101, 97,
    116, 101, 0, 98, 112, 102, 95, 97, 116, 116, 114, 0, 109, 97, 112, 95, 97, 108, 108, 111, 99,
    0, 109, 97, 112, 95, 114, 101, 108, 101, 97, 115, 101, 0, 109, 97, 112, 95, 102, 114, 101, 101,
    0, 109, 97, 112, 95, 103, 101, 116, 95, 110, 101, 120, 116, 95, 107, 101, 121, 0, 109, 97, 112,
    95, 114, 101, 108, 101, 97, 115, 101, 95, 117, 114, 101, 102, 0, 109, 97, 112, 95, 108, 111,
    111, 107, 117, 112, 95, 101, 108, 101, 109, 95, 115, 121, 115, 95, 111, 110, 108, 121, 0, 109,
    97, 112, 95, 108, 111, 111, 107, 117, 112, 95, 98, 97, 116, 99, 104, 0, 109, 97, 112, 95, 108,
    111, 111, 107, 117, 112, 95, 97, 110, 100, 95, 100, 101, 108, 101, 116, 101, 95, 98, 97, 116,
    99, 104, 0, 109, 97, 112, 95, 117, 112, 100, 97, 116, 101, 95, 98, 97, 116, 99, 104, 0, 109,
    97, 112, 95, 100, 101, 108, 101, 116, 101, 95, 98, 97, 116, 99, 104, 0, 109, 97, 112, 95, 108,
    111, 111, 107, 117, 112, 95, 101, 108, 101, 109, 0, 109, 97, 112, 95, 117, 112, 100, 97, 116,
    101, 95, 101, 108, 101, 109, 0, 109, 97, 112, 95, 100, 101, 108, 101, 116, 101, 95, 101, 108,
    101, 109, 0, 109, 97, 112, 95, 112, 117, 115, 104, 95, 101, 108, 101, 109, 0, 109, 97, 112, 95,
    112, 111, 112, 95, 101, 108, 101, 109, 0, 109, 97, 112, 95, 112, 101, 101, 107, 95, 101, 108,
    101, 109, 0, 109, 97, 112, 95, 102, 100, 95, 103, 101, 116, 95, 112, 116, 114, 0, 109, 97, 112,
    95, 102, 100, 95, 112, 117, 116, 95, 112, 116, 114, 0, 109, 97, 112, 95, 103, 101, 110, 95,
    108, 111, 111, 107, 117, 112, 0, 100, 115, 116, 95, 114, 101, 103, 0, 115, 114, 99, 95, 114,
    101, 103, 0, 111, 102, 102, 0, 105, 109, 109, 0, 98, 112, 102, 95, 105, 110, 115, 110, 0, 109,
    97, 112, 95, 102, 100, 95, 115, 121, 115, 95, 108, 111, 111, 107, 117, 112, 95, 101, 108, 101,
    109, 0, 109, 97, 112, 95, 115, 101, 113, 95, 115, 104, 111, 119, 95, 101, 108, 101, 109, 0,
    109, 97, 112, 95, 99, 104, 101, 99, 107, 95, 98, 116, 102, 0, 116, 121, 112, 101, 115, 0, 114,
    101, 115, 111, 108, 118, 101, 100, 95, 105, 100, 115, 0, 114, 101, 115, 111, 108, 118, 101,
    100, 95, 115, 105, 122, 101, 115, 0, 115, 116, 114, 105, 110, 103, 115, 0, 110, 111, 104, 100,
    114, 95, 100, 97, 116, 97, 0, 104, 100, 114, 0, 104, 100, 114, 95, 108, 101, 110, 0, 116, 121,
    112, 101, 95, 111, 102, 102, 0, 116, 121, 112, 101, 95, 108, 101, 110, 0, 115, 116, 114, 95,
    111, 102, 102, 0, 115, 116, 114, 95, 108, 101, 110, 0, 98, 116, 102, 95, 104, 101, 97, 100,
    101, 114, 0, 110, 114, 95, 116, 121, 112, 101, 115, 0, 116, 121, 112, 101, 115, 95, 115, 105,
    122, 101, 0, 100, 97, 116, 97, 95, 115, 105, 122, 101, 0, 109, 97, 112, 95, 112, 111, 107, 101,
    95, 116, 114, 97, 99, 107, 0, 109, 97, 112, 95, 112, 111, 107, 101, 95, 117, 110, 116, 114, 97,
    99, 107, 0, 109, 97, 112, 95, 112, 111, 107, 101, 95, 114, 117, 110, 0, 109, 97, 112, 95, 100,
    105, 114, 101, 99, 116, 95, 118, 97, 108, 117, 101, 95, 97, 100, 100, 114, 0, 109, 97, 112, 95,
    100, 105, 114, 101, 99, 116, 95, 118, 97, 108, 117, 101, 95, 109, 101, 116, 97, 0, 109, 97,
    112, 95, 109, 109, 97, 112, 0, 109, 97, 112, 95, 112, 111, 108, 108, 0, 109, 97, 112, 95, 98,
    116, 102, 95, 110, 97, 109, 101, 0, 109, 97, 112, 95, 98, 116, 102, 95, 105, 100, 0, 105, 116,
    101, 114, 95, 115, 101, 113, 95, 105, 110, 102, 111, 0, 105, 110, 105, 116, 95, 115, 101, 113,
    95, 112, 114, 105, 118, 97, 116, 101, 0, 98, 112, 102, 95, 105, 116, 101, 114, 95, 97, 117,
    120, 95, 105, 110, 102, 111, 0, 98, 112, 102, 95, 105, 116, 101, 114, 95, 105, 110, 105, 116,
    95, 115, 101, 113, 95, 112, 114, 105, 118, 95, 116, 0, 102, 105, 110, 105, 95, 115, 101, 113,
    95, 112, 114, 105, 118, 97, 116, 101, 0, 98, 112, 102, 95, 105, 116, 101, 114, 95, 102, 105,
    110, 105, 95, 115, 101, 113, 95, 112, 114, 105, 118, 95, 116, 0, 115, 101, 113, 95, 112, 114,
    105, 118, 95, 115, 105, 122, 101, 0, 98, 112, 102, 95, 105, 116, 101, 114, 95, 115, 101, 113,
    95, 105, 110, 102, 111, 0, 98, 112, 102, 95, 109, 97, 112, 95, 111, 112, 115, 0, 105, 110, 110,
    101, 114, 95, 109, 97, 112, 95, 109, 101, 116, 97, 0, 115, 112, 105, 110, 95, 108, 111, 99,
    107, 95, 111, 102, 102, 0, 109, 101, 109, 111, 114, 121, 0, 98, 112, 102, 95, 109, 97, 112, 95,
    109, 101, 109, 111, 114, 121, 0, 98, 121, 112, 97, 115, 115, 95, 115, 112, 101, 99, 95, 118,
    49, 0, 102, 114, 111, 122, 101, 110, 0, 117, 115, 101, 114, 99, 110, 116, 0, 102, 114, 101,
    101, 122, 101, 95, 109, 117, 116, 101, 120, 0, 119, 114, 105, 116, 101, 99, 110, 116, 0, 98,
    112, 102, 95, 109, 97, 112, 0, 105, 112, 95, 115, 116, 97, 98, 108, 101, 0, 97, 100, 106, 95,
    111, 102, 102, 0, 98, 112, 102, 95, 106, 105, 116, 95, 112, 111, 107, 101, 95, 100, 101, 115,
    99, 114, 105, 112, 116, 111, 114, 0, 115, 105, 122, 101, 95, 112, 111, 107, 101, 95, 116, 97,
    98, 0, 116, 101, 115, 116, 95, 114, 117, 110, 0, 98, 112, 102, 95, 112, 114, 111, 103, 95, 111,
    112, 115, 0, 117, 115, 101, 100, 95, 109, 97, 112, 115, 0, 108, 111, 97, 100, 95, 116, 105,
    109, 101, 0, 99, 103, 114, 111, 117, 112, 95, 115, 116, 111, 114, 97, 103, 101, 0, 111, 102,
    102, 108, 111, 97, 100, 0, 110, 101, 116, 100, 101, 118, 0, 111, 102, 102, 100, 101, 118, 0,
    105, 110, 115, 110, 95, 104, 111, 111, 107, 0, 105, 110, 115, 110, 95, 105, 100, 120, 0, 112,
    114, 101, 118, 95, 105, 110, 115, 110, 95, 105, 100, 120, 0, 103, 101, 116, 95, 102, 117, 110,
    99, 95, 112, 114, 111, 116, 111, 0, 103, 112, 108, 95, 111, 110, 108, 121, 0, 112, 107, 116,
    95, 97, 99, 99, 101, 115, 115, 0, 114, 101, 116, 95, 116, 121, 112, 101, 0, 82, 69, 84, 95, 73,
    78, 84, 69, 71, 69, 82, 0, 82, 69, 84, 95, 86, 79, 73, 68, 0, 82, 69, 84, 95, 80, 84, 82, 95,
    84, 79, 95, 77, 65, 80, 95, 86, 65, 76, 85, 69, 0, 82, 69, 84, 95, 80, 84, 82, 95, 84, 79, 95,
    77, 65, 80, 95, 86, 65, 76, 85, 69, 95, 79, 82, 95, 78, 85, 76, 76, 0, 82, 69, 84, 95, 80, 84,
    82, 95, 84, 79, 95, 83, 79, 67, 75, 69, 84, 95, 79, 82, 95, 78, 85, 76, 76, 0, 82, 69, 84, 95,
    80, 84, 82, 95, 84, 79, 95, 84, 67, 80, 95, 83, 79, 67, 75, 95, 79, 82, 95, 78, 85, 76, 76, 0,
    82, 69, 84, 95, 80, 84, 82, 95, 84, 79, 95, 83, 79, 67, 75, 95, 67, 79, 77, 77, 79, 78, 95, 79,
    82, 95, 78, 85, 76, 76, 0, 82, 69, 84, 95, 80, 84, 82, 95, 84, 79, 95, 65, 76, 76, 79, 67, 95,
    77, 69, 77, 95, 79, 82, 95, 78, 85, 76, 76, 0, 82, 69, 84, 95, 80, 84, 82, 95, 84, 79, 95, 66,
    84, 70, 95, 73, 68, 95, 79, 82, 95, 78, 85, 76, 76, 0, 98, 112, 102, 95, 114, 101, 116, 117,
    114, 110, 95, 116, 121, 112, 101, 0, 97, 114, 103, 49, 95, 116, 121, 112, 101, 0, 65, 82, 71,
    95, 68, 79, 78, 84, 67, 65, 82, 69, 0, 65, 82, 71, 95, 67, 79, 78, 83, 84, 95, 77, 65, 80, 95,
    80, 84, 82, 0, 65, 82, 71, 95, 80, 84, 82, 95, 84, 79, 95, 77, 65, 80, 95, 75, 69, 89, 0, 65,
    82, 71, 95, 80, 84, 82, 95, 84, 79, 95, 77, 65, 80, 95, 86, 65, 76, 85, 69, 0, 65, 82, 71, 95,
    80, 84, 82, 95, 84, 79, 95, 85, 78, 73, 78, 73, 84, 95, 77, 65, 80, 95, 86, 65, 76, 85, 69, 0,
    65, 82, 71, 95, 80, 84, 82, 95, 84, 79, 95, 77, 65, 80, 95, 86, 65, 76, 85, 69, 95, 79, 82, 95,
    78, 85, 76, 76, 0, 65, 82, 71, 95, 80, 84, 82, 95, 84, 79, 95, 77, 69, 77, 0, 65, 82, 71, 95,
    80, 84, 82, 95, 84, 79, 95, 77, 69, 77, 95, 79, 82, 95, 78, 85, 76, 76, 0, 65, 82, 71, 95, 80,
    84, 82, 95, 84, 79, 95, 85, 78, 73, 78, 73, 84, 95, 77, 69, 77, 0, 65, 82, 71, 95, 67, 79, 78,
    83, 84, 95, 83, 73, 90, 69, 0, 65, 82, 71, 95, 67, 79, 78, 83, 84, 95, 83, 73, 90, 69, 95, 79,
    82, 95, 90, 69, 82, 79, 0, 65, 82, 71, 95, 80, 84, 82, 95, 84, 79, 95, 67, 84, 88, 0, 65, 82,
    71, 95, 80, 84, 82, 95, 84, 79, 95, 67, 84, 88, 95, 79, 82, 95, 78, 85, 76, 76, 0, 65, 82, 71,
    95, 65, 78, 89, 84, 72, 73, 78, 71, 0, 65, 82, 71, 95, 80, 84, 82, 95, 84, 79, 95, 83, 80, 73,
    78, 95, 76, 79, 67, 75, 0, 65, 82, 71, 95, 80, 84, 82, 95, 84, 79, 95, 83, 79, 67, 75, 95, 67,
    79, 77, 77, 79, 78, 0, 65, 82, 71, 95, 80, 84, 82, 95, 84, 79, 95, 73, 78, 84, 0, 65, 82, 71,
    95, 80, 84, 82, 95, 84, 79, 95, 76, 79, 78, 71, 0, 65, 82, 71, 95, 80, 84, 82, 95, 84, 79, 95,
    83, 79, 67, 75, 69, 84, 0, 65, 82, 71, 95, 80, 84, 82, 95, 84, 79, 95, 83, 79, 67, 75, 69, 84,
    95, 79, 82, 95, 78, 85, 76, 76, 0, 65, 82, 71, 95, 80, 84, 82, 95, 84, 79, 95, 66, 84, 70, 95,
    73, 68, 0, 65, 82, 71, 95, 80, 84, 82, 95, 84, 79, 95, 65, 76, 76, 79, 67, 95, 77, 69, 77, 0,
    65, 82, 71, 95, 80, 84, 82, 95, 84, 79, 95, 65, 76, 76, 79, 67, 95, 77, 69, 77, 95, 79, 82, 95,
    78, 85, 76, 76, 0, 65, 82, 71, 95, 67, 79, 78, 83, 84, 95, 65, 76, 76, 79, 67, 95, 83, 73, 90,
    69, 95, 79, 82, 95, 90, 69, 82, 79, 0, 98, 112, 102, 95, 97, 114, 103, 95, 116, 121, 112, 101,
    0, 97, 114, 103, 50, 95, 116, 121, 112, 101, 0, 97, 114, 103, 51, 95, 116, 121, 112, 101, 0,
    97, 114, 103, 52, 95, 116, 121, 112, 101, 0, 97, 114, 103, 53, 95, 116, 121, 112, 101, 0, 97,
    114, 103, 95, 116, 121, 112, 101, 0, 99, 104, 101, 99, 107, 95, 98, 116, 102, 95, 105, 100, 0,
    114, 101, 116, 95, 98, 116, 102, 95, 105, 100, 0, 98, 112, 102, 95, 102, 117, 110, 99, 95, 112,
    114, 111, 116, 111, 0, 66, 80, 70, 95, 70, 85, 78, 67, 95, 117, 110, 115, 112, 101, 99, 0, 66,
    80, 70, 95, 70, 85, 78, 67, 95, 109, 97, 112, 95, 108, 111, 111, 107, 117, 112, 95, 101, 108,
    101, 109, 0, 66, 80, 70, 95, 70, 85, 78, 67, 95, 109, 97, 112, 95, 117, 112, 100, 97, 116, 101,
    95, 101, 108, 101, 109, 0, 66, 80, 70, 95, 70, 85, 78, 67, 95, 109, 97, 112, 95, 100, 101, 108,
    101, 116, 101, 95, 101, 108, 101, 109, 0, 66, 80, 70, 95, 70, 85, 78, 67, 95, 112, 114, 111,
    98, 101, 95, 114, 101, 97, 100, 0, 66, 80, 70, 95, 70, 85, 78, 67, 95, 107, 116, 105, 109, 101,
    95, 103, 101, 116, 95, 110, 115, 0, 66, 80, 70, 95, 70, 85, 78, 67, 95, 116, 114, 97, 99, 101,
    95, 112, 114, 105, 110, 116, 107, 0, 66, 80, 70, 95, 70, 85, 78, 67, 95, 103, 101, 116, 95,
    112, 114, 97, 110, 100, 111, 109, 95, 117, 51, 50, 0, 66, 80, 70, 95, 70, 85, 78, 67, 95, 103,
    101, 116, 95, 115, 109, 112, 95, 112, 114, 111, 99, 101, 115, 115, 111, 114, 95, 105, 100, 0,
    66, 80, 70, 95, 70, 85, 78, 67, 95, 115, 107, 98, 95, 115, 116, 111, 114, 101, 95, 98, 121,
    116, 101, 115, 0, 66, 80, 70, 95, 70, 85, 78, 67, 95, 108, 51, 95, 99, 115, 117, 109, 95, 114,
    101, 112, 108, 97, 99, 101, 0, 66, 80, 70, 95, 70, 85, 78, 67, 95, 108, 52, 95, 99, 115, 117,
    109, 95, 114, 101, 112, 108, 97, 99, 101, 0, 66, 80, 70, 95, 70, 85, 78, 67, 95, 116, 97, 105,
    108, 95, 99, 97, 108, 108, 0, 66, 80, 70, 95, 70, 85, 78, 67, 95, 99, 108, 111, 110, 101, 95,
    114, 101, 100, 105, 114, 101, 99, 116, 0, 66, 80, 70, 95, 70, 85, 78, 67, 95, 103, 101, 116,
    95, 99, 117, 114, 114, 101, 110, 116, 95, 112, 105, 100, 95, 116, 103, 105, 100, 0, 66, 80, 70,
    95, 70, 85, 78, 67, 95, 103, 101, 116, 95, 99, 117, 114, 114, 101, 110, 116, 95, 117, 105, 100,
    95, 103, 105, 100, 0, 66, 80, 70, 95, 70, 85, 78, 67, 95, 103, 101, 116, 95, 99, 117, 114, 114,
    101, 110, 116, 95, 99, 111, 109, 109, 0, 66, 80, 70, 95, 70, 85, 78, 67, 95, 103, 101, 116, 95,
    99, 103, 114, 111, 117, 112, 95, 99, 108, 97, 115, 115, 105, 100, 0, 66, 80, 70, 95, 70, 85,
    78, 67, 95, 115, 107, 98, 95, 118, 108, 97, 110, 95, 112, 117, 115, 104, 0, 66, 80, 70, 95, 70,
    85, 78, 67, 95, 115, 107, 98, 95, 118, 108, 97, 110, 95, 112, 111, 112, 0, 66, 80, 70, 95, 70,
    85, 78, 67, 95, 115, 107, 98, 95, 103, 101, 116, 95, 116, 117, 110, 110, 101, 108, 95, 107,
    101, 121, 0, 66, 80, 70, 95, 70, 85, 78, 67, 95, 115, 107, 98, 95, 115, 101, 116, 95, 116, 117,
    110, 110, 101, 108, 95, 107, 101, 121, 0, 66, 80, 70, 95, 70, 85, 78, 67, 95, 112, 101, 114,
    102, 95, 101, 118, 101, 110, 116, 95, 114, 101, 97, 100, 0, 66, 80, 70, 95, 70, 85, 78, 67, 95,
    114, 101, 100, 105, 114, 101, 99, 116, 0, 66, 80, 70, 95, 70, 85, 78, 67, 95, 103, 101, 116,
    95, 114, 111, 117, 116, 101, 95, 114, 101, 97, 108, 109, 0, 66, 80, 70, 95, 70, 85, 78, 67, 95,
    112, 101, 114, 102, 95, 101, 118, 101, 110, 116, 95, 111, 117, 116, 112, 117, 116, 0, 66, 80,
    70, 95, 70, 85, 78, 67, 95, 115, 107, 98, 95, 108, 111, 97, 100, 95, 98, 121, 116, 101, 115, 0,
    66, 80, 70, 95, 70, 85, 78, 67, 95, 103, 101, 116, 95, 115, 116, 97, 99, 107, 105, 100, 0, 66,
    80, 70, 95, 70, 85, 78, 67, 95, 99, 115, 117, 109, 95, 100, 105, 102, 102, 0, 66, 80, 70, 95,
    70, 85, 78, 67, 95, 115, 107, 98, 95, 103, 101, 116, 95, 116, 117, 110, 110, 101, 108, 95, 111,
    112, 116, 0, 66, 80, 70, 95, 70, 85, 78, 67, 95, 115, 107, 98, 95, 115, 101, 116, 95, 116, 117,
    110, 110, 101, 108, 95, 111, 112, 116, 0, 66, 80, 70, 95, 70, 85, 78, 67, 95, 115, 107, 98, 95,
    99, 104, 97, 110, 103, 101, 95, 112, 114, 111, 116, 111, 0, 66, 80, 70, 95, 70, 85, 78, 67, 95,
    115, 107, 98, 95, 99, 104, 97, 110, 103, 101, 95, 116, 121, 112, 101, 0, 66, 80, 70, 95, 70,
    85, 78, 67, 95, 115, 107, 98, 95, 117, 110, 100, 101, 114, 95, 99, 103, 114, 111, 117, 112, 0,
    66, 80, 70, 95, 70, 85, 78, 67, 95, 103, 101, 116, 95, 104, 97, 115, 104, 95, 114, 101, 99, 97,
    108, 99, 0, 66, 80, 70, 95, 70, 85, 78, 67, 95, 103, 101, 116, 95, 99, 117, 114, 114, 101, 110,
    116, 95, 116, 97, 115, 107, 0, 66, 80, 70, 95, 70, 85, 78, 67, 95, 112, 114, 111, 98, 101, 95,
    119, 114, 105, 116, 101, 95, 117, 115, 101, 114, 0, 66, 80, 70, 95, 70, 85, 78, 67, 95, 99,
    117, 114, 114, 101, 110, 116, 95, 116, 97, 115, 107, 95, 117, 110, 100, 101, 114, 95, 99, 103,
    114, 111, 117, 112, 0, 66, 80, 70, 95, 70, 85, 78, 67, 95, 115, 107, 98, 95, 99, 104, 97, 110,
    103, 101, 95, 116, 97, 105, 108, 0, 66, 80, 70, 95, 70, 85, 78, 67, 95, 115, 107, 98, 95, 112,
    117, 108, 108, 95, 100, 97, 116, 97, 0, 66, 80, 70, 95, 70, 85, 78, 67, 95, 99, 115, 117, 109,
    95, 117, 112, 100, 97, 116, 101, 0, 66, 80, 70, 95, 70, 85, 78, 67, 95, 115, 101, 116, 95, 104,
    97, 115, 104, 95, 105, 110, 118, 97, 108, 105, 100, 0, 66, 80, 70, 95, 70, 85, 78, 67, 95, 103,
    101, 116, 95, 110, 117, 109, 97, 95, 110, 111, 100, 101, 95, 105, 100, 0, 66, 80, 70, 95, 70,
    85, 78, 67, 95, 115, 107, 98, 95, 99, 104, 97, 110, 103, 101, 95, 104, 101, 97, 100, 0, 66, 80,
    70, 95, 70, 85, 78, 67, 95, 120, 100, 112, 95, 97, 100, 106, 117, 115, 116, 95, 104, 101, 97,
    100, 0, 66, 80, 70, 95, 70, 85, 78, 67, 95, 112, 114, 111, 98, 101, 95, 114, 101, 97, 100, 95,
    115, 116, 114, 0, 66, 80, 70, 95, 70, 85, 78, 67, 95, 103, 101, 116, 95, 115, 111, 99, 107,
    101, 116, 95, 99, 111, 111, 107, 105, 101, 0, 66, 80, 70, 95, 70, 85, 78, 67, 95, 103, 101,
    116, 95, 115, 111, 99, 107, 101, 116, 95, 117, 105, 100, 0, 66, 80, 70, 95, 70, 85, 78, 67, 95,
    115, 101, 116, 95, 104, 97, 115, 104, 0, 66, 80, 70, 95, 70, 85, 78, 67, 95, 115, 101, 116,
    115, 111, 99, 107, 111, 112, 116, 0, 66, 80, 70, 95, 70, 85, 78, 67, 95, 115, 107, 98, 95, 97,
    100, 106, 117, 115, 116, 95, 114, 111, 111, 109, 0, 66, 80, 70, 95, 70, 85, 78, 67, 95, 114,
    101, 100, 105, 114, 101, 99, 116, 95, 109, 97, 112, 0, 66, 80, 70, 95, 70, 85, 78, 67, 95, 115,
    107, 95, 114, 101, 100, 105, 114, 101, 99, 116, 95, 109, 97, 112, 0, 66, 80, 70, 95, 70, 85,
    78, 67, 95, 115, 111, 99, 107, 95, 109, 97, 112, 95, 117, 112, 100, 97, 116, 101, 0, 66, 80,
    70, 95, 70, 85, 78, 67, 95, 120, 100, 112, 95, 97, 100, 106, 117, 115, 116, 95, 109, 101, 116,
    97, 0, 66, 80, 70, 95, 70, 85, 78, 67, 95, 112, 101, 114, 102, 95, 101, 118, 101, 110, 116, 95,
    114, 101, 97, 100, 95, 118, 97, 108, 117, 101, 0, 66, 80, 70, 95, 70, 85, 78, 67, 95, 112, 101,
    114, 102, 95, 112, 114, 111, 103, 95, 114, 101, 97, 100, 95, 118, 97, 108, 117, 101, 0, 66, 80,
    70, 95, 70, 85, 78, 67, 95, 103, 101, 116, 115, 111, 99, 107, 111, 112, 116, 0, 66, 80, 70, 95,
    70, 85, 78, 67, 95, 111, 118, 101, 114, 114, 105, 100, 101, 95, 114, 101, 116, 117, 114, 110,
    0, 66, 80, 70, 95, 70, 85, 78, 67, 95, 115, 111, 99, 107, 95, 111, 112, 115, 95, 99, 98, 95,
    102, 108, 97, 103, 115, 95, 115, 101, 116, 0, 66, 80, 70, 95, 70, 85, 78, 67, 95, 109, 115,
    103, 95, 114, 101, 100, 105, 114, 101, 99, 116, 95, 109, 97, 112, 0, 66, 80, 70, 95, 70, 85,
    78, 67, 95, 109, 115, 103, 95, 97, 112, 112, 108, 121, 95, 98, 121, 116, 101, 115, 0, 66, 80,
    70, 95, 70, 85, 78, 67, 95, 109, 115, 103, 95, 99, 111, 114, 107, 95, 98, 121, 116, 101, 115,
    0, 66, 80, 70, 95, 70, 85, 78, 67, 95, 109, 115, 103, 95, 112, 117, 108, 108, 95, 100, 97, 116,
    97, 0, 66, 80, 70, 95, 70, 85, 78, 67, 95, 98, 105, 110, 100, 0, 66, 80, 70, 95, 70, 85, 78,
    67, 95, 120, 100, 112, 95, 97, 100, 106, 117, 115, 116, 95, 116, 97, 105, 108, 0, 66, 80, 70,
    95, 70, 85, 78, 67, 95, 115, 107, 98, 95, 103, 101, 116, 95, 120, 102, 114, 109, 95, 115, 116,
    97, 116, 101, 0, 66, 80, 70, 95, 70, 85, 78, 67, 95, 103, 101, 116, 95, 115, 116, 97, 99, 107,
    0, 66, 80, 70, 95, 70, 85, 78, 67, 95, 115, 107, 98, 95, 108, 111, 97, 100, 95, 98, 121, 116,
    101, 115, 95, 114, 101, 108, 97, 116, 105, 118, 101, 0, 66, 80, 70, 95, 70, 85, 78, 67, 95,
    102, 105, 98, 95, 108, 111, 111, 107, 117, 112, 0, 66, 80, 70, 95, 70, 85, 78, 67, 95, 115,
    111, 99, 107, 95, 104, 97, 115, 104, 95, 117, 112, 100, 97, 116, 101, 0, 66, 80, 70, 95, 70,
    85, 78, 67, 95, 109, 115, 103, 95, 114, 101, 100, 105, 114, 101, 99, 116, 95, 104, 97, 115,
    104, 0, 66, 80, 70, 95, 70, 85, 78, 67, 95, 115, 107, 95, 114, 101, 100, 105, 114, 101, 99,
    116, 95, 104, 97, 115, 104, 0, 66, 80, 70, 95, 70, 85, 78, 67, 95, 108, 119, 116, 95, 112, 117,
    115, 104, 95, 101, 110, 99, 97, 112, 0, 66, 80, 70, 95, 70, 85, 78, 67, 95, 108, 119, 116, 95,
    115, 101, 103, 54, 95, 115, 116, 111, 114, 101, 95, 98, 121, 116, 101, 115, 0, 66, 80, 70, 95,
    70, 85, 78, 67, 95, 108, 119, 116, 95, 115, 101, 103, 54, 95, 97, 100, 106, 117, 115, 116, 95,
    115, 114, 104, 0, 66, 80, 70, 95, 70, 85, 78, 67, 95, 108, 119, 116, 95, 115, 101, 103, 54, 95,
    97, 99, 116, 105, 111, 110, 0, 66, 80, 70, 95, 70, 85, 78, 67, 95, 114, 99, 95, 114, 101, 112,
    101, 97, 116, 0, 66, 80, 70, 95, 70, 85, 78, 67, 95, 114, 99, 95, 107, 101, 121, 100, 111, 119,
    110, 0, 66, 80, 70, 95, 70, 85, 78, 67, 95, 115, 107, 98, 95, 99, 103, 114, 111, 117, 112, 95,
    105, 100, 0, 66, 80, 70, 95, 70, 85, 78, 67, 95, 103, 101, 116, 95, 99, 117, 114, 114, 101,
    110, 116, 95, 99, 103, 114, 111, 117, 112, 95, 105, 100, 0, 66, 80, 70, 95, 70, 85, 78, 67, 95,
    103, 101, 116, 95, 108, 111, 99, 97, 108, 95, 115, 116, 111, 114, 97, 103, 101, 0, 66, 80, 70,
    95, 70, 85, 78, 67, 95, 115, 107, 95, 115, 101, 108, 101, 99, 116, 95, 114, 101, 117, 115, 101,
    112, 111, 114, 116, 0, 66, 80, 70, 95, 70, 85, 78, 67, 95, 115, 107, 98, 95, 97, 110, 99, 101,
    115, 116, 111, 114, 95, 99, 103, 114, 111, 117, 112, 95, 105, 100, 0, 66, 80, 70, 95, 70, 85,
    78, 67, 95, 115, 107, 95, 108, 111, 111, 107, 117, 112, 95, 116, 99, 112, 0, 66, 80, 70, 95,
    70, 85, 78, 67, 95, 115, 107, 95, 108, 111, 111, 107, 117, 112, 95, 117, 100, 112, 0, 66, 80,
    70, 95, 70, 85, 78, 67, 95, 115, 107, 95, 114, 101, 108, 101, 97, 115, 101, 0, 66, 80, 70, 95,
    70, 85, 78, 67, 95, 109, 97, 112, 95, 112, 117, 115, 104, 95, 101, 108, 101, 109, 0, 66, 80,
    70, 95, 70, 85, 78, 67, 95, 109, 97, 112, 95, 112, 111, 112, 95, 101, 108, 101, 109, 0, 66, 80,
    70, 95, 70, 85, 78, 67, 95, 109, 97, 112, 95, 112, 101, 101, 107, 95, 101, 108, 101, 109, 0,
    66, 80, 70, 95, 70, 85, 78, 67, 95, 109, 115, 103, 95, 112, 117, 115, 104, 95, 100, 97, 116,
    97, 0, 66, 80, 70, 95, 70, 85, 78, 67, 95, 109, 115, 103, 95, 112, 111, 112, 95, 100, 97, 116,
    97, 0, 66, 80, 70, 95, 70, 85, 78, 67, 95, 114, 99, 95, 112, 111, 105, 110, 116, 101, 114, 95,
    114, 101, 108, 0, 66, 80, 70, 95, 70, 85, 78, 67, 95, 115, 112, 105, 110, 95, 108, 111, 99,
    107, 0, 66, 80, 70, 95, 70, 85, 78, 67, 95, 115, 112, 105, 110, 95, 117, 110, 108, 111, 99,
    107, 0, 66, 80, 70, 95, 70, 85, 78, 67, 95, 115, 107, 95, 102, 117, 108, 108, 115, 111, 99,
    107, 0, 66, 80, 70, 95, 70, 85, 78, 67, 95, 116, 99, 112, 95, 115, 111, 99, 107, 0, 66, 80, 70,
    95, 70, 85, 78, 67, 95, 115, 107, 98, 95, 101, 99, 110, 95, 115, 101, 116, 95, 99, 101, 0, 66,
    80, 70, 95, 70, 85, 78, 67, 95, 103, 101, 116, 95, 108, 105, 115, 116, 101, 110, 101, 114, 95,
    115, 111, 99, 107, 0, 66, 80, 70, 95, 70, 85, 78, 67, 95, 115, 107, 99, 95, 108, 111, 111, 107,
    117, 112, 95, 116, 99, 112, 0, 66, 80, 70, 95, 70, 85, 78, 67, 95, 116, 99, 112, 95, 99, 104,
    101, 99, 107, 95, 115, 121, 110, 99, 111, 111, 107, 105, 101, 0, 66, 80, 70, 95, 70, 85, 78,
    67, 95, 115, 121, 115, 99, 116, 108, 95, 103, 101, 116, 95, 110, 97, 109, 101, 0, 66, 80, 70,
    95, 70, 85, 78, 67, 95, 115, 121, 115, 99, 116, 108, 95, 103, 101, 116, 95, 99, 117, 114, 114,
    101, 110, 116, 95, 118, 97, 108, 117, 101, 0, 66, 80, 70, 95, 70, 85, 78, 67, 95, 115, 121,
    115, 99, 116, 108, 95, 103, 101, 116, 95, 110, 101, 119, 95, 118, 97, 108, 117, 101, 0, 66, 80,
    70, 95, 70, 85, 78, 67, 95, 115, 121, 115, 99, 116, 108, 95, 115, 101, 116, 95, 110, 101, 119,
    95, 118, 97, 108, 117, 101, 0, 66, 80, 70, 95, 70, 85, 78, 67, 95, 115, 116, 114, 116, 111,
    108, 0, 66, 80, 70, 95, 70, 85, 78, 67, 95, 115, 116, 114, 116, 111, 117, 108, 0, 66, 80, 70,
    95, 70, 85, 78, 67, 95, 115, 107, 95, 115, 116, 111, 114, 97, 103, 101, 95, 103, 101, 116, 0,
    66, 80, 70, 95, 70, 85, 78, 67, 95, 115, 107, 95, 115, 116, 111, 114, 97, 103, 101, 95, 100,
    101, 108, 101, 116, 101, 0, 66, 80, 70, 95, 70, 85, 78, 67, 95, 115, 101, 110, 100, 95, 115,
    105, 103, 110, 97, 108, 0, 66, 80, 70, 95, 70, 85, 78, 67, 95, 116, 99, 112, 95, 103, 101, 110,
    95, 115, 121, 110, 99, 111, 111, 107, 105, 101, 0, 66, 80, 70, 95, 70, 85, 78, 67, 95, 115,
    107, 98, 95, 111, 117, 116, 112, 117, 116, 0, 66, 80, 70, 95, 70, 85, 78, 67, 95, 112, 114,
    111, 98, 101, 95, 114, 101, 97, 100, 95, 117, 115, 101, 114, 0, 66, 80, 70, 95, 70, 85, 78, 67,
    95, 112, 114, 111, 98, 101, 95, 114, 101, 97, 100, 95, 107, 101, 114, 110, 101, 108, 0, 66, 80,
    70, 95, 70, 85, 78, 67, 95, 112, 114, 111, 98, 101, 95, 114, 101, 97, 100, 95, 117, 115, 101,
    114, 95, 115, 116, 114, 0, 66, 80, 70, 95, 70, 85, 78, 67, 95, 112, 114, 111, 98, 101, 95, 114,
    101, 97, 100, 95, 107, 101, 114, 110, 101, 108, 95, 115, 116, 114, 0, 66, 80, 70, 95, 70, 85,
    78, 67, 95, 116, 99, 112, 95, 115, 101, 110, 100, 95, 97, 99, 107, 0, 66, 80, 70, 95, 70, 85,
    78, 67, 95, 115, 101, 110, 100, 95, 115, 105, 103, 110, 97, 108, 95, 116, 104, 114, 101, 97,
    100, 0, 66, 80, 70, 95, 70, 85, 78, 67, 95, 106, 105, 102, 102, 105, 101, 115, 54, 52, 0, 66,
    80, 70, 95, 70, 85, 78, 67, 95, 114, 101, 97, 100, 95, 98, 114, 97, 110, 99, 104, 95, 114, 101,
    99, 111, 114, 100, 115, 0, 66, 80, 70, 95, 70, 85, 78, 67, 95, 103, 101, 116, 95, 110, 115, 95,
    99, 117, 114, 114, 101, 110, 116, 95, 112, 105, 100, 95, 116, 103, 105, 100, 0, 66, 80, 70, 95,
    70, 85, 78, 67, 95, 120, 100, 112, 95, 111, 117, 116, 112, 117, 116, 0, 66, 80, 70, 95, 70, 85,
    78, 67, 95, 103, 101, 116, 95, 110, 101, 116, 110, 115, 95, 99, 111, 111, 107, 105, 101, 0, 66,
    80, 70, 95, 70, 85, 78, 67, 95, 103, 101, 116, 95, 99, 117, 114, 114, 101, 110, 116, 95, 97,
    110, 99, 101, 115, 116, 111, 114, 95, 99, 103, 114, 111, 117, 112, 95, 105, 100, 0, 66, 80, 70,
    95, 70, 85, 78, 67, 95, 115, 107, 95, 97, 115, 115, 105, 103, 110, 0, 66, 80, 70, 95, 70, 85,
    78, 67, 95, 107, 116, 105, 109, 101, 95, 103, 101, 116, 95, 98, 111, 111, 116, 95, 110, 115, 0,
    66, 80, 70, 95, 70, 85, 78, 67, 95, 115, 101, 113, 95, 112, 114, 105, 110, 116, 102, 0, 66, 80,
    70, 95, 70, 85, 78, 67, 95, 115, 101, 113, 95, 119, 114, 105, 116, 101, 0, 66, 80, 70, 95, 70,
    85, 78, 67, 95, 115, 107, 95, 99, 103, 114, 111, 117, 112, 95, 105, 100, 0, 66, 80, 70, 95, 70,
    85, 78, 67, 95, 115, 107, 95, 97, 110, 99, 101, 115, 116, 111, 114, 95, 99, 103, 114, 111, 117,
    112, 95, 105, 100, 0, 66, 80, 70, 95, 70, 85, 78, 67, 95, 114, 105, 110, 103, 98, 117, 102, 95,
    111, 117, 116, 112, 117, 116, 0, 66, 80, 70, 95, 70, 85, 78, 67, 95, 114, 105, 110, 103, 98,
    117, 102, 95, 114, 101, 115, 101, 114, 118, 101, 0, 66, 80, 70, 95, 70, 85, 78, 67, 95, 114,
    105, 110, 103, 98, 117, 102, 95, 115, 117, 98, 109, 105, 116, 0, 66, 80, 70, 95, 70, 85, 78,
    67, 95, 114, 105, 110, 103, 98, 117, 102, 95, 100, 105, 115, 99, 97, 114, 100, 0, 66, 80, 70,
    95, 70, 85, 78, 67, 95, 114, 105, 110, 103, 98, 117, 102, 95, 113, 117, 101, 114, 121, 0, 66,
    80, 70, 95, 70, 85, 78, 67, 95, 99, 115, 117, 109, 95, 108, 101, 118, 101, 108, 0, 66, 80, 70,
    95, 70, 85, 78, 67, 95, 115, 107, 99, 95, 116, 111, 95, 116, 99, 112, 54, 95, 115, 111, 99,
    107, 0, 66, 80, 70, 95, 70, 85, 78, 67, 95, 115, 107, 99, 95, 116, 111, 95, 116, 99, 112, 95,
    115, 111, 99, 107, 0, 66, 80, 70, 95, 70, 85, 78, 67, 95, 115, 107, 99, 95, 116, 111, 95, 116,
    99, 112, 95, 116, 105, 109, 101, 119, 97, 105, 116, 95, 115, 111, 99, 107, 0, 66, 80, 70, 95,
    70, 85, 78, 67, 95, 115, 107, 99, 95, 116, 111, 95, 116, 99, 112, 95, 114, 101, 113, 117, 101,
    115, 116, 95, 115, 111, 99, 107, 0, 66, 80, 70, 95, 70, 85, 78, 67, 95, 115, 107, 99, 95, 116,
    111, 95, 117, 100, 112, 54, 95, 115, 111, 99, 107, 0, 66, 80, 70, 95, 70, 85, 78, 67, 95, 103,
    101, 116, 95, 116, 97, 115, 107, 95, 115, 116, 97, 99, 107, 0, 95, 95, 66, 80, 70, 95, 70, 85,
    78, 67, 95, 77, 65, 88, 95, 73, 68, 0, 98, 112, 102, 95, 102, 117, 110, 99, 95, 105, 100, 0,
    105, 115, 95, 118, 97, 108, 105, 100, 95, 97, 99, 99, 101, 115, 115, 0, 66, 80, 70, 95, 82, 69,
    65, 68, 0, 66, 80, 70, 95, 87, 82, 73, 84, 69, 0, 98, 112, 102, 95, 97, 99, 99, 101, 115, 115,
    95, 116, 121, 112, 101, 0, 99, 116, 120, 95, 102, 105, 101, 108, 100, 95, 115, 105, 122, 101,
    0, 108, 111, 103, 0, 107, 98, 117, 102, 0, 117, 98, 117, 102, 0, 108, 101, 110, 95, 117, 115,
    101, 100, 0, 108, 101, 110, 95, 116, 111, 116, 97, 108, 0, 98, 112, 102, 95, 118, 101, 114,
    105, 102, 105, 101, 114, 95, 108, 111, 103, 0, 98, 112, 102, 95, 105, 110, 115, 110, 95, 97,
    99, 99, 101, 115, 115, 95, 97, 117, 120, 0, 103, 101, 110, 95, 112, 114, 111, 108, 111, 103,
    117, 101, 0, 103, 101, 110, 95, 108, 100, 95, 97, 98, 115, 0, 99, 111, 110, 118, 101, 114, 116,
    95, 99, 116, 120, 95, 97, 99, 99, 101, 115, 115, 0, 98, 116, 102, 95, 115, 116, 114, 117, 99,
    116, 95, 97, 99, 99, 101, 115, 115, 0, 98, 112, 102, 95, 118, 101, 114, 105, 102, 105, 101,
    114, 95, 111, 112, 115, 0, 115, 116, 0, 102, 114, 97, 109, 101, 0, 114, 97, 110, 103, 101, 0,
    109, 97, 112, 95, 112, 116, 114, 0, 109, 101, 109, 95, 115, 105, 122, 101, 0, 114, 97, 119, 0,
    114, 101, 102, 95, 111, 98, 106, 95, 105, 100, 0, 118, 97, 114, 95, 111, 102, 102, 0, 116, 110,
    117, 109, 0, 115, 109, 105, 110, 95, 118, 97, 108, 117, 101, 0, 115, 109, 97, 120, 95, 118, 97,
    108, 117, 101, 0, 117, 109, 105, 110, 95, 118, 97, 108, 117, 101, 0, 117, 109, 97, 120, 95,
    118, 97, 108, 117, 101, 0, 115, 51, 50, 95, 109, 105, 110, 95, 118, 97, 108, 117, 101, 0, 115,
    51, 50, 95, 109, 97, 120, 95, 118, 97, 108, 117, 101, 0, 117, 51, 50, 95, 109, 105, 110, 95,
    118, 97, 108, 117, 101, 0, 117, 51, 50, 95, 109, 97, 120, 95, 118, 97, 108, 117, 101, 0, 102,
    114, 97, 109, 101, 110, 111, 0, 115, 117, 98, 114, 101, 103, 95, 100, 101, 102, 0, 108, 105,
    118, 101, 0, 82, 69, 71, 95, 76, 73, 86, 69, 95, 78, 79, 78, 69, 0, 82, 69, 71, 95, 76, 73, 86,
    69, 95, 82, 69, 65, 68, 51, 50, 0, 82, 69, 71, 95, 76, 73, 86, 69, 95, 82, 69, 65, 68, 54, 52,
    0, 82, 69, 71, 95, 76, 73, 86, 69, 95, 82, 69, 65, 68, 0, 82, 69, 71, 95, 76, 73, 86, 69, 95,
    87, 82, 73, 84, 84, 69, 78, 0, 82, 69, 71, 95, 76, 73, 86, 69, 95, 68, 79, 78, 69, 0, 98, 112,
    102, 95, 114, 101, 103, 95, 108, 105, 118, 101, 110, 101, 115, 115, 0, 112, 114, 101, 99, 105,
    115, 101, 0, 98, 112, 102, 95, 114, 101, 103, 95, 115, 116, 97, 116, 101, 0, 99, 97, 108, 108,
    115, 105, 116, 101, 0, 115, 117, 98, 112, 114, 111, 103, 110, 111, 0, 97, 99, 113, 117, 105,
    114, 101, 100, 95, 114, 101, 102, 115, 0, 98, 112, 102, 95, 114, 101, 102, 101, 114, 101, 110,
    99, 101, 95, 115, 116, 97, 116, 101, 0, 97, 108, 108, 111, 99, 97, 116, 101, 100, 95, 115, 116,
    97, 99, 107, 0, 115, 112, 105, 108, 108, 101, 100, 95, 112, 116, 114, 0, 115, 108, 111, 116,
    95, 116, 121, 112, 101, 0, 98, 112, 102, 95, 115, 116, 97, 99, 107, 95, 115, 116, 97, 116, 101,
    0, 98, 112, 102, 95, 102, 117, 110, 99, 95, 115, 116, 97, 116, 101, 0, 98, 114, 97, 110, 99,
    104, 101, 115, 0, 99, 117, 114, 102, 114, 97, 109, 101, 0, 97, 99, 116, 105, 118, 101, 95, 115,
    112, 105, 110, 95, 108, 111, 99, 107, 0, 115, 112, 101, 99, 117, 108, 97, 116, 105, 118, 101,
    0, 102, 105, 114, 115, 116, 95, 105, 110, 115, 110, 95, 105, 100, 120, 0, 108, 97, 115, 116,
    95, 105, 110, 115, 110, 95, 105, 100, 120, 0, 106, 109, 112, 95, 104, 105, 115, 116, 111, 114,
    121, 0, 112, 114, 101, 118, 95, 105, 100, 120, 0, 105, 100, 120, 0, 98, 112, 102, 95, 105, 100,
    120, 95, 112, 97, 105, 114, 0, 106, 109, 112, 95, 104, 105, 115, 116, 111, 114, 121, 95, 99,
    110, 116, 0, 98, 112, 102, 95, 118, 101, 114, 105, 102, 105, 101, 114, 95, 115, 116, 97, 116,
    101, 0, 108, 111, 103, 95, 112, 111, 115, 0, 98, 112, 102, 95, 118, 101, 114, 105, 102, 105,
    101, 114, 95, 115, 116, 97, 99, 107, 95, 101, 108, 101, 109, 0, 115, 116, 97, 99, 107, 95, 115,
    105, 122, 101, 0, 115, 116, 114, 105, 99, 116, 95, 97, 108, 105, 103, 110, 109, 101, 110, 116,
    0, 116, 101, 115, 116, 95, 115, 116, 97, 116, 101, 95, 102, 114, 101, 113, 0, 99, 117, 114, 95,
    115, 116, 97, 116, 101, 0, 101, 120, 112, 108, 111, 114, 101, 100, 95, 115, 116, 97, 116, 101,
    115, 0, 109, 105, 115, 115, 95, 99, 110, 116, 0, 104, 105, 116, 95, 99, 110, 116, 0, 98, 112,
    102, 95, 118, 101, 114, 105, 102, 105, 101, 114, 95, 115, 116, 97, 116, 101, 95, 108, 105, 115,
    116, 0, 102, 114, 101, 101, 95, 108, 105, 115, 116, 0, 105, 100, 95, 103, 101, 110, 0, 97, 108,
    108, 111, 119, 95, 112, 116, 114, 95, 108, 101, 97, 107, 115, 0, 97, 108, 108, 111, 119, 95,
    112, 116, 114, 95, 116, 111, 95, 109, 97, 112, 95, 97, 99, 99, 101, 115, 115, 0, 98, 112, 102,
    95, 99, 97, 112, 97, 98, 108, 101, 0, 98, 121, 112, 97, 115, 115, 95, 115, 112, 101, 99, 95,
    118, 52, 0, 115, 101, 101, 110, 95, 100, 105, 114, 101, 99, 116, 95, 119, 114, 105, 116, 101,
    0, 105, 110, 115, 110, 95, 97, 117, 120, 95, 100, 97, 116, 97, 0, 112, 116, 114, 95, 116, 121,
    112, 101, 0, 109, 97, 112, 95, 112, 116, 114, 95, 115, 116, 97, 116, 101, 0, 99, 97, 108, 108,
    95, 105, 109, 109, 0, 97, 108, 117, 95, 108, 105, 109, 105, 116, 0, 109, 97, 112, 95, 105, 110,
    100, 101, 120, 0, 109, 97, 112, 95, 111, 102, 102, 0, 109, 97, 112, 95, 107, 101, 121, 95, 115,
    116, 97, 116, 101, 0, 115, 97, 110, 105, 116, 105, 122, 101, 95, 115, 116, 97, 99, 107, 95,
    111, 102, 102, 0, 115, 101, 101, 110, 0, 122, 101, 120, 116, 95, 100, 115, 116, 0, 97, 108,
    117, 95, 115, 116, 97, 116, 101, 0, 111, 114, 105, 103, 95, 105, 100, 120, 0, 112, 114, 117,
    110, 101, 95, 112, 111, 105, 110, 116, 0, 98, 112, 102, 95, 105, 110, 115, 110, 95, 97, 117,
    120, 95, 100, 97, 116, 97, 0, 112, 114, 101, 118, 95, 108, 105, 110, 102, 111, 0, 105, 110,
    115, 110, 95, 111, 102, 102, 0, 102, 105, 108, 101, 95, 110, 97, 109, 101, 95, 111, 102, 102,
    0, 108, 105, 110, 101, 95, 111, 102, 102, 0, 108, 105, 110, 101, 95, 99, 111, 108, 0, 98, 112,
    102, 95, 108, 105, 110, 101, 95, 105, 110, 102, 111, 0, 115, 117, 98, 112, 114, 111, 103, 95,
    105, 110, 102, 111, 0, 108, 105, 110, 102, 111, 95, 105, 100, 120, 0, 104, 97, 115, 95, 116,
    97, 105, 108, 95, 99, 97, 108, 108, 0, 98, 112, 102, 95, 115, 117, 98, 112, 114, 111, 103, 95,
    105, 110, 102, 111, 0, 99, 102, 103, 0, 105, 110, 115, 110, 95, 115, 116, 97, 116, 101, 0, 105,
    110, 115, 110, 95, 115, 116, 97, 99, 107, 0, 99, 117, 114, 95, 115, 116, 97, 99, 107, 0, 112,
    97, 115, 115, 95, 99, 110, 116, 0, 115, 117, 98, 112, 114, 111, 103, 95, 99, 110, 116, 0, 112,
    114, 101, 118, 95, 105, 110, 115, 110, 95, 112, 114, 111, 99, 101, 115, 115, 101, 100, 0, 105,
    110, 115, 110, 95, 112, 114, 111, 99, 101, 115, 115, 101, 100, 0, 112, 114, 101, 118, 95, 106,
    109, 112, 115, 95, 112, 114, 111, 99, 101, 115, 115, 101, 100, 0, 106, 109, 112, 115, 95, 112,
    114, 111, 99, 101, 115, 115, 101, 100, 0, 118, 101, 114, 105, 102, 105, 99, 97, 116, 105, 111,
    110, 95, 116, 105, 109, 101, 0, 109, 97, 120, 95, 115, 116, 97, 116, 101, 115, 95, 112, 101,
    114, 95, 105, 110, 115, 110, 0, 116, 111, 116, 97, 108, 95, 115, 116, 97, 116, 101, 115, 0,
    112, 101, 97, 107, 95, 115, 116, 97, 116, 101, 115, 0, 108, 111, 110, 103, 101, 115, 116, 95,
    109, 97, 114, 107, 95, 114, 101, 97, 100, 95, 119, 97, 108, 107, 0, 98, 112, 102, 95, 118, 101,
    114, 105, 102, 105, 101, 114, 95, 101, 110, 118, 0, 102, 105, 110, 97, 108, 105, 122, 101, 0,
    114, 101, 112, 108, 97, 99, 101, 95, 105, 110, 115, 110, 0, 114, 101, 109, 111, 118, 101, 95,
    105, 110, 115, 110, 115, 0, 98, 112, 102, 95, 112, 114, 111, 103, 95, 111, 102, 102, 108, 111,
    97, 100, 95, 111, 112, 115, 0, 110, 101, 116, 100, 101, 118, 115, 0, 98, 112, 102, 95, 111,
    102, 102, 108, 111, 97, 100, 95, 100, 101, 118, 0, 100, 101, 118, 95, 112, 114, 105, 118, 0,
    111, 102, 102, 108, 111, 97, 100, 115, 0, 100, 101, 118, 95, 115, 116, 97, 116, 101, 0, 111,
    112, 116, 95, 102, 97, 105, 108, 101, 100, 0, 106, 105, 116, 101, 100, 95, 105, 109, 97, 103,
    101, 0, 98, 112, 102, 95, 112, 114, 111, 103, 95, 111, 102, 102, 108, 111, 97, 100, 0, 116,
    121, 112, 101, 95, 105, 100, 0, 98, 112, 102, 95, 102, 117, 110, 99, 95, 105, 110, 102, 111, 0,
    102, 117, 110, 99, 95, 105, 110, 102, 111, 95, 97, 117, 120, 0, 108, 105, 110, 107, 97, 103,
    101, 0, 117, 110, 114, 101, 108, 105, 97, 98, 108, 101, 0, 98, 112, 102, 95, 102, 117, 110, 99,
    95, 105, 110, 102, 111, 95, 97, 117, 120, 0, 108, 105, 110, 102, 111, 0, 106, 105, 116, 101,
    100, 95, 108, 105, 110, 102, 111, 0, 110, 114, 95, 108, 105, 110, 102, 111, 0, 110, 117, 109,
    95, 101, 120, 101, 110, 116, 114, 105, 101, 115, 0, 101, 120, 116, 97, 98, 108, 101, 0, 105,
    110, 115, 110, 0, 102, 105, 120, 117, 112, 0, 101, 120, 99, 101, 112, 116, 105, 111, 110, 95,
    116, 97, 98, 108, 101, 95, 101, 110, 116, 114, 121, 0, 99, 110, 116, 0, 110, 115, 101, 99, 115,
    0, 115, 121, 110, 99, 112, 0, 98, 112, 102, 95, 112, 114, 111, 103, 95, 115, 116, 97, 116, 115,
    0, 98, 112, 102, 95, 112, 114, 111, 103, 95, 97, 117, 120, 0, 111, 114, 105, 103, 95, 112, 114,
    111, 103, 0, 106, 116, 0, 106, 102, 0, 107, 0, 115, 111, 99, 107, 95, 102, 105, 108, 116, 101,
    114, 0, 115, 111, 99, 107, 95, 102, 112, 114, 111, 103, 95, 107, 101, 114, 110, 0, 98, 112,
    102, 95, 102, 117, 110, 99, 0, 105, 110, 115, 110, 115, 105, 0, 98, 112, 102, 95, 112, 114,
    111, 103, 0, 98, 112, 102, 95, 115, 116, 111, 114, 97, 103, 101, 95, 98, 117, 102, 102, 101,
    114, 0, 112, 101, 114, 99, 112, 117, 95, 98, 117, 102, 0, 98, 112, 102, 95, 99, 103, 114, 111,
    117, 112, 95, 115, 116, 111, 114, 97, 103, 101, 95, 109, 97, 112, 0, 99, 103, 114, 111, 117,
    112, 95, 105, 110, 111, 100, 101, 95, 105, 100, 0, 98, 112, 102, 95, 99, 103, 114, 111, 117,
    112, 95, 115, 116, 111, 114, 97, 103, 101, 95, 107, 101, 121, 0, 108, 105, 115, 116, 95, 109,
    97, 112, 0, 108, 105, 115, 116, 95, 99, 103, 0, 98, 112, 102, 95, 99, 103, 114, 111, 117, 112,
    95, 115, 116, 111, 114, 97, 103, 101, 0, 98, 112, 102, 95, 112, 114, 111, 103, 95, 97, 114,
    114, 97, 121, 95, 105, 116, 101, 109, 0, 98, 112, 102, 95, 112, 114, 111, 103, 95, 97, 114,
    114, 97, 121, 0, 112, 114, 111, 103, 115, 0, 115, 116, 111, 114, 97, 103, 101, 115, 0, 105,
    110, 97, 99, 116, 105, 118, 101, 0, 112, 101, 114, 99, 112, 117, 95, 99, 111, 117, 110, 116,
    95, 112, 116, 114, 0, 112, 101, 114, 99, 112, 117, 95, 114, 101, 102, 95, 102, 117, 110, 99,
    95, 116, 0, 99, 111, 110, 102, 105, 114, 109, 95, 115, 119, 105, 116, 99, 104, 0, 102, 111,
    114, 99, 101, 95, 97, 116, 111, 109, 105, 99, 0, 97, 108, 108, 111, 119, 95, 114, 101, 105,
    110, 105, 116, 0, 112, 101, 114, 99, 112, 117, 95, 114, 101, 102, 0, 114, 101, 108, 101, 97,
    115, 101, 95, 119, 111, 114, 107, 0, 99, 103, 114, 111, 117, 112, 95, 98, 112, 102, 0, 99, 111,
    110, 103, 101, 115, 116, 105, 111, 110, 95, 99, 111, 117, 110, 116, 0, 102, 114, 101, 101, 122,
    101, 114, 0, 101, 95, 102, 114, 101, 101, 122, 101, 0, 110, 114, 95, 102, 114, 111, 122, 101,
    110, 95, 100, 101, 115, 99, 101, 110, 100, 97, 110, 116, 115, 0, 110, 114, 95, 102, 114, 111,
    122, 101, 110, 95, 116, 97, 115, 107, 115, 0, 99, 103, 114, 111, 117, 112, 95, 102, 114, 101,
    101, 122, 101, 114, 95, 115, 116, 97, 116, 101, 0, 97, 110, 99, 101, 115, 116, 111, 114, 95,
    105, 100, 115, 0, 115, 115, 0, 99, 115, 115, 95, 97, 108, 108, 111, 99, 0, 99, 115, 115, 95,
    111, 110, 108, 105, 110, 101, 0, 99, 115, 115, 95, 111, 102, 102, 108, 105, 110, 101, 0, 99,
    115, 115, 95, 114, 101, 108, 101, 97, 115, 101, 100, 0, 99, 115, 115, 95, 102, 114, 101, 101,
    0, 99, 115, 115, 95, 114, 101, 115, 101, 116, 0, 99, 115, 115, 95, 114, 115, 116, 97, 116, 95,
    102, 108, 117, 115, 104, 0, 99, 115, 115, 95, 101, 120, 116, 114, 97, 95, 115, 116, 97, 116,
    95, 115, 104, 111, 119, 0, 99, 97, 110, 95, 97, 116, 116, 97, 99, 104, 0, 115, 114, 99, 95, 99,
    115, 101, 116, 115, 0, 100, 115, 116, 95, 99, 115, 101, 116, 115, 0, 110, 114, 95, 116, 97,
    115, 107, 115, 0, 115, 115, 105, 100, 0, 99, 115, 101, 116, 115, 0, 99, 117, 114, 95, 99, 115,
    101, 116, 0, 100, 111, 109, 95, 99, 115, 101, 116, 0, 100, 102, 108, 95, 99, 103, 114, 112, 0,
    109, 103, 95, 116, 97, 115, 107, 115, 0, 100, 121, 105, 110, 103, 95, 116, 97, 115, 107, 115,
    0, 116, 97, 115, 107, 95, 105, 116, 101, 114, 115, 0, 101, 95, 99, 115, 101, 116, 95, 110, 111,
    100, 101, 0, 116, 104, 114, 101, 97, 100, 101, 100, 95, 99, 115, 101, 116, 115, 0, 116, 104,
    114, 101, 97, 100, 101, 100, 95, 99, 115, 101, 116, 115, 95, 110, 111, 100, 101, 0, 99, 103,
    114, 112, 95, 108, 105, 110, 107, 115, 0, 109, 103, 95, 112, 114, 101, 108, 111, 97, 100, 95,
    110, 111, 100, 101, 0, 109, 103, 95, 110, 111, 100, 101, 0, 109, 103, 95, 115, 114, 99, 95, 99,
    103, 114, 112, 0, 109, 103, 95, 100, 115, 116, 95, 99, 103, 114, 112, 0, 109, 103, 95, 100,
    115, 116, 95, 99, 115, 101, 116, 0, 99, 115, 115, 95, 115, 101, 116, 0, 99, 117, 114, 95, 116,
    97, 115, 107, 0, 99, 103, 114, 111, 117, 112, 95, 116, 97, 115, 107, 115, 101, 116, 0, 99, 97,
    110, 99, 101, 108, 95, 97, 116, 116, 97, 99, 104, 0, 97, 116, 116, 97, 99, 104, 0, 112, 111,
    115, 116, 95, 97, 116, 116, 97, 99, 104, 0, 99, 97, 110, 95, 102, 111, 114, 107, 0, 99, 97,
    110, 99, 101, 108, 95, 102, 111, 114, 107, 0, 102, 111, 114, 107, 0, 101, 120, 105, 116, 0, 98,
    105, 110, 100, 0, 105, 109, 112, 108, 105, 99, 105, 116, 95, 111, 110, 95, 100, 102, 108, 0,
    116, 104, 114, 101, 97, 100, 101, 100, 0, 98, 114, 111, 107, 101, 110, 95, 104, 105, 101, 114,
    97, 114, 99, 104, 121, 0, 119, 97, 114, 110, 101, 100, 95, 98, 114, 111, 107, 101, 110, 95,
    104, 105, 101, 114, 97, 114, 99, 104, 121, 0, 108, 101, 103, 97, 99, 121, 95, 110, 97, 109,
    101, 0, 99, 115, 115, 95, 105, 100, 114, 0, 99, 102, 116, 115, 0, 100, 102, 108, 95, 99, 102,
    116, 121, 112, 101, 115, 0, 109, 97, 120, 95, 119, 114, 105, 116, 101, 95, 108, 101, 110, 0,
    102, 105, 108, 101, 95, 111, 102, 102, 115, 101, 116, 0, 107, 102, 95, 111, 112, 115, 0, 114,
    101, 97, 100, 95, 117, 54, 52, 0, 114, 101, 97, 100, 95, 115, 54, 52, 0, 119, 114, 105, 116,
    101, 95, 117, 54, 52, 0, 119, 114, 105, 116, 101, 95, 115, 54, 52, 0, 99, 102, 116, 121, 112,
    101, 0, 108, 101, 103, 97, 99, 121, 95, 99, 102, 116, 121, 112, 101, 115, 0, 100, 101, 112,
    101, 110, 100, 115, 95, 111, 110, 0, 99, 103, 114, 111, 117, 112, 95, 115, 117, 98, 115, 121,
    115, 0, 114, 115, 116, 97, 116, 95, 99, 115, 115, 95, 110, 111, 100, 101, 0, 115, 101, 114,
    105, 97, 108, 95, 110, 114, 0, 111, 110, 108, 105, 110, 101, 95, 99, 110, 116, 0, 100, 101,
    115, 116, 114, 111, 121, 95, 119, 111, 114, 107, 0, 100, 101, 115, 116, 114, 111, 121, 95, 114,
    119, 111, 114, 107, 0, 114, 99, 117, 95, 119, 111, 114, 107, 0, 99, 103, 114, 111, 117, 112,
    95, 115, 117, 98, 115, 121, 115, 95, 115, 116, 97, 116, 101, 0, 115, 101, 0, 115, 104, 97, 114,
    101, 115, 0, 115, 105, 98, 108, 105, 110, 103, 115, 0, 97, 117, 116, 111, 103, 114, 111, 117,
    112, 0, 99, 102, 115, 95, 98, 97, 110, 100, 119, 105, 100, 116, 104, 0, 112, 101, 114, 105,
    111, 100, 0, 113, 117, 111, 116, 97, 0, 114, 117, 110, 116, 105, 109, 101, 0, 104, 105, 101,
    114, 97, 114, 99, 104, 105, 99, 97, 108, 95, 113, 117, 111, 116, 97, 0, 105, 100, 108, 101, 0,
    112, 101, 114, 105, 111, 100, 95, 97, 99, 116, 105, 118, 101, 0, 115, 108, 97, 99, 107, 95,
    115, 116, 97, 114, 116, 101, 100, 0, 112, 101, 114, 105, 111, 100, 95, 116, 105, 109, 101, 114,
    0, 115, 108, 97, 99, 107, 95, 116, 105, 109, 101, 114, 0, 116, 104, 114, 111, 116, 116, 108,
    101, 100, 95, 99, 102, 115, 95, 114, 113, 0, 110, 114, 95, 112, 101, 114, 105, 111, 100, 115,
    0, 110, 114, 95, 116, 104, 114, 111, 116, 116, 108, 101, 100, 0, 116, 104, 114, 111, 116, 116,
    108, 101, 100, 95, 116, 105, 109, 101, 0, 117, 99, 108, 97, 109, 112, 95, 112, 99, 116, 0, 117,
    99, 108, 97, 109, 112, 95, 114, 101, 113, 0, 98, 117, 99, 107, 101, 116, 95, 105, 100, 0, 117,
    115, 101, 114, 95, 100, 101, 102, 105, 110, 101, 100, 0, 117, 99, 108, 97, 109, 112, 95, 115,
    101, 0, 116, 97, 115, 107, 95, 103, 114, 111, 117, 112, 0, 114, 117, 110, 116, 105, 109, 101,
    95, 101, 110, 97, 98, 108, 101, 100, 0, 114, 117, 110, 116, 105, 109, 101, 95, 114, 101, 109,
    97, 105, 110, 105, 110, 103, 0, 116, 104, 114, 111, 116, 116, 108, 101, 100, 95, 99, 108, 111,
    99, 107, 0, 116, 104, 114, 111, 116, 116, 108, 101, 100, 95, 99, 108, 111, 99, 107, 95, 116,
    97, 115, 107, 0, 116, 104, 114, 111, 116, 116, 108, 101, 100, 95, 99, 108, 111, 99, 107, 95,
    116, 97, 115, 107, 95, 116, 105, 109, 101, 0, 116, 104, 114, 111, 116, 116, 108, 101, 100, 0,
    116, 104, 114, 111, 116, 116, 108, 101, 95, 99, 111, 117, 110, 116, 0, 116, 104, 114, 111, 116,
    116, 108, 101, 100, 95, 108, 105, 115, 116, 0, 114, 116, 0, 114, 116, 95, 112, 114, 105, 111,
    95, 97, 114, 114, 97, 121, 0, 114, 116, 95, 110, 114, 95, 114, 117, 110, 110, 105, 110, 103, 0,
    114, 114, 95, 110, 114, 95, 114, 117, 110, 110, 105, 110, 103, 0, 104, 105, 103, 104, 101, 115,
    116, 95, 112, 114, 105, 111, 0, 114, 116, 95, 110, 114, 95, 109, 105, 103, 114, 97, 116, 111,
    114, 121, 0, 114, 116, 95, 110, 114, 95, 116, 111, 116, 97, 108, 0, 111, 118, 101, 114, 108,
    111, 97, 100, 101, 100, 0, 112, 117, 115, 104, 97, 98, 108, 101, 95, 116, 97, 115, 107, 115, 0,
    114, 116, 95, 113, 117, 101, 117, 101, 100, 0, 114, 116, 95, 116, 104, 114, 111, 116, 116, 108,
    101, 100, 0, 114, 116, 95, 116, 105, 109, 101, 0, 114, 116, 95, 114, 117, 110, 116, 105, 109,
    101, 0, 114, 116, 95, 114, 117, 110, 116, 105, 109, 101, 95, 108, 111, 99, 107, 0, 114, 116,
    95, 114, 113, 0, 100, 108, 0, 100, 108, 95, 110, 114, 95, 114, 117, 110, 110, 105, 110, 103, 0,
    101, 97, 114, 108, 105, 101, 115, 116, 95, 100, 108, 0, 100, 108, 95, 110, 114, 95, 109, 105,
    103, 114, 97, 116, 111, 114, 121, 0, 112, 117, 115, 104, 97, 98, 108, 101, 95, 100, 108, 95,
    116, 97, 115, 107, 115, 95, 114, 111, 111, 116, 0, 114, 117, 110, 110, 105, 110, 103, 95, 98,
    119, 0, 116, 104, 105, 115, 95, 98, 119, 0, 101, 120, 116, 114, 97, 95, 98, 119, 0, 98, 119,
    95, 114, 97, 116, 105, 111, 0, 100, 108, 95, 114, 113, 0, 116, 109, 112, 95, 97, 108, 111, 110,
    101, 95, 98, 114, 97, 110, 99, 104, 0, 110, 114, 95, 117, 110, 105, 110, 116, 101, 114, 114,
    117, 112, 116, 105, 98, 108, 101, 0, 110, 101, 120, 116, 95, 98, 97, 108, 97, 110, 99, 101, 0,
    112, 114, 101, 118, 95, 109, 109, 0, 99, 108, 111, 99, 107, 95, 117, 112, 100, 97, 116, 101,
    95, 102, 108, 97, 103, 115, 0, 99, 108, 111, 99, 107, 0, 99, 108, 111, 99, 107, 95, 116, 97,
    115, 107, 0, 99, 108, 111, 99, 107, 95, 112, 101, 108, 116, 0, 108, 111, 115, 116, 95, 105,
    100, 108, 101, 95, 116, 105, 109, 101, 0, 110, 114, 95, 105, 111, 119, 97, 105, 116, 0, 114,
    100, 0, 114, 116, 111, 95, 99, 111, 117, 110, 116, 0, 115, 112, 97, 110, 0, 111, 118, 101, 114,
    108, 111, 97, 100, 0, 111, 118, 101, 114, 117, 116, 105, 108, 105, 122, 101, 100, 0, 100, 108,
    111, 95, 109, 97, 115, 107, 0, 100, 108, 111, 95, 99, 111, 117, 110, 116, 0, 100, 108, 95, 98,
    119, 0, 98, 119, 0, 116, 111, 116, 97, 108, 95, 98, 119, 0, 99, 112, 117, 100, 108, 0, 102,
    114, 101, 101, 95, 99, 112, 117, 115, 0, 101, 108, 101, 109, 101, 110, 116, 115, 0, 99, 112,
    117, 100, 108, 95, 105, 116, 101, 109, 0, 114, 116, 111, 95, 112, 117, 115, 104, 95, 119, 111,
    114, 107, 0, 108, 108, 110, 111, 100, 101, 0, 105, 114, 113, 95, 119, 111, 114, 107, 0, 114,
    116, 111, 95, 108, 111, 99, 107, 0, 114, 116, 111, 95, 108, 111, 111, 112, 0, 114, 116, 111,
    95, 99, 112, 117, 0, 114, 116, 111, 95, 108, 111, 111, 112, 95, 110, 101, 120, 116, 0, 114,
    116, 111, 95, 108, 111, 111, 112, 95, 115, 116, 97, 114, 116, 0, 114, 116, 111, 95, 109, 97,
    115, 107, 0, 99, 112, 117, 112, 114, 105, 0, 112, 114, 105, 95, 116, 111, 95, 99, 112, 117, 0,
    99, 112, 117, 112, 114, 105, 95, 118, 101, 99, 0, 99, 112, 117, 95, 116, 111, 95, 112, 114,
    105, 0, 109, 97, 120, 95, 99, 112, 117, 95, 99, 97, 112, 97, 99, 105, 116, 121, 0, 112, 100, 0,
    112, 101, 114, 102, 95, 100, 111, 109, 97, 105, 110, 0, 114, 111, 111, 116, 95, 100, 111, 109,
    97, 105, 110, 0, 115, 100, 0, 114, 101, 102, 0, 103, 114, 111, 117, 112, 95, 119, 101, 105,
    103, 104, 116, 0, 115, 103, 99, 0, 99, 97, 112, 97, 99, 105, 116, 121, 0, 109, 105, 110, 95,
    99, 97, 112, 97, 99, 105, 116, 121, 0, 109, 97, 120, 95, 99, 97, 112, 97, 99, 105, 116, 121, 0,
    110, 101, 120, 116, 95, 117, 112, 100, 97, 116, 101, 0, 105, 109, 98, 97, 108, 97, 110, 99,
    101, 0, 115, 99, 104, 101, 100, 95, 103, 114, 111, 117, 112, 95, 99, 97, 112, 97, 99, 105, 116,
    121, 0, 97, 115, 121, 109, 95, 112, 114, 101, 102, 101, 114, 95, 99, 112, 117, 0, 115, 99, 104,
    101, 100, 95, 103, 114, 111, 117, 112, 0, 109, 105, 110, 95, 105, 110, 116, 101, 114, 118, 97,
    108, 0, 109, 97, 120, 95, 105, 110, 116, 101, 114, 118, 97, 108, 0, 98, 117, 115, 121, 95, 102,
    97, 99, 116, 111, 114, 0, 105, 109, 98, 97, 108, 97, 110, 99, 101, 95, 112, 99, 116, 0, 99, 97,
    99, 104, 101, 95, 110, 105, 99, 101, 95, 116, 114, 105, 101, 115, 0, 110, 111, 104, 122, 95,
    105, 100, 108, 101, 0, 108, 97, 115, 116, 95, 98, 97, 108, 97, 110, 99, 101, 0, 98, 97, 108,
    97, 110, 99, 101, 95, 105, 110, 116, 101, 114, 118, 97, 108, 0, 110, 114, 95, 98, 97, 108, 97,
    110, 99, 101, 95, 102, 97, 105, 108, 101, 100, 0, 109, 97, 120, 95, 110, 101, 119, 105, 100,
    108, 101, 95, 108, 98, 95, 99, 111, 115, 116, 0, 110, 101, 120, 116, 95, 100, 101, 99, 97, 121,
    95, 109, 97, 120, 95, 108, 98, 95, 99, 111, 115, 116, 0, 97, 118, 103, 95, 115, 99, 97, 110,
    95, 99, 111, 115, 116, 0, 108, 98, 95, 99, 111, 117, 110, 116, 0, 108, 98, 95, 102, 97, 105,
    108, 101, 100, 0, 108, 98, 95, 98, 97, 108, 97, 110, 99, 101, 100, 0, 108, 98, 95, 105, 109,
    98, 97, 108, 97, 110, 99, 101, 0, 108, 98, 95, 103, 97, 105, 110, 101, 100, 0, 108, 98, 95,
    104, 111, 116, 95, 103, 97, 105, 110, 101, 100, 0, 108, 98, 95, 110, 111, 98, 117, 115, 121,
    103, 0, 108, 98, 95, 110, 111, 98, 117, 115, 121, 113, 0, 97, 108, 98, 95, 99, 111, 117, 110,
    116, 0, 97, 108, 98, 95, 102, 97, 105, 108, 101, 100, 0, 97, 108, 98, 95, 112, 117, 115, 104,
    101, 100, 0, 115, 98, 101, 95, 99, 111, 117, 110, 116, 0, 115, 98, 101, 95, 98, 97, 108, 97,
    110, 99, 101, 100, 0, 115, 98, 101, 95, 112, 117, 115, 104, 101, 100, 0, 115, 98, 102, 95, 99,
    111, 117, 110, 116, 0, 115, 98, 102, 95, 98, 97, 108, 97, 110, 99, 101, 100, 0, 115, 98, 102,
    95, 112, 117, 115, 104, 101, 100, 0, 116, 116, 119, 117, 95, 119, 97, 107, 101, 95, 114, 101,
    109, 111, 116, 101, 0, 116, 116, 119, 117, 95, 109, 111, 118, 101, 95, 97, 102, 102, 105, 110,
    101, 0, 116, 116, 119, 117, 95, 109, 111, 118, 101, 95, 98, 97, 108, 97, 110, 99, 101, 0, 115,
    104, 97, 114, 101, 100, 0, 110, 114, 95, 98, 117, 115, 121, 95, 99, 112, 117, 115, 0, 104, 97,
    115, 95, 105, 100, 108, 101, 95, 99, 111, 114, 101, 115, 0, 115, 99, 104, 101, 100, 95, 100,
    111, 109, 97, 105, 110, 95, 115, 104, 97, 114, 101, 100, 0, 115, 112, 97, 110, 95, 119, 101,
    105, 103, 104, 116, 0, 115, 99, 104, 101, 100, 95, 100, 111, 109, 97, 105, 110, 0, 99, 112,
    117, 95, 99, 97, 112, 97, 99, 105, 116, 121, 0, 99, 112, 117, 95, 99, 97, 112, 97, 99, 105,
    116, 121, 95, 111, 114, 105, 103, 0, 98, 97, 108, 97, 110, 99, 101, 95, 99, 97, 108, 108, 98,
    97, 99, 107, 0, 110, 111, 104, 122, 95, 105, 100, 108, 101, 95, 98, 97, 108, 97, 110, 99, 101,
    0, 105, 100, 108, 101, 95, 98, 97, 108, 97, 110, 99, 101, 0, 109, 105, 115, 102, 105, 116, 95,
    116, 97, 115, 107, 95, 108, 111, 97, 100, 0, 97, 99, 116, 105, 118, 101, 95, 98, 97, 108, 97,
    110, 99, 101, 0, 112, 117, 115, 104, 95, 99, 112, 117, 0, 97, 99, 116, 105, 118, 101, 95, 98,
    97, 108, 97, 110, 99, 101, 95, 119, 111, 114, 107, 0, 102, 110, 0, 99, 112, 117, 95, 115, 116,
    111, 112, 95, 102, 110, 95, 116, 0, 110, 114, 95, 116, 111, 100, 111, 0, 114, 101, 116, 0, 99,
    112, 117, 95, 115, 116, 111, 112, 95, 100, 111, 110, 101, 0, 99, 112, 117, 95, 115, 116, 111,
    112, 95, 119, 111, 114, 107, 0, 99, 102, 115, 95, 116, 97, 115, 107, 115, 0, 97, 118, 103, 95,
    114, 116, 0, 97, 118, 103, 95, 100, 108, 0, 97, 118, 103, 95, 105, 114, 113, 0, 105, 100, 108,
    101, 95, 115, 116, 97, 109, 112, 0, 97, 118, 103, 95, 105, 100, 108, 101, 0, 109, 97, 120, 95,
    105, 100, 108, 101, 95, 98, 97, 108, 97, 110, 99, 101, 95, 99, 111, 115, 116, 0, 112, 114, 101,
    118, 95, 105, 114, 113, 95, 116, 105, 109, 101, 0, 112, 114, 101, 118, 95, 115, 116, 101, 97,
    108, 95, 116, 105, 109, 101, 0, 112, 114, 101, 118, 95, 115, 116, 101, 97, 108, 95, 116, 105,
    109, 101, 95, 114, 113, 0, 99, 97, 108, 99, 95, 108, 111, 97, 100, 95, 117, 112, 100, 97, 116,
    101, 0, 99, 97, 108, 99, 95, 108, 111, 97, 100, 95, 97, 99, 116, 105, 118, 101, 0, 104, 114,
    116, 105, 99, 107, 95, 99, 115, 100, 0, 104, 114, 116, 105, 99, 107, 95, 116, 105, 109, 101,
    114, 0, 114, 113, 95, 115, 99, 104, 101, 100, 95, 105, 110, 102, 111, 0, 112, 99, 111, 117,
    110, 116, 0, 114, 117, 110, 95, 100, 101, 108, 97, 121, 0, 108, 97, 115, 116, 95, 97, 114, 114,
    105, 118, 97, 108, 0, 108, 97, 115, 116, 95, 113, 117, 101, 117, 101, 100, 0, 115, 99, 104,
    101, 100, 95, 105, 110, 102, 111, 0, 114, 113, 95, 99, 112, 117, 95, 116, 105, 109, 101, 0,
    121, 108, 100, 95, 99, 111, 117, 110, 116, 0, 115, 99, 104, 101, 100, 95, 99, 111, 117, 110,
    116, 0, 115, 99, 104, 101, 100, 95, 103, 111, 105, 100, 108, 101, 0, 116, 116, 119, 117, 95,
    99, 111, 117, 110, 116, 0, 116, 116, 119, 117, 95, 108, 111, 99, 97, 108, 0, 101, 120, 105,
    116, 95, 108, 97, 116, 101, 110, 99, 121, 95, 110, 115, 0, 116, 97, 114, 103, 101, 116, 95,
    114, 101, 115, 105, 100, 101, 110, 99, 121, 95, 110, 115, 0, 101, 120, 105, 116, 95, 108, 97,
    116, 101, 110, 99, 121, 0, 112, 111, 119, 101, 114, 95, 117, 115, 97, 103, 101, 0, 116, 97,
    114, 103, 101, 116, 95, 114, 101, 115, 105, 100, 101, 110, 99, 121, 0, 101, 110, 116, 101, 114,
    0, 114, 101, 103, 105, 115, 116, 101, 114, 101, 100, 0, 101, 110, 97, 98, 108, 101, 100, 0,
    112, 111, 108, 108, 95, 116, 105, 109, 101, 95, 108, 105, 109, 105, 116, 0, 110, 101, 120, 116,
    95, 104, 114, 116, 105, 109, 101, 114, 0, 108, 97, 115, 116, 95, 115, 116, 97, 116, 101, 95,
    105, 100, 120, 0, 108, 97, 115, 116, 95, 114, 101, 115, 105, 100, 101, 110, 99, 121, 95, 110,
    115, 0, 112, 111, 108, 108, 95, 108, 105, 109, 105, 116, 95, 110, 115, 0, 102, 111, 114, 99,
    101, 100, 95, 105, 100, 108, 101, 95, 108, 97, 116, 101, 110, 99, 121, 95, 108, 105, 109, 105,
    116, 95, 110, 115, 0, 115, 116, 97, 116, 101, 115, 95, 117, 115, 97, 103, 101, 0, 116, 105,
    109, 101, 95, 110, 115, 0, 97, 98, 111, 118, 101, 0, 98, 101, 108, 111, 119, 0, 115, 50, 105,
    100, 108, 101, 95, 117, 115, 97, 103, 101, 0, 115, 50, 105, 100, 108, 101, 95, 116, 105, 109,
    101, 0, 99, 112, 117, 105, 100, 108, 101, 95, 115, 116, 97, 116, 101, 95, 117, 115, 97, 103,
    101, 0, 107, 111, 98, 106, 115, 0, 115, 116, 97, 116, 101, 95, 117, 115, 97, 103, 101, 0, 107,
    111, 98, 106, 95, 117, 110, 114, 101, 103, 105, 115, 116, 101, 114, 0, 99, 112, 117, 105, 100,
    108, 101, 95, 115, 116, 97, 116, 101, 95, 107, 111, 98, 106, 0, 107, 111, 98, 106, 95, 100,
    114, 105, 118, 101, 114, 0, 99, 112, 117, 105, 100, 108, 101, 95, 100, 114, 105, 118, 101, 114,
    95, 107, 111, 98, 106, 0, 107, 111, 98, 106, 95, 100, 101, 118, 0, 99, 112, 117, 105, 100, 108,
    101, 95, 100, 101, 118, 105, 99, 101, 95, 107, 111, 98, 106, 0, 100, 101, 118, 105, 99, 101,
    95, 108, 105, 115, 116, 0, 99, 112, 117, 105, 100, 108, 101, 95, 100, 101, 118, 105, 99, 101,
    0, 98, 99, 116, 105, 109, 101, 114, 0, 115, 116, 97, 116, 101, 95, 99, 111, 117, 110, 116, 0,
    115, 97, 102, 101, 95, 115, 116, 97, 116, 101, 95, 105, 110, 100, 101, 120, 0, 103, 111, 118,
    101, 114, 110, 111, 114, 0, 99, 112, 117, 105, 100, 108, 101, 95, 100, 114, 105, 118, 101, 114,
    0, 101, 110, 116, 101, 114, 95, 100, 101, 97, 100, 0, 101, 110, 116, 101, 114, 95, 115, 50,
    105, 100, 108, 101, 0, 99, 112, 117, 105, 100, 108, 101, 95, 115, 116, 97, 116, 101, 0, 100,
    101, 113, 117, 101, 117, 101, 95, 116, 97, 115, 107, 0, 121, 105, 101, 108, 100, 95, 116, 97,
    115, 107, 0, 121, 105, 101, 108, 100, 95, 116, 111, 95, 116, 97, 115, 107, 0, 99, 104, 101, 99,
    107, 95, 112, 114, 101, 101, 109, 112, 116, 95, 99, 117, 114, 114, 0, 112, 105, 99, 107, 95,
    110, 101, 120, 116, 95, 116, 97, 115, 107, 0, 112, 117, 116, 95, 112, 114, 101, 118, 95, 116,
    97, 115, 107, 0, 115, 101, 116, 95, 110, 101, 120, 116, 95, 116, 97, 115, 107, 0, 98, 97, 108,
    97, 110, 99, 101, 0, 99, 111, 111, 107, 105, 101, 0, 112, 105, 110, 95, 99, 111, 111, 107, 105,
    101, 0, 114, 113, 95, 102, 108, 97, 103, 115, 0, 115, 101, 108, 101, 99, 116, 95, 116, 97, 115,
    107, 95, 114, 113, 0, 109, 105, 103, 114, 97, 116, 101, 95, 116, 97, 115, 107, 95, 114, 113, 0,
    116, 97, 115, 107, 95, 119, 111, 107, 101, 110, 0, 115, 101, 116, 95, 99, 112, 117, 115, 95,
    97, 108, 108, 111, 119, 101, 100, 0, 114, 113, 95, 111, 110, 108, 105, 110, 101, 0, 114, 113,
    95, 111, 102, 102, 108, 105, 110, 101, 0, 116, 97, 115, 107, 95, 116, 105, 99, 107, 0, 116, 97,
    115, 107, 95, 102, 111, 114, 107, 0, 116, 97, 115, 107, 95, 100, 101, 97, 100, 0, 115, 119,
    105, 116, 99, 104, 101, 100, 95, 102, 114, 111, 109, 0, 115, 119, 105, 116, 99, 104, 101, 100,
    95, 116, 111, 0, 112, 114, 105, 111, 95, 99, 104, 97, 110, 103, 101, 100, 0, 103, 101, 116, 95,
    114, 114, 95, 105, 110, 116, 101, 114, 118, 97, 108, 0, 117, 112, 100, 97, 116, 101, 95, 99,
    117, 114, 114, 0, 116, 97, 115, 107, 95, 99, 104, 97, 110, 103, 101, 95, 103, 114, 111, 117,
    112, 0, 114, 117, 110, 95, 108, 105, 115, 116, 0, 116, 105, 109, 101, 111, 117, 116, 0, 119,
    97, 116, 99, 104, 100, 111, 103, 95, 115, 116, 97, 109, 112, 0, 116, 105, 109, 101, 95, 115,
    108, 105, 99, 101, 0, 98, 97, 99, 107, 0, 115, 99, 104, 101, 100, 95, 114, 116, 95, 101, 110,
    116, 105, 116, 121, 0, 115, 99, 104, 101, 100, 95, 116, 97, 115, 107, 95, 103, 114, 111, 117,
    112, 0, 100, 108, 95, 114, 117, 110, 116, 105, 109, 101, 0, 100, 108, 95, 100, 101, 97, 100,
    108, 105, 110, 101, 0, 100, 108, 95, 112, 101, 114, 105, 111, 100, 0, 100, 108, 95, 100, 101,
    110, 115, 105, 116, 121, 0, 100, 101, 97, 100, 108, 105, 110, 101, 0, 100, 108, 95, 116, 104,
    114, 111, 116, 116, 108, 101, 100, 0, 100, 108, 95, 98, 111, 111, 115, 116, 101, 100, 0, 100,
    108, 95, 121, 105, 101, 108, 100, 101, 100, 0, 100, 108, 95, 110, 111, 110, 95, 99, 111, 110,
    116, 101, 110, 100, 105, 110, 103, 0, 100, 108, 95, 111, 118, 101, 114, 114, 117, 110, 0, 100,
    108, 95, 116, 105, 109, 101, 114, 0, 105, 110, 97, 99, 116, 105, 118, 101, 95, 116, 105, 109,
    101, 114, 0, 115, 99, 104, 101, 100, 95, 100, 108, 95, 101, 110, 116, 105, 116, 121, 0, 112,
    114, 101, 101, 109, 112, 116, 95, 110, 111, 116, 105, 102, 105, 101, 114, 115, 0, 98, 116, 114,
    97, 99, 101, 95, 115, 101, 113, 0, 112, 111, 108, 105, 99, 121, 0, 110, 114, 95, 99, 112, 117,
    115, 95, 97, 108, 108, 111, 119, 101, 100, 0, 99, 112, 117, 115, 95, 112, 116, 114, 0, 99, 112,
    117, 115, 95, 109, 97, 115, 107, 0, 114, 99, 117, 95, 114, 101, 97, 100, 95, 108, 111, 99, 107,
    95, 110, 101, 115, 116, 105, 110, 103, 0, 114, 99, 117, 95, 114, 101, 97, 100, 95, 117, 110,
    108, 111, 99, 107, 95, 115, 112, 101, 99, 105, 97, 108, 0, 98, 0, 98, 108, 111, 99, 107, 101,
    100, 0, 110, 101, 101, 100, 95, 113, 115, 0, 101, 120, 112, 95, 104, 105, 110, 116, 0, 110,
    101, 101, 100, 95, 109, 98, 0, 115, 0, 114, 99, 117, 95, 115, 112, 101, 99, 105, 97, 108, 0,
    114, 99, 117, 95, 110, 111, 100, 101, 95, 101, 110, 116, 114, 121, 0, 114, 99, 117, 95, 98,
    108, 111, 99, 107, 101, 100, 95, 110, 111, 100, 101, 0, 103, 112, 95, 115, 101, 113, 0, 103,
    112, 95, 115, 101, 113, 95, 110, 101, 101, 100, 101, 100, 0, 99, 111, 109, 112, 108, 101, 116,
    101, 100, 113, 115, 0, 113, 115, 109, 97, 115, 107, 0, 114, 99, 117, 95, 103, 112, 95, 105,
    110, 105, 116, 95, 109, 97, 115, 107, 0, 113, 115, 109, 97, 115, 107, 105, 110, 105, 116, 0,
    113, 115, 109, 97, 115, 107, 105, 110, 105, 116, 110, 101, 120, 116, 0, 101, 120, 112, 109, 97,
    115, 107, 0, 101, 120, 112, 109, 97, 115, 107, 105, 110, 105, 116, 0, 101, 120, 112, 109, 97,
    115, 107, 105, 110, 105, 116, 110, 101, 120, 116, 0, 99, 98, 111, 118, 108, 100, 109, 97, 115,
    107, 0, 102, 102, 109, 97, 115, 107, 0, 103, 114, 112, 109, 97, 115, 107, 0, 103, 114, 112,
    108, 111, 0, 103, 114, 112, 104, 105, 0, 103, 114, 112, 110, 117, 109, 0, 119, 97, 105, 116,
    95, 98, 108, 107, 100, 95, 116, 97, 115, 107, 115, 0, 98, 108, 107, 100, 95, 116, 97, 115, 107,
    115, 0, 103, 112, 95, 116, 97, 115, 107, 115, 0, 101, 120, 112, 95, 116, 97, 115, 107, 115, 0,
    98, 111, 111, 115, 116, 95, 116, 97, 115, 107, 115, 0, 98, 111, 111, 115, 116, 95, 109, 116,
    120, 0, 119, 97, 105, 116, 101, 114, 115, 0, 114, 116, 95, 109, 117, 116, 101, 120, 0, 98, 111,
    111, 115, 116, 95, 116, 105, 109, 101, 0, 98, 111, 111, 115, 116, 95, 107, 116, 104, 114, 101,
    97, 100, 95, 116, 97, 115, 107, 0, 98, 111, 111, 115, 116, 95, 107, 116, 104, 114, 101, 97,
    100, 95, 115, 116, 97, 116, 117, 115, 0, 102, 113, 115, 108, 111, 99, 107, 0, 101, 120, 112,
    95, 108, 111, 99, 107, 0, 101, 120, 112, 95, 115, 101, 113, 95, 114, 113, 0, 101, 120, 112, 95,
    119, 113, 0, 114, 101, 119, 0, 114, 101, 119, 95, 115, 0, 114, 101, 119, 95, 119, 111, 114,
    107, 0, 114, 99, 117, 95, 101, 120, 112, 95, 119, 111, 114, 107, 0, 101, 120, 112, 95, 110,
    101, 101, 100, 95, 102, 108, 117, 115, 104, 0, 114, 99, 117, 95, 110, 111, 100, 101, 0, 114,
    99, 117, 95, 116, 97, 115, 107, 115, 95, 110, 118, 99, 115, 119, 0, 114, 99, 117, 95, 116, 97,
    115, 107, 115, 95, 104, 111, 108, 100, 111, 117, 116, 0, 114, 99, 117, 95, 116, 97, 115, 107,
    115, 95, 105, 100, 120, 0, 114, 99, 117, 95, 116, 97, 115, 107, 115, 95, 105, 100, 108, 101,
    95, 99, 112, 117, 0, 114, 99, 117, 95, 116, 97, 115, 107, 115, 95, 104, 111, 108, 100, 111,
    117, 116, 95, 108, 105, 115, 116, 0, 112, 117, 115, 104, 97, 98, 108, 101, 95, 100, 108, 95,
    116, 97, 115, 107, 115, 0, 97, 99, 116, 105, 118, 101, 95, 109, 109, 0, 118, 109, 97, 99, 97,
    99, 104, 101, 0, 115, 101, 113, 110, 117, 109, 0, 118, 109, 97, 115, 0, 116, 97, 115, 107, 95,
    114, 115, 115, 95, 115, 116, 97, 116, 0, 101, 120, 105, 116, 95, 115, 116, 97, 116, 101, 0,
    101, 120, 105, 116, 95, 99, 111, 100, 101, 0, 101, 120, 105, 116, 95, 115, 105, 103, 110, 97,
    108, 0, 112, 100, 101, 97, 116, 104, 95, 115, 105, 103, 110, 97, 108, 0, 106, 111, 98, 99, 116,
    108, 0, 112, 101, 114, 115, 111, 110, 97, 108, 105, 116, 121, 0, 115, 99, 104, 101, 100, 95,
    114, 101, 115, 101, 116, 95, 111, 110, 95, 102, 111, 114, 107, 0, 115, 99, 104, 101, 100, 95,
    99, 111, 110, 116, 114, 105, 98, 117, 116, 101, 115, 95, 116, 111, 95, 108, 111, 97, 100, 0,
    115, 99, 104, 101, 100, 95, 109, 105, 103, 114, 97, 116, 101, 100, 0, 115, 99, 104, 101, 100,
    95, 112, 115, 105, 95, 119, 97, 107, 101, 95, 114, 101, 113, 117, 101, 117, 101, 0, 115, 99,
    104, 101, 100, 95, 114, 101, 109, 111, 116, 101, 95, 119, 97, 107, 101, 117, 112, 0, 105, 110,
    95, 101, 120, 101, 99, 118, 101, 0, 105, 110, 95, 105, 111, 119, 97, 105, 116, 0, 114, 101,
    115, 116, 111, 114, 101, 95, 115, 105, 103, 109, 97, 115, 107, 0, 105, 110, 95, 117, 115, 101,
    114, 95, 102, 97, 117, 108, 116, 0, 110, 111, 95, 99, 103, 114, 111, 117, 112, 95, 109, 105,
    103, 114, 97, 116, 105, 111, 110, 0, 117, 115, 101, 95, 109, 101, 109, 100, 101, 108, 97, 121,
    0, 105, 110, 95, 109, 101, 109, 115, 116, 97, 108, 108, 0, 97, 116, 111, 109, 105, 99, 95, 102,
    108, 97, 103, 115, 0, 114, 101, 115, 116, 97, 114, 116, 95, 98, 108, 111, 99, 107, 0, 102, 117,
    116, 101, 120, 0, 117, 97, 100, 100, 114, 0, 98, 105, 116, 115, 101, 116, 0, 116, 105, 109,
    101, 0, 117, 97, 100, 100, 114, 50, 0, 110, 97, 110, 111, 115, 108, 101, 101, 112, 0, 84, 84,
    95, 78, 79, 78, 69, 0, 84, 84, 95, 78, 65, 84, 73, 86, 69, 0, 84, 84, 95, 67, 79, 77, 80, 65,
    84, 0, 116, 105, 109, 101, 115, 112, 101, 99, 95, 116, 121, 112, 101, 0, 114, 109, 116, 112, 0,
    95, 95, 107, 101, 114, 110, 101, 108, 95, 116, 105, 109, 101, 54, 52, 95, 116, 0, 95, 95, 107,
    101, 114, 110, 101, 108, 95, 116, 105, 109, 101, 115, 112, 101, 99, 0, 99, 111, 109, 112, 97,
    116, 95, 114, 109, 116, 112, 0, 111, 108, 100, 95, 116, 105, 109, 101, 51, 50, 95, 116, 0, 111,
    108, 100, 95, 116, 105, 109, 101, 115, 112, 101, 99, 51, 50, 0, 117, 102, 100, 115, 0, 114,
    101, 118, 101, 110, 116, 115, 0, 112, 111, 108, 108, 102, 100, 0, 110, 102, 100, 115, 0, 104,
    97, 115, 95, 116, 105, 109, 101, 111, 117, 116, 0, 95, 95, 107, 101, 114, 110, 101, 108, 95,
    112, 105, 100, 95, 116, 0, 112, 105, 100, 95, 116, 0, 116, 103, 105, 100, 0, 115, 116, 97, 99,
    107, 95, 99, 97, 110, 97, 114, 121, 0, 114, 101, 97, 108, 95, 112, 97, 114, 101, 110, 116, 0,
    103, 114, 111, 117, 112, 95, 108, 101, 97, 100, 101, 114, 0, 112, 116, 114, 97, 99, 101, 100,
    0, 112, 116, 114, 97, 99, 101, 95, 101, 110, 116, 114, 121, 0, 116, 104, 114, 101, 97, 100, 95,
    112, 105, 100, 0, 105, 110, 111, 100, 101, 115, 0, 119, 97, 105, 116, 95, 112, 105, 100, 102,
    100, 0, 110, 117, 109, 98, 101, 114, 115, 0, 112, 105, 100, 95, 97, 108, 108, 111, 99, 97, 116,
    101, 100, 0, 99, 104, 105, 108, 100, 95, 114, 101, 97, 112, 101, 114, 0, 112, 105, 100, 95, 99,
    97, 99, 104, 101, 112, 0, 99, 112, 117, 95, 115, 108, 97, 98, 0, 102, 114, 101, 101, 108, 105,
    115, 116, 0, 116, 105, 100, 0, 112, 97, 114, 116, 105, 97, 108, 0, 107, 109, 101, 109, 95, 99,
    97, 99, 104, 101, 95, 99, 112, 117, 0, 115, 108, 97, 98, 95, 102, 108, 97, 103, 115, 95, 116,
    0, 109, 105, 110, 95, 112, 97, 114, 116, 105, 97, 108, 0, 111, 98, 106, 101, 99, 116, 95, 115,
    105, 122, 101, 0, 114, 101, 99, 105, 112, 114, 111, 99, 97, 108, 95, 115, 105, 122, 101, 0,
    115, 104, 49, 0, 115, 104, 50, 0, 114, 101, 99, 105, 112, 114, 111, 99, 97, 108, 95, 118, 97,
    108, 117, 101, 0, 99, 112, 117, 95, 112, 97, 114, 116, 105, 97, 108, 0, 111, 111, 0, 107, 109,
    101, 109, 95, 99, 97, 99, 104, 101, 95, 111, 114, 100, 101, 114, 95, 111, 98, 106, 101, 99,
    116, 115, 0, 109, 97, 120, 0, 109, 105, 110, 0, 97, 108, 108, 111, 99, 102, 108, 97, 103, 115,
    0, 99, 116, 111, 114, 0, 105, 110, 117, 115, 101, 0, 97, 108, 105, 103, 110, 0, 114, 101, 100,
    95, 108, 101, 102, 116, 95, 112, 97, 100, 0, 114, 97, 110, 100, 111, 109, 0, 114, 101, 109,
    111, 116, 101, 95, 110, 111, 100, 101, 95, 100, 101, 102, 114, 97, 103, 95, 114, 97, 116, 105,
    111, 0, 114, 97, 110, 100, 111, 109, 95, 115, 101, 113, 0, 117, 115, 101, 114, 111, 102, 102,
    115, 101, 116, 0, 117, 115, 101, 114, 115, 105, 122, 101, 0, 110, 114, 95, 112, 97, 114, 116,
    105, 97, 108, 0, 110, 114, 95, 115, 108, 97, 98, 115, 0, 116, 111, 116, 97, 108, 95, 111, 98,
    106, 101, 99, 116, 115, 0, 102, 117, 108, 108, 0, 107, 109, 101, 109, 95, 99, 97, 99, 104, 101,
    95, 110, 111, 100, 101, 0, 107, 109, 101, 109, 95, 99, 97, 99, 104, 101, 0, 98, 97, 99, 99,
    116, 0, 109, 95, 108, 105, 115, 116, 0, 107, 105, 108, 108, 0, 102, 115, 95, 112, 105, 110, 0,
    117, 99, 111, 117, 110, 116, 115, 0, 117, 99, 111, 117, 110, 116, 0, 114, 101, 98, 111, 111,
    116, 0, 112, 105, 100, 95, 110, 97, 109, 101, 115, 112, 97, 99, 101, 0, 117, 112, 105, 100, 0,
    112, 105, 100, 95, 108, 105, 110, 107, 115, 0, 116, 104, 114, 101, 97, 100, 95, 103, 114, 111,
    117, 112, 0, 116, 104, 114, 101, 97, 100, 95, 110, 111, 100, 101, 0, 118, 102, 111, 114, 107,
    95, 100, 111, 110, 101, 0, 115, 101, 116, 95, 99, 104, 105, 108, 100, 95, 116, 105, 100, 0, 99,
    108, 101, 97, 114, 95, 99, 104, 105, 108, 100, 95, 116, 105, 100, 0, 103, 116, 105, 109, 101,
    0, 110, 118, 99, 115, 119, 0, 110, 105, 118, 99, 115, 119, 0, 115, 116, 97, 114, 116, 95, 116,
    105, 109, 101, 0, 115, 116, 97, 114, 116, 95, 98, 111, 111, 116, 116, 105, 109, 101, 0, 109,
    105, 110, 95, 102, 108, 116, 0, 109, 97, 106, 95, 102, 108, 116, 0, 112, 111, 115, 105, 120,
    95, 99, 112, 117, 116, 105, 109, 101, 114, 115, 0, 98, 97, 115, 101, 115, 0, 110, 101, 120,
    116, 101, 118, 116, 0, 116, 113, 104, 101, 97, 100, 0, 112, 111, 115, 105, 120, 95, 99, 112,
    117, 116, 105, 109, 101, 114, 95, 98, 97, 115, 101, 0, 116, 105, 109, 101, 114, 115, 95, 97,
    99, 116, 105, 118, 101, 0, 101, 120, 112, 105, 114, 121, 95, 97, 99, 116, 105, 118, 101, 0,
    112, 111, 115, 105, 120, 95, 99, 112, 117, 116, 105, 109, 101, 114, 115, 95, 119, 111, 114,
    107, 0, 112, 116, 114, 97, 99, 101, 114, 95, 99, 114, 101, 100, 0, 114, 101, 97, 108, 95, 99,
    114, 101, 100, 0, 99, 97, 99, 104, 101, 100, 95, 114, 101, 113, 117, 101, 115, 116, 101, 100,
    95, 107, 101, 121, 0, 99, 111, 109, 109, 0, 110, 97, 109, 101, 105, 100, 97, 116, 97, 0, 105,
    110, 111, 100, 101, 0, 109, 95, 115, 101, 113, 0, 114, 95, 115, 101, 113, 0, 108, 97, 115, 116,
    95, 116, 121, 112, 101, 0, 116, 111, 116, 97, 108, 95, 108, 105, 110, 107, 95, 99, 111, 117,
    110, 116, 0, 100, 101, 108, 97, 121, 101, 100, 95, 99, 97, 108, 108, 0, 115, 97, 118, 101, 100,
    0, 105, 110, 116, 101, 114, 110, 97, 108, 0, 114, 111, 111, 116, 95, 115, 101, 113, 0, 100,
    102, 100, 0, 100, 105, 114, 95, 117, 105, 100, 0, 100, 105, 114, 95, 109, 111, 100, 101, 0,
    115, 121, 115, 118, 115, 101, 109, 0, 117, 110, 100, 111, 95, 108, 105, 115, 116, 0, 108, 105,
    115, 116, 95, 112, 114, 111, 99, 0, 115, 101, 109, 95, 117, 110, 100, 111, 95, 108, 105, 115,
    116, 0, 115, 121, 115, 118, 95, 115, 101, 109, 0, 115, 121, 115, 118, 115, 104, 109, 0, 115,
    104, 109, 95, 99, 108, 105, 115, 116, 0, 115, 121, 115, 118, 95, 115, 104, 109, 0, 108, 97,
    115, 116, 95, 115, 119, 105, 116, 99, 104, 95, 99, 111, 117, 110, 116, 0, 108, 97, 115, 116,
    95, 115, 119, 105, 116, 99, 104, 95, 116, 105, 109, 101, 0, 102, 115, 0, 117, 109, 97, 115,
    107, 0, 105, 110, 95, 101, 120, 101, 99, 0, 112, 119, 100, 0, 102, 115, 95, 115, 116, 114, 117,
    99, 116, 0, 114, 101, 115, 105, 122, 101, 95, 105, 110, 95, 112, 114, 111, 103, 114, 101, 115,
    115, 0, 114, 101, 115, 105, 122, 101, 95, 119, 97, 105, 116, 0, 102, 100, 116, 0, 109, 97, 120,
    95, 102, 100, 115, 0, 99, 108, 111, 115, 101, 95, 111, 110, 95, 101, 120, 101, 99, 0, 111, 112,
    101, 110, 95, 102, 100, 115, 0, 102, 117, 108, 108, 95, 102, 100, 115, 95, 98, 105, 116, 115,
    0, 102, 100, 116, 97, 98, 108, 101, 0, 102, 100, 116, 97, 98, 0, 102, 105, 108, 101, 95, 108,
    111, 99, 107, 0, 110, 101, 120, 116, 95, 102, 100, 0, 99, 108, 111, 115, 101, 95, 111, 110, 95,
    101, 120, 101, 99, 95, 105, 110, 105, 116, 0, 111, 112, 101, 110, 95, 102, 100, 115, 95, 105,
    110, 105, 116, 0, 102, 117, 108, 108, 95, 102, 100, 115, 95, 98, 105, 116, 115, 95, 105, 110,
    105, 116, 0, 102, 100, 95, 97, 114, 114, 97, 121, 0, 102, 105, 108, 101, 115, 95, 115, 116,
    114, 117, 99, 116, 0, 105, 111, 95, 117, 114, 105, 110, 103, 0, 114, 101, 113, 95, 105, 115,
    115, 117, 101, 0, 105, 110, 95, 105, 100, 108, 101, 0, 114, 101, 113, 95, 99, 111, 109, 112,
    108, 101, 116, 101, 0, 105, 111, 95, 117, 114, 105, 110, 103, 95, 116, 97, 115, 107, 0, 110,
    115, 112, 114, 111, 120, 121, 0, 117, 116, 115, 95, 110, 115, 0, 115, 121, 115, 110, 97, 109,
    101, 0, 110, 111, 100, 101, 110, 97, 109, 101, 0, 109, 97, 99, 104, 105, 110, 101, 0, 100, 111,
    109, 97, 105, 110, 110, 97, 109, 101, 0, 110, 101, 119, 95, 117, 116, 115, 110, 97, 109, 101,
    0, 117, 116, 115, 95, 110, 97, 109, 101, 115, 112, 97, 99, 101, 0, 105, 112, 99, 95, 110, 115,
    0, 105, 112, 99, 115, 95, 105, 100, 114, 0, 109, 97, 120, 95, 105, 100, 120, 0, 108, 97, 115,
    116, 95, 105, 100, 120, 0, 107, 101, 121, 95, 104, 116, 0, 116, 98, 108, 0, 110, 101, 115, 116,
    0, 104, 97, 115, 104, 95, 114, 110, 100, 0, 119, 97, 108, 107, 101, 114, 115, 0, 102, 117, 116,
    117, 114, 101, 95, 116, 98, 108, 0, 100, 101, 112, 95, 109, 97, 112, 0, 108, 111, 99, 107, 100,
    101, 112, 95, 109, 97, 112, 0, 98, 117, 99, 107, 101, 116, 115, 0, 114, 104, 97, 115, 104, 95,
    108, 111, 99, 107, 95, 104, 101, 97, 100, 0, 98, 117, 99, 107, 101, 116, 95, 116, 97, 98, 108,
    101, 0, 107, 101, 121, 95, 108, 101, 110, 0, 109, 97, 120, 95, 101, 108, 101, 109, 115, 0, 110,
    101, 108, 101, 109, 95, 104, 105, 110, 116, 0, 107, 101, 121, 95, 111, 102, 102, 115, 101, 116,
    0, 104, 101, 97, 100, 95, 111, 102, 102, 115, 101, 116, 0, 109, 97, 120, 95, 115, 105, 122,
    101, 0, 109, 105, 110, 95, 115, 105, 122, 101, 0, 97, 117, 116, 111, 109, 97, 116, 105, 99, 95,
    115, 104, 114, 105, 110, 107, 105, 110, 103, 0, 104, 97, 115, 104, 102, 110, 0, 114, 104, 116,
    95, 104, 97, 115, 104, 102, 110, 95, 116, 0, 111, 98, 106, 95, 104, 97, 115, 104, 102, 110, 0,
    114, 104, 116, 95, 111, 98, 106, 95, 104, 97, 115, 104, 102, 110, 95, 116, 0, 111, 98, 106, 95,
    99, 109, 112, 102, 110, 0, 104, 116, 0, 114, 104, 97, 115, 104, 116, 97, 98, 108, 101, 95, 99,
    111, 109, 112, 97, 114, 101, 95, 97, 114, 103, 0, 114, 104, 116, 95, 111, 98, 106, 95, 99, 109,
    112, 102, 110, 95, 116, 0, 114, 104, 97, 115, 104, 116, 97, 98, 108, 101, 95, 112, 97, 114, 97,
    109, 115, 0, 114, 104, 108, 105, 115, 116, 0, 114, 117, 110, 95, 119, 111, 114, 107, 0, 110,
    101, 108, 101, 109, 115, 0, 114, 104, 97, 115, 104, 116, 97, 98, 108, 101, 0, 105, 112, 99, 95,
    105, 100, 115, 0, 115, 101, 109, 95, 99, 116, 108, 115, 0, 117, 115, 101, 100, 95, 115, 101,
    109, 115, 0, 109, 115, 103, 95, 99, 116, 108, 109, 97, 120, 0, 109, 115, 103, 95, 99, 116, 108,
    109, 110, 98, 0, 109, 115, 103, 95, 99, 116, 108, 109, 110, 105, 0, 109, 115, 103, 95, 98, 121,
    116, 101, 115, 0, 109, 115, 103, 95, 104, 100, 114, 115, 0, 115, 104, 109, 95, 99, 116, 108,
    109, 97, 120, 0, 115, 104, 109, 95, 99, 116, 108, 97, 108, 108, 0, 115, 104, 109, 95, 116, 111,
    116, 0, 115, 104, 109, 95, 99, 116, 108, 109, 110, 105, 0, 115, 104, 109, 95, 114, 109, 105,
    100, 95, 102, 111, 114, 99, 101, 100, 0, 105, 112, 99, 110, 115, 95, 110, 98, 0, 109, 113, 95,
    109, 110, 116, 0, 109, 113, 95, 113, 117, 101, 117, 101, 115, 95, 99, 111, 117, 110, 116, 0,
    109, 113, 95, 113, 117, 101, 117, 101, 115, 95, 109, 97, 120, 0, 109, 113, 95, 109, 115, 103,
    95, 109, 97, 120, 0, 109, 113, 95, 109, 115, 103, 115, 105, 122, 101, 95, 109, 97, 120, 0, 109,
    113, 95, 109, 115, 103, 95, 100, 101, 102, 97, 117, 108, 116, 0, 109, 113, 95, 109, 115, 103,
    115, 105, 122, 101, 95, 100, 101, 102, 97, 117, 108, 116, 0, 109, 110, 116, 95, 108, 108, 105,
    115, 116, 0, 105, 112, 99, 95, 110, 97, 109, 101, 115, 112, 97, 99, 101, 0, 109, 110, 116, 95,
    110, 115, 0, 109, 110, 116, 95, 104, 97, 115, 104, 0, 109, 110, 116, 95, 112, 97, 114, 101,
    110, 116, 0, 109, 110, 116, 95, 109, 111, 117, 110, 116, 112, 111, 105, 110, 116, 0, 109, 110,
    116, 95, 114, 99, 117, 0, 109, 110, 116, 95, 112, 99, 112, 0, 109, 110, 116, 95, 99, 111, 117,
    110, 116, 0, 109, 110, 116, 95, 119, 114, 105, 116, 101, 114, 115, 0, 109, 110, 116, 95, 109,
    111, 117, 110, 116, 115, 0, 109, 110, 116, 95, 99, 104, 105, 108, 100, 0, 109, 110, 116, 95,
    105, 110, 115, 116, 97, 110, 99, 101, 0, 109, 110, 116, 95, 100, 101, 118, 110, 97, 109, 101,
    0, 109, 110, 116, 95, 108, 105, 115, 116, 0, 109, 110, 116, 95, 101, 120, 112, 105, 114, 101,
    0, 109, 110, 116, 95, 115, 104, 97, 114, 101, 0, 109, 110, 116, 95, 115, 108, 97, 118, 101, 95,
    108, 105, 115, 116, 0, 109, 110, 116, 95, 115, 108, 97, 118, 101, 0, 109, 110, 116, 95, 109,
    97, 115, 116, 101, 114, 0, 109, 110, 116, 95, 109, 112, 0, 109, 95, 104, 97, 115, 104, 0, 109,
    95, 100, 101, 110, 116, 114, 121, 0, 109, 95, 99, 111, 117, 110, 116, 0, 109, 111, 117, 110,
    116, 112, 111, 105, 110, 116, 0, 109, 110, 116, 95, 109, 112, 95, 108, 105, 115, 116, 0, 109,
    110, 116, 95, 117, 109, 111, 117, 110, 116, 0, 109, 110, 116, 95, 117, 109, 111, 117, 110, 116,
    105, 110, 103, 0, 109, 110, 116, 95, 102, 115, 110, 111, 116, 105, 102, 121, 95, 109, 97, 114,
    107, 115, 0, 102, 115, 105, 100, 0, 95, 95, 107, 101, 114, 110, 101, 108, 95, 102, 115, 105,
    100, 95, 116, 0, 111, 98, 106, 0, 102, 115, 110, 111, 116, 105, 102, 121, 95, 99, 111, 110,
    110, 112, 95, 116, 0, 100, 101, 115, 116, 114, 111, 121, 95, 110, 101, 120, 116, 0, 102, 115,
    110, 111, 116, 105, 102, 121, 95, 109, 97, 114, 107, 95, 99, 111, 110, 110, 101, 99, 116, 111,
    114, 0, 109, 110, 116, 95, 102, 115, 110, 111, 116, 105, 102, 121, 95, 109, 97, 115, 107, 0,
    109, 110, 116, 95, 105, 100, 0, 109, 110, 116, 95, 103, 114, 111, 117, 112, 95, 105, 100, 0,
    109, 110, 116, 95, 101, 120, 112, 105, 114, 121, 95, 109, 97, 114, 107, 0, 109, 110, 116, 95,
    112, 105, 110, 115, 0, 109, 110, 116, 95, 115, 116, 117, 99, 107, 95, 99, 104, 105, 108, 100,
    114, 101, 110, 0, 109, 111, 117, 110, 116, 0, 110, 115, 95, 108, 111, 99, 107, 0, 109, 111,
    117, 110, 116, 115, 0, 112, 101, 110, 100, 105, 110, 103, 95, 109, 111, 117, 110, 116, 115, 0,
    109, 110, 116, 95, 110, 97, 109, 101, 115, 112, 97, 99, 101, 0, 112, 105, 100, 95, 110, 115,
    95, 102, 111, 114, 95, 99, 104, 105, 108, 100, 114, 101, 110, 0, 110, 101, 116, 95, 110, 115,
    0, 112, 97, 115, 115, 105, 118, 101, 0, 114, 117, 108, 101, 115, 95, 109, 111, 100, 95, 108,
    111, 99, 107, 0, 100, 101, 118, 95, 117, 110, 114, 101, 103, 95, 99, 111, 117, 110, 116, 0,
    100, 101, 118, 95, 98, 97, 115, 101, 95, 115, 101, 113, 0, 110, 115, 105, 100, 95, 108, 111,
    99, 107, 0, 102, 110, 104, 101, 95, 103, 101, 110, 105, 100, 0, 101, 120, 105, 116, 95, 108,
    105, 115, 116, 0, 99, 108, 101, 97, 110, 117, 112, 95, 108, 105, 115, 116, 0, 107, 101, 121,
    95, 100, 111, 109, 97, 105, 110, 0, 110, 101, 116, 110, 115, 95, 105, 100, 115, 0, 100, 101,
    118, 95, 98, 97, 115, 101, 95, 104, 101, 97, 100, 0, 112, 114, 111, 99, 95, 110, 101, 116, 0,
    112, 114, 111, 99, 95, 110, 101, 116, 95, 115, 116, 97, 116, 0, 115, 121, 115, 99, 116, 108,
    115, 0, 105, 115, 95, 115, 101, 101, 110, 0, 104, 101, 97, 100, 101, 114, 0, 99, 116, 108, 95,
    116, 97, 98, 108, 101, 0, 112, 114, 111, 99, 110, 97, 109, 101, 0, 109, 97, 120, 108, 101, 110,
    0, 112, 114, 111, 99, 95, 104, 97, 110, 100, 108, 101, 114, 0, 99, 116, 108, 95, 116, 97, 98,
    108, 101, 95, 112, 111, 108, 108, 0, 101, 120, 116, 114, 97, 49, 0, 101, 120, 116, 114, 97, 50,
    0, 117, 115, 101, 100, 0, 110, 114, 101, 103, 0, 117, 110, 114, 101, 103, 105, 115, 116, 101,
    114, 105, 110, 103, 0, 99, 116, 108, 95, 116, 97, 98, 108, 101, 95, 97, 114, 103, 0, 100, 101,
    102, 97, 117, 108, 116, 95, 115, 101, 116, 0, 115, 101, 116, 95, 111, 119, 110, 101, 114, 115,
    104, 105, 112, 0, 112, 101, 114, 109, 105, 115, 115, 105, 111, 110, 115, 0, 99, 116, 108, 95,
    116, 97, 98, 108, 101, 95, 114, 111, 111, 116, 0, 115, 101, 116, 0, 99, 116, 108, 95, 110, 111,
    100, 101, 0, 99, 116, 108, 95, 116, 97, 98, 108, 101, 95, 104, 101, 97, 100, 101, 114, 0, 99,
    116, 108, 95, 100, 105, 114, 0, 99, 116, 108, 95, 116, 97, 98, 108, 101, 95, 115, 101, 116, 0,
    114, 116, 110, 108, 0, 103, 101, 110, 108, 95, 115, 111, 99, 107, 0, 117, 101, 118, 101, 110,
    116, 95, 115, 111, 99, 107, 0, 100, 101, 118, 95, 110, 97, 109, 101, 95, 104, 101, 97, 100, 0,
    100, 101, 118, 95, 105, 110, 100, 101, 120, 95, 104, 101, 97, 100, 0, 110, 101, 116, 100, 101,
    118, 95, 99, 104, 97, 105, 110, 0, 114, 97, 119, 95, 110, 111, 116, 105, 102, 105, 101, 114,
    95, 104, 101, 97, 100, 0, 104, 97, 115, 104, 95, 109, 105, 120, 0, 108, 111, 111, 112, 98, 97,
    99, 107, 95, 100, 101, 118, 0, 114, 117, 108, 101, 115, 95, 111, 112, 115, 0, 99, 111, 114,
    101, 0, 115, 121, 115, 99, 116, 108, 95, 104, 100, 114, 0, 115, 121, 115, 99, 116, 108, 95,
    115, 111, 109, 97, 120, 99, 111, 110, 110, 0, 115, 111, 99, 107, 95, 105, 110, 117, 115, 101,
    0, 112, 114, 111, 116, 95, 105, 110, 117, 115, 101, 0, 110, 101, 116, 110, 115, 95, 99, 111,
    114, 101, 0, 109, 105, 98, 0, 116, 99, 112, 95, 115, 116, 97, 116, 105, 115, 116, 105, 99, 115,
    0, 109, 105, 98, 115, 0, 116, 99, 112, 95, 109, 105, 98, 0, 105, 112, 95, 115, 116, 97, 116,
    105, 115, 116, 105, 99, 115, 0, 105, 112, 115, 116, 97, 116, 115, 95, 109, 105, 98, 0, 110,
    101, 116, 95, 115, 116, 97, 116, 105, 115, 116, 105, 99, 115, 0, 108, 105, 110, 117, 120, 95,
    109, 105, 98, 0, 117, 100, 112, 95, 115, 116, 97, 116, 105, 115, 116, 105, 99, 115, 0, 117,
    100, 112, 95, 109, 105, 98, 0, 117, 100, 112, 108, 105, 116, 101, 95, 115, 116, 97, 116, 105,
    115, 116, 105, 99, 115, 0, 105, 99, 109, 112, 95, 115, 116, 97, 116, 105, 115, 116, 105, 99,
    115, 0, 105, 99, 109, 112, 95, 109, 105, 98, 0, 105, 99, 109, 112, 109, 115, 103, 95, 115, 116,
    97, 116, 105, 115, 116, 105, 99, 115, 0, 105, 99, 109, 112, 109, 115, 103, 95, 109, 105, 98, 0,
    112, 114, 111, 99, 95, 110, 101, 116, 95, 100, 101, 118, 115, 110, 109, 112, 54, 0, 117, 100,
    112, 95, 115, 116, 97, 116, 115, 95, 105, 110, 54, 0, 117, 100, 112, 108, 105, 116, 101, 95,
    115, 116, 97, 116, 115, 95, 105, 110, 54, 0, 105, 112, 118, 54, 95, 115, 116, 97, 116, 105,
    115, 116, 105, 99, 115, 0, 105, 99, 109, 112, 118, 54, 95, 115, 116, 97, 116, 105, 115, 116,
    105, 99, 115, 0, 105, 99, 109, 112, 118, 54, 95, 109, 105, 98, 0, 105, 99, 109, 112, 118, 54,
    109, 115, 103, 95, 115, 116, 97, 116, 105, 115, 116, 105, 99, 115, 0, 105, 99, 109, 112, 118,
    54, 109, 115, 103, 95, 109, 105, 98, 0, 120, 102, 114, 109, 95, 115, 116, 97, 116, 105, 115,
    116, 105, 99, 115, 0, 108, 105, 110, 117, 120, 95, 120, 102, 114, 109, 95, 109, 105, 98, 0,
    116, 108, 115, 95, 115, 116, 97, 116, 105, 115, 116, 105, 99, 115, 0, 108, 105, 110, 117, 120,
    95, 116, 108, 115, 95, 109, 105, 98, 0, 109, 112, 116, 99, 112, 95, 115, 116, 97, 116, 105,
    115, 116, 105, 99, 115, 0, 109, 112, 116, 99, 112, 95, 109, 105, 98, 0, 110, 101, 116, 110,
    115, 95, 109, 105, 98, 0, 112, 97, 99, 107, 101, 116, 0, 115, 107, 108, 105, 115, 116, 95, 108,
    111, 99, 107, 0, 115, 107, 108, 105, 115, 116, 0, 110, 101, 116, 110, 115, 95, 112, 97, 99,
    107, 101, 116, 0, 117, 110, 120, 0, 115, 121, 115, 99, 116, 108, 95, 109, 97, 120, 95, 100,
    103, 114, 97, 109, 95, 113, 108, 101, 110, 0, 99, 116, 108, 0, 110, 101, 116, 110, 115, 95,
    117, 110, 105, 120, 0, 110, 101, 120, 116, 104, 111, 112, 0, 100, 101, 118, 104, 97, 115, 104,
    0, 108, 97, 115, 116, 95, 105, 100, 95, 97, 108, 108, 111, 99, 97, 116, 101, 100, 0, 110, 111,
    116, 105, 102, 105, 101, 114, 95, 99, 104, 97, 105, 110, 0, 97, 116, 111, 109, 105, 99, 95,
    110, 111, 116, 105, 102, 105, 101, 114, 95, 104, 101, 97, 100, 0, 110, 101, 116, 110, 115, 95,
    110, 101, 120, 116, 104, 111, 112, 0, 105, 112, 118, 52, 0, 102, 111, 114, 119, 95, 104, 100,
    114, 0, 102, 114, 97, 103, 115, 95, 104, 100, 114, 0, 105, 112, 118, 52, 95, 104, 100, 114, 0,
    114, 111, 117, 116, 101, 95, 104, 100, 114, 0, 120, 102, 114, 109, 52, 95, 104, 100, 114, 0,
    100, 101, 118, 99, 111, 110, 102, 95, 97, 108, 108, 0, 115, 121, 115, 99, 116, 108, 0, 105,
    112, 118, 52, 95, 100, 101, 118, 99, 111, 110, 102, 0, 100, 101, 118, 99, 111, 110, 102, 95,
    100, 102, 108, 116, 0, 114, 97, 95, 99, 104, 97, 105, 110, 0, 100, 101, 115, 116, 114, 117, 99,
    116, 111, 114, 0, 115, 97, 118, 101, 100, 95, 115, 107, 0, 105, 112, 95, 114, 97, 95, 99, 104,
    97, 105, 110, 0, 114, 97, 95, 109, 117, 116, 101, 120, 0, 102, 97, 109, 105, 108, 121, 0, 114,
    117, 108, 101, 95, 115, 105, 122, 101, 0, 97, 100, 100, 114, 95, 115, 105, 122, 101, 0, 117,
    110, 114, 101, 115, 111, 108, 118, 101, 100, 95, 114, 117, 108, 101, 115, 0, 110, 114, 95, 103,
    111, 116, 111, 95, 114, 117, 108, 101, 115, 0, 102, 105, 98, 95, 114, 117, 108, 101, 115, 95,
    115, 101, 113, 0, 105, 105, 102, 105, 110, 100, 101, 120, 0, 111, 105, 102, 105, 110, 100, 101,
    120, 0, 109, 97, 114, 107, 0, 109, 97, 114, 107, 95, 109, 97, 115, 107, 0, 108, 51, 109, 100,
    101, 118, 0, 112, 114, 111, 116, 111, 0, 105, 112, 95, 112, 114, 111, 116, 111, 0, 116, 97,
    114, 103, 101, 116, 0, 116, 117, 110, 95, 105, 100, 0, 95, 95, 98, 101, 54, 52, 0, 99, 116, 97,
    114, 103, 101, 116, 0, 102, 114, 95, 110, 101, 116, 0, 112, 114, 101, 102, 0, 115, 117, 112,
    112, 114, 101, 115, 115, 95, 105, 102, 103, 114, 111, 117, 112, 0, 115, 117, 112, 112, 114,
    101, 115, 115, 95, 112, 114, 101, 102, 105, 120, 108, 101, 110, 0, 105, 105, 102, 110, 97, 109,
    101, 0, 111, 105, 102, 110, 97, 109, 101, 0, 117, 105, 100, 95, 114, 97, 110, 103, 101, 0, 102,
    105, 98, 95, 107, 117, 105, 100, 95, 114, 97, 110, 103, 101, 0, 115, 112, 111, 114, 116, 95,
    114, 97, 110, 103, 101, 0, 102, 105, 98, 95, 114, 117, 108, 101, 95, 112, 111, 114, 116, 95,
    114, 97, 110, 103, 101, 0, 100, 112, 111, 114, 116, 95, 114, 97, 110, 103, 101, 0, 102, 105,
    98, 95, 114, 117, 108, 101, 0, 117, 0, 95, 95, 102, 108, 95, 99, 111, 109, 109, 111, 110, 0,
    102, 108, 111, 119, 105, 99, 95, 111, 105, 102, 0, 102, 108, 111, 119, 105, 99, 95, 105, 105,
    102, 0, 102, 108, 111, 119, 105, 99, 95, 109, 97, 114, 107, 0, 102, 108, 111, 119, 105, 99, 95,
    116, 111, 115, 0, 102, 108, 111, 119, 105, 99, 95, 115, 99, 111, 112, 101, 0, 102, 108, 111,
    119, 105, 99, 95, 112, 114, 111, 116, 111, 0, 102, 108, 111, 119, 105, 99, 95, 102, 108, 97,
    103, 115, 0, 102, 108, 111, 119, 105, 99, 95, 115, 101, 99, 105, 100, 0, 102, 108, 111, 119,
    105, 99, 95, 117, 105, 100, 0, 102, 108, 111, 119, 105, 99, 95, 116, 117, 110, 95, 107, 101,
    121, 0, 102, 108, 111, 119, 105, 95, 116, 117, 110, 110, 101, 108, 0, 102, 108, 111, 119, 105,
    99, 95, 109, 117, 108, 116, 105, 112, 97, 116, 104, 95, 104, 97, 115, 104, 0, 102, 108, 111,
    119, 105, 95, 99, 111, 109, 109, 111, 110, 0, 105, 112, 52, 0, 115, 97, 100, 100, 114, 0, 100,
    97, 100, 100, 114, 0, 117, 108, 105, 0, 112, 111, 114, 116, 115, 0, 100, 112, 111, 114, 116, 0,
    115, 112, 111, 114, 116, 0, 105, 99, 109, 112, 116, 0, 100, 110, 112, 111, 114, 116, 115, 0,
    95, 95, 108, 101, 49, 54, 0, 115, 112, 105, 0, 103, 114, 101, 95, 107, 101, 121, 0, 109, 104,
    116, 0, 102, 108, 111, 119, 105, 95, 117, 108, 105, 0, 102, 108, 111, 119, 105, 52, 0, 105,
    112, 54, 0, 105, 110, 54, 95, 117, 0, 117, 54, 95, 97, 100, 100, 114, 56, 0, 117, 54, 95, 97,
    100, 100, 114, 49, 54, 0, 117, 54, 95, 97, 100, 100, 114, 51, 50, 0, 105, 110, 54, 95, 97, 100,
    100, 114, 0, 102, 108, 111, 119, 108, 97, 98, 101, 108, 0, 109, 112, 95, 104, 97, 115, 104, 0,
    102, 108, 111, 119, 105, 54, 0, 100, 110, 0, 102, 108, 111, 119, 105, 100, 110, 0, 102, 108,
    111, 119, 105, 0, 108, 111, 111, 107, 117, 112, 95, 112, 116, 114, 0, 108, 111, 111, 107, 117,
    112, 95, 100, 97, 116, 97, 0, 114, 101, 115, 117, 108, 116, 0, 114, 117, 108, 101, 0, 102, 105,
    98, 95, 108, 111, 111, 107, 117, 112, 95, 97, 114, 103, 0, 115, 117, 112, 112, 114, 101, 115,
    115, 0, 99, 111, 110, 102, 105, 103, 117, 114, 101, 0, 100, 115, 116, 95, 108, 101, 110, 0,
    115, 114, 99, 95, 108, 101, 110, 0, 116, 111, 115, 0, 114, 101, 115, 49, 0, 114, 101, 115, 50,
    0, 102, 105, 98, 95, 114, 117, 108, 101, 95, 104, 100, 114, 0, 110, 108, 97, 95, 108, 101, 110,
    0, 110, 108, 97, 95, 116, 121, 112, 101, 0, 110, 108, 97, 116, 116, 114, 0, 95, 109, 115, 103,
    0, 98, 97, 100, 95, 97, 116, 116, 114, 0, 99, 111, 111, 107, 105, 101, 95, 108, 101, 110, 0,
    110, 101, 116, 108, 105, 110, 107, 95, 101, 120, 116, 95, 97, 99, 107, 0, 100, 101, 108, 101,
    116, 101, 0, 99, 111, 109, 112, 97, 114, 101, 0, 102, 105, 108, 108, 0, 110, 108, 109, 115,
    103, 95, 112, 97, 121, 108, 111, 97, 100, 0, 102, 108, 117, 115, 104, 95, 99, 97, 99, 104, 101,
    0, 110, 108, 103, 114, 111, 117, 112, 0, 118, 97, 108, 105, 100, 97, 116, 105, 111, 110, 95,
    116, 121, 112, 101, 0, 98, 105, 116, 102, 105, 101, 108, 100, 51, 50, 95, 118, 97, 108, 105,
    100, 0, 114, 101, 106, 101, 99, 116, 95, 109, 101, 115, 115, 97, 103, 101, 0, 110, 101, 115,
    116, 101, 100, 95, 112, 111, 108, 105, 99, 121, 0, 110, 101, 116, 108, 105, 110, 107, 95, 114,
    97, 110, 103, 101, 95, 118, 97, 108, 105, 100, 97, 116, 105, 111, 110, 0, 114, 97, 110, 103,
    101, 95, 115, 105, 103, 110, 101, 100, 0, 110, 101, 116, 108, 105, 110, 107, 95, 114, 97, 110,
    103, 101, 95, 118, 97, 108, 105, 100, 97, 116, 105, 111, 110, 95, 115, 105, 103, 110, 101, 100,
    0, 115, 49, 54, 0, 118, 97, 108, 105, 100, 97, 116, 101, 0, 115, 116, 114, 105, 99, 116, 95,
    115, 116, 97, 114, 116, 95, 116, 121, 112, 101, 0, 110, 108, 97, 95, 112, 111, 108, 105, 99,
    121, 0, 114, 117, 108, 101, 115, 95, 108, 105, 115, 116, 0, 102, 114, 111, 95, 110, 101, 116,
    0, 102, 105, 98, 95, 114, 117, 108, 101, 115, 95, 111, 112, 115, 0, 102, 105, 98, 95, 104, 97,
    115, 95, 99, 117, 115, 116, 111, 109, 95, 114, 117, 108, 101, 115, 0, 102, 105, 98, 95, 114,
    117, 108, 101, 115, 95, 114, 101, 113, 117, 105, 114, 101, 95, 102, 108, 100, 105, 115, 115,
    101, 99, 116, 0, 102, 105, 98, 95, 109, 97, 105, 110, 0, 116, 98, 95, 104, 108, 105, 115, 116,
    0, 116, 98, 95, 105, 100, 0, 116, 98, 95, 110, 117, 109, 95, 100, 101, 102, 97, 117, 108, 116,
    0, 116, 98, 95, 100, 97, 116, 97, 0, 95, 95, 100, 97, 116, 97, 0, 102, 105, 98, 95, 116, 97,
    98, 108, 101, 0, 102, 105, 98, 95, 100, 101, 102, 97, 117, 108, 116, 0, 102, 105, 98, 95, 104,
    97, 115, 95, 99, 117, 115, 116, 111, 109, 95, 108, 111, 99, 97, 108, 95, 114, 111, 117, 116,
    101, 115, 0, 102, 105, 98, 95, 110, 117, 109, 95, 116, 99, 108, 97, 115, 115, 105, 100, 95,
    117, 115, 101, 114, 115, 0, 102, 105, 98, 95, 116, 97, 98, 108, 101, 95, 104, 97, 115, 104, 0,
    102, 105, 98, 95, 111, 102, 102, 108, 111, 97, 100, 95, 100, 105, 115, 97, 98, 108, 101, 100,
    0, 102, 105, 98, 110, 108, 0, 105, 99, 109, 112, 95, 115, 107, 0, 109, 99, 95, 97, 117, 116,
    111, 106, 111, 105, 110, 95, 115, 107, 0, 112, 101, 101, 114, 115, 0, 115, 101, 113, 108, 111,
    99, 107, 95, 116, 0, 105, 110, 101, 116, 95, 112, 101, 101, 114, 95, 98, 97, 115, 101, 0, 116,
    99, 112, 95, 115, 107, 0, 102, 113, 100, 105, 114, 0, 104, 105, 103, 104, 95, 116, 104, 114,
    101, 115, 104, 0, 108, 111, 119, 95, 116, 104, 114, 101, 115, 104, 0, 109, 97, 120, 95, 100,
    105, 115, 116, 0, 102, 0, 113, 115, 105, 122, 101, 0, 99, 111, 110, 115, 116, 114, 117, 99,
    116, 111, 114, 0, 114, 104, 97, 115, 104, 95, 104, 101, 97, 100, 0, 118, 52, 0, 118, 105, 102,
    0, 112, 114, 111, 116, 111, 99, 111, 108, 0, 102, 114, 97, 103, 95, 118, 52, 95, 99, 111, 109,
    112, 97, 114, 101, 95, 107, 101, 121, 0, 118, 54, 0, 105, 105, 102, 0, 102, 114, 97, 103, 95,
    118, 54, 95, 99, 111, 109, 112, 97, 114, 101, 95, 107, 101, 121, 0, 114, 98, 95, 102, 114, 97,
    103, 109, 101, 110, 116, 115, 0, 102, 114, 97, 103, 109, 101, 110, 116, 115, 95, 116, 97, 105,
    108, 0, 108, 97, 115, 116, 95, 114, 117, 110, 95, 104, 101, 97, 100, 0, 115, 116, 97, 109, 112,
    0, 109, 101, 97, 116, 0, 105, 110, 101, 116, 95, 102, 114, 97, 103, 95, 113, 117, 101, 117,
    101, 0, 102, 114, 97, 103, 95, 101, 120, 112, 105, 114, 101, 0, 102, 114, 97, 103, 115, 95, 99,
    97, 99, 104, 101, 112, 0, 102, 114, 97, 103, 115, 95, 99, 97, 99, 104, 101, 95, 110, 97, 109,
    101, 0, 114, 104, 97, 115, 104, 95, 112, 97, 114, 97, 109, 115, 0, 105, 110, 101, 116, 95, 102,
    114, 97, 103, 115, 0, 110, 101, 116, 0, 109, 101, 109, 0, 105, 112, 116, 97, 98, 108, 101, 95,
    102, 105, 108, 116, 101, 114, 0, 118, 97, 108, 105, 100, 95, 104, 111, 111, 107, 115, 0, 105,
    110, 105, 116, 105, 97, 108, 95, 101, 110, 116, 114, 105, 101, 115, 0, 104, 111, 111, 107, 95,
    101, 110, 116, 114, 121, 0, 117, 110, 100, 101, 114, 102, 108, 111, 119, 0, 115, 116, 97, 99,
    107, 115, 105, 122, 101, 0, 106, 117, 109, 112, 115, 116, 97, 99, 107, 0, 101, 110, 116, 114,
    105, 101, 115, 0, 120, 116, 95, 116, 97, 98, 108, 101, 95, 105, 110, 102, 111, 0, 109, 101, 0,
    97, 102, 0, 117, 95, 105, 110, 116, 56, 95, 116, 0, 116, 97, 98, 108, 101, 95, 105, 110, 105,
    116, 0, 120, 116, 95, 116, 97, 98, 108, 101, 0, 105, 112, 116, 97, 98, 108, 101, 95, 109, 97,
    110, 103, 108, 101, 0, 105, 112, 116, 97, 98, 108, 101, 95, 114, 97, 119, 0, 97, 114, 112, 116,
    97, 98, 108, 101, 95, 102, 105, 108, 116, 101, 114, 0, 105, 112, 116, 97, 98, 108, 101, 95,
    115, 101, 99, 117, 114, 105, 116, 121, 0, 110, 97, 116, 95, 116, 97, 98, 108, 101, 0, 115, 121,
    115, 99, 116, 108, 95, 105, 99, 109, 112, 95, 101, 99, 104, 111, 95, 105, 103, 110, 111, 114,
    101, 95, 97, 108, 108, 0, 115, 121, 115, 99, 116, 108, 95, 105, 99, 109, 112, 95, 101, 99, 104,
    111, 95, 105, 103, 110, 111, 114, 101, 95, 98, 114, 111, 97, 100, 99, 97, 115, 116, 115, 0,
    115, 121, 115, 99, 116, 108, 95, 105, 99, 109, 112, 95, 105, 103, 110, 111, 114, 101, 95, 98,
    111, 103, 117, 115, 95, 101, 114, 114, 111, 114, 95, 114, 101, 115, 112, 111, 110, 115, 101,
    115, 0, 115, 121, 115, 99, 116, 108, 95, 105, 99, 109, 112, 95, 114, 97, 116, 101, 108, 105,
    109, 105, 116, 0, 115, 121, 115, 99, 116, 108, 95, 105, 99, 109, 112, 95, 114, 97, 116, 101,
    109, 97, 115, 107, 0, 115, 121, 115, 99, 116, 108, 95, 105, 99, 109, 112, 95, 101, 114, 114,
    111, 114, 115, 95, 117, 115, 101, 95, 105, 110, 98, 111, 117, 110, 100, 95, 105, 102, 97, 100,
    100, 114, 0, 105, 112, 95, 108, 111, 99, 97, 108, 95, 112, 111, 114, 116, 115, 0, 119, 97, 114,
    110, 101, 100, 0, 108, 111, 99, 97, 108, 95, 112, 111, 114, 116, 115, 0, 115, 121, 115, 99,
    116, 108, 95, 116, 99, 112, 95, 101, 99, 110, 0, 115, 121, 115, 99, 116, 108, 95, 116, 99, 112,
    95, 101, 99, 110, 95, 102, 97, 108, 108, 98, 97, 99, 107, 0, 115, 121, 115, 99, 116, 108, 95,
    105, 112, 95, 100, 101, 102, 97, 117, 108, 116, 95, 116, 116, 108, 0, 115, 121, 115, 99, 116,
    108, 95, 105, 112, 95, 110, 111, 95, 112, 109, 116, 117, 95, 100, 105, 115, 99, 0, 115, 121,
    115, 99, 116, 108, 95, 105, 112, 95, 102, 119, 100, 95, 117, 115, 101, 95, 112, 109, 116, 117,
    0, 115, 121, 115, 99, 116, 108, 95, 105, 112, 95, 102, 119, 100, 95, 117, 112, 100, 97, 116,
    101, 95, 112, 114, 105, 111, 114, 105, 116, 121, 0, 115, 121, 115, 99, 116, 108, 95, 105, 112,
    95, 110, 111, 110, 108, 111, 99, 97, 108, 95, 98, 105, 110, 100, 0, 115, 121, 115, 99, 116,
    108, 95, 105, 112, 95, 97, 117, 116, 111, 98, 105, 110, 100, 95, 114, 101, 117, 115, 101, 0,
    115, 121, 115, 99, 116, 108, 95, 105, 112, 95, 100, 121, 110, 97, 100, 100, 114, 0, 115, 121,
    115, 99, 116, 108, 95, 105, 112, 95, 101, 97, 114, 108, 121, 95, 100, 101, 109, 117, 120, 0,
    115, 121, 115, 99, 116, 108, 95, 114, 97, 119, 95, 108, 51, 109, 100, 101, 118, 95, 97, 99, 99,
    101, 112, 116, 0, 115, 121, 115, 99, 116, 108, 95, 116, 99, 112, 95, 101, 97, 114, 108, 121,
    95, 100, 101, 109, 117, 120, 0, 115, 121, 115, 99, 116, 108, 95, 117, 100, 112, 95, 101, 97,
    114, 108, 121, 95, 100, 101, 109, 117, 120, 0, 115, 121, 115, 99, 116, 108, 95, 110, 101, 120,
    116, 104, 111, 112, 95, 99, 111, 109, 112, 97, 116, 95, 109, 111, 100, 101, 0, 115, 121, 115,
    99, 116, 108, 95, 102, 119, 109, 97, 114, 107, 95, 114, 101, 102, 108, 101, 99, 116, 0, 115,
    121, 115, 99, 116, 108, 95, 116, 99, 112, 95, 102, 119, 109, 97, 114, 107, 95, 97, 99, 99, 101,
    112, 116, 0, 115, 121, 115, 99, 116, 108, 95, 116, 99, 112, 95, 108, 51, 109, 100, 101, 118,
    95, 97, 99, 99, 101, 112, 116, 0, 115, 121, 115, 99, 116, 108, 95, 116, 99, 112, 95, 109, 116,
    117, 95, 112, 114, 111, 98, 105, 110, 103, 0, 115, 121, 115, 99, 116, 108, 95, 116, 99, 112,
    95, 109, 116, 117, 95, 112, 114, 111, 98, 101, 95, 102, 108, 111, 111, 114, 0, 115, 121, 115,
    99, 116, 108, 95, 116, 99, 112, 95, 98, 97, 115, 101, 95, 109, 115, 115, 0, 115, 121, 115, 99,
    116, 108, 95, 116, 99, 112, 95, 109, 105, 110, 95, 115, 110, 100, 95, 109, 115, 115, 0, 115,
    121, 115, 99, 116, 108, 95, 116, 99, 112, 95, 112, 114, 111, 98, 101, 95, 116, 104, 114, 101,
    115, 104, 111, 108, 100, 0, 115, 121, 115, 99, 116, 108, 95, 116, 99, 112, 95, 112, 114, 111,
    98, 101, 95, 105, 110, 116, 101, 114, 118, 97, 108, 0, 115, 121, 115, 99, 116, 108, 95, 116,
    99, 112, 95, 107, 101, 101, 112, 97, 108, 105, 118, 101, 95, 116, 105, 109, 101, 0, 115, 121,
    115, 99, 116, 108, 95, 116, 99, 112, 95, 107, 101, 101, 112, 97, 108, 105, 118, 101, 95, 112,
    114, 111, 98, 101, 115, 0, 115, 121, 115, 99, 116, 108, 95, 116, 99, 112, 95, 107, 101, 101,
    112, 97, 108, 105, 118, 101, 95, 105, 110, 116, 118, 108, 0, 115, 121, 115, 99, 116, 108, 95,
    116, 99, 112, 95, 115, 121, 110, 95, 114, 101, 116, 114, 105, 101, 115, 0, 115, 121, 115, 99,
    116, 108, 95, 116, 99, 112, 95, 115, 121, 110, 97, 99, 107, 95, 114, 101, 116, 114, 105, 101,
    115, 0, 115, 121, 115, 99, 116, 108, 95, 116, 99, 112, 95, 115, 121, 110, 99, 111, 111, 107,
    105, 101, 115, 0, 115, 121, 115, 99, 116, 108, 95, 116, 99, 112, 95, 114, 101, 111, 114, 100,
    101, 114, 105, 110, 103, 0, 115, 121, 115, 99, 116, 108, 95, 116, 99, 112, 95, 114, 101, 116,
    114, 105, 101, 115, 49, 0, 115, 121, 115, 99, 116, 108, 95, 116, 99, 112, 95, 114, 101, 116,
    114, 105, 101, 115, 50, 0, 115, 121, 115, 99, 116, 108, 95, 116, 99, 112, 95, 111, 114, 112,
    104, 97, 110, 95, 114, 101, 116, 114, 105, 101, 115, 0, 115, 121, 115, 99, 116, 108, 95, 116,
    99, 112, 95, 102, 105, 110, 95, 116, 105, 109, 101, 111, 117, 116, 0, 115, 121, 115, 99, 116,
    108, 95, 116, 99, 112, 95, 110, 111, 116, 115, 101, 110, 116, 95, 108, 111, 119, 97, 116, 0,
    115, 121, 115, 99, 116, 108, 95, 116, 99, 112, 95, 116, 119, 95, 114, 101, 117, 115, 101, 0,
    115, 121, 115, 99, 116, 108, 95, 116, 99, 112, 95, 115, 97, 99, 107, 0, 115, 121, 115, 99, 116,
    108, 95, 116, 99, 112, 95, 119, 105, 110, 100, 111, 119, 95, 115, 99, 97, 108, 105, 110, 103,
    0, 115, 121, 115, 99, 116, 108, 95, 116, 99, 112, 95, 116, 105, 109, 101, 115, 116, 97, 109,
    112, 115, 0, 115, 121, 115, 99, 116, 108, 95, 116, 99, 112, 95, 101, 97, 114, 108, 121, 95,
    114, 101, 116, 114, 97, 110, 115, 0, 115, 121, 115, 99, 116, 108, 95, 116, 99, 112, 95, 114,
    101, 99, 111, 118, 101, 114, 121, 0, 115, 121, 115, 99, 116, 108, 95, 116, 99, 112, 95, 116,
    104, 105, 110, 95, 108, 105, 110, 101, 97, 114, 95, 116, 105, 109, 101, 111, 117, 116, 115, 0,
    115, 121, 115, 99, 116, 108, 95, 116, 99, 112, 95, 115, 108, 111, 119, 95, 115, 116, 97, 114,
    116, 95, 97, 102, 116, 101, 114, 95, 105, 100, 108, 101, 0, 115, 121, 115, 99, 116, 108, 95,
    116, 99, 112, 95, 114, 101, 116, 114, 97, 110, 115, 95, 99, 111, 108, 108, 97, 112, 115, 101,
    0, 115, 121, 115, 99, 116, 108, 95, 116, 99, 112, 95, 115, 116, 100, 117, 114, 103, 0, 115,
    121, 115, 99, 116, 108, 95, 116, 99, 112, 95, 114, 102, 99, 49, 51, 51, 55, 0, 115, 121, 115,
    99, 116, 108, 95, 116, 99, 112, 95, 97, 98, 111, 114, 116, 95, 111, 110, 95, 111, 118, 101,
    114, 102, 108, 111, 119, 0, 115, 121, 115, 99, 116, 108, 95, 116, 99, 112, 95, 102, 97, 99,
    107, 0, 115, 121, 115, 99, 116, 108, 95, 116, 99, 112, 95, 109, 97, 120, 95, 114, 101, 111,
    114, 100, 101, 114, 105, 110, 103, 0, 115, 121, 115, 99, 116, 108, 95, 116, 99, 112, 95, 100,
    115, 97, 99, 107, 0, 115, 121, 115, 99, 116, 108, 95, 116, 99, 112, 95, 97, 112, 112, 95, 119,
    105, 110, 0, 115, 121, 115, 99, 116, 108, 95, 116, 99, 112, 95, 97, 100, 118, 95, 119, 105,
    110, 95, 115, 99, 97, 108, 101, 0, 115, 121, 115, 99, 116, 108, 95, 116, 99, 112, 95, 102, 114,
    116, 111, 0, 115, 121, 115, 99, 116, 108, 95, 116, 99, 112, 95, 110, 111, 109, 101, 116, 114,
    105, 99, 115, 95, 115, 97, 118, 101, 0, 115, 121, 115, 99, 116, 108, 95, 116, 99, 112, 95, 110,
    111, 95, 115, 115, 116, 104, 114, 101, 115, 104, 95, 109, 101, 116, 114, 105, 99, 115, 95, 115,
    97, 118, 101, 0, 115, 121, 115, 99, 116, 108, 95, 116, 99, 112, 95, 109, 111, 100, 101, 114,
    97, 116, 101, 95, 114, 99, 118, 98, 117, 102, 0, 115, 121, 115, 99, 116, 108, 95, 116, 99, 112,
    95, 116, 115, 111, 95, 119, 105, 110, 95, 100, 105, 118, 105, 115, 111, 114, 0, 115, 121, 115,
    99, 116, 108, 95, 116, 99, 112, 95, 119, 111, 114, 107, 97, 114, 111, 117, 110, 100, 95, 115,
    105, 103, 110, 101, 100, 95, 119, 105, 110, 100, 111, 119, 115, 0, 115, 121, 115, 99, 116, 108,
    95, 116, 99, 112, 95, 108, 105, 109, 105, 116, 95, 111, 117, 116, 112, 117, 116, 95, 98, 121,
    116, 101, 115, 0, 115, 121, 115, 99, 116, 108, 95, 116, 99, 112, 95, 99, 104, 97, 108, 108,
    101, 110, 103, 101, 95, 97, 99, 107, 95, 108, 105, 109, 105, 116, 0, 115, 121, 115, 99, 116,
    108, 95, 116, 99, 112, 95, 109, 105, 110, 95, 116, 115, 111, 95, 115, 101, 103, 115, 0, 115,
    121, 115, 99, 116, 108, 95, 116, 99, 112, 95, 109, 105, 110, 95, 114, 116, 116, 95, 119, 108,
    101, 110, 0, 115, 121, 115, 99, 116, 108, 95, 116, 99, 112, 95, 97, 117, 116, 111, 99, 111,
    114, 107, 105, 110, 103, 0, 115, 121, 115, 99, 116, 108, 95, 116, 99, 112, 95, 105, 110, 118,
    97, 108, 105, 100, 95, 114, 97, 116, 101, 108, 105, 109, 105, 116, 0, 115, 121, 115, 99, 116,
    108, 95, 116, 99, 112, 95, 112, 97, 99, 105, 110, 103, 95, 115, 115, 95, 114, 97, 116, 105,
    111, 0, 115, 121, 115, 99, 116, 108, 95, 116, 99, 112, 95, 112, 97, 99, 105, 110, 103, 95, 99,
    97, 95, 114, 97, 116, 105, 111, 0, 115, 121, 115, 99, 116, 108, 95, 116, 99, 112, 95, 119, 109,
    101, 109, 0, 115, 121, 115, 99, 116, 108, 95, 116, 99, 112, 95, 114, 109, 101, 109, 0, 115,
    121, 115, 99, 116, 108, 95, 116, 99, 112, 95, 99, 111, 109, 112, 95, 115, 97, 99, 107, 95, 110,
    114, 0, 115, 121, 115, 99, 116, 108, 95, 116, 99, 112, 95, 99, 111, 109, 112, 95, 115, 97, 99,
    107, 95, 100, 101, 108, 97, 121, 95, 110, 115, 0, 115, 121, 115, 99, 116, 108, 95, 116, 99,
    112, 95, 99, 111, 109, 112, 95, 115, 97, 99, 107, 95, 115, 108, 97, 99, 107, 95, 110, 115, 0,
    116, 99, 112, 95, 100, 101, 97, 116, 104, 95, 114, 111, 119, 0, 116, 119, 95, 99, 111, 117,
    110, 116, 0, 104, 97, 115, 104, 105, 110, 102, 111, 0, 101, 104, 97, 115, 104, 0, 99, 104, 97,
    105, 110, 0, 104, 108, 105, 115, 116, 95, 110, 117, 108, 108, 115, 95, 110, 111, 100, 101, 0,
    104, 108, 105, 115, 116, 95, 110, 117, 108, 108, 115, 95, 104, 101, 97, 100, 0, 105, 110, 101,
    116, 95, 101, 104, 97, 115, 104, 95, 98, 117, 99, 107, 101, 116, 0, 101, 104, 97, 115, 104, 95,
    108, 111, 99, 107, 115, 0, 101, 104, 97, 115, 104, 95, 109, 97, 115, 107, 0, 101, 104, 97, 115,
    104, 95, 108, 111, 99, 107, 115, 95, 109, 97, 115, 107, 0, 98, 105, 110, 100, 95, 98, 117, 99,
    107, 101, 116, 95, 99, 97, 99, 104, 101, 112, 0, 98, 104, 97, 115, 104, 0, 105, 110, 101, 116,
    95, 98, 105, 110, 100, 95, 104, 97, 115, 104, 98, 117, 99, 107, 101, 116, 0, 98, 104, 97, 115,
    104, 95, 115, 105, 122, 101, 0, 108, 104, 97, 115, 104, 50, 95, 109, 97, 115, 107, 0, 108, 104,
    97, 115, 104, 50, 0, 110, 117, 108, 108, 115, 95, 104, 101, 97, 100, 0, 105, 110, 101, 116, 95,
    108, 105, 115, 116, 101, 110, 95, 104, 97, 115, 104, 98, 117, 99, 107, 101, 116, 0, 108, 105,
    115, 116, 101, 110, 105, 110, 103, 95, 104, 97, 115, 104, 0, 105, 110, 101, 116, 95, 104, 97,
    115, 104, 105, 110, 102, 111, 0, 115, 121, 115, 99, 116, 108, 95, 109, 97, 120, 95, 116, 119,
    95, 98, 117, 99, 107, 101, 116, 115, 0, 105, 110, 101, 116, 95, 116, 105, 109, 101, 119, 97,
    105, 116, 95, 100, 101, 97, 116, 104, 95, 114, 111, 119, 0, 115, 121, 115, 99, 116, 108, 95,
    109, 97, 120, 95, 115, 121, 110, 95, 98, 97, 99, 107, 108, 111, 103, 0, 115, 121, 115, 99, 116,
    108, 95, 116, 99, 112, 95, 102, 97, 115, 116, 111, 112, 101, 110, 0, 116, 99, 112, 95, 99, 111,
    110, 103, 101, 115, 116, 105, 111, 110, 95, 99, 111, 110, 116, 114, 111, 108, 0, 115, 115, 116,
    104, 114, 101, 115, 104, 0, 99, 111, 110, 103, 95, 97, 118, 111, 105, 100, 0, 115, 101, 116,
    95, 115, 116, 97, 116, 101, 0, 99, 119, 110, 100, 95, 101, 118, 101, 110, 116, 0, 105, 110, 95,
    97, 99, 107, 95, 101, 118, 101, 110, 116, 0, 117, 110, 100, 111, 95, 99, 119, 110, 100, 0, 112,
    107, 116, 115, 95, 97, 99, 107, 101, 100, 0, 114, 116, 116, 95, 117, 115, 0, 105, 110, 95, 102,
    108, 105, 103, 104, 116, 0, 97, 99, 107, 95, 115, 97, 109, 112, 108, 101, 0, 109, 105, 110, 95,
    116, 115, 111, 95, 115, 101, 103, 115, 0, 115, 110, 100, 98, 117, 102, 95, 101, 120, 112, 97,
    110, 100, 0, 99, 111, 110, 103, 95, 99, 111, 110, 116, 114, 111, 108, 0, 112, 114, 105, 111,
    114, 95, 109, 115, 116, 97, 109, 112, 0, 112, 114, 105, 111, 114, 95, 100, 101, 108, 105, 118,
    101, 114, 101, 100, 0, 100, 101, 108, 105, 118, 101, 114, 101, 100, 0, 105, 110, 116, 101, 114,
    118, 97, 108, 95, 117, 115, 0, 115, 110, 100, 95, 105, 110, 116, 101, 114, 118, 97, 108, 95,
    117, 115, 0, 114, 99, 118, 95, 105, 110, 116, 101, 114, 118, 97, 108, 95, 117, 115, 0, 108,
    111, 115, 115, 101, 115, 0, 97, 99, 107, 101, 100, 95, 115, 97, 99, 107, 101, 100, 0, 112, 114,
    105, 111, 114, 95, 105, 110, 95, 102, 108, 105, 103, 104, 116, 0, 105, 115, 95, 97, 112, 112,
    95, 108, 105, 109, 105, 116, 101, 100, 0, 105, 115, 95, 114, 101, 116, 114, 97, 110, 115, 0,
    105, 115, 95, 97, 99, 107, 95, 100, 101, 108, 97, 121, 101, 100, 0, 114, 97, 116, 101, 95, 115,
    97, 109, 112, 108, 101, 0, 103, 101, 116, 95, 105, 110, 102, 111, 0, 118, 101, 103, 97, 115, 0,
    116, 99, 112, 118, 95, 101, 110, 97, 98, 108, 101, 100, 0, 116, 99, 112, 118, 95, 114, 116,
    116, 99, 110, 116, 0, 116, 99, 112, 118, 95, 114, 116, 116, 0, 116, 99, 112, 118, 95, 109, 105,
    110, 114, 116, 116, 0, 116, 99, 112, 118, 101, 103, 97, 115, 95, 105, 110, 102, 111, 0, 100,
    99, 116, 99, 112, 0, 100, 99, 116, 99, 112, 95, 101, 110, 97, 98, 108, 101, 100, 0, 100, 99,
    116, 99, 112, 95, 99, 101, 95, 115, 116, 97, 116, 101, 0, 100, 99, 116, 99, 112, 95, 97, 108,
    112, 104, 97, 0, 100, 99, 116, 99, 112, 95, 97, 98, 95, 101, 99, 110, 0, 100, 99, 116, 99, 112,
    95, 97, 98, 95, 116, 111, 116, 0, 116, 99, 112, 95, 100, 99, 116, 99, 112, 95, 105, 110, 102,
    111, 0, 98, 98, 114, 0, 98, 98, 114, 95, 98, 119, 95, 108, 111, 0, 98, 98, 114, 95, 98, 119,
    95, 104, 105, 0, 98, 98, 114, 95, 109, 105, 110, 95, 114, 116, 116, 0, 98, 98, 114, 95, 112,
    97, 99, 105, 110, 103, 95, 103, 97, 105, 110, 0, 98, 98, 114, 95, 99, 119, 110, 100, 95, 103,
    97, 105, 110, 0, 116, 99, 112, 95, 98, 98, 114, 95, 105, 110, 102, 111, 0, 116, 99, 112, 95,
    99, 99, 95, 105, 110, 102, 111, 0, 116, 99, 112, 95, 99, 111, 110, 103, 101, 115, 116, 105,
    111, 110, 95, 111, 112, 115, 0, 116, 99, 112, 95, 102, 97, 115, 116, 111, 112, 101, 110, 95,
    99, 116, 120, 0, 115, 105, 112, 104, 97, 115, 104, 95, 107, 101, 121, 95, 116, 0, 110, 117,
    109, 0, 116, 99, 112, 95, 102, 97, 115, 116, 111, 112, 101, 110, 95, 99, 111, 110, 116, 101,
    120, 116, 0, 116, 99, 112, 95, 102, 97, 115, 116, 111, 112, 101, 110, 95, 99, 116, 120, 95,
    108, 111, 99, 107, 0, 115, 121, 115, 99, 116, 108, 95, 116, 99, 112, 95, 102, 97, 115, 116,
    111, 112, 101, 110, 95, 98, 108, 97, 99, 107, 104, 111, 108, 101, 95, 116, 105, 109, 101, 111,
    117, 116, 0, 116, 102, 111, 95, 97, 99, 116, 105, 118, 101, 95, 100, 105, 115, 97, 98, 108,
    101, 95, 116, 105, 109, 101, 115, 0, 116, 102, 111, 95, 97, 99, 116, 105, 118, 101, 95, 100,
    105, 115, 97, 98, 108, 101, 95, 115, 116, 97, 109, 112, 0, 115, 121, 115, 99, 116, 108, 95,
    117, 100, 112, 95, 119, 109, 101, 109, 95, 109, 105, 110, 0, 115, 121, 115, 99, 116, 108, 95,
    117, 100, 112, 95, 114, 109, 101, 109, 95, 109, 105, 110, 0, 115, 121, 115, 99, 116, 108, 95,
    117, 100, 112, 95, 108, 51, 109, 100, 101, 118, 95, 97, 99, 99, 101, 112, 116, 0, 115, 121,
    115, 99, 116, 108, 95, 105, 103, 109, 112, 95, 109, 97, 120, 95, 109, 101, 109, 98, 101, 114,
    115, 104, 105, 112, 115, 0, 115, 121, 115, 99, 116, 108, 95, 105, 103, 109, 112, 95, 109, 97,
    120, 95, 109, 115, 102, 0, 115, 121, 115, 99, 116, 108, 95, 105, 103, 109, 112, 95, 108, 108,
    109, 95, 114, 101, 112, 111, 114, 116, 115, 0, 115, 121, 115, 99, 116, 108, 95, 105, 103, 109,
    112, 95, 113, 114, 118, 0, 112, 105, 110, 103, 95, 103, 114, 111, 117, 112, 95, 114, 97, 110,
    103, 101, 0, 100, 101, 118, 95, 97, 100, 100, 114, 95, 103, 101, 110, 105, 100, 0, 115, 121,
    115, 99, 116, 108, 95, 108, 111, 99, 97, 108, 95, 114, 101, 115, 101, 114, 118, 101, 100, 95,
    112, 111, 114, 116, 115, 0, 115, 121, 115, 99, 116, 108, 95, 105, 112, 95, 112, 114, 111, 116,
    95, 115, 111, 99, 107, 0, 109, 114, 95, 116, 97, 98, 108, 101, 115, 0, 109, 114, 95, 114, 117,
    108, 101, 115, 95, 111, 112, 115, 0, 115, 121, 115, 99, 116, 108, 95, 102, 105, 98, 95, 109,
    117, 108, 116, 105, 112, 97, 116, 104, 95, 117, 115, 101, 95, 110, 101, 105, 103, 104, 0, 115,
    121, 115, 99, 116, 108, 95, 102, 105, 98, 95, 109, 117, 108, 116, 105, 112, 97, 116, 104, 95,
    104, 97, 115, 104, 95, 112, 111, 108, 105, 99, 121, 0, 110, 111, 116, 105, 102, 105, 101, 114,
    95, 111, 112, 115, 0, 102, 105, 98, 95, 115, 101, 113, 95, 114, 101, 97, 100, 0, 102, 105, 98,
    95, 100, 117, 109, 112, 0, 102, 105, 98, 95, 110, 111, 116, 105, 102, 105, 101, 114, 95, 111,
    112, 115, 0, 102, 105, 98, 95, 115, 101, 113, 0, 105, 112, 109, 114, 95, 110, 111, 116, 105,
    102, 105, 101, 114, 95, 111, 112, 115, 0, 105, 112, 109, 114, 95, 115, 101, 113, 0, 114, 116,
    95, 103, 101, 110, 105, 100, 0, 105, 112, 95, 105, 100, 95, 107, 101, 121, 0, 110, 101, 116,
    110, 115, 95, 105, 112, 118, 52, 0, 105, 112, 118, 54, 0, 105, 99, 109, 112, 95, 104, 100, 114,
    0, 120, 102, 114, 109, 54, 95, 104, 100, 114, 0, 98, 105, 110, 100, 118, 54, 111, 110, 108,
    121, 0, 102, 108, 117, 115, 104, 95, 100, 101, 108, 97, 121, 0, 105, 112, 54, 95, 114, 116, 95,
    109, 97, 120, 95, 115, 105, 122, 101, 0, 105, 112, 54, 95, 114, 116, 95, 103, 99, 95, 109, 105,
    110, 95, 105, 110, 116, 101, 114, 118, 97, 108, 0, 105, 112, 54, 95, 114, 116, 95, 103, 99, 95,
    116, 105, 109, 101, 111, 117, 116, 0, 105, 112, 54, 95, 114, 116, 95, 103, 99, 95, 105, 110,
    116, 101, 114, 118, 97, 108, 0, 105, 112, 54, 95, 114, 116, 95, 103, 99, 95, 101, 108, 97, 115,
    116, 105, 99, 105, 116, 121, 0, 105, 112, 54, 95, 114, 116, 95, 109, 116, 117, 95, 101, 120,
    112, 105, 114, 101, 115, 0, 105, 112, 54, 95, 114, 116, 95, 109, 105, 110, 95, 97, 100, 118,
    109, 115, 115, 0, 109, 117, 108, 116, 105, 112, 97, 116, 104, 95, 104, 97, 115, 104, 95, 112,
    111, 108, 105, 99, 121, 0, 102, 108, 111, 119, 108, 97, 98, 101, 108, 95, 99, 111, 110, 115,
    105, 115, 116, 101, 110, 99, 121, 0, 97, 117, 116, 111, 95, 102, 108, 111, 119, 108, 97, 98,
    101, 108, 115, 0, 105, 99, 109, 112, 118, 54, 95, 116, 105, 109, 101, 0, 105, 99, 109, 112,
    118, 54, 95, 101, 99, 104, 111, 95, 105, 103, 110, 111, 114, 101, 95, 97, 108, 108, 0, 105, 99,
    109, 112, 118, 54, 95, 101, 99, 104, 111, 95, 105, 103, 110, 111, 114, 101, 95, 109, 117, 108,
    116, 105, 99, 97, 115, 116, 0, 105, 99, 109, 112, 118, 54, 95, 101, 99, 104, 111, 95, 105, 103,
    110, 111, 114, 101, 95, 97, 110, 121, 99, 97, 115, 116, 0, 105, 99, 109, 112, 118, 54, 95, 114,
    97, 116, 101, 109, 97, 115, 107, 0, 105, 99, 109, 112, 118, 54, 95, 114, 97, 116, 101, 109, 97,
    115, 107, 95, 112, 116, 114, 0, 97, 110, 121, 99, 97, 115, 116, 95, 115, 114, 99, 95, 101, 99,
    104, 111, 95, 114, 101, 112, 108, 121, 0, 105, 112, 95, 110, 111, 110, 108, 111, 99, 97, 108,
    95, 98, 105, 110, 100, 0, 102, 119, 109, 97, 114, 107, 95, 114, 101, 102, 108, 101, 99, 116, 0,
    105, 100, 103, 101, 110, 95, 114, 101, 116, 114, 105, 101, 115, 0, 105, 100, 103, 101, 110, 95,
    100, 101, 108, 97, 121, 0, 102, 108, 111, 119, 108, 97, 98, 101, 108, 95, 115, 116, 97, 116,
    101, 95, 114, 97, 110, 103, 101, 115, 0, 102, 108, 111, 119, 108, 97, 98, 101, 108, 95, 114,
    101, 102, 108, 101, 99, 116, 0, 109, 97, 120, 95, 100, 115, 116, 95, 111, 112, 116, 115, 95,
    99, 110, 116, 0, 109, 97, 120, 95, 104, 98, 104, 95, 111, 112, 116, 115, 95, 99, 110, 116, 0,
    109, 97, 120, 95, 100, 115, 116, 95, 111, 112, 116, 115, 95, 108, 101, 110, 0, 109, 97, 120,
    95, 104, 98, 104, 95, 111, 112, 116, 115, 95, 108, 101, 110, 0, 115, 101, 103, 54, 95, 102,
    108, 111, 119, 108, 97, 98, 101, 108, 0, 115, 107, 105, 112, 95, 110, 111, 116, 105, 102, 121,
    95, 111, 110, 95, 100, 101, 118, 95, 100, 111, 119, 110, 0, 110, 101, 116, 110, 115, 95, 115,
    121, 115, 99, 116, 108, 95, 105, 112, 118, 54, 0, 102, 111, 114, 119, 97, 114, 100, 105, 110,
    103, 0, 104, 111, 112, 95, 108, 105, 109, 105, 116, 0, 109, 116, 117, 54, 0, 97, 99, 99, 101,
    112, 116, 95, 114, 97, 0, 97, 99, 99, 101, 112, 116, 95, 114, 101, 100, 105, 114, 101, 99, 116,
    115, 0, 97, 117, 116, 111, 99, 111, 110, 102, 0, 100, 97, 100, 95, 116, 114, 97, 110, 115, 109,
    105, 116, 115, 0, 114, 116, 114, 95, 115, 111, 108, 105, 99, 105, 116, 115, 0, 114, 116, 114,
    95, 115, 111, 108, 105, 99, 105, 116, 95, 105, 110, 116, 101, 114, 118, 97, 108, 0, 114, 116,
    114, 95, 115, 111, 108, 105, 99, 105, 116, 95, 109, 97, 120, 95, 105, 110, 116, 101, 114, 118,
    97, 108, 0, 114, 116, 114, 95, 115, 111, 108, 105, 99, 105, 116, 95, 100, 101, 108, 97, 121, 0,
    102, 111, 114, 99, 101, 95, 109, 108, 100, 95, 118, 101, 114, 115, 105, 111, 110, 0, 109, 108,
    100, 118, 49, 95, 117, 110, 115, 111, 108, 105, 99, 105, 116, 101, 100, 95, 114, 101, 112, 111,
    114, 116, 95, 105, 110, 116, 101, 114, 118, 97, 108, 0, 109, 108, 100, 118, 50, 95, 117, 110,
    115, 111, 108, 105, 99, 105, 116, 101, 100, 95, 114, 101, 112, 111, 114, 116, 95, 105, 110,
    116, 101, 114, 118, 97, 108, 0, 117, 115, 101, 95, 116, 101, 109, 112, 97, 100, 100, 114, 0,
    116, 101, 109, 112, 95, 118, 97, 108, 105, 100, 95, 108, 102, 116, 0, 116, 101, 109, 112, 95,
    112, 114, 101, 102, 101, 114, 101, 100, 95, 108, 102, 116, 0, 114, 101, 103, 101, 110, 95, 109,
    97, 120, 95, 114, 101, 116, 114, 121, 0, 109, 97, 120, 95, 100, 101, 115, 121, 110, 99, 95,
    102, 97, 99, 116, 111, 114, 0, 109, 97, 120, 95, 97, 100, 100, 114, 101, 115, 115, 101, 115, 0,
    97, 99, 99, 101, 112, 116, 95, 114, 97, 95, 100, 101, 102, 114, 116, 114, 0, 97, 99, 99, 101,
    112, 116, 95, 114, 97, 95, 109, 105, 110, 95, 104, 111, 112, 95, 108, 105, 109, 105, 116, 0,
    97, 99, 99, 101, 112, 116, 95, 114, 97, 95, 112, 105, 110, 102, 111, 0, 105, 103, 110, 111,
    114, 101, 95, 114, 111, 117, 116, 101, 115, 95, 119, 105, 116, 104, 95, 108, 105, 110, 107,
    100, 111, 119, 110, 0, 97, 99, 99, 101, 112, 116, 95, 114, 97, 95, 114, 116, 114, 95, 112, 114,
    101, 102, 0, 114, 116, 114, 95, 112, 114, 111, 98, 101, 95, 105, 110, 116, 101, 114, 118, 97,
    108, 0, 97, 99, 99, 101, 112, 116, 95, 114, 97, 95, 114, 116, 95, 105, 110, 102, 111, 95, 109,
    105, 110, 95, 112, 108, 101, 110, 0, 97, 99, 99, 101, 112, 116, 95, 114, 97, 95, 114, 116, 95,
    105, 110, 102, 111, 95, 109, 97, 120, 95, 112, 108, 101, 110, 0, 112, 114, 111, 120, 121, 95,
    110, 100, 112, 0, 97, 99, 99, 101, 112, 116, 95, 115, 111, 117, 114, 99, 101, 95, 114, 111,
    117, 116, 101, 0, 97, 99, 99, 101, 112, 116, 95, 114, 97, 95, 102, 114, 111, 109, 95, 108, 111,
    99, 97, 108, 0, 111, 112, 116, 105, 109, 105, 115, 116, 105, 99, 95, 100, 97, 100, 0, 117, 115,
    101, 95, 111, 112, 116, 105, 109, 105, 115, 116, 105, 99, 0, 109, 99, 95, 102, 111, 114, 119,
    97, 114, 100, 105, 110, 103, 0, 100, 105, 115, 97, 98, 108, 101, 95, 105, 112, 118, 54, 0, 100,
    114, 111, 112, 95, 117, 110, 105, 99, 97, 115, 116, 95, 105, 110, 95, 108, 50, 95, 109, 117,
    108, 116, 105, 99, 97, 115, 116, 0, 97, 99, 99, 101, 112, 116, 95, 100, 97, 100, 0, 102, 111,
    114, 99, 101, 95, 116, 108, 108, 97, 111, 0, 110, 100, 105, 115, 99, 95, 110, 111, 116, 105,
    102, 121, 0, 115, 117, 112, 112, 114, 101, 115, 115, 95, 102, 114, 97, 103, 95, 110, 100, 105,
    115, 99, 0, 97, 99, 99, 101, 112, 116, 95, 114, 97, 95, 109, 116, 117, 0, 100, 114, 111, 112,
    95, 117, 110, 115, 111, 108, 105, 99, 105, 116, 101, 100, 95, 110, 97, 0, 115, 116, 97, 98,
    108, 101, 95, 115, 101, 99, 114, 101, 116, 0, 105, 110, 105, 116, 105, 97, 108, 105, 122, 101,
    100, 0, 115, 101, 99, 114, 101, 116, 0, 105, 112, 118, 54, 95, 115, 116, 97, 98, 108, 101, 95,
    115, 101, 99, 114, 101, 116, 0, 117, 115, 101, 95, 111, 105, 102, 95, 97, 100, 100, 114, 115,
    95, 111, 110, 108, 121, 0, 107, 101, 101, 112, 95, 97, 100, 100, 114, 95, 111, 110, 95, 100,
    111, 119, 110, 0, 115, 101, 103, 54, 95, 101, 110, 97, 98, 108, 101, 100, 0, 115, 101, 103, 54,
    95, 114, 101, 113, 117, 105, 114, 101, 95, 104, 109, 97, 99, 0, 101, 110, 104, 97, 110, 99,
    101, 100, 95, 100, 97, 100, 0, 97, 100, 100, 114, 95, 103, 101, 110, 95, 109, 111, 100, 101, 0,
    100, 105, 115, 97, 98, 108, 101, 95, 112, 111, 108, 105, 99, 121, 0, 110, 100, 105, 115, 99,
    95, 116, 99, 108, 97, 115, 115, 0, 114, 112, 108, 95, 115, 101, 103, 95, 101, 110, 97, 98, 108,
    101, 100, 0, 115, 121, 115, 99, 116, 108, 95, 104, 101, 97, 100, 101, 114, 0, 105, 112, 118,
    54, 95, 100, 101, 118, 99, 111, 110, 102, 0, 105, 112, 54, 116, 97, 98, 108, 101, 95, 102, 105,
    108, 116, 101, 114, 0, 105, 112, 54, 116, 97, 98, 108, 101, 95, 109, 97, 110, 103, 108, 101, 0,
    105, 112, 54, 116, 97, 98, 108, 101, 95, 114, 97, 119, 0, 105, 112, 54, 116, 97, 98, 108, 101,
    95, 115, 101, 99, 117, 114, 105, 116, 121, 0, 105, 112, 54, 116, 97, 98, 108, 101, 95, 110, 97,
    116, 0, 102, 105, 98, 54, 95, 110, 117, 108, 108, 95, 101, 110, 116, 114, 121, 0, 102, 105, 98,
    54, 95, 116, 97, 98, 108, 101, 0, 116, 98, 54, 95, 104, 108, 105, 115, 116, 0, 116, 98, 54, 95,
    105, 100, 0, 116, 98, 54, 95, 108, 111, 99, 107, 0, 116, 98, 54, 95, 114, 111, 111, 116, 0,
    108, 101, 102, 116, 0, 114, 105, 103, 104, 116, 0, 115, 117, 98, 116, 114, 101, 101, 0, 108,
    101, 97, 102, 0, 102, 110, 95, 98, 105, 116, 0, 102, 110, 95, 102, 108, 97, 103, 115, 0, 102,
    110, 95, 115, 101, 114, 110, 117, 109, 0, 114, 114, 95, 112, 116, 114, 0, 102, 105, 98, 54, 95,
    110, 111, 100, 101, 0, 116, 98, 54, 95, 112, 101, 101, 114, 115, 0, 102, 105, 98, 54, 95, 110,
    101, 120, 116, 0, 102, 105, 98, 54, 95, 115, 105, 98, 108, 105, 110, 103, 115, 0, 110, 104, 95,
    108, 105, 115, 116, 0, 102, 105, 98, 54, 95, 110, 115, 105, 98, 108, 105, 110, 103, 115, 0,
    102, 105, 98, 54, 95, 114, 101, 102, 0, 102, 105, 98, 54, 95, 109, 101, 116, 114, 105, 99, 115,
    0, 109, 101, 116, 114, 105, 99, 115, 0, 100, 115, 116, 95, 109, 101, 116, 114, 105, 99, 115, 0,
    102, 105, 98, 54, 95, 100, 115, 116, 0, 112, 108, 101, 110, 0, 114, 116, 54, 107, 101, 121, 0,
    102, 105, 98, 54, 95, 102, 108, 97, 103, 115, 0, 102, 105, 98, 54, 95, 115, 114, 99, 0, 102,
    105, 98, 54, 95, 112, 114, 101, 102, 115, 114, 99, 0, 102, 105, 98, 54, 95, 109, 101, 116, 114,
    105, 99, 0, 102, 105, 98, 54, 95, 112, 114, 111, 116, 111, 99, 111, 108, 0, 102, 105, 98, 54,
    95, 116, 121, 112, 101, 0, 115, 104, 111, 117, 108, 100, 95, 102, 108, 117, 115, 104, 0, 100,
    115, 116, 95, 110, 111, 99, 111, 117, 110, 116, 0, 100, 115, 116, 95, 110, 111, 112, 111, 108,
    105, 99, 121, 0, 102, 105, 98, 54, 95, 100, 101, 115, 116, 114, 111, 121, 105, 110, 103, 0,
    116, 114, 97, 112, 0, 110, 104, 0, 102, 105, 95, 108, 105, 115, 116, 0, 102, 54, 105, 95, 108,
    105, 115, 116, 0, 102, 100, 98, 95, 108, 105, 115, 116, 0, 103, 114, 112, 95, 108, 105, 115,
    116, 0, 110, 104, 95, 102, 108, 97, 103, 115, 0, 105, 115, 95, 103, 114, 111, 117, 112, 0, 110,
    104, 95, 105, 110, 102, 111, 0, 100, 101, 118, 95, 104, 97, 115, 104, 0, 110, 104, 95, 112, 97,
    114, 101, 110, 116, 0, 114, 101, 106, 101, 99, 116, 95, 110, 104, 0, 102, 100, 98, 95, 110,
    104, 0, 102, 105, 98, 95, 110, 104, 99, 0, 110, 104, 99, 95, 100, 101, 118, 0, 110, 104, 99,
    95, 111, 105, 102, 0, 110, 104, 99, 95, 115, 99, 111, 112, 101, 0, 110, 104, 99, 95, 102, 97,
    109, 105, 108, 121, 0, 110, 104, 99, 95, 103, 119, 95, 102, 97, 109, 105, 108, 121, 0, 110,
    104, 99, 95, 102, 108, 97, 103, 115, 0, 110, 104, 99, 95, 108, 119, 116, 115, 116, 97, 116,
    101, 0, 104, 101, 97, 100, 114, 111, 111, 109, 0, 111, 114, 105, 103, 95, 111, 117, 116, 112,
    117, 116, 0, 111, 114, 105, 103, 95, 105, 110, 112, 117, 116, 0, 108, 119, 116, 117, 110, 110,
    101, 108, 95, 115, 116, 97, 116, 101, 0, 110, 104, 99, 95, 103, 119, 0, 110, 104, 99, 95, 119,
    101, 105, 103, 104, 116, 0, 110, 104, 99, 95, 117, 112, 112, 101, 114, 95, 98, 111, 117, 110,
    100, 0, 110, 104, 99, 95, 112, 99, 112, 117, 95, 114, 116, 104, 95, 111, 117, 116, 112, 117,
    116, 0, 100, 115, 116, 0, 103, 99, 95, 116, 104, 114, 101, 115, 104, 0, 100, 101, 102, 97, 117,
    108, 116, 95, 97, 100, 118, 109, 115, 115, 0, 109, 116, 117, 0, 99, 111, 119, 95, 109, 101,
    116, 114, 105, 99, 115, 0, 105, 102, 100, 111, 119, 110, 0, 110, 101, 103, 97, 116, 105, 118,
    101, 95, 97, 100, 118, 105, 99, 101, 0, 108, 105, 110, 107, 95, 102, 97, 105, 108, 117, 114,
    101, 0, 117, 112, 100, 97, 116, 101, 95, 112, 109, 116, 117, 0, 114, 101, 100, 105, 114, 101,
    99, 116, 0, 108, 111, 99, 97, 108, 95, 111, 117, 116, 0, 110, 101, 105, 103, 104, 95, 108, 111,
    111, 107, 117, 112, 0, 101, 110, 116, 114, 121, 95, 115, 105, 122, 101, 0, 107, 101, 121, 95,
    101, 113, 0, 112, 99, 111, 110, 115, 116, 114, 117, 99, 116, 111, 114, 0, 112, 111, 115, 115,
    105, 98, 108, 101, 95, 110, 101, 116, 95, 116, 0, 112, 110, 101, 105, 103, 104, 95, 101, 110,
    116, 114, 121, 0, 112, 100, 101, 115, 116, 114, 117, 99, 116, 111, 114, 0, 112, 114, 111, 120,
    121, 95, 114, 101, 100, 111, 0, 105, 115, 95, 109, 117, 108, 116, 105, 99, 97, 115, 116, 0, 97,
    108, 108, 111, 119, 95, 97, 100, 100, 0, 112, 97, 114, 109, 115, 0, 110, 101, 105, 103, 104,
    95, 115, 101, 116, 117, 112, 0, 115, 121, 115, 99, 116, 108, 95, 116, 97, 98, 108, 101, 0, 114,
    101, 97, 99, 104, 97, 98, 108, 101, 95, 116, 105, 109, 101, 0, 100, 97, 116, 97, 95, 115, 116,
    97, 116, 101, 0, 110, 101, 105, 103, 104, 95, 112, 97, 114, 109, 115, 0, 112, 97, 114, 109,
    115, 95, 108, 105, 115, 116, 0, 103, 99, 95, 105, 110, 116, 101, 114, 118, 97, 108, 0, 103, 99,
    95, 116, 104, 114, 101, 115, 104, 49, 0, 103, 99, 95, 116, 104, 114, 101, 115, 104, 50, 0, 103,
    99, 95, 116, 104, 114, 101, 115, 104, 51, 0, 108, 97, 115, 116, 95, 102, 108, 117, 115, 104, 0,
    103, 99, 95, 119, 111, 114, 107, 0, 112, 114, 111, 120, 121, 95, 116, 105, 109, 101, 114, 0,
    112, 114, 111, 120, 121, 95, 113, 117, 101, 117, 101, 0, 113, 108, 101, 110, 0, 115, 107, 95,
    98, 117, 102, 102, 95, 104, 101, 97, 100, 0, 103, 99, 95, 101, 110, 116, 114, 105, 101, 115, 0,
    103, 99, 95, 108, 105, 115, 116, 0, 108, 97, 115, 116, 95, 114, 97, 110, 100, 0, 97, 108, 108,
    111, 99, 115, 0, 100, 101, 115, 116, 114, 111, 121, 115, 0, 104, 97, 115, 104, 95, 103, 114,
    111, 119, 115, 0, 114, 101, 115, 95, 102, 97, 105, 108, 101, 100, 0, 108, 111, 111, 107, 117,
    112, 115, 0, 104, 105, 116, 115, 0, 114, 99, 118, 95, 112, 114, 111, 98, 101, 115, 95, 109, 99,
    97, 115, 116, 0, 114, 99, 118, 95, 112, 114, 111, 98, 101, 115, 95, 117, 99, 97, 115, 116, 0,
    112, 101, 114, 105, 111, 100, 105, 99, 95, 103, 99, 95, 114, 117, 110, 115, 0, 102, 111, 114,
    99, 101, 100, 95, 103, 99, 95, 114, 117, 110, 115, 0, 117, 110, 114, 101, 115, 95, 100, 105,
    115, 99, 97, 114, 100, 115, 0, 116, 97, 98, 108, 101, 95, 102, 117, 108, 108, 115, 0, 110, 101,
    105, 103, 104, 95, 115, 116, 97, 116, 105, 115, 116, 105, 99, 115, 0, 110, 104, 116, 0, 104,
    97, 115, 104, 95, 98, 117, 99, 107, 101, 116, 115, 0, 104, 97, 115, 104, 95, 115, 104, 105,
    102, 116, 0, 110, 101, 105, 103, 104, 95, 104, 97, 115, 104, 95, 116, 97, 98, 108, 101, 0, 112,
    104, 97, 115, 104, 95, 98, 117, 99, 107, 101, 116, 115, 0, 110, 101, 105, 103, 104, 95, 116,
    97, 98, 108, 101, 0, 99, 111, 110, 102, 105, 114, 109, 101, 100, 0, 97, 114, 112, 95, 113, 117,
    101, 117, 101, 95, 108, 101, 110, 95, 98, 121, 116, 101, 115, 0, 97, 114, 112, 95, 113, 117,
    101, 117, 101, 0, 112, 114, 111, 98, 101, 115, 0, 110, 117, 100, 95, 115, 116, 97, 116, 101, 0,
    104, 97, 95, 108, 111, 99, 107, 0, 104, 97, 0, 104, 104, 0, 104, 104, 95, 108, 101, 110, 0,
    104, 104, 95, 108, 111, 99, 107, 0, 104, 104, 95, 100, 97, 116, 97, 0, 104, 104, 95, 99, 97,
    99, 104, 101, 0, 111, 117, 116, 112, 117, 116, 0, 115, 111, 108, 105, 99, 105, 116, 0, 101,
    114, 114, 111, 114, 95, 114, 101, 112, 111, 114, 116, 0, 99, 111, 110, 110, 101, 99, 116, 101,
    100, 95, 111, 117, 116, 112, 117, 116, 0, 110, 101, 105, 103, 104, 95, 111, 112, 115, 0, 112,
    114, 105, 109, 97, 114, 121, 95, 107, 101, 121, 0, 110, 101, 105, 103, 104, 98, 111, 117, 114,
    0, 99, 111, 110, 102, 105, 114, 109, 95, 110, 101, 105, 103, 104, 0, 107, 109, 101, 109, 95,
    99, 97, 99, 104, 101, 112, 0, 112, 99, 112, 117, 99, 95, 101, 110, 116, 114, 105, 101, 115, 0,
    99, 111, 117, 110, 116, 101, 114, 115, 0, 112, 101, 114, 99, 112, 117, 95, 99, 111, 117, 110,
    116, 101, 114, 0, 100, 115, 116, 95, 111, 112, 115, 0, 95, 109, 101, 116, 114, 105, 99, 115, 0,
    120, 102, 114, 109, 0, 120, 115, 95, 110, 101, 116, 0, 103, 99, 108, 105, 115, 116, 0, 98, 121,
    100, 115, 116, 0, 98, 121, 115, 114, 99, 0, 98, 121, 115, 112, 105, 0, 97, 52, 0, 97, 54, 0,
    105, 110, 54, 0, 120, 102, 114, 109, 95, 97, 100, 100, 114, 101, 115, 115, 95, 116, 0, 120,
    102, 114, 109, 95, 105, 100, 0, 115, 101, 108, 0, 100, 112, 111, 114, 116, 95, 109, 97, 115,
    107, 0, 115, 112, 111, 114, 116, 95, 109, 97, 115, 107, 0, 112, 114, 101, 102, 105, 120, 108,
    101, 110, 95, 100, 0, 112, 114, 101, 102, 105, 120, 108, 101, 110, 95, 115, 0, 120, 102, 114,
    109, 95, 115, 101, 108, 101, 99, 116, 111, 114, 0, 120, 102, 114, 109, 95, 109, 97, 114, 107,
    0, 105, 102, 95, 105, 100, 0, 116, 102, 99, 112, 97, 100, 0, 103, 101, 110, 105, 100, 0, 107,
    109, 0, 97, 108, 108, 0, 100, 121, 105, 110, 103, 0, 115, 112, 108, 101, 110, 0, 100, 112, 108,
    101, 110, 0, 120, 102, 114, 109, 95, 97, 100, 100, 114, 101, 115, 115, 95, 102, 105, 108, 116,
    101, 114, 0, 120, 102, 114, 109, 95, 115, 116, 97, 116, 101, 95, 119, 97, 108, 107, 0, 112,
    114, 111, 112, 115, 0, 114, 101, 113, 105, 100, 0, 114, 101, 112, 108, 97, 121, 95, 119, 105,
    110, 100, 111, 119, 0, 97, 97, 108, 103, 111, 0, 101, 97, 108, 103, 111, 0, 99, 97, 108, 103,
    111, 0, 104, 101, 97, 100, 101, 114, 95, 108, 101, 110, 0, 116, 114, 97, 105, 108, 101, 114,
    95, 108, 101, 110, 0, 101, 120, 116, 114, 97, 95, 102, 108, 97, 103, 115, 0, 115, 109, 97, 114,
    107, 0, 108, 102, 116, 0, 115, 111, 102, 116, 95, 98, 121, 116, 101, 95, 108, 105, 109, 105,
    116, 0, 104, 97, 114, 100, 95, 98, 121, 116, 101, 95, 108, 105, 109, 105, 116, 0, 115, 111,
    102, 116, 95, 112, 97, 99, 107, 101, 116, 95, 108, 105, 109, 105, 116, 0, 104, 97, 114, 100,
    95, 112, 97, 99, 107, 101, 116, 95, 108, 105, 109, 105, 116, 0, 115, 111, 102, 116, 95, 97,
    100, 100, 95, 101, 120, 112, 105, 114, 101, 115, 95, 115, 101, 99, 111, 110, 100, 115, 0, 104,
    97, 114, 100, 95, 97, 100, 100, 95, 101, 120, 112, 105, 114, 101, 115, 95, 115, 101, 99, 111,
    110, 100, 115, 0, 115, 111, 102, 116, 95, 117, 115, 101, 95, 101, 120, 112, 105, 114, 101, 115,
    95, 115, 101, 99, 111, 110, 100, 115, 0, 104, 97, 114, 100, 95, 117, 115, 101, 95, 101, 120,
    112, 105, 114, 101, 115, 95, 115, 101, 99, 111, 110, 100, 115, 0, 120, 102, 114, 109, 95, 108,
    105, 102, 101, 116, 105, 109, 101, 95, 99, 102, 103, 0, 97, 97, 108, 103, 0, 97, 108, 103, 95,
    110, 97, 109, 101, 0, 97, 108, 103, 95, 107, 101, 121, 95, 108, 101, 110, 0, 97, 108, 103, 95,
    116, 114, 117, 110, 99, 95, 108, 101, 110, 0, 97, 108, 103, 95, 107, 101, 121, 0, 120, 102,
    114, 109, 95, 97, 108, 103, 111, 95, 97, 117, 116, 104, 0, 101, 97, 108, 103, 0, 120, 102, 114,
    109, 95, 97, 108, 103, 111, 0, 99, 97, 108, 103, 0, 97, 101, 97, 100, 0, 97, 108, 103, 95, 105,
    99, 118, 95, 108, 101, 110, 0, 120, 102, 114, 109, 95, 97, 108, 103, 111, 95, 97, 101, 97, 100,
    0, 103, 101, 110, 105, 118, 0, 101, 110, 99, 97, 112, 0, 101, 110, 99, 97, 112, 95, 116, 121,
    112, 101, 0, 101, 110, 99, 97, 112, 95, 115, 112, 111, 114, 116, 0, 101, 110, 99, 97, 112, 95,
    100, 112, 111, 114, 116, 0, 101, 110, 99, 97, 112, 95, 111, 97, 0, 120, 102, 114, 109, 95, 101,
    110, 99, 97, 112, 95, 116, 109, 112, 108, 0, 101, 110, 99, 97, 112, 95, 115, 107, 0, 99, 111,
    97, 100, 100, 114, 0, 116, 117, 110, 110, 101, 108, 0, 116, 117, 110, 110, 101, 108, 95, 117,
    115, 101, 114, 115, 0, 114, 101, 112, 108, 97, 121, 0, 111, 115, 101, 113, 0, 120, 102, 114,
    109, 95, 114, 101, 112, 108, 97, 121, 95, 115, 116, 97, 116, 101, 0, 114, 101, 112, 108, 97,
    121, 95, 101, 115, 110, 0, 98, 109, 112, 95, 108, 101, 110, 0, 111, 115, 101, 113, 95, 104,
    105, 0, 115, 101, 113, 95, 104, 105, 0, 98, 109, 112, 0, 120, 102, 114, 109, 95, 114, 101, 112,
    108, 97, 121, 95, 115, 116, 97, 116, 101, 95, 101, 115, 110, 0, 112, 114, 101, 112, 108, 97,
    121, 0, 112, 114, 101, 112, 108, 97, 121, 95, 101, 115, 110, 0, 114, 101, 112, 108, 0, 97, 100,
    118, 97, 110, 99, 101, 0, 114, 101, 99, 104, 101, 99, 107, 0, 111, 118, 101, 114, 102, 108,
    111, 119, 0, 120, 102, 114, 109, 95, 114, 101, 112, 108, 97, 121, 0, 120, 102, 108, 97, 103,
    115, 0, 114, 101, 112, 108, 97, 121, 95, 109, 97, 120, 97, 103, 101, 0, 114, 101, 112, 108, 97,
    121, 95, 109, 97, 120, 100, 105, 102, 102, 0, 114, 116, 105, 109, 101, 114, 0, 105, 110, 116,
    101, 103, 114, 105, 116, 121, 95, 102, 97, 105, 108, 101, 100, 0, 120, 102, 114, 109, 95, 115,
    116, 97, 116, 115, 0, 99, 117, 114, 108, 102, 116, 0, 98, 121, 116, 101, 115, 0, 112, 97, 99,
    107, 101, 116, 115, 0, 97, 100, 100, 95, 116, 105, 109, 101, 0, 117, 115, 101, 95, 116, 105,
    109, 101, 0, 120, 102, 114, 109, 95, 108, 105, 102, 101, 116, 105, 109, 101, 95, 99, 117, 114,
    0, 109, 116, 105, 109, 101, 114, 0, 120, 115, 111, 0, 114, 101, 97, 108, 95, 100, 101, 118, 0,
    111, 102, 102, 108, 111, 97, 100, 95, 104, 97, 110, 100, 108, 101, 0, 110, 117, 109, 95, 101,
    120, 116, 104, 100, 114, 115, 0, 120, 102, 114, 109, 95, 115, 116, 97, 116, 101, 95, 111, 102,
    102, 108, 111, 97, 100, 0, 115, 97, 118, 101, 100, 95, 116, 109, 111, 0, 108, 97, 115, 116,
    117, 115, 101, 100, 0, 120, 102, 114, 97, 103, 0, 112, 97, 103, 101, 95, 102, 114, 97, 103, 0,
    105, 110, 112, 117, 116, 0, 114, 101, 106, 101, 99, 116, 0, 104, 100, 114, 95, 111, 102, 102,
    115, 101, 116, 0, 120, 102, 114, 109, 95, 116, 121, 112, 101, 0, 105, 110, 110, 101, 114, 95,
    109, 111, 100, 101, 0, 120, 102, 114, 109, 95, 109, 111, 100, 101, 0, 105, 110, 110, 101, 114,
    95, 109, 111, 100, 101, 95, 105, 97, 102, 0, 111, 117, 116, 101, 114, 95, 109, 111, 100, 101,
    0, 116, 121, 112, 101, 95, 111, 102, 102, 108, 111, 97, 100, 0, 105, 110, 112, 117, 116, 95,
    116, 97, 105, 108, 0, 120, 109, 105, 116, 0, 120, 102, 114, 109, 95, 116, 121, 112, 101, 95,
    111, 102, 102, 108, 111, 97, 100, 0, 99, 116, 120, 95, 100, 111, 105, 0, 99, 116, 120, 95, 97,
    108, 103, 0, 99, 116, 120, 95, 108, 101, 110, 0, 99, 116, 120, 95, 115, 105, 100, 0, 99, 116,
    120, 95, 115, 116, 114, 0, 120, 102, 114, 109, 95, 115, 101, 99, 95, 99, 116, 120, 0, 120, 102,
    114, 109, 95, 115, 116, 97, 116, 101, 0, 111, 98, 115, 111, 108, 101, 116, 101, 0, 95, 95, 114,
    101, 102, 99, 110, 116, 0, 95, 95, 117, 115, 101, 0, 108, 97, 115, 116, 117, 115, 101, 0, 108,
    119, 116, 115, 116, 97, 116, 101, 0, 101, 114, 114, 111, 114, 0, 95, 95, 112, 97, 100, 0, 116,
    99, 108, 97, 115, 115, 105, 100, 0, 100, 115, 116, 95, 101, 110, 116, 114, 121, 0, 114, 116,
    95, 102, 108, 97, 103, 115, 0, 114, 116, 95, 116, 121, 112, 101, 0, 114, 116, 95, 105, 115, 95,
    105, 110, 112, 117, 116, 0, 114, 116, 95, 117, 115, 101, 115, 95, 103, 97, 116, 101, 119, 97,
    121, 0, 114, 116, 95, 105, 105, 102, 0, 114, 116, 95, 103, 119, 95, 102, 97, 109, 105, 108,
    121, 0, 114, 116, 95, 103, 119, 52, 0, 114, 116, 95, 103, 119, 54, 0, 114, 116, 95, 109, 116,
    117, 95, 108, 111, 99, 107, 101, 100, 0, 114, 116, 95, 112, 109, 116, 117, 0, 114, 116, 95,
    117, 110, 99, 97, 99, 104, 101, 100, 0, 114, 116, 95, 117, 110, 99, 97, 99, 104, 101, 100, 95,
    108, 105, 115, 116, 0, 117, 110, 99, 97, 99, 104, 101, 100, 95, 108, 105, 115, 116, 0, 114,
    116, 97, 98, 108, 101, 0, 110, 104, 99, 95, 114, 116, 104, 95, 105, 110, 112, 117, 116, 0, 110,
    104, 99, 95, 101, 120, 99, 101, 112, 116, 105, 111, 110, 115, 0, 102, 110, 104, 101, 95, 110,
    101, 120, 116, 0, 102, 110, 104, 101, 95, 100, 97, 100, 100, 114, 0, 102, 110, 104, 101, 95,
    112, 109, 116, 117, 0, 102, 110, 104, 101, 95, 109, 116, 117, 95, 108, 111, 99, 107, 101, 100,
    0, 102, 110, 104, 101, 95, 103, 119, 0, 102, 110, 104, 101, 95, 101, 120, 112, 105, 114, 101,
    115, 0, 102, 110, 104, 101, 95, 114, 116, 104, 95, 105, 110, 112, 117, 116, 0, 102, 110, 104,
    101, 95, 114, 116, 104, 95, 111, 117, 116, 112, 117, 116, 0, 102, 110, 104, 101, 95, 115, 116,
    97, 109, 112, 0, 102, 105, 98, 95, 110, 104, 95, 101, 120, 99, 101, 112, 116, 105, 111, 110, 0,
    102, 110, 104, 101, 95, 104, 97, 115, 104, 95, 98, 117, 99, 107, 101, 116, 0, 102, 105, 98, 95,
    110, 104, 95, 99, 111, 109, 109, 111, 110, 0, 102, 105, 98, 95, 110, 104, 0, 110, 104, 95, 99,
    111, 109, 109, 111, 110, 0, 110, 104, 95, 104, 97, 115, 104, 0, 102, 105, 98, 95, 104, 97, 115,
    104, 0, 102, 105, 98, 95, 108, 104, 97, 115, 104, 0, 102, 105, 98, 95, 110, 101, 116, 0, 102,
    105, 98, 95, 116, 114, 101, 101, 114, 101, 102, 0, 102, 105, 98, 95, 99, 108, 110, 116, 114,
    101, 102, 0, 102, 105, 98, 95, 102, 108, 97, 103, 115, 0, 102, 105, 98, 95, 100, 101, 97, 100,
    0, 102, 105, 98, 95, 112, 114, 111, 116, 111, 99, 111, 108, 0, 102, 105, 98, 95, 115, 99, 111,
    112, 101, 0, 102, 105, 98, 95, 116, 121, 112, 101, 0, 102, 105, 98, 95, 112, 114, 101, 102,
    115, 114, 99, 0, 102, 105, 98, 95, 116, 98, 95, 105, 100, 0, 102, 105, 98, 95, 112, 114, 105,
    111, 114, 105, 116, 121, 0, 102, 105, 98, 95, 109, 101, 116, 114, 105, 99, 115, 0, 102, 105,
    98, 95, 110, 104, 115, 0, 102, 105, 98, 95, 110, 104, 95, 105, 115, 95, 118, 54, 0, 110, 104,
    95, 117, 112, 100, 97, 116, 101, 100, 0, 102, 105, 98, 95, 105, 110, 102, 111, 0, 110, 104, 95,
    116, 99, 108, 97, 115, 115, 105, 100, 0, 110, 104, 95, 115, 97, 100, 100, 114, 0, 110, 104, 95,
    115, 97, 100, 100, 114, 95, 103, 101, 110, 105, 100, 0, 102, 105, 98, 54, 95, 110, 104, 0, 108,
    97, 115, 116, 95, 112, 114, 111, 98, 101, 0, 114, 116, 54, 105, 95, 112, 99, 112, 117, 0, 115,
    101, 114, 110, 117, 109, 0, 114, 116, 54, 105, 95, 100, 115, 116, 0, 114, 116, 54, 105, 95,
    115, 114, 99, 0, 114, 116, 54, 105, 95, 103, 97, 116, 101, 119, 97, 121, 0, 114, 116, 54, 105,
    95, 105, 100, 101, 118, 0, 97, 100, 100, 114, 95, 108, 105, 115, 116, 0, 109, 99, 95, 108, 105,
    115, 116, 0, 109, 99, 97, 95, 97, 100, 100, 114, 0, 105, 100, 101, 118, 0, 109, 99, 97, 95,
    115, 111, 117, 114, 99, 101, 115, 0, 115, 102, 95, 110, 101, 120, 116, 0, 115, 102, 95, 97,
    100, 100, 114, 0, 115, 102, 95, 99, 111, 117, 110, 116, 0, 115, 102, 95, 103, 115, 114, 101,
    115, 112, 0, 115, 102, 95, 111, 108, 100, 105, 110, 0, 115, 102, 95, 99, 114, 99, 111, 117,
    110, 116, 0, 105, 112, 54, 95, 115, 102, 95, 108, 105, 115, 116, 0, 109, 99, 97, 95, 116, 111,
    109, 98, 0, 109, 99, 97, 95, 115, 102, 109, 111, 100, 101, 0, 109, 99, 97, 95, 99, 114, 99,
    111, 117, 110, 116, 0, 109, 99, 97, 95, 115, 102, 99, 111, 117, 110, 116, 0, 109, 99, 97, 95,
    116, 105, 109, 101, 114, 0, 109, 99, 97, 95, 102, 108, 97, 103, 115, 0, 109, 99, 97, 95, 117,
    115, 101, 114, 115, 0, 109, 99, 97, 95, 114, 101, 102, 99, 110, 116, 0, 109, 99, 97, 95, 108,
    111, 99, 107, 0, 109, 99, 97, 95, 99, 115, 116, 97, 109, 112, 0, 109, 99, 97, 95, 116, 115,
    116, 97, 109, 112, 0, 105, 102, 109, 99, 97, 100, 100, 114, 54, 0, 109, 99, 95, 116, 111, 109,
    98, 0, 109, 99, 95, 108, 111, 99, 107, 0, 109, 99, 95, 113, 114, 118, 0, 109, 99, 95, 103, 113,
    95, 114, 117, 110, 110, 105, 110, 103, 0, 109, 99, 95, 105, 102, 99, 95, 99, 111, 117, 110,
    116, 0, 109, 99, 95, 100, 97, 100, 95, 99, 111, 117, 110, 116, 0, 109, 99, 95, 118, 49, 95,
    115, 101, 101, 110, 0, 109, 99, 95, 113, 105, 0, 109, 99, 95, 113, 114, 105, 0, 109, 99, 95,
    109, 97, 120, 100, 101, 108, 97, 121, 0, 109, 99, 95, 103, 113, 95, 116, 105, 109, 101, 114, 0,
    109, 99, 95, 105, 102, 99, 95, 116, 105, 109, 101, 114, 0, 109, 99, 95, 100, 97, 100, 95, 116,
    105, 109, 101, 114, 0, 97, 99, 95, 108, 105, 115, 116, 0, 97, 99, 97, 95, 97, 100, 100, 114, 0,
    97, 99, 97, 95, 114, 116, 0, 97, 99, 97, 95, 110, 101, 120, 116, 0, 97, 99, 97, 95, 97, 100,
    100, 114, 95, 108, 115, 116, 0, 97, 99, 97, 95, 117, 115, 101, 114, 115, 0, 97, 99, 97, 95,
    114, 101, 102, 99, 110, 116, 0, 97, 99, 97, 95, 99, 115, 116, 97, 109, 112, 0, 97, 99, 97, 95,
    116, 115, 116, 97, 109, 112, 0, 105, 102, 97, 99, 97, 100, 100, 114, 54, 0, 105, 102, 95, 102,
    108, 97, 103, 115, 0, 100, 101, 115, 121, 110, 99, 95, 102, 97, 99, 116, 111, 114, 0, 116, 101,
    109, 112, 97, 100, 100, 114, 95, 108, 105, 115, 116, 0, 116, 111, 107, 101, 110, 0, 110, 100,
    95, 112, 97, 114, 109, 115, 0, 99, 110, 102, 0, 105, 99, 109, 112, 118, 54, 100, 101, 118, 0,
    105, 99, 109, 112, 118, 54, 95, 109, 105, 98, 95, 100, 101, 118, 105, 99, 101, 0, 105, 99, 109,
    112, 118, 54, 109, 115, 103, 100, 101, 118, 0, 105, 99, 109, 112, 118, 54, 109, 115, 103, 95,
    109, 105, 98, 95, 100, 101, 118, 105, 99, 101, 0, 105, 112, 118, 54, 95, 100, 101, 118, 115,
    116, 97, 116, 0, 114, 115, 95, 116, 105, 109, 101, 114, 0, 114, 115, 95, 105, 110, 116, 101,
    114, 118, 97, 108, 0, 114, 115, 95, 112, 114, 111, 98, 101, 115, 0, 116, 115, 116, 97, 109,
    112, 0, 105, 110, 101, 116, 54, 95, 100, 101, 118, 0, 114, 116, 54, 105, 95, 102, 108, 97, 103,
    115, 0, 114, 116, 54, 105, 95, 117, 110, 99, 97, 99, 104, 101, 100, 0, 114, 116, 54, 105, 95,
    117, 110, 99, 97, 99, 104, 101, 100, 95, 108, 105, 115, 116, 0, 114, 116, 54, 105, 95, 110,
    102, 104, 101, 97, 100, 101, 114, 95, 108, 101, 110, 0, 114, 116, 54, 95, 105, 110, 102, 111,
    0, 114, 116, 54, 105, 95, 101, 120, 99, 101, 112, 116, 105, 111, 110, 95, 98, 117, 99, 107,
    101, 116, 0, 114, 116, 54, 95, 101, 120, 99, 101, 112, 116, 105, 111, 110, 95, 98, 117, 99,
    107, 101, 116, 0, 110, 104, 95, 103, 114, 112, 0, 115, 112, 97, 114, 101, 0, 110, 117, 109, 95,
    110, 104, 0, 109, 112, 97, 116, 104, 0, 104, 97, 115, 95, 118, 52, 0, 110, 104, 95, 101, 110,
    116, 114, 105, 101, 115, 0, 117, 112, 112, 101, 114, 95, 98, 111, 117, 110, 100, 0, 110, 104,
    95, 103, 114, 112, 95, 101, 110, 116, 114, 121, 0, 110, 104, 95, 103, 114, 111, 117, 112, 0,
    102, 105, 98, 54, 95, 105, 110, 102, 111, 0, 105, 112, 54, 95, 110, 117, 108, 108, 95, 101,
    110, 116, 114, 121, 0, 114, 116, 54, 95, 115, 116, 97, 116, 115, 0, 102, 105, 98, 95, 110, 111,
    100, 101, 115, 0, 102, 105, 98, 95, 114, 111, 117, 116, 101, 95, 110, 111, 100, 101, 115, 0,
    102, 105, 98, 95, 114, 116, 95, 101, 110, 116, 114, 105, 101, 115, 0, 102, 105, 98, 95, 114,
    116, 95, 99, 97, 99, 104, 101, 0, 102, 105, 98, 95, 100, 105, 115, 99, 97, 114, 100, 101, 100,
    95, 114, 111, 117, 116, 101, 115, 0, 102, 105, 98, 95, 114, 116, 95, 97, 108, 108, 111, 99, 0,
    102, 105, 98, 95, 114, 116, 95, 117, 110, 99, 97, 99, 104, 101, 0, 114, 116, 54, 95, 115, 116,
    97, 116, 105, 115, 116, 105, 99, 115, 0, 105, 112, 54, 95, 102, 105, 98, 95, 116, 105, 109,
    101, 114, 0, 102, 105, 98, 54, 95, 109, 97, 105, 110, 95, 116, 98, 108, 0, 102, 105, 98, 54,
    95, 119, 97, 108, 107, 101, 114, 115, 0, 105, 112, 54, 95, 100, 115, 116, 95, 111, 112, 115, 0,
    102, 105, 98, 54, 95, 119, 97, 108, 107, 101, 114, 95, 108, 111, 99, 107, 0, 102, 105, 98, 54,
    95, 103, 99, 95, 108, 111, 99, 107, 0, 105, 112, 54, 95, 114, 116, 95, 103, 99, 95, 101, 120,
    112, 105, 114, 101, 0, 105, 112, 54, 95, 114, 116, 95, 108, 97, 115, 116, 95, 103, 99, 0, 102,
    105, 98, 54, 95, 114, 117, 108, 101, 115, 95, 114, 101, 113, 117, 105, 114, 101, 95, 102, 108,
    100, 105, 115, 115, 101, 99, 116, 0, 102, 105, 98, 54, 95, 104, 97, 115, 95, 99, 117, 115, 116,
    111, 109, 95, 114, 117, 108, 101, 115, 0, 102, 105, 98, 54, 95, 114, 111, 117, 116, 101, 115,
    95, 114, 101, 113, 117, 105, 114, 101, 95, 115, 114, 99, 0, 105, 112, 54, 95, 112, 114, 111,
    104, 105, 98, 105, 116, 95, 101, 110, 116, 114, 121, 0, 105, 112, 54, 95, 98, 108, 107, 95,
    104, 111, 108, 101, 95, 101, 110, 116, 114, 121, 0, 102, 105, 98, 54, 95, 108, 111, 99, 97,
    108, 95, 116, 98, 108, 0, 102, 105, 98, 54, 95, 114, 117, 108, 101, 115, 95, 111, 112, 115, 0,
    110, 100, 105, 115, 99, 95, 115, 107, 0, 105, 103, 109, 112, 95, 115, 107, 0, 109, 114, 54, 95,
    116, 97, 98, 108, 101, 115, 0, 109, 114, 54, 95, 114, 117, 108, 101, 115, 95, 111, 112, 115, 0,
    102, 105, 98, 54, 95, 115, 101, 114, 110, 117, 109, 0, 115, 101, 103, 54, 95, 100, 97, 116, 97,
    0, 116, 117, 110, 95, 115, 114, 99, 0, 104, 109, 97, 99, 95, 105, 110, 102, 111, 115, 0, 115,
    101, 103, 54, 95, 112, 101, 114, 110, 101, 116, 95, 100, 97, 116, 97, 0, 105, 112, 54, 109,
    114, 95, 110, 111, 116, 105, 102, 105, 101, 114, 95, 111, 112, 115, 0, 105, 112, 54, 97, 100,
    100, 114, 108, 98, 108, 95, 116, 97, 98, 108, 101, 0, 110, 101, 116, 110, 115, 95, 105, 112,
    118, 54, 0, 105, 101, 101, 101, 56, 48, 50, 49, 53, 52, 95, 108, 111, 119, 112, 97, 110, 0,
    110, 101, 116, 110, 115, 95, 115, 121, 115, 99, 116, 108, 95, 108, 111, 119, 112, 97, 110, 0,
    110, 101, 116, 110, 115, 95, 105, 101, 101, 101, 56, 48, 50, 49, 53, 52, 95, 108, 111, 119,
    112, 97, 110, 0, 115, 99, 116, 112, 0, 115, 99, 116, 112, 95, 115, 116, 97, 116, 105, 115, 116,
    105, 99, 115, 0, 115, 99, 116, 112, 95, 109, 105, 98, 0, 112, 114, 111, 99, 95, 110, 101, 116,
    95, 115, 99, 116, 112, 0, 99, 116, 108, 95, 115, 111, 99, 107, 0, 108, 111, 99, 97, 108, 95,
    97, 100, 100, 114, 95, 108, 105, 115, 116, 0, 97, 100, 100, 114, 95, 119, 97, 105, 116, 113, 0,
    97, 100, 100, 114, 95, 119, 113, 95, 116, 105, 109, 101, 114, 0, 97, 117, 116, 111, 95, 97,
    115, 99, 111, 110, 102, 95, 115, 112, 108, 105, 115, 116, 0, 97, 100, 100, 114, 95, 119, 113,
    95, 108, 111, 99, 107, 0, 108, 111, 99, 97, 108, 95, 97, 100, 100, 114, 95, 108, 111, 99, 107,
    0, 114, 116, 111, 95, 105, 110, 105, 116, 105, 97, 108, 0, 114, 116, 111, 95, 109, 105, 110, 0,
    114, 116, 111, 95, 109, 97, 120, 0, 114, 116, 111, 95, 97, 108, 112, 104, 97, 0, 114, 116, 111,
    95, 98, 101, 116, 97, 0, 109, 97, 120, 95, 98, 117, 114, 115, 116, 0, 99, 111, 111, 107, 105,
    101, 95, 112, 114, 101, 115, 101, 114, 118, 101, 95, 101, 110, 97, 98, 108, 101, 0, 115, 99,
    116, 112, 95, 104, 109, 97, 99, 95, 97, 108, 103, 0, 118, 97, 108, 105, 100, 95, 99, 111, 111,
    107, 105, 101, 95, 108, 105, 102, 101, 0, 115, 97, 99, 107, 95, 116, 105, 109, 101, 111, 117,
    116, 0, 104, 98, 95, 105, 110, 116, 101, 114, 118, 97, 108, 0, 109, 97, 120, 95, 114, 101, 116,
    114, 97, 110, 115, 95, 97, 115, 115, 111, 99, 105, 97, 116, 105, 111, 110, 0, 109, 97, 120, 95,
    114, 101, 116, 114, 97, 110, 115, 95, 112, 97, 116, 104, 0, 109, 97, 120, 95, 114, 101, 116,
    114, 97, 110, 115, 95, 105, 110, 105, 116, 0, 112, 102, 95, 114, 101, 116, 114, 97, 110, 115,
    0, 112, 115, 95, 114, 101, 116, 114, 97, 110, 115, 0, 112, 102, 95, 101, 110, 97, 98, 108, 101,
    0, 112, 102, 95, 101, 120, 112, 111, 115, 101, 0, 115, 110, 100, 98, 117, 102, 95, 112, 111,
    108, 105, 99, 121, 0, 114, 99, 118, 98, 117, 102, 95, 112, 111, 108, 105, 99, 121, 0, 100, 101,
    102, 97, 117, 108, 116, 95, 97, 117, 116, 111, 95, 97, 115, 99, 111, 110, 102, 0, 97, 100, 100,
    105, 112, 95, 101, 110, 97, 98, 108, 101, 0, 97, 100, 100, 105, 112, 95, 110, 111, 97, 117,
    116, 104, 0, 112, 114, 115, 99, 116, 112, 95, 101, 110, 97, 98, 108, 101, 0, 114, 101, 99, 111,
    110, 102, 95, 101, 110, 97, 98, 108, 101, 0, 97, 117, 116, 104, 95, 101, 110, 97, 98, 108, 101,
    0, 105, 110, 116, 108, 95, 101, 110, 97, 98, 108, 101, 0, 101, 99, 110, 95, 101, 110, 97, 98,
    108, 101, 0, 115, 99, 111, 112, 101, 95, 112, 111, 108, 105, 99, 121, 0, 114, 119, 110, 100,
    95, 117, 112, 100, 95, 115, 104, 105, 102, 116, 0, 109, 97, 120, 95, 97, 117, 116, 111, 99,
    108, 111, 115, 101, 0, 110, 101, 116, 110, 115, 95, 115, 99, 116, 112, 0, 100, 99, 99, 112, 0,
    118, 52, 95, 99, 116, 108, 95, 115, 107, 0, 118, 54, 95, 99, 116, 108, 95, 115, 107, 0, 110,
    101, 116, 110, 115, 95, 100, 99, 99, 112, 0, 110, 102, 0, 112, 114, 111, 99, 95, 110, 101, 116,
    102, 105, 108, 116, 101, 114, 0, 113, 117, 101, 117, 101, 95, 104, 97, 110, 100, 108, 101, 114,
    0, 111, 117, 116, 102, 110, 0, 115, 107, 98, 0, 104, 111, 111, 107, 95, 105, 110, 100, 101,
    120, 0, 112, 104, 121, 115, 105, 110, 0, 112, 104, 121, 115, 111, 117, 116, 0, 104, 111, 111,
    107, 0, 112, 102, 0, 105, 110, 0, 111, 117, 116, 0, 111, 107, 102, 110, 0, 110, 102, 95, 104,
    111, 111, 107, 95, 115, 116, 97, 116, 101, 0, 110, 102, 95, 113, 117, 101, 117, 101, 95, 101,
    110, 116, 114, 121, 0, 110, 102, 95, 104, 111, 111, 107, 95, 100, 114, 111, 112, 0, 110, 102,
    95, 113, 117, 101, 117, 101, 95, 104, 97, 110, 100, 108, 101, 114, 0, 110, 102, 95, 108, 111,
    103, 103, 101, 114, 115, 0, 108, 111, 103, 102, 110, 0, 117, 108, 111, 103, 0, 99, 111, 112,
    121, 95, 108, 101, 110, 0, 117, 95, 105, 110, 116, 51, 50, 95, 116, 0, 117, 95, 105, 110, 116,
    49, 54, 95, 116, 0, 113, 116, 104, 114, 101, 115, 104, 111, 108, 100, 0, 108, 111, 103, 102,
    108, 97, 103, 115, 0, 110, 102, 95, 108, 111, 103, 105, 110, 102, 111, 0, 110, 102, 95, 108,
    111, 103, 102, 110, 0, 110, 102, 95, 108, 111, 103, 103, 101, 114, 0, 110, 102, 95, 108, 111,
    103, 95, 100, 105, 114, 95, 104, 101, 97, 100, 101, 114, 0, 104, 111, 111, 107, 115, 95, 105,
    112, 118, 52, 0, 110, 117, 109, 95, 104, 111, 111, 107, 95, 101, 110, 116, 114, 105, 101, 115,
    0, 104, 111, 111, 107, 115, 0, 110, 102, 95, 104, 111, 111, 107, 102, 110, 0, 110, 102, 95,
    104, 111, 111, 107, 95, 101, 110, 116, 114, 121, 0, 110, 102, 95, 104, 111, 111, 107, 95, 101,
    110, 116, 114, 105, 101, 115, 0, 104, 111, 111, 107, 115, 95, 105, 112, 118, 54, 0, 104, 111,
    111, 107, 115, 95, 97, 114, 112, 0, 104, 111, 111, 107, 115, 95, 98, 114, 105, 100, 103, 101,
    0, 100, 101, 102, 114, 97, 103, 95, 105, 112, 118, 52, 0, 100, 101, 102, 114, 97, 103, 95, 105,
    112, 118, 54, 0, 110, 101, 116, 110, 115, 95, 110, 102, 0, 120, 116, 0, 116, 97, 98, 108, 101,
    115, 0, 110, 111, 116, 114, 97, 99, 107, 95, 100, 101, 112, 114, 101, 99, 97, 116, 101, 100,
    95, 119, 97, 114, 110, 105, 110, 103, 0, 99, 108, 117, 115, 116, 101, 114, 105, 112, 95, 100,
    101, 112, 114, 101, 99, 97, 116, 101, 100, 95, 119, 97, 114, 110, 105, 110, 103, 0, 98, 114,
    111, 117, 116, 101, 95, 116, 97, 98, 108, 101, 0, 101, 98, 116, 95, 116, 97, 98, 108, 101, 0,
    102, 114, 97, 109, 101, 95, 102, 105, 108, 116, 101, 114, 0, 102, 114, 97, 109, 101, 95, 110,
    97, 116, 0, 110, 101, 116, 110, 115, 95, 120, 116, 0, 99, 116, 0, 101, 120, 112, 101, 99, 116,
    95, 99, 111, 117, 110, 116, 0, 101, 99, 97, 99, 104, 101, 95, 100, 119, 111, 114, 107, 0, 101,
    99, 97, 99, 104, 101, 95, 100, 119, 111, 114, 107, 95, 112, 101, 110, 100, 105, 110, 103, 0,
    97, 117, 116, 111, 95, 97, 115, 115, 105, 103, 110, 95, 104, 101, 108, 112, 101, 114, 95, 119,
    97, 114, 110, 101, 100, 0, 115, 121, 115, 99, 116, 108, 95, 108, 111, 103, 95, 105, 110, 118,
    97, 108, 105, 100, 0, 115, 121, 115, 99, 116, 108, 95, 101, 118, 101, 110, 116, 115, 0, 115,
    121, 115, 99, 116, 108, 95, 97, 99, 99, 116, 0, 115, 121, 115, 99, 116, 108, 95, 97, 117, 116,
    111, 95, 97, 115, 115, 105, 103, 110, 95, 104, 101, 108, 112, 101, 114, 0, 115, 121, 115, 99,
    116, 108, 95, 116, 115, 116, 97, 109, 112, 0, 115, 121, 115, 99, 116, 108, 95, 99, 104, 101,
    99, 107, 115, 117, 109, 0, 112, 99, 112, 117, 95, 108, 105, 115, 116, 115, 0, 117, 110, 99,
    111, 110, 102, 105, 114, 109, 101, 100, 0, 99, 116, 95, 112, 99, 112, 117, 0, 115, 116, 97,
    116, 0, 102, 111, 117, 110, 100, 0, 105, 110, 118, 97, 108, 105, 100, 0, 105, 103, 110, 111,
    114, 101, 0, 105, 110, 115, 101, 114, 116, 0, 105, 110, 115, 101, 114, 116, 95, 102, 97, 105,
    108, 101, 100, 0, 100, 114, 111, 112, 0, 101, 97, 114, 108, 121, 95, 100, 114, 111, 112, 0,
    101, 120, 112, 101, 99, 116, 95, 110, 101, 119, 0, 101, 120, 112, 101, 99, 116, 95, 99, 114,
    101, 97, 116, 101, 0, 101, 120, 112, 101, 99, 116, 95, 100, 101, 108, 101, 116, 101, 0, 115,
    101, 97, 114, 99, 104, 95, 114, 101, 115, 116, 97, 114, 116, 0, 105, 112, 95, 99, 111, 110,
    110, 116, 114, 97, 99, 107, 95, 115, 116, 97, 116, 0, 110, 102, 95, 99, 111, 110, 110, 116,
    114, 97, 99, 107, 95, 101, 118, 101, 110, 116, 95, 99, 98, 0, 102, 99, 110, 0, 99, 116, 95,
    103, 101, 110, 101, 114, 97, 108, 0, 117, 115, 101, 0, 110, 102, 95, 99, 111, 110, 110, 116,
    114, 97, 99, 107, 0, 122, 111, 110, 101, 0, 110, 102, 95, 99, 111, 110, 110, 116, 114, 97, 99,
    107, 95, 122, 111, 110, 101, 0, 116, 117, 112, 108, 101, 104, 97, 115, 104, 0, 104, 110, 110,
    111, 100, 101, 0, 116, 117, 112, 108, 101, 0, 115, 114, 99, 0, 117, 51, 0, 115, 95, 97, 100,
    100, 114, 0, 105, 110, 95, 97, 100, 100, 114, 0, 110, 102, 95, 105, 110, 101, 116, 95, 97, 100,
    100, 114, 0, 116, 99, 112, 0, 117, 100, 112, 0, 105, 99, 109, 112, 0, 103, 114, 101, 0, 110,
    102, 95, 99, 111, 110, 110, 116, 114, 97, 99, 107, 95, 109, 97, 110, 95, 112, 114, 111, 116,
    111, 0, 108, 51, 110, 117, 109, 0, 110, 102, 95, 99, 111, 110, 110, 116, 114, 97, 99, 107, 95,
    109, 97, 110, 0, 112, 114, 111, 116, 111, 110, 117, 109, 0, 110, 102, 95, 99, 111, 110, 110,
    116, 114, 97, 99, 107, 95, 116, 117, 112, 108, 101, 0, 110, 102, 95, 99, 111, 110, 110, 116,
    114, 97, 99, 107, 95, 116, 117, 112, 108, 101, 95, 104, 97, 115, 104, 0, 99, 116, 95, 110, 101,
    116, 0, 110, 97, 116, 95, 98, 121, 115, 111, 117, 114, 99, 101, 0, 95, 95, 110, 102, 99, 116,
    95, 105, 110, 105, 116, 95, 111, 102, 102, 115, 101, 116, 0, 115, 101, 99, 109, 97, 114, 107,
    0, 101, 120, 116, 0, 110, 102, 95, 99, 116, 95, 101, 120, 116, 0, 114, 111, 108, 101, 0, 108,
    97, 115, 116, 95, 112, 107, 116, 0, 108, 97, 115, 116, 95, 100, 105, 114, 0, 104, 97, 110, 100,
    115, 104, 97, 107, 101, 95, 115, 101, 113, 0, 117, 95, 105, 110, 116, 54, 52, 95, 116, 0, 110,
    102, 95, 99, 116, 95, 100, 99, 99, 112, 0, 118, 116, 97, 103, 0, 105, 112, 95, 99, 116, 95,
    115, 99, 116, 112, 0, 116, 100, 95, 101, 110, 100, 0, 116, 100, 95, 109, 97, 120, 101, 110,
    100, 0, 116, 100, 95, 109, 97, 120, 119, 105, 110, 0, 116, 100, 95, 109, 97, 120, 97, 99, 107,
    0, 116, 100, 95, 115, 99, 97, 108, 101, 0, 105, 112, 95, 99, 116, 95, 116, 99, 112, 95, 115,
    116, 97, 116, 101, 0, 114, 101, 116, 114, 97, 110, 115, 0, 108, 97, 115, 116, 95, 105, 110,
    100, 101, 120, 0, 108, 97, 115, 116, 95, 115, 101, 113, 0, 108, 97, 115, 116, 95, 97, 99, 107,
    0, 108, 97, 115, 116, 95, 101, 110, 100, 0, 108, 97, 115, 116, 95, 119, 105, 110, 0, 108, 97,
    115, 116, 95, 119, 115, 99, 97, 108, 101, 0, 108, 97, 115, 116, 95, 102, 108, 97, 103, 115, 0,
    105, 112, 95, 99, 116, 95, 116, 99, 112, 0, 115, 116, 114, 101, 97, 109, 95, 116, 115, 0, 110,
    102, 95, 99, 116, 95, 117, 100, 112, 0, 115, 116, 114, 101, 97, 109, 95, 116, 105, 109, 101,
    111, 117, 116, 0, 110, 102, 95, 99, 116, 95, 103, 114, 101, 0, 116, 109, 112, 108, 95, 112, 97,
    100, 116, 111, 0, 110, 102, 95, 99, 111, 110, 110, 116, 114, 97, 99, 107, 95, 112, 114, 111,
    116, 111, 0, 110, 102, 95, 99, 111, 110, 110, 0, 112, 111, 114, 116, 105, 100, 0, 114, 101,
    112, 111, 114, 116, 0, 110, 102, 95, 99, 116, 95, 101, 118, 101, 110, 116, 0, 110, 102, 95, 99,
    116, 95, 101, 118, 101, 110, 116, 95, 110, 111, 116, 105, 102, 105, 101, 114, 0, 110, 102, 95,
    101, 120, 112, 101, 99, 116, 95, 101, 118, 101, 110, 116, 95, 99, 98, 0, 101, 120, 112, 0, 104,
    110, 111, 100, 101, 0, 110, 102, 95, 99, 111, 110, 110, 116, 114, 97, 99, 107, 95, 116, 117,
    112, 108, 101, 95, 109, 97, 115, 107, 0, 101, 120, 112, 101, 99, 116, 102, 110, 0, 104, 101,
    108, 112, 101, 114, 0, 110, 102, 95, 99, 111, 110, 110, 116, 114, 97, 99, 107, 95, 104, 101,
    108, 112, 101, 114, 0, 115, 97, 118, 101, 100, 95, 97, 100, 100, 114, 0, 115, 97, 118, 101,
    100, 95, 112, 114, 111, 116, 111, 0, 110, 102, 95, 99, 111, 110, 110, 116, 114, 97, 99, 107,
    95, 101, 120, 112, 101, 99, 116, 0, 110, 102, 95, 101, 120, 112, 95, 101, 118, 101, 110, 116,
    0, 110, 102, 95, 101, 120, 112, 95, 101, 118, 101, 110, 116, 95, 110, 111, 116, 105, 102, 105,
    101, 114, 0, 110, 102, 95, 99, 116, 95, 112, 114, 111, 116, 111, 0, 103, 101, 110, 101, 114,
    105, 99, 0, 110, 102, 95, 103, 101, 110, 101, 114, 105, 99, 95, 110, 101, 116, 0, 116, 105,
    109, 101, 111, 117, 116, 115, 0, 116, 99, 112, 95, 108, 111, 111, 115, 101, 0, 116, 99, 112,
    95, 98, 101, 95, 108, 105, 98, 101, 114, 97, 108, 0, 116, 99, 112, 95, 109, 97, 120, 95, 114,
    101, 116, 114, 97, 110, 115, 0, 110, 102, 95, 116, 99, 112, 95, 110, 101, 116, 0, 110, 102, 95,
    117, 100, 112, 95, 110, 101, 116, 0, 110, 102, 95, 105, 99, 109, 112, 95, 110, 101, 116, 0,
    105, 99, 109, 112, 118, 54, 0, 100, 99, 99, 112, 95, 108, 111, 111, 115, 101, 0, 100, 99, 99,
    112, 95, 116, 105, 109, 101, 111, 117, 116, 0, 110, 102, 95, 100, 99, 99, 112, 95, 110, 101,
    116, 0, 110, 102, 95, 115, 99, 116, 112, 95, 110, 101, 116, 0, 107, 101, 121, 109, 97, 112, 95,
    108, 105, 115, 116, 0, 110, 102, 95, 103, 114, 101, 95, 110, 101, 116, 0, 110, 102, 95, 105,
    112, 95, 110, 101, 116, 0, 108, 97, 98, 101, 108, 115, 95, 117, 115, 101, 100, 0, 110, 101,
    116, 110, 115, 95, 99, 116, 0, 110, 102, 116, 0, 99, 111, 109, 109, 105, 116, 95, 108, 105,
    115, 116, 0, 109, 111, 100, 117, 108, 101, 95, 108, 105, 115, 116, 0, 110, 111, 116, 105, 102,
    121, 95, 108, 105, 115, 116, 0, 99, 111, 109, 109, 105, 116, 95, 109, 117, 116, 101, 120, 0,
    98, 97, 115, 101, 95, 115, 101, 113, 0, 103, 101, 110, 99, 117, 114, 115, 111, 114, 0, 118, 97,
    108, 105, 100, 97, 116, 101, 95, 115, 116, 97, 116, 101, 0, 110, 101, 116, 110, 115, 95, 110,
    102, 116, 97, 98, 108, 101, 115, 0, 110, 102, 95, 102, 114, 97, 103, 0, 110, 101, 116, 110,
    115, 95, 110, 102, 95, 102, 114, 97, 103, 0, 110, 102, 95, 102, 114, 97, 103, 95, 102, 114, 97,
    103, 115, 95, 104, 100, 114, 0, 110, 102, 110, 108, 0, 110, 102, 110, 108, 95, 115, 116, 97,
    115, 104, 0, 110, 102, 110, 108, 95, 97, 99, 99, 116, 95, 108, 105, 115, 116, 0, 110, 102, 99,
    116, 95, 116, 105, 109, 101, 111, 117, 116, 95, 108, 105, 115, 116, 0, 119, 101, 120, 116, 95,
    110, 108, 101, 118, 101, 110, 116, 115, 0, 103, 101, 110, 0, 112, 116, 114, 0, 110, 101, 116,
    95, 103, 101, 110, 101, 114, 105, 99, 0, 114, 117, 110, 95, 97, 114, 114, 97, 121, 0, 110, 101,
    116, 110, 115, 95, 98, 112, 102, 0, 115, 116, 97, 116, 101, 95, 97, 108, 108, 0, 115, 116, 97,
    116, 101, 95, 98, 121, 100, 115, 116, 0, 115, 116, 97, 116, 101, 95, 98, 121, 115, 114, 99, 0,
    115, 116, 97, 116, 101, 95, 98, 121, 115, 112, 105, 0, 115, 116, 97, 116, 101, 95, 104, 109,
    97, 115, 107, 0, 115, 116, 97, 116, 101, 95, 110, 117, 109, 0, 115, 116, 97, 116, 101, 95, 104,
    97, 115, 104, 95, 119, 111, 114, 107, 0, 112, 111, 108, 105, 99, 121, 95, 97, 108, 108, 0, 112,
    111, 108, 105, 99, 121, 95, 98, 121, 105, 100, 120, 0, 112, 111, 108, 105, 99, 121, 95, 105,
    100, 120, 95, 104, 109, 97, 115, 107, 0, 112, 111, 108, 105, 99, 121, 95, 105, 110, 101, 120,
    97, 99, 116, 0, 112, 111, 108, 105, 99, 121, 95, 98, 121, 100, 115, 116, 0, 104, 109, 97, 115,
    107, 0, 100, 98, 105, 116, 115, 52, 0, 115, 98, 105, 116, 115, 52, 0, 100, 98, 105, 116, 115,
    54, 0, 115, 98, 105, 116, 115, 54, 0, 120, 102, 114, 109, 95, 112, 111, 108, 105, 99, 121, 95,
    104, 97, 115, 104, 0, 112, 111, 108, 105, 99, 121, 95, 99, 111, 117, 110, 116, 0, 112, 111,
    108, 105, 99, 121, 95, 104, 97, 115, 104, 95, 119, 111, 114, 107, 0, 112, 111, 108, 105, 99,
    121, 95, 104, 116, 104, 114, 101, 115, 104, 0, 108, 98, 105, 116, 115, 52, 0, 114, 98, 105,
    116, 115, 52, 0, 108, 98, 105, 116, 115, 54, 0, 114, 98, 105, 116, 115, 54, 0, 120, 102, 114,
    109, 95, 112, 111, 108, 105, 99, 121, 95, 104, 116, 104, 114, 101, 115, 104, 0, 105, 110, 101,
    120, 97, 99, 116, 95, 98, 105, 110, 115, 0, 110, 108, 115, 107, 0, 110, 108, 115, 107, 95, 115,
    116, 97, 115, 104, 0, 115, 121, 115, 99, 116, 108, 95, 97, 101, 118, 101, 110, 116, 95, 101,
    116, 105, 109, 101, 0, 115, 121, 115, 99, 116, 108, 95, 97, 101, 118, 101, 110, 116, 95, 114,
    115, 101, 113, 116, 104, 0, 115, 121, 115, 99, 116, 108, 95, 108, 97, 114, 118, 97, 108, 95,
    100, 114, 111, 112, 0, 115, 121, 115, 99, 116, 108, 95, 97, 99, 113, 95, 101, 120, 112, 105,
    114, 101, 115, 0, 120, 102, 114, 109, 52, 95, 100, 115, 116, 95, 111, 112, 115, 0, 120, 102,
    114, 109, 54, 95, 100, 115, 116, 95, 111, 112, 115, 0, 120, 102, 114, 109, 95, 115, 116, 97,
    116, 101, 95, 108, 111, 99, 107, 0, 120, 102, 114, 109, 95, 112, 111, 108, 105, 99, 121, 95,
    108, 111, 99, 107, 0, 120, 102, 114, 109, 95, 99, 102, 103, 95, 109, 117, 116, 101, 120, 0,
    110, 101, 116, 110, 115, 95, 120, 102, 114, 109, 0, 110, 101, 116, 95, 99, 111, 111, 107, 105,
    101, 0, 105, 112, 118, 115, 0, 110, 101, 116, 110, 115, 95, 105, 112, 118, 115, 0, 109, 112,
    108, 115, 0, 105, 112, 95, 116, 116, 108, 95, 112, 114, 111, 112, 97, 103, 97, 116, 101, 0,
    100, 101, 102, 97, 117, 108, 116, 95, 116, 116, 108, 0, 112, 108, 97, 116, 102, 111, 114, 109,
    95, 108, 97, 98, 101, 108, 115, 0, 112, 108, 97, 116, 102, 111, 114, 109, 95, 108, 97, 98, 101,
    108, 0, 109, 112, 108, 115, 95, 114, 111, 117, 116, 101, 0, 110, 101, 116, 110, 115, 95, 109,
    112, 108, 115, 0, 99, 97, 110, 0, 112, 114, 111, 99, 95, 100, 105, 114, 0, 112, 100, 101, 95,
    118, 101, 114, 115, 105, 111, 110, 0, 112, 100, 101, 95, 115, 116, 97, 116, 115, 0, 112, 100,
    101, 95, 114, 101, 115, 101, 116, 95, 115, 116, 97, 116, 115, 0, 112, 100, 101, 95, 114, 99,
    118, 108, 105, 115, 116, 95, 97, 108, 108, 0, 112, 100, 101, 95, 114, 99, 118, 108, 105, 115,
    116, 95, 102, 105, 108, 0, 112, 100, 101, 95, 114, 99, 118, 108, 105, 115, 116, 95, 105, 110,
    118, 0, 112, 100, 101, 95, 114, 99, 118, 108, 105, 115, 116, 95, 115, 102, 102, 0, 112, 100,
    101, 95, 114, 99, 118, 108, 105, 115, 116, 95, 101, 102, 102, 0, 112, 100, 101, 95, 114, 99,
    118, 108, 105, 115, 116, 95, 101, 114, 114, 0, 98, 99, 109, 112, 114, 111, 99, 95, 100, 105,
    114, 0, 114, 120, 95, 97, 108, 108, 100, 101, 118, 95, 108, 105, 115, 116, 0, 99, 97, 110, 95,
    100, 101, 118, 95, 114, 99, 118, 95, 108, 105, 115, 116, 115, 0, 114, 99, 118, 108, 105, 115,
    116, 115, 95, 108, 111, 99, 107, 0, 115, 116, 97, 116, 116, 105, 109, 101, 114, 0, 112, 107,
    103, 95, 115, 116, 97, 116, 115, 0, 99, 97, 110, 95, 112, 107, 103, 95, 115, 116, 97, 116, 115,
    0, 114, 99, 118, 95, 108, 105, 115, 116, 115, 95, 115, 116, 97, 116, 115, 0, 99, 97, 110, 95,
    114, 99, 118, 95, 108, 105, 115, 116, 115, 95, 115, 116, 97, 116, 115, 0, 99, 103, 119, 95,
    108, 105, 115, 116, 0, 110, 101, 116, 110, 115, 95, 99, 97, 110, 0, 120, 100, 112, 0, 110, 101,
    116, 110, 115, 95, 120, 100, 112, 0, 99, 114, 121, 112, 116, 111, 95, 110, 108, 115, 107, 0,
    100, 105, 97, 103, 95, 110, 108, 115, 107, 0, 111, 102, 102, 115, 101, 116, 115, 0, 109, 111,
    110, 111, 116, 111, 110, 105, 99, 0, 98, 111, 111, 116, 116, 105, 109, 101, 0, 116, 105, 109,
    101, 110, 115, 95, 111, 102, 102, 115, 101, 116, 115, 0, 118, 118, 97, 114, 95, 112, 97, 103,
    101, 0, 102, 114, 111, 122, 101, 110, 95, 111, 102, 102, 115, 101, 116, 115, 0, 116, 105, 109,
    101, 95, 110, 97, 109, 101, 115, 112, 97, 99, 101, 0, 116, 105, 109, 101, 95, 110, 115, 95,
    102, 111, 114, 95, 99, 104, 105, 108, 100, 114, 101, 110, 0, 99, 103, 114, 111, 117, 112, 95,
    110, 115, 0, 114, 111, 111, 116, 95, 99, 115, 101, 116, 0, 99, 103, 114, 111, 117, 112, 95,
    110, 97, 109, 101, 115, 112, 97, 99, 101, 0, 115, 105, 103, 110, 97, 108, 0, 115, 105, 103, 99,
    110, 116, 0, 110, 114, 95, 116, 104, 114, 101, 97, 100, 115, 0, 116, 104, 114, 101, 97, 100,
    95, 104, 101, 97, 100, 0, 119, 97, 105, 116, 95, 99, 104, 108, 100, 101, 120, 105, 116, 0, 99,
    117, 114, 114, 95, 116, 97, 114, 103, 101, 116, 0, 115, 104, 97, 114, 101, 100, 95, 112, 101,
    110, 100, 105, 110, 103, 0, 115, 105, 103, 0, 115, 105, 103, 115, 101, 116, 95, 116, 0, 109,
    117, 108, 116, 105, 112, 114, 111, 99, 101, 115, 115, 0, 103, 114, 111, 117, 112, 95, 101, 120,
    105, 116, 95, 99, 111, 100, 101, 0, 110, 111, 116, 105, 102, 121, 95, 99, 111, 117, 110, 116,
    0, 103, 114, 111, 117, 112, 95, 101, 120, 105, 116, 95, 116, 97, 115, 107, 0, 103, 114, 111,
    117, 112, 95, 115, 116, 111, 112, 95, 99, 111, 117, 110, 116, 0, 105, 115, 95, 99, 104, 105,
    108, 100, 95, 115, 117, 98, 114, 101, 97, 112, 101, 114, 0, 104, 97, 115, 95, 99, 104, 105,
    108, 100, 95, 115, 117, 98, 114, 101, 97, 112, 101, 114, 0, 112, 111, 115, 105, 120, 95, 116,
    105, 109, 101, 114, 95, 105, 100, 0, 112, 111, 115, 105, 120, 95, 116, 105, 109, 101, 114, 115,
    0, 114, 101, 97, 108, 95, 116, 105, 109, 101, 114, 0, 105, 116, 95, 114, 101, 97, 108, 95, 105,
    110, 99, 114, 0, 105, 116, 0, 105, 110, 99, 114, 0, 99, 112, 117, 95, 105, 116, 105, 109, 101,
    114, 0, 99, 112, 117, 116, 105, 109, 101, 114, 0, 99, 112, 117, 116, 105, 109, 101, 95, 97,
    116, 111, 109, 105, 99, 0, 116, 97, 115, 107, 95, 99, 112, 117, 116, 105, 109, 101, 95, 97,
    116, 111, 109, 105, 99, 0, 116, 104, 114, 101, 97, 100, 95, 103, 114, 111, 117, 112, 95, 99,
    112, 117, 116, 105, 109, 101, 114, 0, 112, 105, 100, 115, 0, 116, 116, 121, 95, 111, 108, 100,
    95, 112, 103, 114, 112, 0, 108, 101, 97, 100, 101, 114, 0, 116, 116, 121, 0, 99, 100, 101, 118,
    115, 0, 99, 100, 101, 118, 0, 100, 114, 105, 118, 101, 114, 95, 110, 97, 109, 101, 0, 110, 97,
    109, 101, 95, 98, 97, 115, 101, 0, 109, 97, 106, 111, 114, 0, 109, 105, 110, 111, 114, 95, 115,
    116, 97, 114, 116, 0, 115, 117, 98, 116, 121, 112, 101, 0, 105, 110, 105, 116, 95, 116, 101,
    114, 109, 105, 111, 115, 0, 99, 95, 105, 102, 108, 97, 103, 0, 116, 99, 102, 108, 97, 103, 95,
    116, 0, 99, 95, 111, 102, 108, 97, 103, 0, 99, 95, 99, 102, 108, 97, 103, 0, 99, 95, 108, 102,
    108, 97, 103, 0, 99, 95, 108, 105, 110, 101, 0, 99, 99, 95, 116, 0, 99, 95, 99, 99, 0, 99, 95,
    105, 115, 112, 101, 101, 100, 0, 115, 112, 101, 101, 100, 95, 116, 0, 99, 95, 111, 115, 112,
    101, 101, 100, 0, 107, 116, 101, 114, 109, 105, 111, 115, 0, 112, 114, 111, 99, 95, 101, 110,
    116, 114, 121, 0, 111, 116, 104, 101, 114, 0, 116, 116, 121, 115, 0, 99, 111, 109, 109, 105,
    116, 0, 116, 116, 121, 95, 98, 117, 102, 102, 101, 114, 0, 115, 101, 110, 116, 105, 110, 101,
    108, 0, 108, 108, 105, 115, 116, 95, 104, 101, 97, 100, 0, 109, 101, 109, 95, 117, 115, 101,
    100, 0, 109, 101, 109, 95, 108, 105, 109, 105, 116, 0, 116, 116, 121, 95, 98, 117, 102, 104,
    101, 97, 100, 0, 105, 116, 116, 121, 0, 99, 97, 114, 114, 105, 101, 114, 95, 114, 97, 105, 115,
    101, 100, 0, 100, 116, 114, 95, 114, 116, 115, 0, 100, 101, 115, 116, 114, 117, 99, 116, 0,
    116, 116, 121, 95, 112, 111, 114, 116, 95, 111, 112, 101, 114, 97, 116, 105, 111, 110, 115, 0,
    99, 108, 105, 101, 110, 116, 95, 111, 112, 115, 0, 114, 101, 99, 101, 105, 118, 101, 95, 98,
    117, 102, 0, 119, 114, 105, 116, 101, 95, 119, 97, 107, 101, 117, 112, 0, 116, 116, 121, 95,
    112, 111, 114, 116, 95, 99, 108, 105, 101, 110, 116, 95, 111, 112, 101, 114, 97, 116, 105, 111,
    110, 115, 0, 98, 108, 111, 99, 107, 101, 100, 95, 111, 112, 101, 110, 0, 111, 112, 101, 110,
    95, 119, 97, 105, 116, 0, 100, 101, 108, 116, 97, 95, 109, 115, 114, 95, 119, 97, 105, 116, 0,
    105, 102, 108, 97, 103, 115, 0, 99, 111, 110, 115, 111, 108, 101, 0, 108, 111, 119, 95, 108,
    97, 116, 101, 110, 99, 121, 0, 98, 117, 102, 95, 109, 117, 116, 101, 120, 0, 120, 109, 105,
    116, 95, 98, 117, 102, 0, 99, 108, 111, 115, 101, 95, 100, 101, 108, 97, 121, 0, 99, 108, 111,
    115, 105, 110, 103, 95, 119, 97, 105, 116, 0, 100, 114, 97, 105, 110, 95, 100, 101, 108, 97,
    121, 0, 99, 108, 105, 101, 110, 116, 95, 100, 97, 116, 97, 0, 116, 116, 121, 95, 112, 111, 114,
    116, 0, 116, 101, 114, 109, 105, 111, 115, 0, 100, 114, 105, 118, 101, 114, 95, 115, 116, 97,
    116, 101, 0, 105, 110, 115, 116, 97, 108, 108, 0, 99, 108, 101, 97, 110, 117, 112, 0, 112, 117,
    116, 95, 99, 104, 97, 114, 0, 102, 108, 117, 115, 104, 95, 99, 104, 97, 114, 115, 0, 119, 114,
    105, 116, 101, 95, 114, 111, 111, 109, 0, 99, 104, 97, 114, 115, 95, 105, 110, 95, 98, 117,
    102, 102, 101, 114, 0, 115, 101, 116, 95, 116, 101, 114, 109, 105, 111, 115, 0, 116, 104, 114,
    111, 116, 116, 108, 101, 0, 117, 110, 116, 104, 114, 111, 116, 116, 108, 101, 0, 104, 97, 110,
    103, 117, 112, 0, 98, 114, 101, 97, 107, 95, 99, 116, 108, 0, 102, 108, 117, 115, 104, 95, 98,
    117, 102, 102, 101, 114, 0, 115, 101, 116, 95, 108, 100, 105, 115, 99, 0, 119, 97, 105, 116,
    95, 117, 110, 116, 105, 108, 95, 115, 101, 110, 116, 0, 115, 101, 110, 100, 95, 120, 99, 104,
    97, 114, 0, 116, 105, 111, 99, 109, 103, 101, 116, 0, 116, 105, 111, 99, 109, 115, 101, 116, 0,
    114, 101, 115, 105, 122, 101, 0, 119, 115, 95, 114, 111, 119, 0, 119, 115, 95, 99, 111, 108, 0,
    119, 115, 95, 120, 112, 105, 120, 101, 108, 0, 119, 115, 95, 121, 112, 105, 120, 101, 108, 0,
    119, 105, 110, 115, 105, 122, 101, 0, 115, 101, 116, 95, 116, 101, 114, 109, 105, 111, 120, 0,
    120, 95, 104, 102, 108, 97, 103, 0, 120, 95, 99, 102, 108, 97, 103, 0, 120, 95, 114, 102, 108,
    97, 103, 0, 120, 95, 115, 102, 108, 97, 103, 0, 116, 101, 114, 109, 105, 111, 120, 0, 103, 101,
    116, 95, 105, 99, 111, 117, 110, 116, 0, 99, 116, 115, 0, 100, 115, 114, 0, 114, 110, 103, 0,
    100, 99, 100, 0, 114, 120, 0, 116, 120, 0, 111, 118, 101, 114, 114, 117, 110, 0, 112, 97, 114,
    105, 116, 121, 0, 98, 117, 102, 95, 111, 118, 101, 114, 114, 117, 110, 0, 114, 101, 115, 101,
    114, 118, 101, 100, 0, 115, 101, 114, 105, 97, 108, 95, 105, 99, 111, 117, 110, 116, 101, 114,
    95, 115, 116, 114, 117, 99, 116, 0, 103, 101, 116, 95, 115, 101, 114, 105, 97, 108, 0, 108,
    105, 110, 101, 0, 120, 109, 105, 116, 95, 102, 105, 102, 111, 95, 115, 105, 122, 101, 0, 99,
    117, 115, 116, 111, 109, 95, 100, 105, 118, 105, 115, 111, 114, 0, 98, 97, 117, 100, 95, 98,
    97, 115, 101, 0, 105, 111, 95, 116, 121, 112, 101, 0, 114, 101, 115, 101, 114, 118, 101, 100,
    95, 99, 104, 97, 114, 0, 104, 117, 98, 54, 0, 99, 108, 111, 115, 105, 110, 103, 95, 119, 97,
    105, 116, 50, 0, 105, 111, 109, 101, 109, 95, 98, 97, 115, 101, 0, 105, 111, 109, 101, 109, 95,
    114, 101, 103, 95, 115, 104, 105, 102, 116, 0, 112, 111, 114, 116, 95, 104, 105, 103, 104, 0,
    105, 111, 109, 97, 112, 95, 98, 97, 115, 101, 0, 115, 101, 114, 105, 97, 108, 95, 115, 116,
    114, 117, 99, 116, 0, 115, 101, 116, 95, 115, 101, 114, 105, 97, 108, 0, 115, 104, 111, 119,
    95, 102, 100, 105, 110, 102, 111, 0, 112, 114, 111, 99, 95, 115, 104, 111, 119, 0, 116, 116,
    121, 95, 111, 112, 101, 114, 97, 116, 105, 111, 110, 115, 0, 116, 116, 121, 95, 100, 114, 105,
    118, 101, 114, 115, 0, 116, 116, 121, 95, 100, 114, 105, 118, 101, 114, 0, 108, 100, 105, 115,
    99, 95, 115, 101, 109, 0, 119, 97, 105, 116, 95, 114, 101, 97, 100, 101, 114, 115, 0, 114, 101,
    97, 100, 95, 119, 97, 105, 116, 0, 119, 114, 105, 116, 101, 95, 119, 97, 105, 116, 0, 108, 100,
    95, 115, 101, 109, 97, 112, 104, 111, 114, 101, 0, 108, 100, 105, 115, 99, 0, 100, 99, 100, 95,
    99, 104, 97, 110, 103, 101, 0, 114, 101, 99, 101, 105, 118, 101, 95, 98, 117, 102, 50, 0, 116,
    116, 121, 95, 108, 100, 105, 115, 99, 95, 111, 112, 115, 0, 116, 116, 121, 95, 108, 100, 105,
    115, 99, 0, 97, 116, 111, 109, 105, 99, 95, 119, 114, 105, 116, 101, 95, 108, 111, 99, 107, 0,
    108, 101, 103, 97, 99, 121, 95, 109, 117, 116, 101, 120, 0, 116, 104, 114, 111, 116, 116, 108,
    101, 95, 109, 117, 116, 101, 120, 0, 116, 101, 114, 109, 105, 111, 115, 95, 114, 119, 115, 101,
    109, 0, 119, 105, 110, 115, 105, 122, 101, 95, 109, 117, 116, 101, 120, 0, 99, 116, 114, 108,
    95, 108, 111, 99, 107, 0, 102, 108, 111, 119, 95, 108, 111, 99, 107, 0, 116, 101, 114, 109,
    105, 111, 115, 95, 108, 111, 99, 107, 101, 100, 0, 112, 103, 114, 112, 0, 115, 101, 115, 115,
    105, 111, 110, 0, 115, 116, 111, 112, 112, 101, 100, 0, 102, 108, 111, 119, 95, 115, 116, 111,
    112, 112, 101, 100, 0, 104, 119, 95, 115, 116, 111, 112, 112, 101, 100, 0, 99, 116, 114, 108,
    95, 115, 116, 97, 116, 117, 115, 0, 117, 110, 117, 115, 101, 100, 95, 99, 116, 114, 108, 0,
    114, 101, 99, 101, 105, 118, 101, 95, 114, 111, 111, 109, 0, 102, 108, 111, 119, 95, 99, 104,
    97, 110, 103, 101, 0, 102, 97, 115, 121, 110, 99, 0, 104, 97, 110, 103, 117, 112, 95, 119, 111,
    114, 107, 0, 100, 105, 115, 99, 95, 100, 97, 116, 97, 0, 102, 105, 108, 101, 115, 95, 108, 111,
    99, 107, 0, 116, 116, 121, 95, 102, 105, 108, 101, 115, 0, 99, 108, 111, 115, 105, 110, 103, 0,
    119, 114, 105, 116, 101, 95, 98, 117, 102, 0, 119, 114, 105, 116, 101, 95, 99, 110, 116, 0, 83,
    65, 75, 95, 119, 111, 114, 107, 0, 116, 116, 121, 95, 115, 116, 114, 117, 99, 116, 0, 115, 116,
    97, 116, 115, 95, 108, 111, 99, 107, 0, 99, 117, 116, 105, 109, 101, 0, 99, 115, 116, 105, 109,
    101, 0, 99, 103, 116, 105, 109, 101, 0, 99, 110, 118, 99, 115, 119, 0, 99, 110, 105, 118, 99,
    115, 119, 0, 99, 109, 105, 110, 95, 102, 108, 116, 0, 99, 109, 97, 106, 95, 102, 108, 116, 0,
    105, 110, 98, 108, 111, 99, 107, 0, 111, 117, 98, 108, 111, 99, 107, 0, 99, 105, 110, 98, 108,
    111, 99, 107, 0, 99, 111, 117, 98, 108, 111, 99, 107, 0, 109, 97, 120, 114, 115, 115, 0, 99,
    109, 97, 120, 114, 115, 115, 0, 105, 111, 97, 99, 0, 114, 99, 104, 97, 114, 0, 119, 99, 104,
    97, 114, 0, 115, 121, 115, 99, 114, 0, 115, 121, 115, 99, 119, 0, 114, 101, 97, 100, 95, 98,
    121, 116, 101, 115, 0, 119, 114, 105, 116, 101, 95, 98, 121, 116, 101, 115, 0, 99, 97, 110, 99,
    101, 108, 108, 101, 100, 95, 119, 114, 105, 116, 101, 95, 98, 121, 116, 101, 115, 0, 116, 97,
    115, 107, 95, 105, 111, 95, 97, 99, 99, 111, 117, 110, 116, 105, 110, 103, 0, 115, 117, 109,
    95, 115, 99, 104, 101, 100, 95, 114, 117, 110, 116, 105, 109, 101, 0, 114, 108, 105, 109, 0,
    114, 108, 105, 109, 95, 99, 117, 114, 0, 114, 108, 105, 109, 95, 109, 97, 120, 0, 114, 108,
    105, 109, 105, 116, 0, 112, 97, 99, 99, 116, 0, 97, 99, 95, 102, 108, 97, 103, 0, 97, 99, 95,
    101, 120, 105, 116, 99, 111, 100, 101, 0, 97, 99, 95, 109, 101, 109, 0, 97, 99, 95, 117, 116,
    105, 109, 101, 0, 97, 99, 95, 115, 116, 105, 109, 101, 0, 97, 99, 95, 109, 105, 110, 102, 108,
    116, 0, 97, 99, 95, 109, 97, 106, 102, 108, 116, 0, 112, 97, 99, 99, 116, 95, 115, 116, 114,
    117, 99, 116, 0, 97, 99, 95, 110, 105, 99, 101, 0, 99, 112, 117, 95, 99, 111, 117, 110, 116, 0,
    99, 112, 117, 95, 100, 101, 108, 97, 121, 95, 116, 111, 116, 97, 108, 0, 98, 108, 107, 105,
    111, 95, 99, 111, 117, 110, 116, 0, 98, 108, 107, 105, 111, 95, 100, 101, 108, 97, 121, 95,
    116, 111, 116, 97, 108, 0, 115, 119, 97, 112, 105, 110, 95, 99, 111, 117, 110, 116, 0, 115,
    119, 97, 112, 105, 110, 95, 100, 101, 108, 97, 121, 95, 116, 111, 116, 97, 108, 0, 99, 112,
    117, 95, 114, 117, 110, 95, 114, 101, 97, 108, 95, 116, 111, 116, 97, 108, 0, 99, 112, 117, 95,
    114, 117, 110, 95, 118, 105, 114, 116, 117, 97, 108, 95, 116, 111, 116, 97, 108, 0, 97, 99, 95,
    99, 111, 109, 109, 0, 97, 99, 95, 115, 99, 104, 101, 100, 0, 97, 99, 95, 112, 97, 100, 0, 97,
    99, 95, 117, 105, 100, 0, 97, 99, 95, 103, 105, 100, 0, 97, 99, 95, 112, 105, 100, 0, 97, 99,
    95, 112, 112, 105, 100, 0, 97, 99, 95, 98, 116, 105, 109, 101, 0, 97, 99, 95, 101, 116, 105,
    109, 101, 0, 99, 111, 114, 101, 109, 101, 109, 0, 118, 105, 114, 116, 109, 101, 109, 0, 114,
    101, 97, 100, 95, 99, 104, 97, 114, 0, 119, 114, 105, 116, 101, 95, 99, 104, 97, 114, 0, 114,
    101, 97, 100, 95, 115, 121, 115, 99, 97, 108, 108, 115, 0, 119, 114, 105, 116, 101, 95, 115,
    121, 115, 99, 97, 108, 108, 115, 0, 97, 99, 95, 117, 116, 105, 109, 101, 115, 99, 97, 108, 101,
    100, 0, 97, 99, 95, 115, 116, 105, 109, 101, 115, 99, 97, 108, 101, 100, 0, 99, 112, 117, 95,
    115, 99, 97, 108, 101, 100, 95, 114, 117, 110, 95, 114, 101, 97, 108, 95, 116, 111, 116, 97,
    108, 0, 102, 114, 101, 101, 112, 97, 103, 101, 115, 95, 99, 111, 117, 110, 116, 0, 102, 114,
    101, 101, 112, 97, 103, 101, 115, 95, 100, 101, 108, 97, 121, 95, 116, 111, 116, 97, 108, 0,
    116, 104, 114, 97, 115, 104, 105, 110, 103, 95, 99, 111, 117, 110, 116, 0, 116, 104, 114, 97,
    115, 104, 105, 110, 103, 95, 100, 101, 108, 97, 121, 95, 116, 111, 116, 97, 108, 0, 97, 99, 95,
    98, 116, 105, 109, 101, 54, 52, 0, 116, 97, 115, 107, 115, 116, 97, 116, 115, 0, 97, 117, 100,
    105, 116, 95, 116, 116, 121, 0, 116, 116, 121, 95, 97, 117, 100, 105, 116, 95, 98, 117, 102, 0,
    105, 99, 97, 110, 111, 110, 0, 111, 111, 109, 95, 102, 108, 97, 103, 95, 111, 114, 105, 103,
    105, 110, 0, 111, 111, 109, 95, 115, 99, 111, 114, 101, 95, 97, 100, 106, 0, 111, 111, 109, 95,
    115, 99, 111, 114, 101, 95, 97, 100, 106, 95, 109, 105, 110, 0, 111, 111, 109, 95, 109, 109, 0,
    99, 114, 101, 100, 95, 103, 117, 97, 114, 100, 95, 109, 117, 116, 101, 120, 0, 101, 120, 101,
    99, 95, 117, 112, 100, 97, 116, 101, 95, 109, 117, 116, 101, 120, 0, 115, 105, 103, 110, 97,
    108, 95, 115, 116, 114, 117, 99, 116, 0, 115, 105, 103, 104, 97, 110, 100, 0, 115, 105, 103,
    108, 111, 99, 107, 0, 115, 105, 103, 110, 97, 108, 102, 100, 95, 119, 113, 104, 0, 115, 97, 0,
    115, 97, 95, 104, 97, 110, 100, 108, 101, 114, 0, 95, 95, 115, 105, 103, 110, 97, 108, 102,
    110, 95, 116, 0, 95, 95, 115, 105, 103, 104, 97, 110, 100, 108, 101, 114, 95, 116, 0, 115, 97,
    95, 102, 108, 97, 103, 115, 0, 115, 97, 95, 114, 101, 115, 116, 111, 114, 101, 114, 0, 95, 95,
    114, 101, 115, 116, 111, 114, 101, 102, 110, 95, 116, 0, 95, 95, 115, 105, 103, 114, 101, 115,
    116, 111, 114, 101, 95, 116, 0, 115, 97, 95, 109, 97, 115, 107, 0, 115, 105, 103, 97, 99, 116,
    105, 111, 110, 0, 107, 95, 115, 105, 103, 97, 99, 116, 105, 111, 110, 0, 115, 105, 103, 104,
    97, 110, 100, 95, 115, 116, 114, 117, 99, 116, 0, 114, 101, 97, 108, 95, 98, 108, 111, 99, 107,
    101, 100, 0, 115, 97, 118, 101, 100, 95, 115, 105, 103, 109, 97, 115, 107, 0, 115, 97, 115, 95,
    115, 115, 95, 115, 112, 0, 115, 97, 115, 95, 115, 115, 95, 115, 105, 122, 101, 0, 115, 97, 115,
    95, 115, 115, 95, 102, 108, 97, 103, 115, 0, 116, 97, 115, 107, 95, 119, 111, 114, 107, 115, 0,
    97, 117, 100, 105, 116, 95, 99, 111, 110, 116, 101, 120, 116, 0, 100, 117, 109, 109, 121, 0,
    105, 110, 95, 115, 121, 115, 99, 97, 108, 108, 0, 65, 85, 68, 73, 84, 95, 68, 73, 83, 65, 66,
    76, 69, 68, 0, 65, 85, 68, 73, 84, 95, 66, 85, 73, 76, 68, 95, 67, 79, 78, 84, 69, 88, 84, 0,
    65, 85, 68, 73, 84, 95, 82, 69, 67, 79, 82, 68, 95, 67, 79, 78, 84, 69, 88, 84, 0, 97, 117,
    100, 105, 116, 95, 115, 116, 97, 116, 101, 0, 99, 116, 105, 109, 101, 0, 114, 101, 116, 117,
    114, 110, 95, 99, 111, 100, 101, 0, 114, 101, 116, 117, 114, 110, 95, 118, 97, 108, 105, 100,
    0, 112, 114, 101, 97, 108, 108, 111, 99, 97, 116, 101, 100, 95, 110, 97, 109, 101, 115, 0, 110,
    97, 109, 101, 95, 99, 111, 117, 110, 116, 0, 110, 97, 109, 101, 115, 95, 108, 105, 115, 116, 0,
    102, 105, 108, 116, 101, 114, 107, 101, 121, 0, 97, 117, 100, 105, 116, 95, 97, 117, 120, 95,
    100, 97, 116, 97, 0, 97, 117, 120, 95, 112, 105, 100, 115, 0, 115, 115, 95, 102, 97, 109, 105,
    108, 121, 0, 95, 95, 97, 108, 105, 103, 110, 0, 95, 95, 107, 101, 114, 110, 101, 108, 95, 115,
    111, 99, 107, 97, 100, 100, 114, 95, 115, 116, 111, 114, 97, 103, 101, 0, 115, 111, 99, 107,
    97, 100, 100, 114, 95, 108, 101, 110, 0, 112, 112, 105, 100, 0, 97, 114, 99, 104, 0, 116, 97,
    114, 103, 101, 116, 95, 112, 105, 100, 0, 116, 97, 114, 103, 101, 116, 95, 97, 117, 105, 100,
    0, 116, 97, 114, 103, 101, 116, 95, 117, 105, 100, 0, 116, 97, 114, 103, 101, 116, 95, 115,
    101, 115, 115, 105, 111, 110, 105, 100, 0, 116, 97, 114, 103, 101, 116, 95, 115, 105, 100, 0,
    116, 97, 114, 103, 101, 116, 95, 99, 111, 109, 109, 0, 116, 114, 101, 101, 115, 0, 99, 0, 97,
    117, 100, 105, 116, 95, 99, 104, 117, 110, 107, 0, 97, 117, 100, 105, 116, 95, 116, 114, 101,
    101, 95, 114, 101, 102, 115, 0, 102, 105, 114, 115, 116, 95, 116, 114, 101, 101, 115, 0, 107,
    105, 108, 108, 101, 100, 95, 116, 114, 101, 101, 115, 0, 116, 114, 101, 101, 95, 99, 111, 117,
    110, 116, 0, 115, 111, 99, 107, 101, 116, 99, 97, 108, 108, 0, 105, 112, 99, 0, 104, 97, 115,
    95, 112, 101, 114, 109, 0, 112, 101, 114, 109, 95, 117, 105, 100, 0, 112, 101, 114, 109, 95,
    103, 105, 100, 0, 112, 101, 114, 109, 95, 109, 111, 100, 101, 0, 113, 98, 121, 116, 101, 115,
    0, 109, 113, 95, 103, 101, 116, 115, 101, 116, 97, 116, 116, 114, 0, 109, 113, 100, 101, 115,
    0, 95, 95, 107, 101, 114, 110, 101, 108, 95, 109, 113, 100, 95, 116, 0, 109, 113, 100, 95, 116,
    0, 109, 113, 115, 116, 97, 116, 0, 109, 113, 95, 102, 108, 97, 103, 115, 0, 109, 113, 95, 109,
    97, 120, 109, 115, 103, 0, 109, 113, 95, 109, 115, 103, 115, 105, 122, 101, 0, 109, 113, 95,
    99, 117, 114, 109, 115, 103, 115, 0, 95, 95, 114, 101, 115, 101, 114, 118, 101, 100, 0, 109,
    113, 95, 97, 116, 116, 114, 0, 109, 113, 95, 110, 111, 116, 105, 102, 121, 0, 115, 105, 103,
    101, 118, 95, 115, 105, 103, 110, 111, 0, 109, 113, 95, 115, 101, 110, 100, 114, 101, 99, 118,
    0, 109, 115, 103, 95, 108, 101, 110, 0, 109, 115, 103, 95, 112, 114, 105, 111, 0, 97, 98, 115,
    95, 116, 105, 109, 101, 111, 117, 116, 0, 109, 113, 95, 111, 112, 101, 110, 0, 111, 102, 108,
    97, 103, 0, 99, 97, 112, 115, 101, 116, 0, 101, 120, 101, 99, 118, 101, 0, 97, 114, 103, 99, 0,
    102, 100, 115, 0, 112, 114, 111, 99, 116, 105, 116, 108, 101, 0, 97, 117, 100, 105, 116, 95,
    112, 114, 111, 99, 116, 105, 116, 108, 101, 0, 108, 111, 103, 105, 110, 117, 105, 100, 0, 115,
    101, 115, 115, 105, 111, 110, 105, 100, 0, 115, 101, 99, 99, 111, 109, 112, 0, 102, 105, 108,
    116, 101, 114, 95, 99, 111, 117, 110, 116, 0, 110, 111, 116, 105, 102, 0, 115, 101, 109, 97,
    112, 104, 111, 114, 101, 0, 110, 111, 116, 105, 102, 105, 99, 97, 116, 105, 111, 110, 115, 0,
    110, 111, 116, 105, 102, 105, 99, 97, 116, 105, 111, 110, 0, 110, 111, 116, 105, 102, 121, 95,
    108, 111, 99, 107, 0, 119, 113, 104, 0, 115, 101, 99, 99, 111, 109, 112, 95, 102, 105, 108,
    116, 101, 114, 0, 112, 97, 114, 101, 110, 116, 95, 101, 120, 101, 99, 95, 105, 100, 0, 115,
    101, 108, 102, 95, 101, 120, 101, 99, 95, 105, 100, 0, 97, 108, 108, 111, 99, 95, 108, 111, 99,
    107, 0, 112, 105, 95, 108, 111, 99, 107, 0, 119, 97, 107, 101, 95, 113, 0, 119, 97, 107, 101,
    95, 113, 95, 110, 111, 100, 101, 0, 112, 105, 95, 119, 97, 105, 116, 101, 114, 115, 0, 112,
    105, 95, 116, 111, 112, 95, 116, 97, 115, 107, 0, 112, 105, 95, 98, 108, 111, 99, 107, 101,
    100, 95, 111, 110, 0, 116, 114, 101, 101, 95, 101, 110, 116, 114, 121, 0, 112, 105, 95, 116,
    114, 101, 101, 95, 101, 110, 116, 114, 121, 0, 114, 116, 95, 109, 117, 116, 101, 120, 95, 119,
    97, 105, 116, 101, 114, 0, 106, 111, 117, 114, 110, 97, 108, 95, 105, 110, 102, 111, 0, 98,
    105, 111, 95, 108, 105, 115, 116, 0, 98, 105, 95, 110, 101, 120, 116, 0, 98, 105, 95, 100, 105,
    115, 107, 0, 102, 105, 114, 115, 116, 95, 109, 105, 110, 111, 114, 0, 109, 105, 110, 111, 114,
    115, 0, 100, 105, 115, 107, 95, 110, 97, 109, 101, 0, 101, 118, 101, 110, 116, 95, 102, 108,
    97, 103, 115, 0, 112, 97, 114, 116, 95, 116, 98, 108, 0, 108, 97, 115, 116, 95, 108, 111, 111,
    107, 117, 112, 0, 115, 116, 97, 114, 116, 95, 115, 101, 99, 116, 0, 115, 101, 99, 116, 111,
    114, 95, 116, 0, 110, 114, 95, 115, 101, 99, 116, 115, 0, 100, 107, 115, 116, 97, 116, 115, 0,
    115, 101, 99, 116, 111, 114, 115, 0, 105, 111, 115, 0, 109, 101, 114, 103, 101, 115, 0, 105,
    111, 95, 116, 105, 99, 107, 115, 0, 97, 0, 108, 111, 99, 97, 108, 95, 116, 0, 100, 105, 115,
    107, 95, 115, 116, 97, 116, 115, 0, 97, 108, 105, 103, 110, 109, 101, 110, 116, 95, 111, 102,
    102, 115, 101, 116, 0, 100, 105, 115, 99, 97, 114, 100, 95, 97, 108, 105, 103, 110, 109, 101,
    110, 116, 0, 95, 95, 100, 101, 118, 0, 104, 111, 108, 100, 101, 114, 95, 100, 105, 114, 0, 112,
    97, 114, 116, 110, 111, 0, 117, 117, 105, 100, 0, 118, 111, 108, 110, 97, 109, 101, 0, 112, 97,
    114, 116, 105, 116, 105, 111, 110, 95, 109, 101, 116, 97, 95, 105, 110, 102, 111, 0, 104, 100,
    95, 115, 116, 114, 117, 99, 116, 0, 112, 97, 114, 116, 0, 100, 105, 115, 107, 95, 112, 97, 114,
    116, 95, 116, 98, 108, 0, 112, 97, 114, 116, 48, 0, 102, 111, 112, 115, 0, 115, 117, 98, 109,
    105, 116, 95, 98, 105, 111, 0, 98, 108, 107, 95, 113, 99, 95, 116, 0, 98, 100, 95, 100, 101,
    118, 0, 98, 100, 95, 111, 112, 101, 110, 101, 114, 115, 0, 98, 100, 95, 105, 110, 111, 100,
    101, 0, 98, 100, 95, 115, 117, 112, 101, 114, 0, 98, 100, 95, 109, 117, 116, 101, 120, 0, 98,
    100, 95, 99, 108, 97, 105, 109, 105, 110, 103, 0, 98, 100, 95, 104, 111, 108, 100, 101, 114, 0,
    98, 100, 95, 104, 111, 108, 100, 101, 114, 115, 0, 98, 100, 95, 119, 114, 105, 116, 101, 95,
    104, 111, 108, 100, 101, 114, 0, 98, 100, 95, 104, 111, 108, 100, 101, 114, 95, 100, 105, 115,
    107, 115, 0, 98, 100, 95, 99, 111, 110, 116, 97, 105, 110, 115, 0, 98, 100, 95, 112, 97, 114,
    116, 110, 111, 0, 98, 100, 95, 112, 97, 114, 116, 0, 98, 100, 95, 112, 97, 114, 116, 95, 99,
    111, 117, 110, 116, 0, 98, 100, 95, 105, 110, 118, 97, 108, 105, 100, 97, 116, 101, 100, 0, 98,
    100, 95, 100, 105, 115, 107, 0, 98, 100, 95, 98, 100, 105, 0, 98, 100, 105, 95, 108, 105, 115,
    116, 0, 114, 97, 95, 112, 97, 103, 101, 115, 0, 105, 111, 95, 112, 97, 103, 101, 115, 0, 99,
    97, 112, 97, 98, 105, 108, 105, 116, 105, 101, 115, 0, 109, 105, 110, 95, 114, 97, 116, 105,
    111, 0, 109, 97, 120, 95, 114, 97, 116, 105, 111, 0, 109, 97, 120, 95, 112, 114, 111, 112, 95,
    102, 114, 97, 99, 0, 116, 111, 116, 95, 119, 114, 105, 116, 101, 95, 98, 97, 110, 100, 119,
    105, 100, 116, 104, 0, 119, 98, 0, 98, 100, 105, 0, 108, 97, 115, 116, 95, 111, 108, 100, 95,
    102, 108, 117, 115, 104, 0, 98, 95, 100, 105, 114, 116, 121, 0, 98, 95, 105, 111, 0, 98, 95,
    109, 111, 114, 101, 95, 105, 111, 0, 98, 95, 100, 105, 114, 116, 121, 95, 116, 105, 109, 101,
    0, 99, 111, 110, 103, 101, 115, 116, 101, 100, 0, 98, 119, 95, 116, 105, 109, 101, 95, 115,
    116, 97, 109, 112, 0, 100, 105, 114, 116, 105, 101, 100, 95, 115, 116, 97, 109, 112, 0, 119,
    114, 105, 116, 116, 101, 110, 95, 115, 116, 97, 109, 112, 0, 119, 114, 105, 116, 101, 95, 98,
    97, 110, 100, 119, 105, 100, 116, 104, 0, 97, 118, 103, 95, 119, 114, 105, 116, 101, 95, 98,
    97, 110, 100, 119, 105, 100, 116, 104, 0, 100, 105, 114, 116, 121, 95, 114, 97, 116, 101, 108,
    105, 109, 105, 116, 0, 98, 97, 108, 97, 110, 99, 101, 100, 95, 100, 105, 114, 116, 121, 95,
    114, 97, 116, 101, 108, 105, 109, 105, 116, 0, 99, 111, 109, 112, 108, 101, 116, 105, 111, 110,
    115, 0, 102, 112, 114, 111, 112, 95, 108, 111, 99, 97, 108, 95, 112, 101, 114, 99, 112, 117, 0,
    100, 105, 114, 116, 121, 95, 101, 120, 99, 101, 101, 100, 101, 100, 0, 115, 116, 97, 114, 116,
    95, 97, 108, 108, 95, 114, 101, 97, 115, 111, 110, 0, 87, 66, 95, 82, 69, 65, 83, 79, 78, 95,
    66, 65, 67, 75, 71, 82, 79, 85, 78, 68, 0, 87, 66, 95, 82, 69, 65, 83, 79, 78, 95, 86, 77, 83,
    67, 65, 78, 0, 87, 66, 95, 82, 69, 65, 83, 79, 78, 95, 83, 89, 78, 67, 0, 87, 66, 95, 82, 69,
    65, 83, 79, 78, 95, 80, 69, 82, 73, 79, 68, 73, 67, 0, 87, 66, 95, 82, 69, 65, 83, 79, 78, 95,
    76, 65, 80, 84, 79, 80, 95, 84, 73, 77, 69, 82, 0, 87, 66, 95, 82, 69, 65, 83, 79, 78, 95, 70,
    83, 95, 70, 82, 69, 69, 95, 83, 80, 65, 67, 69, 0, 87, 66, 95, 82, 69, 65, 83, 79, 78, 95, 70,
    79, 82, 75, 69, 82, 95, 84, 72, 82, 69, 65, 68, 0, 87, 66, 95, 82, 69, 65, 83, 79, 78, 95, 70,
    79, 82, 69, 73, 71, 78, 95, 70, 76, 85, 83, 72, 0, 87, 66, 95, 82, 69, 65, 83, 79, 78, 95, 77,
    65, 88, 0, 119, 98, 95, 114, 101, 97, 115, 111, 110, 0, 119, 111, 114, 107, 95, 108, 111, 99,
    107, 0, 119, 111, 114, 107, 95, 108, 105, 115, 116, 0, 100, 119, 111, 114, 107, 0, 100, 105,
    114, 116, 121, 95, 115, 108, 101, 101, 112, 0, 98, 100, 105, 95, 110, 111, 100, 101, 0, 109,
    101, 109, 99, 103, 95, 99, 111, 109, 112, 108, 101, 116, 105, 111, 110, 115, 0, 109, 101, 109,
    99, 103, 95, 99, 115, 115, 0, 98, 108, 107, 99, 103, 95, 99, 115, 115, 0, 109, 101, 109, 99,
    103, 95, 110, 111, 100, 101, 0, 98, 108, 107, 99, 103, 95, 110, 111, 100, 101, 0, 98, 100, 105,
    95, 119, 114, 105, 116, 101, 98, 97, 99, 107, 0, 119, 98, 95, 108, 105, 115, 116, 0, 99, 103,
    119, 98, 95, 116, 114, 101, 101, 0, 99, 103, 119, 98, 95, 114, 101, 108, 101, 97, 115, 101, 95,
    109, 117, 116, 101, 120, 0, 119, 98, 95, 115, 119, 105, 116, 99, 104, 95, 114, 119, 115, 101,
    109, 0, 119, 98, 95, 119, 97, 105, 116, 113, 0, 108, 97, 112, 116, 111, 112, 95, 109, 111, 100,
    101, 95, 119, 98, 95, 116, 105, 109, 101, 114, 0, 100, 101, 98, 117, 103, 95, 100, 105, 114, 0,
    98, 97, 99, 107, 105, 110, 103, 95, 100, 101, 118, 95, 105, 110, 102, 111, 0, 98, 100, 95, 102,
    115, 102, 114, 101, 101, 122, 101, 95, 99, 111, 117, 110, 116, 0, 98, 100, 95, 102, 115, 102,
    114, 101, 101, 122, 101, 95, 109, 117, 116, 101, 120, 0, 98, 108, 111, 99, 107, 95, 100, 101,
    118, 105, 99, 101, 0, 102, 109, 111, 100, 101, 95, 116, 0, 114, 119, 95, 112, 97, 103, 101, 0,
    99, 104, 101, 99, 107, 95, 101, 118, 101, 110, 116, 115, 0, 117, 110, 108, 111, 99, 107, 95,
    110, 97, 116, 105, 118, 101, 95, 99, 97, 112, 97, 99, 105, 116, 121, 0, 114, 101, 118, 97, 108,
    105, 100, 97, 116, 101, 95, 100, 105, 115, 107, 0, 103, 101, 116, 103, 101, 111, 0, 104, 101,
    97, 100, 115, 0, 99, 121, 108, 105, 110, 100, 101, 114, 115, 0, 104, 100, 95, 103, 101, 111,
    109, 101, 116, 114, 121, 0, 115, 119, 97, 112, 95, 115, 108, 111, 116, 95, 102, 114, 101, 101,
    95, 110, 111, 116, 105, 102, 121, 0, 114, 101, 112, 111, 114, 116, 95, 122, 111, 110, 101, 115,
    0, 119, 112, 0, 99, 111, 110, 100, 0, 110, 111, 110, 95, 115, 101, 113, 0, 114, 101, 115, 101,
    116, 0, 114, 101, 115, 118, 0, 98, 108, 107, 95, 122, 111, 110, 101, 0, 114, 101, 112, 111,
    114, 116, 95, 122, 111, 110, 101, 115, 95, 99, 98, 0, 112, 114, 95, 111, 112, 115, 0, 112, 114,
    95, 114, 101, 103, 105, 115, 116, 101, 114, 0, 112, 114, 95, 114, 101, 115, 101, 114, 118, 101,
    0, 80, 82, 95, 87, 82, 73, 84, 69, 95, 69, 88, 67, 76, 85, 83, 73, 86, 69, 0, 80, 82, 95, 69,
    88, 67, 76, 85, 83, 73, 86, 69, 95, 65, 67, 67, 69, 83, 83, 0, 80, 82, 95, 87, 82, 73, 84, 69,
    95, 69, 88, 67, 76, 85, 83, 73, 86, 69, 95, 82, 69, 71, 95, 79, 78, 76, 89, 0, 80, 82, 95, 69,
    88, 67, 76, 85, 83, 73, 86, 69, 95, 65, 67, 67, 69, 83, 83, 95, 82, 69, 71, 95, 79, 78, 76, 89,
    0, 80, 82, 95, 87, 82, 73, 84, 69, 95, 69, 88, 67, 76, 85, 83, 73, 86, 69, 95, 65, 76, 76, 95,
    82, 69, 71, 83, 0, 80, 82, 95, 69, 88, 67, 76, 85, 83, 73, 86, 69, 95, 65, 67, 67, 69, 83, 83,
    95, 65, 76, 76, 95, 82, 69, 71, 83, 0, 112, 114, 95, 116, 121, 112, 101, 0, 112, 114, 95, 114,
    101, 108, 101, 97, 115, 101, 0, 112, 114, 95, 112, 114, 101, 101, 109, 112, 116, 0, 112, 114,
    95, 99, 108, 101, 97, 114, 0, 98, 108, 111, 99, 107, 95, 100, 101, 118, 105, 99, 101, 95, 111,
    112, 101, 114, 97, 116, 105, 111, 110, 115, 0, 108, 97, 115, 116, 95, 109, 101, 114, 103, 101,
    0, 113, 0, 109, 113, 95, 99, 116, 120, 0, 114, 113, 95, 108, 105, 115, 116, 115, 0, 105, 110,
    100, 101, 120, 95, 104, 119, 0, 104, 99, 116, 120, 115, 0, 100, 105, 115, 112, 97, 116, 99,
    104, 0, 110, 101, 120, 116, 95, 99, 112, 117, 0, 110, 101, 120, 116, 95, 99, 112, 117, 95, 98,
    97, 116, 99, 104, 0, 115, 99, 104, 101, 100, 95, 100, 97, 116, 97, 0, 102, 113, 0, 102, 108,
    117, 115, 104, 95, 112, 101, 110, 100, 105, 110, 103, 95, 105, 100, 120, 0, 102, 108, 117, 115,
    104, 95, 114, 117, 110, 110, 105, 110, 103, 95, 105, 100, 120, 0, 114, 113, 95, 115, 116, 97,
    116, 117, 115, 0, 98, 108, 107, 95, 115, 116, 97, 116, 117, 115, 95, 116, 0, 102, 108, 117,
    115, 104, 95, 112, 101, 110, 100, 105, 110, 103, 95, 115, 105, 110, 99, 101, 0, 102, 108, 117,
    115, 104, 95, 113, 117, 101, 117, 101, 0, 102, 108, 117, 115, 104, 95, 100, 97, 116, 97, 95,
    105, 110, 95, 102, 108, 105, 103, 104, 116, 0, 102, 108, 117, 115, 104, 95, 114, 113, 0, 109,
    113, 95, 102, 108, 117, 115, 104, 95, 108, 111, 99, 107, 0, 98, 108, 107, 95, 102, 108, 117,
    115, 104, 95, 113, 117, 101, 117, 101, 0, 99, 116, 120, 95, 109, 97, 112, 0, 115, 104, 105,
    102, 116, 0, 109, 97, 112, 95, 110, 114, 0, 119, 111, 114, 100, 0, 99, 108, 101, 97, 114, 101,
    100, 0, 115, 119, 97, 112, 95, 108, 111, 99, 107, 0, 115, 98, 105, 116, 109, 97, 112, 95, 119,
    111, 114, 100, 0, 115, 98, 105, 116, 109, 97, 112, 0, 100, 105, 115, 112, 97, 116, 99, 104, 95,
    102, 114, 111, 109, 0, 100, 105, 115, 112, 97, 116, 99, 104, 95, 98, 117, 115, 121, 0, 110,
    114, 95, 99, 116, 120, 0, 99, 116, 120, 115, 0, 100, 105, 115, 112, 97, 116, 99, 104, 95, 119,
    97, 105, 116, 95, 108, 111, 99, 107, 0, 100, 105, 115, 112, 97, 116, 99, 104, 95, 119, 97, 105,
    116, 0, 119, 97, 105, 116, 95, 113, 117, 101, 117, 101, 95, 102, 117, 110, 99, 95, 116, 0, 119,
    97, 105, 116, 95, 113, 117, 101, 117, 101, 95, 101, 110, 116, 114, 121, 0, 119, 97, 105, 116,
    95, 113, 117, 101, 117, 101, 95, 101, 110, 116, 114, 121, 95, 116, 0, 119, 97, 105, 116, 95,
    105, 110, 100, 101, 120, 0, 116, 97, 103, 115, 0, 110, 114, 95, 116, 97, 103, 115, 0, 110, 114,
    95, 114, 101, 115, 101, 114, 118, 101, 100, 95, 116, 97, 103, 115, 0, 97, 99, 116, 105, 118,
    101, 95, 113, 117, 101, 117, 101, 115, 0, 98, 105, 116, 109, 97, 112, 95, 116, 97, 103, 115, 0,
    115, 98, 0, 97, 108, 108, 111, 99, 95, 104, 105, 110, 116, 0, 119, 97, 107, 101, 95, 98, 97,
    116, 99, 104, 0, 119, 97, 107, 101, 95, 105, 110, 100, 101, 120, 0, 119, 115, 0, 119, 97, 105,
    116, 95, 99, 110, 116, 0, 115, 98, 113, 95, 119, 97, 105, 116, 95, 115, 116, 97, 116, 101, 0,
    119, 115, 95, 97, 99, 116, 105, 118, 101, 0, 114, 111, 117, 110, 100, 95, 114, 111, 98, 105,
    110, 0, 109, 105, 110, 95, 115, 104, 97, 108, 108, 111, 119, 95, 100, 101, 112, 116, 104, 0,
    115, 98, 105, 116, 109, 97, 112, 95, 113, 117, 101, 117, 101, 0, 98, 114, 101, 115, 101, 114,
    118, 101, 100, 95, 116, 97, 103, 115, 0, 114, 113, 115, 0, 115, 116, 97, 116, 105, 99, 95, 114,
    113, 115, 0, 112, 97, 103, 101, 95, 108, 105, 115, 116, 0, 98, 108, 107, 95, 109, 113, 95, 116,
    97, 103, 115, 0, 115, 99, 104, 101, 100, 95, 116, 97, 103, 115, 0, 113, 117, 101, 117, 101,
    100, 0, 114, 117, 110, 0, 100, 105, 115, 112, 97, 116, 99, 104, 101, 100, 0, 113, 117, 101,
    117, 101, 95, 110, 117, 109, 0, 99, 112, 117, 104, 112, 95, 111, 110, 108, 105, 110, 101, 0,
    99, 112, 117, 104, 112, 95, 100, 101, 97, 100, 0, 112, 111, 108, 108, 95, 99, 111, 110, 115,
    105, 100, 101, 114, 101, 100, 0, 112, 111, 108, 108, 95, 105, 110, 118, 111, 107, 101, 100, 0,
    112, 111, 108, 108, 95, 115, 117, 99, 99, 101, 115, 115, 0, 100, 101, 98, 117, 103, 102, 115,
    95, 100, 105, 114, 0, 115, 99, 104, 101, 100, 95, 100, 101, 98, 117, 103, 102, 115, 95, 100,
    105, 114, 0, 104, 99, 116, 120, 95, 108, 105, 115, 116, 0, 115, 114, 99, 117, 0, 115, 114, 99,
    117, 95, 104, 97, 118, 101, 95, 99, 98, 115, 0, 115, 114, 99, 117, 95, 100, 97, 116, 97, 95,
    104, 97, 118, 101, 95, 99, 98, 115, 0, 115, 114, 99, 117, 95, 103, 112, 95, 115, 101, 113, 95,
    110, 101, 101, 100, 101, 100, 95, 101, 120, 112, 0, 115, 114, 99, 117, 95, 112, 97, 114, 101,
    110, 116, 0, 115, 114, 99, 117, 95, 110, 111, 100, 101, 0, 115, 114, 99, 117, 95, 99, 98, 95,
    109, 117, 116, 101, 120, 0, 115, 114, 99, 117, 95, 103, 112, 95, 109, 117, 116, 101, 120, 0,
    115, 114, 99, 117, 95, 105, 100, 120, 0, 115, 114, 99, 117, 95, 103, 112, 95, 115, 101, 113, 0,
    115, 114, 99, 117, 95, 103, 112, 95, 115, 101, 113, 95, 110, 101, 101, 100, 101, 100, 0, 115,
    114, 99, 117, 95, 108, 97, 115, 116, 95, 103, 112, 95, 101, 110, 100, 0, 115, 100, 97, 0, 115,
    114, 99, 117, 95, 108, 111, 99, 107, 95, 99, 111, 117, 110, 116, 0, 115, 114, 99, 117, 95, 117,
    110, 108, 111, 99, 107, 95, 99, 111, 117, 110, 116, 0, 115, 114, 99, 117, 95, 99, 98, 108, 105,
    115, 116, 0, 116, 97, 105, 108, 115, 0, 111, 102, 102, 108, 111, 97, 100, 101, 100, 0, 114, 99,
    117, 95, 115, 101, 103, 99, 98, 108, 105, 115, 116, 0, 115, 114, 99, 117, 95, 99, 98, 108, 105,
    115, 116, 95, 105, 110, 118, 111, 107, 105, 110, 103, 0, 100, 101, 108, 97, 121, 95, 119, 111,
    114, 107, 0, 115, 114, 99, 117, 95, 98, 97, 114, 114, 105, 101, 114, 95, 104, 101, 97, 100, 0,
    109, 121, 110, 111, 100, 101, 0, 115, 115, 112, 0, 115, 114, 99, 117, 95, 100, 97, 116, 97, 0,
    115, 114, 99, 117, 95, 98, 97, 114, 114, 105, 101, 114, 95, 115, 101, 113, 0, 115, 114, 99,
    117, 95, 98, 97, 114, 114, 105, 101, 114, 95, 109, 117, 116, 101, 120, 0, 115, 114, 99, 117,
    95, 98, 97, 114, 114, 105, 101, 114, 95, 99, 111, 109, 112, 108, 101, 116, 105, 111, 110, 0,
    115, 114, 99, 117, 95, 98, 97, 114, 114, 105, 101, 114, 95, 99, 112, 117, 95, 99, 110, 116, 0,
    115, 114, 99, 117, 95, 115, 116, 114, 117, 99, 116, 0, 98, 108, 107, 95, 109, 113, 95, 104,
    119, 95, 99, 116, 120, 0, 114, 113, 95, 100, 105, 115, 112, 97, 116, 99, 104, 101, 100, 0, 114,
    113, 95, 109, 101, 114, 103, 101, 100, 0, 114, 113, 95, 99, 111, 109, 112, 108, 101, 116, 101,
    100, 0, 113, 117, 101, 117, 101, 95, 99, 116, 120, 0, 98, 108, 107, 95, 109, 113, 95, 99, 116,
    120, 115, 0, 98, 108, 107, 95, 109, 113, 95, 99, 116, 120, 0, 109, 113, 95, 104, 99, 116, 120,
    0, 99, 109, 100, 95, 102, 108, 97, 103, 115, 0, 114, 101, 113, 95, 102, 108, 97, 103, 115, 95,
    116, 0, 105, 110, 116, 101, 114, 110, 97, 108, 95, 116, 97, 103, 0, 95, 95, 100, 97, 116, 97,
    95, 108, 101, 110, 0, 95, 95, 115, 101, 99, 116, 111, 114, 0, 98, 105, 111, 0, 98, 105, 111,
    116, 97, 105, 108, 0, 113, 117, 101, 117, 101, 108, 105, 115, 116, 0, 105, 112, 105, 95, 108,
    105, 115, 116, 0, 115, 112, 101, 99, 105, 97, 108, 95, 118, 101, 99, 0, 99, 111, 109, 112, 108,
    101, 116, 105, 111, 110, 95, 100, 97, 116, 97, 0, 101, 114, 114, 111, 114, 95, 99, 111, 117,
    110, 116, 0, 101, 108, 118, 0, 105, 99, 113, 0, 105, 111, 99, 0, 97, 99, 116, 105, 118, 101,
    95, 114, 101, 102, 0, 105, 111, 112, 114, 105, 111, 0, 110, 114, 95, 98, 97, 116, 99, 104, 95,
    114, 101, 113, 117, 101, 115, 116, 115, 0, 108, 97, 115, 116, 95, 119, 97, 105, 116, 101, 100,
    0, 105, 99, 113, 95, 116, 114, 101, 101, 0, 105, 99, 113, 95, 104, 105, 110, 116, 0, 105, 99,
    113, 95, 108, 105, 115, 116, 0, 105, 111, 95, 99, 111, 110, 116, 101, 120, 116, 0, 113, 95,
    110, 111, 100, 101, 0, 95, 95, 114, 99, 117, 95, 105, 99, 113, 95, 99, 97, 99, 104, 101, 0,
    105, 111, 99, 95, 110, 111, 100, 101, 0, 95, 95, 114, 99, 117, 95, 104, 101, 97, 100, 0, 105,
    111, 95, 99, 113, 0, 102, 108, 117, 115, 104, 0, 115, 97, 118, 101, 100, 95, 101, 110, 100, 95,
    105, 111, 0, 114, 113, 95, 101, 110, 100, 95, 105, 111, 95, 102, 110, 0, 114, 113, 95, 100,
    105, 115, 107, 0, 97, 108, 108, 111, 99, 95, 116, 105, 109, 101, 95, 110, 115, 0, 115, 116, 97,
    114, 116, 95, 116, 105, 109, 101, 95, 110, 115, 0, 105, 111, 95, 115, 116, 97, 114, 116, 95,
    116, 105, 109, 101, 95, 110, 115, 0, 119, 98, 116, 95, 102, 108, 97, 103, 115, 0, 115, 116, 97,
    116, 115, 95, 115, 101, 99, 116, 111, 114, 115, 0, 110, 114, 95, 112, 104, 121, 115, 95, 115,
    101, 103, 109, 101, 110, 116, 115, 0, 110, 114, 95, 105, 110, 116, 101, 103, 114, 105, 116,
    121, 95, 115, 101, 103, 109, 101, 110, 116, 115, 0, 99, 114, 121, 112, 116, 95, 99, 116, 120,
    0, 98, 99, 95, 107, 101, 121, 0, 99, 114, 121, 112, 116, 111, 95, 99, 102, 103, 0, 99, 114,
    121, 112, 116, 111, 95, 109, 111, 100, 101, 0, 66, 76, 75, 95, 69, 78, 67, 82, 89, 80, 84, 73,
    79, 78, 95, 77, 79, 68, 69, 95, 73, 78, 86, 65, 76, 73, 68, 0, 66, 76, 75, 95, 69, 78, 67, 82,
    89, 80, 84, 73, 79, 78, 95, 77, 79, 68, 69, 95, 65, 69, 83, 95, 50, 53, 54, 95, 88, 84, 83, 0,
    66, 76, 75, 95, 69, 78, 67, 82, 89, 80, 84, 73, 79, 78, 95, 77, 79, 68, 69, 95, 65, 69, 83, 95,
    49, 50, 56, 95, 67, 66, 67, 95, 69, 83, 83, 73, 86, 0, 66, 76, 75, 95, 69, 78, 67, 82, 89, 80,
    84, 73, 79, 78, 95, 77, 79, 68, 69, 95, 65, 68, 73, 65, 78, 84, 85, 77, 0, 66, 76, 75, 95, 69,
    78, 67, 82, 89, 80, 84, 73, 79, 78, 95, 77, 79, 68, 69, 95, 77, 65, 88, 0, 98, 108, 107, 95,
    99, 114, 121, 112, 116, 111, 95, 109, 111, 100, 101, 95, 110, 117, 109, 0, 100, 97, 116, 97,
    95, 117, 110, 105, 116, 95, 115, 105, 122, 101, 0, 100, 117, 110, 95, 98, 121, 116, 101, 115,
    0, 98, 108, 107, 95, 99, 114, 121, 112, 116, 111, 95, 99, 111, 110, 102, 105, 103, 0, 100, 97,
    116, 97, 95, 117, 110, 105, 116, 95, 115, 105, 122, 101, 95, 98, 105, 116, 115, 0, 98, 108,
    107, 95, 99, 114, 121, 112, 116, 111, 95, 107, 101, 121, 0, 98, 99, 95, 100, 117, 110, 0, 98,
    105, 111, 95, 99, 114, 121, 112, 116, 95, 99, 116, 120, 0, 99, 114, 121, 112, 116, 95, 107,
    101, 121, 115, 108, 111, 116, 0, 115, 108, 111, 116, 95, 114, 101, 102, 115, 0, 105, 100, 108,
    101, 95, 115, 108, 111, 116, 95, 110, 111, 100, 101, 0, 107, 115, 109, 0, 107, 115, 109, 95,
    108, 108, 95, 111, 112, 115, 0, 107, 101, 121, 115, 108, 111, 116, 95, 112, 114, 111, 103, 114,
    97, 109, 0, 107, 101, 121, 115, 108, 111, 116, 95, 101, 118, 105, 99, 116, 0, 98, 108, 107, 95,
    107, 115, 109, 95, 108, 108, 95, 111, 112, 115, 0, 109, 97, 120, 95, 100, 117, 110, 95, 98,
    121, 116, 101, 115, 95, 115, 117, 112, 112, 111, 114, 116, 101, 100, 0, 99, 114, 121, 112, 116,
    111, 95, 109, 111, 100, 101, 115, 95, 115, 117, 112, 112, 111, 114, 116, 101, 100, 0, 110, 117,
    109, 95, 115, 108, 111, 116, 115, 0, 105, 100, 108, 101, 95, 115, 108, 111, 116, 115, 95, 119,
    97, 105, 116, 95, 113, 117, 101, 117, 101, 0, 105, 100, 108, 101, 95, 115, 108, 111, 116, 115,
    0, 105, 100, 108, 101, 95, 115, 108, 111, 116, 115, 95, 108, 111, 99, 107, 0, 115, 108, 111,
    116, 95, 104, 97, 115, 104, 116, 97, 98, 108, 101, 0, 108, 111, 103, 95, 115, 108, 111, 116,
    95, 104, 116, 95, 115, 105, 122, 101, 0, 98, 108, 107, 95, 107, 101, 121, 115, 108, 111, 116,
    95, 109, 97, 110, 97, 103, 101, 114, 0, 98, 108, 107, 95, 107, 115, 109, 95, 107, 101, 121,
    115, 108, 111, 116, 0, 119, 114, 105, 116, 101, 95, 104, 105, 110, 116, 0, 77, 81, 95, 82, 81,
    95, 73, 68, 76, 69, 0, 77, 81, 95, 82, 81, 95, 73, 78, 95, 70, 76, 73, 71, 72, 84, 0, 77, 81,
    95, 82, 81, 95, 67, 79, 77, 80, 76, 69, 84, 69, 0, 109, 113, 95, 114, 113, 95, 115, 116, 97,
    116, 101, 0, 99, 115, 100, 0, 102, 105, 102, 111, 95, 116, 105, 109, 101, 0, 101, 110, 100, 95,
    105, 111, 0, 101, 110, 100, 95, 105, 111, 95, 100, 97, 116, 97, 0, 101, 108, 101, 118, 97, 116,
    111, 114, 0, 105, 99, 113, 95, 99, 97, 99, 104, 101, 0, 105, 110, 105, 116, 95, 115, 99, 104,
    101, 100, 0, 101, 120, 105, 116, 95, 115, 99, 104, 101, 100, 0, 105, 110, 105, 116, 95, 104,
    99, 116, 120, 0, 101, 120, 105, 116, 95, 104, 99, 116, 120, 0, 100, 101, 112, 116, 104, 95,
    117, 112, 100, 97, 116, 101, 100, 0, 97, 108, 108, 111, 119, 95, 109, 101, 114, 103, 101, 0,
    98, 105, 111, 95, 109, 101, 114, 103, 101, 0, 114, 101, 113, 117, 101, 115, 116, 95, 109, 101,
    114, 103, 101, 0, 114, 101, 113, 117, 101, 115, 116, 95, 109, 101, 114, 103, 101, 100, 0, 69,
    76, 69, 86, 65, 84, 79, 82, 95, 78, 79, 95, 77, 69, 82, 71, 69, 0, 69, 76, 69, 86, 65, 84, 79,
    82, 95, 70, 82, 79, 78, 84, 95, 77, 69, 82, 71, 69, 0, 69, 76, 69, 86, 65, 84, 79, 82, 95, 66,
    65, 67, 75, 95, 77, 69, 82, 71, 69, 0, 69, 76, 69, 86, 65, 84, 79, 82, 95, 68, 73, 83, 67, 65,
    82, 68, 95, 77, 69, 82, 71, 69, 0, 101, 108, 118, 95, 109, 101, 114, 103, 101, 0, 114, 101,
    113, 117, 101, 115, 116, 115, 95, 109, 101, 114, 103, 101, 100, 0, 108, 105, 109, 105, 116, 95,
    100, 101, 112, 116, 104, 0, 98, 108, 107, 95, 109, 113, 95, 114, 101, 113, 95, 102, 108, 97,
    103, 115, 95, 116, 0, 115, 104, 97, 108, 108, 111, 119, 95, 100, 101, 112, 116, 104, 0, 99,
    116, 120, 0, 104, 99, 116, 120, 0, 98, 108, 107, 95, 109, 113, 95, 97, 108, 108, 111, 99, 95,
    100, 97, 116, 97, 0, 112, 114, 101, 112, 97, 114, 101, 95, 114, 101, 113, 117, 101, 115, 116,
    0, 102, 105, 110, 105, 115, 104, 95, 114, 101, 113, 117, 101, 115, 116, 0, 105, 110, 115, 101,
    114, 116, 95, 114, 101, 113, 117, 101, 115, 116, 115, 0, 100, 105, 115, 112, 97, 116, 99, 104,
    95, 114, 101, 113, 117, 101, 115, 116, 0, 104, 97, 115, 95, 119, 111, 114, 107, 0, 99, 111,
    109, 112, 108, 101, 116, 101, 100, 95, 114, 101, 113, 117, 101, 115, 116, 0, 114, 101, 113,
    117, 101, 117, 101, 95, 114, 101, 113, 117, 101, 115, 116, 0, 102, 111, 114, 109, 101, 114, 95,
    114, 101, 113, 117, 101, 115, 116, 0, 110, 101, 120, 116, 95, 114, 101, 113, 117, 101, 115,
    116, 0, 105, 110, 105, 116, 95, 105, 99, 113, 0, 101, 120, 105, 116, 95, 105, 99, 113, 0, 101,
    108, 101, 118, 97, 116, 111, 114, 95, 109, 113, 95, 111, 112, 115, 0, 105, 99, 113, 95, 115,
    105, 122, 101, 0, 105, 99, 113, 95, 97, 108, 105, 103, 110, 0, 101, 108, 101, 118, 97, 116,
    111, 114, 95, 97, 116, 116, 114, 115, 0, 101, 108, 118, 95, 102, 115, 95, 101, 110, 116, 114,
    121, 0, 101, 108, 101, 118, 97, 116, 111, 114, 95, 110, 97, 109, 101, 0, 101, 108, 101, 118,
    97, 116, 111, 114, 95, 97, 108, 105, 97, 115, 0, 101, 108, 101, 118, 97, 116, 111, 114, 95,
    102, 101, 97, 116, 117, 114, 101, 115, 0, 101, 108, 101, 118, 97, 116, 111, 114, 95, 111, 119,
    110, 101, 114, 0, 113, 117, 101, 117, 101, 95, 100, 101, 98, 117, 103, 102, 115, 95, 97, 116,
    116, 114, 115, 0, 98, 108, 107, 95, 109, 113, 95, 100, 101, 98, 117, 103, 102, 115, 95, 97,
    116, 116, 114, 0, 104, 99, 116, 120, 95, 100, 101, 98, 117, 103, 102, 115, 95, 97, 116, 116,
    114, 115, 0, 105, 99, 113, 95, 99, 97, 99, 104, 101, 95, 110, 97, 109, 101, 0, 101, 108, 101,
    118, 97, 116, 111, 114, 95, 116, 121, 112, 101, 0, 101, 108, 101, 118, 97, 116, 111, 114, 95,
    100, 97, 116, 97, 0, 115, 121, 115, 102, 115, 95, 108, 111, 99, 107, 0, 101, 108, 101, 118, 97,
    116, 111, 114, 95, 113, 117, 101, 117, 101, 0, 99, 97, 108, 108, 98, 97, 99, 107, 115, 0, 101,
    110, 97, 98, 108, 101, 95, 97, 99, 99, 111, 117, 110, 116, 105, 110, 103, 0, 98, 108, 107, 95,
    113, 117, 101, 117, 101, 95, 115, 116, 97, 116, 115, 0, 114, 113, 95, 113, 111, 115, 0, 116,
    114, 97, 99, 107, 0, 109, 101, 114, 103, 101, 0, 105, 115, 115, 117, 101, 0, 114, 101, 113,
    117, 101, 117, 101, 0, 100, 111, 110, 101, 95, 98, 105, 111, 0, 113, 117, 101, 117, 101, 95,
    100, 101, 112, 116, 104, 95, 99, 104, 97, 110, 103, 101, 100, 0, 100, 101, 98, 117, 103, 102,
    115, 95, 97, 116, 116, 114, 115, 0, 114, 113, 95, 113, 111, 115, 95, 111, 112, 115, 0, 82, 81,
    95, 81, 79, 83, 95, 87, 66, 84, 0, 82, 81, 95, 81, 79, 83, 95, 76, 65, 84, 69, 78, 67, 89, 0,
    82, 81, 95, 81, 79, 83, 95, 67, 79, 83, 84, 0, 114, 113, 95, 113, 111, 115, 95, 105, 100, 0,
    109, 113, 95, 111, 112, 115, 0, 113, 117, 101, 117, 101, 95, 114, 113, 0, 98, 108, 107, 95,
    109, 113, 95, 113, 117, 101, 117, 101, 95, 100, 97, 116, 97, 0, 99, 111, 109, 109, 105, 116,
    95, 114, 113, 115, 0, 103, 101, 116, 95, 98, 117, 100, 103, 101, 116, 0, 112, 117, 116, 95, 98,
    117, 100, 103, 101, 116, 0, 66, 76, 75, 95, 69, 72, 95, 68, 79, 78, 69, 0, 66, 76, 75, 95, 69,
    72, 95, 82, 69, 83, 69, 84, 95, 84, 73, 77, 69, 82, 0, 98, 108, 107, 95, 101, 104, 95, 116,
    105, 109, 101, 114, 95, 114, 101, 116, 117, 114, 110, 0, 105, 110, 105, 116, 95, 114, 101, 113,
    117, 101, 115, 116, 0, 109, 113, 95, 109, 97, 112, 0, 110, 114, 95, 113, 117, 101, 117, 101,
    115, 0, 113, 117, 101, 117, 101, 95, 111, 102, 102, 115, 101, 116, 0, 98, 108, 107, 95, 109,
    113, 95, 113, 117, 101, 117, 101, 95, 109, 97, 112, 0, 110, 114, 95, 109, 97, 112, 115, 0, 110,
    114, 95, 104, 119, 95, 113, 117, 101, 117, 101, 115, 0, 113, 117, 101, 117, 101, 95, 100, 101,
    112, 116, 104, 0, 114, 101, 115, 101, 114, 118, 101, 100, 95, 116, 97, 103, 115, 0, 99, 109,
    100, 95, 115, 105, 122, 101, 0, 116, 97, 103, 95, 108, 105, 115, 116, 95, 108, 111, 99, 107, 0,
    116, 97, 103, 95, 108, 105, 115, 116, 0, 98, 108, 107, 95, 109, 113, 95, 116, 97, 103, 95, 115,
    101, 116, 0, 101, 120, 105, 116, 95, 114, 101, 113, 117, 101, 115, 116, 0, 105, 110, 105, 116,
    105, 97, 108, 105, 122, 101, 95, 114, 113, 95, 102, 110, 0, 99, 108, 101, 97, 110, 117, 112,
    95, 114, 113, 0, 109, 97, 112, 95, 113, 117, 101, 117, 101, 115, 0, 115, 104, 111, 119, 95,
    114, 113, 0, 98, 108, 107, 95, 109, 113, 95, 111, 112, 115, 0, 113, 117, 101, 117, 101, 95,
    104, 119, 95, 99, 116, 120, 0, 113, 117, 101, 117, 101, 100, 97, 116, 97, 0, 113, 117, 101,
    117, 101, 95, 102, 108, 97, 103, 115, 0, 112, 109, 95, 111, 110, 108, 121, 0, 98, 111, 117,
    110, 99, 101, 95, 103, 102, 112, 0, 113, 117, 101, 117, 101, 95, 108, 111, 99, 107, 0, 109,
    113, 95, 107, 111, 98, 106, 0, 105, 110, 116, 101, 103, 114, 105, 116, 121, 0, 112, 114, 111,
    102, 105, 108, 101, 0, 103, 101, 110, 101, 114, 97, 116, 101, 95, 102, 110, 0, 112, 114, 111,
    116, 95, 98, 117, 102, 0, 100, 97, 116, 97, 95, 98, 117, 102, 0, 115, 101, 101, 100, 0, 98,
    108, 107, 95, 105, 110, 116, 101, 103, 114, 105, 116, 121, 95, 105, 116, 101, 114, 0, 105, 110,
    116, 101, 103, 114, 105, 116, 121, 95, 112, 114, 111, 99, 101, 115, 115, 105, 110, 103, 95,
    102, 110, 0, 118, 101, 114, 105, 102, 121, 95, 102, 110, 0, 112, 114, 101, 112, 97, 114, 101,
    95, 102, 110, 0, 105, 110, 116, 101, 103, 114, 105, 116, 121, 95, 112, 114, 101, 112, 97, 114,
    101, 95, 102, 110, 0, 99, 111, 109, 112, 108, 101, 116, 101, 95, 102, 110, 0, 105, 110, 116,
    101, 103, 114, 105, 116, 121, 95, 99, 111, 109, 112, 108, 101, 116, 101, 95, 102, 110, 0, 98,
    108, 107, 95, 105, 110, 116, 101, 103, 114, 105, 116, 121, 95, 112, 114, 111, 102, 105, 108,
    101, 0, 116, 117, 112, 108, 101, 95, 115, 105, 122, 101, 0, 105, 110, 116, 101, 114, 118, 97,
    108, 95, 101, 120, 112, 0, 116, 97, 103, 95, 115, 105, 122, 101, 0, 98, 108, 107, 95, 105, 110,
    116, 101, 103, 114, 105, 116, 121, 0, 110, 114, 95, 112, 101, 110, 100, 105, 110, 103, 0, 110,
    114, 95, 114, 101, 113, 117, 101, 115, 116, 115, 0, 100, 109, 97, 95, 112, 97, 100, 95, 109,
    97, 115, 107, 0, 100, 109, 97, 95, 97, 108, 105, 103, 110, 109, 101, 110, 116, 0, 114, 113, 95,
    116, 105, 109, 101, 111, 117, 116, 0, 112, 111, 108, 108, 95, 110, 115, 101, 99, 0, 112, 111,
    108, 108, 95, 99, 98, 0, 99, 112, 117, 95, 115, 116, 97, 116, 0, 109, 101, 97, 110, 0, 110,
    114, 95, 115, 97, 109, 112, 108, 101, 115, 0, 98, 108, 107, 95, 114, 113, 95, 115, 116, 97,
    116, 0, 98, 117, 99, 107, 101, 116, 95, 102, 110, 0, 116, 105, 109, 101, 114, 95, 102, 110, 0,
    98, 108, 107, 95, 115, 116, 97, 116, 95, 99, 97, 108, 108, 98, 97, 99, 107, 0, 112, 111, 108,
    108, 95, 115, 116, 97, 116, 0, 116, 105, 109, 101, 111, 117, 116, 95, 119, 111, 114, 107, 0,
    98, 108, 107, 99, 103, 95, 112, 111, 108, 115, 0, 114, 111, 111, 116, 95, 98, 108, 107, 103, 0,
    98, 108, 107, 99, 103, 0, 111, 110, 108, 105, 110, 101, 95, 112, 105, 110, 0, 98, 108, 107,
    103, 95, 116, 114, 101, 101, 0, 98, 108, 107, 103, 95, 104, 105, 110, 116, 0, 98, 108, 107,
    103, 95, 108, 105, 115, 116, 0, 99, 112, 100, 0, 112, 108, 105, 100, 0, 98, 108, 107, 99, 103,
    95, 112, 111, 108, 105, 99, 121, 95, 100, 97, 116, 97, 0, 97, 108, 108, 95, 98, 108, 107, 99,
    103, 115, 95, 110, 111, 100, 101, 0, 99, 103, 119, 98, 95, 108, 105, 115, 116, 0, 105, 111,
    115, 116, 97, 116, 95, 99, 112, 117, 0, 99, 117, 114, 0, 98, 108, 107, 103, 95, 105, 111, 115,
    116, 97, 116, 0, 98, 108, 107, 103, 95, 105, 111, 115, 116, 97, 116, 95, 115, 101, 116, 0, 105,
    111, 115, 116, 97, 116, 0, 98, 108, 107, 103, 0, 98, 108, 107, 103, 95, 112, 111, 108, 105, 99,
    121, 95, 100, 97, 116, 97, 0, 97, 115, 121, 110, 99, 95, 98, 105, 111, 95, 108, 111, 99, 107,
    0, 97, 115, 121, 110, 99, 95, 98, 105, 111, 115, 0, 97, 115, 121, 110, 99, 95, 98, 105, 111,
    95, 119, 111, 114, 107, 0, 117, 115, 101, 95, 100, 101, 108, 97, 121, 0, 100, 101, 108, 97,
    121, 95, 110, 115, 101, 99, 0, 100, 101, 108, 97, 121, 95, 115, 116, 97, 114, 116, 0, 108, 97,
    115, 116, 95, 100, 101, 108, 97, 121, 0, 108, 97, 115, 116, 95, 117, 115, 101, 0, 98, 108, 107,
    99, 103, 95, 103, 113, 0, 108, 105, 109, 105, 116, 115, 0, 98, 111, 117, 110, 99, 101, 95, 112,
    102, 110, 0, 115, 101, 103, 95, 98, 111, 117, 110, 100, 97, 114, 121, 95, 109, 97, 115, 107, 0,
    118, 105, 114, 116, 95, 98, 111, 117, 110, 100, 97, 114, 121, 95, 109, 97, 115, 107, 0, 109,
    97, 120, 95, 104, 119, 95, 115, 101, 99, 116, 111, 114, 115, 0, 109, 97, 120, 95, 100, 101,
    118, 95, 115, 101, 99, 116, 111, 114, 115, 0, 99, 104, 117, 110, 107, 95, 115, 101, 99, 116,
    111, 114, 115, 0, 109, 97, 120, 95, 115, 101, 99, 116, 111, 114, 115, 0, 112, 104, 121, 115,
    105, 99, 97, 108, 95, 98, 108, 111, 99, 107, 95, 115, 105, 122, 101, 0, 108, 111, 103, 105, 99,
    97, 108, 95, 98, 108, 111, 99, 107, 95, 115, 105, 122, 101, 0, 105, 111, 95, 109, 105, 110, 0,
    105, 111, 95, 111, 112, 116, 0, 109, 97, 120, 95, 100, 105, 115, 99, 97, 114, 100, 95, 115,
    101, 99, 116, 111, 114, 115, 0, 109, 97, 120, 95, 104, 119, 95, 100, 105, 115, 99, 97, 114,
    100, 95, 115, 101, 99, 116, 111, 114, 115, 0, 109, 97, 120, 95, 119, 114, 105, 116, 101, 95,
    115, 97, 109, 101, 95, 115, 101, 99, 116, 111, 114, 115, 0, 109, 97, 120, 95, 119, 114, 105,
    116, 101, 95, 122, 101, 114, 111, 101, 115, 95, 115, 101, 99, 116, 111, 114, 115, 0, 109, 97,
    120, 95, 122, 111, 110, 101, 95, 97, 112, 112, 101, 110, 100, 95, 115, 101, 99, 116, 111, 114,
    115, 0, 100, 105, 115, 99, 97, 114, 100, 95, 103, 114, 97, 110, 117, 108, 97, 114, 105, 116,
    121, 0, 109, 97, 120, 95, 115, 101, 103, 109, 101, 110, 116, 115, 0, 109, 97, 120, 95, 105,
    110, 116, 101, 103, 114, 105, 116, 121, 95, 115, 101, 103, 109, 101, 110, 116, 115, 0, 109, 97,
    120, 95, 100, 105, 115, 99, 97, 114, 100, 95, 115, 101, 103, 109, 101, 110, 116, 115, 0, 109,
    105, 115, 97, 108, 105, 103, 110, 101, 100, 0, 100, 105, 115, 99, 97, 114, 100, 95, 109, 105,
    115, 97, 108, 105, 103, 110, 101, 100, 0, 114, 97, 105, 100, 95, 112, 97, 114, 116, 105, 97,
    108, 95, 115, 116, 114, 105, 112, 101, 115, 95, 101, 120, 112, 101, 110, 115, 105, 118, 101, 0,
    122, 111, 110, 101, 100, 0, 66, 76, 75, 95, 90, 79, 78, 69, 68, 95, 78, 79, 78, 69, 0, 66, 76,
    75, 95, 90, 79, 78, 69, 68, 95, 72, 65, 0, 66, 76, 75, 95, 90, 79, 78, 69, 68, 95, 72, 77, 0,
    98, 108, 107, 95, 122, 111, 110, 101, 100, 95, 109, 111, 100, 101, 108, 0, 113, 117, 101, 117,
    101, 95, 108, 105, 109, 105, 116, 115, 0, 114, 101, 113, 117, 105, 114, 101, 100, 95, 101, 108,
    101, 118, 97, 116, 111, 114, 95, 102, 101, 97, 116, 117, 114, 101, 115, 0, 110, 114, 95, 122,
    111, 110, 101, 115, 0, 99, 111, 110, 118, 95, 122, 111, 110, 101, 115, 95, 98, 105, 116, 109,
    97, 112, 0, 115, 101, 113, 95, 122, 111, 110, 101, 115, 95, 119, 108, 111, 99, 107, 0, 109, 97,
    120, 95, 111, 112, 101, 110, 95, 122, 111, 110, 101, 115, 0, 109, 97, 120, 95, 97, 99, 116,
    105, 118, 101, 95, 122, 111, 110, 101, 115, 0, 115, 103, 95, 116, 105, 109, 101, 111, 117, 116,
    0, 115, 103, 95, 114, 101, 115, 101, 114, 118, 101, 100, 95, 115, 105, 122, 101, 0, 100, 101,
    98, 117, 103, 102, 115, 95, 109, 117, 116, 101, 120, 0, 98, 108, 107, 95, 116, 114, 97, 99,
    101, 0, 116, 114, 97, 99, 101, 95, 115, 116, 97, 116, 101, 0, 114, 99, 104, 97, 110, 0, 115,
    117, 98, 98, 117, 102, 95, 115, 105, 122, 101, 0, 110, 95, 115, 117, 98, 98, 117, 102, 115, 0,
    97, 108, 108, 111, 99, 95, 115, 105, 122, 101, 0, 99, 98, 0, 115, 117, 98, 98, 117, 102, 95,
    115, 116, 97, 114, 116, 0, 115, 117, 98, 98, 117, 102, 115, 95, 112, 114, 111, 100, 117, 99,
    101, 100, 0, 115, 117, 98, 98, 117, 102, 115, 95, 99, 111, 110, 115, 117, 109, 101, 100, 0, 99,
    104, 97, 110, 0, 119, 97, 107, 101, 117, 112, 95, 119, 111, 114, 107, 0, 112, 97, 103, 101, 95,
    97, 114, 114, 97, 121, 0, 112, 97, 103, 101, 95, 99, 111, 117, 110, 116, 0, 102, 105, 110, 97,
    108, 105, 122, 101, 100, 0, 112, 114, 101, 118, 95, 112, 97, 100, 100, 105, 110, 103, 0, 98,
    121, 116, 101, 115, 95, 99, 111, 110, 115, 117, 109, 101, 100, 0, 101, 97, 114, 108, 121, 95,
    98, 121, 116, 101, 115, 0, 114, 99, 104, 97, 110, 95, 98, 117, 102, 0, 98, 117, 102, 95, 109,
    97, 112, 112, 101, 100, 0, 98, 117, 102, 95, 117, 110, 109, 97, 112, 112, 101, 100, 0, 99, 114,
    101, 97, 116, 101, 95, 98, 117, 102, 95, 102, 105, 108, 101, 0, 114, 101, 109, 111, 118, 101,
    95, 98, 117, 102, 95, 102, 105, 108, 101, 0, 114, 99, 104, 97, 110, 95, 99, 97, 108, 108, 98,
    97, 99, 107, 115, 0, 108, 97, 115, 116, 95, 116, 111, 111, 98, 105, 103, 0, 105, 115, 95, 103,
    108, 111, 98, 97, 108, 0, 104, 97, 115, 95, 98, 97, 115, 101, 95, 102, 105, 108, 101, 110, 97,
    109, 101, 0, 98, 97, 115, 101, 95, 102, 105, 108, 101, 110, 97, 109, 101, 0, 109, 115, 103, 95,
    100, 97, 116, 97, 0, 97, 99, 116, 95, 109, 97, 115, 107, 0, 115, 116, 97, 114, 116, 95, 108,
    98, 97, 0, 101, 110, 100, 95, 108, 98, 97, 0, 100, 114, 111, 112, 112, 101, 100, 95, 102, 105,
    108, 101, 0, 109, 115, 103, 95, 102, 105, 108, 101, 0, 114, 117, 110, 110, 105, 110, 103, 95,
    108, 105, 115, 116, 0, 100, 114, 111, 112, 112, 101, 100, 0, 114, 101, 113, 117, 101, 117, 101,
    95, 108, 105, 115, 116, 0, 114, 101, 113, 117, 101, 117, 101, 95, 108, 111, 99, 107, 0, 114,
    101, 113, 117, 101, 117, 101, 95, 119, 111, 114, 107, 0, 115, 121, 115, 102, 115, 95, 100, 105,
    114, 95, 108, 111, 99, 107, 0, 117, 110, 117, 115, 101, 100, 95, 104, 99, 116, 120, 95, 108,
    105, 115, 116, 0, 117, 110, 117, 115, 101, 100, 95, 104, 99, 116, 120, 95, 108, 111, 99, 107,
    0, 109, 113, 95, 102, 114, 101, 101, 122, 101, 95, 100, 101, 112, 116, 104, 0, 98, 115, 103,
    95, 100, 101, 118, 0, 99, 108, 97, 115, 115, 95, 100, 101, 118, 0, 109, 105, 110, 111, 114, 0,
    99, 104, 101, 99, 107, 95, 112, 114, 111, 116, 111, 0, 103, 117, 97, 114, 100, 0, 115, 117, 98,
    112, 114, 111, 116, 111, 99, 111, 108, 0, 114, 101, 113, 117, 101, 115, 116, 95, 108, 101, 110,
    0, 114, 101, 113, 117, 101, 115, 116, 95, 116, 97, 103, 0, 114, 101, 113, 117, 101, 115, 116,
    95, 97, 116, 116, 114, 0, 114, 101, 113, 117, 101, 115, 116, 95, 112, 114, 105, 111, 114, 105,
    116, 121, 0, 114, 101, 113, 117, 101, 115, 116, 95, 101, 120, 116, 114, 97, 0, 109, 97, 120,
    95, 114, 101, 115, 112, 111, 110, 115, 101, 95, 108, 101, 110, 0, 114, 101, 115, 112, 111, 110,
    115, 101, 0, 100, 111, 117, 116, 95, 105, 111, 118, 101, 99, 95, 99, 111, 117, 110, 116, 0,
    100, 111, 117, 116, 95, 120, 102, 101, 114, 95, 108, 101, 110, 0, 100, 105, 110, 95, 105, 111,
    118, 101, 99, 95, 99, 111, 117, 110, 116, 0, 100, 105, 110, 95, 120, 102, 101, 114, 95, 108,
    101, 110, 0, 100, 111, 117, 116, 95, 120, 102, 101, 114, 112, 0, 100, 105, 110, 95, 120, 102,
    101, 114, 112, 0, 117, 115, 114, 95, 112, 116, 114, 0, 115, 112, 97, 114, 101, 95, 105, 110, 0,
    100, 114, 105, 118, 101, 114, 95, 115, 116, 97, 116, 117, 115, 0, 116, 114, 97, 110, 115, 112,
    111, 114, 116, 95, 115, 116, 97, 116, 117, 115, 0, 100, 101, 118, 105, 99, 101, 95, 115, 116,
    97, 116, 117, 115, 0, 114, 101, 116, 114, 121, 95, 100, 101, 108, 97, 121, 0, 114, 101, 115,
    112, 111, 110, 115, 101, 95, 108, 101, 110, 0, 100, 105, 110, 95, 114, 101, 115, 105, 100, 0,
    100, 111, 117, 116, 95, 114, 101, 115, 105, 100, 0, 103, 101, 110, 101, 114, 97, 116, 101, 100,
    95, 116, 97, 103, 0, 115, 112, 97, 114, 101, 95, 111, 117, 116, 0, 115, 103, 95, 105, 111, 95,
    118, 52, 0, 102, 105, 108, 108, 95, 104, 100, 114, 0, 99, 111, 109, 112, 108, 101, 116, 101,
    95, 114, 113, 0, 102, 114, 101, 101, 95, 114, 113, 0, 98, 115, 103, 95, 111, 112, 115, 0, 98,
    115, 103, 95, 99, 108, 97, 115, 115, 95, 100, 101, 118, 105, 99, 101, 0, 116, 100, 0, 115, 101,
    114, 118, 105, 99, 101, 95, 113, 117, 101, 117, 101, 0, 112, 97, 114, 101, 110, 116, 95, 115,
    113, 0, 110, 114, 95, 113, 117, 101, 117, 101, 100, 0, 112, 101, 110, 100, 105, 110, 103, 95,
    116, 114, 101, 101, 0, 102, 105, 114, 115, 116, 95, 112, 101, 110, 100, 105, 110, 103, 95, 100,
    105, 115, 112, 116, 105, 109, 101, 0, 112, 101, 110, 100, 105, 110, 103, 95, 116, 105, 109,
    101, 114, 0, 116, 104, 114, 111, 116, 108, 95, 115, 101, 114, 118, 105, 99, 101, 95, 113, 117,
    101, 117, 101, 0, 116, 104, 114, 111, 116, 108, 95, 115, 108, 105, 99, 101, 0, 100, 105, 115,
    112, 97, 116, 99, 104, 95, 119, 111, 114, 107, 0, 108, 105, 109, 105, 116, 95, 105, 110, 100,
    101, 120, 0, 108, 105, 109, 105, 116, 95, 118, 97, 108, 105, 100, 0, 108, 111, 119, 95, 117,
    112, 103, 114, 97, 100, 101, 95, 116, 105, 109, 101, 0, 108, 111, 119, 95, 100, 111, 119, 110,
    103, 114, 97, 100, 101, 95, 116, 105, 109, 101, 0, 115, 99, 97, 108, 101, 0, 116, 109, 112, 95,
    98, 117, 99, 107, 101, 116, 115, 0, 116, 111, 116, 97, 108, 95, 108, 97, 116, 101, 110, 99,
    121, 0, 115, 97, 109, 112, 108, 101, 115, 0, 108, 97, 116, 101, 110, 99, 121, 95, 98, 117, 99,
    107, 101, 116, 0, 97, 118, 103, 95, 98, 117, 99, 107, 101, 116, 115, 0, 108, 97, 116, 101, 110,
    99, 121, 0, 97, 118, 103, 95, 108, 97, 116, 101, 110, 99, 121, 95, 98, 117, 99, 107, 101, 116,
    0, 108, 97, 116, 101, 110, 99, 121, 95, 98, 117, 99, 107, 101, 116, 115, 0, 108, 97, 115, 116,
    95, 99, 97, 108, 99, 117, 108, 97, 116, 101, 95, 116, 105, 109, 101, 0, 102, 105, 108, 116,
    101, 114, 101, 100, 95, 108, 97, 116, 101, 110, 99, 121, 0, 116, 114, 97, 99, 107, 95, 98, 105,
    111, 95, 108, 97, 116, 101, 110, 99, 121, 0, 116, 104, 114, 111, 116, 108, 95, 100, 97, 116,
    97, 0, 109, 113, 95, 102, 114, 101, 101, 122, 101, 95, 119, 113, 0, 109, 113, 95, 102, 114,
    101, 101, 122, 101, 95, 108, 111, 99, 107, 0, 113, 95, 117, 115, 97, 103, 101, 95, 99, 111,
    117, 110, 116, 101, 114, 0, 116, 97, 103, 95, 115, 101, 116, 0, 116, 97, 103, 95, 115, 101,
    116, 95, 108, 105, 115, 116, 0, 98, 105, 111, 95, 115, 112, 108, 105, 116, 0, 98, 105, 111, 95,
    115, 108, 97, 98, 0, 102, 114, 111, 110, 116, 95, 112, 97, 100, 0, 98, 105, 111, 95, 112, 111,
    111, 108, 0, 109, 105, 110, 95, 110, 114, 0, 99, 117, 114, 114, 95, 110, 114, 0, 112, 111, 111,
    108, 95, 100, 97, 116, 97, 0, 109, 101, 109, 112, 111, 111, 108, 95, 97, 108, 108, 111, 99, 95,
    116, 0, 109, 101, 109, 112, 111, 111, 108, 95, 102, 114, 101, 101, 95, 116, 0, 109, 101, 109,
    112, 111, 111, 108, 95, 115, 0, 109, 101, 109, 112, 111, 111, 108, 95, 116, 0, 98, 118, 101,
    99, 95, 112, 111, 111, 108, 0, 98, 105, 111, 95, 105, 110, 116, 101, 103, 114, 105, 116, 121,
    95, 112, 111, 111, 108, 0, 98, 118, 101, 99, 95, 105, 110, 116, 101, 103, 114, 105, 116, 121,
    95, 112, 111, 111, 108, 0, 114, 101, 115, 99, 117, 101, 95, 108, 111, 99, 107, 0, 114, 101,
    115, 99, 117, 101, 95, 108, 105, 115, 116, 0, 114, 101, 115, 99, 117, 101, 95, 119, 111, 114,
    107, 0, 114, 101, 115, 99, 117, 101, 95, 119, 111, 114, 107, 113, 117, 101, 117, 101, 0, 98,
    105, 111, 95, 115, 101, 116, 0, 114, 113, 111, 115, 95, 100, 101, 98, 117, 103, 102, 115, 95,
    100, 105, 114, 0, 109, 113, 95, 115, 121, 115, 102, 115, 95, 105, 110, 105, 116, 95, 100, 111,
    110, 101, 0, 119, 114, 105, 116, 101, 95, 104, 105, 110, 116, 115, 0, 114, 101, 113, 117, 101,
    115, 116, 95, 113, 117, 101, 117, 101, 0, 108, 111, 111, 107, 117, 112, 95, 115, 101, 109, 0,
    115, 108, 97, 118, 101, 95, 100, 105, 114, 0, 99, 121, 99, 108, 101, 115, 95, 116, 0, 108, 97,
    115, 116, 95, 100, 101, 108, 116, 97, 0, 108, 97, 115, 116, 95, 100, 101, 108, 116, 97, 50, 0,
    116, 105, 109, 101, 114, 95, 114, 97, 110, 100, 95, 115, 116, 97, 116, 101, 0, 115, 121, 110,
    99, 95, 105, 111, 0, 101, 118, 0, 100, 105, 115, 107, 0, 98, 108, 111, 99, 107, 95, 109, 117,
    116, 101, 120, 0, 98, 108, 111, 99, 107, 0, 99, 108, 101, 97, 114, 105, 110, 103, 0, 112, 111,
    108, 108, 95, 109, 115, 101, 99, 115, 0, 100, 105, 115, 107, 95, 101, 118, 101, 110, 116, 115,
    0, 105, 110, 116, 101, 103, 114, 105, 116, 121, 95, 107, 111, 98, 106, 0, 99, 100, 105, 0, 100,
    114, 105, 118, 101, 95, 115, 116, 97, 116, 117, 115, 0, 116, 114, 97, 121, 95, 109, 111, 118,
    101, 0, 108, 111, 99, 107, 95, 100, 111, 111, 114, 0, 115, 101, 108, 101, 99, 116, 95, 115,
    112, 101, 101, 100, 0, 115, 101, 108, 101, 99, 116, 95, 100, 105, 115, 99, 0, 103, 101, 116,
    95, 108, 97, 115, 116, 95, 115, 101, 115, 115, 105, 111, 110, 0, 109, 115, 102, 0, 109, 105,
    110, 117, 116, 101, 0, 115, 101, 99, 111, 110, 100, 0, 99, 100, 114, 111, 109, 95, 109, 115,
    102, 48, 0, 108, 98, 97, 0, 99, 100, 114, 111, 109, 95, 97, 100, 100, 114, 0, 120, 97, 95, 102,
    108, 97, 103, 0, 97, 100, 100, 114, 95, 102, 111, 114, 109, 97, 116, 0, 99, 100, 114, 111, 109,
    95, 109, 117, 108, 116, 105, 115, 101, 115, 115, 105, 111, 110, 0, 103, 101, 116, 95, 109, 99,
    110, 0, 109, 101, 100, 105, 117, 109, 95, 99, 97, 116, 97, 108, 111, 103, 95, 110, 117, 109,
    98, 101, 114, 0, 99, 100, 114, 111, 109, 95, 109, 99, 110, 0, 97, 117, 100, 105, 111, 95, 105,
    111, 99, 116, 108, 0, 99, 97, 112, 97, 98, 105, 108, 105, 116, 121, 0, 103, 101, 110, 101, 114,
    105, 99, 95, 112, 97, 99, 107, 101, 116, 0, 98, 117, 102, 102, 101, 114, 0, 115, 115, 104, 100,
    114, 0, 114, 101, 115, 112, 111, 110, 115, 101, 95, 99, 111, 100, 101, 0, 115, 101, 110, 115,
    101, 95, 107, 101, 121, 0, 97, 115, 99, 0, 97, 115, 99, 113, 0, 98, 121, 116, 101, 52, 0, 98,
    121, 116, 101, 53, 0, 98, 121, 116, 101, 54, 0, 97, 100, 100, 105, 116, 105, 111, 110, 97, 108,
    95, 108, 101, 110, 103, 116, 104, 0, 115, 99, 115, 105, 95, 115, 101, 110, 115, 101, 95, 104,
    100, 114, 0, 100, 97, 116, 97, 95, 100, 105, 114, 101, 99, 116, 105, 111, 110, 0, 113, 117,
    105, 101, 116, 0, 112, 97, 99, 107, 101, 116, 95, 99, 111, 109, 109, 97, 110, 100, 0, 99, 100,
    114, 111, 109, 95, 100, 101, 118, 105, 99, 101, 95, 111, 112, 115, 0, 104, 97, 110, 100, 108,
    101, 0, 115, 112, 101, 101, 100, 0, 111, 112, 116, 105, 111, 110, 115, 0, 109, 99, 95, 102,
    108, 97, 103, 115, 0, 118, 102, 115, 95, 101, 118, 101, 110, 116, 115, 0, 105, 111, 99, 116,
    108, 95, 101, 118, 101, 110, 116, 115, 0, 117, 115, 101, 95, 99, 111, 117, 110, 116, 0, 115,
    97, 110, 121, 111, 95, 115, 108, 111, 116, 0, 107, 101, 101, 112, 108, 111, 99, 107, 101, 100,
    0, 99, 100, 100, 97, 95, 109, 101, 116, 104, 111, 100, 0, 108, 97, 115, 116, 95, 115, 101, 110,
    115, 101, 0, 109, 101, 100, 105, 97, 95, 119, 114, 105, 116, 116, 101, 110, 0, 109, 109, 99,
    51, 95, 112, 114, 111, 102, 105, 108, 101, 0, 102, 111, 114, 95, 100, 97, 116, 97, 0, 109, 114,
    119, 95, 109, 111, 100, 101, 95, 112, 97, 103, 101, 0, 99, 100, 114, 111, 109, 95, 100, 101,
    118, 105, 99, 101, 95, 105, 110, 102, 111, 0, 110, 111, 100, 101, 95, 105, 100, 0, 98, 98, 0,
    117, 110, 97, 99, 107, 101, 100, 95, 101, 120, 105, 115, 116, 0, 99, 104, 97, 110, 103, 101,
    100, 0, 115, 101, 99, 116, 111, 114, 0, 98, 97, 100, 98, 108, 111, 99, 107, 115, 0, 103, 101,
    110, 100, 105, 115, 107, 0, 98, 105, 95, 111, 112, 102, 0, 98, 105, 95, 102, 108, 97, 103, 115,
    0, 98, 105, 95, 105, 111, 112, 114, 105, 111, 0, 98, 105, 95, 119, 114, 105, 116, 101, 95, 104,
    105, 110, 116, 0, 98, 105, 95, 115, 116, 97, 116, 117, 115, 0, 98, 105, 95, 112, 97, 114, 116,
    110, 111, 0, 95, 95, 98, 105, 95, 114, 101, 109, 97, 105, 110, 105, 110, 103, 0, 98, 105, 95,
    105, 116, 101, 114, 0, 98, 105, 95, 115, 101, 99, 116, 111, 114, 0, 98, 105, 95, 115, 105, 122,
    101, 0, 98, 105, 95, 105, 100, 120, 0, 98, 105, 95, 98, 118, 101, 99, 95, 100, 111, 110, 101,
    0, 98, 118, 101, 99, 95, 105, 116, 101, 114, 0, 98, 105, 95, 101, 110, 100, 95, 105, 111, 0,
    98, 105, 111, 95, 101, 110, 100, 95, 105, 111, 95, 116, 0, 98, 105, 95, 112, 114, 105, 118, 97,
    116, 101, 0, 98, 105, 95, 98, 108, 107, 103, 0, 98, 105, 95, 105, 115, 115, 117, 101, 0, 98,
    105, 111, 95, 105, 115, 115, 117, 101, 0, 98, 105, 95, 105, 111, 99, 111, 115, 116, 95, 99,
    111, 115, 116, 0, 98, 105, 95, 99, 114, 121, 112, 116, 95, 99, 111, 110, 116, 101, 120, 116, 0,
    98, 105, 95, 105, 110, 116, 101, 103, 114, 105, 116, 121, 0, 98, 105, 112, 95, 98, 105, 111, 0,
    98, 105, 112, 95, 105, 116, 101, 114, 0, 98, 105, 112, 95, 115, 108, 97, 98, 0, 98, 105, 112,
    95, 118, 99, 110, 116, 0, 98, 105, 112, 95, 109, 97, 120, 95, 118, 99, 110, 116, 0, 98, 105,
    112, 95, 102, 108, 97, 103, 115, 0, 98, 105, 111, 95, 105, 116, 101, 114, 0, 98, 105, 112, 95,
    119, 111, 114, 107, 0, 98, 105, 112, 95, 118, 101, 99, 0, 98, 105, 112, 95, 105, 110, 108, 105,
    110, 101, 95, 118, 101, 99, 115, 0, 98, 105, 111, 95, 105, 110, 116, 101, 103, 114, 105, 116,
    121, 95, 112, 97, 121, 108, 111, 97, 100, 0, 98, 105, 95, 118, 99, 110, 116, 0, 98, 105, 95,
    109, 97, 120, 95, 118, 101, 99, 115, 0, 95, 95, 98, 105, 95, 99, 110, 116, 0, 98, 105, 95, 105,
    111, 95, 118, 101, 99, 0, 98, 105, 95, 112, 111, 111, 108, 0, 98, 105, 95, 105, 110, 108, 105,
    110, 101, 95, 118, 101, 99, 115, 0, 112, 108, 117, 103, 0, 109, 113, 95, 108, 105, 115, 116, 0,
    99, 98, 95, 108, 105, 115, 116, 0, 114, 113, 95, 99, 111, 117, 110, 116, 0, 109, 117, 108, 116,
    105, 112, 108, 101, 95, 113, 117, 101, 117, 101, 115, 0, 110, 111, 119, 97, 105, 116, 0, 98,
    108, 107, 95, 112, 108, 117, 103, 0, 114, 101, 99, 108, 97, 105, 109, 95, 115, 116, 97, 116,
    101, 0, 114, 101, 99, 108, 97, 105, 109, 101, 100, 95, 115, 108, 97, 98, 0, 99, 97, 112, 116,
    117, 114, 101, 95, 99, 111, 110, 116, 114, 111, 108, 0, 99, 99, 0, 102, 114, 101, 101, 112, 97,
    103, 101, 115, 0, 109, 105, 103, 114, 97, 116, 101, 112, 97, 103, 101, 115, 0, 110, 114, 95,
    102, 114, 101, 101, 112, 97, 103, 101, 115, 0, 110, 114, 95, 109, 105, 103, 114, 97, 116, 101,
    112, 97, 103, 101, 115, 0, 102, 114, 101, 101, 95, 112, 102, 110, 0, 109, 105, 103, 114, 97,
    116, 101, 95, 112, 102, 110, 0, 102, 97, 115, 116, 95, 115, 116, 97, 114, 116, 95, 112, 102,
    110, 0, 95, 119, 97, 116, 101, 114, 109, 97, 114, 107, 0, 119, 97, 116, 101, 114, 109, 97, 114,
    107, 95, 98, 111, 111, 115, 116, 0, 110, 114, 95, 114, 101, 115, 101, 114, 118, 101, 100, 95,
    104, 105, 103, 104, 97, 116, 111, 109, 105, 99, 0, 108, 111, 119, 109, 101, 109, 95, 114, 101,
    115, 101, 114, 118, 101, 0, 122, 111, 110, 101, 95, 112, 103, 100, 97, 116, 0, 110, 111, 100,
    101, 95, 122, 111, 110, 101, 115, 0, 110, 111, 100, 101, 95, 122, 111, 110, 101, 108, 105, 115,
    116, 115, 0, 95, 122, 111, 110, 101, 114, 101, 102, 115, 0, 122, 111, 110, 101, 95, 105, 100,
    120, 0, 122, 111, 110, 101, 114, 101, 102, 0, 122, 111, 110, 101, 108, 105, 115, 116, 0, 110,
    111, 100, 101, 95, 115, 105, 122, 101, 95, 108, 111, 99, 107, 0, 110, 111, 100, 101, 95, 115,
    116, 97, 114, 116, 95, 112, 102, 110, 0, 110, 111, 100, 101, 95, 112, 114, 101, 115, 101, 110,
    116, 95, 112, 97, 103, 101, 115, 0, 110, 111, 100, 101, 95, 115, 112, 97, 110, 110, 101, 100,
    95, 112, 97, 103, 101, 115, 0, 107, 115, 119, 97, 112, 100, 95, 119, 97, 105, 116, 0, 112, 102,
    109, 101, 109, 97, 108, 108, 111, 99, 95, 119, 97, 105, 116, 0, 107, 115, 119, 97, 112, 100, 0,
    107, 115, 119, 97, 112, 100, 95, 111, 114, 100, 101, 114, 0, 107, 115, 119, 97, 112, 100, 95,
    104, 105, 103, 104, 101, 115, 116, 95, 122, 111, 110, 101, 105, 100, 120, 0, 107, 115, 119, 97,
    112, 100, 95, 102, 97, 105, 108, 117, 114, 101, 115, 0, 107, 99, 111, 109, 112, 97, 99, 116,
    100, 95, 109, 97, 120, 95, 111, 114, 100, 101, 114, 0, 107, 99, 111, 109, 112, 97, 99, 116,
    100, 95, 104, 105, 103, 104, 101, 115, 116, 95, 122, 111, 110, 101, 105, 100, 120, 0, 107, 99,
    111, 109, 112, 97, 99, 116, 100, 95, 119, 97, 105, 116, 0, 107, 99, 111, 109, 112, 97, 99, 116,
    100, 0, 116, 111, 116, 97, 108, 114, 101, 115, 101, 114, 118, 101, 95, 112, 97, 103, 101, 115,
    0, 109, 105, 110, 95, 117, 110, 109, 97, 112, 112, 101, 100, 95, 112, 97, 103, 101, 115, 0,
    109, 105, 110, 95, 115, 108, 97, 98, 95, 112, 97, 103, 101, 115, 0, 95, 112, 97, 100, 49, 95,
    0, 122, 111, 110, 101, 95, 112, 97, 100, 100, 105, 110, 103, 0, 108, 114, 117, 95, 108, 111,
    99, 107, 0, 100, 101, 102, 101, 114, 114, 101, 100, 95, 115, 112, 108, 105, 116, 95, 113, 117,
    101, 117, 101, 0, 115, 112, 108, 105, 116, 95, 113, 117, 101, 117, 101, 95, 108, 111, 99, 107,
    0, 115, 112, 108, 105, 116, 95, 113, 117, 101, 117, 101, 0, 115, 112, 108, 105, 116, 95, 113,
    117, 101, 117, 101, 95, 108, 101, 110, 0, 100, 101, 102, 101, 114, 114, 101, 100, 95, 115, 112,
    108, 105, 116, 0, 95, 95, 108, 114, 117, 118, 101, 99, 0, 108, 105, 115, 116, 115, 0, 97, 110,
    111, 110, 95, 99, 111, 115, 116, 0, 102, 105, 108, 101, 95, 99, 111, 115, 116, 0, 110, 111,
    110, 114, 101, 115, 105, 100, 101, 110, 116, 95, 97, 103, 101, 0, 114, 101, 102, 97, 117, 108,
    116, 115, 0, 112, 103, 100, 97, 116, 0, 108, 114, 117, 118, 101, 99, 0, 95, 112, 97, 100, 50,
    95, 0, 112, 101, 114, 95, 99, 112, 117, 95, 110, 111, 100, 101, 115, 116, 97, 116, 115, 0, 115,
    116, 97, 116, 95, 116, 104, 114, 101, 115, 104, 111, 108, 100, 0, 115, 105, 103, 110, 101, 100,
    32, 99, 104, 97, 114, 0, 95, 95, 115, 56, 0, 115, 56, 0, 118, 109, 95, 110, 111, 100, 101, 95,
    115, 116, 97, 116, 95, 100, 105, 102, 102, 0, 112, 101, 114, 95, 99, 112, 117, 95, 110, 111,
    100, 101, 115, 116, 97, 116, 0, 118, 109, 95, 115, 116, 97, 116, 0, 112, 103, 108, 105, 115,
    116, 95, 100, 97, 116, 97, 0, 112, 97, 103, 101, 115, 101, 116, 0, 112, 99, 112, 0, 104, 105,
    103, 104, 0, 112, 101, 114, 95, 99, 112, 117, 95, 112, 97, 103, 101, 115, 0, 101, 120, 112,
    105, 114, 101, 0, 118, 109, 95, 110, 117, 109, 97, 95, 115, 116, 97, 116, 95, 100, 105, 102,
    102, 0, 118, 109, 95, 115, 116, 97, 116, 95, 100, 105, 102, 102, 0, 112, 101, 114, 95, 99, 112,
    117, 95, 112, 97, 103, 101, 115, 101, 116, 0, 122, 111, 110, 101, 95, 115, 116, 97, 114, 116,
    95, 112, 102, 110, 0, 109, 97, 110, 97, 103, 101, 100, 95, 112, 97, 103, 101, 115, 0, 115, 112,
    97, 110, 110, 101, 100, 95, 112, 97, 103, 101, 115, 0, 112, 114, 101, 115, 101, 110, 116, 95,
    112, 97, 103, 101, 115, 0, 110, 114, 95, 105, 115, 111, 108, 97, 116, 101, 95, 112, 97, 103,
    101, 98, 108, 111, 99, 107, 0, 115, 112, 97, 110, 95, 115, 101, 113, 108, 111, 99, 107, 0, 102,
    114, 101, 101, 95, 97, 114, 101, 97, 0, 110, 114, 95, 102, 114, 101, 101, 0, 112, 101, 114, 99,
    112, 117, 95, 100, 114, 105, 102, 116, 95, 109, 97, 114, 107, 0, 99, 111, 109, 112, 97, 99,
    116, 95, 99, 97, 99, 104, 101, 100, 95, 102, 114, 101, 101, 95, 112, 102, 110, 0, 99, 111, 109,
    112, 97, 99, 116, 95, 99, 97, 99, 104, 101, 100, 95, 109, 105, 103, 114, 97, 116, 101, 95, 112,
    102, 110, 0, 99, 111, 109, 112, 97, 99, 116, 95, 105, 110, 105, 116, 95, 109, 105, 103, 114,
    97, 116, 101, 95, 112, 102, 110, 0, 99, 111, 109, 112, 97, 99, 116, 95, 105, 110, 105, 116, 95,
    102, 114, 101, 101, 95, 112, 102, 110, 0, 99, 111, 109, 112, 97, 99, 116, 95, 99, 111, 110,
    115, 105, 100, 101, 114, 101, 100, 0, 99, 111, 109, 112, 97, 99, 116, 95, 100, 101, 102, 101,
    114, 95, 115, 104, 105, 102, 116, 0, 99, 111, 109, 112, 97, 99, 116, 95, 111, 114, 100, 101,
    114, 95, 102, 97, 105, 108, 101, 100, 0, 99, 111, 109, 112, 97, 99, 116, 95, 98, 108, 111, 99,
    107, 115, 107, 105, 112, 95, 102, 108, 117, 115, 104, 0, 99, 111, 110, 116, 105, 103, 117, 111,
    117, 115, 0, 95, 112, 97, 100, 51, 95, 0, 118, 109, 95, 110, 117, 109, 97, 95, 115, 116, 97,
    116, 0, 116, 111, 116, 97, 108, 95, 109, 105, 103, 114, 97, 116, 101, 95, 115, 99, 97, 110,
    110, 101, 100, 0, 116, 111, 116, 97, 108, 95, 102, 114, 101, 101, 95, 115, 99, 97, 110, 110,
    101, 100, 0, 102, 97, 115, 116, 95, 115, 101, 97, 114, 99, 104, 95, 102, 97, 105, 108, 0, 115,
    101, 97, 114, 99, 104, 95, 111, 114, 100, 101, 114, 0, 111, 114, 100, 101, 114, 0, 109, 105,
    103, 114, 97, 116, 101, 116, 121, 112, 101, 0, 97, 108, 108, 111, 99, 95, 102, 108, 97, 103,
    115, 0, 104, 105, 103, 104, 101, 115, 116, 95, 122, 111, 110, 101, 105, 100, 120, 0, 77, 73,
    71, 82, 65, 84, 69, 95, 65, 83, 89, 78, 67, 0, 77, 73, 71, 82, 65, 84, 69, 95, 83, 89, 78, 67,
    95, 76, 73, 71, 72, 84, 0, 77, 73, 71, 82, 65, 84, 69, 95, 83, 89, 78, 67, 0, 77, 73, 71, 82,
    65, 84, 69, 95, 83, 89, 78, 67, 95, 78, 79, 95, 67, 79, 80, 89, 0, 109, 105, 103, 114, 97, 116,
    101, 95, 109, 111, 100, 101, 0, 105, 103, 110, 111, 114, 101, 95, 115, 107, 105, 112, 95, 104,
    105, 110, 116, 0, 110, 111, 95, 115, 101, 116, 95, 115, 107, 105, 112, 95, 104, 105, 110, 116,
    0, 105, 103, 110, 111, 114, 101, 95, 98, 108, 111, 99, 107, 95, 115, 117, 105, 116, 97, 98,
    108, 101, 0, 100, 105, 114, 101, 99, 116, 95, 99, 111, 109, 112, 97, 99, 116, 105, 111, 110, 0,
    112, 114, 111, 97, 99, 116, 105, 118, 101, 95, 99, 111, 109, 112, 97, 99, 116, 105, 111, 110,
    0, 119, 104, 111, 108, 101, 95, 122, 111, 110, 101, 0, 99, 111, 110, 116, 101, 110, 100, 101,
    100, 0, 114, 101, 115, 99, 97, 110, 0, 97, 108, 108, 111, 99, 95, 99, 111, 110, 116, 105, 103,
    0, 99, 111, 109, 112, 97, 99, 116, 95, 99, 111, 110, 116, 114, 111, 108, 0, 112, 116, 114, 97,
    99, 101, 95, 109, 101, 115, 115, 97, 103, 101, 0, 108, 97, 115, 116, 95, 115, 105, 103, 105,
    110, 102, 111, 0, 115, 105, 95, 115, 105, 103, 110, 111, 0, 115, 105, 95, 101, 114, 114, 110,
    111, 0, 115, 105, 95, 99, 111, 100, 101, 0, 95, 115, 105, 102, 105, 101, 108, 100, 115, 0, 95,
    107, 105, 108, 108, 0, 95, 112, 105, 100, 0, 95, 117, 105, 100, 0, 95, 116, 105, 109, 101, 114,
    0, 95, 116, 105, 100, 0, 95, 95, 107, 101, 114, 110, 101, 108, 95, 116, 105, 109, 101, 114, 95,
    116, 0, 95, 111, 118, 101, 114, 114, 117, 110, 0, 95, 115, 105, 103, 118, 97, 108, 0, 115, 105,
    118, 97, 108, 95, 105, 110, 116, 0, 115, 105, 118, 97, 108, 95, 112, 116, 114, 0, 115, 105,
    103, 118, 97, 108, 0, 115, 105, 103, 118, 97, 108, 95, 116, 0, 95, 115, 121, 115, 95, 112, 114,
    105, 118, 97, 116, 101, 0, 95, 114, 116, 0, 95, 115, 105, 103, 99, 104, 108, 100, 0, 95, 115,
    116, 97, 116, 117, 115, 0, 95, 117, 116, 105, 109, 101, 0, 95, 95, 107, 101, 114, 110, 101,
    108, 95, 99, 108, 111, 99, 107, 95, 116, 0, 95, 115, 116, 105, 109, 101, 0, 95, 115, 105, 103,
    102, 97, 117, 108, 116, 0, 95, 97, 100, 100, 114, 0, 95, 97, 100, 100, 114, 95, 108, 115, 98,
    0, 95, 97, 100, 100, 114, 95, 98, 110, 100, 0, 95, 100, 117, 109, 109, 121, 95, 98, 110, 100,
    0, 95, 108, 111, 119, 101, 114, 0, 95, 117, 112, 112, 101, 114, 0, 95, 97, 100, 100, 114, 95,
    112, 107, 101, 121, 0, 95, 100, 117, 109, 109, 121, 95, 112, 107, 101, 121, 0, 95, 112, 107,
    101, 121, 0, 95, 115, 105, 103, 112, 111, 108, 108, 0, 95, 98, 97, 110, 100, 0, 95, 102, 100,
    0, 95, 115, 105, 103, 115, 121, 115, 0, 95, 99, 97, 108, 108, 95, 97, 100, 100, 114, 0, 95,
    115, 121, 115, 99, 97, 108, 108, 0, 95, 97, 114, 99, 104, 0, 95, 95, 115, 105, 102, 105, 101,
    108, 100, 115, 0, 107, 101, 114, 110, 101, 108, 95, 115, 105, 103, 105, 110, 102, 111, 0, 107,
    101, 114, 110, 101, 108, 95, 115, 105, 103, 105, 110, 102, 111, 95, 116, 0, 112, 115, 105, 95,
    102, 108, 97, 103, 115, 0, 97, 99, 99, 116, 95, 114, 115, 115, 95, 109, 101, 109, 49, 0, 97,
    99, 99, 116, 95, 118, 109, 95, 109, 101, 109, 49, 0, 97, 99, 99, 116, 95, 116, 105, 109, 101,
    120, 112, 100, 0, 109, 101, 109, 115, 95, 97, 108, 108, 111, 119, 101, 100, 0, 109, 101, 109,
    115, 95, 97, 108, 108, 111, 119, 101, 100, 95, 115, 101, 113, 0, 99, 112, 117, 115, 101, 116,
    95, 109, 101, 109, 95, 115, 112, 114, 101, 97, 100, 95, 114, 111, 116, 111, 114, 0, 99, 112,
    117, 115, 101, 116, 95, 115, 108, 97, 98, 95, 115, 112, 114, 101, 97, 100, 95, 114, 111, 116,
    111, 114, 0, 99, 103, 114, 111, 117, 112, 115, 0, 99, 103, 95, 108, 105, 115, 116, 0, 99, 108,
    111, 115, 105, 100, 0, 114, 109, 105, 100, 0, 114, 111, 98, 117, 115, 116, 95, 108, 105, 115,
    116, 0, 102, 117, 116, 101, 120, 95, 111, 102, 102, 115, 101, 116, 0, 108, 105, 115, 116, 95,
    111, 112, 95, 112, 101, 110, 100, 105, 110, 103, 0, 114, 111, 98, 117, 115, 116, 95, 108, 105,
    115, 116, 95, 104, 101, 97, 100, 0, 99, 111, 109, 112, 97, 116, 95, 114, 111, 98, 117, 115,
    116, 95, 108, 105, 115, 116, 0, 99, 111, 109, 112, 97, 116, 95, 117, 112, 116, 114, 95, 116, 0,
    99, 111, 109, 112, 97, 116, 95, 108, 111, 110, 103, 95, 116, 0, 99, 111, 109, 112, 97, 116, 95,
    114, 111, 98, 117, 115, 116, 95, 108, 105, 115, 116, 95, 104, 101, 97, 100, 0, 112, 105, 95,
    115, 116, 97, 116, 101, 95, 108, 105, 115, 116, 0, 112, 105, 95, 115, 116, 97, 116, 101, 95,
    99, 97, 99, 104, 101, 0, 112, 105, 95, 109, 117, 116, 101, 120, 0, 105, 95, 115, 101, 113, 0,
    95, 95, 116, 109, 112, 0, 98, 111, 116, 104, 0, 102, 117, 116, 101, 120, 95, 107, 101, 121, 0,
    102, 117, 116, 101, 120, 95, 112, 105, 95, 115, 116, 97, 116, 101, 0, 102, 117, 116, 101, 120,
    95, 101, 120, 105, 116, 95, 109, 117, 116, 101, 120, 0, 102, 117, 116, 101, 120, 95, 115, 116,
    97, 116, 101, 0, 112, 101, 114, 102, 95, 101, 118, 101, 110, 116, 95, 99, 116, 120, 112, 0,
    112, 109, 117, 0, 97, 116, 116, 114, 95, 103, 114, 111, 117, 112, 115, 0, 97, 116, 116, 114,
    95, 117, 112, 100, 97, 116, 101, 0, 112, 109, 117, 95, 100, 105, 115, 97, 98, 108, 101, 95, 99,
    111, 117, 110, 116, 0, 112, 109, 117, 95, 99, 112, 117, 95, 99, 111, 110, 116, 101, 120, 116,
    0, 116, 97, 115, 107, 95, 99, 116, 120, 0, 97, 99, 116, 105, 118, 101, 95, 111, 110, 99, 112,
    117, 0, 101, 120, 99, 108, 117, 115, 105, 118, 101, 0, 104, 114, 116, 105, 109, 101, 114, 95,
    108, 111, 99, 107, 0, 104, 114, 116, 105, 109, 101, 114, 95, 105, 110, 116, 101, 114, 118, 97,
    108, 0, 104, 114, 116, 105, 109, 101, 114, 95, 97, 99, 116, 105, 118, 101, 0, 116, 105, 109,
    101, 115, 116, 97, 109, 112, 0, 112, 101, 114, 102, 95, 99, 103, 114, 111, 117, 112, 95, 105,
    110, 102, 111, 0, 112, 101, 114, 102, 95, 99, 103, 114, 111, 117, 112, 0, 99, 103, 114, 112,
    95, 99, 112, 117, 99, 116, 120, 95, 101, 110, 116, 114, 121, 0, 115, 99, 104, 101, 100, 95, 99,
    98, 95, 101, 110, 116, 114, 121, 0, 115, 99, 104, 101, 100, 95, 99, 98, 95, 117, 115, 97, 103,
    101, 0, 104, 101, 97, 112, 95, 115, 105, 122, 101, 0, 104, 101, 97, 112, 0, 101, 118, 101, 110,
    116, 95, 101, 110, 116, 114, 121, 0, 115, 105, 98, 108, 105, 110, 103, 95, 108, 105, 115, 116,
    0, 97, 99, 116, 105, 118, 101, 95, 108, 105, 115, 116, 0, 103, 114, 111, 117, 112, 95, 105,
    110, 100, 101, 120, 0, 109, 105, 103, 114, 97, 116, 101, 95, 101, 110, 116, 114, 121, 0, 104,
    108, 105, 115, 116, 95, 101, 110, 116, 114, 121, 0, 97, 99, 116, 105, 118, 101, 95, 101, 110,
    116, 114, 121, 0, 110, 114, 95, 115, 105, 98, 108, 105, 110, 103, 115, 0, 101, 118, 101, 110,
    116, 95, 99, 97, 112, 115, 0, 103, 114, 111, 117, 112, 95, 99, 97, 112, 115, 0, 112, 109, 117,
    95, 112, 114, 105, 118, 97, 116, 101, 0, 80, 69, 82, 70, 95, 69, 86, 69, 78, 84, 95, 83, 84,
    65, 84, 69, 95, 68, 69, 65, 68, 0, 80, 69, 82, 70, 95, 69, 86, 69, 78, 84, 95, 83, 84, 65, 84,
    69, 95, 69, 88, 73, 84, 0, 80, 69, 82, 70, 95, 69, 86, 69, 78, 84, 95, 83, 84, 65, 84, 69, 95,
    69, 82, 82, 79, 82, 0, 80, 69, 82, 70, 95, 69, 86, 69, 78, 84, 95, 83, 84, 65, 84, 69, 95, 79,
    70, 70, 0, 80, 69, 82, 70, 95, 69, 86, 69, 78, 84, 95, 83, 84, 65, 84, 69, 95, 73, 78, 65, 67,
    84, 73, 86, 69, 0, 80, 69, 82, 70, 95, 69, 86, 69, 78, 84, 95, 83, 84, 65, 84, 69, 95, 65, 67,
    84, 73, 86, 69, 0, 112, 101, 114, 102, 95, 101, 118, 101, 110, 116, 95, 115, 116, 97, 116, 101,
    0, 97, 116, 116, 97, 99, 104, 95, 115, 116, 97, 116, 101, 0, 108, 111, 99, 97, 108, 54, 52, 95,
    116, 0, 116, 111, 116, 97, 108, 95, 116, 105, 109, 101, 95, 101, 110, 97, 98, 108, 101, 100, 0,
    116, 111, 116, 97, 108, 95, 116, 105, 109, 101, 95, 114, 117, 110, 110, 105, 110, 103, 0, 115,
    104, 97, 100, 111, 119, 95, 99, 116, 120, 95, 116, 105, 109, 101, 0, 99, 111, 110, 102, 105,
    103, 0, 115, 97, 109, 112, 108, 101, 95, 112, 101, 114, 105, 111, 100, 0, 115, 97, 109, 112,
    108, 101, 95, 102, 114, 101, 113, 0, 115, 97, 109, 112, 108, 101, 95, 116, 121, 112, 101, 0,
    114, 101, 97, 100, 95, 102, 111, 114, 109, 97, 116, 0, 105, 110, 104, 101, 114, 105, 116, 0,
    112, 105, 110, 110, 101, 100, 0, 101, 120, 99, 108, 117, 100, 101, 95, 117, 115, 101, 114, 0,
    101, 120, 99, 108, 117, 100, 101, 95, 107, 101, 114, 110, 101, 108, 0, 101, 120, 99, 108, 117,
    100, 101, 95, 104, 118, 0, 101, 120, 99, 108, 117, 100, 101, 95, 105, 100, 108, 101, 0, 105,
    110, 104, 101, 114, 105, 116, 95, 115, 116, 97, 116, 0, 101, 110, 97, 98, 108, 101, 95, 111,
    110, 95, 101, 120, 101, 99, 0, 119, 97, 116, 101, 114, 109, 97, 114, 107, 0, 112, 114, 101, 99,
    105, 115, 101, 95, 105, 112, 0, 109, 109, 97, 112, 95, 100, 97, 116, 97, 0, 115, 97, 109, 112,
    108, 101, 95, 105, 100, 95, 97, 108, 108, 0, 101, 120, 99, 108, 117, 100, 101, 95, 104, 111,
    115, 116, 0, 101, 120, 99, 108, 117, 100, 101, 95, 103, 117, 101, 115, 116, 0, 101, 120, 99,
    108, 117, 100, 101, 95, 99, 97, 108, 108, 99, 104, 97, 105, 110, 95, 107, 101, 114, 110, 101,
    108, 0, 101, 120, 99, 108, 117, 100, 101, 95, 99, 97, 108, 108, 99, 104, 97, 105, 110, 95, 117,
    115, 101, 114, 0, 109, 109, 97, 112, 50, 0, 99, 111, 109, 109, 95, 101, 120, 101, 99, 0, 117,
    115, 101, 95, 99, 108, 111, 99, 107, 105, 100, 0, 99, 111, 110, 116, 101, 120, 116, 95, 115,
    119, 105, 116, 99, 104, 0, 119, 114, 105, 116, 101, 95, 98, 97, 99, 107, 119, 97, 114, 100, 0,
    110, 97, 109, 101, 115, 112, 97, 99, 101, 115, 0, 107, 115, 121, 109, 98, 111, 108, 0, 98, 112,
    102, 95, 101, 118, 101, 110, 116, 0, 97, 117, 120, 95, 111, 117, 116, 112, 117, 116, 0, 116,
    101, 120, 116, 95, 112, 111, 107, 101, 0, 95, 95, 114, 101, 115, 101, 114, 118, 101, 100, 95,
    49, 0, 119, 97, 107, 101, 117, 112, 95, 101, 118, 101, 110, 116, 115, 0, 119, 97, 107, 101,
    117, 112, 95, 119, 97, 116, 101, 114, 109, 97, 114, 107, 0, 98, 112, 95, 116, 121, 112, 101, 0,
    98, 112, 95, 97, 100, 100, 114, 0, 107, 112, 114, 111, 98, 101, 95, 102, 117, 110, 99, 0, 117,
    112, 114, 111, 98, 101, 95, 112, 97, 116, 104, 0, 99, 111, 110, 102, 105, 103, 49, 0, 98, 112,
    95, 108, 101, 110, 0, 107, 112, 114, 111, 98, 101, 95, 97, 100, 100, 114, 0, 99, 111, 110, 102,
    105, 103, 50, 0, 98, 114, 97, 110, 99, 104, 95, 115, 97, 109, 112, 108, 101, 95, 116, 121, 112,
    101, 0, 115, 97, 109, 112, 108, 101, 95, 114, 101, 103, 115, 95, 117, 115, 101, 114, 0, 115,
    97, 109, 112, 108, 101, 95, 115, 116, 97, 99, 107, 95, 117, 115, 101, 114, 0, 115, 97, 109,
    112, 108, 101, 95, 114, 101, 103, 115, 95, 105, 110, 116, 114, 0, 97, 117, 120, 95, 119, 97,
    116, 101, 114, 109, 97, 114, 107, 0, 115, 97, 109, 112, 108, 101, 95, 109, 97, 120, 95, 115,
    116, 97, 99, 107, 0, 97, 117, 120, 95, 115, 97, 109, 112, 108, 101, 95, 115, 105, 122, 101, 0,
    112, 101, 114, 102, 95, 101, 118, 101, 110, 116, 95, 97, 116, 116, 114, 0, 104, 101, 97, 100,
    101, 114, 95, 115, 105, 122, 101, 0, 105, 100, 95, 104, 101, 97, 100, 101, 114, 95, 115, 105,
    122, 101, 0, 114, 101, 97, 100, 95, 115, 105, 122, 101, 0, 104, 119, 0, 108, 97, 115, 116, 95,
    116, 97, 103, 0, 99, 111, 110, 102, 105, 103, 95, 98, 97, 115, 101, 0, 101, 118, 101, 110, 116,
    95, 98, 97, 115, 101, 0, 101, 118, 101, 110, 116, 95, 98, 97, 115, 101, 95, 114, 100, 112, 109,
    99, 0, 108, 97, 115, 116, 95, 99, 112, 117, 0, 101, 120, 116, 114, 97, 95, 114, 101, 103, 0,
    114, 101, 103, 0, 104, 119, 95, 112, 101, 114, 102, 95, 101, 118, 101, 110, 116, 95, 101, 120,
    116, 114, 97, 0, 98, 114, 97, 110, 99, 104, 95, 114, 101, 103, 0, 116, 112, 95, 108, 105, 115,
    116, 0, 112, 119, 114, 95, 97, 99, 99, 0, 112, 116, 115, 99, 0, 97, 114, 99, 104, 95, 104, 119,
    95, 98, 114, 101, 97, 107, 112, 111, 105, 110, 116, 0, 98, 112, 95, 108, 105, 115, 116, 0, 105,
    111, 109, 109, 117, 95, 98, 97, 110, 107, 0, 105, 111, 109, 109, 117, 95, 99, 110, 116, 114, 0,
    99, 111, 110, 102, 0, 99, 111, 110, 102, 49, 0, 97, 100, 100, 114, 95, 102, 105, 108, 116, 101,
    114, 115, 0, 97, 100, 100, 114, 95, 102, 105, 108, 116, 101, 114, 115, 95, 103, 101, 110, 0,
    112, 114, 101, 118, 95, 99, 111, 117, 110, 116, 0, 108, 97, 115, 116, 95, 112, 101, 114, 105,
    111, 100, 0, 112, 101, 114, 105, 111, 100, 95, 108, 101, 102, 116, 0, 105, 110, 116, 101, 114,
    114, 117, 112, 116, 115, 95, 115, 101, 113, 0, 105, 110, 116, 101, 114, 114, 117, 112, 116,
    115, 0, 102, 114, 101, 113, 95, 116, 105, 109, 101, 95, 115, 116, 97, 109, 112, 0, 102, 114,
    101, 113, 95, 99, 111, 117, 110, 116, 95, 115, 116, 97, 109, 112, 0, 104, 119, 95, 112, 101,
    114, 102, 95, 101, 118, 101, 110, 116, 0, 99, 104, 105, 108, 100, 95, 116, 111, 116, 97, 108,
    95, 116, 105, 109, 101, 95, 101, 110, 97, 98, 108, 101, 100, 0, 99, 104, 105, 108, 100, 95,
    116, 111, 116, 97, 108, 95, 116, 105, 109, 101, 95, 114, 117, 110, 110, 105, 110, 103, 0, 99,
    104, 105, 108, 100, 95, 109, 117, 116, 101, 120, 0, 99, 104, 105, 108, 100, 95, 108, 105, 115,
    116, 0, 111, 110, 99, 112, 117, 0, 111, 119, 110, 101, 114, 95, 101, 110, 116, 114, 121, 0,
    109, 109, 97, 112, 95, 109, 117, 116, 101, 120, 0, 109, 109, 97, 112, 95, 99, 111, 117, 110,
    116, 0, 111, 118, 101, 114, 119, 114, 105, 116, 101, 0, 112, 97, 117, 115, 101, 100, 0, 108,
    111, 115, 116, 0, 101, 118, 101, 110, 116, 95, 108, 111, 99, 107, 0, 101, 118, 101, 110, 116,
    95, 108, 105, 115, 116, 0, 109, 109, 97, 112, 95, 108, 111, 99, 107, 101, 100, 0, 109, 109, 97,
    112, 95, 117, 115, 101, 114, 0, 97, 117, 120, 95, 104, 101, 97, 100, 0, 97, 117, 120, 95, 110,
    101, 115, 116, 0, 97, 117, 120, 95, 119, 97, 107, 101, 117, 112, 0, 97, 117, 120, 95, 112, 103,
    111, 102, 102, 0, 97, 117, 120, 95, 110, 114, 95, 112, 97, 103, 101, 115, 0, 97, 117, 120, 95,
    111, 118, 101, 114, 119, 114, 105, 116, 101, 0, 97, 117, 120, 95, 109, 109, 97, 112, 95, 99,
    111, 117, 110, 116, 0, 97, 117, 120, 95, 109, 109, 97, 112, 95, 108, 111, 99, 107, 101, 100, 0,
    102, 114, 101, 101, 95, 97, 117, 120, 0, 97, 117, 120, 95, 114, 101, 102, 99, 111, 117, 110,
    116, 0, 97, 117, 120, 95, 105, 110, 95, 115, 97, 109, 112, 108, 105, 110, 103, 0, 97, 117, 120,
    95, 112, 97, 103, 101, 115, 0, 97, 117, 120, 95, 112, 114, 105, 118, 0, 117, 115, 101, 114, 95,
    112, 97, 103, 101, 0, 99, 111, 109, 112, 97, 116, 95, 118, 101, 114, 115, 105, 111, 110, 0,
    116, 105, 109, 101, 95, 101, 110, 97, 98, 108, 101, 100, 0, 116, 105, 109, 101, 95, 114, 117,
    110, 110, 105, 110, 103, 0, 99, 97, 112, 95, 98, 105, 116, 48, 0, 99, 97, 112, 95, 98, 105,
    116, 48, 95, 105, 115, 95, 100, 101, 112, 114, 101, 99, 97, 116, 101, 100, 0, 99, 97, 112, 95,
    117, 115, 101, 114, 95, 114, 100, 112, 109, 99, 0, 99, 97, 112, 95, 117, 115, 101, 114, 95,
    116, 105, 109, 101, 0, 99, 97, 112, 95, 117, 115, 101, 114, 95, 116, 105, 109, 101, 95, 122,
    101, 114, 111, 0, 99, 97, 112, 95, 117, 115, 101, 114, 95, 116, 105, 109, 101, 95, 115, 104,
    111, 114, 116, 0, 99, 97, 112, 95, 95, 95, 95, 95, 114, 101, 115, 0, 112, 109, 99, 95, 119,
    105, 100, 116, 104, 0, 116, 105, 109, 101, 95, 115, 104, 105, 102, 116, 0, 116, 105, 109, 101,
    95, 109, 117, 108, 116, 0, 116, 105, 109, 101, 95, 111, 102, 102, 115, 101, 116, 0, 116, 105,
    109, 101, 95, 122, 101, 114, 111, 0, 116, 105, 109, 101, 95, 99, 121, 99, 108, 101, 115, 0,
    116, 105, 109, 101, 95, 109, 97, 115, 107, 0, 100, 97, 116, 97, 95, 104, 101, 97, 100, 0, 100,
    97, 116, 97, 95, 116, 97, 105, 108, 0, 100, 97, 116, 97, 95, 111, 102, 102, 115, 101, 116, 0,
    97, 117, 120, 95, 116, 97, 105, 108, 0, 97, 117, 120, 95, 111, 102, 102, 115, 101, 116, 0, 97,
    117, 120, 95, 115, 105, 122, 101, 0, 112, 101, 114, 102, 95, 101, 118, 101, 110, 116, 95, 109,
    109, 97, 112, 95, 112, 97, 103, 101, 0, 100, 97, 116, 97, 95, 112, 97, 103, 101, 115, 0, 112,
    101, 114, 102, 95, 98, 117, 102, 102, 101, 114, 0, 114, 98, 95, 101, 110, 116, 114, 121, 0,
    114, 99, 117, 95, 98, 97, 116, 99, 104, 101, 115, 0, 114, 99, 117, 95, 112, 101, 110, 100, 105,
    110, 103, 0, 119, 97, 105, 116, 113, 0, 112, 101, 110, 100, 105, 110, 103, 95, 119, 97, 107,
    101, 117, 112, 0, 112, 101, 110, 100, 105, 110, 103, 95, 107, 105, 108, 108, 0, 112, 101, 110,
    100, 105, 110, 103, 95, 100, 105, 115, 97, 98, 108, 101, 0, 101, 118, 101, 110, 116, 95, 108,
    105, 109, 105, 116, 0, 110, 114, 95, 102, 105, 108, 101, 95, 102, 105, 108, 116, 101, 114, 115,
    0, 112, 101, 114, 102, 95, 97, 100, 100, 114, 95, 102, 105, 108, 116, 101, 114, 115, 95, 104,
    101, 97, 100, 0, 97, 100, 100, 114, 95, 102, 105, 108, 116, 101, 114, 95, 114, 97, 110, 103,
    101, 115, 0, 112, 101, 114, 102, 95, 97, 100, 100, 114, 95, 102, 105, 108, 116, 101, 114, 95,
    114, 97, 110, 103, 101, 0, 97, 117, 120, 95, 101, 118, 101, 110, 116, 0, 111, 118, 101, 114,
    102, 108, 111, 119, 95, 104, 97, 110, 100, 108, 101, 114, 0, 112, 97, 100, 0, 99, 111, 112,
    121, 0, 112, 101, 114, 102, 95, 99, 111, 112, 121, 95, 102, 0, 112, 101, 114, 102, 95, 114, 97,
    119, 95, 102, 114, 97, 103, 0, 112, 101, 114, 102, 95, 114, 97, 119, 95, 114, 101, 99, 111,
    114, 100, 0, 98, 114, 95, 115, 116, 97, 99, 107, 0, 104, 119, 95, 105, 100, 120, 0, 116, 111,
    0, 109, 105, 115, 112, 114, 101, 100, 0, 112, 114, 101, 100, 105, 99, 116, 101, 100, 0, 105,
    110, 95, 116, 120, 0, 97, 98, 111, 114, 116, 0, 99, 121, 99, 108, 101, 115, 0, 112, 101, 114,
    102, 95, 98, 114, 97, 110, 99, 104, 95, 101, 110, 116, 114, 121, 0, 112, 101, 114, 102, 95, 98,
    114, 97, 110, 99, 104, 95, 115, 116, 97, 99, 107, 0, 116, 120, 110, 0, 100, 97, 116, 97, 95,
    115, 114, 99, 0, 109, 101, 109, 95, 111, 112, 0, 109, 101, 109, 95, 108, 118, 108, 0, 109, 101,
    109, 95, 115, 110, 111, 111, 112, 0, 109, 101, 109, 95, 108, 111, 99, 107, 0, 109, 101, 109,
    95, 100, 116, 108, 98, 0, 109, 101, 109, 95, 108, 118, 108, 95, 110, 117, 109, 0, 109, 101,
    109, 95, 114, 101, 109, 111, 116, 101, 0, 109, 101, 109, 95, 115, 110, 111, 111, 112, 120, 0,
    109, 101, 109, 95, 114, 115, 118, 100, 0, 112, 101, 114, 102, 95, 109, 101, 109, 95, 100, 97,
    116, 97, 95, 115, 114, 99, 0, 116, 105, 100, 95, 101, 110, 116, 114, 121, 0, 115, 116, 114,
    101, 97, 109, 95, 105, 100, 0, 99, 112, 117, 95, 101, 110, 116, 114, 121, 0, 99, 97, 108, 108,
    99, 104, 97, 105, 110, 0, 112, 101, 114, 102, 95, 99, 97, 108, 108, 99, 104, 97, 105, 110, 95,
    101, 110, 116, 114, 121, 0, 114, 101, 103, 115, 95, 117, 115, 101, 114, 0, 97, 98, 105, 0, 114,
    49, 53, 0, 114, 49, 52, 0, 114, 49, 51, 0, 114, 49, 50, 0, 98, 112, 0, 98, 120, 0, 114, 49, 49,
    0, 114, 49, 48, 0, 114, 57, 0, 114, 56, 0, 97, 120, 0, 99, 120, 0, 100, 120, 0, 115, 105, 0,
    100, 105, 0, 111, 114, 105, 103, 95, 97, 120, 0, 99, 115, 0, 115, 112, 0, 112, 116, 95, 114,
    101, 103, 115, 0, 112, 101, 114, 102, 95, 114, 101, 103, 115, 0, 114, 101, 103, 115, 95, 117,
    115, 101, 114, 95, 99, 111, 112, 121, 0, 114, 101, 103, 115, 95, 105, 110, 116, 114, 0, 115,
    116, 97, 99, 107, 95, 117, 115, 101, 114, 95, 115, 105, 122, 101, 0, 112, 104, 121, 115, 95,
    97, 100, 100, 114, 0, 112, 101, 114, 102, 95, 115, 97, 109, 112, 108, 101, 95, 100, 97, 116,
    97, 0, 112, 101, 114, 102, 95, 111, 118, 101, 114, 102, 108, 111, 119, 95, 104, 97, 110, 100,
    108, 101, 114, 95, 116, 0, 111, 118, 101, 114, 102, 108, 111, 119, 95, 104, 97, 110, 100, 108,
    101, 114, 95, 99, 111, 110, 116, 101, 120, 116, 0, 111, 114, 105, 103, 95, 111, 118, 101, 114,
    102, 108, 111, 119, 95, 104, 97, 110, 100, 108, 101, 114, 0, 116, 112, 95, 101, 118, 101, 110,
    116, 0, 115, 121, 115, 116, 101, 109, 0, 112, 101, 114, 102, 95, 112, 114, 111, 98, 101, 0,
    102, 105, 101, 108, 100, 115, 95, 97, 114, 114, 97, 121, 0, 105, 115, 95, 115, 105, 103, 110,
    101, 100, 0, 102, 105, 108, 116, 101, 114, 95, 116, 121, 112, 101, 0, 100, 101, 102, 105, 110,
    101, 95, 102, 105, 101, 108, 100, 115, 0, 116, 114, 97, 99, 101, 95, 101, 118, 101, 110, 116,
    95, 102, 105, 101, 108, 100, 115, 0, 103, 101, 116, 95, 102, 105, 101, 108, 100, 115, 0, 102,
    105, 101, 108, 100, 115, 0, 114, 97, 119, 95, 105, 110, 105, 116, 0, 116, 114, 97, 99, 101, 95,
    101, 118, 101, 110, 116, 95, 99, 108, 97, 115, 115, 0, 116, 112, 0, 106, 117, 109, 112, 95,
    101, 110, 116, 114, 121, 0, 109, 111, 100, 0, 115, 116, 97, 116, 105, 99, 95, 107, 101, 121,
    95, 109, 111, 100, 0, 115, 116, 97, 116, 105, 99, 95, 107, 101, 121, 0, 114, 101, 103, 102,
    117, 110, 99, 0, 117, 110, 114, 101, 103, 102, 117, 110, 99, 0, 102, 117, 110, 99, 115, 0, 116,
    114, 97, 99, 101, 112, 111, 105, 110, 116, 95, 102, 117, 110, 99, 0, 116, 114, 97, 99, 101,
    112, 111, 105, 110, 116, 0, 116, 114, 97, 99, 101, 0, 116, 114, 0, 97, 114, 114, 97, 121, 95,
    98, 117, 102, 102, 101, 114, 0, 116, 114, 97, 99, 101, 95, 98, 117, 102, 102, 101, 114, 0, 98,
    117, 102, 102, 101, 114, 95, 112, 97, 103, 101, 0, 115, 97, 118, 101, 100, 95, 108, 97, 116,
    101, 110, 99, 121, 0, 99, 114, 105, 116, 105, 99, 97, 108, 95, 115, 116, 97, 114, 116, 0, 99,
    114, 105, 116, 105, 99, 97, 108, 95, 101, 110, 100, 0, 99, 114, 105, 116, 105, 99, 97, 108, 95,
    115, 101, 113, 117, 101, 110, 99, 101, 0, 115, 107, 105, 112, 112, 101, 100, 95, 101, 110, 116,
    114, 105, 101, 115, 0, 112, 114, 101, 101, 109, 112, 116, 95, 116, 105, 109, 101, 115, 116, 97,
    109, 112, 0, 102, 116, 114, 97, 99, 101, 95, 105, 103, 110, 111, 114, 101, 95, 112, 105, 100,
    0, 105, 103, 110, 111, 114, 101, 95, 112, 105, 100, 0, 116, 114, 97, 99, 101, 95, 97, 114, 114,
    97, 121, 95, 99, 112, 117, 0, 116, 105, 109, 101, 95, 115, 116, 97, 114, 116, 0, 109, 97, 120,
    95, 98, 117, 102, 102, 101, 114, 0, 97, 108, 108, 111, 99, 97, 116, 101, 100, 95, 115, 110, 97,
    112, 115, 104, 111, 116, 0, 109, 97, 120, 95, 108, 97, 116, 101, 110, 99, 121, 0, 100, 95, 109,
    97, 120, 95, 108, 97, 116, 101, 110, 99, 121, 0, 102, 115, 110, 111, 116, 105, 102, 121, 95,
    119, 111, 114, 107, 0, 102, 115, 110, 111, 116, 105, 102, 121, 95, 105, 114, 113, 119, 111,
    114, 107, 0, 102, 105, 108, 116, 101, 114, 101, 100, 95, 112, 105, 100, 115, 0, 112, 105, 100,
    95, 109, 97, 120, 0, 116, 114, 97, 99, 101, 95, 112, 105, 100, 95, 108, 105, 115, 116, 0, 102,
    105, 108, 116, 101, 114, 101, 100, 95, 110, 111, 95, 112, 105, 100, 115, 0, 109, 97, 120, 95,
    108, 111, 99, 107, 0, 98, 117, 102, 102, 101, 114, 95, 100, 105, 115, 97, 98, 108, 101, 100, 0,
    115, 121, 115, 95, 114, 101, 102, 99, 111, 117, 110, 116, 95, 101, 110, 116, 101, 114, 0, 115,
    121, 115, 95, 114, 101, 102, 99, 111, 117, 110, 116, 95, 101, 120, 105, 116, 0, 101, 110, 116,
    101, 114, 95, 115, 121, 115, 99, 97, 108, 108, 95, 102, 105, 108, 101, 115, 0, 101, 118, 101,
    110, 116, 95, 99, 97, 108, 108, 0, 119, 104, 101, 110, 95, 116, 111, 95, 98, 114, 97, 110, 99,
    104, 0, 112, 114, 101, 100, 0, 102, 105, 108, 116, 101, 114, 95, 112, 114, 101, 100, 95, 102,
    110, 95, 116, 0, 114, 101, 103, 101, 120, 0, 112, 97, 116, 116, 101, 114, 110, 0, 102, 105,
    101, 108, 100, 95, 108, 101, 110, 0, 114, 101, 103, 101, 120, 95, 109, 97, 116, 99, 104, 95,
    102, 117, 110, 99, 0, 102, 105, 101, 108, 100, 0, 102, 116, 114, 97, 99, 101, 95, 101, 118,
    101, 110, 116, 95, 102, 105, 101, 108, 100, 0, 110, 111, 116, 0, 102, 105, 108, 116, 101, 114,
    95, 112, 114, 101, 100, 0, 112, 114, 111, 103, 95, 101, 110, 116, 114, 121, 0, 102, 105, 108,
    116, 101, 114, 95, 115, 116, 114, 105, 110, 103, 0, 101, 118, 101, 110, 116, 95, 102, 105, 108,
    116, 101, 114, 0, 115, 117, 98, 115, 121, 115, 116, 101, 109, 0, 114, 101, 102, 95, 99, 111,
    117, 110, 116, 0, 101, 118, 101, 110, 116, 95, 115, 117, 98, 115, 121, 115, 116, 101, 109, 0,
    116, 114, 97, 99, 101, 95, 115, 117, 98, 115, 121, 115, 116, 101, 109, 95, 100, 105, 114, 0,
    115, 109, 95, 114, 101, 102, 0, 116, 109, 95, 114, 101, 102, 0, 116, 114, 97, 99, 101, 95, 101,
    118, 101, 110, 116, 95, 102, 105, 108, 101, 0, 101, 120, 105, 116, 95, 115, 121, 115, 99, 97,
    108, 108, 95, 102, 105, 108, 101, 115, 0, 115, 116, 111, 112, 95, 99, 111, 117, 110, 116, 0,
    99, 108, 111, 99, 107, 95, 105, 100, 0, 110, 114, 95, 116, 111, 112, 116, 115, 0, 99, 108, 101,
    97, 114, 95, 116, 114, 97, 99, 101, 0, 98, 117, 102, 102, 101, 114, 95, 112, 101, 114, 99, 101,
    110, 116, 0, 110, 95, 101, 114, 114, 95, 108, 111, 103, 95, 101, 110, 116, 114, 105, 101, 115,
    0, 99, 117, 114, 114, 101, 110, 116, 95, 116, 114, 97, 99, 101, 0, 117, 112, 100, 97, 116, 101,
    95, 116, 104, 114, 101, 115, 104, 0, 112, 105, 112, 101, 95, 111, 112, 101, 110, 0, 112, 105,
    112, 101, 95, 99, 108, 111, 115, 101, 0, 115, 112, 108, 105, 99, 101, 95, 114, 101, 97, 100, 0,
    112, 114, 105, 110, 116, 95, 104, 101, 97, 100, 101, 114, 0, 112, 114, 105, 110, 116, 95, 108,
    105, 110, 101, 0, 115, 101, 116, 95, 102, 108, 97, 103, 0, 102, 108, 97, 103, 95, 99, 104, 97,
    110, 103, 101, 100, 0, 111, 112, 116, 115, 0, 98, 105, 116, 0, 116, 114, 97, 99, 101, 114, 95,
    111, 112, 116, 0, 116, 114, 97, 99, 101, 114, 95, 102, 108, 97, 103, 115, 0, 112, 114, 105,
    110, 116, 95, 109, 97, 120, 0, 97, 108, 108, 111, 119, 95, 105, 110, 115, 116, 97, 110, 99,
    101, 115, 0, 117, 115, 101, 95, 109, 97, 120, 95, 116, 114, 0, 110, 111, 98, 111, 111, 116, 0,
    116, 114, 97, 99, 101, 114, 0, 116, 114, 97, 99, 101, 95, 102, 108, 97, 103, 115, 0, 116, 114,
    97, 99, 101, 95, 102, 108, 97, 103, 115, 95, 105, 110, 100, 101, 120, 0, 115, 116, 97, 114,
    116, 95, 108, 111, 99, 107, 0, 101, 114, 114, 95, 108, 111, 103, 0, 112, 101, 114, 99, 112,
    117, 95, 100, 105, 114, 0, 101, 118, 101, 110, 116, 95, 100, 105, 114, 0, 116, 111, 112, 116,
    115, 0, 111, 112, 116, 0, 116, 114, 97, 99, 101, 95, 111, 112, 116, 105, 111, 110, 95, 100,
    101, 110, 116, 114, 121, 0, 116, 114, 97, 99, 101, 95, 111, 112, 116, 105, 111, 110, 115, 0,
    115, 121, 115, 116, 101, 109, 115, 0, 116, 114, 97, 99, 101, 95, 109, 97, 114, 107, 101, 114,
    95, 102, 105, 108, 101, 0, 116, 114, 97, 99, 105, 110, 103, 95, 99, 112, 117, 109, 97, 115,
    107, 0, 116, 114, 97, 99, 101, 95, 114, 101, 102, 0, 102, 116, 114, 97, 99, 101, 95, 102, 117,
    110, 99, 95, 116, 0, 115, 97, 118, 101, 100, 95, 102, 117, 110, 99, 0, 108, 111, 99, 97, 108,
    95, 104, 97, 115, 104, 0, 110, 111, 116, 114, 97, 99, 101, 95, 104, 97, 115, 104, 0, 115, 105,
    122, 101, 95, 98, 105, 116, 115, 0, 102, 116, 114, 97, 99, 101, 95, 104, 97, 115, 104, 0, 102,
    105, 108, 116, 101, 114, 95, 104, 97, 115, 104, 0, 114, 101, 103, 101, 120, 95, 108, 111, 99,
    107, 0, 102, 116, 114, 97, 99, 101, 95, 111, 112, 115, 95, 104, 97, 115, 104, 0, 102, 117, 110,
    99, 95, 104, 97, 115, 104, 0, 111, 108, 100, 95, 104, 97, 115, 104, 0, 116, 114, 97, 109, 112,
    111, 108, 105, 110, 101, 95, 115, 105, 122, 101, 0, 102, 116, 114, 97, 99, 101, 95, 111, 112,
    115, 0, 102, 117, 110, 99, 116, 105, 111, 110, 95, 112, 105, 100, 115, 0, 102, 117, 110, 99,
    116, 105, 111, 110, 95, 110, 111, 95, 112, 105, 100, 115, 0, 102, 117, 110, 99, 95, 112, 114,
    111, 98, 101, 115, 0, 109, 111, 100, 95, 116, 114, 97, 99, 101, 0, 109, 111, 100, 95, 110, 111,
    116, 114, 97, 99, 101, 0, 102, 117, 110, 99, 116, 105, 111, 110, 95, 101, 110, 97, 98, 108,
    101, 100, 0, 116, 105, 109, 101, 95, 115, 116, 97, 109, 112, 95, 97, 98, 115, 95, 114, 101,
    102, 0, 104, 105, 115, 116, 95, 118, 97, 114, 115, 0, 99, 111, 110, 100, 95, 115, 110, 97, 112,
    115, 104, 111, 116, 0, 99, 111, 110, 100, 95, 100, 97, 116, 97, 0, 99, 111, 110, 100, 95, 117,
    112, 100, 97, 116, 101, 95, 102, 110, 95, 116, 0, 116, 114, 97, 99, 101, 95, 97, 114, 114, 97,
    121, 0, 99, 112, 117, 95, 102, 105, 108, 101, 0, 98, 117, 102, 102, 101, 114, 95, 105, 116,
    101, 114, 0, 99, 112, 117, 95, 98, 117, 102, 102, 101, 114, 0, 114, 101, 99, 111, 114, 100, 95,
    100, 105, 115, 97, 98, 108, 101, 100, 0, 114, 101, 115, 105, 122, 101, 95, 100, 105, 115, 97,
    98, 108, 101, 100, 0, 114, 101, 97, 100, 101, 114, 95, 108, 111, 99, 107, 95, 107, 101, 121, 0,
    98, 117, 102, 102, 101, 114, 115, 0, 102, 117, 108, 108, 95, 119, 97, 105, 116, 101, 114, 115,
    0, 119, 97, 105, 116, 101, 114, 115, 95, 112, 101, 110, 100, 105, 110, 103, 0, 102, 117, 108,
    108, 95, 119, 97, 105, 116, 101, 114, 115, 95, 112, 101, 110, 100, 105, 110, 103, 0, 119, 97,
    107, 101, 117, 112, 95, 102, 117, 108, 108, 0, 114, 98, 95, 105, 114, 113, 95, 119, 111, 114,
    107, 0, 116, 105, 109, 101, 95, 115, 116, 97, 109, 112, 95, 97, 98, 115, 0, 116, 114, 97, 99,
    101, 95, 98, 117, 102, 102, 101, 114, 95, 95, 95, 50, 0, 114, 101, 97, 100, 101, 114, 95, 108,
    111, 99, 107, 0, 102, 114, 101, 101, 95, 112, 97, 103, 101, 0, 116, 105, 109, 101, 95, 115,
    116, 97, 109, 112, 0, 98, 117, 102, 102, 101, 114, 95, 100, 97, 116, 97, 95, 112, 97, 103, 101,
    0, 99, 117, 114, 114, 101, 110, 116, 95, 99, 111, 110, 116, 101, 120, 116, 0, 104, 101, 97,
    100, 95, 112, 97, 103, 101, 0, 114, 101, 97, 108, 95, 101, 110, 100, 0, 116, 97, 105, 108, 95,
    112, 97, 103, 101, 0, 99, 111, 109, 109, 105, 116, 95, 112, 97, 103, 101, 0, 114, 101, 97, 100,
    101, 114, 95, 112, 97, 103, 101, 0, 108, 111, 115, 116, 95, 101, 118, 101, 110, 116, 115, 0,
    108, 97, 115, 116, 95, 111, 118, 101, 114, 114, 117, 110, 0, 101, 110, 116, 114, 105, 101, 115,
    95, 98, 121, 116, 101, 115, 0, 99, 111, 109, 109, 105, 116, 95, 111, 118, 101, 114, 114, 117,
    110, 0, 100, 114, 111, 112, 112, 101, 100, 95, 101, 118, 101, 110, 116, 115, 0, 99, 111, 109,
    109, 105, 116, 116, 105, 110, 103, 0, 99, 111, 109, 109, 105, 116, 115, 0, 112, 97, 103, 101,
    115, 95, 116, 111, 117, 99, 104, 101, 100, 0, 112, 97, 103, 101, 115, 95, 114, 101, 97, 100, 0,
    108, 97, 115, 116, 95, 112, 97, 103, 101, 115, 95, 116, 111, 117, 99, 104, 0, 115, 104, 111,
    114, 116, 101, 115, 116, 95, 102, 117, 108, 108, 0, 119, 114, 105, 116, 101, 95, 115, 116, 97,
    109, 112, 0, 114, 98, 95, 116, 105, 109, 101, 95, 115, 116, 114, 117, 99, 116, 0, 114, 98, 95,
    116, 105, 109, 101, 95, 116, 0, 98, 101, 102, 111, 114, 101, 95, 115, 116, 97, 109, 112, 0,
    114, 101, 97, 100, 95, 115, 116, 97, 109, 112, 0, 110, 114, 95, 112, 97, 103, 101, 115, 95,
    116, 111, 95, 117, 112, 100, 97, 116, 101, 0, 110, 101, 119, 95, 112, 97, 103, 101, 115, 0,
    117, 112, 100, 97, 116, 101, 95, 112, 97, 103, 101, 115, 95, 119, 111, 114, 107, 0, 117, 112,
    100, 97, 116, 101, 95, 100, 111, 110, 101, 0, 114, 105, 110, 103, 95, 98, 117, 102, 102, 101,
    114, 95, 112, 101, 114, 95, 99, 112, 117, 0, 110, 101, 120, 116, 95, 101, 118, 101, 110, 116,
    0, 99, 97, 99, 104, 101, 95, 114, 101, 97, 100, 101, 114, 95, 112, 97, 103, 101, 0, 99, 97, 99,
    104, 101, 95, 114, 101, 97, 100, 0, 112, 97, 103, 101, 95, 115, 116, 97, 109, 112, 0, 116, 105,
    109, 101, 95, 100, 101, 108, 116, 97, 0, 97, 114, 114, 97, 121, 0, 114, 105, 110, 103, 95, 98,
    117, 102, 102, 101, 114, 95, 101, 118, 101, 110, 116, 0, 109, 105, 115, 115, 101, 100, 95, 101,
    118, 101, 110, 116, 115, 0, 114, 105, 110, 103, 95, 98, 117, 102, 102, 101, 114, 95, 105, 116,
    101, 114, 0, 105, 116, 101, 114, 95, 102, 108, 97, 103, 115, 0, 116, 101, 109, 112, 0, 116,
    101, 109, 112, 95, 115, 105, 122, 101, 0, 116, 109, 112, 95, 115, 101, 113, 0, 114, 101, 97,
    100, 112, 111, 115, 0, 115, 101, 113, 95, 98, 117, 102, 0, 116, 114, 97, 99, 101, 95, 115, 101,
    113, 0, 115, 116, 97, 114, 116, 101, 100, 0, 115, 110, 97, 112, 115, 104, 111, 116, 0, 101,
    110, 116, 0, 112, 114, 101, 101, 109, 112, 116, 95, 99, 111, 117, 110, 116, 0, 116, 114, 97,
    99, 101, 95, 101, 110, 116, 114, 121, 0, 108, 101, 102, 116, 111, 118, 101, 114, 0, 101, 110,
    116, 95, 115, 105, 122, 101, 0, 116, 115, 0, 116, 114, 97, 99, 101, 95, 105, 116, 101, 114, 97,
    116, 111, 114, 0, 116, 114, 97, 99, 101, 95, 112, 114, 105, 110, 116, 95, 102, 117, 110, 99, 0,
    104, 101, 120, 0, 98, 105, 110, 97, 114, 121, 0, 116, 114, 97, 99, 101, 95, 101, 118, 101, 110,
    116, 95, 102, 117, 110, 99, 116, 105, 111, 110, 115, 0, 116, 114, 97, 99, 101, 95, 101, 118,
    101, 110, 116, 0, 112, 114, 105, 110, 116, 95, 102, 109, 116, 0, 112, 101, 114, 102, 95, 114,
    101, 102, 99, 111, 117, 110, 116, 0, 112, 101, 114, 102, 95, 101, 118, 101, 110, 116, 115, 0,
    112, 114, 111, 103, 95, 97, 114, 114, 97, 121, 0, 112, 101, 114, 102, 95, 112, 101, 114, 109,
    0, 116, 114, 97, 99, 101, 95, 101, 118, 101, 110, 116, 95, 99, 97, 108, 108, 0, 115, 98, 95,
    108, 105, 115, 116, 0, 112, 101, 114, 102, 95, 101, 118, 101, 110, 116, 0, 104, 101, 97, 112,
    95, 100, 101, 102, 97, 117, 108, 116, 0, 112, 101, 114, 102, 95, 99, 112, 117, 95, 99, 111,
    110, 116, 101, 120, 116, 0, 101, 120, 99, 108, 117, 115, 105, 118, 101, 95, 99, 110, 116, 0,
    116, 97, 115, 107, 95, 99, 116, 120, 95, 110, 114, 0, 104, 114, 116, 105, 109, 101, 114, 95,
    105, 110, 116, 101, 114, 118, 97, 108, 95, 109, 115, 0, 110, 114, 95, 97, 100, 100, 114, 95,
    102, 105, 108, 116, 101, 114, 115, 0, 112, 109, 117, 95, 101, 110, 97, 98, 108, 101, 0, 112,
    109, 117, 95, 100, 105, 115, 97, 98, 108, 101, 0, 101, 118, 101, 110, 116, 95, 105, 110, 105,
    116, 0, 101, 118, 101, 110, 116, 95, 109, 97, 112, 112, 101, 100, 0, 101, 118, 101, 110, 116,
    95, 117, 110, 109, 97, 112, 112, 101, 100, 0, 97, 100, 100, 0, 100, 101, 108, 0, 115, 116, 97,
    114, 116, 95, 116, 120, 110, 0, 99, 111, 109, 109, 105, 116, 95, 116, 120, 110, 0, 99, 97, 110,
    99, 101, 108, 95, 116, 120, 110, 0, 101, 118, 101, 110, 116, 95, 105, 100, 120, 0, 115, 99,
    104, 101, 100, 95, 116, 97, 115, 107, 0, 116, 97, 115, 107, 95, 99, 116, 120, 95, 99, 97, 99,
    104, 101, 0, 115, 119, 97, 112, 95, 116, 97, 115, 107, 95, 99, 116, 120, 0, 115, 101, 116, 117,
    112, 95, 97, 117, 120, 0, 115, 110, 97, 112, 115, 104, 111, 116, 95, 97, 117, 120, 0, 97, 117,
    120, 95, 102, 108, 97, 103, 115, 0, 112, 101, 114, 102, 95, 111, 117, 116, 112, 117, 116, 95,
    104, 97, 110, 100, 108, 101, 0, 97, 100, 100, 114, 95, 102, 105, 108, 116, 101, 114, 115, 95,
    118, 97, 108, 105, 100, 97, 116, 101, 0, 97, 100, 100, 114, 95, 102, 105, 108, 116, 101, 114,
    115, 95, 115, 121, 110, 99, 0, 97, 117, 120, 95, 111, 117, 116, 112, 117, 116, 95, 109, 97,
    116, 99, 104, 0, 102, 105, 108, 116, 101, 114, 95, 109, 97, 116, 99, 104, 0, 99, 104, 101, 99,
    107, 95, 112, 101, 114, 105, 111, 100, 0, 97, 99, 116, 105, 118, 101, 95, 99, 116, 120, 95,
    108, 105, 115, 116, 0, 112, 105, 110, 110, 101, 100, 95, 103, 114, 111, 117, 112, 115, 0, 116,
    114, 101, 101, 0, 112, 101, 114, 102, 95, 101, 118, 101, 110, 116, 95, 103, 114, 111, 117, 112,
    115, 0, 102, 108, 101, 120, 105, 98, 108, 101, 95, 103, 114, 111, 117, 112, 115, 0, 112, 105,
    110, 110, 101, 100, 95, 97, 99, 116, 105, 118, 101, 0, 102, 108, 101, 120, 105, 98, 108, 101,
    95, 97, 99, 116, 105, 118, 101, 0, 105, 115, 95, 97, 99, 116, 105, 118, 101, 0, 110, 114, 95,
    115, 116, 97, 116, 0, 110, 114, 95, 102, 114, 101, 113, 0, 114, 111, 116, 97, 116, 101, 95,
    100, 105, 115, 97, 98, 108, 101, 0, 114, 111, 116, 97, 116, 101, 95, 110, 101, 99, 101, 115,
    115, 97, 114, 121, 0, 112, 97, 114, 101, 110, 116, 95, 99, 116, 120, 0, 112, 97, 114, 101, 110,
    116, 95, 103, 101, 110, 0, 103, 101, 110, 101, 114, 97, 116, 105, 111, 110, 0, 112, 105, 110,
    95, 99, 111, 117, 110, 116, 0, 110, 114, 95, 99, 103, 114, 111, 117, 112, 115, 0, 116, 97, 115,
    107, 95, 99, 116, 120, 95, 100, 97, 116, 97, 0, 112, 101, 114, 102, 95, 101, 118, 101, 110,
    116, 95, 99, 111, 110, 116, 101, 120, 116, 0, 112, 101, 114, 102, 95, 101, 118, 101, 110, 116,
    95, 109, 117, 116, 101, 120, 0, 112, 101, 114, 102, 95, 101, 118, 101, 110, 116, 95, 108, 105,
    115, 116, 0, 112, 114, 101, 101, 109, 112, 116, 95, 100, 105, 115, 97, 98, 108, 101, 95, 105,
    112, 0, 105, 108, 95, 112, 114, 101, 118, 0, 112, 114, 101, 102, 95, 110, 111, 100, 101, 95,
    102, 111, 114, 107, 0, 110, 117, 109, 97, 95, 115, 99, 97, 110, 95, 115, 101, 113, 0, 110, 117,
    109, 97, 95, 115, 99, 97, 110, 95, 112, 101, 114, 105, 111, 100, 0, 110, 117, 109, 97, 95, 115,
    99, 97, 110, 95, 112, 101, 114, 105, 111, 100, 95, 109, 97, 120, 0, 110, 117, 109, 97, 95, 112,
    114, 101, 102, 101, 114, 114, 101, 100, 95, 110, 105, 100, 0, 110, 117, 109, 97, 95, 109, 105,
    103, 114, 97, 116, 101, 95, 114, 101, 116, 114, 121, 0, 110, 111, 100, 101, 95, 115, 116, 97,
    109, 112, 0, 108, 97, 115, 116, 95, 116, 97, 115, 107, 95, 110, 117, 109, 97, 95, 112, 108, 97,
    99, 101, 109, 101, 110, 116, 0, 108, 97, 115, 116, 95, 115, 117, 109, 95, 101, 120, 101, 99,
    95, 114, 117, 110, 116, 105, 109, 101, 0, 110, 117, 109, 97, 95, 119, 111, 114, 107, 0, 110,
    117, 109, 97, 95, 103, 114, 111, 117, 112, 0, 97, 99, 116, 105, 118, 101, 95, 110, 111, 100,
    101, 115, 0, 116, 111, 116, 97, 108, 95, 102, 97, 117, 108, 116, 115, 0, 109, 97, 120, 95, 102,
    97, 117, 108, 116, 115, 95, 99, 112, 117, 0, 102, 97, 117, 108, 116, 115, 95, 99, 112, 117, 0,
    110, 117, 109, 97, 95, 102, 97, 117, 108, 116, 115, 0, 116, 111, 116, 97, 108, 95, 110, 117,
    109, 97, 95, 102, 97, 117, 108, 116, 115, 0, 110, 117, 109, 97, 95, 102, 97, 117, 108, 116,
    115, 95, 108, 111, 99, 97, 108, 105, 116, 121, 0, 110, 117, 109, 97, 95, 112, 97, 103, 101,
    115, 95, 109, 105, 103, 114, 97, 116, 101, 100, 0, 114, 115, 101, 113, 0, 99, 112, 117, 95,
    105, 100, 95, 115, 116, 97, 114, 116, 0, 99, 112, 117, 95, 105, 100, 0, 114, 115, 101, 113, 95,
    99, 115, 0, 112, 116, 114, 54, 52, 0, 114, 115, 101, 113, 95, 115, 105, 103, 0, 114, 115, 101,
    113, 95, 101, 118, 101, 110, 116, 95, 109, 97, 115, 107, 0, 116, 108, 98, 95, 117, 98, 99, 0,
    97, 114, 99, 104, 95, 116, 108, 98, 102, 108, 117, 115, 104, 95, 117, 110, 109, 97, 112, 95,
    98, 97, 116, 99, 104, 0, 102, 108, 117, 115, 104, 95, 114, 101, 113, 117, 105, 114, 101, 100,
    0, 119, 114, 105, 116, 97, 98, 108, 101, 0, 116, 108, 98, 102, 108, 117, 115, 104, 95, 117,
    110, 109, 97, 112, 95, 98, 97, 116, 99, 104, 0, 114, 99, 117, 95, 117, 115, 101, 114, 115, 0,
    115, 112, 108, 105, 99, 101, 95, 112, 105, 112, 101, 0, 116, 97, 115, 107, 95, 102, 114, 97,
    103, 0, 100, 101, 108, 97, 121, 115, 0, 98, 108, 107, 105, 111, 95, 115, 116, 97, 114, 116, 0,
    98, 108, 107, 105, 111, 95, 100, 101, 108, 97, 121, 0, 115, 119, 97, 112, 105, 110, 95, 100,
    101, 108, 97, 121, 0, 102, 114, 101, 101, 112, 97, 103, 101, 115, 95, 115, 116, 97, 114, 116,
    0, 102, 114, 101, 101, 112, 97, 103, 101, 115, 95, 100, 101, 108, 97, 121, 0, 116, 104, 114,
    97, 115, 104, 105, 110, 103, 95, 115, 116, 97, 114, 116, 0, 116, 104, 114, 97, 115, 104, 105,
    110, 103, 95, 100, 101, 108, 97, 121, 0, 116, 97, 115, 107, 95, 100, 101, 108, 97, 121, 95,
    105, 110, 102, 111, 0, 110, 114, 95, 100, 105, 114, 116, 105, 101, 100, 0, 110, 114, 95, 100,
    105, 114, 116, 105, 101, 100, 95, 112, 97, 117, 115, 101, 0, 100, 105, 114, 116, 121, 95, 112,
    97, 117, 115, 101, 100, 95, 119, 104, 101, 110, 0, 108, 97, 116, 101, 110, 99, 121, 95, 114,
    101, 99, 111, 114, 100, 95, 99, 111, 117, 110, 116, 0, 108, 97, 116, 101, 110, 99, 121, 95,
    114, 101, 99, 111, 114, 100, 0, 98, 97, 99, 107, 116, 114, 97, 99, 101, 0, 116, 105, 109, 101,
    114, 95, 115, 108, 97, 99, 107, 95, 110, 115, 0, 100, 101, 102, 97, 117, 108, 116, 95, 116,
    105, 109, 101, 114, 95, 115, 108, 97, 99, 107, 95, 110, 115, 0, 99, 117, 114, 114, 95, 114,
    101, 116, 95, 115, 116, 97, 99, 107, 0, 99, 117, 114, 114, 95, 114, 101, 116, 95, 100, 101,
    112, 116, 104, 0, 114, 101, 116, 95, 115, 116, 97, 99, 107, 0, 99, 97, 108, 108, 116, 105, 109,
    101, 0, 115, 117, 98, 116, 105, 109, 101, 0, 114, 101, 116, 112, 0, 102, 116, 114, 97, 99, 101,
    95, 114, 101, 116, 95, 115, 116, 97, 99, 107, 0, 102, 116, 114, 97, 99, 101, 95, 116, 105, 109,
    101, 115, 116, 97, 109, 112, 0, 116, 114, 97, 99, 101, 95, 111, 118, 101, 114, 114, 117, 110,
    0, 116, 114, 97, 99, 105, 110, 103, 95, 103, 114, 97, 112, 104, 95, 112, 97, 117, 115, 101, 0,
    116, 114, 97, 99, 101, 95, 114, 101, 99, 117, 114, 115, 105, 111, 110, 0, 109, 101, 109, 99,
    103, 95, 105, 110, 95, 111, 111, 109, 0, 109, 101, 109, 95, 99, 103, 114, 111, 117, 112, 95,
    105, 100, 0, 108, 111, 119, 0, 101, 109, 105, 110, 0, 109, 105, 110, 95, 117, 115, 97, 103,
    101, 0, 99, 104, 105, 108, 100, 114, 101, 110, 95, 109, 105, 110, 95, 117, 115, 97, 103, 101,
    0, 101, 108, 111, 119, 0, 108, 111, 119, 95, 117, 115, 97, 103, 101, 0, 99, 104, 105, 108, 100,
    114, 101, 110, 95, 108, 111, 119, 95, 117, 115, 97, 103, 101, 0, 102, 97, 105, 108, 99, 110,
    116, 0, 112, 97, 103, 101, 95, 99, 111, 117, 110, 116, 101, 114, 0, 115, 119, 97, 112, 0, 109,
    101, 109, 115, 119, 0, 107, 109, 101, 109, 0, 116, 99, 112, 109, 101, 109, 0, 104, 105, 103,
    104, 95, 119, 111, 114, 107, 0, 115, 111, 102, 116, 95, 108, 105, 109, 105, 116, 0, 118, 109,
    112, 114, 101, 115, 115, 117, 114, 101, 0, 115, 99, 97, 110, 110, 101, 100, 0, 114, 101, 99,
    108, 97, 105, 109, 101, 100, 0, 116, 114, 101, 101, 95, 115, 99, 97, 110, 110, 101, 100, 0,
    116, 114, 101, 101, 95, 114, 101, 99, 108, 97, 105, 109, 101, 100, 0, 115, 114, 95, 108, 111,
    99, 107, 0, 101, 118, 101, 110, 116, 115, 95, 108, 111, 99, 107, 0, 117, 115, 101, 95, 104,
    105, 101, 114, 97, 114, 99, 104, 121, 0, 111, 111, 109, 95, 103, 114, 111, 117, 112, 0, 111,
    111, 109, 95, 108, 111, 99, 107, 0, 117, 110, 100, 101, 114, 95, 111, 111, 109, 0, 115, 119,
    97, 112, 112, 105, 110, 101, 115, 115, 0, 111, 111, 109, 95, 107, 105, 108, 108, 95, 100, 105,
    115, 97, 98, 108, 101, 0, 101, 118, 101, 110, 116, 115, 95, 108, 111, 99, 97, 108, 95, 102,
    105, 108, 101, 0, 115, 119, 97, 112, 95, 101, 118, 101, 110, 116, 115, 95, 102, 105, 108, 101,
    0, 116, 104, 114, 101, 115, 104, 111, 108, 100, 115, 95, 108, 111, 99, 107, 0, 116, 104, 114,
    101, 115, 104, 111, 108, 100, 115, 0, 99, 117, 114, 114, 101, 110, 116, 95, 116, 104, 114, 101,
    115, 104, 111, 108, 100, 0, 101, 118, 101, 110, 116, 102, 100, 0, 101, 118, 101, 110, 116, 102,
    100, 95, 99, 116, 120, 0, 116, 104, 114, 101, 115, 104, 111, 108, 100, 0, 109, 101, 109, 95,
    99, 103, 114, 111, 117, 112, 95, 116, 104, 114, 101, 115, 104, 111, 108, 100, 0, 109, 101, 109,
    95, 99, 103, 114, 111, 117, 112, 95, 116, 104, 114, 101, 115, 104, 111, 108, 100, 95, 97, 114,
    121, 0, 109, 101, 109, 95, 99, 103, 114, 111, 117, 112, 95, 116, 104, 114, 101, 115, 104, 111,
    108, 100, 115, 0, 109, 101, 109, 115, 119, 95, 116, 104, 114, 101, 115, 104, 111, 108, 100,
    115, 0, 111, 111, 109, 95, 110, 111, 116, 105, 102, 121, 0, 109, 111, 118, 101, 95, 99, 104,
    97, 114, 103, 101, 95, 97, 116, 95, 105, 109, 109, 105, 103, 114, 97, 116, 101, 0, 109, 111,
    118, 101, 95, 108, 111, 99, 107, 0, 109, 111, 118, 101, 95, 108, 111, 99, 107, 95, 102, 108,
    97, 103, 115, 0, 109, 101, 109, 99, 103, 95, 112, 97, 100, 100, 105, 110, 103, 0, 109, 111,
    118, 105, 110, 103, 95, 97, 99, 99, 111, 117, 110, 116, 0, 109, 111, 118, 101, 95, 108, 111,
    99, 107, 95, 116, 97, 115, 107, 0, 118, 109, 115, 116, 97, 116, 115, 95, 108, 111, 99, 97, 108,
    0, 110, 114, 95, 112, 97, 103, 101, 95, 101, 118, 101, 110, 116, 115, 0, 116, 97, 114, 103,
    101, 116, 115, 0, 109, 101, 109, 99, 103, 95, 118, 109, 115, 116, 97, 116, 115, 95, 112, 101,
    114, 99, 112, 117, 0, 118, 109, 115, 116, 97, 116, 115, 95, 112, 101, 114, 99, 112, 117, 0,
    118, 109, 115, 116, 97, 116, 115, 0, 118, 109, 101, 118, 101, 110, 116, 115, 0, 109, 101, 109,
    111, 114, 121, 95, 101, 118, 101, 110, 116, 115, 0, 109, 101, 109, 111, 114, 121, 95, 101, 118,
    101, 110, 116, 115, 95, 108, 111, 99, 97, 108, 0, 115, 111, 99, 107, 101, 116, 95, 112, 114,
    101, 115, 115, 117, 114, 101, 0, 116, 99, 112, 109, 101, 109, 95, 97, 99, 116, 105, 118, 101,
    0, 116, 99, 112, 109, 101, 109, 95, 112, 114, 101, 115, 115, 117, 114, 101, 0, 107, 109, 101,
    109, 99, 103, 95, 105, 100, 0, 107, 109, 101, 109, 95, 115, 116, 97, 116, 101, 0, 111, 98, 106,
    99, 103, 0, 109, 101, 109, 99, 103, 0, 110, 114, 95, 99, 104, 97, 114, 103, 101, 100, 95, 98,
    121, 116, 101, 115, 0, 111, 98, 106, 95, 99, 103, 114, 111, 117, 112, 0, 111, 98, 106, 99, 103,
    95, 108, 105, 115, 116, 0, 99, 103, 119, 98, 95, 100, 111, 109, 97, 105, 110, 0, 102, 112, 114,
    111, 112, 95, 103, 108, 111, 98, 97, 108, 0, 112, 101, 114, 105, 111, 100, 95, 116, 105, 109,
    101, 0, 100, 105, 114, 116, 121, 95, 108, 105, 109, 105, 116, 95, 116, 115, 116, 97, 109, 112,
    0, 100, 105, 114, 116, 121, 95, 108, 105, 109, 105, 116, 0, 119, 98, 95, 100, 111, 109, 97,
    105, 110, 0, 99, 103, 119, 98, 95, 102, 114, 110, 0, 98, 100, 105, 95, 105, 100, 0, 109, 101,
    109, 99, 103, 95, 105, 100, 0, 97, 116, 0, 119, 98, 95, 99, 111, 109, 112, 108, 101, 116, 105,
    111, 110, 0, 109, 101, 109, 99, 103, 95, 99, 103, 119, 98, 95, 102, 114, 110, 0, 101, 118, 101,
    110, 116, 95, 108, 105, 115, 116, 95, 108, 111, 99, 107, 0, 110, 111, 100, 101, 105, 110, 102,
    111, 0, 108, 114, 117, 118, 101, 99, 95, 115, 116, 97, 116, 95, 108, 111, 99, 97, 108, 0, 108,
    114, 117, 118, 101, 99, 95, 115, 116, 97, 116, 0, 108, 114, 117, 118, 101, 99, 95, 115, 116,
    97, 116, 95, 99, 112, 117, 0, 108, 114, 117, 95, 122, 111, 110, 101, 95, 115, 105, 122, 101, 0,
    105, 116, 101, 114, 0, 112, 111, 115, 105, 116, 105, 111, 110, 0, 109, 101, 109, 95, 99, 103,
    114, 111, 117, 112, 95, 114, 101, 99, 108, 97, 105, 109, 95, 105, 116, 101, 114, 0, 115, 104,
    114, 105, 110, 107, 101, 114, 95, 109, 97, 112, 0, 109, 101, 109, 99, 103, 95, 115, 104, 114,
    105, 110, 107, 101, 114, 95, 109, 97, 112, 0, 116, 114, 101, 101, 95, 110, 111, 100, 101, 0,
    117, 115, 97, 103, 101, 95, 105, 110, 95, 101, 120, 99, 101, 115, 115, 0, 111, 110, 95, 116,
    114, 101, 101, 0, 109, 101, 109, 95, 99, 103, 114, 111, 117, 112, 95, 112, 101, 114, 95, 110,
    111, 100, 101, 0, 109, 101, 109, 95, 99, 103, 114, 111, 117, 112, 0, 109, 101, 109, 99, 103,
    95, 111, 111, 109, 95, 103, 102, 112, 95, 109, 97, 115, 107, 0, 109, 101, 109, 99, 103, 95,
    111, 111, 109, 95, 111, 114, 100, 101, 114, 0, 109, 101, 109, 99, 103, 95, 110, 114, 95, 112,
    97, 103, 101, 115, 95, 111, 118, 101, 114, 95, 104, 105, 103, 104, 0, 97, 99, 116, 105, 118,
    101, 95, 109, 101, 109, 99, 103, 0, 116, 104, 114, 111, 116, 116, 108, 101, 95, 113, 117, 101,
    117, 101, 0, 117, 116, 97, 115, 107, 0, 85, 84, 65, 83, 75, 95, 82, 85, 78, 78, 73, 78, 71, 0,
    85, 84, 65, 83, 75, 95, 83, 83, 84, 69, 80, 0, 85, 84, 65, 83, 75, 95, 83, 83, 84, 69, 80, 95,
    65, 67, 75, 0, 85, 84, 65, 83, 75, 95, 83, 83, 84, 69, 80, 95, 84, 82, 65, 80, 80, 69, 68, 0,
    117, 112, 114, 111, 98, 101, 95, 116, 97, 115, 107, 95, 115, 116, 97, 116, 101, 0, 97, 117,
    116, 97, 115, 107, 0, 115, 97, 118, 101, 100, 95, 115, 99, 114, 97, 116, 99, 104, 95, 114, 101,
    103, 105, 115, 116, 101, 114, 0, 115, 97, 118, 101, 100, 95, 116, 114, 97, 112, 95, 110, 114,
    0, 115, 97, 118, 101, 100, 95, 116, 102, 0, 97, 114, 99, 104, 95, 117, 112, 114, 111, 98, 101,
    95, 116, 97, 115, 107, 0, 118, 97, 100, 100, 114, 0, 100, 117, 112, 95, 120, 111, 108, 95, 119,
    111, 114, 107, 0, 100, 117, 112, 95, 120, 111, 108, 95, 97, 100, 100, 114, 0, 97, 99, 116, 105,
    118, 101, 95, 117, 112, 114, 111, 98, 101, 0, 114, 101, 103, 105, 115, 116, 101, 114, 95, 114,
    119, 115, 101, 109, 0, 99, 111, 110, 115, 117, 109, 101, 114, 95, 114, 119, 115, 101, 109, 0,
    112, 101, 110, 100, 105, 110, 103, 95, 108, 105, 115, 116, 0, 114, 101, 116, 95, 104, 97, 110,
    100, 108, 101, 114, 0, 85, 80, 82, 79, 66, 69, 95, 70, 73, 76, 84, 69, 82, 95, 82, 69, 71, 73,
    83, 84, 69, 82, 0, 85, 80, 82, 79, 66, 69, 95, 70, 73, 76, 84, 69, 82, 95, 85, 78, 82, 69, 71,
    73, 83, 84, 69, 82, 0, 85, 80, 82, 79, 66, 69, 95, 70, 73, 76, 84, 69, 82, 95, 77, 77, 65, 80,
    0, 117, 112, 114, 111, 98, 101, 95, 102, 105, 108, 116, 101, 114, 95, 99, 116, 120, 0, 117,
    112, 114, 111, 98, 101, 95, 99, 111, 110, 115, 117, 109, 101, 114, 0, 114, 101, 102, 95, 99,
    116, 114, 95, 111, 102, 102, 115, 101, 116, 0, 105, 120, 111, 108, 0, 101, 109, 117, 108, 97,
    116, 101, 0, 112, 114, 101, 95, 120, 111, 108, 0, 112, 111, 115, 116, 95, 120, 111, 108, 0,
    117, 112, 114, 111, 98, 101, 95, 120, 111, 108, 95, 111, 112, 115, 0, 98, 114, 97, 110, 99,
    104, 0, 111, 102, 102, 115, 0, 105, 108, 101, 110, 0, 111, 112, 99, 49, 0, 100, 101, 102, 112,
    97, 114, 97, 109, 0, 102, 105, 120, 117, 112, 115, 0, 112, 117, 115, 104, 0, 114, 101, 103, 95,
    111, 102, 102, 115, 101, 116, 0, 97, 114, 99, 104, 95, 117, 112, 114, 111, 98, 101, 0, 117,
    112, 114, 111, 98, 101, 0, 120, 111, 108, 95, 118, 97, 100, 100, 114, 0, 114, 101, 116, 117,
    114, 110, 95, 105, 110, 115, 116, 97, 110, 99, 101, 115, 0, 111, 114, 105, 103, 95, 114, 101,
    116, 95, 118, 97, 100, 100, 114, 0, 99, 104, 97, 105, 110, 101, 100, 0, 114, 101, 116, 117,
    114, 110, 95, 105, 110, 115, 116, 97, 110, 99, 101, 0, 117, 112, 114, 111, 98, 101, 95, 116,
    97, 115, 107, 0, 115, 101, 113, 117, 101, 110, 116, 105, 97, 108, 95, 105, 111, 0, 115, 101,
    113, 117, 101, 110, 116, 105, 97, 108, 95, 105, 111, 95, 97, 118, 103, 0, 112, 97, 103, 101,
    102, 97, 117, 108, 116, 95, 100, 105, 115, 97, 98, 108, 101, 100, 0, 111, 111, 109, 95, 114,
    101, 97, 112, 101, 114, 95, 108, 105, 115, 116, 0, 115, 116, 97, 99, 107, 95, 118, 109, 95, 97,
    114, 101, 97, 0, 99, 97, 108, 108, 101, 114, 0, 118, 109, 95, 115, 116, 114, 117, 99, 116, 0,
    115, 116, 97, 99, 107, 95, 114, 101, 102, 99, 111, 117, 110, 116, 0, 109, 99, 101, 95, 97, 100,
    100, 114, 0, 109, 99, 101, 95, 114, 105, 112, 118, 0, 109, 99, 101, 95, 119, 104, 111, 108,
    101, 95, 112, 97, 103, 101, 0, 95, 95, 109, 99, 101, 95, 114, 101, 115, 101, 114, 118, 101,
    100, 0, 109, 99, 101, 95, 107, 105, 108, 108, 95, 109, 101, 0, 116, 108, 115, 95, 97, 114, 114,
    97, 121, 0, 108, 105, 109, 105, 116, 48, 0, 98, 97, 115, 101, 48, 0, 98, 97, 115, 101, 49, 0,
    100, 112, 108, 0, 108, 105, 109, 105, 116, 49, 0, 97, 118, 108, 0, 108, 0, 100, 0, 103, 0, 98,
    97, 115, 101, 50, 0, 100, 101, 115, 99, 95, 115, 116, 114, 117, 99, 116, 0, 101, 115, 0, 100,
    115, 0, 102, 115, 105, 110, 100, 101, 120, 0, 103, 115, 105, 110, 100, 101, 120, 0, 102, 115,
    98, 97, 115, 101, 0, 103, 115, 98, 97, 115, 101, 0, 112, 116, 114, 97, 99, 101, 95, 98, 112,
    115, 0, 100, 101, 98, 117, 103, 114, 101, 103, 54, 0, 112, 116, 114, 97, 99, 101, 95, 100, 114,
    55, 0, 99, 114, 50, 0, 116, 114, 97, 112, 95, 110, 114, 0, 101, 114, 114, 111, 114, 95, 99,
    111, 100, 101, 0, 105, 111, 95, 98, 105, 116, 109, 97, 112, 0, 105, 111, 112, 108, 95, 101,
    109, 117, 108, 0, 97, 100, 100, 114, 95, 108, 105, 109, 105, 116, 0, 115, 101, 103, 0, 109,
    109, 95, 115, 101, 103, 109, 101, 110, 116, 95, 116, 0, 115, 105, 103, 95, 111, 110, 95, 117,
    97, 99, 99, 101, 115, 115, 95, 101, 114, 114, 0, 102, 112, 117, 0, 97, 118, 120, 53, 49, 50,
    95, 116, 105, 109, 101, 115, 116, 97, 109, 112, 0, 102, 115, 97, 118, 101, 0, 99, 119, 100, 0,
    115, 119, 100, 0, 116, 119, 100, 0, 102, 105, 112, 0, 102, 99, 115, 0, 102, 111, 111, 0, 102,
    111, 115, 0, 115, 116, 95, 115, 112, 97, 99, 101, 0, 102, 114, 101, 103, 115, 95, 115, 116, 97,
    116, 101, 0, 102, 120, 115, 97, 118, 101, 0, 102, 111, 112, 0, 114, 105, 112, 0, 114, 100, 112,
    0, 109, 120, 99, 115, 114, 0, 109, 120, 99, 115, 114, 95, 109, 97, 115, 107, 0, 120, 109, 109,
    95, 115, 112, 97, 99, 101, 0, 112, 97, 100, 100, 105, 110, 103, 49, 0, 115, 119, 95, 114, 101,
    115, 101, 114, 118, 101, 100, 0, 102, 120, 114, 101, 103, 115, 95, 115, 116, 97, 116, 101, 0,
    115, 111, 102, 116, 0, 102, 116, 111, 112, 0, 108, 111, 111, 107, 97, 104, 101, 97, 100, 0,
    110, 111, 95, 117, 112, 100, 97, 116, 101, 0, 114, 109, 0, 97, 108, 105, 109, 105, 116, 0, 95,
    95, 95, 111, 114, 105, 103, 95, 101, 105, 112, 0, 109, 97, 116, 104, 95, 101, 109, 117, 95,
    105, 110, 102, 111, 0, 101, 110, 116, 114, 121, 95, 101, 105, 112, 0, 115, 119, 114, 101, 103,
    115, 95, 115, 116, 97, 116, 101, 0, 120, 115, 97, 118, 101, 0, 105, 51, 56, 55, 0, 120, 102,
    101, 97, 116, 117, 114, 101, 115, 0, 120, 99, 111, 109, 112, 95, 98, 118, 0, 120, 115, 116, 97,
    116, 101, 95, 104, 101, 97, 100, 101, 114, 0, 101, 120, 116, 101, 110, 100, 101, 100, 95, 115,
    116, 97, 116, 101, 95, 97, 114, 101, 97, 0, 120, 114, 101, 103, 115, 95, 115, 116, 97, 116,
    101, 0, 95, 95, 112, 97, 100, 100, 105, 110, 103, 0, 102, 112, 114, 101, 103, 115, 95, 115,
    116, 97, 116, 101, 0, 116, 104, 114, 101, 97, 100, 95, 115, 116, 114, 117, 99, 116, 0, 116, 97,
    115, 107, 95, 115, 116, 114, 117, 99, 116, 0, 110, 115, 115, 101, 116, 0, 112, 114, 111, 99,
    95, 110, 115, 95, 111, 112, 101, 114, 97, 116, 105, 111, 110, 115, 0, 105, 110, 117, 109, 0,
    110, 115, 95, 99, 111, 109, 109, 111, 110, 0, 107, 101, 121, 114, 105, 110, 103, 95, 110, 97,
    109, 101, 95, 108, 105, 115, 116, 0, 117, 115, 101, 114, 95, 107, 101, 121, 114, 105, 110, 103,
    95, 114, 101, 103, 105, 115, 116, 101, 114, 0, 107, 101, 121, 114, 105, 110, 103, 95, 115, 101,
    109, 0, 112, 101, 114, 115, 105, 115, 116, 101, 110, 116, 95, 107, 101, 121, 114, 105, 110,
    103, 95, 114, 101, 103, 105, 115, 116, 101, 114, 0, 117, 99, 111, 117, 110, 116, 95, 109, 97,
    120, 0, 117, 115, 101, 114, 95, 110, 97, 109, 101, 115, 112, 97, 99, 101, 0, 103, 114, 111,
    117, 112, 95, 105, 110, 102, 111, 0, 110, 103, 114, 111, 117, 112, 115, 0, 110, 111, 110, 95,
    114, 99, 117, 0, 117, 110, 115, 97, 102, 101, 0, 112, 101, 114, 95, 99, 108, 101, 97, 114, 0,
    101, 110, 118, 99, 0, 105, 110, 116, 101, 114, 112, 0, 102, 100, 112, 97, 116, 104, 0, 105,
    110, 116, 101, 114, 112, 95, 102, 108, 97, 103, 115, 0, 101, 120, 101, 99, 102, 100, 0, 108,
    111, 97, 100, 101, 114, 0, 101, 120, 101, 99, 0, 114, 108, 105, 109, 95, 115, 116, 97, 99, 107,
    0, 108, 105, 110, 117, 120, 95, 98, 105, 110, 112, 114, 109, 0, 108, 111, 97, 100, 95, 115,
    104, 108, 105, 98, 0, 99, 111, 114, 101, 95, 100, 117, 109, 112, 0, 115, 105, 103, 105, 110,
    102, 111, 0, 108, 105, 109, 105, 116, 0, 109, 109, 95, 102, 108, 97, 103, 115, 0, 119, 114,
    105, 116, 116, 101, 110, 0, 99, 111, 114, 101, 100, 117, 109, 112, 95, 112, 97, 114, 97, 109,
    115, 0, 109, 105, 110, 95, 99, 111, 114, 101, 100, 117, 109, 112, 0, 108, 105, 110, 117, 120,
    95, 98, 105, 110, 102, 109, 116, 0, 99, 111, 110, 116, 101, 120, 116, 0, 99, 116, 120, 95, 105,
    100, 0, 116, 108, 98, 95, 103, 101, 110, 0, 108, 100, 116, 95, 117, 115, 114, 95, 115, 101,
    109, 0, 108, 100, 116, 0, 110, 114, 95, 101, 110, 116, 114, 105, 101, 115, 0, 108, 100, 116,
    95, 115, 116, 114, 117, 99, 116, 0, 105, 97, 51, 50, 95, 99, 111, 109, 112, 97, 116, 0, 118,
    100, 115, 111, 0, 118, 100, 115, 111, 95, 105, 109, 97, 103, 101, 0, 97, 108, 116, 0, 97, 108,
    116, 95, 108, 101, 110, 0, 115, 121, 109, 95, 118, 118, 97, 114, 95, 115, 116, 97, 114, 116, 0,
    115, 121, 109, 95, 118, 118, 97, 114, 95, 112, 97, 103, 101, 0, 115, 121, 109, 95, 112, 118,
    99, 108, 111, 99, 107, 95, 112, 97, 103, 101, 0, 115, 121, 109, 95, 104, 118, 99, 108, 111, 99,
    107, 95, 112, 97, 103, 101, 0, 115, 121, 109, 95, 116, 105, 109, 101, 110, 115, 95, 112, 97,
    103, 101, 0, 115, 121, 109, 95, 86, 68, 83, 79, 51, 50, 95, 78, 79, 84, 69, 95, 77, 65, 83, 75,
    0, 115, 121, 109, 95, 95, 95, 107, 101, 114, 110, 101, 108, 95, 115, 105, 103, 114, 101, 116,
    117, 114, 110, 0, 115, 121, 109, 95, 95, 95, 107, 101, 114, 110, 101, 108, 95, 114, 116, 95,
    115, 105, 103, 114, 101, 116, 117, 114, 110, 0, 115, 121, 109, 95, 95, 95, 107, 101, 114, 110,
    101, 108, 95, 118, 115, 121, 115, 99, 97, 108, 108, 0, 115, 121, 109, 95, 105, 110, 116, 56,
    48, 95, 108, 97, 110, 100, 105, 110, 103, 95, 112, 97, 100, 0, 112, 101, 114, 102, 95, 114,
    100, 112, 109, 99, 95, 97, 108, 108, 111, 119, 101, 100, 0, 112, 107, 101, 121, 95, 97, 108,
    108, 111, 99, 97, 116, 105, 111, 110, 95, 109, 97, 112, 0, 101, 120, 101, 99, 117, 116, 101,
    95, 111, 110, 108, 121, 95, 112, 107, 101, 121, 0, 109, 109, 95, 99, 111, 110, 116, 101, 120,
    116, 95, 116, 0, 99, 111, 114, 101, 95, 115, 116, 97, 116, 101, 0, 100, 117, 109, 112, 101,
    114, 0, 99, 111, 114, 101, 95, 116, 104, 114, 101, 97, 100, 0, 115, 116, 97, 114, 116, 117,
    112, 0, 105, 111, 99, 116, 120, 95, 108, 111, 99, 107, 0, 105, 111, 99, 116, 120, 95, 116, 97,
    98, 108, 101, 0, 114, 101, 113, 115, 0, 117, 115, 101, 114, 95, 105, 100, 0, 114, 101, 113,
    115, 95, 97, 118, 97, 105, 108, 97, 98, 108, 101, 0, 107, 105, 111, 99, 116, 120, 95, 99, 112,
    117, 0, 114, 101, 113, 95, 98, 97, 116, 99, 104, 0, 109, 97, 120, 95, 114, 101, 113, 115, 0,
    109, 109, 97, 112, 95, 115, 105, 122, 101, 0, 114, 105, 110, 103, 95, 112, 97, 103, 101, 115,
    0, 102, 114, 101, 101, 95, 114, 119, 111, 114, 107, 0, 114, 113, 95, 119, 97, 105, 116, 0, 99,
    111, 109, 112, 0, 99, 116, 120, 95, 114, 113, 95, 119, 97, 105, 116, 0, 99, 116, 120, 95, 108,
    111, 99, 107, 0, 97, 99, 116, 105, 118, 101, 95, 114, 101, 113, 115, 0, 114, 105, 110, 103, 95,
    108, 111, 99, 107, 0, 99, 111, 109, 112, 108, 101, 116, 101, 100, 95, 101, 118, 101, 110, 116,
    115, 0, 99, 111, 109, 112, 108, 101, 116, 105, 111, 110, 95, 108, 111, 99, 107, 0, 105, 110,
    116, 101, 114, 110, 97, 108, 95, 112, 97, 103, 101, 115, 0, 97, 105, 111, 95, 114, 105, 110,
    103, 95, 102, 105, 108, 101, 0, 107, 105, 111, 99, 116, 120, 0, 107, 105, 111, 99, 116, 120,
    95, 116, 97, 98, 108, 101, 0, 101, 120, 101, 95, 102, 105, 108, 101, 0, 110, 111, 116, 105,
    102, 105, 101, 114, 95, 115, 117, 98, 115, 99, 114, 105, 112, 116, 105, 111, 110, 115, 0, 104,
    97, 115, 95, 105, 116, 114, 101, 101, 0, 105, 110, 118, 97, 108, 105, 100, 97, 116, 101, 95,
    115, 101, 113, 0, 97, 99, 116, 105, 118, 101, 95, 105, 110, 118, 97, 108, 105, 100, 97, 116,
    101, 95, 114, 97, 110, 103, 101, 115, 0, 105, 116, 114, 101, 101, 0, 100, 101, 102, 101, 114,
    114, 101, 100, 95, 108, 105, 115, 116, 0, 109, 109, 117, 95, 110, 111, 116, 105, 102, 105, 101,
    114, 95, 115, 117, 98, 115, 99, 114, 105, 112, 116, 105, 111, 110, 115, 0, 110, 117, 109, 97,
    95, 110, 101, 120, 116, 95, 115, 99, 97, 110, 0, 110, 117, 109, 97, 95, 115, 99, 97, 110, 95,
    111, 102, 102, 115, 101, 116, 0, 116, 108, 98, 95, 102, 108, 117, 115, 104, 95, 112, 101, 110,
    100, 105, 110, 103, 0, 116, 108, 98, 95, 102, 108, 117, 115, 104, 95, 98, 97, 116, 99, 104,
    101, 100, 0, 117, 112, 114, 111, 98, 101, 115, 95, 115, 116, 97, 116, 101, 0, 120, 111, 108,
    95, 97, 114, 101, 97, 0, 115, 108, 111, 116, 95, 99, 111, 117, 110, 116, 0, 120, 111, 108, 95,
    109, 97, 112, 112, 105, 110, 103, 0, 118, 109, 95, 115, 112, 101, 99, 105, 97, 108, 95, 109,
    97, 112, 112, 105, 110, 103, 0, 104, 117, 103, 101, 116, 108, 98, 95, 117, 115, 97, 103, 101,
    0, 97, 115, 121, 110, 99, 95, 112, 117, 116, 95, 119, 111, 114, 107, 0, 99, 112, 117, 95, 98,
    105, 116, 109, 97, 112, 0, 109, 109, 95, 115, 116, 114, 117, 99, 116, 0, 118, 109, 95, 112, 97,
    103, 101, 95, 112, 114, 111, 116, 0, 112, 103, 112, 114, 111, 116, 0, 112, 103, 112, 114, 111,
    116, 118, 97, 108, 95, 116, 0, 112, 103, 112, 114, 111, 116, 95, 116, 0, 118, 109, 95, 102,
    108, 97, 103, 115, 0, 114, 98, 95, 115, 117, 98, 116, 114, 101, 101, 95, 108, 97, 115, 116, 0,
    97, 110, 111, 110, 95, 118, 109, 97, 95, 99, 104, 97, 105, 110, 0, 97, 110, 111, 110, 95, 118,
    109, 97, 0, 100, 101, 103, 114, 101, 101, 0, 118, 109, 95, 112, 103, 111, 102, 102, 0, 118,
    109, 95, 102, 105, 108, 101, 0, 118, 109, 95, 112, 114, 105, 118, 97, 116, 101, 95, 100, 97,
    116, 97, 0, 115, 119, 97, 112, 95, 114, 101, 97, 100, 97, 104, 101, 97, 100, 95, 105, 110, 102,
    111, 0, 118, 109, 95, 112, 111, 108, 105, 99, 121, 0, 118, 109, 95, 117, 115, 101, 114, 102,
    97, 117, 108, 116, 102, 100, 95, 99, 116, 120, 0, 102, 97, 117, 108, 116, 95, 112, 101, 110,
    100, 105, 110, 103, 95, 119, 113, 104, 0, 102, 97, 117, 108, 116, 95, 119, 113, 104, 0, 102,
    100, 95, 119, 113, 104, 0, 101, 118, 101, 110, 116, 95, 119, 113, 104, 0, 114, 101, 102, 105,
    108, 101, 95, 115, 101, 113, 0, 85, 70, 70, 68, 95, 83, 84, 65, 84, 69, 95, 87, 65, 73, 84, 95,
    65, 80, 73, 0, 85, 70, 70, 68, 95, 83, 84, 65, 84, 69, 95, 82, 85, 78, 78, 73, 78, 71, 0, 117,
    115, 101, 114, 102, 97, 117, 108, 116, 102, 100, 95, 115, 116, 97, 116, 101, 0, 109, 109, 97,
    112, 95, 99, 104, 97, 110, 103, 105, 110, 103, 0, 117, 115, 101, 114, 102, 97, 117, 108, 116,
    102, 100, 95, 99, 116, 120, 0, 118, 109, 95, 97, 114, 101, 97, 95, 115, 116, 114, 117, 99, 116,
    0, 98, 105, 110, 95, 97, 116, 116, 114, 105, 98, 117, 116, 101, 0, 98, 105, 110, 95, 97, 116,
    116, 114, 115, 0, 97, 116, 116, 114, 105, 98, 117, 116, 101, 95, 103, 114, 111, 117, 112, 0,
    99, 104, 105, 108, 100, 95, 110, 115, 95, 116, 121, 112, 101, 0, 107, 111, 98, 106, 95, 116,
    121, 112, 101, 0, 115, 116, 97, 116, 101, 95, 105, 110, 105, 116, 105, 97, 108, 105, 122, 101,
    100, 0, 115, 116, 97, 116, 101, 95, 105, 110, 95, 115, 121, 115, 102, 115, 0, 115, 116, 97,
    116, 101, 95, 97, 100, 100, 95, 117, 101, 118, 101, 110, 116, 95, 115, 101, 110, 116, 0, 115,
    116, 97, 116, 101, 95, 114, 101, 109, 111, 118, 101, 95, 117, 101, 118, 101, 110, 116, 95, 115,
    101, 110, 116, 0, 117, 101, 118, 101, 110, 116, 95, 115, 117, 112, 112, 114, 101, 115, 115, 0,
    107, 111, 98, 106, 101, 99, 116, 0, 100, 114, 105, 118, 101, 114, 115, 95, 100, 105, 114, 0,
    109, 112, 0, 103, 114, 112, 0, 109, 97, 116, 116, 114, 0, 115, 101, 116, 117, 112, 0, 109, 111,
    100, 117, 108, 101, 95, 97, 116, 116, 114, 105, 98, 117, 116, 101, 0, 107, 101, 114, 110, 101,
    108, 95, 112, 97, 114, 97, 109, 95, 111, 112, 115, 0, 115, 116, 114, 0, 107, 112, 97, 114, 97,
    109, 95, 115, 116, 114, 105, 110, 103, 0, 97, 114, 114, 0, 101, 108, 101, 109, 115, 105, 122,
    101, 0, 101, 108, 101, 109, 0, 107, 112, 97, 114, 97, 109, 95, 97, 114, 114, 97, 121, 0, 107,
    101, 114, 110, 101, 108, 95, 112, 97, 114, 97, 109, 0, 112, 97, 114, 97, 109, 95, 97, 116, 116,
    114, 105, 98, 117, 116, 101, 0, 109, 111, 100, 117, 108, 101, 95, 112, 97, 114, 97, 109, 95,
    97, 116, 116, 114, 115, 0, 107, 111, 98, 106, 95, 99, 111, 109, 112, 108, 101, 116, 105, 111,
    110, 0, 109, 111, 100, 117, 108, 101, 95, 107, 111, 98, 106, 101, 99, 116, 0, 109, 111, 100,
    105, 110, 102, 111, 95, 97, 116, 116, 114, 115, 0, 115, 114, 99, 118, 101, 114, 115, 105, 111,
    110, 0, 104, 111, 108, 100, 101, 114, 115, 95, 100, 105, 114, 0, 115, 121, 109, 115, 0, 118,
    97, 108, 117, 101, 95, 111, 102, 102, 115, 101, 116, 0, 110, 97, 109, 101, 95, 111, 102, 102,
    115, 101, 116, 0, 110, 97, 109, 101, 115, 112, 97, 99, 101, 95, 111, 102, 102, 115, 101, 116,
    0, 107, 101, 114, 110, 101, 108, 95, 115, 121, 109, 98, 111, 108, 0, 99, 114, 99, 115, 0, 110,
    117, 109, 95, 115, 121, 109, 115, 0, 112, 97, 114, 97, 109, 95, 108, 111, 99, 107, 0, 107, 112,
    0, 110, 117, 109, 95, 107, 112, 0, 110, 117, 109, 95, 103, 112, 108, 95, 115, 121, 109, 115, 0,
    103, 112, 108, 95, 115, 121, 109, 115, 0, 103, 112, 108, 95, 99, 114, 99, 115, 0, 117, 115,
    105, 110, 103, 95, 103, 112, 108, 111, 110, 108, 121, 95, 115, 121, 109, 98, 111, 108, 115, 0,
    117, 110, 117, 115, 101, 100, 95, 115, 121, 109, 115, 0, 117, 110, 117, 115, 101, 100, 95, 99,
    114, 99, 115, 0, 110, 117, 109, 95, 117, 110, 117, 115, 101, 100, 95, 115, 121, 109, 115, 0,
    110, 117, 109, 95, 117, 110, 117, 115, 101, 100, 95, 103, 112, 108, 95, 115, 121, 109, 115, 0,
    117, 110, 117, 115, 101, 100, 95, 103, 112, 108, 95, 115, 121, 109, 115, 0, 117, 110, 117, 115,
    101, 100, 95, 103, 112, 108, 95, 99, 114, 99, 115, 0, 115, 105, 103, 95, 111, 107, 0, 97, 115,
    121, 110, 99, 95, 112, 114, 111, 98, 101, 95, 114, 101, 113, 117, 101, 115, 116, 101, 100, 0,
    103, 112, 108, 95, 102, 117, 116, 117, 114, 101, 95, 115, 121, 109, 115, 0, 103, 112, 108, 95,
    102, 117, 116, 117, 114, 101, 95, 99, 114, 99, 115, 0, 110, 117, 109, 95, 103, 112, 108, 95,
    102, 117, 116, 117, 114, 101, 95, 115, 121, 109, 115, 0, 99, 111, 114, 101, 95, 108, 97, 121,
    111, 117, 116, 0, 116, 101, 120, 116, 95, 115, 105, 122, 101, 0, 114, 111, 95, 115, 105, 122,
    101, 0, 114, 111, 95, 97, 102, 116, 101, 114, 95, 105, 110, 105, 116, 95, 115, 105, 122, 101,
    0, 109, 116, 110, 0, 109, 111, 100, 95, 116, 114, 101, 101, 95, 110, 111, 100, 101, 0, 109,
    111, 100, 117, 108, 101, 95, 108, 97, 121, 111, 117, 116, 0, 105, 110, 105, 116, 95, 108, 97,
    121, 111, 117, 116, 0, 110, 117, 109, 95, 111, 114, 99, 115, 0, 111, 114, 99, 95, 117, 110,
    119, 105, 110, 100, 95, 105, 112, 0, 111, 114, 99, 95, 117, 110, 119, 105, 110, 100, 0, 115,
    112, 95, 111, 102, 102, 115, 101, 116, 0, 98, 112, 95, 111, 102, 102, 115, 101, 116, 0, 115,
    112, 95, 114, 101, 103, 0, 98, 112, 95, 114, 101, 103, 0, 111, 114, 99, 95, 101, 110, 116, 114,
    121, 0, 109, 111, 100, 95, 97, 114, 99, 104, 95, 115, 112, 101, 99, 105, 102, 105, 99, 0, 116,
    97, 105, 110, 116, 115, 0, 110, 117, 109, 95, 98, 117, 103, 115, 0, 98, 117, 103, 95, 108, 105,
    115, 116, 0, 98, 117, 103, 95, 116, 97, 98, 108, 101, 0, 98, 117, 103, 95, 97, 100, 100, 114,
    95, 100, 105, 115, 112, 0, 102, 105, 108, 101, 95, 100, 105, 115, 112, 0, 98, 117, 103, 95,
    101, 110, 116, 114, 121, 0, 107, 97, 108, 108, 115, 121, 109, 115, 0, 115, 121, 109, 116, 97,
    98, 0, 115, 116, 95, 110, 97, 109, 101, 0, 69, 108, 102, 54, 52, 95, 87, 111, 114, 100, 0, 115,
    116, 95, 105, 110, 102, 111, 0, 115, 116, 95, 111, 116, 104, 101, 114, 0, 115, 116, 95, 115,
    104, 110, 100, 120, 0, 69, 108, 102, 54, 52, 95, 72, 97, 108, 102, 0, 115, 116, 95, 118, 97,
    108, 117, 101, 0, 69, 108, 102, 54, 52, 95, 65, 100, 100, 114, 0, 115, 116, 95, 115, 105, 122,
    101, 0, 69, 108, 102, 54, 52, 95, 88, 119, 111, 114, 100, 0, 101, 108, 102, 54, 52, 95, 115,
    121, 109, 0, 69, 108, 102, 54, 52, 95, 83, 121, 109, 0, 110, 117, 109, 95, 115, 121, 109, 116,
    97, 98, 0, 115, 116, 114, 116, 97, 98, 0, 116, 121, 112, 101, 116, 97, 98, 0, 109, 111, 100,
    95, 107, 97, 108, 108, 115, 121, 109, 115, 0, 99, 111, 114, 101, 95, 107, 97, 108, 108, 115,
    121, 109, 115, 0, 115, 101, 99, 116, 95, 97, 116, 116, 114, 115, 0, 110, 115, 101, 99, 116,
    105, 111, 110, 115, 0, 98, 97, 116, 116, 114, 0, 109, 111, 100, 117, 108, 101, 95, 115, 101,
    99, 116, 95, 97, 116, 116, 114, 0, 109, 111, 100, 117, 108, 101, 95, 115, 101, 99, 116, 95, 97,
    116, 116, 114, 115, 0, 110, 111, 116, 101, 115, 95, 97, 116, 116, 114, 115, 0, 109, 111, 100,
    117, 108, 101, 95, 110, 111, 116, 101, 115, 95, 97, 116, 116, 114, 115, 0, 112, 101, 114, 99,
    112, 117, 0, 112, 101, 114, 99, 112, 117, 95, 115, 105, 122, 101, 0, 110, 111, 105, 110, 115,
    116, 114, 95, 116, 101, 120, 116, 95, 115, 116, 97, 114, 116, 0, 110, 111, 105, 110, 115, 116,
    114, 95, 116, 101, 120, 116, 95, 115, 105, 122, 101, 0, 110, 117, 109, 95, 116, 114, 97, 99,
    101, 112, 111, 105, 110, 116, 115, 0, 116, 114, 97, 99, 101, 112, 111, 105, 110, 116, 115, 95,
    112, 116, 114, 115, 0, 116, 114, 97, 99, 101, 112, 111, 105, 110, 116, 95, 112, 116, 114, 95,
    116, 0, 110, 117, 109, 95, 115, 114, 99, 117, 95, 115, 116, 114, 117, 99, 116, 115, 0, 115,
    114, 99, 117, 95, 115, 116, 114, 117, 99, 116, 95, 112, 116, 114, 115, 0, 110, 117, 109, 95,
    98, 112, 102, 95, 114, 97, 119, 95, 101, 118, 101, 110, 116, 115, 0, 98, 112, 102, 95, 114, 97,
    119, 95, 101, 118, 101, 110, 116, 115, 0, 110, 117, 109, 95, 97, 114, 103, 115, 0, 119, 114,
    105, 116, 97, 98, 108, 101, 95, 115, 105, 122, 101, 0, 98, 112, 102, 95, 114, 97, 119, 95, 101,
    118, 101, 110, 116, 95, 109, 97, 112, 0, 106, 117, 109, 112, 95, 101, 110, 116, 114, 105, 101,
    115, 0, 110, 117, 109, 95, 106, 117, 109, 112, 95, 101, 110, 116, 114, 105, 101, 115, 0, 110,
    117, 109, 95, 116, 114, 97, 99, 101, 95, 98, 112, 114, 105, 110, 116, 107, 95, 102, 109, 116,
    0, 116, 114, 97, 99, 101, 95, 98, 112, 114, 105, 110, 116, 107, 95, 102, 109, 116, 95, 115,
    116, 97, 114, 116, 0, 116, 114, 97, 99, 101, 95, 101, 118, 101, 110, 116, 115, 0, 110, 117,
    109, 95, 116, 114, 97, 99, 101, 95, 101, 118, 101, 110, 116, 115, 0, 116, 114, 97, 99, 101, 95,
    101, 118, 97, 108, 115, 0, 101, 118, 97, 108, 95, 115, 116, 114, 105, 110, 103, 0, 101, 118,
    97, 108, 95, 118, 97, 108, 117, 101, 0, 116, 114, 97, 99, 101, 95, 101, 118, 97, 108, 95, 109,
    97, 112, 0, 110, 117, 109, 95, 116, 114, 97, 99, 101, 95, 101, 118, 97, 108, 115, 0, 110, 117,
    109, 95, 102, 116, 114, 97, 99, 101, 95, 99, 97, 108, 108, 115, 105, 116, 101, 115, 0, 102,
    116, 114, 97, 99, 101, 95, 99, 97, 108, 108, 115, 105, 116, 101, 115, 0, 107, 112, 114, 111,
    98, 101, 115, 95, 116, 101, 120, 116, 95, 115, 116, 97, 114, 116, 0, 107, 112, 114, 111, 98,
    101, 115, 95, 116, 101, 120, 116, 95, 115, 105, 122, 101, 0, 107, 112, 114, 111, 98, 101, 95,
    98, 108, 97, 99, 107, 108, 105, 115, 116, 0, 110, 117, 109, 95, 107, 112, 114, 111, 98, 101,
    95, 98, 108, 97, 99, 107, 108, 105, 115, 116, 0, 115, 111, 117, 114, 99, 101, 95, 108, 105,
    115, 116, 0, 116, 97, 114, 103, 101, 116, 95, 108, 105, 115, 116, 0, 101, 105, 95, 102, 117,
    110, 99, 115, 0, 101, 116, 121, 112, 101, 0, 101, 114, 114, 111, 114, 95, 105, 110, 106, 101,
    99, 116, 105, 111, 110, 95, 101, 110, 116, 114, 121, 0, 110, 117, 109, 95, 101, 105, 95, 102,
    117, 110, 99, 115, 0, 108, 108, 115, 101, 101, 107, 0, 114, 101, 97, 100, 95, 105, 116, 101,
    114, 0, 107, 105, 95, 102, 105, 108, 112, 0, 107, 105, 95, 112, 111, 115, 0, 107, 105, 95, 99,
    111, 109, 112, 108, 101, 116, 101, 0, 107, 105, 95, 102, 108, 97, 103, 115, 0, 107, 105, 95,
    104, 105, 110, 116, 0, 107, 105, 95, 105, 111, 112, 114, 105, 111, 0, 107, 105, 95, 99, 111,
    111, 107, 105, 101, 0, 107, 105, 95, 119, 97, 105, 116, 113, 0, 98, 105, 116, 95, 110, 114, 0,
    119, 97, 105, 116, 95, 112, 97, 103, 101, 95, 113, 117, 101, 117, 101, 0, 107, 105, 111, 99,
    98, 0, 119, 114, 105, 116, 101, 95, 105, 116, 101, 114, 0, 105, 111, 112, 111, 108, 108, 0,
    105, 116, 101, 114, 97, 116, 101, 0, 97, 99, 116, 111, 114, 0, 102, 105, 108, 108, 100, 105,
    114, 95, 116, 0, 100, 105, 114, 95, 99, 111, 110, 116, 101, 120, 116, 0, 105, 116, 101, 114,
    97, 116, 101, 95, 115, 104, 97, 114, 101, 100, 0, 117, 110, 108, 111, 99, 107, 101, 100, 95,
    105, 111, 99, 116, 108, 0, 109, 109, 97, 112, 95, 115, 117, 112, 112, 111, 114, 116, 101, 100,
    95, 102, 108, 97, 103, 115, 0, 102, 108, 95, 111, 119, 110, 101, 114, 95, 116, 0, 102, 115,
    121, 110, 99, 0, 102, 108, 95, 98, 108, 111, 99, 107, 101, 114, 0, 102, 108, 95, 108, 105, 115,
    116, 0, 102, 108, 95, 108, 105, 110, 107, 0, 102, 108, 95, 98, 108, 111, 99, 107, 101, 100, 95,
    114, 101, 113, 117, 101, 115, 116, 115, 0, 102, 108, 95, 98, 108, 111, 99, 107, 101, 100, 95,
    109, 101, 109, 98, 101, 114, 0, 102, 108, 95, 111, 119, 110, 101, 114, 0, 102, 108, 95, 102,
    108, 97, 103, 115, 0, 102, 108, 95, 116, 121, 112, 101, 0, 102, 108, 95, 112, 105, 100, 0, 102,
    108, 95, 108, 105, 110, 107, 95, 99, 112, 117, 0, 102, 108, 95, 119, 97, 105, 116, 0, 102, 108,
    95, 102, 105, 108, 101, 0, 102, 108, 95, 115, 116, 97, 114, 116, 0, 102, 108, 95, 101, 110,
    100, 0, 102, 108, 95, 102, 97, 115, 121, 110, 99, 0, 102, 108, 95, 98, 114, 101, 97, 107, 95,
    116, 105, 109, 101, 0, 102, 108, 95, 100, 111, 119, 110, 103, 114, 97, 100, 101, 95, 116, 105,
    109, 101, 0, 102, 108, 95, 111, 112, 115, 0, 102, 108, 95, 99, 111, 112, 121, 95, 108, 111, 99,
    107, 0, 102, 108, 95, 114, 101, 108, 101, 97, 115, 101, 95, 112, 114, 105, 118, 97, 116, 101,
    0, 102, 105, 108, 101, 95, 108, 111, 99, 107, 95, 111, 112, 101, 114, 97, 116, 105, 111, 110,
    115, 0, 102, 108, 95, 108, 109, 111, 112, 115, 0, 108, 109, 95, 103, 101, 116, 95, 111, 119,
    110, 101, 114, 0, 108, 109, 95, 112, 117, 116, 95, 111, 119, 110, 101, 114, 0, 108, 109, 95,
    110, 111, 116, 105, 102, 121, 0, 108, 109, 95, 103, 114, 97, 110, 116, 0, 108, 109, 95, 98,
    114, 101, 97, 107, 0, 108, 109, 95, 99, 104, 97, 110, 103, 101, 0, 108, 109, 95, 115, 101, 116,
    117, 112, 0, 108, 109, 95, 98, 114, 101, 97, 107, 101, 114, 95, 111, 119, 110, 115, 95, 108,
    101, 97, 115, 101, 0, 108, 111, 99, 107, 95, 109, 97, 110, 97, 103, 101, 114, 95, 111, 112,
    101, 114, 97, 116, 105, 111, 110, 115, 0, 102, 108, 95, 117, 0, 110, 102, 115, 95, 102, 108, 0,
    110, 108, 109, 95, 108, 111, 99, 107, 111, 119, 110, 101, 114, 0, 110, 102, 115, 95, 108, 111,
    99, 107, 95, 105, 110, 102, 111, 0, 110, 102, 115, 52, 95, 102, 108, 0, 110, 102, 115, 52, 95,
    108, 111, 99, 107, 95, 115, 116, 97, 116, 101, 0, 110, 102, 115, 52, 95, 108, 111, 99, 107, 95,
    105, 110, 102, 111, 0, 97, 102, 115, 0, 100, 101, 98, 117, 103, 95, 105, 100, 0, 115, 101, 110,
    100, 112, 97, 103, 101, 0, 99, 104, 101, 99, 107, 95, 102, 108, 97, 103, 115, 0, 102, 108, 111,
    99, 107, 0, 115, 112, 108, 105, 99, 101, 95, 119, 114, 105, 116, 101, 0, 115, 101, 116, 108,
    101, 97, 115, 101, 0, 102, 97, 108, 108, 111, 99, 97, 116, 101, 0, 99, 111, 112, 121, 95, 102,
    105, 108, 101, 95, 114, 97, 110, 103, 101, 0, 114, 101, 109, 97, 112, 95, 102, 105, 108, 101,
    95, 114, 97, 110, 103, 101, 0, 102, 97, 100, 118, 105, 115, 101, 0, 102, 105, 108, 101, 95,
    111, 112, 101, 114, 97, 116, 105, 111, 110, 115, 0, 102, 95, 108, 111, 99, 107, 0, 102, 95,
    119, 114, 105, 116, 101, 95, 104, 105, 110, 116, 0, 87, 82, 73, 84, 69, 95, 76, 73, 70, 69, 95,
    78, 79, 84, 95, 83, 69, 84, 0, 87, 82, 73, 84, 69, 95, 76, 73, 70, 69, 95, 78, 79, 78, 69, 0,
    87, 82, 73, 84, 69, 95, 76, 73, 70, 69, 95, 83, 72, 79, 82, 84, 0, 87, 82, 73, 84, 69, 95, 76,
    73, 70, 69, 95, 77, 69, 68, 73, 85, 77, 0, 87, 82, 73, 84, 69, 95, 76, 73, 70, 69, 95, 76, 79,
    78, 71, 0, 87, 82, 73, 84, 69, 95, 76, 73, 70, 69, 95, 69, 88, 84, 82, 69, 77, 69, 0, 114, 119,
    95, 104, 105, 110, 116, 0, 102, 95, 99, 111, 117, 110, 116, 0, 102, 95, 102, 108, 97, 103, 115,
    0, 102, 95, 109, 111, 100, 101, 0, 102, 95, 112, 111, 115, 95, 108, 111, 99, 107, 0, 102, 95,
    112, 111, 115, 0, 102, 95, 111, 119, 110, 101, 114, 0, 112, 105, 100, 95, 116, 121, 112, 101,
    0, 80, 73, 68, 84, 89, 80, 69, 95, 80, 73, 68, 0, 80, 73, 68, 84, 89, 80, 69, 95, 84, 71, 73,
    68, 0, 80, 73, 68, 84, 89, 80, 69, 95, 80, 71, 73, 68, 0, 80, 73, 68, 84, 89, 80, 69, 95, 83,
    73, 68, 0, 80, 73, 68, 84, 89, 80, 69, 95, 77, 65, 88, 0, 115, 105, 103, 110, 117, 109, 0, 102,
    111, 119, 110, 95, 115, 116, 114, 117, 99, 116, 0, 102, 95, 99, 114, 101, 100, 0, 102, 95, 114,
    97, 0, 97, 115, 121, 110, 99, 95, 115, 105, 122, 101, 0, 109, 109, 97, 112, 95, 109, 105, 115,
    115, 0, 112, 114, 101, 118, 95, 112, 111, 115, 0, 102, 105, 108, 101, 95, 114, 97, 95, 115,
    116, 97, 116, 101, 0, 102, 95, 118, 101, 114, 115, 105, 111, 110, 0, 102, 95, 115, 101, 99,
    117, 114, 105, 116, 121, 0, 102, 95, 101, 112, 95, 108, 105, 110, 107, 115, 0, 102, 95, 116,
    102, 105, 108, 101, 95, 108, 108, 105, 110, 107, 0, 102, 95, 109, 97, 112, 112, 105, 110, 103,
    0, 102, 95, 119, 98, 95, 101, 114, 114, 0, 101, 114, 114, 115, 101, 113, 95, 116, 0, 102, 95,
    115, 98, 95, 101, 114, 114, 0, 100, 105, 114, 102, 100, 0, 102, 115, 95, 112, 97, 114, 97, 109,
    101, 116, 101, 114, 0, 112, 97, 114, 115, 101, 95, 109, 111, 110, 111, 108, 105, 116, 104, 105,
    99, 0, 103, 101, 116, 95, 116, 114, 101, 101, 0, 114, 101, 99, 111, 110, 102, 105, 103, 117,
    114, 101, 0, 102, 115, 95, 99, 111, 110, 116, 101, 120, 116, 95, 111, 112, 101, 114, 97, 116,
    105, 111, 110, 115, 0, 117, 97, 112, 105, 95, 109, 117, 116, 101, 120, 0, 102, 115, 95, 116,
    121, 112, 101, 0, 102, 115, 95, 112, 114, 105, 118, 97, 116, 101, 0, 115, 103, 101, 116, 95,
    107, 101, 121, 0, 112, 114, 101, 102, 105, 120, 0, 110, 101, 101, 100, 95, 102, 114, 101, 101,
    0, 102, 99, 95, 108, 111, 103, 0, 112, 95, 108, 111, 103, 0, 115, 111, 117, 114, 99, 101, 0,
    115, 95, 102, 115, 95, 105, 110, 102, 111, 0, 115, 98, 95, 102, 108, 97, 103, 115, 0, 115, 98,
    95, 102, 108, 97, 103, 115, 95, 109, 97, 115, 107, 0, 115, 95, 105, 102, 108, 97, 103, 115, 0,
    108, 115, 109, 95, 102, 108, 97, 103, 115, 0, 112, 117, 114, 112, 111, 115, 101, 0, 70, 83, 95,
    67, 79, 78, 84, 69, 88, 84, 95, 70, 79, 82, 95, 77, 79, 85, 78, 84, 0, 70, 83, 95, 67, 79, 78,
    84, 69, 88, 84, 95, 70, 79, 82, 95, 83, 85, 66, 77, 79, 85, 78, 84, 0, 70, 83, 95, 67, 79, 78,
    84, 69, 88, 84, 95, 70, 79, 82, 95, 82, 69, 67, 79, 78, 70, 73, 71, 85, 82, 69, 0, 102, 115,
    95, 99, 111, 110, 116, 101, 120, 116, 95, 112, 117, 114, 112, 111, 115, 101, 0, 112, 104, 97,
    115, 101, 0, 70, 83, 95, 67, 79, 78, 84, 69, 88, 84, 95, 67, 82, 69, 65, 84, 69, 95, 80, 65,
    82, 65, 77, 83, 0, 70, 83, 95, 67, 79, 78, 84, 69, 88, 84, 95, 67, 82, 69, 65, 84, 73, 78, 71,
    0, 70, 83, 95, 67, 79, 78, 84, 69, 88, 84, 95, 65, 87, 65, 73, 84, 73, 78, 71, 95, 77, 79, 85,
    78, 84, 0, 70, 83, 95, 67, 79, 78, 84, 69, 88, 84, 95, 65, 87, 65, 73, 84, 73, 78, 71, 95, 82,
    69, 67, 79, 78, 70, 0, 70, 83, 95, 67, 79, 78, 84, 69, 88, 84, 95, 82, 69, 67, 79, 78, 70, 95,
    80, 65, 82, 65, 77, 83, 0, 70, 83, 95, 67, 79, 78, 84, 69, 88, 84, 95, 82, 69, 67, 79, 78, 70,
    73, 71, 85, 82, 73, 78, 71, 0, 70, 83, 95, 67, 79, 78, 84, 69, 88, 84, 95, 70, 65, 73, 76, 69,
    68, 0, 102, 115, 95, 99, 111, 110, 116, 101, 120, 116, 95, 112, 104, 97, 115, 101, 0, 103, 108,
    111, 98, 97, 108, 0, 111, 108, 100, 97, 112, 105, 0, 102, 115, 95, 99, 111, 110, 116, 101, 120,
    116, 0, 112, 97, 114, 97, 109, 101, 116, 101, 114, 115, 0, 110, 101, 103, 97, 116, 101, 100, 0,
    98, 111, 111, 108, 101, 97, 110, 0, 105, 110, 116, 95, 51, 50, 0, 117, 105, 110, 116, 95, 51,
    50, 0, 117, 105, 110, 116, 95, 54, 52, 0, 102, 115, 95, 112, 97, 114, 115, 101, 95, 114, 101,
    115, 117, 108, 116, 0, 102, 115, 95, 112, 97, 114, 97, 109, 95, 116, 121, 112, 101, 0, 102,
    115, 95, 112, 97, 114, 97, 109, 101, 116, 101, 114, 95, 115, 112, 101, 99, 0, 107, 105, 108,
    108, 95, 115, 98, 0, 102, 115, 95, 115, 117, 112, 101, 114, 115, 0, 115, 95, 108, 111, 99, 107,
    95, 107, 101, 121, 0, 115, 95, 117, 109, 111, 117, 110, 116, 95, 107, 101, 121, 0, 115, 95,
    118, 102, 115, 95, 114, 101, 110, 97, 109, 101, 95, 107, 101, 121, 0, 115, 95, 119, 114, 105,
    116, 101, 114, 115, 95, 107, 101, 121, 0, 105, 95, 108, 111, 99, 107, 95, 107, 101, 121, 0,
    105, 95, 109, 117, 116, 101, 120, 95, 107, 101, 121, 0, 105, 95, 109, 117, 116, 101, 120, 95,
    100, 105, 114, 95, 107, 101, 121, 0, 102, 105, 108, 101, 95, 115, 121, 115, 116, 101, 109, 95,
    116, 121, 112, 101, 0, 115, 95, 111, 112, 0, 97, 108, 108, 111, 99, 95, 105, 110, 111, 100,
    101, 0, 100, 101, 115, 116, 114, 111, 121, 95, 105, 110, 111, 100, 101, 0, 102, 114, 101, 101,
    95, 105, 110, 111, 100, 101, 0, 100, 105, 114, 116, 121, 95, 105, 110, 111, 100, 101, 0, 119,
    114, 105, 116, 101, 95, 105, 110, 111, 100, 101, 0, 110, 114, 95, 116, 111, 95, 119, 114, 105,
    116, 101, 0, 112, 97, 103, 101, 115, 95, 115, 107, 105, 112, 112, 101, 100, 0, 114, 97, 110,
    103, 101, 95, 115, 116, 97, 114, 116, 0, 114, 97, 110, 103, 101, 95, 101, 110, 100, 0, 115,
    121, 110, 99, 95, 109, 111, 100, 101, 0, 102, 111, 114, 95, 107, 117, 112, 100, 97, 116, 101,
    0, 102, 111, 114, 95, 98, 97, 99, 107, 103, 114, 111, 117, 110, 100, 0, 116, 97, 103, 103, 101,
    100, 95, 119, 114, 105, 116, 101, 112, 97, 103, 101, 115, 0, 102, 111, 114, 95, 114, 101, 99,
    108, 97, 105, 109, 0, 114, 97, 110, 103, 101, 95, 99, 121, 99, 108, 105, 99, 0, 102, 111, 114,
    95, 115, 121, 110, 99, 0, 110, 111, 95, 99, 103, 114, 111, 117, 112, 95, 111, 119, 110, 101,
    114, 0, 112, 117, 110, 116, 95, 116, 111, 95, 99, 103, 114, 111, 117, 112, 0, 119, 98, 95, 105,
    100, 0, 119, 98, 95, 108, 99, 97, 110, 100, 95, 105, 100, 0, 119, 98, 95, 116, 99, 97, 110,
    100, 95, 105, 100, 0, 119, 98, 95, 98, 121, 116, 101, 115, 0, 119, 98, 95, 108, 99, 97, 110,
    100, 95, 98, 121, 116, 101, 115, 0, 119, 98, 95, 116, 99, 97, 110, 100, 95, 98, 121, 116, 101,
    115, 0, 119, 114, 105, 116, 101, 98, 97, 99, 107, 95, 99, 111, 110, 116, 114, 111, 108, 0, 100,
    114, 111, 112, 95, 105, 110, 111, 100, 101, 0, 101, 118, 105, 99, 116, 95, 105, 110, 111, 100,
    101, 0, 112, 117, 116, 95, 115, 117, 112, 101, 114, 0, 115, 121, 110, 99, 95, 102, 115, 0, 102,
    114, 101, 101, 122, 101, 95, 115, 117, 112, 101, 114, 0, 102, 114, 101, 101, 122, 101, 95, 102,
    115, 0, 116, 104, 97, 119, 95, 115, 117, 112, 101, 114, 0, 117, 110, 102, 114, 101, 101, 122,
    101, 95, 102, 115, 0, 115, 116, 97, 116, 102, 115, 0, 102, 95, 116, 121, 112, 101, 0, 102, 95,
    98, 115, 105, 122, 101, 0, 102, 95, 98, 108, 111, 99, 107, 115, 0, 102, 95, 98, 102, 114, 101,
    101, 0, 102, 95, 98, 97, 118, 97, 105, 108, 0, 102, 95, 102, 105, 108, 101, 115, 0, 102, 95,
    102, 102, 114, 101, 101, 0, 102, 95, 102, 115, 105, 100, 0, 102, 95, 110, 97, 109, 101, 108,
    101, 110, 0, 102, 95, 102, 114, 115, 105, 122, 101, 0, 102, 95, 115, 112, 97, 114, 101, 0, 107,
    115, 116, 97, 116, 102, 115, 0, 114, 101, 109, 111, 117, 110, 116, 95, 102, 115, 0, 117, 109,
    111, 117, 110, 116, 95, 98, 101, 103, 105, 110, 0, 115, 104, 111, 119, 95, 100, 101, 118, 110,
    97, 109, 101, 0, 115, 104, 111, 119, 95, 115, 116, 97, 116, 115, 0, 113, 117, 111, 116, 97, 95,
    114, 101, 97, 100, 0, 113, 117, 111, 116, 97, 95, 119, 114, 105, 116, 101, 0, 103, 101, 116,
    95, 100, 113, 117, 111, 116, 115, 0, 100, 113, 95, 104, 97, 115, 104, 0, 100, 113, 95, 105,
    110, 117, 115, 101, 0, 100, 113, 95, 102, 114, 101, 101, 0, 100, 113, 95, 100, 105, 114, 116,
    121, 0, 100, 113, 95, 108, 111, 99, 107, 0, 100, 113, 95, 100, 113, 98, 95, 108, 111, 99, 107,
    0, 100, 113, 95, 99, 111, 117, 110, 116, 0, 100, 113, 95, 115, 98, 0, 100, 113, 95, 105, 100,
    0, 112, 114, 111, 106, 105, 100, 0, 112, 114, 111, 106, 105, 100, 95, 116, 0, 107, 112, 114,
    111, 106, 105, 100, 95, 116, 0, 85, 83, 82, 81, 85, 79, 84, 65, 0, 71, 82, 80, 81, 85, 79, 84,
    65, 0, 80, 82, 74, 81, 85, 79, 84, 65, 0, 113, 117, 111, 116, 97, 95, 116, 121, 112, 101, 0,
    107, 113, 105, 100, 0, 100, 113, 95, 111, 102, 102, 0, 100, 113, 95, 102, 108, 97, 103, 115, 0,
    100, 113, 95, 100, 113, 98, 0, 100, 113, 98, 95, 98, 104, 97, 114, 100, 108, 105, 109, 105,
    116, 0, 113, 115, 105, 122, 101, 95, 116, 0, 100, 113, 98, 95, 98, 115, 111, 102, 116, 108,
    105, 109, 105, 116, 0, 100, 113, 98, 95, 99, 117, 114, 115, 112, 97, 99, 101, 0, 100, 113, 98,
    95, 114, 115, 118, 115, 112, 97, 99, 101, 0, 100, 113, 98, 95, 105, 104, 97, 114, 100, 108,
    105, 109, 105, 116, 0, 100, 113, 98, 95, 105, 115, 111, 102, 116, 108, 105, 109, 105, 116, 0,
    100, 113, 98, 95, 99, 117, 114, 105, 110, 111, 100, 101, 115, 0, 100, 113, 98, 95, 98, 116,
    105, 109, 101, 0, 100, 113, 98, 95, 105, 116, 105, 109, 101, 0, 109, 101, 109, 95, 100, 113,
    98, 108, 107, 0, 100, 113, 117, 111, 116, 0, 98, 100, 101, 118, 95, 116, 114, 121, 95, 116,
    111, 95, 102, 114, 101, 101, 95, 112, 97, 103, 101, 0, 110, 114, 95, 99, 97, 99, 104, 101, 100,
    95, 111, 98, 106, 101, 99, 116, 115, 0, 110, 105, 100, 0, 110, 114, 95, 116, 111, 95, 115, 99,
    97, 110, 0, 110, 114, 95, 115, 99, 97, 110, 110, 101, 100, 0, 115, 104, 114, 105, 110, 107, 95,
    99, 111, 110, 116, 114, 111, 108, 0, 102, 114, 101, 101, 95, 99, 97, 99, 104, 101, 100, 95,
    111, 98, 106, 101, 99, 116, 115, 0, 115, 117, 112, 101, 114, 95, 111, 112, 101, 114, 97, 116,
    105, 111, 110, 115, 0, 100, 113, 95, 111, 112, 0, 119, 114, 105, 116, 101, 95, 100, 113, 117,
    111, 116, 0, 97, 108, 108, 111, 99, 95, 100, 113, 117, 111, 116, 0, 100, 101, 115, 116, 114,
    111, 121, 95, 100, 113, 117, 111, 116, 0, 97, 99, 113, 117, 105, 114, 101, 95, 100, 113, 117,
    111, 116, 0, 114, 101, 108, 101, 97, 115, 101, 95, 100, 113, 117, 111, 116, 0, 109, 97, 114,
    107, 95, 100, 105, 114, 116, 121, 0, 119, 114, 105, 116, 101, 95, 105, 110, 102, 111, 0, 103,
    101, 116, 95, 114, 101, 115, 101, 114, 118, 101, 100, 95, 115, 112, 97, 99, 101, 0, 103, 101,
    116, 95, 112, 114, 111, 106, 105, 100, 0, 103, 101, 116, 95, 105, 110, 111, 100, 101, 95, 117,
    115, 97, 103, 101, 0, 103, 101, 116, 95, 110, 101, 120, 116, 95, 105, 100, 0, 100, 113, 117,
    111, 116, 95, 111, 112, 101, 114, 97, 116, 105, 111, 110, 115, 0, 115, 95, 113, 99, 111, 112,
    0, 113, 117, 111, 116, 97, 95, 111, 110, 0, 113, 117, 111, 116, 97, 95, 111, 102, 102, 0, 113,
    117, 111, 116, 97, 95, 101, 110, 97, 98, 108, 101, 0, 113, 117, 111, 116, 97, 95, 100, 105,
    115, 97, 98, 108, 101, 0, 113, 117, 111, 116, 97, 95, 115, 121, 110, 99, 0, 115, 101, 116, 95,
    105, 110, 102, 111, 0, 105, 95, 102, 105, 101, 108, 100, 109, 97, 115, 107, 0, 105, 95, 115,
    112, 99, 95, 116, 105, 109, 101, 108, 105, 109, 105, 116, 0, 105, 95, 105, 110, 111, 95, 116,
    105, 109, 101, 108, 105, 109, 105, 116, 0, 105, 95, 114, 116, 95, 115, 112, 99, 95, 116, 105,
    109, 101, 108, 105, 109, 105, 116, 0, 105, 95, 115, 112, 99, 95, 119, 97, 114, 110, 108, 105,
    109, 105, 116, 0, 105, 95, 105, 110, 111, 95, 119, 97, 114, 110, 108, 105, 109, 105, 116, 0,
    105, 95, 114, 116, 95, 115, 112, 99, 95, 119, 97, 114, 110, 108, 105, 109, 105, 116, 0, 113,
    99, 95, 105, 110, 102, 111, 0, 103, 101, 116, 95, 100, 113, 98, 108, 107, 0, 100, 95, 102, 105,
    101, 108, 100, 109, 97, 115, 107, 0, 100, 95, 115, 112, 99, 95, 104, 97, 114, 100, 108, 105,
    109, 105, 116, 0, 100, 95, 115, 112, 99, 95, 115, 111, 102, 116, 108, 105, 109, 105, 116, 0,
    100, 95, 105, 110, 111, 95, 104, 97, 114, 100, 108, 105, 109, 105, 116, 0, 100, 95, 105, 110,
    111, 95, 115, 111, 102, 116, 108, 105, 109, 105, 116, 0, 100, 95, 115, 112, 97, 99, 101, 0,
    100, 95, 105, 110, 111, 95, 99, 111, 117, 110, 116, 0, 100, 95, 105, 110, 111, 95, 116, 105,
    109, 101, 114, 0, 100, 95, 115, 112, 99, 95, 116, 105, 109, 101, 114, 0, 100, 95, 105, 110,
    111, 95, 119, 97, 114, 110, 115, 0, 100, 95, 115, 112, 99, 95, 119, 97, 114, 110, 115, 0, 100,
    95, 114, 116, 95, 115, 112, 99, 95, 104, 97, 114, 100, 108, 105, 109, 105, 116, 0, 100, 95,
    114, 116, 95, 115, 112, 99, 95, 115, 111, 102, 116, 108, 105, 109, 105, 116, 0, 100, 95, 114,
    116, 95, 115, 112, 97, 99, 101, 0, 100, 95, 114, 116, 95, 115, 112, 99, 95, 116, 105, 109, 101,
    114, 0, 100, 95, 114, 116, 95, 115, 112, 99, 95, 119, 97, 114, 110, 115, 0, 113, 99, 95, 100,
    113, 98, 108, 107, 0, 103, 101, 116, 95, 110, 101, 120, 116, 100, 113, 98, 108, 107, 0, 115,
    101, 116, 95, 100, 113, 98, 108, 107, 0, 103, 101, 116, 95, 115, 116, 97, 116, 101, 0, 115, 95,
    105, 110, 99, 111, 114, 101, 100, 113, 115, 0, 115, 95, 115, 116, 97, 116, 101, 0, 115, 112,
    99, 95, 116, 105, 109, 101, 108, 105, 109, 105, 116, 0, 105, 110, 111, 95, 116, 105, 109, 101,
    108, 105, 109, 105, 116, 0, 114, 116, 95, 115, 112, 99, 95, 116, 105, 109, 101, 108, 105, 109,
    105, 116, 0, 115, 112, 99, 95, 119, 97, 114, 110, 108, 105, 109, 105, 116, 0, 105, 110, 111,
    95, 119, 97, 114, 110, 108, 105, 109, 105, 116, 0, 114, 116, 95, 115, 112, 99, 95, 119, 97,
    114, 110, 108, 105, 109, 105, 116, 0, 98, 108, 111, 99, 107, 115, 0, 98, 108, 107, 99, 110,
    116, 95, 116, 0, 110, 101, 120, 116, 101, 110, 116, 115, 0, 113, 99, 95, 116, 121, 112, 101,
    95, 115, 116, 97, 116, 101, 0, 113, 99, 95, 115, 116, 97, 116, 101, 0, 114, 109, 95, 120, 113,
    117, 111, 116, 97, 0, 113, 117, 111, 116, 97, 99, 116, 108, 95, 111, 112, 115, 0, 115, 95, 101,
    120, 112, 111, 114, 116, 95, 111, 112, 0, 101, 110, 99, 111, 100, 101, 95, 102, 104, 0, 102,
    104, 95, 116, 111, 95, 100, 101, 110, 116, 114, 121, 0, 105, 51, 50, 0, 112, 97, 114, 101, 110,
    116, 95, 105, 110, 111, 0, 117, 100, 102, 0, 112, 97, 114, 116, 114, 101, 102, 0, 112, 97, 114,
    101, 110, 116, 95, 112, 97, 114, 116, 114, 101, 102, 0, 112, 97, 114, 101, 110, 116, 95, 98,
    108, 111, 99, 107, 0, 112, 97, 114, 101, 110, 116, 95, 103, 101, 110, 101, 114, 97, 116, 105,
    111, 110, 0, 102, 105, 100, 0, 102, 104, 95, 116, 111, 95, 112, 97, 114, 101, 110, 116, 0, 99,
    111, 109, 109, 105, 116, 95, 109, 101, 116, 97, 100, 97, 116, 97, 0, 103, 101, 116, 95, 117,
    117, 105, 100, 0, 109, 97, 112, 95, 98, 108, 111, 99, 107, 115, 0, 105, 111, 109, 97, 112, 0,
    99, 111, 109, 109, 105, 116, 95, 98, 108, 111, 99, 107, 115, 0, 105, 97, 95, 118, 97, 108, 105,
    100, 0, 105, 97, 95, 109, 111, 100, 101, 0, 105, 97, 95, 115, 105, 122, 101, 0, 105, 97, 95,
    102, 105, 108, 101, 0, 101, 120, 112, 111, 114, 116, 95, 111, 112, 101, 114, 97, 116, 105, 111,
    110, 115, 0, 115, 95, 102, 108, 97, 103, 115, 0, 115, 95, 109, 97, 103, 105, 99, 0, 115, 95,
    114, 111, 111, 116, 0, 115, 95, 117, 109, 111, 117, 110, 116, 0, 115, 95, 99, 111, 117, 110,
    116, 0, 115, 95, 97, 99, 116, 105, 118, 101, 0, 115, 95, 115, 101, 99, 117, 114, 105, 116, 121,
    0, 115, 95, 120, 97, 116, 116, 114, 0, 120, 97, 116, 116, 114, 95, 104, 97, 110, 100, 108, 101,
    114, 0, 115, 95, 99, 111, 112, 0, 107, 101, 121, 95, 112, 114, 101, 102, 105, 120, 0, 103, 101,
    116, 95, 99, 111, 110, 116, 101, 120, 116, 0, 115, 101, 116, 95, 99, 111, 110, 116, 101, 120,
    116, 0, 103, 101, 116, 95, 100, 117, 109, 109, 121, 95, 99, 111, 110, 116, 101, 120, 116, 0,
    118, 49, 0, 99, 111, 110, 116, 101, 110, 116, 115, 95, 101, 110, 99, 114, 121, 112, 116, 105,
    111, 110, 95, 109, 111, 100, 101, 0, 102, 105, 108, 101, 110, 97, 109, 101, 115, 95, 101, 110,
    99, 114, 121, 112, 116, 105, 111, 110, 95, 109, 111, 100, 101, 0, 109, 97, 115, 116, 101, 114,
    95, 107, 101, 121, 95, 100, 101, 115, 99, 114, 105, 112, 116, 111, 114, 0, 110, 111, 110, 99,
    101, 0, 102, 115, 99, 114, 121, 112, 116, 95, 99, 111, 110, 116, 101, 120, 116, 95, 118, 49, 0,
    118, 50, 0, 109, 97, 115, 116, 101, 114, 95, 107, 101, 121, 95, 105, 100, 101, 110, 116, 105,
    102, 105, 101, 114, 0, 102, 115, 99, 114, 121, 112, 116, 95, 99, 111, 110, 116, 101, 120, 116,
    95, 118, 50, 0, 102, 115, 99, 114, 121, 112, 116, 95, 99, 111, 110, 116, 101, 120, 116, 0, 101,
    109, 112, 116, 121, 95, 100, 105, 114, 0, 109, 97, 120, 95, 110, 97, 109, 101, 108, 101, 110,
    0, 104, 97, 115, 95, 115, 116, 97, 98, 108, 101, 95, 105, 110, 111, 100, 101, 115, 0, 103, 101,
    116, 95, 105, 110, 111, 95, 97, 110, 100, 95, 108, 98, 108, 107, 95, 98, 105, 116, 115, 0, 103,
    101, 116, 95, 110, 117, 109, 95, 100, 101, 118, 105, 99, 101, 115, 0, 103, 101, 116, 95, 100,
    101, 118, 105, 99, 101, 115, 0, 102, 115, 99, 114, 121, 112, 116, 95, 111, 112, 101, 114, 97,
    116, 105, 111, 110, 115, 0, 115, 95, 109, 97, 115, 116, 101, 114, 95, 107, 101, 121, 115, 0,
    115, 95, 118, 111, 112, 0, 98, 101, 103, 105, 110, 95, 101, 110, 97, 98, 108, 101, 95, 118,
    101, 114, 105, 116, 121, 0, 101, 110, 100, 95, 101, 110, 97, 98, 108, 101, 95, 118, 101, 114,
    105, 116, 121, 0, 103, 101, 116, 95, 118, 101, 114, 105, 116, 121, 95, 100, 101, 115, 99, 114,
    105, 112, 116, 111, 114, 0, 114, 101, 97, 100, 95, 109, 101, 114, 107, 108, 101, 95, 116, 114,
    101, 101, 95, 112, 97, 103, 101, 0, 119, 114, 105, 116, 101, 95, 109, 101, 114, 107, 108, 101,
    95, 116, 114, 101, 101, 95, 98, 108, 111, 99, 107, 0, 102, 115, 118, 101, 114, 105, 116, 121,
    95, 111, 112, 101, 114, 97, 116, 105, 111, 110, 115, 0, 115, 95, 114, 111, 111, 116, 115, 0,
    104, 108, 105, 115, 116, 95, 98, 108, 95, 104, 101, 97, 100, 0, 115, 95, 109, 111, 117, 110,
    116, 115, 0, 115, 95, 98, 100, 101, 118, 0, 115, 95, 98, 100, 105, 0, 115, 95, 109, 116, 100,
    0, 109, 116, 100, 95, 105, 110, 102, 111, 0, 115, 95, 105, 110, 115, 116, 97, 110, 99, 101,
    115, 0, 115, 95, 113, 117, 111, 116, 97, 95, 116, 121, 112, 101, 115, 0, 115, 95, 100, 113,
    117, 111, 116, 0, 100, 113, 105, 111, 95, 115, 101, 109, 0, 100, 113, 105, 95, 102, 111, 114,
    109, 97, 116, 0, 113, 102, 95, 102, 109, 116, 95, 105, 100, 0, 113, 102, 95, 111, 112, 115, 0,
    99, 104, 101, 99, 107, 95, 113, 117, 111, 116, 97, 95, 102, 105, 108, 101, 0, 114, 101, 97,
    100, 95, 102, 105, 108, 101, 95, 105, 110, 102, 111, 0, 119, 114, 105, 116, 101, 95, 102, 105,
    108, 101, 95, 105, 110, 102, 111, 0, 102, 114, 101, 101, 95, 102, 105, 108, 101, 95, 105, 110,
    102, 111, 0, 114, 101, 97, 100, 95, 100, 113, 98, 108, 107, 0, 99, 111, 109, 109, 105, 116, 95,
    100, 113, 98, 108, 107, 0, 114, 101, 108, 101, 97, 115, 101, 95, 100, 113, 98, 108, 107, 0,
    113, 117, 111, 116, 97, 95, 102, 111, 114, 109, 97, 116, 95, 111, 112, 115, 0, 113, 102, 95,
    111, 119, 110, 101, 114, 0, 113, 102, 95, 110, 101, 120, 116, 0, 113, 117, 111, 116, 97, 95,
    102, 111, 114, 109, 97, 116, 95, 116, 121, 112, 101, 0, 100, 113, 105, 95, 102, 109, 116, 95,
    105, 100, 0, 100, 113, 105, 95, 100, 105, 114, 116, 121, 95, 108, 105, 115, 116, 0, 100, 113,
    105, 95, 102, 108, 97, 103, 115, 0, 100, 113, 105, 95, 98, 103, 114, 97, 99, 101, 0, 100, 113,
    105, 95, 105, 103, 114, 97, 99, 101, 0, 100, 113, 105, 95, 109, 97, 120, 95, 115, 112, 99, 95,
    108, 105, 109, 105, 116, 0, 100, 113, 105, 95, 109, 97, 120, 95, 105, 110, 111, 95, 108, 105,
    109, 105, 116, 0, 100, 113, 105, 95, 112, 114, 105, 118, 0, 109, 101, 109, 95, 100, 113, 105,
    110, 102, 111, 0, 113, 117, 111, 116, 97, 95, 105, 110, 102, 111, 0, 115, 95, 119, 114, 105,
    116, 101, 114, 115, 0, 119, 97, 105, 116, 95, 117, 110, 102, 114, 111, 122, 101, 110, 0, 114,
    119, 95, 115, 101, 109, 0, 114, 115, 115, 0, 103, 112, 95, 115, 116, 97, 116, 101, 0, 103, 112,
    95, 99, 111, 117, 110, 116, 0, 103, 112, 95, 119, 97, 105, 116, 0, 99, 98, 95, 104, 101, 97,
    100, 0, 114, 99, 117, 95, 115, 121, 110, 99, 0, 114, 101, 97, 100, 95, 99, 111, 117, 110, 116,
    0, 119, 114, 105, 116, 101, 114, 0, 114, 99, 117, 119, 97, 105, 116, 0, 112, 101, 114, 99, 112,
    117, 95, 114, 119, 95, 115, 101, 109, 97, 112, 104, 111, 114, 101, 0, 115, 98, 95, 119, 114,
    105, 116, 101, 114, 115, 0, 115, 95, 116, 105, 109, 101, 95, 103, 114, 97, 110, 0, 115, 95,
    116, 105, 109, 101, 95, 109, 105, 110, 0, 115, 95, 116, 105, 109, 101, 95, 109, 97, 120, 0,
    115, 95, 102, 115, 110, 111, 116, 105, 102, 121, 95, 109, 97, 115, 107, 0, 115, 95, 102, 115,
    110, 111, 116, 105, 102, 121, 95, 109, 97, 114, 107, 115, 0, 115, 95, 105, 100, 0, 115, 95,
    117, 117, 105, 100, 0, 117, 117, 105, 100, 95, 116, 0, 115, 95, 109, 97, 120, 95, 108, 105,
    110, 107, 115, 0, 115, 95, 109, 111, 100, 101, 0, 115, 95, 118, 102, 115, 95, 114, 101, 110,
    97, 109, 101, 95, 109, 117, 116, 101, 120, 0, 115, 95, 115, 117, 98, 116, 121, 112, 101, 0,
    115, 95, 100, 95, 111, 112, 0, 99, 108, 101, 97, 110, 99, 97, 99, 104, 101, 95, 112, 111, 111,
    108, 105, 100, 0, 115, 95, 115, 104, 114, 105, 110, 107, 0, 99, 111, 117, 110, 116, 95, 111,
    98, 106, 101, 99, 116, 115, 0, 115, 99, 97, 110, 95, 111, 98, 106, 101, 99, 116, 115, 0, 115,
    101, 101, 107, 115, 0, 110, 114, 95, 100, 101, 102, 101, 114, 114, 101, 100, 0, 115, 104, 114,
    105, 110, 107, 101, 114, 0, 115, 95, 114, 101, 109, 111, 118, 101, 95, 99, 111, 117, 110, 116,
    0, 115, 95, 102, 115, 110, 111, 116, 105, 102, 121, 95, 105, 110, 111, 100, 101, 95, 114, 101,
    102, 115, 0, 115, 95, 114, 101, 97, 100, 111, 110, 108, 121, 95, 114, 101, 109, 111, 117, 110,
    116, 0, 115, 95, 119, 98, 95, 101, 114, 114, 0, 115, 95, 100, 105, 111, 95, 100, 111, 110, 101,
    95, 119, 113, 0, 115, 95, 112, 105, 110, 115, 0, 115, 95, 117, 115, 101, 114, 95, 110, 115, 0,
    115, 95, 100, 101, 110, 116, 114, 121, 95, 108, 114, 117, 0, 110, 114, 95, 105, 116, 101, 109,
    115, 0, 108, 105, 115, 116, 95, 108, 114, 117, 95, 111, 110, 101, 0, 109, 101, 109, 99, 103,
    95, 108, 114, 117, 115, 0, 108, 105, 115, 116, 95, 108, 114, 117, 95, 109, 101, 109, 99, 103,
    0, 108, 105, 115, 116, 95, 108, 114, 117, 95, 110, 111, 100, 101, 0, 115, 104, 114, 105, 110,
    107, 101, 114, 95, 105, 100, 0, 109, 101, 109, 99, 103, 95, 97, 119, 97, 114, 101, 0, 108, 105,
    115, 116, 95, 108, 114, 117, 0, 115, 95, 105, 110, 111, 100, 101, 95, 108, 114, 117, 0, 115,
    95, 115, 121, 110, 99, 95, 108, 111, 99, 107, 0, 115, 95, 115, 116, 97, 99, 107, 95, 100, 101,
    112, 116, 104, 0, 115, 95, 105, 110, 111, 100, 101, 95, 108, 105, 115, 116, 95, 108, 111, 99,
    107, 0, 115, 95, 105, 110, 111, 100, 101, 115, 0, 115, 95, 105, 110, 111, 100, 101, 95, 119,
    98, 108, 105, 115, 116, 95, 108, 111, 99, 107, 0, 115, 95, 105, 110, 111, 100, 101, 115, 95,
    119, 98, 0, 115, 117, 112, 101, 114, 95, 98, 108, 111, 99, 107, 0, 109, 110, 116, 95, 102, 108,
    97, 103, 115, 0, 118, 102, 115, 109, 111, 117, 110, 116, 0, 100, 95, 109, 97, 110, 97, 103,
    101, 0, 100, 95, 114, 101, 97, 108, 0, 100, 101, 110, 116, 114, 121, 95, 111, 112, 101, 114,
    97, 116, 105, 111, 110, 115, 0, 100, 95, 115, 98, 0, 100, 95, 116, 105, 109, 101, 0, 100, 95,
    102, 115, 100, 97, 116, 97, 0, 100, 95, 108, 114, 117, 0, 100, 95, 119, 97, 105, 116, 0, 100,
    95, 99, 104, 105, 108, 100, 0, 100, 95, 115, 117, 98, 100, 105, 114, 115, 0, 100, 95, 117, 0,
    100, 95, 97, 108, 105, 97, 115, 0, 100, 95, 105, 110, 95, 108, 111, 111, 107, 117, 112, 95,
    104, 97, 115, 104, 0, 100, 95, 114, 99, 117, 0, 103, 101, 116, 95, 108, 105, 110, 107, 0, 112,
    101, 114, 109, 105, 115, 115, 105, 111, 110, 0, 103, 101, 116, 95, 97, 99, 108, 0, 114, 101,
    97, 100, 108, 105, 110, 107, 0, 99, 114, 101, 97, 116, 101, 0, 117, 110, 108, 105, 110, 107, 0,
    109, 107, 110, 111, 100, 0, 115, 101, 116, 97, 116, 116, 114, 0, 103, 101, 116, 97, 116, 116,
    114, 0, 114, 101, 115, 117, 108, 116, 95, 109, 97, 115, 107, 0, 98, 108, 107, 115, 105, 122,
    101, 0, 97, 116, 116, 114, 105, 98, 117, 116, 101, 115, 0, 97, 116, 116, 114, 105, 98, 117,
    116, 101, 115, 95, 109, 97, 115, 107, 0, 97, 116, 105, 109, 101, 0, 109, 116, 105, 109, 101, 0,
    98, 116, 105, 109, 101, 0, 107, 115, 116, 97, 116, 0, 108, 105, 115, 116, 120, 97, 116, 116,
    114, 0, 102, 105, 101, 109, 97, 112, 0, 102, 105, 95, 102, 108, 97, 103, 115, 0, 102, 105, 95,
    101, 120, 116, 101, 110, 116, 115, 95, 109, 97, 112, 112, 101, 100, 0, 102, 105, 95, 101, 120,
    116, 101, 110, 116, 115, 95, 109, 97, 120, 0, 102, 105, 95, 101, 120, 116, 101, 110, 116, 115,
    95, 115, 116, 97, 114, 116, 0, 102, 101, 95, 108, 111, 103, 105, 99, 97, 108, 0, 102, 101, 95,
    112, 104, 121, 115, 105, 99, 97, 108, 0, 102, 101, 95, 108, 101, 110, 103, 116, 104, 0, 102,
    101, 95, 114, 101, 115, 101, 114, 118, 101, 100, 54, 52, 0, 102, 101, 95, 102, 108, 97, 103,
    115, 0, 102, 101, 95, 114, 101, 115, 101, 114, 118, 101, 100, 0, 102, 105, 101, 109, 97, 112,
    95, 101, 120, 116, 101, 110, 116, 0, 102, 105, 101, 109, 97, 112, 95, 101, 120, 116, 101, 110,
    116, 95, 105, 110, 102, 111, 0, 117, 112, 100, 97, 116, 101, 95, 116, 105, 109, 101, 0, 97,
    116, 111, 109, 105, 99, 95, 111, 112, 101, 110, 0, 116, 109, 112, 102, 105, 108, 101, 0, 115,
    101, 116, 95, 97, 99, 108, 0, 105, 110, 111, 100, 101, 95, 111, 112, 101, 114, 97, 116, 105,
    111, 110, 115, 0, 105, 95, 115, 98, 0, 105, 95, 109, 97, 112, 112, 105, 110, 103, 0, 105, 95,
    115, 101, 99, 117, 114, 105, 116, 121, 0, 105, 95, 105, 110, 111, 0, 105, 95, 110, 108, 105,
    110, 107, 0, 95, 95, 105, 95, 110, 108, 105, 110, 107, 0, 105, 95, 114, 100, 101, 118, 0, 105,
    95, 115, 105, 122, 101, 0, 105, 95, 97, 116, 105, 109, 101, 0, 105, 95, 109, 116, 105, 109,
    101, 0, 105, 95, 99, 116, 105, 109, 101, 0, 105, 95, 108, 111, 99, 107, 0, 105, 95, 98, 121,
    116, 101, 115, 0, 105, 95, 98, 108, 107, 98, 105, 116, 115, 0, 105, 95, 119, 114, 105, 116,
    101, 95, 104, 105, 110, 116, 0, 105, 95, 98, 108, 111, 99, 107, 115, 0, 105, 95, 115, 116, 97,
    116, 101, 0, 105, 95, 114, 119, 115, 101, 109, 0, 100, 105, 114, 116, 105, 101, 100, 95, 119,
    104, 101, 110, 0, 100, 105, 114, 116, 105, 101, 100, 95, 116, 105, 109, 101, 95, 119, 104, 101,
    110, 0, 105, 95, 104, 97, 115, 104, 0, 105, 95, 105, 111, 95, 108, 105, 115, 116, 0, 105, 95,
    119, 98, 0, 105, 95, 119, 98, 95, 102, 114, 110, 95, 119, 105, 110, 110, 101, 114, 0, 105, 95,
    119, 98, 95, 102, 114, 110, 95, 97, 118, 103, 95, 116, 105, 109, 101, 0, 105, 95, 119, 98, 95,
    102, 114, 110, 95, 104, 105, 115, 116, 111, 114, 121, 0, 105, 95, 108, 114, 117, 0, 105, 95,
    115, 98, 95, 108, 105, 115, 116, 0, 105, 95, 119, 98, 95, 108, 105, 115, 116, 0, 105, 95, 100,
    101, 110, 116, 114, 121, 0, 105, 95, 114, 99, 117, 0, 105, 95, 118, 101, 114, 115, 105, 111,
    110, 0, 105, 95, 115, 101, 113, 117, 101, 110, 99, 101, 0, 105, 95, 99, 111, 117, 110, 116, 0,
    105, 95, 100, 105, 111, 95, 99, 111, 117, 110, 116, 0, 105, 95, 119, 114, 105, 116, 101, 99,
    111, 117, 110, 116, 0, 105, 95, 114, 101, 97, 100, 99, 111, 117, 110, 116, 0, 105, 95, 102,
    111, 112, 0, 105, 95, 102, 108, 99, 116, 120, 0, 102, 108, 99, 95, 108, 111, 99, 107, 0, 102,
    108, 99, 95, 102, 108, 111, 99, 107, 0, 102, 108, 99, 95, 112, 111, 115, 105, 120, 0, 102, 108,
    99, 95, 108, 101, 97, 115, 101, 0, 102, 105, 108, 101, 95, 108, 111, 99, 107, 95, 99, 111, 110,
    116, 101, 120, 116, 0, 105, 95, 100, 97, 116, 97, 0, 105, 95, 100, 101, 118, 105, 99, 101, 115,
    0, 105, 95, 112, 105, 112, 101, 0, 105, 95, 98, 100, 101, 118, 0, 105, 95, 99, 100, 101, 118,
    0, 105, 95, 108, 105, 110, 107, 0, 105, 95, 100, 105, 114, 95, 115, 101, 113, 0, 105, 95, 103,
    101, 110, 101, 114, 97, 116, 105, 111, 110, 0, 105, 95, 102, 115, 110, 111, 116, 105, 102, 121,
    95, 109, 97, 115, 107, 0, 105, 95, 102, 115, 110, 111, 116, 105, 102, 121, 95, 109, 97, 114,
    107, 115, 0, 105, 95, 99, 114, 121, 112, 116, 95, 105, 110, 102, 111, 0, 99, 105, 95, 101, 110,
    99, 95, 107, 101, 121, 0, 116, 102, 109, 0, 114, 101, 113, 115, 105, 122, 101, 0, 99, 114, 116,
    95, 102, 108, 97, 103, 115, 0, 95, 95, 99, 114, 116, 95, 97, 108, 103, 0, 99, 114, 97, 95, 108,
    105, 115, 116, 0, 99, 114, 97, 95, 117, 115, 101, 114, 115, 0, 99, 114, 97, 95, 102, 108, 97,
    103, 115, 0, 99, 114, 97, 95, 98, 108, 111, 99, 107, 115, 105, 122, 101, 0, 99, 114, 97, 95,
    99, 116, 120, 115, 105, 122, 101, 0, 99, 114, 97, 95, 97, 108, 105, 103, 110, 109, 97, 115,
    107, 0, 99, 114, 97, 95, 112, 114, 105, 111, 114, 105, 116, 121, 0, 99, 114, 97, 95, 114, 101,
    102, 99, 110, 116, 0, 99, 114, 97, 95, 110, 97, 109, 101, 0, 99, 114, 97, 95, 100, 114, 105,
    118, 101, 114, 95, 110, 97, 109, 101, 0, 99, 114, 97, 95, 116, 121, 112, 101, 0, 99, 116, 120,
    115, 105, 122, 101, 0, 101, 120, 116, 115, 105, 122, 101, 0, 105, 110, 105, 116, 95, 116, 102,
    109, 0, 97, 108, 103, 0, 116, 109, 112, 108, 0, 105, 110, 115, 116, 97, 110, 99, 101, 115, 0,
    114, 116, 97, 95, 108, 101, 110, 0, 114, 116, 97, 95, 116, 121, 112, 101, 0, 114, 116, 97, 116,
    116, 114, 0, 99, 114, 121, 112, 116, 111, 95, 116, 101, 109, 112, 108, 97, 116, 101, 0, 115,
    112, 97, 119, 110, 115, 0, 105, 110, 115, 116, 0, 102, 114, 111, 110, 116, 101, 110, 100, 0,
    99, 114, 121, 112, 116, 111, 95, 115, 112, 97, 119, 110, 0, 95, 95, 99, 116, 120, 0, 99, 114,
    121, 112, 116, 111, 95, 105, 110, 115, 116, 97, 110, 99, 101, 0, 109, 97, 115, 107, 99, 108,
    101, 97, 114, 0, 109, 97, 115, 107, 115, 101, 116, 0, 116, 102, 109, 115, 105, 122, 101, 0, 99,
    114, 121, 112, 116, 111, 95, 116, 121, 112, 101, 0, 99, 114, 97, 95, 117, 0, 99, 105, 112, 104,
    101, 114, 0, 99, 105, 97, 95, 109, 105, 110, 95, 107, 101, 121, 115, 105, 122, 101, 0, 99, 105,
    97, 95, 109, 97, 120, 95, 107, 101, 121, 115, 105, 122, 101, 0, 99, 105, 97, 95, 115, 101, 116,
    107, 101, 121, 0, 99, 105, 97, 95, 101, 110, 99, 114, 121, 112, 116, 0, 99, 105, 97, 95, 100,
    101, 99, 114, 121, 112, 116, 0, 99, 105, 112, 104, 101, 114, 95, 97, 108, 103, 0, 99, 111, 109,
    112, 114, 101, 115, 115, 0, 99, 111, 97, 95, 99, 111, 109, 112, 114, 101, 115, 115, 0, 99, 111,
    97, 95, 100, 101, 99, 111, 109, 112, 114, 101, 115, 115, 0, 99, 111, 109, 112, 114, 101, 115,
    115, 95, 97, 108, 103, 0, 99, 114, 97, 95, 105, 110, 105, 116, 0, 99, 114, 97, 95, 101, 120,
    105, 116, 0, 99, 114, 97, 95, 100, 101, 115, 116, 114, 111, 121, 0, 99, 114, 97, 95, 109, 111,
    100, 117, 108, 101, 0, 99, 114, 121, 112, 116, 111, 95, 97, 108, 103, 0, 95, 95, 99, 114, 116,
    95, 99, 116, 120, 0, 99, 114, 121, 112, 116, 111, 95, 116, 102, 109, 0, 99, 114, 121, 112, 116,
    111, 95, 115, 107, 99, 105, 112, 104, 101, 114, 0, 98, 108, 107, 95, 107, 101, 121, 0, 110,
    117, 109, 95, 100, 101, 118, 115, 0, 100, 101, 118, 115, 0, 102, 115, 99, 114, 121, 112, 116,
    95, 98, 108, 107, 95, 99, 114, 121, 112, 116, 111, 95, 107, 101, 121, 0, 102, 115, 99, 114,
    121, 112, 116, 95, 112, 114, 101, 112, 97, 114, 101, 100, 95, 107, 101, 121, 0, 99, 105, 95,
    111, 119, 110, 115, 95, 107, 101, 121, 0, 99, 105, 95, 105, 110, 108, 105, 110, 101, 99, 114,
    121, 112, 116, 0, 99, 105, 95, 109, 111, 100, 101, 0, 102, 114, 105, 101, 110, 100, 108, 121,
    95, 110, 97, 109, 101, 0, 99, 105, 112, 104, 101, 114, 95, 115, 116, 114, 0, 107, 101, 121,
    115, 105, 122, 101, 0, 105, 118, 115, 105, 122, 101, 0, 108, 111, 103, 103, 101, 100, 95, 105,
    109, 112, 108, 95, 110, 97, 109, 101, 0, 98, 108, 107, 95, 99, 114, 121, 112, 116, 111, 95,
    109, 111, 100, 101, 0, 102, 115, 99, 114, 121, 112, 116, 95, 109, 111, 100, 101, 0, 99, 105,
    95, 105, 110, 111, 100, 101, 0, 99, 105, 95, 109, 97, 115, 116, 101, 114, 95, 107, 101, 121, 0,
    99, 105, 95, 109, 97, 115, 116, 101, 114, 95, 107, 101, 121, 95, 108, 105, 110, 107, 0, 99,
    105, 95, 100, 105, 114, 101, 99, 116, 95, 107, 101, 121, 0, 100, 107, 95, 110, 111, 100, 101,
    0, 100, 107, 95, 114, 101, 102, 99, 111, 117, 110, 116, 0, 100, 107, 95, 109, 111, 100, 101, 0,
    100, 107, 95, 107, 101, 121, 0, 100, 107, 95, 100, 101, 115, 99, 114, 105, 112, 116, 111, 114,
    0, 100, 107, 95, 114, 97, 119, 0, 102, 115, 99, 114, 121, 112, 116, 95, 100, 105, 114, 101, 99,
    116, 95, 107, 101, 121, 0, 99, 105, 95, 100, 105, 114, 104, 97, 115, 104, 95, 107, 101, 121, 0,
    99, 105, 95, 100, 105, 114, 104, 97, 115, 104, 95, 107, 101, 121, 95, 105, 110, 105, 116, 105,
    97, 108, 105, 122, 101, 100, 0, 99, 105, 95, 112, 111, 108, 105, 99, 121, 0, 102, 115, 99, 114,
    121, 112, 116, 95, 112, 111, 108, 105, 99, 121, 95, 118, 49, 0, 102, 115, 99, 114, 121, 112,
    116, 95, 112, 111, 108, 105, 99, 121, 95, 118, 50, 0, 102, 115, 99, 114, 121, 112, 116, 95,
    112, 111, 108, 105, 99, 121, 0, 99, 105, 95, 110, 111, 110, 99, 101, 0, 99, 105, 95, 104, 97,
    115, 104, 101, 100, 95, 105, 110, 111, 0, 102, 115, 99, 114, 121, 112, 116, 95, 105, 110, 102,
    111, 0, 105, 95, 118, 101, 114, 105, 116, 121, 95, 105, 110, 102, 111, 0, 116, 114, 101, 101,
    95, 112, 97, 114, 97, 109, 115, 0, 104, 97, 115, 104, 95, 97, 108, 103, 0, 99, 114, 121, 112,
    116, 111, 95, 99, 111, 109, 112, 108, 101, 116, 105, 111, 110, 95, 116, 0, 99, 114, 121, 112,
    116, 111, 95, 97, 115, 121, 110, 99, 95, 114, 101, 113, 117, 101, 115, 116, 0, 110, 98, 121,
    116, 101, 115, 0, 97, 104, 97, 115, 104, 95, 114, 101, 113, 117, 101, 115, 116, 0, 102, 105,
    110, 97, 108, 0, 102, 105, 110, 117, 112, 0, 100, 105, 103, 101, 115, 116, 0, 101, 120, 112,
    111, 114, 116, 0, 105, 109, 112, 111, 114, 116, 0, 115, 101, 116, 107, 101, 121, 0, 99, 114,
    121, 112, 116, 111, 95, 97, 104, 97, 115, 104, 0, 100, 105, 103, 101, 115, 116, 95, 115, 105,
    122, 101, 0, 98, 108, 111, 99, 107, 95, 115, 105, 122, 101, 0, 114, 101, 113, 95, 112, 111,
    111, 108, 0, 102, 115, 118, 101, 114, 105, 116, 121, 95, 104, 97, 115, 104, 95, 97, 108, 103,
    0, 104, 97, 115, 104, 115, 116, 97, 116, 101, 0, 104, 97, 115, 104, 101, 115, 95, 112, 101,
    114, 95, 98, 108, 111, 99, 107, 0, 108, 111, 103, 95, 98, 108, 111, 99, 107, 115, 105, 122,
    101, 0, 108, 111, 103, 95, 97, 114, 105, 116, 121, 0, 110, 117, 109, 95, 108, 101, 118, 101,
    108, 115, 0, 116, 114, 101, 101, 95, 115, 105, 122, 101, 0, 108, 101, 118, 101, 108, 48, 95,
    98, 108, 111, 99, 107, 115, 0, 108, 101, 118, 101, 108, 95, 115, 116, 97, 114, 116, 0, 109,
    101, 114, 107, 108, 101, 95, 116, 114, 101, 101, 95, 112, 97, 114, 97, 109, 115, 0, 114, 111,
    111, 116, 95, 104, 97, 115, 104, 0, 109, 101, 97, 115, 117, 114, 101, 109, 101, 110, 116, 0,
    102, 115, 118, 101, 114, 105, 116, 121, 95, 105, 110, 102, 111, 0, 105, 95, 112, 114, 105, 118,
    97, 116, 101, 0, 105, 95, 112, 97, 103, 101, 115, 0, 105, 95, 109, 109, 97, 112, 95, 119, 114,
    105, 116, 97, 98, 108, 101, 0, 110, 114, 95, 116, 104, 112, 115, 0, 105, 95, 109, 109, 97, 112,
    0, 105, 95, 109, 109, 97, 112, 95, 114, 119, 115, 101, 109, 0, 110, 114, 112, 97, 103, 101,
    115, 0, 110, 114, 101, 120, 99, 101, 112, 116, 105, 111, 110, 97, 108, 0, 119, 114, 105, 116,
    101, 98, 97, 99, 107, 95, 105, 110, 100, 101, 120, 0, 97, 95, 111, 112, 115, 0, 119, 114, 105,
    116, 101, 112, 97, 103, 101, 0, 114, 101, 97, 100, 112, 97, 103, 101, 0, 119, 114, 105, 116,
    101, 112, 97, 103, 101, 115, 0, 115, 101, 116, 95, 112, 97, 103, 101, 95, 100, 105, 114, 116,
    121, 0, 114, 101, 97, 100, 112, 97, 103, 101, 115, 0, 114, 101, 97, 100, 97, 104, 101, 97, 100,
    0, 95, 105, 110, 100, 101, 120, 0, 95, 110, 114, 95, 112, 97, 103, 101, 115, 0, 95, 98, 97,
    116, 99, 104, 95, 99, 111, 117, 110, 116, 0, 114, 101, 97, 100, 97, 104, 101, 97, 100, 95, 99,
    111, 110, 116, 114, 111, 108, 0, 119, 114, 105, 116, 101, 95, 98, 101, 103, 105, 110, 0, 119,
    114, 105, 116, 101, 95, 101, 110, 100, 0, 98, 109, 97, 112, 0, 105, 110, 118, 97, 108, 105,
    100, 97, 116, 101, 112, 97, 103, 101, 0, 114, 101, 108, 101, 97, 115, 101, 112, 97, 103, 101,
    0, 102, 114, 101, 101, 112, 97, 103, 101, 0, 100, 105, 114, 101, 99, 116, 95, 73, 79, 0, 109,
    105, 103, 114, 97, 116, 101, 112, 97, 103, 101, 0, 105, 115, 111, 108, 97, 116, 101, 95, 112,
    97, 103, 101, 0, 105, 115, 111, 108, 97, 116, 101, 95, 109, 111, 100, 101, 95, 116, 0, 112,
    117, 116, 98, 97, 99, 107, 95, 112, 97, 103, 101, 0, 108, 97, 117, 110, 100, 101, 114, 95, 112,
    97, 103, 101, 0, 105, 115, 95, 112, 97, 114, 116, 105, 97, 108, 108, 121, 95, 117, 112, 116,
    111, 100, 97, 116, 101, 0, 105, 115, 95, 100, 105, 114, 116, 121, 95, 119, 114, 105, 116, 101,
    98, 97, 99, 107, 0, 101, 114, 114, 111, 114, 95, 114, 101, 109, 111, 118, 101, 95, 112, 97,
    103, 101, 0, 115, 119, 97, 112, 95, 97, 99, 116, 105, 118, 97, 116, 101, 0, 115, 119, 97, 112,
    95, 109, 97, 112, 0, 99, 108, 117, 115, 116, 101, 114, 95, 105, 110, 102, 111, 0, 115, 119, 97,
    112, 95, 99, 108, 117, 115, 116, 101, 114, 95, 105, 110, 102, 111, 0, 102, 114, 101, 101, 95,
    99, 108, 117, 115, 116, 101, 114, 115, 0, 115, 119, 97, 112, 95, 99, 108, 117, 115, 116, 101,
    114, 95, 108, 105, 115, 116, 0, 108, 111, 119, 101, 115, 116, 95, 98, 105, 116, 0, 104, 105,
    103, 104, 101, 115, 116, 95, 98, 105, 116, 0, 105, 110, 117, 115, 101, 95, 112, 97, 103, 101,
    115, 0, 99, 108, 117, 115, 116, 101, 114, 95, 110, 101, 120, 116, 0, 99, 108, 117, 115, 116,
    101, 114, 95, 110, 114, 0, 99, 108, 117, 115, 116, 101, 114, 95, 110, 101, 120, 116, 95, 99,
    112, 117, 0, 112, 101, 114, 99, 112, 117, 95, 99, 108, 117, 115, 116, 101, 114, 0, 115, 119,
    97, 112, 95, 101, 120, 116, 101, 110, 116, 95, 114, 111, 111, 116, 0, 98, 100, 101, 118, 0,
    115, 119, 97, 112, 95, 102, 105, 108, 101, 0, 111, 108, 100, 95, 98, 108, 111, 99, 107, 95,
    115, 105, 122, 101, 0, 102, 114, 111, 110, 116, 115, 119, 97, 112, 95, 109, 97, 112, 0, 102,
    114, 111, 110, 116, 115, 119, 97, 112, 95, 112, 97, 103, 101, 115, 0, 99, 111, 110, 116, 95,
    108, 111, 99, 107, 0, 100, 105, 115, 99, 97, 114, 100, 95, 119, 111, 114, 107, 0, 100, 105,
    115, 99, 97, 114, 100, 95, 99, 108, 117, 115, 116, 101, 114, 115, 0, 97, 118, 97, 105, 108, 95,
    108, 105, 115, 116, 115, 0, 115, 119, 97, 112, 95, 105, 110, 102, 111, 95, 115, 116, 114, 117,
    99, 116, 0, 115, 119, 97, 112, 95, 100, 101, 97, 99, 116, 105, 118, 97, 116, 101, 0, 97, 100,
    100, 114, 101, 115, 115, 95, 115, 112, 97, 99, 101, 95, 111, 112, 101, 114, 97, 116, 105, 111,
    110, 115, 0, 119, 98, 95, 101, 114, 114, 0, 112, 114, 105, 118, 97, 116, 101, 95, 108, 111, 99,
    107, 0, 112, 114, 105, 118, 97, 116, 101, 95, 108, 105, 115, 116, 0, 97, 100, 100, 114, 101,
    115, 115, 95, 115, 112, 97, 99, 101, 0, 100, 109, 97, 95, 97, 100, 100, 114, 0, 115, 108, 97,
    98, 95, 108, 105, 115, 116, 0, 112, 111, 98, 106, 101, 99, 116, 115, 0, 115, 108, 97, 98, 95,
    99, 97, 99, 104, 101, 0, 115, 95, 109, 101, 109, 0, 111, 98, 106, 101, 99, 116, 115, 0, 99,
    111, 109, 112, 111, 117, 110, 100, 95, 104, 101, 97, 100, 0, 99, 111, 109, 112, 111, 117, 110,
    100, 95, 100, 116, 111, 114, 0, 99, 111, 109, 112, 111, 117, 110, 100, 95, 111, 114, 100, 101,
    114, 0, 99, 111, 109, 112, 111, 117, 110, 100, 95, 109, 97, 112, 99, 111, 117, 110, 116, 0, 99,
    111, 109, 112, 111, 117, 110, 100, 95, 110, 114, 0, 95, 99, 111, 109, 112, 111, 117, 110, 100,
    95, 112, 97, 100, 95, 49, 0, 104, 112, 97, 103, 101, 95, 112, 105, 110, 110, 101, 100, 95, 114,
    101, 102, 99, 111, 117, 110, 116, 0, 95, 112, 116, 95, 112, 97, 100, 95, 49, 0, 112, 109, 100,
    95, 104, 117, 103, 101, 95, 112, 116, 101, 0, 95, 112, 116, 95, 112, 97, 100, 95, 50, 0, 112,
    116, 95, 109, 109, 0, 112, 116, 95, 102, 114, 97, 103, 95, 114, 101, 102, 99, 111, 117, 110,
    116, 0, 112, 103, 109, 97, 112, 0, 97, 108, 116, 109, 97, 112, 0, 98, 97, 115, 101, 95, 112,
    102, 110, 0, 101, 110, 100, 95, 112, 102, 110, 0, 114, 101, 115, 101, 114, 118, 101, 0, 118,
    109, 101, 109, 95, 97, 108, 116, 109, 97, 112, 0, 114, 101, 115, 0, 105, 110, 116, 101, 114,
    110, 97, 108, 95, 114, 101, 102, 0, 77, 69, 77, 79, 82, 89, 95, 68, 69, 86, 73, 67, 69, 95, 80,
    82, 73, 86, 65, 84, 69, 0, 77, 69, 77, 79, 82, 89, 95, 68, 69, 86, 73, 67, 69, 95, 70, 83, 95,
    68, 65, 88, 0, 77, 69, 77, 79, 82, 89, 95, 68, 69, 86, 73, 67, 69, 95, 71, 69, 78, 69, 82, 73,
    67, 0, 77, 69, 77, 79, 82, 89, 95, 68, 69, 86, 73, 67, 69, 95, 80, 67, 73, 95, 80, 50, 80, 68,
    77, 65, 0, 109, 101, 109, 111, 114, 121, 95, 116, 121, 112, 101, 0, 112, 97, 103, 101, 95, 102,
    114, 101, 101, 0, 109, 105, 103, 114, 97, 116, 101, 95, 116, 111, 95, 114, 97, 109, 0, 100,
    101, 118, 95, 112, 97, 103, 101, 109, 97, 112, 95, 111, 112, 115, 0, 100, 101, 118, 95, 112,
    97, 103, 101, 109, 97, 112, 0, 122, 111, 110, 101, 95, 100, 101, 118, 105, 99, 101, 95, 100,
    97, 116, 97, 0, 95, 109, 97, 112, 99, 111, 117, 110, 116, 0, 112, 97, 103, 101, 95, 116, 121,
    112, 101, 0, 117, 110, 105, 116, 115, 0, 95, 114, 101, 102, 99, 111, 117, 110, 116, 0, 111, 98,
    106, 95, 99, 103, 114, 111, 117, 112, 115, 0, 98, 118, 95, 108, 101, 110, 0, 98, 118, 95, 111,
    102, 102, 115, 101, 116, 0, 98, 105, 111, 95, 118, 101, 99, 0, 110, 114, 95, 115, 101, 103,
    115, 0, 115, 116, 97, 114, 116, 95, 104, 101, 97, 100, 0, 105, 111, 118, 95, 105, 116, 101,
    114, 0, 109, 115, 103, 95, 99, 111, 110, 116, 114, 111, 108, 0, 109, 115, 103, 95, 99, 111,
    110, 116, 114, 111, 108, 95, 117, 115, 101, 114, 0, 109, 115, 103, 95, 99, 111, 110, 116, 114,
    111, 108, 95, 105, 115, 95, 117, 115, 101, 114, 0, 109, 115, 103, 95, 99, 111, 110, 116, 114,
    111, 108, 108, 101, 110, 0, 109, 115, 103, 95, 102, 108, 97, 103, 115, 0, 109, 115, 103, 95,
    105, 111, 99, 98, 0, 109, 115, 103, 104, 100, 114, 0, 114, 101, 99, 118, 109, 115, 103, 0, 98,
    105, 110, 100, 95, 97, 100, 100, 0, 98, 97, 99, 107, 108, 111, 103, 95, 114, 99, 118, 0, 114,
    101, 108, 101, 97, 115, 101, 95, 99, 98, 0, 117, 110, 104, 97, 115, 104, 0, 114, 101, 104, 97,
    115, 104, 0, 103, 101, 116, 95, 112, 111, 114, 116, 0, 105, 110, 117, 115, 101, 95, 105, 100,
    120, 0, 115, 116, 114, 101, 97, 109, 95, 109, 101, 109, 111, 114, 121, 95, 102, 114, 101, 101,
    0, 115, 116, 114, 101, 97, 109, 95, 109, 101, 109, 111, 114, 121, 95, 114, 101, 97, 100, 0,
    101, 110, 116, 101, 114, 95, 109, 101, 109, 111, 114, 121, 95, 112, 114, 101, 115, 115, 117,
    114, 101, 0, 108, 101, 97, 118, 101, 95, 109, 101, 109, 111, 114, 121, 95, 112, 114, 101, 115,
    115, 117, 114, 101, 0, 109, 101, 109, 111, 114, 121, 95, 97, 108, 108, 111, 99, 97, 116, 101,
    100, 0, 115, 111, 99, 107, 101, 116, 115, 95, 97, 108, 108, 111, 99, 97, 116, 101, 100, 0, 109,
    101, 109, 111, 114, 121, 95, 112, 114, 101, 115, 115, 117, 114, 101, 0, 115, 121, 115, 99, 116,
    108, 95, 109, 101, 109, 0, 115, 121, 115, 99, 116, 108, 95, 119, 109, 101, 109, 0, 115, 121,
    115, 99, 116, 108, 95, 114, 109, 101, 109, 0, 115, 121, 115, 99, 116, 108, 95, 119, 109, 101,
    109, 95, 111, 102, 102, 115, 101, 116, 0, 115, 121, 115, 99, 116, 108, 95, 114, 109, 101, 109,
    95, 111, 102, 102, 115, 101, 116, 0, 109, 97, 120, 95, 104, 101, 97, 100, 101, 114, 0, 110,
    111, 95, 97, 117, 116, 111, 98, 105, 110, 100, 0, 115, 108, 97, 98, 0, 111, 98, 106, 95, 115,
    105, 122, 101, 0, 115, 108, 97, 98, 95, 102, 108, 97, 103, 115, 0, 111, 114, 112, 104, 97, 110,
    95, 99, 111, 117, 110, 116, 0, 114, 115, 107, 95, 112, 114, 111, 116, 0, 115, 108, 97, 98, 95,
    110, 97, 109, 101, 0, 114, 116, 120, 95, 115, 121, 110, 95, 97, 99, 107, 0, 95, 95, 114, 101,
    113, 95, 99, 111, 109, 109, 111, 110, 0, 100, 108, 95, 110, 101, 120, 116, 0, 109, 115, 115, 0,
    110, 117, 109, 95, 114, 101, 116, 114, 97, 110, 115, 0, 115, 121, 110, 99, 111, 111, 107, 105,
    101, 0, 110, 117, 109, 95, 116, 105, 109, 101, 111, 117, 116, 0, 116, 115, 95, 114, 101, 99,
    101, 110, 116, 0, 114, 115, 107, 95, 116, 105, 109, 101, 114, 0, 114, 115, 107, 95, 111, 112,
    115, 0, 115, 97, 118, 101, 100, 95, 115, 121, 110, 0, 115, 101, 99, 105, 100, 0, 112, 101, 101,
    114, 95, 115, 101, 99, 105, 100, 0, 114, 101, 113, 117, 101, 115, 116, 95, 115, 111, 99, 107,
    0, 115, 101, 110, 100, 95, 97, 99, 107, 0, 115, 101, 110, 100, 95, 114, 101, 115, 101, 116, 0,
    115, 121, 110, 95, 97, 99, 107, 95, 116, 105, 109, 101, 111, 117, 116, 0, 114, 101, 113, 117,
    101, 115, 116, 95, 115, 111, 99, 107, 95, 111, 112, 115, 0, 116, 119, 115, 107, 95, 112, 114,
    111, 116, 0, 116, 119, 115, 107, 95, 115, 108, 97, 98, 0, 116, 119, 115, 107, 95, 115, 108, 97,
    98, 95, 110, 97, 109, 101, 0, 116, 119, 115, 107, 95, 111, 98, 106, 95, 115, 105, 122, 101, 0,
    116, 119, 115, 107, 95, 117, 110, 105, 113, 117, 101, 0, 116, 119, 115, 107, 95, 100, 101, 115,
    116, 114, 117, 99, 116, 111, 114, 0, 116, 105, 109, 101, 119, 97, 105, 116, 95, 115, 111, 99,
    107, 95, 111, 112, 115, 0, 104, 0, 117, 100, 112, 95, 116, 97, 98, 108, 101, 0, 117, 100, 112,
    95, 104, 115, 108, 111, 116, 0, 104, 97, 115, 104, 50, 0, 114, 97, 119, 95, 104, 97, 115, 104,
    0, 114, 97, 119, 95, 104, 97, 115, 104, 105, 110, 102, 111, 0, 115, 109, 99, 95, 104, 97, 115,
    104, 0, 115, 109, 99, 95, 104, 97, 115, 104, 105, 110, 102, 111, 0, 100, 105, 97, 103, 95, 100,
    101, 115, 116, 114, 111, 121, 0, 115, 107, 99, 95, 110, 101, 116, 0, 115, 107, 99, 95, 118, 54,
    95, 100, 97, 100, 100, 114, 0, 115, 107, 99, 95, 118, 54, 95, 114, 99, 118, 95, 115, 97, 100,
    100, 114, 0, 115, 107, 99, 95, 99, 111, 111, 107, 105, 101, 0, 115, 107, 99, 95, 102, 108, 97,
    103, 115, 0, 115, 107, 99, 95, 108, 105, 115, 116, 101, 110, 101, 114, 0, 115, 107, 99, 95,
    116, 119, 95, 100, 114, 0, 115, 107, 99, 95, 100, 111, 110, 116, 99, 111, 112, 121, 95, 98,
    101, 103, 105, 110, 0, 115, 107, 99, 95, 110, 111, 100, 101, 0, 115, 107, 99, 95, 110, 117,
    108, 108, 115, 95, 110, 111, 100, 101, 0, 115, 107, 99, 95, 116, 120, 95, 113, 117, 101, 117,
    101, 95, 109, 97, 112, 112, 105, 110, 103, 0, 115, 107, 99, 95, 114, 120, 95, 113, 117, 101,
    117, 101, 95, 109, 97, 112, 112, 105, 110, 103, 0, 115, 107, 99, 95, 105, 110, 99, 111, 109,
    105, 110, 103, 95, 99, 112, 117, 0, 115, 107, 99, 95, 114, 99, 118, 95, 119, 110, 100, 0, 115,
    107, 99, 95, 116, 119, 95, 114, 99, 118, 95, 110, 120, 116, 0, 115, 107, 99, 95, 114, 101, 102,
    99, 110, 116, 0, 115, 107, 99, 95, 100, 111, 110, 116, 99, 111, 112, 121, 95, 101, 110, 100, 0,
    115, 107, 99, 95, 114, 120, 104, 97, 115, 104, 0, 115, 107, 99, 95, 119, 105, 110, 100, 111,
    119, 95, 99, 108, 97, 109, 112, 0, 115, 107, 99, 95, 116, 119, 95, 115, 110, 100, 95, 110, 120,
    116, 0, 115, 111, 99, 107, 95, 99, 111, 109, 109, 111, 110, 0, 115, 107, 95, 108, 111, 99, 107,
    0, 115, 108, 111, 99, 107, 0, 111, 119, 110, 101, 100, 0, 115, 111, 99, 107, 101, 116, 95, 108,
    111, 99, 107, 95, 116, 0, 115, 107, 95, 100, 114, 111, 112, 115, 0, 115, 107, 95, 114, 99, 118,
    108, 111, 119, 97, 116, 0, 115, 107, 95, 101, 114, 114, 111, 114, 95, 113, 117, 101, 117, 101,
    0, 115, 107, 95, 114, 120, 95, 115, 107, 98, 95, 99, 97, 99, 104, 101, 0, 115, 107, 95, 114,
    101, 99, 101, 105, 118, 101, 95, 113, 117, 101, 117, 101, 0, 115, 107, 95, 98, 97, 99, 107,
    108, 111, 103, 0, 114, 109, 101, 109, 95, 97, 108, 108, 111, 99, 0, 115, 107, 95, 102, 111,
    114, 119, 97, 114, 100, 95, 97, 108, 108, 111, 99, 0, 115, 107, 95, 108, 108, 95, 117, 115,
    101, 99, 0, 115, 107, 95, 110, 97, 112, 105, 95, 105, 100, 0, 115, 107, 95, 114, 99, 118, 98,
    117, 102, 0, 115, 107, 95, 102, 105, 108, 116, 101, 114, 0, 115, 107, 95, 119, 113, 0, 102, 97,
    115, 121, 110, 99, 95, 108, 105, 115, 116, 0, 115, 111, 99, 107, 101, 116, 95, 119, 113, 0,
    115, 107, 95, 119, 113, 95, 114, 97, 119, 0, 115, 107, 95, 112, 111, 108, 105, 99, 121, 0, 120,
    112, 95, 110, 101, 116, 0, 98, 121, 105, 100, 120, 0, 119, 97, 108, 107, 0, 120, 102, 114, 109,
    95, 112, 111, 108, 105, 99, 121, 95, 119, 97, 108, 107, 95, 101, 110, 116, 114, 121, 0, 112,
    111, 108, 113, 0, 104, 111, 108, 100, 95, 113, 117, 101, 117, 101, 0, 104, 111, 108, 100, 95,
    116, 105, 109, 101, 114, 0, 120, 102, 114, 109, 95, 112, 111, 108, 105, 99, 121, 95, 113, 117,
    101, 117, 101, 0, 98, 121, 100, 115, 116, 95, 114, 101, 105, 110, 115, 101, 114, 116, 0, 120,
    102, 114, 109, 95, 110, 114, 0, 120, 102, 114, 109, 95, 118, 101, 99, 0, 101, 110, 99, 97, 112,
    95, 102, 97, 109, 105, 108, 121, 0, 115, 104, 97, 114, 101, 0, 111, 112, 116, 105, 111, 110,
    97, 108, 0, 97, 108, 108, 97, 108, 103, 115, 0, 97, 97, 108, 103, 111, 115, 0, 101, 97, 108,
    103, 111, 115, 0, 99, 97, 108, 103, 111, 115, 0, 120, 102, 114, 109, 95, 116, 109, 112, 108, 0,
    98, 121, 100, 115, 116, 95, 105, 110, 101, 120, 97, 99, 116, 95, 108, 105, 115, 116, 0, 120,
    102, 114, 109, 95, 112, 111, 108, 105, 99, 121, 0, 115, 107, 95, 114, 120, 95, 100, 115, 116,
    0, 115, 107, 95, 100, 115, 116, 95, 99, 97, 99, 104, 101, 0, 115, 107, 95, 111, 109, 101, 109,
    95, 97, 108, 108, 111, 99, 0, 115, 107, 95, 115, 110, 100, 98, 117, 102, 0, 115, 107, 95, 119,
    109, 101, 109, 95, 113, 117, 101, 117, 101, 100, 0, 115, 107, 95, 119, 109, 101, 109, 95, 97,
    108, 108, 111, 99, 0, 115, 107, 95, 116, 115, 113, 95, 102, 108, 97, 103, 115, 0, 115, 107, 95,
    115, 101, 110, 100, 95, 104, 101, 97, 100, 0, 116, 99, 112, 95, 114, 116, 120, 95, 113, 117,
    101, 117, 101, 0, 115, 107, 95, 116, 120, 95, 115, 107, 98, 95, 99, 97, 99, 104, 101, 0, 115,
    107, 95, 119, 114, 105, 116, 101, 95, 113, 117, 101, 117, 101, 0, 115, 107, 95, 112, 101, 101,
    107, 95, 111, 102, 102, 0, 115, 107, 95, 119, 114, 105, 116, 101, 95, 112, 101, 110, 100, 105,
    110, 103, 0, 115, 107, 95, 100, 115, 116, 95, 112, 101, 110, 100, 105, 110, 103, 95, 99, 111,
    110, 102, 105, 114, 109, 0, 115, 107, 95, 112, 97, 99, 105, 110, 103, 95, 115, 116, 97, 116,
    117, 115, 0, 115, 107, 95, 115, 110, 100, 116, 105, 109, 101, 111, 0, 115, 107, 95, 116, 105,
    109, 101, 114, 0, 115, 107, 95, 112, 114, 105, 111, 114, 105, 116, 121, 0, 115, 107, 95, 109,
    97, 114, 107, 0, 115, 107, 95, 112, 97, 99, 105, 110, 103, 95, 114, 97, 116, 101, 0, 115, 107,
    95, 109, 97, 120, 95, 112, 97, 99, 105, 110, 103, 95, 114, 97, 116, 101, 0, 115, 107, 95, 102,
    114, 97, 103, 0, 115, 107, 95, 114, 111, 117, 116, 101, 95, 99, 97, 112, 115, 0, 115, 107, 95,
    114, 111, 117, 116, 101, 95, 110, 111, 99, 97, 112, 115, 0, 115, 107, 95, 114, 111, 117, 116,
    101, 95, 102, 111, 114, 99, 101, 100, 95, 99, 97, 112, 115, 0, 115, 107, 95, 103, 115, 111, 95,
    116, 121, 112, 101, 0, 115, 107, 95, 103, 115, 111, 95, 109, 97, 120, 95, 115, 105, 122, 101,
    0, 115, 107, 95, 97, 108, 108, 111, 99, 97, 116, 105, 111, 110, 0, 115, 107, 95, 116, 120, 104,
    97, 115, 104, 0, 115, 107, 95, 112, 97, 100, 100, 105, 110, 103, 0, 115, 107, 95, 107, 101,
    114, 110, 95, 115, 111, 99, 107, 0, 115, 107, 95, 110, 111, 95, 99, 104, 101, 99, 107, 95, 116,
    120, 0, 115, 107, 95, 110, 111, 95, 99, 104, 101, 99, 107, 95, 114, 120, 0, 115, 107, 95, 117,
    115, 101, 114, 108, 111, 99, 107, 115, 0, 115, 107, 95, 112, 97, 99, 105, 110, 103, 95, 115,
    104, 105, 102, 116, 0, 115, 107, 95, 116, 121, 112, 101, 0, 115, 107, 95, 112, 114, 111, 116,
    111, 99, 111, 108, 0, 115, 107, 95, 103, 115, 111, 95, 109, 97, 120, 95, 115, 101, 103, 115, 0,
    115, 107, 95, 108, 105, 110, 103, 101, 114, 116, 105, 109, 101, 0, 115, 107, 95, 112, 114, 111,
    116, 95, 99, 114, 101, 97, 116, 111, 114, 0, 115, 107, 95, 99, 97, 108, 108, 98, 97, 99, 107,
    95, 108, 111, 99, 107, 0, 115, 107, 95, 101, 114, 114, 0, 115, 107, 95, 101, 114, 114, 95, 115,
    111, 102, 116, 0, 115, 107, 95, 97, 99, 107, 95, 98, 97, 99, 107, 108, 111, 103, 0, 115, 107,
    95, 109, 97, 120, 95, 97, 99, 107, 95, 98, 97, 99, 107, 108, 111, 103, 0, 115, 107, 95, 117,
    105, 100, 0, 115, 107, 95, 112, 101, 101, 114, 95, 112, 105, 100, 0, 115, 107, 95, 112, 101,
    101, 114, 95, 99, 114, 101, 100, 0, 115, 107, 95, 114, 99, 118, 116, 105, 109, 101, 111, 0,
    115, 107, 95, 115, 116, 97, 109, 112, 0, 115, 107, 95, 116, 115, 102, 108, 97, 103, 115, 0,
    115, 107, 95, 115, 104, 117, 116, 100, 111, 119, 110, 0, 115, 107, 95, 116, 115, 107, 101, 121,
    0, 115, 107, 95, 122, 99, 107, 101, 121, 0, 115, 107, 95, 99, 108, 111, 99, 107, 105, 100, 0,
    115, 107, 95, 116, 120, 116, 105, 109, 101, 95, 100, 101, 97, 100, 108, 105, 110, 101, 95, 109,
    111, 100, 101, 0, 115, 107, 95, 116, 120, 116, 105, 109, 101, 95, 114, 101, 112, 111, 114, 116,
    95, 101, 114, 114, 111, 114, 115, 0, 115, 107, 95, 116, 120, 116, 105, 109, 101, 95, 117, 110,
    117, 115, 101, 100, 0, 115, 107, 95, 115, 111, 99, 107, 101, 116, 0, 115, 111, 99, 107, 101,
    116, 95, 115, 116, 97, 116, 101, 0, 115, 111, 99, 107, 101, 116, 112, 97, 105, 114, 0, 103,
    101, 116, 110, 97, 109, 101, 0, 103, 101, 116, 116, 115, 116, 97, 109, 112, 0, 108, 105, 115,
    116, 101, 110, 0, 115, 101, 116, 95, 112, 101, 101, 107, 95, 111, 102, 102, 0, 112, 101, 101,
    107, 95, 108, 101, 110, 0, 114, 101, 97, 100, 95, 115, 111, 99, 107, 0, 114, 101, 97, 100, 95,
    100, 101, 115, 99, 114, 105, 112, 116, 111, 114, 95, 116, 0, 115, 107, 95, 114, 101, 97, 100,
    95, 97, 99, 116, 111, 114, 95, 116, 0, 115, 101, 110, 100, 112, 97, 103, 101, 95, 108, 111, 99,
    107, 101, 100, 0, 115, 101, 110, 100, 109, 115, 103, 95, 108, 111, 99, 107, 101, 100, 0, 115,
    101, 116, 95, 114, 99, 118, 108, 111, 119, 97, 116, 0, 112, 114, 111, 116, 111, 95, 111, 112,
    115, 0, 115, 111, 99, 107, 101, 116, 0, 115, 107, 95, 117, 115, 101, 114, 95, 100, 97, 116, 97,
    0, 115, 107, 95, 115, 101, 99, 117, 114, 105, 116, 121, 0, 115, 107, 95, 99, 103, 114, 112, 95,
    100, 97, 116, 97, 0, 105, 115, 95, 100, 97, 116, 97, 0, 110, 111, 95, 114, 101, 102, 99, 110,
    116, 0, 112, 114, 105, 111, 105, 100, 120, 0, 99, 108, 97, 115, 115, 105, 100, 0, 115, 111, 99,
    107, 95, 99, 103, 114, 111, 117, 112, 95, 100, 97, 116, 97, 0, 115, 107, 95, 109, 101, 109, 99,
    103, 0, 115, 107, 95, 115, 116, 97, 116, 101, 95, 99, 104, 97, 110, 103, 101, 0, 115, 107, 95,
    100, 97, 116, 97, 95, 114, 101, 97, 100, 121, 0, 115, 107, 95, 119, 114, 105, 116, 101, 95,
    115, 112, 97, 99, 101, 0, 115, 107, 95, 101, 114, 114, 111, 114, 95, 114, 101, 112, 111, 114,
    116, 0, 115, 107, 95, 98, 97, 99, 107, 108, 111, 103, 95, 114, 99, 118, 0, 115, 107, 95, 118,
    97, 108, 105, 100, 97, 116, 101, 95, 120, 109, 105, 116, 95, 115, 107, 98, 0, 115, 107, 95,
    100, 101, 115, 116, 114, 117, 99, 116, 0, 115, 107, 95, 114, 101, 117, 115, 101, 112, 111, 114,
    116, 95, 99, 98, 0, 109, 97, 120, 95, 115, 111, 99, 107, 115, 0, 110, 117, 109, 95, 115, 111,
    99, 107, 115, 0, 115, 121, 110, 113, 95, 111, 118, 101, 114, 102, 108, 111, 119, 95, 116, 115,
    0, 114, 101, 117, 115, 101, 112, 111, 114, 116, 95, 105, 100, 0, 98, 105, 110, 100, 95, 105,
    110, 97, 110, 121, 0, 104, 97, 115, 95, 99, 111, 110, 110, 115, 0, 115, 111, 99, 107, 115, 0,
    115, 111, 99, 107, 95, 114, 101, 117, 115, 101, 112, 111, 114, 116, 0, 115, 107, 95, 98, 112,
    102, 95, 115, 116, 111, 114, 97, 103, 101, 0, 115, 109, 97, 112, 0, 98, 117, 99, 107, 101, 116,
    95, 95, 95, 50, 0, 98, 117, 99, 107, 101, 116, 95, 108, 111, 103, 0, 101, 108, 101, 109, 95,
    115, 105, 122, 101, 0, 99, 97, 99, 104, 101, 95, 105, 100, 120, 0, 98, 112, 102, 95, 115, 107,
    95, 115, 116, 111, 114, 97, 103, 101, 95, 109, 97, 112, 0, 98, 112, 102, 95, 115, 107, 95, 115,
    116, 111, 114, 97, 103, 101, 95, 100, 97, 116, 97, 0, 98, 112, 102, 95, 115, 107, 95, 115, 116,
    111, 114, 97, 103, 101, 0, 115, 107, 95, 114, 99, 117, 0, 115, 111, 99, 107, 0, 105, 112, 95,
    100, 101, 102, 114, 97, 103, 95, 111, 102, 102, 115, 101, 116, 0, 115, 107, 98, 95, 109, 115,
    116, 97, 109, 112, 95, 110, 115, 0, 95, 115, 107, 98, 95, 114, 101, 102, 100, 115, 116, 0, 116,
    99, 112, 95, 116, 115, 111, 114, 116, 101, 100, 95, 97, 110, 99, 104, 111, 114, 0, 95, 110,
    102, 99, 116, 0, 100, 97, 116, 97, 95, 108, 101, 110, 0, 109, 97, 99, 95, 108, 101, 110, 0,
    113, 117, 101, 117, 101, 95, 109, 97, 112, 112, 105, 110, 103, 0, 95, 95, 99, 108, 111, 110,
    101, 100, 95, 111, 102, 102, 115, 101, 116, 0, 99, 108, 111, 110, 101, 100, 0, 110, 111, 104,
    100, 114, 0, 102, 99, 108, 111, 110, 101, 0, 112, 101, 101, 107, 101, 100, 0, 104, 101, 97,
    100, 95, 102, 114, 97, 103, 0, 112, 102, 109, 101, 109, 97, 108, 108, 111, 99, 0, 97, 99, 116,
    105, 118, 101, 95, 101, 120, 116, 101, 110, 115, 105, 111, 110, 115, 0, 104, 101, 97, 100, 101,
    114, 115, 95, 115, 116, 97, 114, 116, 0, 95, 95, 112, 107, 116, 95, 116, 121, 112, 101, 95,
    111, 102, 102, 115, 101, 116, 0, 112, 107, 116, 95, 116, 121, 112, 101, 0, 105, 103, 110, 111,
    114, 101, 95, 100, 102, 0, 110, 102, 95, 116, 114, 97, 99, 101, 0, 105, 112, 95, 115, 117, 109,
    109, 101, 100, 0, 111, 111, 111, 95, 111, 107, 97, 121, 0, 108, 52, 95, 104, 97, 115, 104, 0,
    115, 119, 95, 104, 97, 115, 104, 0, 119, 105, 102, 105, 95, 97, 99, 107, 101, 100, 95, 118, 97,
    108, 105, 100, 0, 119, 105, 102, 105, 95, 97, 99, 107, 101, 100, 0, 110, 111, 95, 102, 99, 115,
    0, 101, 110, 99, 97, 112, 115, 117, 108, 97, 116, 105, 111, 110, 0, 101, 110, 99, 97, 112, 95,
    104, 100, 114, 95, 99, 115, 117, 109, 0, 99, 115, 117, 109, 95, 118, 97, 108, 105, 100, 0, 95,
    95, 112, 107, 116, 95, 118, 108, 97, 110, 95, 112, 114, 101, 115, 101, 110, 116, 95, 111, 102,
    102, 115, 101, 116, 0, 118, 108, 97, 110, 95, 112, 114, 101, 115, 101, 110, 116, 0, 99, 115,
    117, 109, 95, 99, 111, 109, 112, 108, 101, 116, 101, 95, 115, 119, 0, 99, 115, 117, 109, 95,
    108, 101, 118, 101, 108, 0, 99, 115, 117, 109, 95, 110, 111, 116, 95, 105, 110, 101, 116, 0,
    100, 115, 116, 95, 112, 101, 110, 100, 105, 110, 103, 95, 99, 111, 110, 102, 105, 114, 109, 0,
    110, 100, 105, 115, 99, 95, 110, 111, 100, 101, 116, 121, 112, 101, 0, 105, 112, 118, 115, 95,
    112, 114, 111, 112, 101, 114, 116, 121, 0, 105, 110, 110, 101, 114, 95, 112, 114, 111, 116,
    111, 99, 111, 108, 95, 116, 121, 112, 101, 0, 114, 101, 109, 99, 115, 117, 109, 95, 111, 102,
    102, 108, 111, 97, 100, 0, 111, 102, 102, 108, 111, 97, 100, 95, 102, 119, 100, 95, 109, 97,
    114, 107, 0, 111, 102, 102, 108, 111, 97, 100, 95, 108, 51, 95, 102, 119, 100, 95, 109, 97,
    114, 107, 0, 116, 99, 95, 115, 107, 105, 112, 95, 99, 108, 97, 115, 115, 105, 102, 121, 0, 116,
    99, 95, 97, 116, 95, 105, 110, 103, 114, 101, 115, 115, 0, 114, 101, 100, 105, 114, 101, 99,
    116, 101, 100, 0, 102, 114, 111, 109, 95, 105, 110, 103, 114, 101, 115, 115, 0, 100, 101, 99,
    114, 121, 112, 116, 101, 100, 0, 116, 99, 95, 105, 110, 100, 101, 120, 0, 99, 115, 117, 109, 0,
    95, 95, 119, 115, 117, 109, 0, 99, 115, 117, 109, 95, 115, 116, 97, 114, 116, 0, 99, 115, 117,
    109, 95, 111, 102, 102, 115, 101, 116, 0, 115, 107, 98, 95, 105, 105, 102, 0, 118, 108, 97,
    110, 95, 112, 114, 111, 116, 111, 0, 118, 108, 97, 110, 95, 116, 99, 105, 0, 110, 97, 112, 105,
    95, 105, 100, 0, 115, 101, 110, 100, 101, 114, 95, 99, 112, 117, 0, 114, 101, 115, 101, 114,
    118, 101, 100, 95, 116, 97, 105, 108, 114, 111, 111, 109, 0, 105, 110, 110, 101, 114, 95, 112,
    114, 111, 116, 111, 99, 111, 108, 0, 105, 110, 110, 101, 114, 95, 105, 112, 112, 114, 111, 116,
    111, 0, 105, 110, 110, 101, 114, 95, 116, 114, 97, 110, 115, 112, 111, 114, 116, 95, 104, 101,
    97, 100, 101, 114, 0, 105, 110, 110, 101, 114, 95, 110, 101, 116, 119, 111, 114, 107, 95, 104,
    101, 97, 100, 101, 114, 0, 105, 110, 110, 101, 114, 95, 109, 97, 99, 95, 104, 101, 97, 100,
    101, 114, 0, 116, 114, 97, 110, 115, 112, 111, 114, 116, 95, 104, 101, 97, 100, 101, 114, 0,
    110, 101, 116, 119, 111, 114, 107, 95, 104, 101, 97, 100, 101, 114, 0, 109, 97, 99, 95, 104,
    101, 97, 100, 101, 114, 0, 104, 101, 97, 100, 101, 114, 115, 95, 101, 110, 100, 0, 115, 107,
    95, 98, 117, 102, 102, 95, 100, 97, 116, 97, 95, 116, 0, 116, 114, 117, 101, 115, 105, 122,
    101, 0, 101, 120, 116, 101, 110, 115, 105, 111, 110, 115, 0, 115, 107, 98, 95, 101, 120, 116,
    0, 115, 107, 95, 98, 117, 102, 102, 0, 110, 100, 111, 95, 102, 101, 97, 116, 117, 114, 101,
    115, 95, 99, 104, 101, 99, 107, 0, 110, 100, 111, 95, 115, 101, 108, 101, 99, 116, 95, 113,
    117, 101, 117, 101, 0, 110, 100, 111, 95, 99, 104, 97, 110, 103, 101, 95, 114, 120, 95, 102,
    108, 97, 103, 115, 0, 110, 100, 111, 95, 115, 101, 116, 95, 114, 120, 95, 109, 111, 100, 101,
    0, 110, 100, 111, 95, 115, 101, 116, 95, 109, 97, 99, 95, 97, 100, 100, 114, 101, 115, 115, 0,
    110, 100, 111, 95, 118, 97, 108, 105, 100, 97, 116, 101, 95, 97, 100, 100, 114, 0, 110, 100,
    111, 95, 100, 111, 95, 105, 111, 99, 116, 108, 0, 105, 102, 114, 95, 105, 102, 114, 110, 0,
    105, 102, 114, 110, 95, 110, 97, 109, 101, 0, 105, 102, 114, 95, 105, 102, 114, 117, 0, 105,
    102, 114, 117, 95, 97, 100, 100, 114, 0, 105, 102, 114, 117, 95, 100, 115, 116, 97, 100, 100,
    114, 0, 105, 102, 114, 117, 95, 98, 114, 111, 97, 100, 97, 100, 100, 114, 0, 105, 102, 114,
    117, 95, 110, 101, 116, 109, 97, 115, 107, 0, 105, 102, 114, 117, 95, 104, 119, 97, 100, 100,
    114, 0, 105, 102, 114, 117, 95, 102, 108, 97, 103, 115, 0, 105, 102, 114, 117, 95, 105, 118,
    97, 108, 117, 101, 0, 105, 102, 114, 117, 95, 109, 116, 117, 0, 105, 102, 114, 117, 95, 109,
    97, 112, 0, 100, 109, 97, 0, 105, 102, 109, 97, 112, 0, 105, 102, 114, 117, 95, 115, 108, 97,
    118, 101, 0, 105, 102, 114, 117, 95, 110, 101, 119, 110, 97, 109, 101, 0, 105, 102, 114, 117,
    95, 100, 97, 116, 97, 0, 105, 102, 114, 117, 95, 115, 101, 116, 116, 105, 110, 103, 115, 0,
    105, 102, 115, 95, 105, 102, 115, 117, 0, 114, 97, 119, 95, 104, 100, 108, 99, 0, 114, 97, 119,
    95, 104, 100, 108, 99, 95, 112, 114, 111, 116, 111, 0, 99, 105, 115, 99, 111, 0, 99, 105, 115,
    99, 111, 95, 112, 114, 111, 116, 111, 0, 102, 114, 0, 116, 51, 57, 49, 0, 116, 51, 57, 50, 0,
    110, 51, 57, 49, 0, 110, 51, 57, 50, 0, 110, 51, 57, 51, 0, 108, 109, 105, 0, 100, 99, 101, 0,
    102, 114, 95, 112, 114, 111, 116, 111, 0, 102, 114, 95, 112, 118, 99, 0, 100, 108, 99, 105, 0,
    102, 114, 95, 112, 114, 111, 116, 111, 95, 112, 118, 99, 0, 102, 114, 95, 112, 118, 99, 95,
    105, 110, 102, 111, 0, 102, 114, 95, 112, 114, 111, 116, 111, 95, 112, 118, 99, 95, 105, 110,
    102, 111, 0, 120, 50, 53, 0, 109, 111, 100, 117, 108, 111, 0, 119, 105, 110, 100, 111, 119, 0,
    116, 49, 0, 116, 50, 0, 110, 50, 0, 120, 50, 53, 95, 104, 100, 108, 99, 95, 112, 114, 111, 116,
    111, 0, 99, 108, 111, 99, 107, 95, 114, 97, 116, 101, 0, 99, 108, 111, 99, 107, 95, 116, 121,
    112, 101, 0, 108, 111, 111, 112, 98, 97, 99, 107, 0, 115, 121, 110, 99, 95, 115, 101, 114, 105,
    97, 108, 95, 115, 101, 116, 116, 105, 110, 103, 115, 0, 116, 101, 49, 0, 115, 108, 111, 116,
    95, 109, 97, 112, 0, 116, 101, 49, 95, 115, 101, 116, 116, 105, 110, 103, 115, 0, 105, 102, 95,
    115, 101, 116, 116, 105, 110, 103, 115, 0, 105, 102, 114, 101, 113, 0, 110, 100, 111, 95, 115,
    101, 116, 95, 99, 111, 110, 102, 105, 103, 0, 110, 100, 111, 95, 99, 104, 97, 110, 103, 101,
    95, 109, 116, 117, 0, 110, 100, 111, 95, 110, 101, 105, 103, 104, 95, 115, 101, 116, 117, 112,
    0, 110, 100, 111, 95, 116, 120, 95, 116, 105, 109, 101, 111, 117, 116, 0, 110, 100, 111, 95,
    103, 101, 116, 95, 115, 116, 97, 116, 115, 54, 52, 0, 114, 116, 110, 108, 95, 108, 105, 110,
    107, 95, 115, 116, 97, 116, 115, 54, 52, 0, 110, 100, 111, 95, 104, 97, 115, 95, 111, 102, 102,
    108, 111, 97, 100, 95, 115, 116, 97, 116, 115, 0, 110, 100, 111, 95, 103, 101, 116, 95, 111,
    102, 102, 108, 111, 97, 100, 95, 115, 116, 97, 116, 115, 0, 110, 100, 111, 95, 103, 101, 116,
    95, 115, 116, 97, 116, 115, 0, 110, 100, 111, 95, 118, 108, 97, 110, 95, 114, 120, 95, 97, 100,
    100, 95, 118, 105, 100, 0, 110, 100, 111, 95, 118, 108, 97, 110, 95, 114, 120, 95, 107, 105,
    108, 108, 95, 118, 105, 100, 0, 110, 100, 111, 95, 112, 111, 108, 108, 95, 99, 111, 110, 116,
    114, 111, 108, 108, 101, 114, 0, 110, 100, 111, 95, 110, 101, 116, 112, 111, 108, 108, 95, 115,
    101, 116, 117, 112, 0, 100, 101, 118, 95, 108, 111, 99, 107, 0, 116, 120, 113, 0, 116, 120, 95,
    119, 111, 114, 107, 0, 110, 101, 116, 112, 111, 108, 108, 0, 108, 111, 99, 97, 108, 95, 105,
    112, 0, 105, 110, 101, 116, 95, 97, 100, 100, 114, 0, 114, 101, 109, 111, 116, 101, 95, 105,
    112, 0, 108, 111, 99, 97, 108, 95, 112, 111, 114, 116, 0, 114, 101, 109, 111, 116, 101, 95,
    112, 111, 114, 116, 0, 114, 101, 109, 111, 116, 101, 95, 109, 97, 99, 0, 110, 101, 116, 112,
    111, 108, 108, 95, 105, 110, 102, 111, 0, 110, 100, 111, 95, 110, 101, 116, 112, 111, 108, 108,
    95, 99, 108, 101, 97, 110, 117, 112, 0, 110, 100, 111, 95, 115, 101, 116, 95, 118, 102, 95,
    109, 97, 99, 0, 110, 100, 111, 95, 115, 101, 116, 95, 118, 102, 95, 118, 108, 97, 110, 0, 110,
    100, 111, 95, 115, 101, 116, 95, 118, 102, 95, 114, 97, 116, 101, 0, 110, 100, 111, 95, 115,
    101, 116, 95, 118, 102, 95, 115, 112, 111, 111, 102, 99, 104, 107, 0, 110, 100, 111, 95, 115,
    101, 116, 95, 118, 102, 95, 116, 114, 117, 115, 116, 0, 110, 100, 111, 95, 103, 101, 116, 95,
    118, 102, 95, 99, 111, 110, 102, 105, 103, 0, 118, 102, 0, 109, 97, 99, 0, 118, 108, 97, 110,
    0, 115, 112, 111, 111, 102, 99, 104, 107, 0, 108, 105, 110, 107, 115, 116, 97, 116, 101, 0,
    109, 105, 110, 95, 116, 120, 95, 114, 97, 116, 101, 0, 109, 97, 120, 95, 116, 120, 95, 114, 97,
    116, 101, 0, 114, 115, 115, 95, 113, 117, 101, 114, 121, 95, 101, 110, 0, 116, 114, 117, 115,
    116, 101, 100, 0, 105, 102, 108, 97, 95, 118, 102, 95, 105, 110, 102, 111, 0, 110, 100, 111,
    95, 115, 101, 116, 95, 118, 102, 95, 108, 105, 110, 107, 95, 115, 116, 97, 116, 101, 0, 110,
    100, 111, 95, 103, 101, 116, 95, 118, 102, 95, 115, 116, 97, 116, 115, 0, 98, 114, 111, 97,
    100, 99, 97, 115, 116, 0, 105, 102, 108, 97, 95, 118, 102, 95, 115, 116, 97, 116, 115, 0, 110,
    100, 111, 95, 115, 101, 116, 95, 118, 102, 95, 112, 111, 114, 116, 0, 110, 100, 111, 95, 103,
    101, 116, 95, 118, 102, 95, 112, 111, 114, 116, 0, 110, 100, 111, 95, 103, 101, 116, 95, 118,
    102, 95, 103, 117, 105, 100, 0, 103, 117, 105, 100, 0, 105, 102, 108, 97, 95, 118, 102, 95,
    103, 117, 105, 100, 0, 110, 100, 111, 95, 115, 101, 116, 95, 118, 102, 95, 103, 117, 105, 100,
    0, 110, 100, 111, 95, 115, 101, 116, 95, 118, 102, 95, 114, 115, 115, 95, 113, 117, 101, 114,
    121, 95, 101, 110, 0, 110, 100, 111, 95, 115, 101, 116, 117, 112, 95, 116, 99, 0, 110, 100,
    111, 95, 102, 99, 111, 101, 95, 101, 110, 97, 98, 108, 101, 0, 110, 100, 111, 95, 102, 99, 111,
    101, 95, 100, 105, 115, 97, 98, 108, 101, 0, 110, 100, 111, 95, 102, 99, 111, 101, 95, 100,
    100, 112, 95, 115, 101, 116, 117, 112, 0, 110, 100, 111, 95, 102, 99, 111, 101, 95, 100, 100,
    112, 95, 100, 111, 110, 101, 0, 110, 100, 111, 95, 102, 99, 111, 101, 95, 100, 100, 112, 95,
    116, 97, 114, 103, 101, 116, 0, 110, 100, 111, 95, 102, 99, 111, 101, 95, 103, 101, 116, 95,
    104, 98, 97, 105, 110, 102, 111, 0, 109, 97, 110, 117, 102, 97, 99, 116, 117, 114, 101, 114, 0,
    115, 101, 114, 105, 97, 108, 95, 110, 117, 109, 98, 101, 114, 0, 104, 97, 114, 100, 119, 97,
    114, 101, 95, 118, 101, 114, 115, 105, 111, 110, 0, 100, 114, 105, 118, 101, 114, 95, 118, 101,
    114, 115, 105, 111, 110, 0, 111, 112, 116, 105, 111, 110, 114, 111, 109, 95, 118, 101, 114,
    115, 105, 111, 110, 0, 102, 105, 114, 109, 119, 97, 114, 101, 95, 118, 101, 114, 115, 105, 111,
    110, 0, 109, 111, 100, 101, 108, 95, 100, 101, 115, 99, 114, 105, 112, 116, 105, 111, 110, 0,
    110, 101, 116, 100, 101, 118, 95, 102, 99, 111, 101, 95, 104, 98, 97, 105, 110, 102, 111, 0,
    110, 100, 111, 95, 102, 99, 111, 101, 95, 103, 101, 116, 95, 119, 119, 110, 0, 110, 100, 111,
    95, 114, 120, 95, 102, 108, 111, 119, 95, 115, 116, 101, 101, 114, 0, 110, 100, 111, 95, 97,
    100, 100, 95, 115, 108, 97, 118, 101, 0, 110, 100, 111, 95, 100, 101, 108, 95, 115, 108, 97,
    118, 101, 0, 110, 100, 111, 95, 103, 101, 116, 95, 120, 109, 105, 116, 95, 115, 108, 97, 118,
    101, 0, 110, 100, 111, 95, 102, 105, 120, 95, 102, 101, 97, 116, 117, 114, 101, 115, 0, 110,
    100, 111, 95, 115, 101, 116, 95, 102, 101, 97, 116, 117, 114, 101, 115, 0, 110, 100, 111, 95,
    110, 101, 105, 103, 104, 95, 99, 111, 110, 115, 116, 114, 117, 99, 116, 0, 110, 100, 111, 95,
    110, 101, 105, 103, 104, 95, 100, 101, 115, 116, 114, 111, 121, 0, 110, 100, 111, 95, 102, 100,
    98, 95, 97, 100, 100, 0, 110, 100, 109, 95, 102, 97, 109, 105, 108, 121, 0, 110, 100, 109, 95,
    112, 97, 100, 49, 0, 110, 100, 109, 95, 112, 97, 100, 50, 0, 110, 100, 109, 95, 105, 102, 105,
    110, 100, 101, 120, 0, 110, 100, 109, 95, 115, 116, 97, 116, 101, 0, 110, 100, 109, 95, 102,
    108, 97, 103, 115, 0, 110, 100, 109, 95, 116, 121, 112, 101, 0, 110, 100, 109, 115, 103, 0,
    110, 100, 111, 95, 102, 100, 98, 95, 100, 101, 108, 0, 110, 100, 111, 95, 102, 100, 98, 95,
    100, 117, 109, 112, 0, 110, 108, 104, 0, 110, 108, 109, 115, 103, 95, 108, 101, 110, 0, 110,
    108, 109, 115, 103, 95, 116, 121, 112, 101, 0, 110, 108, 109, 115, 103, 95, 102, 108, 97, 103,
    115, 0, 110, 108, 109, 115, 103, 95, 115, 101, 113, 0, 110, 108, 109, 115, 103, 95, 112, 105,
    100, 0, 110, 108, 109, 115, 103, 104, 100, 114, 0, 100, 117, 109, 112, 0, 101, 120, 116, 97,
    99, 107, 0, 97, 110, 115, 119, 101, 114, 95, 102, 108, 97, 103, 115, 0, 109, 105, 110, 95, 100,
    117, 109, 112, 95, 97, 108, 108, 111, 99, 0, 112, 114, 101, 118, 95, 115, 101, 113, 0, 115,
    116, 114, 105, 99, 116, 95, 99, 104, 101, 99, 107, 0, 110, 101, 116, 108, 105, 110, 107, 95,
    99, 97, 108, 108, 98, 97, 99, 107, 0, 110, 100, 111, 95, 102, 100, 98, 95, 103, 101, 116, 0,
    110, 100, 111, 95, 98, 114, 105, 100, 103, 101, 95, 115, 101, 116, 108, 105, 110, 107, 0, 110,
    100, 111, 95, 98, 114, 105, 100, 103, 101, 95, 103, 101, 116, 108, 105, 110, 107, 0, 110, 100,
    111, 95, 98, 114, 105, 100, 103, 101, 95, 100, 101, 108, 108, 105, 110, 107, 0, 110, 100, 111,
    95, 99, 104, 97, 110, 103, 101, 95, 99, 97, 114, 114, 105, 101, 114, 0, 110, 100, 111, 95, 103,
    101, 116, 95, 112, 104, 121, 115, 95, 112, 111, 114, 116, 95, 105, 100, 0, 105, 100, 95, 108,
    101, 110, 0, 110, 101, 116, 100, 101, 118, 95, 112, 104, 121, 115, 95, 105, 116, 101, 109, 95,
    105, 100, 0, 110, 100, 111, 95, 103, 101, 116, 95, 112, 111, 114, 116, 95, 112, 97, 114, 101,
    110, 116, 95, 105, 100, 0, 110, 100, 111, 95, 103, 101, 116, 95, 112, 104, 121, 115, 95, 112,
    111, 114, 116, 95, 110, 97, 109, 101, 0, 110, 100, 111, 95, 117, 100, 112, 95, 116, 117, 110,
    110, 101, 108, 95, 97, 100, 100, 0, 104, 119, 95, 112, 114, 105, 118, 0, 117, 100, 112, 95,
    116, 117, 110, 110, 101, 108, 95, 105, 110, 102, 111, 0, 110, 100, 111, 95, 117, 100, 112, 95,
    116, 117, 110, 110, 101, 108, 95, 100, 101, 108, 0, 110, 100, 111, 95, 100, 102, 119, 100, 95,
    97, 100, 100, 95, 115, 116, 97, 116, 105, 111, 110, 0, 110, 100, 111, 95, 100, 102, 119, 100,
    95, 100, 101, 108, 95, 115, 116, 97, 116, 105, 111, 110, 0, 110, 100, 111, 95, 115, 101, 116,
    95, 116, 120, 95, 109, 97, 120, 114, 97, 116, 101, 0, 110, 100, 111, 95, 103, 101, 116, 95,
    105, 102, 108, 105, 110, 107, 0, 110, 100, 111, 95, 99, 104, 97, 110, 103, 101, 95, 112, 114,
    111, 116, 111, 95, 100, 111, 119, 110, 0, 110, 100, 111, 95, 102, 105, 108, 108, 95, 109, 101,
    116, 97, 100, 97, 116, 97, 95, 100, 115, 116, 0, 110, 100, 111, 95, 115, 101, 116, 95, 114,
    120, 95, 104, 101, 97, 100, 114, 111, 111, 109, 0, 110, 100, 111, 95, 98, 112, 102, 0, 99, 111,
    109, 109, 97, 110, 100, 0, 111, 102, 102, 109, 97, 112, 0, 100, 101, 118, 95, 111, 112, 115, 0,
    98, 112, 102, 95, 109, 97, 112, 95, 100, 101, 118, 95, 111, 112, 115, 0, 98, 112, 102, 95, 111,
    102, 102, 108, 111, 97, 100, 101, 100, 95, 109, 97, 112, 0, 120, 115, 107, 0, 117, 109, 101,
    109, 0, 114, 105, 110, 103, 95, 109, 97, 115, 107, 0, 110, 101, 110, 116, 114, 105, 101, 115,
    0, 99, 97, 99, 104, 101, 100, 95, 112, 114, 111, 100, 0, 99, 97, 99, 104, 101, 100, 95, 99,
    111, 110, 115, 0, 114, 105, 110, 103, 0, 112, 114, 111, 100, 117, 99, 101, 114, 0, 99, 111,
    110, 115, 117, 109, 101, 114, 0, 120, 100, 112, 95, 114, 105, 110, 103, 0, 105, 110, 118, 97,
    108, 105, 100, 95, 100, 101, 115, 99, 115, 0, 113, 117, 101, 117, 101, 95, 101, 109, 112, 116,
    121, 95, 100, 101, 115, 99, 115, 0, 120, 115, 107, 95, 113, 117, 101, 117, 101, 0, 99, 113, 0,
    100, 109, 97, 95, 112, 97, 103, 101, 115, 0, 100, 97, 116, 97, 95, 101, 110, 100, 0, 100, 97,
    116, 97, 95, 109, 101, 116, 97, 0, 100, 97, 116, 97, 95, 104, 97, 114, 100, 95, 115, 116, 97,
    114, 116, 0, 114, 120, 113, 0, 113, 117, 101, 117, 101, 95, 105, 110, 100, 101, 120, 0, 114,
    101, 103, 95, 115, 116, 97, 116, 101, 0, 120, 100, 112, 95, 109, 101, 109, 95, 105, 110, 102,
    111, 0, 120, 100, 112, 95, 114, 120, 113, 95, 105, 110, 102, 111, 0, 120, 100, 112, 95, 116,
    120, 113, 95, 105, 110, 102, 111, 0, 102, 114, 97, 109, 101, 95, 115, 122, 0, 120, 100, 112,
    95, 98, 117, 102, 102, 0, 102, 114, 97, 109, 101, 95, 100, 109, 97, 0, 117, 110, 97, 108, 105,
    103, 110, 101, 100, 0, 111, 114, 105, 103, 95, 97, 100, 100, 114, 0, 102, 114, 101, 101, 95,
    108, 105, 115, 116, 95, 110, 111, 100, 101, 0, 120, 100, 112, 95, 98, 117, 102, 102, 95, 120,
    115, 107, 0, 99, 104, 117, 110, 107, 95, 109, 97, 115, 107, 0, 97, 100, 100, 114, 115, 95, 99,
    110, 116, 0, 102, 114, 101, 101, 95, 108, 105, 115, 116, 95, 99, 110, 116, 0, 100, 109, 97, 95,
    112, 97, 103, 101, 115, 95, 99, 110, 116, 0, 104, 101, 97, 100, 115, 95, 99, 110, 116, 0, 102,
    114, 101, 101, 95, 104, 101, 97, 100, 115, 95, 99, 110, 116, 0, 99, 104, 117, 110, 107, 95,
    115, 105, 122, 101, 0, 102, 114, 97, 109, 101, 95, 108, 101, 110, 0, 100, 109, 97, 95, 110,
    101, 101, 100, 95, 115, 121, 110, 99, 0, 97, 100, 100, 114, 115, 0, 102, 114, 101, 101, 95,
    104, 101, 97, 100, 115, 0, 120, 115, 107, 95, 98, 117, 102, 102, 95, 112, 111, 111, 108, 0,
    112, 103, 115, 0, 110, 112, 103, 115, 0, 113, 117, 101, 117, 101, 95, 105, 100, 0, 110, 101,
    101, 100, 95, 119, 97, 107, 101, 117, 112, 0, 122, 99, 0, 120, 115, 107, 95, 116, 120, 95, 108,
    105, 115, 116, 95, 108, 111, 99, 107, 0, 120, 115, 107, 95, 116, 120, 95, 108, 105, 115, 116,
    0, 120, 100, 112, 95, 117, 109, 101, 109, 0, 110, 101, 116, 100, 101, 118, 95, 98, 112, 102, 0,
    110, 100, 111, 95, 120, 100, 112, 95, 120, 109, 105, 116, 0, 109, 101, 116, 97, 115, 105, 122,
    101, 0, 100, 101, 118, 95, 114, 120, 0, 120, 100, 112, 95, 102, 114, 97, 109, 101, 0, 110, 100,
    111, 95, 120, 115, 107, 95, 119, 97, 107, 101, 117, 112, 0, 110, 100, 111, 95, 103, 101, 116,
    95, 100, 101, 118, 108, 105, 110, 107, 95, 112, 111, 114, 116, 0, 112, 97, 114, 97, 109, 95,
    108, 105, 115, 116, 0, 100, 101, 118, 108, 105, 110, 107, 0, 112, 111, 114, 116, 95, 108, 105,
    115, 116, 0, 100, 112, 105, 112, 101, 95, 116, 97, 98, 108, 101, 95, 108, 105, 115, 116, 0,
    114, 101, 115, 111, 117, 114, 99, 101, 95, 108, 105, 115, 116, 0, 114, 101, 103, 105, 111, 110,
    95, 108, 105, 115, 116, 0, 114, 101, 112, 111, 114, 116, 101, 114, 95, 108, 105, 115, 116, 0,
    114, 101, 112, 111, 114, 116, 101, 114, 115, 95, 108, 111, 99, 107, 0, 100, 112, 105, 112, 101,
    95, 104, 101, 97, 100, 101, 114, 115, 0, 104, 101, 97, 100, 101, 114, 115, 0, 98, 105, 116,
    119, 105, 100, 116, 104, 0, 109, 97, 112, 112, 105, 110, 103, 95, 116, 121, 112, 101, 0, 100,
    101, 118, 108, 105, 110, 107, 95, 100, 112, 105, 112, 101, 95, 102, 105, 101, 108, 100, 0, 102,
    105, 101, 108, 100, 115, 95, 99, 111, 117, 110, 116, 0, 100, 101, 118, 108, 105, 110, 107, 95,
    100, 112, 105, 112, 101, 95, 104, 101, 97, 100, 101, 114, 0, 104, 101, 97, 100, 101, 114, 115,
    95, 99, 111, 117, 110, 116, 0, 100, 101, 118, 108, 105, 110, 107, 95, 100, 112, 105, 112, 101,
    95, 104, 101, 97, 100, 101, 114, 115, 0, 116, 114, 97, 112, 95, 108, 105, 115, 116, 0, 116,
    114, 97, 112, 95, 103, 114, 111, 117, 112, 95, 108, 105, 115, 116, 0, 116, 114, 97, 112, 95,
    112, 111, 108, 105, 99, 101, 114, 95, 108, 105, 115, 116, 0, 114, 101, 108, 111, 97, 100, 95,
    100, 111, 119, 110, 0, 114, 101, 108, 111, 97, 100, 95, 117, 112, 0, 112, 111, 114, 116, 95,
    116, 121, 112, 101, 95, 115, 101, 116, 0, 112, 111, 114, 116, 95, 115, 112, 108, 105, 116, 0,
    112, 111, 114, 116, 95, 117, 110, 115, 112, 108, 105, 116, 0, 115, 98, 95, 112, 111, 111, 108,
    95, 103, 101, 116, 0, 112, 111, 111, 108, 95, 116, 121, 112, 101, 0, 116, 104, 114, 101, 115,
    104, 111, 108, 100, 95, 116, 121, 112, 101, 0, 99, 101, 108, 108, 95, 115, 105, 122, 101, 0,
    100, 101, 118, 108, 105, 110, 107, 95, 115, 98, 95, 112, 111, 111, 108, 95, 105, 110, 102, 111,
    0, 115, 98, 95, 112, 111, 111, 108, 95, 115, 101, 116, 0, 115, 98, 95, 112, 111, 114, 116, 95,
    112, 111, 111, 108, 95, 103, 101, 116, 0, 115, 98, 95, 112, 111, 114, 116, 95, 112, 111, 111,
    108, 95, 115, 101, 116, 0, 115, 98, 95, 116, 99, 95, 112, 111, 111, 108, 95, 98, 105, 110, 100,
    95, 103, 101, 116, 0, 115, 98, 95, 116, 99, 95, 112, 111, 111, 108, 95, 98, 105, 110, 100, 95,
    115, 101, 116, 0, 115, 98, 95, 111, 99, 99, 95, 115, 110, 97, 112, 115, 104, 111, 116, 0, 115,
    98, 95, 111, 99, 99, 95, 109, 97, 120, 95, 99, 108, 101, 97, 114, 0, 115, 98, 95, 111, 99, 99,
    95, 112, 111, 114, 116, 95, 112, 111, 111, 108, 95, 103, 101, 116, 0, 115, 98, 95, 111, 99, 99,
    95, 116, 99, 95, 112, 111, 114, 116, 95, 98, 105, 110, 100, 95, 103, 101, 116, 0, 101, 115,
    119, 105, 116, 99, 104, 95, 109, 111, 100, 101, 95, 103, 101, 116, 0, 101, 115, 119, 105, 116,
    99, 104, 95, 109, 111, 100, 101, 95, 115, 101, 116, 0, 101, 115, 119, 105, 116, 99, 104, 95,
    105, 110, 108, 105, 110, 101, 95, 109, 111, 100, 101, 95, 103, 101, 116, 0, 101, 115, 119, 105,
    116, 99, 104, 95, 105, 110, 108, 105, 110, 101, 95, 109, 111, 100, 101, 95, 115, 101, 116, 0,
    101, 115, 119, 105, 116, 99, 104, 95, 101, 110, 99, 97, 112, 95, 109, 111, 100, 101, 95, 103,
    101, 116, 0, 101, 115, 119, 105, 116, 99, 104, 95, 101, 110, 99, 97, 112, 95, 109, 111, 100,
    101, 95, 115, 101, 116, 0, 105, 110, 102, 111, 95, 103, 101, 116, 0, 100, 101, 118, 108, 105,
    110, 107, 95, 105, 110, 102, 111, 95, 114, 101, 113, 0, 102, 108, 97, 115, 104, 95, 117, 112,
    100, 97, 116, 101, 0, 116, 114, 97, 112, 95, 105, 110, 105, 116, 0, 105, 110, 105, 116, 95, 97,
    99, 116, 105, 111, 110, 0, 105, 110, 105, 116, 95, 103, 114, 111, 117, 112, 95, 105, 100, 0,
    109, 101, 116, 97, 100, 97, 116, 97, 95, 99, 97, 112, 0, 100, 101, 118, 108, 105, 110, 107, 95,
    116, 114, 97, 112, 0, 116, 114, 97, 112, 95, 102, 105, 110, 105, 0, 116, 114, 97, 112, 95, 97,
    99, 116, 105, 111, 110, 95, 115, 101, 116, 0, 116, 114, 97, 112, 95, 103, 114, 111, 117, 112,
    95, 105, 110, 105, 116, 0, 105, 110, 105, 116, 95, 112, 111, 108, 105, 99, 101, 114, 95, 105,
    100, 0, 100, 101, 118, 108, 105, 110, 107, 95, 116, 114, 97, 112, 95, 103, 114, 111, 117, 112,
    0, 116, 114, 97, 112, 95, 103, 114, 111, 117, 112, 95, 115, 101, 116, 0, 105, 110, 105, 116,
    95, 114, 97, 116, 101, 0, 105, 110, 105, 116, 95, 98, 117, 114, 115, 116, 0, 109, 97, 120, 95,
    114, 97, 116, 101, 0, 109, 105, 110, 95, 114, 97, 116, 101, 0, 109, 105, 110, 95, 98, 117, 114,
    115, 116, 0, 100, 101, 118, 108, 105, 110, 107, 95, 116, 114, 97, 112, 95, 112, 111, 108, 105,
    99, 101, 114, 0, 116, 114, 97, 112, 95, 112, 111, 108, 105, 99, 101, 114, 95, 105, 110, 105,
    116, 0, 116, 114, 97, 112, 95, 112, 111, 108, 105, 99, 101, 114, 95, 102, 105, 110, 105, 0,
    116, 114, 97, 112, 95, 112, 111, 108, 105, 99, 101, 114, 95, 115, 101, 116, 0, 116, 114, 97,
    112, 95, 112, 111, 108, 105, 99, 101, 114, 95, 99, 111, 117, 110, 116, 101, 114, 95, 103, 101,
    116, 0, 112, 111, 114, 116, 95, 102, 117, 110, 99, 116, 105, 111, 110, 95, 104, 119, 95, 97,
    100, 100, 114, 95, 103, 101, 116, 0, 112, 111, 114, 116, 95, 102, 117, 110, 99, 116, 105, 111,
    110, 95, 104, 119, 95, 97, 100, 100, 114, 95, 115, 101, 116, 0, 100, 101, 118, 108, 105, 110,
    107, 95, 111, 112, 115, 0, 115, 110, 97, 112, 115, 104, 111, 116, 95, 105, 100, 115, 0, 95,
    110, 101, 116, 0, 114, 101, 108, 111, 97, 100, 95, 102, 97, 105, 108, 101, 100, 0, 114, 101,
    108, 111, 97, 100, 95, 101, 110, 97, 98, 108, 101, 100, 0, 116, 121, 112, 101, 95, 108, 111,
    99, 107, 0, 100, 101, 115, 105, 114, 101, 100, 95, 116, 121, 112, 101, 0, 116, 121, 112, 101,
    95, 100, 101, 118, 0, 115, 112, 108, 105, 116, 116, 97, 98, 108, 101, 0, 108, 97, 110, 101,
    115, 0, 102, 108, 97, 118, 111, 117, 114, 0, 115, 119, 105, 116, 99, 104, 95, 105, 100, 0, 112,
    104, 121, 115, 0, 112, 111, 114, 116, 95, 110, 117, 109, 98, 101, 114, 0, 115, 112, 108, 105,
    116, 95, 115, 117, 98, 112, 111, 114, 116, 95, 110, 117, 109, 98, 101, 114, 0, 100, 101, 118,
    108, 105, 110, 107, 95, 112, 111, 114, 116, 95, 112, 104, 121, 115, 95, 97, 116, 116, 114, 115,
    0, 112, 99, 105, 95, 112, 102, 0, 100, 101, 118, 108, 105, 110, 107, 95, 112, 111, 114, 116,
    95, 112, 99, 105, 95, 112, 102, 95, 97, 116, 116, 114, 115, 0, 112, 99, 105, 95, 118, 102, 0,
    100, 101, 118, 108, 105, 110, 107, 95, 112, 111, 114, 116, 95, 112, 99, 105, 95, 118, 102, 95,
    97, 116, 116, 114, 115, 0, 100, 101, 118, 108, 105, 110, 107, 95, 112, 111, 114, 116, 95, 97,
    116, 116, 114, 115, 0, 97, 116, 116, 114, 115, 95, 115, 101, 116, 0, 115, 119, 105, 116, 99,
    104, 95, 112, 111, 114, 116, 0, 116, 121, 112, 101, 95, 119, 97, 114, 110, 95, 100, 119, 0,
    100, 101, 118, 108, 105, 110, 107, 95, 112, 111, 114, 116, 0, 110, 100, 111, 95, 116, 117, 110,
    110, 101, 108, 95, 99, 116, 108, 0, 111, 95, 102, 108, 97, 103, 115, 0, 105, 95, 107, 101, 121,
    0, 111, 95, 107, 101, 121, 0, 105, 112, 104, 0, 105, 104, 108, 0, 116, 111, 116, 95, 108, 101,
    110, 0, 102, 114, 97, 103, 95, 111, 102, 102, 0, 116, 116, 108, 0, 95, 95, 115, 117, 109, 49,
    54, 0, 105, 112, 104, 100, 114, 0, 105, 112, 95, 116, 117, 110, 110, 101, 108, 95, 112, 97,
    114, 109, 0, 110, 101, 116, 95, 100, 101, 118, 105, 99, 101, 95, 111, 112, 115, 0, 101, 116,
    104, 116, 111, 111, 108, 95, 111, 112, 115, 0, 115, 117, 112, 112, 111, 114, 116, 101, 100, 95,
    99, 111, 97, 108, 101, 115, 99, 101, 95, 112, 97, 114, 97, 109, 115, 0, 103, 101, 116, 95, 100,
    114, 118, 105, 110, 102, 111, 0, 102, 119, 95, 118, 101, 114, 115, 105, 111, 110, 0, 98, 117,
    115, 95, 105, 110, 102, 111, 0, 101, 114, 111, 109, 95, 118, 101, 114, 115, 105, 111, 110, 0,
    114, 101, 115, 101, 114, 118, 101, 100, 50, 0, 110, 95, 112, 114, 105, 118, 95, 102, 108, 97,
    103, 115, 0, 110, 95, 115, 116, 97, 116, 115, 0, 116, 101, 115, 116, 105, 110, 102, 111, 95,
    108, 101, 110, 0, 101, 101, 100, 117, 109, 112, 95, 108, 101, 110, 0, 114, 101, 103, 100, 117,
    109, 112, 95, 108, 101, 110, 0, 101, 116, 104, 116, 111, 111, 108, 95, 100, 114, 118, 105, 110,
    102, 111, 0, 103, 101, 116, 95, 114, 101, 103, 115, 95, 108, 101, 110, 0, 103, 101, 116, 95,
    114, 101, 103, 115, 0, 101, 116, 104, 116, 111, 111, 108, 95, 114, 101, 103, 115, 0, 103, 101,
    116, 95, 119, 111, 108, 0, 115, 117, 112, 112, 111, 114, 116, 101, 100, 0, 119, 111, 108, 111,
    112, 116, 115, 0, 115, 111, 112, 97, 115, 115, 0, 101, 116, 104, 116, 111, 111, 108, 95, 119,
    111, 108, 105, 110, 102, 111, 0, 115, 101, 116, 95, 119, 111, 108, 0, 103, 101, 116, 95, 109,
    115, 103, 108, 101, 118, 101, 108, 0, 115, 101, 116, 95, 109, 115, 103, 108, 101, 118, 101,
    108, 0, 110, 119, 97, 121, 95, 114, 101, 115, 101, 116, 0, 103, 101, 116, 95, 108, 105, 110,
    107, 95, 101, 120, 116, 95, 115, 116, 97, 116, 101, 0, 108, 105, 110, 107, 95, 101, 120, 116,
    95, 115, 116, 97, 116, 101, 0, 97, 117, 116, 111, 110, 101, 103, 0, 108, 105, 110, 107, 95,
    116, 114, 97, 105, 110, 105, 110, 103, 0, 108, 105, 110, 107, 95, 108, 111, 103, 105, 99, 97,
    108, 95, 109, 105, 115, 109, 97, 116, 99, 104, 0, 98, 97, 100, 95, 115, 105, 103, 110, 97, 108,
    95, 105, 110, 116, 101, 103, 114, 105, 116, 121, 0, 99, 97, 98, 108, 101, 95, 105, 115, 115,
    117, 101, 0, 95, 95, 108, 105, 110, 107, 95, 101, 120, 116, 95, 115, 117, 98, 115, 116, 97,
    116, 101, 0, 101, 116, 104, 116, 111, 111, 108, 95, 108, 105, 110, 107, 95, 101, 120, 116, 95,
    115, 116, 97, 116, 101, 95, 105, 110, 102, 111, 0, 103, 101, 116, 95, 101, 101, 112, 114, 111,
    109, 95, 108, 101, 110, 0, 103, 101, 116, 95, 101, 101, 112, 114, 111, 109, 0, 101, 116, 104,
    116, 111, 111, 108, 95, 101, 101, 112, 114, 111, 109, 0, 115, 101, 116, 95, 101, 101, 112, 114,
    111, 109, 0, 103, 101, 116, 95, 99, 111, 97, 108, 101, 115, 99, 101, 0, 114, 120, 95, 99, 111,
    97, 108, 101, 115, 99, 101, 95, 117, 115, 101, 99, 115, 0, 114, 120, 95, 109, 97, 120, 95, 99,
    111, 97, 108, 101, 115, 99, 101, 100, 95, 102, 114, 97, 109, 101, 115, 0, 114, 120, 95, 99,
    111, 97, 108, 101, 115, 99, 101, 95, 117, 115, 101, 99, 115, 95, 105, 114, 113, 0, 114, 120,
    95, 109, 97, 120, 95, 99, 111, 97, 108, 101, 115, 99, 101, 100, 95, 102, 114, 97, 109, 101,
    115, 95, 105, 114, 113, 0, 116, 120, 95, 99, 111, 97, 108, 101, 115, 99, 101, 95, 117, 115,
    101, 99, 115, 0, 116, 120, 95, 109, 97, 120, 95, 99, 111, 97, 108, 101, 115, 99, 101, 100, 95,
    102, 114, 97, 109, 101, 115, 0, 116, 120, 95, 99, 111, 97, 108, 101, 115, 99, 101, 95, 117,
    115, 101, 99, 115, 95, 105, 114, 113, 0, 116, 120, 95, 109, 97, 120, 95, 99, 111, 97, 108, 101,
    115, 99, 101, 100, 95, 102, 114, 97, 109, 101, 115, 95, 105, 114, 113, 0, 115, 116, 97, 116,
    115, 95, 98, 108, 111, 99, 107, 95, 99, 111, 97, 108, 101, 115, 99, 101, 95, 117, 115, 101, 99,
    115, 0, 117, 115, 101, 95, 97, 100, 97, 112, 116, 105, 118, 101, 95, 114, 120, 95, 99, 111, 97,
    108, 101, 115, 99, 101, 0, 117, 115, 101, 95, 97, 100, 97, 112, 116, 105, 118, 101, 95, 116,
    120, 95, 99, 111, 97, 108, 101, 115, 99, 101, 0, 112, 107, 116, 95, 114, 97, 116, 101, 95, 108,
    111, 119, 0, 114, 120, 95, 99, 111, 97, 108, 101, 115, 99, 101, 95, 117, 115, 101, 99, 115, 95,
    108, 111, 119, 0, 114, 120, 95, 109, 97, 120, 95, 99, 111, 97, 108, 101, 115, 99, 101, 100, 95,
    102, 114, 97, 109, 101, 115, 95, 108, 111, 119, 0, 116, 120, 95, 99, 111, 97, 108, 101, 115,
    99, 101, 95, 117, 115, 101, 99, 115, 95, 108, 111, 119, 0, 116, 120, 95, 109, 97, 120, 95, 99,
    111, 97, 108, 101, 115, 99, 101, 100, 95, 102, 114, 97, 109, 101, 115, 95, 108, 111, 119, 0,
    112, 107, 116, 95, 114, 97, 116, 101, 95, 104, 105, 103, 104, 0, 114, 120, 95, 99, 111, 97,
    108, 101, 115, 99, 101, 95, 117, 115, 101, 99, 115, 95, 104, 105, 103, 104, 0, 114, 120, 95,
    109, 97, 120, 95, 99, 111, 97, 108, 101, 115, 99, 101, 100, 95, 102, 114, 97, 109, 101, 115,
    95, 104, 105, 103, 104, 0, 116, 120, 95, 99, 111, 97, 108, 101, 115, 99, 101, 95, 117, 115,
    101, 99, 115, 95, 104, 105, 103, 104, 0, 116, 120, 95, 109, 97, 120, 95, 99, 111, 97, 108, 101,
    115, 99, 101, 100, 95, 102, 114, 97, 109, 101, 115, 95, 104, 105, 103, 104, 0, 114, 97, 116,
    101, 95, 115, 97, 109, 112, 108, 101, 95, 105, 110, 116, 101, 114, 118, 97, 108, 0, 101, 116,
    104, 116, 111, 111, 108, 95, 99, 111, 97, 108, 101, 115, 99, 101, 0, 115, 101, 116, 95, 99,
    111, 97, 108, 101, 115, 99, 101, 0, 103, 101, 116, 95, 114, 105, 110, 103, 112, 97, 114, 97,
    109, 0, 114, 120, 95, 109, 97, 120, 95, 112, 101, 110, 100, 105, 110, 103, 0, 114, 120, 95,
    109, 105, 110, 105, 95, 109, 97, 120, 95, 112, 101, 110, 100, 105, 110, 103, 0, 114, 120, 95,
    106, 117, 109, 98, 111, 95, 109, 97, 120, 95, 112, 101, 110, 100, 105, 110, 103, 0, 116, 120,
    95, 109, 97, 120, 95, 112, 101, 110, 100, 105, 110, 103, 0, 114, 120, 95, 112, 101, 110, 100,
    105, 110, 103, 0, 114, 120, 95, 109, 105, 110, 105, 95, 112, 101, 110, 100, 105, 110, 103, 0,
    114, 120, 95, 106, 117, 109, 98, 111, 95, 112, 101, 110, 100, 105, 110, 103, 0, 116, 120, 95,
    112, 101, 110, 100, 105, 110, 103, 0, 101, 116, 104, 116, 111, 111, 108, 95, 114, 105, 110,
    103, 112, 97, 114, 97, 109, 0, 115, 101, 116, 95, 114, 105, 110, 103, 112, 97, 114, 97, 109, 0,
    103, 101, 116, 95, 112, 97, 117, 115, 101, 112, 97, 114, 97, 109, 0, 114, 120, 95, 112, 97,
    117, 115, 101, 0, 116, 120, 95, 112, 97, 117, 115, 101, 0, 101, 116, 104, 116, 111, 111, 108,
    95, 112, 97, 117, 115, 101, 112, 97, 114, 97, 109, 0, 115, 101, 116, 95, 112, 97, 117, 115,
    101, 112, 97, 114, 97, 109, 0, 115, 101, 108, 102, 95, 116, 101, 115, 116, 0, 101, 116, 104,
    116, 111, 111, 108, 95, 116, 101, 115, 116, 0, 103, 101, 116, 95, 115, 116, 114, 105, 110, 103,
    115, 0, 115, 101, 116, 95, 112, 104, 121, 115, 95, 105, 100, 0, 103, 101, 116, 95, 101, 116,
    104, 116, 111, 111, 108, 95, 115, 116, 97, 116, 115, 0, 101, 116, 104, 116, 111, 111, 108, 95,
    115, 116, 97, 116, 115, 0, 103, 101, 116, 95, 112, 114, 105, 118, 95, 102, 108, 97, 103, 115,
    0, 115, 101, 116, 95, 112, 114, 105, 118, 95, 102, 108, 97, 103, 115, 0, 103, 101, 116, 95,
    115, 115, 101, 116, 95, 99, 111, 117, 110, 116, 0, 103, 101, 116, 95, 114, 120, 110, 102, 99,
    0, 102, 108, 111, 119, 95, 116, 121, 112, 101, 0, 104, 95, 117, 0, 116, 99, 112, 95, 105, 112,
    52, 95, 115, 112, 101, 99, 0, 105, 112, 52, 115, 114, 99, 0, 105, 112, 52, 100, 115, 116, 0,
    112, 115, 114, 99, 0, 112, 100, 115, 116, 0, 101, 116, 104, 116, 111, 111, 108, 95, 116, 99,
    112, 105, 112, 52, 95, 115, 112, 101, 99, 0, 117, 100, 112, 95, 105, 112, 52, 95, 115, 112,
    101, 99, 0, 115, 99, 116, 112, 95, 105, 112, 52, 95, 115, 112, 101, 99, 0, 97, 104, 95, 105,
    112, 52, 95, 115, 112, 101, 99, 0, 101, 116, 104, 116, 111, 111, 108, 95, 97, 104, 95, 101,
    115, 112, 105, 112, 52, 95, 115, 112, 101, 99, 0, 101, 115, 112, 95, 105, 112, 52, 95, 115,
    112, 101, 99, 0, 117, 115, 114, 95, 105, 112, 52, 95, 115, 112, 101, 99, 0, 108, 52, 95, 52,
    95, 98, 121, 116, 101, 115, 0, 105, 112, 95, 118, 101, 114, 0, 101, 116, 104, 116, 111, 111,
    108, 95, 117, 115, 114, 105, 112, 52, 95, 115, 112, 101, 99, 0, 116, 99, 112, 95, 105, 112, 54,
    95, 115, 112, 101, 99, 0, 105, 112, 54, 115, 114, 99, 0, 105, 112, 54, 100, 115, 116, 0, 116,
    99, 108, 97, 115, 115, 0, 101, 116, 104, 116, 111, 111, 108, 95, 116, 99, 112, 105, 112, 54,
    95, 115, 112, 101, 99, 0, 117, 100, 112, 95, 105, 112, 54, 95, 115, 112, 101, 99, 0, 115, 99,
    116, 112, 95, 105, 112, 54, 95, 115, 112, 101, 99, 0, 97, 104, 95, 105, 112, 54, 95, 115, 112,
    101, 99, 0, 101, 116, 104, 116, 111, 111, 108, 95, 97, 104, 95, 101, 115, 112, 105, 112, 54,
    95, 115, 112, 101, 99, 0, 101, 115, 112, 95, 105, 112, 54, 95, 115, 112, 101, 99, 0, 117, 115,
    114, 95, 105, 112, 54, 95, 115, 112, 101, 99, 0, 108, 52, 95, 112, 114, 111, 116, 111, 0, 101,
    116, 104, 116, 111, 111, 108, 95, 117, 115, 114, 105, 112, 54, 95, 115, 112, 101, 99, 0, 101,
    116, 104, 101, 114, 95, 115, 112, 101, 99, 0, 104, 95, 100, 101, 115, 116, 0, 104, 95, 115,
    111, 117, 114, 99, 101, 0, 104, 95, 112, 114, 111, 116, 111, 0, 101, 116, 104, 104, 100, 114,
    0, 104, 100, 97, 116, 97, 0, 101, 116, 104, 116, 111, 111, 108, 95, 102, 108, 111, 119, 95,
    117, 110, 105, 111, 110, 0, 104, 95, 101, 120, 116, 0, 118, 108, 97, 110, 95, 101, 116, 121,
    112, 101, 0, 101, 116, 104, 116, 111, 111, 108, 95, 102, 108, 111, 119, 95, 101, 120, 116, 0,
    109, 95, 117, 0, 109, 95, 101, 120, 116, 0, 114, 105, 110, 103, 95, 99, 111, 111, 107, 105,
    101, 0, 108, 111, 99, 97, 116, 105, 111, 110, 0, 101, 116, 104, 116, 111, 111, 108, 95, 114,
    120, 95, 102, 108, 111, 119, 95, 115, 112, 101, 99, 0, 114, 117, 108, 101, 95, 99, 110, 116, 0,
    114, 115, 115, 95, 99, 111, 110, 116, 101, 120, 116, 0, 114, 117, 108, 101, 95, 108, 111, 99,
    115, 0, 101, 116, 104, 116, 111, 111, 108, 95, 114, 120, 110, 102, 99, 0, 115, 101, 116, 95,
    114, 120, 110, 102, 99, 0, 102, 108, 97, 115, 104, 95, 100, 101, 118, 105, 99, 101, 0, 114,
    101, 103, 105, 111, 110, 0, 101, 116, 104, 116, 111, 111, 108, 95, 102, 108, 97, 115, 104, 0,
    103, 101, 116, 95, 114, 120, 102, 104, 95, 107, 101, 121, 95, 115, 105, 122, 101, 0, 103, 101,
    116, 95, 114, 120, 102, 104, 95, 105, 110, 100, 105, 114, 95, 115, 105, 122, 101, 0, 103, 101,
    116, 95, 114, 120, 102, 104, 0, 115, 101, 116, 95, 114, 120, 102, 104, 0, 103, 101, 116, 95,
    114, 120, 102, 104, 95, 99, 111, 110, 116, 101, 120, 116, 0, 115, 101, 116, 95, 114, 120, 102,
    104, 95, 99, 111, 110, 116, 101, 120, 116, 0, 103, 101, 116, 95, 99, 104, 97, 110, 110, 101,
    108, 115, 0, 109, 97, 120, 95, 114, 120, 0, 109, 97, 120, 95, 116, 120, 0, 109, 97, 120, 95,
    111, 116, 104, 101, 114, 0, 109, 97, 120, 95, 99, 111, 109, 98, 105, 110, 101, 100, 0, 114,
    120, 95, 99, 111, 117, 110, 116, 0, 116, 120, 95, 99, 111, 117, 110, 116, 0, 111, 116, 104,
    101, 114, 95, 99, 111, 117, 110, 116, 0, 99, 111, 109, 98, 105, 110, 101, 100, 95, 99, 111,
    117, 110, 116, 0, 101, 116, 104, 116, 111, 111, 108, 95, 99, 104, 97, 110, 110, 101, 108, 115,
    0, 115, 101, 116, 95, 99, 104, 97, 110, 110, 101, 108, 115, 0, 103, 101, 116, 95, 100, 117,
    109, 112, 95, 102, 108, 97, 103, 0, 101, 116, 104, 116, 111, 111, 108, 95, 100, 117, 109, 112,
    0, 103, 101, 116, 95, 100, 117, 109, 112, 95, 100, 97, 116, 97, 0, 115, 101, 116, 95, 100, 117,
    109, 112, 0, 103, 101, 116, 95, 116, 115, 95, 105, 110, 102, 111, 0, 115, 111, 95, 116, 105,
    109, 101, 115, 116, 97, 109, 112, 105, 110, 103, 0, 112, 104, 99, 95, 105, 110, 100, 101, 120,
    0, 116, 120, 95, 116, 121, 112, 101, 115, 0, 116, 120, 95, 114, 101, 115, 101, 114, 118, 101,
    100, 0, 114, 120, 95, 102, 105, 108, 116, 101, 114, 115, 0, 114, 120, 95, 114, 101, 115, 101,
    114, 118, 101, 100, 0, 101, 116, 104, 116, 111, 111, 108, 95, 116, 115, 95, 105, 110, 102, 111,
    0, 103, 101, 116, 95, 109, 111, 100, 117, 108, 101, 95, 105, 110, 102, 111, 0, 101, 101, 112,
    114, 111, 109, 95, 108, 101, 110, 0, 101, 116, 104, 116, 111, 111, 108, 95, 109, 111, 100, 105,
    110, 102, 111, 0, 103, 101, 116, 95, 109, 111, 100, 117, 108, 101, 95, 101, 101, 112, 114, 111,
    109, 0, 103, 101, 116, 95, 101, 101, 101, 0, 97, 100, 118, 101, 114, 116, 105, 115, 101, 100,
    0, 108, 112, 95, 97, 100, 118, 101, 114, 116, 105, 115, 101, 100, 0, 101, 101, 101, 95, 97, 99,
    116, 105, 118, 101, 0, 101, 101, 101, 95, 101, 110, 97, 98, 108, 101, 100, 0, 116, 120, 95,
    108, 112, 105, 95, 101, 110, 97, 98, 108, 101, 100, 0, 116, 120, 95, 108, 112, 105, 95, 116,
    105, 109, 101, 114, 0, 101, 116, 104, 116, 111, 111, 108, 95, 101, 101, 101, 0, 115, 101, 116,
    95, 101, 101, 101, 0, 103, 101, 116, 95, 116, 117, 110, 97, 98, 108, 101, 0, 101, 116, 104,
    116, 111, 111, 108, 95, 116, 117, 110, 97, 98, 108, 101, 0, 115, 101, 116, 95, 116, 117, 110,
    97, 98, 108, 101, 0, 103, 101, 116, 95, 112, 101, 114, 95, 113, 117, 101, 117, 101, 95, 99,
    111, 97, 108, 101, 115, 99, 101, 0, 115, 101, 116, 95, 112, 101, 114, 95, 113, 117, 101, 117,
    101, 95, 99, 111, 97, 108, 101, 115, 99, 101, 0, 103, 101, 116, 95, 108, 105, 110, 107, 95,
    107, 115, 101, 116, 116, 105, 110, 103, 115, 0, 100, 117, 112, 108, 101, 120, 0, 112, 104, 121,
    95, 97, 100, 100, 114, 101, 115, 115, 0, 109, 100, 105, 111, 95, 115, 117, 112, 112, 111, 114,
    116, 0, 101, 116, 104, 95, 116, 112, 95, 109, 100, 105, 120, 0, 101, 116, 104, 95, 116, 112,
    95, 109, 100, 105, 120, 95, 99, 116, 114, 108, 0, 108, 105, 110, 107, 95, 109, 111, 100, 101,
    95, 109, 97, 115, 107, 115, 95, 110, 119, 111, 114, 100, 115, 0, 116, 114, 97, 110, 115, 99,
    101, 105, 118, 101, 114, 0, 109, 97, 115, 116, 101, 114, 95, 115, 108, 97, 118, 101, 95, 99,
    102, 103, 0, 109, 97, 115, 116, 101, 114, 95, 115, 108, 97, 118, 101, 95, 115, 116, 97, 116,
    101, 0, 114, 101, 115, 101, 114, 118, 101, 100, 49, 0, 108, 105, 110, 107, 95, 109, 111, 100,
    101, 95, 109, 97, 115, 107, 115, 0, 101, 116, 104, 116, 111, 111, 108, 95, 108, 105, 110, 107,
    95, 115, 101, 116, 116, 105, 110, 103, 115, 0, 108, 105, 110, 107, 95, 109, 111, 100, 101, 115,
    0, 97, 100, 118, 101, 114, 116, 105, 115, 105, 110, 103, 0, 108, 112, 95, 97, 100, 118, 101,
    114, 116, 105, 115, 105, 110, 103, 0, 101, 116, 104, 116, 111, 111, 108, 95, 108, 105, 110,
    107, 95, 107, 115, 101, 116, 116, 105, 110, 103, 115, 0, 115, 101, 116, 95, 108, 105, 110, 107,
    95, 107, 115, 101, 116, 116, 105, 110, 103, 115, 0, 103, 101, 116, 95, 102, 101, 99, 112, 97,
    114, 97, 109, 0, 97, 99, 116, 105, 118, 101, 95, 102, 101, 99, 0, 102, 101, 99, 0, 101, 116,
    104, 116, 111, 111, 108, 95, 102, 101, 99, 112, 97, 114, 97, 109, 0, 115, 101, 116, 95, 102,
    101, 99, 112, 97, 114, 97, 109, 0, 103, 101, 116, 95, 101, 116, 104, 116, 111, 111, 108, 95,
    112, 104, 121, 95, 115, 116, 97, 116, 115, 0, 108, 51, 109, 100, 101, 118, 95, 111, 112, 115,
    0, 108, 51, 109, 100, 101, 118, 95, 102, 105, 98, 95, 116, 97, 98, 108, 101, 0, 108, 51, 109,
    100, 101, 118, 95, 108, 51, 95, 114, 99, 118, 0, 108, 51, 109, 100, 101, 118, 95, 108, 51, 95,
    111, 117, 116, 0, 108, 51, 109, 100, 101, 118, 95, 108, 105, 110, 107, 95, 115, 99, 111, 112,
    101, 95, 108, 111, 111, 107, 117, 112, 0, 110, 100, 105, 115, 99, 95, 111, 112, 115, 0, 105,
    115, 95, 117, 115, 101, 114, 111, 112, 116, 0, 112, 97, 114, 115, 101, 95, 111, 112, 116, 105,
    111, 110, 115, 0, 110, 100, 95, 111, 112, 116, 95, 116, 121, 112, 101, 0, 110, 100, 95, 111,
    112, 116, 95, 108, 101, 110, 0, 110, 100, 95, 111, 112, 116, 95, 104, 100, 114, 0, 110, 100,
    95, 111, 112, 116, 95, 97, 114, 114, 97, 121, 0, 110, 100, 95, 111, 112, 116, 115, 95, 114,
    105, 0, 110, 100, 95, 111, 112, 116, 115, 95, 114, 105, 95, 101, 110, 100, 0, 110, 100, 95,
    117, 115, 101, 114, 111, 112, 116, 115, 0, 110, 100, 95, 117, 115, 101, 114, 111, 112, 116,
    115, 95, 101, 110, 100, 0, 110, 100, 95, 56, 48, 50, 49, 53, 52, 95, 111, 112, 116, 95, 97,
    114, 114, 97, 121, 0, 110, 100, 105, 115, 99, 95, 111, 112, 116, 105, 111, 110, 115, 0, 111,
    112, 116, 95, 97, 100, 100, 114, 95, 115, 112, 97, 99, 101, 0, 102, 105, 108, 108, 95, 97, 100,
    100, 114, 95, 111, 112, 116, 105, 111, 110, 0, 112, 114, 101, 102, 105, 120, 95, 114, 99, 118,
    95, 97, 100, 100, 95, 97, 100, 100, 114, 0, 112, 114, 101, 102, 105, 120, 95, 108, 101, 110, 0,
    111, 110, 108, 105, 110, 107, 0, 112, 114, 101, 102, 101, 114, 101, 100, 0, 112, 114, 101, 102,
    105, 120, 95, 105, 110, 102, 111, 0, 120, 102, 114, 109, 100, 101, 118, 95, 111, 112, 115, 0,
    120, 100, 111, 95, 100, 101, 118, 95, 115, 116, 97, 116, 101, 95, 97, 100, 100, 0, 120, 100,
    111, 95, 100, 101, 118, 95, 115, 116, 97, 116, 101, 95, 100, 101, 108, 101, 116, 101, 0, 120,
    100, 111, 95, 100, 101, 118, 95, 115, 116, 97, 116, 101, 95, 102, 114, 101, 101, 0, 120, 100,
    111, 95, 100, 101, 118, 95, 111, 102, 102, 108, 111, 97, 100, 95, 111, 107, 0, 120, 100, 111,
    95, 100, 101, 118, 95, 115, 116, 97, 116, 101, 95, 97, 100, 118, 97, 110, 99, 101, 95, 101,
    115, 110, 0, 116, 108, 115, 100, 101, 118, 95, 111, 112, 115, 0, 116, 108, 115, 95, 100, 101,
    118, 95, 97, 100, 100, 0, 99, 105, 112, 104, 101, 114, 95, 116, 121, 112, 101, 0, 116, 108,
    115, 95, 99, 114, 121, 112, 116, 111, 95, 105, 110, 102, 111, 0, 116, 108, 115, 95, 100, 101,
    118, 95, 100, 101, 108, 0, 112, 114, 111, 116, 95, 105, 110, 102, 111, 0, 112, 114, 101, 112,
    101, 110, 100, 95, 115, 105, 122, 101, 0, 111, 118, 101, 114, 104, 101, 97, 100, 95, 115, 105,
    122, 101, 0, 105, 118, 95, 115, 105, 122, 101, 0, 115, 97, 108, 116, 95, 115, 105, 122, 101, 0,
    114, 101, 99, 95, 115, 101, 113, 95, 115, 105, 122, 101, 0, 97, 97, 100, 95, 115, 105, 122,
    101, 0, 116, 97, 105, 108, 95, 115, 105, 122, 101, 0, 116, 108, 115, 95, 112, 114, 111, 116,
    95, 105, 110, 102, 111, 0, 116, 120, 95, 99, 111, 110, 102, 0, 114, 120, 95, 99, 111, 110, 102,
    0, 112, 117, 115, 104, 95, 112, 101, 110, 100, 105, 110, 103, 95, 114, 101, 99, 111, 114, 100,
    0, 112, 114, 105, 118, 95, 99, 116, 120, 95, 116, 120, 0, 112, 114, 105, 118, 95, 99, 116, 120,
    95, 114, 120, 0, 105, 118, 0, 114, 101, 99, 95, 115, 101, 113, 0, 99, 105, 112, 104, 101, 114,
    95, 99, 111, 110, 116, 101, 120, 116, 0, 112, 97, 114, 116, 105, 97, 108, 108, 121, 95, 115,
    101, 110, 116, 95, 114, 101, 99, 111, 114, 100, 0, 112, 97, 114, 116, 105, 97, 108, 108, 121,
    95, 115, 101, 110, 116, 95, 111, 102, 102, 115, 101, 116, 0, 105, 110, 95, 116, 99, 112, 95,
    115, 101, 110, 100, 112, 97, 103, 101, 115, 0, 112, 101, 110, 100, 105, 110, 103, 95, 111, 112,
    101, 110, 95, 114, 101, 99, 111, 114, 100, 95, 102, 114, 97, 103, 115, 0, 116, 120, 95, 108,
    111, 99, 107, 0, 115, 107, 95, 112, 114, 111, 116, 111, 0, 99, 114, 121, 112, 116, 111, 95,
    115, 101, 110, 100, 0, 97, 101, 115, 95, 103, 99, 109, 95, 49, 50, 56, 0, 115, 97, 108, 116, 0,
    116, 108, 115, 49, 50, 95, 99, 114, 121, 112, 116, 111, 95, 105, 110, 102, 111, 95, 97, 101,
    115, 95, 103, 99, 109, 95, 49, 50, 56, 0, 97, 101, 115, 95, 103, 99, 109, 95, 50, 53, 54, 0,
    116, 108, 115, 49, 50, 95, 99, 114, 121, 112, 116, 111, 95, 105, 110, 102, 111, 95, 97, 101,
    115, 95, 103, 99, 109, 95, 50, 53, 54, 0, 116, 108, 115, 95, 99, 114, 121, 112, 116, 111, 95,
    99, 111, 110, 116, 101, 120, 116, 0, 99, 114, 121, 112, 116, 111, 95, 114, 101, 99, 118, 0,
    116, 108, 115, 95, 99, 111, 110, 116, 101, 120, 116, 0, 116, 108, 115, 95, 100, 101, 118, 95,
    114, 101, 115, 121, 110, 99, 0, 104, 101, 97, 100, 101, 114, 95, 111, 112, 115, 0, 112, 97,
    114, 115, 101, 0, 99, 97, 99, 104, 101, 95, 117, 112, 100, 97, 116, 101, 0, 112, 97, 114, 115,
    101, 95, 112, 114, 111, 116, 111, 99, 111, 108, 0, 103, 102, 108, 97, 103, 115, 0, 112, 97,
    100, 100, 101, 100, 0, 111, 112, 101, 114, 115, 116, 97, 116, 101, 0, 108, 105, 110, 107, 95,
    109, 111, 100, 101, 0, 105, 102, 95, 112, 111, 114, 116, 0, 109, 105, 110, 95, 109, 116, 117,
    0, 109, 97, 120, 95, 109, 116, 117, 0, 104, 97, 114, 100, 95, 104, 101, 97, 100, 101, 114, 95,
    108, 101, 110, 0, 109, 105, 110, 95, 104, 101, 97, 100, 101, 114, 95, 108, 101, 110, 0, 110,
    97, 109, 101, 95, 97, 115, 115, 105, 103, 110, 95, 116, 121, 112, 101, 0, 110, 101, 101, 100,
    101, 100, 95, 104, 101, 97, 100, 114, 111, 111, 109, 0, 110, 101, 101, 100, 101, 100, 95, 116,
    97, 105, 108, 114, 111, 111, 109, 0, 112, 101, 114, 109, 95, 97, 100, 100, 114, 0, 97, 100,
    100, 114, 95, 97, 115, 115, 105, 103, 110, 95, 116, 121, 112, 101, 0, 97, 100, 100, 114, 95,
    108, 101, 110, 0, 117, 112, 112, 101, 114, 95, 108, 101, 118, 101, 108, 0, 108, 111, 119, 101,
    114, 95, 108, 101, 118, 101, 108, 0, 110, 101, 105, 103, 104, 95, 112, 114, 105, 118, 95, 108,
    101, 110, 0, 100, 101, 118, 95, 112, 111, 114, 116, 0, 97, 100, 100, 114, 95, 108, 105, 115,
    116, 95, 108, 111, 99, 107, 0, 117, 99, 0, 110, 101, 116, 100, 101, 118, 95, 104, 119, 95, 97,
    100, 100, 114, 95, 108, 105, 115, 116, 0, 109, 99, 0, 100, 101, 118, 95, 97, 100, 100, 114,
    115, 0, 113, 117, 101, 117, 101, 115, 95, 107, 115, 101, 116, 0, 112, 114, 111, 109, 105, 115,
    99, 117, 105, 116, 121, 0, 97, 108, 108, 109, 117, 108, 116, 105, 0, 117, 99, 95, 112, 114,
    111, 109, 105, 115, 99, 0, 118, 108, 97, 110, 95, 105, 110, 102, 111, 0, 110, 114, 95, 118,
    108, 97, 110, 95, 100, 101, 118, 115, 0, 118, 108, 97, 110, 95, 100, 101, 118, 105, 99, 101,
    115, 95, 97, 114, 114, 97, 121, 115, 0, 118, 108, 97, 110, 95, 103, 114, 111, 117, 112, 0, 118,
    105, 100, 95, 108, 105, 115, 116, 0, 110, 114, 95, 118, 105, 100, 115, 0, 100, 115, 97, 95,
    112, 116, 114, 0, 116, 105, 112, 99, 95, 112, 116, 114, 0, 116, 105, 112, 99, 95, 98, 101, 97,
    114, 101, 114, 0, 97, 116, 97, 108, 107, 95, 112, 116, 114, 0, 105, 112, 95, 112, 116, 114, 0,
    105, 102, 97, 95, 108, 105, 115, 116, 0, 105, 102, 97, 95, 110, 101, 120, 116, 0, 105, 102, 97,
    95, 100, 101, 118, 0, 105, 102, 97, 95, 108, 111, 99, 97, 108, 0, 105, 102, 97, 95, 97, 100,
    100, 114, 101, 115, 115, 0, 105, 102, 97, 95, 109, 97, 115, 107, 0, 105, 102, 97, 95, 114, 116,
    95, 112, 114, 105, 111, 114, 105, 116, 121, 0, 105, 102, 97, 95, 98, 114, 111, 97, 100, 99, 97,
    115, 116, 0, 105, 102, 97, 95, 115, 99, 111, 112, 101, 0, 105, 102, 97, 95, 112, 114, 101, 102,
    105, 120, 108, 101, 110, 0, 105, 102, 97, 95, 102, 108, 97, 103, 115, 0, 105, 102, 97, 95, 108,
    97, 98, 101, 108, 0, 105, 102, 97, 95, 118, 97, 108, 105, 100, 95, 108, 102, 116, 0, 105, 102,
    97, 95, 112, 114, 101, 102, 101, 114, 114, 101, 100, 95, 108, 102, 116, 0, 105, 102, 97, 95,
    99, 115, 116, 97, 109, 112, 0, 105, 102, 97, 95, 116, 115, 116, 97, 109, 112, 0, 105, 110, 95,
    105, 102, 97, 100, 100, 114, 0, 105, 110, 116, 101, 114, 102, 97, 99, 101, 0, 109, 117, 108,
    116, 105, 97, 100, 100, 114, 0, 115, 102, 109, 111, 100, 101, 0, 115, 111, 117, 114, 99, 101,
    115, 0, 115, 102, 95, 105, 110, 97, 100, 100, 114, 0, 105, 112, 95, 115, 102, 95, 108, 105,
    115, 116, 0, 116, 111, 109, 98, 0, 115, 102, 99, 111, 117, 110, 116, 0, 110, 101, 120, 116, 95,
    114, 99, 117, 0, 110, 101, 120, 116, 95, 104, 97, 115, 104, 0, 116, 109, 95, 114, 117, 110,
    110, 105, 110, 103, 0, 114, 101, 112, 111, 114, 116, 101, 114, 0, 117, 110, 115, 111, 108, 105,
    99, 105, 116, 95, 99, 111, 117, 110, 116, 0, 108, 111, 97, 100, 101, 100, 0, 103, 115, 113,
    117, 101, 114, 121, 0, 99, 114, 99, 111, 117, 110, 116, 0, 105, 112, 95, 109, 99, 95, 108, 105,
    115, 116, 0, 109, 99, 95, 104, 97, 115, 104, 0, 109, 99, 95, 99, 111, 117, 110, 116, 0, 109,
    99, 95, 116, 111, 109, 98, 95, 108, 111, 99, 107, 0, 109, 114, 95, 118, 49, 95, 115, 101, 101,
    110, 0, 109, 114, 95, 118, 50, 95, 115, 101, 101, 110, 0, 109, 114, 95, 109, 97, 120, 100, 101,
    108, 97, 121, 0, 109, 114, 95, 113, 105, 0, 109, 114, 95, 113, 114, 105, 0, 109, 114, 95, 113,
    114, 118, 0, 109, 114, 95, 103, 113, 95, 114, 117, 110, 110, 105, 110, 103, 0, 109, 114, 95,
    105, 102, 99, 95, 99, 111, 117, 110, 116, 0, 109, 114, 95, 103, 113, 95, 116, 105, 109, 101,
    114, 0, 109, 114, 95, 105, 102, 99, 95, 116, 105, 109, 101, 114, 0, 97, 114, 112, 95, 112, 97,
    114, 109, 115, 0, 105, 110, 95, 100, 101, 118, 105, 99, 101, 0, 105, 112, 54, 95, 112, 116,
    114, 0, 97, 120, 50, 53, 95, 112, 116, 114, 0, 105, 101, 101, 101, 56, 48, 50, 49, 49, 95, 112,
    116, 114, 0, 119, 105, 112, 104, 121, 0, 97, 100, 100, 114, 95, 109, 97, 115, 107, 0, 97, 100,
    100, 114, 101, 115, 115, 101, 115, 0, 109, 97, 99, 95, 97, 100, 100, 114, 101, 115, 115, 0,
    109, 103, 109, 116, 95, 115, 116, 121, 112, 101, 115, 0, 105, 101, 101, 101, 56, 48, 50, 49,
    49, 95, 116, 120, 114, 120, 95, 115, 116, 121, 112, 101, 115, 0, 105, 102, 97, 99, 101, 95, 99,
    111, 109, 98, 105, 110, 97, 116, 105, 111, 110, 115, 0, 105, 101, 101, 101, 56, 48, 50, 49, 49,
    95, 105, 102, 97, 99, 101, 95, 108, 105, 109, 105, 116, 0, 110, 117, 109, 95, 100, 105, 102,
    102, 101, 114, 101, 110, 116, 95, 99, 104, 97, 110, 110, 101, 108, 115, 0, 109, 97, 120, 95,
    105, 110, 116, 101, 114, 102, 97, 99, 101, 115, 0, 110, 95, 108, 105, 109, 105, 116, 115, 0,
    98, 101, 97, 99, 111, 110, 95, 105, 110, 116, 95, 105, 110, 102, 114, 97, 95, 109, 97, 116, 99,
    104, 0, 114, 97, 100, 97, 114, 95, 100, 101, 116, 101, 99, 116, 95, 119, 105, 100, 116, 104,
    115, 0, 114, 97, 100, 97, 114, 95, 100, 101, 116, 101, 99, 116, 95, 114, 101, 103, 105, 111,
    110, 115, 0, 98, 101, 97, 99, 111, 110, 95, 105, 110, 116, 95, 109, 105, 110, 95, 103, 99, 100,
    0, 105, 101, 101, 101, 56, 48, 50, 49, 49, 95, 105, 102, 97, 99, 101, 95, 99, 111, 109, 98,
    105, 110, 97, 116, 105, 111, 110, 0, 110, 95, 105, 102, 97, 99, 101, 95, 99, 111, 109, 98, 105,
    110, 97, 116, 105, 111, 110, 115, 0, 115, 111, 102, 116, 119, 97, 114, 101, 95, 105, 102, 116,
    121, 112, 101, 115, 0, 110, 95, 97, 100, 100, 114, 101, 115, 115, 101, 115, 0, 105, 110, 116,
    101, 114, 102, 97, 99, 101, 95, 109, 111, 100, 101, 115, 0, 109, 97, 120, 95, 97, 99, 108, 95,
    109, 97, 99, 95, 97, 100, 100, 114, 115, 0, 114, 101, 103, 117, 108, 97, 116, 111, 114, 121,
    95, 102, 108, 97, 103, 115, 0, 101, 120, 116, 95, 102, 101, 97, 116, 117, 114, 101, 115, 0, 97,
    112, 95, 115, 109, 101, 95, 99, 97, 112, 97, 0, 115, 105, 103, 110, 97, 108, 95, 116, 121, 112,
    101, 0, 67, 70, 71, 56, 48, 50, 49, 49, 95, 83, 73, 71, 78, 65, 76, 95, 84, 89, 80, 69, 95, 78,
    79, 78, 69, 0, 67, 70, 71, 56, 48, 50, 49, 49, 95, 83, 73, 71, 78, 65, 76, 95, 84, 89, 80, 69,
    95, 77, 66, 77, 0, 67, 70, 71, 56, 48, 50, 49, 49, 95, 83, 73, 71, 78, 65, 76, 95, 84, 89, 80,
    69, 95, 85, 78, 83, 80, 69, 67, 0, 99, 102, 103, 56, 48, 50, 49, 49, 95, 115, 105, 103, 110,
    97, 108, 95, 116, 121, 112, 101, 0, 98, 115, 115, 95, 112, 114, 105, 118, 95, 115, 105, 122,
    101, 0, 109, 97, 120, 95, 115, 99, 97, 110, 95, 115, 115, 105, 100, 115, 0, 109, 97, 120, 95,
    115, 99, 104, 101, 100, 95, 115, 99, 97, 110, 95, 114, 101, 113, 115, 0, 109, 97, 120, 95, 115,
    99, 104, 101, 100, 95, 115, 99, 97, 110, 95, 115, 115, 105, 100, 115, 0, 109, 97, 120, 95, 109,
    97, 116, 99, 104, 95, 115, 101, 116, 115, 0, 109, 97, 120, 95, 115, 99, 97, 110, 95, 105, 101,
    95, 108, 101, 110, 0, 109, 97, 120, 95, 115, 99, 104, 101, 100, 95, 115, 99, 97, 110, 95, 105,
    101, 95, 108, 101, 110, 0, 109, 97, 120, 95, 115, 99, 104, 101, 100, 95, 115, 99, 97, 110, 95,
    112, 108, 97, 110, 115, 0, 109, 97, 120, 95, 115, 99, 104, 101, 100, 95, 115, 99, 97, 110, 95,
    112, 108, 97, 110, 95, 105, 110, 116, 101, 114, 118, 97, 108, 0, 109, 97, 120, 95, 115, 99,
    104, 101, 100, 95, 115, 99, 97, 110, 95, 112, 108, 97, 110, 95, 105, 116, 101, 114, 97, 116,
    105, 111, 110, 115, 0, 110, 95, 99, 105, 112, 104, 101, 114, 95, 115, 117, 105, 116, 101, 115,
    0, 99, 105, 112, 104, 101, 114, 95, 115, 117, 105, 116, 101, 115, 0, 110, 95, 97, 107, 109, 95,
    115, 117, 105, 116, 101, 115, 0, 97, 107, 109, 95, 115, 117, 105, 116, 101, 115, 0, 105, 102,
    116, 121, 112, 101, 95, 97, 107, 109, 95, 115, 117, 105, 116, 101, 115, 0, 105, 102, 116, 121,
    112, 101, 115, 95, 109, 97, 115, 107, 0, 119, 105, 112, 104, 121, 95, 105, 102, 116, 121, 112,
    101, 95, 97, 107, 109, 95, 115, 117, 105, 116, 101, 115, 0, 110, 117, 109, 95, 105, 102, 116,
    121, 112, 101, 95, 97, 107, 109, 95, 115, 117, 105, 116, 101, 115, 0, 114, 101, 116, 114, 121,
    95, 115, 104, 111, 114, 116, 0, 114, 101, 116, 114, 121, 95, 108, 111, 110, 103, 0, 102, 114,
    97, 103, 95, 116, 104, 114, 101, 115, 104, 111, 108, 100, 0, 114, 116, 115, 95, 116, 104, 114,
    101, 115, 104, 111, 108, 100, 0, 99, 111, 118, 101, 114, 97, 103, 101, 95, 99, 108, 97, 115,
    115, 0, 104, 119, 95, 118, 101, 114, 115, 105, 111, 110, 0, 119, 111, 119, 108, 97, 110, 0,
    110, 95, 112, 97, 116, 116, 101, 114, 110, 115, 0, 112, 97, 116, 116, 101, 114, 110, 95, 109,
    97, 120, 95, 108, 101, 110, 0, 112, 97, 116, 116, 101, 114, 110, 95, 109, 105, 110, 95, 108,
    101, 110, 0, 109, 97, 120, 95, 110, 100, 95, 109, 97, 116, 99, 104, 95, 115, 101, 116, 115, 0,
    116, 111, 107, 0, 109, 105, 110, 95, 108, 101, 110, 0, 109, 97, 120, 95, 108, 101, 110, 0, 98,
    117, 102, 115, 105, 122, 101, 0, 110, 108, 56, 48, 50, 49, 49, 95, 119, 111, 119, 108, 97, 110,
    95, 116, 99, 112, 95, 100, 97, 116, 97, 95, 116, 111, 107, 101, 110, 95, 102, 101, 97, 116,
    117, 114, 101, 0, 100, 97, 116, 97, 95, 112, 97, 121, 108, 111, 97, 100, 95, 109, 97, 120, 0,
    100, 97, 116, 97, 95, 105, 110, 116, 101, 114, 118, 97, 108, 95, 109, 97, 120, 0, 119, 97, 107,
    101, 95, 112, 97, 121, 108, 111, 97, 100, 95, 109, 97, 120, 0, 119, 105, 112, 104, 121, 95,
    119, 111, 119, 108, 97, 110, 95, 116, 99, 112, 95, 115, 117, 112, 112, 111, 114, 116, 0, 119,
    105, 112, 104, 121, 95, 119, 111, 119, 108, 97, 110, 95, 115, 117, 112, 112, 111, 114, 116, 0,
    119, 111, 119, 108, 97, 110, 95, 99, 111, 110, 102, 105, 103, 0, 97, 110, 121, 0, 109, 97, 103,
    105, 99, 95, 112, 107, 116, 0, 103, 116, 107, 95, 114, 101, 107, 101, 121, 95, 102, 97, 105,
    108, 117, 114, 101, 0, 101, 97, 112, 95, 105, 100, 101, 110, 116, 105, 116, 121, 95, 114, 101,
    113, 0, 102, 111, 117, 114, 95, 119, 97, 121, 95, 104, 97, 110, 100, 115, 104, 97, 107, 101, 0,
    114, 102, 107, 105, 108, 108, 95, 114, 101, 108, 101, 97, 115, 101, 0, 112, 97, 116, 116, 101,
    114, 110, 115, 0, 112, 97, 116, 116, 101, 114, 110, 95, 108, 101, 110, 0, 112, 107, 116, 95,
    111, 102, 102, 115, 101, 116, 0, 99, 102, 103, 56, 48, 50, 49, 49, 95, 112, 107, 116, 95, 112,
    97, 116, 116, 101, 114, 110, 0, 115, 114, 99, 95, 112, 111, 114, 116, 0, 100, 115, 116, 95,
    112, 111, 114, 116, 0, 100, 115, 116, 95, 109, 97, 99, 0, 112, 97, 121, 108, 111, 97, 100, 95,
    108, 101, 110, 0, 112, 97, 121, 108, 111, 97, 100, 95, 115, 101, 113, 0, 110, 108, 56, 48, 50,
    49, 49, 95, 119, 111, 119, 108, 97, 110, 95, 116, 99, 112, 95, 100, 97, 116, 97, 95, 115, 101,
    113, 0, 100, 97, 116, 97, 95, 105, 110, 116, 101, 114, 118, 97, 108, 0, 119, 97, 107, 101, 95,
    108, 101, 110, 0, 119, 97, 107, 101, 95, 100, 97, 116, 97, 0, 119, 97, 107, 101, 95, 109, 97,
    115, 107, 0, 116, 111, 107, 101, 110, 115, 95, 115, 105, 122, 101, 0, 112, 97, 121, 108, 111,
    97, 100, 95, 116, 111, 107, 0, 116, 111, 107, 101, 110, 95, 115, 116, 114, 101, 97, 109, 0,
    110, 108, 56, 48, 50, 49, 49, 95, 119, 111, 119, 108, 97, 110, 95, 116, 99, 112, 95, 100, 97,
    116, 97, 95, 116, 111, 107, 101, 110, 0, 99, 102, 103, 56, 48, 50, 49, 49, 95, 119, 111, 119,
    108, 97, 110, 95, 116, 99, 112, 0, 110, 100, 95, 99, 111, 110, 102, 105, 103, 0, 115, 115, 105,
    100, 115, 0, 115, 115, 105, 100, 95, 108, 101, 110, 0, 99, 102, 103, 56, 48, 50, 49, 49, 95,
    115, 115, 105, 100, 0, 110, 95, 115, 115, 105, 100, 115, 0, 110, 95, 99, 104, 97, 110, 110,
    101, 108, 115, 0, 115, 99, 97, 110, 95, 119, 105, 100, 116, 104, 0, 78, 76, 56, 48, 50, 49, 49,
    95, 66, 83, 83, 95, 67, 72, 65, 78, 95, 87, 73, 68, 84, 72, 95, 50, 48, 0, 78, 76, 56, 48, 50,
    49, 49, 95, 66, 83, 83, 95, 67, 72, 65, 78, 95, 87, 73, 68, 84, 72, 95, 49, 48, 0, 78, 76, 56,
    48, 50, 49, 49, 95, 66, 83, 83, 95, 67, 72, 65, 78, 95, 87, 73, 68, 84, 72, 95, 53, 0, 78, 76,
    56, 48, 50, 49, 49, 95, 66, 83, 83, 95, 67, 72, 65, 78, 95, 87, 73, 68, 84, 72, 95, 49, 0, 78,
    76, 56, 48, 50, 49, 49, 95, 66, 83, 83, 95, 67, 72, 65, 78, 95, 87, 73, 68, 84, 72, 95, 50, 0,
    110, 108, 56, 48, 50, 49, 49, 95, 98, 115, 115, 95, 115, 99, 97, 110, 95, 119, 105, 100, 116,
    104, 0, 105, 101, 0, 105, 101, 95, 108, 101, 110, 0, 109, 97, 116, 99, 104, 95, 115, 101, 116,
    115, 0, 98, 115, 115, 105, 100, 0, 114, 115, 115, 105, 95, 116, 104, 111, 108, 100, 0, 112,
    101, 114, 95, 98, 97, 110, 100, 95, 114, 115, 115, 105, 95, 116, 104, 111, 108, 100, 0, 99,
    102, 103, 56, 48, 50, 49, 49, 95, 109, 97, 116, 99, 104, 95, 115, 101, 116, 0, 110, 95, 109,
    97, 116, 99, 104, 95, 115, 101, 116, 115, 0, 109, 105, 110, 95, 114, 115, 115, 105, 95, 116,
    104, 111, 108, 100, 0, 100, 101, 108, 97, 121, 0, 115, 99, 97, 110, 95, 112, 108, 97, 110, 115,
    0, 105, 116, 101, 114, 97, 116, 105, 111, 110, 115, 0, 99, 102, 103, 56, 48, 50, 49, 49, 95,
    115, 99, 104, 101, 100, 95, 115, 99, 97, 110, 95, 112, 108, 97, 110, 0, 110, 95, 115, 99, 97,
    110, 95, 112, 108, 97, 110, 115, 0, 109, 97, 99, 95, 97, 100, 100, 114, 0, 109, 97, 99, 95, 97,
    100, 100, 114, 95, 109, 97, 115, 107, 0, 114, 101, 108, 97, 116, 105, 118, 101, 95, 114, 115,
    115, 105, 95, 115, 101, 116, 0, 114, 101, 108, 97, 116, 105, 118, 101, 95, 114, 115, 115, 105,
    0, 114, 115, 115, 105, 95, 97, 100, 106, 117, 115, 116, 0, 98, 97, 110, 100, 0, 78, 76, 56, 48,
    50, 49, 49, 95, 66, 65, 78, 68, 95, 50, 71, 72, 90, 0, 78, 76, 56, 48, 50, 49, 49, 95, 66, 65,
    78, 68, 95, 53, 71, 72, 90, 0, 78, 76, 56, 48, 50, 49, 49, 95, 66, 65, 78, 68, 95, 54, 48, 71,
    72, 90, 0, 78, 76, 56, 48, 50, 49, 49, 95, 66, 65, 78, 68, 95, 54, 71, 72, 90, 0, 78, 76, 56,
    48, 50, 49, 49, 95, 66, 65, 78, 68, 95, 83, 49, 71, 72, 90, 0, 78, 85, 77, 95, 78, 76, 56, 48,
    50, 49, 49, 95, 66, 65, 78, 68, 83, 0, 110, 108, 56, 48, 50, 49, 49, 95, 98, 97, 110, 100, 0,
    100, 101, 108, 116, 97, 0, 99, 102, 103, 56, 48, 50, 49, 49, 95, 98, 115, 115, 95, 115, 101,
    108, 101, 99, 116, 95, 97, 100, 106, 117, 115, 116, 0, 115, 99, 97, 110, 95, 115, 116, 97, 114,
    116, 0, 114, 101, 112, 111, 114, 116, 95, 114, 101, 115, 117, 108, 116, 115, 0, 111, 119, 110,
    101, 114, 95, 110, 108, 112, 111, 114, 116, 105, 100, 0, 110, 108, 95, 111, 119, 110, 101, 114,
    95, 100, 101, 97, 100, 0, 99, 104, 97, 110, 110, 101, 108, 115, 0, 99, 101, 110, 116, 101, 114,
    95, 102, 114, 101, 113, 0, 102, 114, 101, 113, 95, 111, 102, 102, 115, 101, 116, 0, 104, 119,
    95, 118, 97, 108, 117, 101, 0, 109, 97, 120, 95, 97, 110, 116, 101, 110, 110, 97, 95, 103, 97,
    105, 110, 0, 109, 97, 120, 95, 112, 111, 119, 101, 114, 0, 109, 97, 120, 95, 114, 101, 103, 95,
    112, 111, 119, 101, 114, 0, 98, 101, 97, 99, 111, 110, 95, 102, 111, 117, 110, 100, 0, 111,
    114, 105, 103, 95, 102, 108, 97, 103, 115, 0, 111, 114, 105, 103, 95, 109, 97, 103, 0, 111,
    114, 105, 103, 95, 109, 112, 119, 114, 0, 100, 102, 115, 95, 115, 116, 97, 116, 101, 0, 78, 76,
    56, 48, 50, 49, 49, 95, 68, 70, 83, 95, 85, 83, 65, 66, 76, 69, 0, 78, 76, 56, 48, 50, 49, 49,
    95, 68, 70, 83, 95, 85, 78, 65, 86, 65, 73, 76, 65, 66, 76, 69, 0, 78, 76, 56, 48, 50, 49, 49,
    95, 68, 70, 83, 95, 65, 86, 65, 73, 76, 65, 66, 76, 69, 0, 110, 108, 56, 48, 50, 49, 49, 95,
    100, 102, 115, 95, 115, 116, 97, 116, 101, 0, 100, 102, 115, 95, 115, 116, 97, 116, 101, 95,
    101, 110, 116, 101, 114, 101, 100, 0, 100, 102, 115, 95, 99, 97, 99, 95, 109, 115, 0, 105, 101,
    101, 101, 56, 48, 50, 49, 49, 95, 99, 104, 97, 110, 110, 101, 108, 0, 99, 102, 103, 56, 48, 50,
    49, 49, 95, 115, 99, 104, 101, 100, 95, 115, 99, 97, 110, 95, 114, 101, 113, 117, 101, 115,
    116, 0, 99, 102, 103, 56, 48, 50, 49, 49, 95, 119, 111, 119, 108, 97, 110, 0, 109, 97, 120, 95,
    114, 101, 109, 97, 105, 110, 95, 111, 110, 95, 99, 104, 97, 110, 110, 101, 108, 95, 100, 117,
    114, 97, 116, 105, 111, 110, 0, 109, 97, 120, 95, 110, 117, 109, 95, 112, 109, 107, 105, 100,
    115, 0, 97, 118, 97, 105, 108, 97, 98, 108, 101, 95, 97, 110, 116, 101, 110, 110, 97, 115, 95,
    116, 120, 0, 97, 118, 97, 105, 108, 97, 98, 108, 101, 95, 97, 110, 116, 101, 110, 110, 97, 115,
    95, 114, 120, 0, 112, 114, 111, 98, 101, 95, 114, 101, 115, 112, 95, 111, 102, 102, 108, 111,
    97, 100, 0, 101, 120, 116, 101, 110, 100, 101, 100, 95, 99, 97, 112, 97, 98, 105, 108, 105,
    116, 105, 101, 115, 0, 101, 120, 116, 101, 110, 100, 101, 100, 95, 99, 97, 112, 97, 98, 105,
    108, 105, 116, 105, 101, 115, 95, 109, 97, 115, 107, 0, 101, 120, 116, 101, 110, 100, 101, 100,
    95, 99, 97, 112, 97, 98, 105, 108, 105, 116, 105, 101, 115, 95, 108, 101, 110, 0, 105, 102,
    116, 121, 112, 101, 95, 101, 120, 116, 95, 99, 97, 112, 97, 98, 0, 105, 102, 116, 121, 112,
    101, 0, 78, 76, 56, 48, 50, 49, 49, 95, 73, 70, 84, 89, 80, 69, 95, 85, 78, 83, 80, 69, 67, 73,
    70, 73, 69, 68, 0, 78, 76, 56, 48, 50, 49, 49, 95, 73, 70, 84, 89, 80, 69, 95, 65, 68, 72, 79,
    67, 0, 78, 76, 56, 48, 50, 49, 49, 95, 73, 70, 84, 89, 80, 69, 95, 83, 84, 65, 84, 73, 79, 78,
    0, 78, 76, 56, 48, 50, 49, 49, 95, 73, 70, 84, 89, 80, 69, 95, 65, 80, 0, 78, 76, 56, 48, 50,
    49, 49, 95, 73, 70, 84, 89, 80, 69, 95, 65, 80, 95, 86, 76, 65, 78, 0, 78, 76, 56, 48, 50, 49,
    49, 95, 73, 70, 84, 89, 80, 69, 95, 87, 68, 83, 0, 78, 76, 56, 48, 50, 49, 49, 95, 73, 70, 84,
    89, 80, 69, 95, 77, 79, 78, 73, 84, 79, 82, 0, 78, 76, 56, 48, 50, 49, 49, 95, 73, 70, 84, 89,
    80, 69, 95, 77, 69, 83, 72, 95, 80, 79, 73, 78, 84, 0, 78, 76, 56, 48, 50, 49, 49, 95, 73, 70,
    84, 89, 80, 69, 95, 80, 50, 80, 95, 67, 76, 73, 69, 78, 84, 0, 78, 76, 56, 48, 50, 49, 49, 95,
    73, 70, 84, 89, 80, 69, 95, 80, 50, 80, 95, 71, 79, 0, 78, 76, 56, 48, 50, 49, 49, 95, 73, 70,
    84, 89, 80, 69, 95, 80, 50, 80, 95, 68, 69, 86, 73, 67, 69, 0, 78, 76, 56, 48, 50, 49, 49, 95,
    73, 70, 84, 89, 80, 69, 95, 79, 67, 66, 0, 78, 76, 56, 48, 50, 49, 49, 95, 73, 70, 84, 89, 80,
    69, 95, 78, 65, 78, 0, 78, 85, 77, 95, 78, 76, 56, 48, 50, 49, 49, 95, 73, 70, 84, 89, 80, 69,
    83, 0, 78, 76, 56, 48, 50, 49, 49, 95, 73, 70, 84, 89, 80, 69, 95, 77, 65, 88, 0, 110, 108, 56,
    48, 50, 49, 49, 95, 105, 102, 116, 121, 112, 101, 0, 119, 105, 112, 104, 121, 95, 105, 102,
    116, 121, 112, 101, 95, 101, 120, 116, 95, 99, 97, 112, 97, 98, 0, 110, 117, 109, 95, 105, 102,
    116, 121, 112, 101, 95, 101, 120, 116, 95, 99, 97, 112, 97, 98, 0, 112, 114, 105, 118, 105,
    100, 0, 98, 97, 110, 100, 115, 0, 98, 105, 116, 114, 97, 116, 101, 115, 0, 104, 119, 95, 118,
    97, 108, 117, 101, 95, 115, 104, 111, 114, 116, 0, 105, 101, 101, 101, 56, 48, 50, 49, 49, 95,
    114, 97, 116, 101, 0, 110, 95, 98, 105, 116, 114, 97, 116, 101, 115, 0, 104, 116, 95, 99, 97,
    112, 0, 104, 116, 95, 115, 117, 112, 112, 111, 114, 116, 101, 100, 0, 97, 109, 112, 100, 117,
    95, 102, 97, 99, 116, 111, 114, 0, 97, 109, 112, 100, 117, 95, 100, 101, 110, 115, 105, 116,
    121, 0, 109, 99, 115, 0, 114, 120, 95, 109, 97, 115, 107, 0, 114, 120, 95, 104, 105, 103, 104,
    101, 115, 116, 0, 116, 120, 95, 112, 97, 114, 97, 109, 115, 0, 105, 101, 101, 101, 56, 48, 50,
    49, 49, 95, 109, 99, 115, 95, 105, 110, 102, 111, 0, 105, 101, 101, 101, 56, 48, 50, 49, 49,
    95, 115, 116, 97, 95, 104, 116, 95, 99, 97, 112, 0, 118, 104, 116, 95, 99, 97, 112, 0, 118,
    104, 116, 95, 115, 117, 112, 112, 111, 114, 116, 101, 100, 0, 118, 104, 116, 95, 109, 99, 115,
    0, 114, 120, 95, 109, 99, 115, 95, 109, 97, 112, 0, 116, 120, 95, 109, 99, 115, 95, 109, 97,
    112, 0, 116, 120, 95, 104, 105, 103, 104, 101, 115, 116, 0, 105, 101, 101, 101, 56, 48, 50, 49,
    49, 95, 118, 104, 116, 95, 109, 99, 115, 95, 105, 110, 102, 111, 0, 105, 101, 101, 101, 56, 48,
    50, 49, 49, 95, 115, 116, 97, 95, 118, 104, 116, 95, 99, 97, 112, 0, 115, 49, 103, 95, 99, 97,
    112, 0, 115, 49, 103, 0, 110, 115, 115, 95, 109, 99, 115, 0, 105, 101, 101, 101, 56, 48, 50,
    49, 49, 95, 115, 116, 97, 95, 115, 49, 103, 95, 99, 97, 112, 0, 101, 100, 109, 103, 95, 99, 97,
    112, 0, 98, 119, 95, 99, 111, 110, 102, 105, 103, 0, 73, 69, 69, 69, 56, 48, 50, 49, 49, 95,
    69, 68, 77, 71, 95, 66, 87, 95, 67, 79, 78, 70, 73, 71, 95, 52, 0, 73, 69, 69, 69, 56, 48, 50,
    49, 49, 95, 69, 68, 77, 71, 95, 66, 87, 95, 67, 79, 78, 70, 73, 71, 95, 53, 0, 73, 69, 69, 69,
    56, 48, 50, 49, 49, 95, 69, 68, 77, 71, 95, 66, 87, 95, 67, 79, 78, 70, 73, 71, 95, 54, 0, 73,
    69, 69, 69, 56, 48, 50, 49, 49, 95, 69, 68, 77, 71, 95, 66, 87, 95, 67, 79, 78, 70, 73, 71, 95,
    55, 0, 73, 69, 69, 69, 56, 48, 50, 49, 49, 95, 69, 68, 77, 71, 95, 66, 87, 95, 67, 79, 78, 70,
    73, 71, 95, 56, 0, 73, 69, 69, 69, 56, 48, 50, 49, 49, 95, 69, 68, 77, 71, 95, 66, 87, 95, 67,
    79, 78, 70, 73, 71, 95, 57, 0, 73, 69, 69, 69, 56, 48, 50, 49, 49, 95, 69, 68, 77, 71, 95, 66,
    87, 95, 67, 79, 78, 70, 73, 71, 95, 49, 48, 0, 73, 69, 69, 69, 56, 48, 50, 49, 49, 95, 69, 68,
    77, 71, 95, 66, 87, 95, 67, 79, 78, 70, 73, 71, 95, 49, 49, 0, 73, 69, 69, 69, 56, 48, 50, 49,
    49, 95, 69, 68, 77, 71, 95, 66, 87, 95, 67, 79, 78, 70, 73, 71, 95, 49, 50, 0, 73, 69, 69, 69,
    56, 48, 50, 49, 49, 95, 69, 68, 77, 71, 95, 66, 87, 95, 67, 79, 78, 70, 73, 71, 95, 49, 51, 0,
    73, 69, 69, 69, 56, 48, 50, 49, 49, 95, 69, 68, 77, 71, 95, 66, 87, 95, 67, 79, 78, 70, 73, 71,
    95, 49, 52, 0, 73, 69, 69, 69, 56, 48, 50, 49, 49, 95, 69, 68, 77, 71, 95, 66, 87, 95, 67, 79,
    78, 70, 73, 71, 95, 49, 53, 0, 105, 101, 101, 101, 56, 48, 50, 49, 49, 95, 101, 100, 109, 103,
    95, 98, 119, 95, 99, 111, 110, 102, 105, 103, 0, 105, 101, 101, 101, 56, 48, 50, 49, 49, 95,
    101, 100, 109, 103, 0, 110, 95, 105, 102, 116, 121, 112, 101, 95, 100, 97, 116, 97, 0, 105,
    102, 116, 121, 112, 101, 95, 100, 97, 116, 97, 0, 116, 121, 112, 101, 115, 95, 109, 97, 115,
    107, 0, 104, 101, 95, 99, 97, 112, 0, 104, 97, 115, 95, 104, 101, 0, 104, 101, 95, 99, 97, 112,
    95, 101, 108, 101, 109, 0, 109, 97, 99, 95, 99, 97, 112, 95, 105, 110, 102, 111, 0, 112, 104,
    121, 95, 99, 97, 112, 95, 105, 110, 102, 111, 0, 105, 101, 101, 101, 56, 48, 50, 49, 49, 95,
    104, 101, 95, 99, 97, 112, 95, 101, 108, 101, 109, 0, 104, 101, 95, 109, 99, 115, 95, 110, 115,
    115, 95, 115, 117, 112, 112, 0, 114, 120, 95, 109, 99, 115, 95, 56, 48, 0, 116, 120, 95, 109,
    99, 115, 95, 56, 48, 0, 114, 120, 95, 109, 99, 115, 95, 49, 54, 48, 0, 116, 120, 95, 109, 99,
    115, 95, 49, 54, 48, 0, 114, 120, 95, 109, 99, 115, 95, 56, 48, 112, 56, 48, 0, 116, 120, 95,
    109, 99, 115, 95, 56, 48, 112, 56, 48, 0, 105, 101, 101, 101, 56, 48, 50, 49, 49, 95, 104, 101,
    95, 109, 99, 115, 95, 110, 115, 115, 95, 115, 117, 112, 112, 0, 112, 112, 101, 95, 116, 104,
    114, 101, 115, 0, 105, 101, 101, 101, 56, 48, 50, 49, 49, 95, 115, 116, 97, 95, 104, 101, 95,
    99, 97, 112, 0, 104, 101, 95, 54, 103, 104, 122, 95, 99, 97, 112, 97, 0, 99, 97, 112, 97, 0,
    105, 101, 101, 101, 56, 48, 50, 49, 49, 95, 104, 101, 95, 54, 103, 104, 122, 95, 99, 97, 112,
    97, 0, 105, 101, 101, 101, 56, 48, 50, 49, 49, 95, 115, 98, 97, 110, 100, 95, 105, 102, 116,
    121, 112, 101, 95, 100, 97, 116, 97, 0, 105, 101, 101, 101, 56, 48, 50, 49, 49, 95, 115, 117,
    112, 112, 111, 114, 116, 101, 100, 95, 98, 97, 110, 100, 0, 114, 101, 103, 95, 110, 111, 116,
    105, 102, 105, 101, 114, 0, 119, 105, 112, 104, 121, 95, 105, 100, 120, 0, 105, 110, 105, 116,
    105, 97, 116, 111, 114, 0, 78, 76, 56, 48, 50, 49, 49, 95, 82, 69, 71, 68, 79, 77, 95, 83, 69,
    84, 95, 66, 89, 95, 67, 79, 82, 69, 0, 78, 76, 56, 48, 50, 49, 49, 95, 82, 69, 71, 68, 79, 77,
    95, 83, 69, 84, 95, 66, 89, 95, 85, 83, 69, 82, 0, 78, 76, 56, 48, 50, 49, 49, 95, 82, 69, 71,
    68, 79, 77, 95, 83, 69, 84, 95, 66, 89, 95, 68, 82, 73, 86, 69, 82, 0, 78, 76, 56, 48, 50, 49,
    49, 95, 82, 69, 71, 68, 79, 77, 95, 83, 69, 84, 95, 66, 89, 95, 67, 79, 85, 78, 84, 82, 89, 95,
    73, 69, 0, 110, 108, 56, 48, 50, 49, 49, 95, 114, 101, 103, 95, 105, 110, 105, 116, 105, 97,
    116, 111, 114, 0, 117, 115, 101, 114, 95, 114, 101, 103, 95, 104, 105, 110, 116, 95, 116, 121,
    112, 101, 0, 78, 76, 56, 48, 50, 49, 49, 95, 85, 83, 69, 82, 95, 82, 69, 71, 95, 72, 73, 78,
    84, 95, 85, 83, 69, 82, 0, 78, 76, 56, 48, 50, 49, 49, 95, 85, 83, 69, 82, 95, 82, 69, 71, 95,
    72, 73, 78, 84, 95, 67, 69, 76, 76, 95, 66, 65, 83, 69, 0, 78, 76, 56, 48, 50, 49, 49, 95, 85,
    83, 69, 82, 95, 82, 69, 71, 95, 72, 73, 78, 84, 95, 73, 78, 68, 79, 79, 82, 0, 110, 108, 56,
    48, 50, 49, 49, 95, 117, 115, 101, 114, 95, 114, 101, 103, 95, 104, 105, 110, 116, 95, 116,
    121, 112, 101, 0, 97, 108, 112, 104, 97, 50, 0, 100, 102, 115, 95, 114, 101, 103, 105, 111,
    110, 0, 78, 76, 56, 48, 50, 49, 49, 95, 68, 70, 83, 95, 85, 78, 83, 69, 84, 0, 78, 76, 56, 48,
    50, 49, 49, 95, 68, 70, 83, 95, 70, 67, 67, 0, 78, 76, 56, 48, 50, 49, 49, 95, 68, 70, 83, 95,
    69, 84, 83, 73, 0, 78, 76, 56, 48, 50, 49, 49, 95, 68, 70, 83, 95, 74, 80, 0, 110, 108, 56, 48,
    50, 49, 49, 95, 100, 102, 115, 95, 114, 101, 103, 105, 111, 110, 115, 0, 105, 110, 116, 101,
    114, 115, 101, 99, 116, 0, 112, 114, 111, 99, 101, 115, 115, 101, 100, 0, 99, 111, 117, 110,
    116, 114, 121, 95, 105, 101, 95, 101, 110, 118, 0, 69, 78, 86, 73, 82, 79, 78, 95, 65, 78, 89,
    0, 69, 78, 86, 73, 82, 79, 78, 95, 73, 78, 68, 79, 79, 82, 0, 69, 78, 86, 73, 82, 79, 78, 95,
    79, 85, 84, 68, 79, 79, 82, 0, 101, 110, 118, 105, 114, 111, 110, 109, 101, 110, 116, 95, 99,
    97, 112, 0, 114, 101, 103, 117, 108, 97, 116, 111, 114, 121, 95, 114, 101, 113, 117, 101, 115,
    116, 0, 114, 101, 103, 100, 0, 110, 95, 114, 101, 103, 95, 114, 117, 108, 101, 115, 0, 114,
    101, 103, 95, 114, 117, 108, 101, 115, 0, 102, 114, 101, 113, 95, 114, 97, 110, 103, 101, 0,
    115, 116, 97, 114, 116, 95, 102, 114, 101, 113, 95, 107, 104, 122, 0, 101, 110, 100, 95, 102,
    114, 101, 113, 95, 107, 104, 122, 0, 109, 97, 120, 95, 98, 97, 110, 100, 119, 105, 100, 116,
    104, 95, 107, 104, 122, 0, 105, 101, 101, 101, 56, 48, 50, 49, 49, 95, 102, 114, 101, 113, 95,
    114, 97, 110, 103, 101, 0, 112, 111, 119, 101, 114, 95, 114, 117, 108, 101, 0, 109, 97, 120,
    95, 101, 105, 114, 112, 0, 105, 101, 101, 101, 56, 48, 50, 49, 49, 95, 112, 111, 119, 101, 114,
    95, 114, 117, 108, 101, 0, 119, 109, 109, 95, 114, 117, 108, 101, 0, 99, 108, 105, 101, 110,
    116, 0, 99, 119, 95, 109, 105, 110, 0, 99, 119, 95, 109, 97, 120, 0, 99, 111, 116, 0, 97, 105,
    102, 115, 110, 0, 105, 101, 101, 101, 56, 48, 50, 49, 49, 95, 119, 109, 109, 95, 97, 99, 0, 97,
    112, 0, 105, 101, 101, 101, 56, 48, 50, 49, 49, 95, 119, 109, 109, 95, 114, 117, 108, 101, 0,
    104, 97, 115, 95, 119, 109, 109, 0, 105, 101, 101, 101, 56, 48, 50, 49, 49, 95, 114, 101, 103,
    95, 114, 117, 108, 101, 0, 105, 101, 101, 101, 56, 48, 50, 49, 49, 95, 114, 101, 103, 100, 111,
    109, 97, 105, 110, 0, 100, 101, 98, 117, 103, 102, 115, 100, 105, 114, 0, 104, 116, 95, 99, 97,
    112, 97, 95, 109, 111, 100, 95, 109, 97, 115, 107, 0, 99, 97, 112, 95, 105, 110, 102, 111, 0,
    97, 109, 112, 100, 117, 95, 112, 97, 114, 97, 109, 115, 95, 105, 110, 102, 111, 0, 101, 120,
    116, 101, 110, 100, 101, 100, 95, 104, 116, 95, 99, 97, 112, 95, 105, 110, 102, 111, 0, 116,
    120, 95, 66, 70, 95, 99, 97, 112, 95, 105, 110, 102, 111, 0, 95, 95, 108, 101, 51, 50, 0, 97,
    110, 116, 101, 110, 110, 97, 95, 115, 101, 108, 101, 99, 116, 105, 111, 110, 95, 105, 110, 102,
    111, 0, 105, 101, 101, 101, 56, 48, 50, 49, 49, 95, 104, 116, 95, 99, 97, 112, 0, 118, 104,
    116, 95, 99, 97, 112, 97, 95, 109, 111, 100, 95, 109, 97, 115, 107, 0, 118, 104, 116, 95, 99,
    97, 112, 95, 105, 110, 102, 111, 0, 115, 117, 112, 112, 95, 109, 99, 115, 0, 105, 101, 101,
    101, 56, 48, 50, 49, 49, 95, 118, 104, 116, 95, 99, 97, 112, 0, 119, 100, 101, 118, 95, 108,
    105, 115, 116, 0, 119, 101, 120, 116, 0, 99, 111, 97, 108, 101, 115, 99, 101, 0, 110, 95, 114,
    117, 108, 101, 115, 0, 109, 97, 120, 95, 100, 101, 108, 97, 121, 0, 119, 105, 112, 104, 121,
    95, 99, 111, 97, 108, 101, 115, 99, 101, 95, 115, 117, 112, 112, 111, 114, 116, 0, 118, 101,
    110, 100, 111, 114, 95, 99, 111, 109, 109, 97, 110, 100, 115, 0, 118, 101, 110, 100, 111, 114,
    95, 105, 100, 0, 115, 117, 98, 99, 109, 100, 0, 110, 108, 56, 48, 50, 49, 49, 95, 118, 101,
    110, 100, 111, 114, 95, 99, 109, 100, 95, 105, 110, 102, 111, 0, 100, 111, 105, 116, 0, 100,
    117, 109, 112, 105, 116, 0, 109, 97, 120, 97, 116, 116, 114, 0, 119, 105, 112, 104, 121, 95,
    118, 101, 110, 100, 111, 114, 95, 99, 111, 109, 109, 97, 110, 100, 0, 118, 101, 110, 100, 111,
    114, 95, 101, 118, 101, 110, 116, 115, 0, 110, 95, 118, 101, 110, 100, 111, 114, 95, 99, 111,
    109, 109, 97, 110, 100, 115, 0, 110, 95, 118, 101, 110, 100, 111, 114, 95, 101, 118, 101, 110,
    116, 115, 0, 109, 97, 120, 95, 97, 112, 95, 97, 115, 115, 111, 99, 95, 115, 116, 97, 0, 109,
    97, 120, 95, 110, 117, 109, 95, 99, 115, 97, 95, 99, 111, 117, 110, 116, 101, 114, 115, 0, 98,
    115, 115, 95, 115, 101, 108, 101, 99, 116, 95, 115, 117, 112, 112, 111, 114, 116, 0, 110, 97,
    110, 95, 115, 117, 112, 112, 111, 114, 116, 101, 100, 95, 98, 97, 110, 100, 115, 0, 116, 120,
    113, 95, 108, 105, 109, 105, 116, 0, 116, 120, 113, 95, 109, 101, 109, 111, 114, 121, 95, 108,
    105, 109, 105, 116, 0, 116, 120, 113, 95, 113, 117, 97, 110, 116, 117, 109, 0, 116, 120, 95,
    113, 117, 101, 117, 101, 95, 108, 101, 110, 0, 115, 117, 112, 112, 111, 114, 116, 95, 109, 98,
    115, 115, 105, 100, 0, 115, 117, 112, 112, 111, 114, 116, 95, 111, 110, 108, 121, 95, 104, 101,
    95, 109, 98, 115, 115, 105, 100, 0, 112, 109, 115, 114, 95, 99, 97, 112, 97, 0, 109, 97, 120,
    95, 112, 101, 101, 114, 115, 0, 114, 101, 112, 111, 114, 116, 95, 97, 112, 95, 116, 115, 102,
    0, 114, 97, 110, 100, 111, 109, 105, 122, 101, 95, 109, 97, 99, 95, 97, 100, 100, 114, 0, 102,
    116, 109, 0, 112, 114, 101, 97, 109, 98, 108, 101, 115, 0, 98, 97, 110, 100, 119, 105, 100,
    116, 104, 115, 0, 109, 97, 120, 95, 98, 117, 114, 115, 116, 115, 95, 101, 120, 112, 111, 110,
    101, 110, 116, 0, 109, 97, 120, 95, 102, 116, 109, 115, 95, 112, 101, 114, 95, 98, 117, 114,
    115, 116, 0, 97, 115, 97, 112, 0, 110, 111, 110, 95, 97, 115, 97, 112, 0, 114, 101, 113, 117,
    101, 115, 116, 95, 108, 99, 105, 0, 114, 101, 113, 117, 101, 115, 116, 95, 99, 105, 118, 105,
    99, 108, 111, 99, 0, 116, 114, 105, 103, 103, 101, 114, 95, 98, 97, 115, 101, 100, 0, 110, 111,
    110, 95, 116, 114, 105, 103, 103, 101, 114, 95, 98, 97, 115, 101, 100, 0, 99, 102, 103, 56, 48,
    50, 49, 49, 95, 112, 109, 115, 114, 95, 99, 97, 112, 97, 98, 105, 108, 105, 116, 105, 101, 115,
    0, 116, 105, 100, 95, 99, 111, 110, 102, 105, 103, 95, 115, 117, 112, 112, 111, 114, 116, 0,
    112, 101, 101, 114, 0, 109, 97, 120, 95, 114, 101, 116, 114, 121, 0, 109, 97, 120, 95, 100, 97,
    116, 97, 95, 114, 101, 116, 114, 121, 95, 99, 111, 117, 110, 116, 0, 105, 100, 101, 110, 116,
    105, 102, 105, 101, 114, 0, 109, 103, 109, 116, 95, 114, 101, 103, 105, 115, 116, 114, 97, 116,
    105, 111, 110, 115, 0, 109, 103, 109, 116, 95, 114, 101, 103, 105, 115, 116, 114, 97, 116, 105,
    111, 110, 115, 95, 108, 111, 99, 107, 0, 109, 103, 109, 116, 95, 114, 101, 103, 105, 115, 116,
    114, 97, 116, 105, 111, 110, 115, 95, 110, 101, 101, 100, 95, 117, 112, 100, 97, 116, 101, 0,
    109, 116, 120, 0, 117, 115, 101, 95, 52, 97, 100, 100, 114, 0, 105, 115, 95, 114, 117, 110,
    110, 105, 110, 103, 0, 109, 101, 115, 104, 95, 105, 100, 95, 108, 101, 110, 0, 109, 101, 115,
    104, 95, 105, 100, 95, 117, 112, 95, 108, 101, 110, 0, 99, 111, 110, 110, 0, 99, 102, 103, 56,
    48, 50, 49, 49, 95, 99, 111, 110, 110, 0, 99, 111, 110, 110, 101, 99, 116, 95, 107, 101, 121,
    115, 0, 99, 102, 103, 56, 48, 50, 49, 49, 95, 99, 97, 99, 104, 101, 100, 95, 107, 101, 121,
    115, 0, 99, 111, 110, 110, 95, 98, 115, 115, 95, 116, 121, 112, 101, 0, 73, 69, 69, 69, 56, 48,
    50, 49, 49, 95, 66, 83, 83, 95, 84, 89, 80, 69, 95, 69, 83, 83, 0, 73, 69, 69, 69, 56, 48, 50,
    49, 49, 95, 66, 83, 83, 95, 84, 89, 80, 69, 95, 80, 66, 83, 83, 0, 73, 69, 69, 69, 56, 48, 50,
    49, 49, 95, 66, 83, 83, 95, 84, 89, 80, 69, 95, 73, 66, 83, 83, 0, 73, 69, 69, 69, 56, 48, 50,
    49, 49, 95, 66, 83, 83, 95, 84, 89, 80, 69, 95, 77, 66, 83, 83, 0, 73, 69, 69, 69, 56, 48, 50,
    49, 49, 95, 66, 83, 83, 95, 84, 89, 80, 69, 95, 65, 78, 89, 0, 105, 101, 101, 101, 56, 48, 50,
    49, 49, 95, 98, 115, 115, 95, 116, 121, 112, 101, 0, 99, 111, 110, 110, 95, 111, 119, 110, 101,
    114, 95, 110, 108, 112, 111, 114, 116, 105, 100, 0, 100, 105, 115, 99, 111, 110, 110, 101, 99,
    116, 95, 119, 107, 0, 100, 105, 115, 99, 111, 110, 110, 101, 99, 116, 95, 98, 115, 115, 105,
    100, 0, 99, 117, 114, 114, 101, 110, 116, 95, 98, 115, 115, 0, 99, 102, 103, 56, 48, 50, 49,
    49, 95, 105, 110, 116, 101, 114, 110, 97, 108, 95, 98, 115, 115, 0, 112, 114, 101, 115, 101,
    116, 95, 99, 104, 97, 110, 100, 101, 102, 0, 119, 105, 100, 116, 104, 0, 78, 76, 56, 48, 50,
    49, 49, 95, 67, 72, 65, 78, 95, 87, 73, 68, 84, 72, 95, 50, 48, 95, 78, 79, 72, 84, 0, 78, 76,
    56, 48, 50, 49, 49, 95, 67, 72, 65, 78, 95, 87, 73, 68, 84, 72, 95, 50, 48, 0, 78, 76, 56, 48,
    50, 49, 49, 95, 67, 72, 65, 78, 95, 87, 73, 68, 84, 72, 95, 52, 48, 0, 78, 76, 56, 48, 50, 49,
    49, 95, 67, 72, 65, 78, 95, 87, 73, 68, 84, 72, 95, 56, 48, 0, 78, 76, 56, 48, 50, 49, 49, 95,
    67, 72, 65, 78, 95, 87, 73, 68, 84, 72, 95, 56, 48, 80, 56, 48, 0, 78, 76, 56, 48, 50, 49, 49,
    95, 67, 72, 65, 78, 95, 87, 73, 68, 84, 72, 95, 49, 54, 48, 0, 78, 76, 56, 48, 50, 49, 49, 95,
    67, 72, 65, 78, 95, 87, 73, 68, 84, 72, 95, 53, 0, 78, 76, 56, 48, 50, 49, 49, 95, 67, 72, 65,
    78, 95, 87, 73, 68, 84, 72, 95, 49, 48, 0, 78, 76, 56, 48, 50, 49, 49, 95, 67, 72, 65, 78, 95,
    87, 73, 68, 84, 72, 95, 49, 0, 78, 76, 56, 48, 50, 49, 49, 95, 67, 72, 65, 78, 95, 87, 73, 68,
    84, 72, 95, 50, 0, 78, 76, 56, 48, 50, 49, 49, 95, 67, 72, 65, 78, 95, 87, 73, 68, 84, 72, 95,
    52, 0, 78, 76, 56, 48, 50, 49, 49, 95, 67, 72, 65, 78, 95, 87, 73, 68, 84, 72, 95, 56, 0, 78,
    76, 56, 48, 50, 49, 49, 95, 67, 72, 65, 78, 95, 87, 73, 68, 84, 72, 95, 49, 54, 0, 110, 108,
    56, 48, 50, 49, 49, 95, 99, 104, 97, 110, 95, 119, 105, 100, 116, 104, 0, 99, 101, 110, 116,
    101, 114, 95, 102, 114, 101, 113, 49, 0, 99, 101, 110, 116, 101, 114, 95, 102, 114, 101, 113,
    50, 0, 101, 100, 109, 103, 0, 102, 114, 101, 113, 49, 95, 111, 102, 102, 115, 101, 116, 0, 99,
    102, 103, 56, 48, 50, 49, 49, 95, 99, 104, 97, 110, 95, 100, 101, 102, 0, 99, 104, 97, 110,
    100, 101, 102, 0, 105, 98, 115, 115, 95, 102, 105, 120, 101, 100, 0, 105, 98, 115, 115, 95,
    100, 102, 115, 95, 112, 111, 115, 115, 105, 98, 108, 101, 0, 112, 115, 0, 112, 115, 95, 116,
    105, 109, 101, 111, 117, 116, 0, 98, 101, 97, 99, 111, 110, 95, 105, 110, 116, 101, 114, 118,
    97, 108, 0, 97, 112, 95, 117, 110, 101, 120, 112, 101, 99, 116, 101, 100, 95, 110, 108, 112,
    111, 114, 116, 105, 100, 0, 99, 97, 99, 95, 115, 116, 97, 114, 116, 101, 100, 0, 99, 97, 99,
    95, 115, 116, 97, 114, 116, 95, 116, 105, 109, 101, 0, 99, 97, 99, 95, 116, 105, 109, 101, 95,
    109, 115, 0, 105, 98, 115, 115, 0, 98, 97, 115, 105, 99, 95, 114, 97, 116, 101, 115, 0, 99,
    104, 97, 110, 110, 101, 108, 95, 102, 105, 120, 101, 100, 0, 112, 114, 105, 118, 97, 99, 121,
    0, 99, 111, 110, 116, 114, 111, 108, 95, 112, 111, 114, 116, 0, 99, 111, 110, 116, 114, 111,
    108, 95, 112, 111, 114, 116, 95, 111, 118, 101, 114, 95, 110, 108, 56, 48, 50, 49, 49, 0, 117,
    115, 101, 114, 115, 112, 97, 99, 101, 95, 104, 97, 110, 100, 108, 101, 115, 95, 100, 102, 115,
    0, 109, 99, 97, 115, 116, 95, 114, 97, 116, 101, 0, 104, 116, 95, 99, 97, 112, 97, 0, 104, 116,
    95, 99, 97, 112, 97, 95, 109, 97, 115, 107, 0, 119, 101, 112, 95, 107, 101, 121, 115, 0, 115,
    101, 113, 95, 108, 101, 110, 0, 118, 108, 97, 110, 95, 105, 100, 0, 78, 76, 56, 48, 50, 49, 49,
    95, 75, 69, 89, 95, 82, 88, 95, 84, 88, 0, 78, 76, 56, 48, 50, 49, 49, 95, 75, 69, 89, 95, 78,
    79, 95, 84, 88, 0, 78, 76, 56, 48, 50, 49, 49, 95, 75, 69, 89, 95, 83, 69, 84, 95, 84, 88, 0,
    110, 108, 56, 48, 50, 49, 49, 95, 107, 101, 121, 95, 109, 111, 100, 101, 0, 107, 101, 121, 95,
    112, 97, 114, 97, 109, 115, 0, 119, 101, 112, 95, 116, 120, 95, 107, 101, 121, 0, 99, 102, 103,
    56, 48, 50, 49, 49, 95, 105, 98, 115, 115, 95, 112, 97, 114, 97, 109, 115, 0, 99, 104, 97, 110,
    110, 101, 108, 0, 99, 104, 97, 110, 110, 101, 108, 95, 104, 105, 110, 116, 0, 98, 115, 115,
    105, 100, 95, 104, 105, 110, 116, 0, 97, 117, 116, 104, 95, 116, 121, 112, 101, 0, 78, 76, 56,
    48, 50, 49, 49, 95, 65, 85, 84, 72, 84, 89, 80, 69, 95, 79, 80, 69, 78, 95, 83, 89, 83, 84, 69,
    77, 0, 78, 76, 56, 48, 50, 49, 49, 95, 65, 85, 84, 72, 84, 89, 80, 69, 95, 83, 72, 65, 82, 69,
    68, 95, 75, 69, 89, 0, 78, 76, 56, 48, 50, 49, 49, 95, 65, 85, 84, 72, 84, 89, 80, 69, 95, 70,
    84, 0, 78, 76, 56, 48, 50, 49, 49, 95, 65, 85, 84, 72, 84, 89, 80, 69, 95, 78, 69, 84, 87, 79,
    82, 75, 95, 69, 65, 80, 0, 78, 76, 56, 48, 50, 49, 49, 95, 65, 85, 84, 72, 84, 89, 80, 69, 95,
    83, 65, 69, 0, 78, 76, 56, 48, 50, 49, 49, 95, 65, 85, 84, 72, 84, 89, 80, 69, 95, 70, 73, 76,
    83, 95, 83, 75, 0, 78, 76, 56, 48, 50, 49, 49, 95, 65, 85, 84, 72, 84, 89, 80, 69, 95, 70, 73,
    76, 83, 95, 83, 75, 95, 80, 70, 83, 0, 78, 76, 56, 48, 50, 49, 49, 95, 65, 85, 84, 72, 84, 89,
    80, 69, 95, 70, 73, 76, 83, 95, 80, 75, 0, 95, 95, 78, 76, 56, 48, 50, 49, 49, 95, 65, 85, 84,
    72, 84, 89, 80, 69, 95, 78, 85, 77, 0, 78, 76, 56, 48, 50, 49, 49, 95, 65, 85, 84, 72, 84, 89,
    80, 69, 95, 77, 65, 88, 0, 78, 76, 56, 48, 50, 49, 49, 95, 65, 85, 84, 72, 84, 89, 80, 69, 95,
    65, 85, 84, 79, 77, 65, 84, 73, 67, 0, 110, 108, 56, 48, 50, 49, 49, 95, 97, 117, 116, 104, 95,
    116, 121, 112, 101, 0, 109, 102, 112, 0, 78, 76, 56, 48, 50, 49, 49, 95, 77, 70, 80, 95, 78,
    79, 0, 78, 76, 56, 48, 50, 49, 49, 95, 77, 70, 80, 95, 82, 69, 81, 85, 73, 82, 69, 68, 0, 78,
    76, 56, 48, 50, 49, 49, 95, 77, 70, 80, 95, 79, 80, 84, 73, 79, 78, 65, 76, 0, 110, 108, 56,
    48, 50, 49, 49, 95, 109, 102, 112, 0, 99, 114, 121, 112, 116, 111, 0, 119, 112, 97, 95, 118,
    101, 114, 115, 105, 111, 110, 115, 0, 99, 105, 112, 104, 101, 114, 95, 103, 114, 111, 117, 112,
    0, 110, 95, 99, 105, 112, 104, 101, 114, 115, 95, 112, 97, 105, 114, 119, 105, 115, 101, 0, 99,
    105, 112, 104, 101, 114, 115, 95, 112, 97, 105, 114, 119, 105, 115, 101, 0, 99, 111, 110, 116,
    114, 111, 108, 95, 112, 111, 114, 116, 95, 101, 116, 104, 101, 114, 116, 121, 112, 101, 0, 99,
    111, 110, 116, 114, 111, 108, 95, 112, 111, 114, 116, 95, 110, 111, 95, 101, 110, 99, 114, 121,
    112, 116, 0, 99, 111, 110, 116, 114, 111, 108, 95, 112, 111, 114, 116, 95, 110, 111, 95, 112,
    114, 101, 97, 117, 116, 104, 0, 112, 115, 107, 0, 115, 97, 101, 95, 112, 119, 100, 0, 115, 97,
    101, 95, 112, 119, 100, 95, 108, 101, 110, 0, 99, 102, 103, 56, 48, 50, 49, 49, 95, 99, 114,
    121, 112, 116, 111, 95, 115, 101, 116, 116, 105, 110, 103, 115, 0, 107, 101, 121, 95, 105, 100,
    120, 0, 98, 103, 95, 115, 99, 97, 110, 95, 112, 101, 114, 105, 111, 100, 0, 118, 104, 116, 95,
    99, 97, 112, 97, 0, 118, 104, 116, 95, 99, 97, 112, 97, 95, 109, 97, 115, 107, 0, 112, 98, 115,
    115, 0, 98, 115, 115, 95, 115, 101, 108, 101, 99, 116, 0, 98, 101, 104, 97, 118, 105, 111, 117,
    114, 0, 95, 95, 78, 76, 56, 48, 50, 49, 49, 95, 66, 83, 83, 95, 83, 69, 76, 69, 67, 84, 95, 65,
    84, 84, 82, 95, 73, 78, 86, 65, 76, 73, 68, 0, 78, 76, 56, 48, 50, 49, 49, 95, 66, 83, 83, 95,
    83, 69, 76, 69, 67, 84, 95, 65, 84, 84, 82, 95, 82, 83, 83, 73, 0, 78, 76, 56, 48, 50, 49, 49,
    95, 66, 83, 83, 95, 83, 69, 76, 69, 67, 84, 95, 65, 84, 84, 82, 95, 66, 65, 78, 68, 95, 80, 82,
    69, 70, 0, 78, 76, 56, 48, 50, 49, 49, 95, 66, 83, 83, 95, 83, 69, 76, 69, 67, 84, 95, 65, 84,
    84, 82, 95, 82, 83, 83, 73, 95, 65, 68, 74, 85, 83, 84, 0, 95, 95, 78, 76, 56, 48, 50, 49, 49,
    95, 66, 83, 83, 95, 83, 69, 76, 69, 67, 84, 95, 65, 84, 84, 82, 95, 65, 70, 84, 69, 82, 95, 76,
    65, 83, 84, 0, 78, 76, 56, 48, 50, 49, 49, 95, 66, 83, 83, 95, 83, 69, 76, 69, 67, 84, 95, 65,
    84, 84, 82, 95, 77, 65, 88, 0, 110, 108, 56, 48, 50, 49, 49, 95, 98, 115, 115, 95, 115, 101,
    108, 101, 99, 116, 95, 97, 116, 116, 114, 0, 98, 97, 110, 100, 95, 112, 114, 101, 102, 0, 97,
    100, 106, 117, 115, 116, 0, 99, 102, 103, 56, 48, 50, 49, 49, 95, 98, 115, 115, 95, 115, 101,
    108, 101, 99, 116, 105, 111, 110, 0, 112, 114, 101, 118, 95, 98, 115, 115, 105, 100, 0, 102,
    105, 108, 115, 95, 101, 114, 112, 95, 117, 115, 101, 114, 110, 97, 109, 101, 0, 102, 105, 108,
    115, 95, 101, 114, 112, 95, 117, 115, 101, 114, 110, 97, 109, 101, 95, 108, 101, 110, 0, 102,
    105, 108, 115, 95, 101, 114, 112, 95, 114, 101, 97, 108, 109, 0, 102, 105, 108, 115, 95, 101,
    114, 112, 95, 114, 101, 97, 108, 109, 95, 108, 101, 110, 0, 102, 105, 108, 115, 95, 101, 114,
    112, 95, 110, 101, 120, 116, 95, 115, 101, 113, 95, 110, 117, 109, 0, 102, 105, 108, 115, 95,
    101, 114, 112, 95, 114, 114, 107, 0, 102, 105, 108, 115, 95, 101, 114, 112, 95, 114, 114, 107,
    95, 108, 101, 110, 0, 119, 97, 110, 116, 95, 49, 120, 0, 99, 102, 103, 56, 48, 50, 49, 49, 95,
    99, 111, 110, 110, 101, 99, 116, 95, 112, 97, 114, 97, 109, 115, 0, 100, 101, 102, 97, 117,
    108, 116, 95, 107, 101, 121, 0, 100, 101, 102, 97, 117, 108, 116, 95, 109, 103, 109, 116, 95,
    107, 101, 121, 0, 112, 114, 101, 118, 95, 98, 115, 115, 105, 100, 95, 118, 97, 108, 105, 100,
    0, 99, 113, 109, 95, 99, 111, 110, 102, 105, 103, 0, 99, 102, 103, 56, 48, 50, 49, 49, 95, 99,
    113, 109, 95, 99, 111, 110, 102, 105, 103, 0, 112, 109, 115, 114, 95, 108, 105, 115, 116, 0,
    112, 109, 115, 114, 95, 108, 111, 99, 107, 0, 112, 109, 115, 114, 95, 102, 114, 101, 101, 95,
    119, 107, 0, 117, 110, 112, 114, 111, 116, 95, 98, 101, 97, 99, 111, 110, 95, 114, 101, 112,
    111, 114, 116, 101, 100, 0, 119, 105, 114, 101, 108, 101, 115, 115, 95, 100, 101, 118, 0, 105,
    101, 101, 101, 56, 48, 50, 49, 53, 52, 95, 112, 116, 114, 0, 119, 112, 97, 110, 95, 112, 104,
    121, 0, 99, 117, 114, 114, 101, 110, 116, 95, 99, 104, 97, 110, 110, 101, 108, 0, 99, 117, 114,
    114, 101, 110, 116, 95, 112, 97, 103, 101, 0, 99, 99, 97, 95, 109, 111, 100, 101, 115, 0, 99,
    99, 97, 95, 111, 112, 116, 115, 0, 105, 102, 116, 121, 112, 101, 115, 0, 108, 98, 116, 0, 78,
    76, 56, 48, 50, 49, 53, 52, 95, 83, 85, 80, 80, 79, 82, 84, 69, 68, 95, 66, 79, 79, 76, 95, 70,
    65, 76, 83, 69, 0, 78, 76, 56, 48, 50, 49, 53, 52, 95, 83, 85, 80, 80, 79, 82, 84, 69, 68, 95,
    66, 79, 79, 76, 95, 84, 82, 85, 69, 0, 95, 95, 78, 76, 56, 48, 50, 49, 53, 52, 95, 83, 85, 80,
    80, 79, 82, 84, 69, 68, 95, 66, 79, 79, 76, 95, 73, 78, 86, 65, 76, 68, 0, 78, 76, 56, 48, 50,
    49, 53, 52, 95, 83, 85, 80, 80, 79, 82, 84, 69, 68, 95, 66, 79, 79, 76, 95, 66, 79, 84, 72, 0,
    95, 95, 78, 76, 56, 48, 50, 49, 53, 52, 95, 83, 85, 80, 80, 79, 82, 84, 69, 68, 95, 66, 79, 79,
    76, 95, 65, 70, 84, 69, 82, 95, 76, 65, 83, 84, 0, 78, 76, 56, 48, 50, 49, 53, 52, 95, 83, 85,
    80, 80, 79, 82, 84, 69, 68, 95, 66, 79, 79, 76, 95, 77, 65, 88, 0, 110, 108, 56, 48, 50, 49,
    53, 52, 95, 115, 117, 112, 112, 111, 114, 116, 101, 100, 95, 98, 111, 111, 108, 95, 115, 116,
    97, 116, 101, 115, 0, 109, 105, 110, 95, 109, 105, 110, 98, 101, 0, 109, 97, 120, 95, 109, 105,
    110, 98, 101, 0, 109, 105, 110, 95, 109, 97, 120, 98, 101, 0, 109, 97, 120, 95, 109, 97, 120,
    98, 101, 0, 109, 105, 110, 95, 99, 115, 109, 97, 95, 98, 97, 99, 107, 111, 102, 102, 115, 0,
    109, 97, 120, 95, 99, 115, 109, 97, 95, 98, 97, 99, 107, 111, 102, 102, 115, 0, 109, 105, 110,
    95, 102, 114, 97, 109, 101, 95, 114, 101, 116, 114, 105, 101, 115, 0, 109, 97, 120, 95, 102,
    114, 97, 109, 101, 95, 114, 101, 116, 114, 105, 101, 115, 0, 116, 120, 95, 112, 111, 119, 101,
    114, 115, 95, 115, 105, 122, 101, 0, 99, 99, 97, 95, 101, 100, 95, 108, 101, 118, 101, 108,
    115, 95, 115, 105, 122, 101, 0, 116, 120, 95, 112, 111, 119, 101, 114, 115, 0, 99, 99, 97, 95,
    101, 100, 95, 108, 101, 118, 101, 108, 115, 0, 119, 112, 97, 110, 95, 112, 104, 121, 95, 115,
    117, 112, 112, 111, 114, 116, 101, 100, 0, 116, 114, 97, 110, 115, 109, 105, 116, 95, 112, 111,
    119, 101, 114, 0, 99, 99, 97, 0, 95, 95, 78, 76, 56, 48, 50, 49, 53, 52, 95, 67, 67, 65, 95,
    73, 78, 86, 65, 76, 73, 68, 0, 78, 76, 56, 48, 50, 49, 53, 52, 95, 67, 67, 65, 95, 69, 78, 69,
    82, 71, 89, 0, 78, 76, 56, 48, 50, 49, 53, 52, 95, 67, 67, 65, 95, 67, 65, 82, 82, 73, 69, 82,
    0, 78, 76, 56, 48, 50, 49, 53, 52, 95, 67, 67, 65, 95, 69, 78, 69, 82, 71, 89, 95, 67, 65, 82,
    82, 73, 69, 82, 0, 78, 76, 56, 48, 50, 49, 53, 52, 95, 67, 67, 65, 95, 65, 76, 79, 72, 65, 0,
    78, 76, 56, 48, 50, 49, 53, 52, 95, 67, 67, 65, 95, 85, 87, 66, 95, 83, 72, 82, 0, 78, 76, 56,
    48, 50, 49, 53, 52, 95, 67, 67, 65, 95, 85, 87, 66, 95, 77, 85, 76, 84, 73, 80, 76, 69, 88, 69,
    68, 0, 95, 95, 78, 76, 56, 48, 50, 49, 53, 52, 95, 67, 67, 65, 95, 65, 84, 84, 82, 95, 65, 70,
    84, 69, 82, 95, 76, 65, 83, 84, 0, 78, 76, 56, 48, 50, 49, 53, 52, 95, 67, 67, 65, 95, 65, 84,
    84, 82, 95, 77, 65, 88, 0, 110, 108, 56, 48, 50, 49, 53, 52, 95, 99, 99, 97, 95, 109, 111, 100,
    101, 115, 0, 78, 76, 56, 48, 50, 49, 53, 52, 95, 67, 67, 65, 95, 79, 80, 84, 95, 69, 78, 69,
    82, 71, 89, 95, 67, 65, 82, 82, 73, 69, 82, 95, 65, 78, 68, 0, 78, 76, 56, 48, 50, 49, 53, 52,
    95, 67, 67, 65, 95, 79, 80, 84, 95, 69, 78, 69, 82, 71, 89, 95, 67, 65, 82, 82, 73, 69, 82, 95,
    79, 82, 0, 95, 95, 78, 76, 56, 48, 50, 49, 53, 52, 95, 67, 67, 65, 95, 79, 80, 84, 95, 65, 84,
    84, 82, 95, 65, 70, 84, 69, 82, 95, 76, 65, 83, 84, 0, 78, 76, 56, 48, 50, 49, 53, 52, 95, 67,
    67, 65, 95, 79, 80, 84, 95, 65, 84, 84, 82, 95, 77, 65, 88, 0, 110, 108, 56, 48, 50, 49, 53,
    52, 95, 99, 99, 97, 95, 111, 112, 116, 115, 0, 119, 112, 97, 110, 95, 112, 104, 121, 95, 99,
    99, 97, 0, 112, 101, 114, 109, 95, 101, 120, 116, 101, 110, 100, 101, 100, 95, 97, 100, 100,
    114, 0, 95, 95, 108, 101, 54, 52, 0, 99, 99, 97, 95, 101, 100, 95, 108, 101, 118, 101, 108, 0,
    115, 121, 109, 98, 111, 108, 95, 100, 117, 114, 97, 116, 105, 111, 110, 0, 108, 105, 102, 115,
    95, 112, 101, 114, 105, 111, 100, 0, 115, 105, 102, 115, 95, 112, 101, 114, 105, 111, 100, 0,
    112, 97, 110, 95, 105, 100, 0, 115, 104, 111, 114, 116, 95, 97, 100, 100, 114, 0, 101, 120,
    116, 101, 110, 100, 101, 100, 95, 97, 100, 100, 114, 0, 105, 101, 101, 101, 56, 48, 50, 49, 53,
    52, 95, 97, 100, 100, 114, 0, 119, 112, 97, 110, 95, 100, 101, 118, 95, 104, 101, 97, 100, 101,
    114, 95, 111, 112, 115, 0, 108, 111, 119, 112, 97, 110, 95, 100, 101, 118, 0, 98, 115, 110, 0,
    100, 115, 110, 0, 109, 105, 110, 95, 98, 101, 0, 109, 97, 120, 95, 98, 101, 0, 99, 115, 109,
    97, 95, 114, 101, 116, 114, 105, 101, 115, 0, 102, 114, 97, 109, 101, 95, 114, 101, 116, 114,
    105, 101, 115, 0, 112, 114, 111, 109, 105, 115, 99, 117, 111, 117, 115, 95, 109, 111, 100, 101,
    0, 97, 99, 107, 114, 101, 113, 0, 119, 112, 97, 110, 95, 100, 101, 118, 0, 109, 112, 108, 115,
    95, 112, 116, 114, 0, 109, 112, 108, 115, 95, 100, 101, 118, 0, 100, 101, 118, 95, 97, 100,
    100, 114, 0, 95, 114, 120, 0, 114, 112, 115, 95, 109, 97, 112, 0, 114, 112, 115, 95, 102, 108,
    111, 119, 95, 116, 97, 98, 108, 101, 0, 102, 108, 111, 119, 115, 0, 108, 97, 115, 116, 95, 113,
    116, 97, 105, 108, 0, 114, 112, 115, 95, 100, 101, 118, 95, 102, 108, 111, 119, 0, 114, 112,
    115, 95, 100, 101, 118, 95, 102, 108, 111, 119, 95, 116, 97, 98, 108, 101, 0, 120, 100, 112,
    95, 114, 120, 113, 0, 110, 101, 116, 100, 101, 118, 95, 114, 120, 95, 113, 117, 101, 117, 101,
    0, 110, 117, 109, 95, 114, 120, 95, 113, 117, 101, 117, 101, 115, 0, 114, 101, 97, 108, 95,
    110, 117, 109, 95, 114, 120, 95, 113, 117, 101, 117, 101, 115, 0, 120, 100, 112, 95, 112, 114,
    111, 103, 0, 103, 114, 111, 95, 102, 108, 117, 115, 104, 95, 116, 105, 109, 101, 111, 117, 116,
    0, 110, 97, 112, 105, 95, 100, 101, 102, 101, 114, 95, 104, 97, 114, 100, 95, 105, 114, 113,
    115, 0, 114, 120, 95, 104, 97, 110, 100, 108, 101, 114, 0, 82, 88, 95, 72, 65, 78, 68, 76, 69,
    82, 95, 67, 79, 78, 83, 85, 77, 69, 68, 0, 82, 88, 95, 72, 65, 78, 68, 76, 69, 82, 95, 65, 78,
    79, 84, 72, 69, 82, 0, 82, 88, 95, 72, 65, 78, 68, 76, 69, 82, 95, 69, 88, 65, 67, 84, 0, 82,
    88, 95, 72, 65, 78, 68, 76, 69, 82, 95, 80, 65, 83, 83, 0, 114, 120, 95, 104, 97, 110, 100,
    108, 101, 114, 95, 114, 101, 115, 117, 108, 116, 0, 114, 120, 95, 104, 97, 110, 100, 108, 101,
    114, 95, 114, 101, 115, 117, 108, 116, 95, 116, 0, 114, 120, 95, 104, 97, 110, 100, 108, 101,
    114, 95, 102, 117, 110, 99, 95, 116, 0, 114, 120, 95, 104, 97, 110, 100, 108, 101, 114, 95,
    100, 97, 116, 97, 0, 109, 105, 110, 105, 113, 95, 105, 110, 103, 114, 101, 115, 115, 0, 102,
    105, 108, 116, 101, 114, 95, 108, 105, 115, 116, 0, 99, 108, 97, 115, 115, 105, 102, 121, 0,
    103, 111, 116, 111, 95, 116, 112, 0, 105, 110, 103, 114, 101, 115, 115, 0, 113, 115, 116, 97,
    116, 115, 0, 98, 97, 99, 107, 108, 111, 103, 0, 100, 114, 111, 112, 115, 0, 114, 101, 113, 117,
    101, 117, 101, 115, 0, 111, 118, 101, 114, 108, 105, 109, 105, 116, 115, 0, 103, 110, 101, 116,
    95, 115, 116, 97, 116, 115, 95, 113, 117, 101, 117, 101, 0, 116, 99, 102, 95, 114, 101, 115,
    117, 108, 116, 0, 107, 105, 110, 100, 0, 99, 104, 97, 110, 103, 101, 0, 100, 101, 108, 101,
    116, 101, 95, 101, 109, 112, 116, 121, 0, 110, 111, 110, 101, 109, 112, 116, 121, 0, 116, 99,
    102, 95, 119, 97, 108, 107, 101, 114, 0, 114, 101, 111, 102, 102, 108, 111, 97, 100, 0, 102,
    108, 111, 119, 95, 115, 101, 116, 117, 112, 95, 99, 98, 95, 116, 0, 104, 119, 95, 97, 100, 100,
    0, 104, 119, 95, 100, 101, 108, 0, 98, 105, 110, 100, 95, 99, 108, 97, 115, 115, 0, 116, 109,
    112, 108, 116, 95, 99, 114, 101, 97, 116, 101, 0, 102, 105, 108, 116, 101, 114, 95, 99, 104,
    97, 105, 110, 95, 108, 111, 99, 107, 0, 102, 105, 108, 116, 101, 114, 95, 99, 104, 97, 105,
    110, 0, 99, 104, 97, 105, 110, 95, 108, 105, 115, 116, 0, 101, 110, 113, 117, 101, 117, 101, 0,
    100, 101, 113, 117, 101, 117, 101, 0, 99, 108, 95, 111, 112, 115, 0, 115, 101, 108, 101, 99,
    116, 95, 113, 117, 101, 117, 101, 0, 113, 100, 105, 115, 99, 0, 113, 100, 105, 115, 99, 95,
    115, 108, 101, 101, 112, 105, 110, 103, 0, 116, 120, 95, 109, 97, 120, 114, 97, 116, 101, 0,
    116, 114, 97, 110, 115, 95, 116, 105, 109, 101, 111, 117, 116, 0, 115, 98, 95, 100, 101, 118,
    0, 95, 120, 109, 105, 116, 95, 108, 111, 99, 107, 0, 120, 109, 105, 116, 95, 108, 111, 99, 107,
    95, 111, 119, 110, 101, 114, 0, 116, 114, 97, 110, 115, 95, 115, 116, 97, 114, 116, 0, 100,
    113, 108, 0, 110, 117, 109, 95, 113, 117, 101, 117, 101, 100, 0, 97, 100, 106, 95, 108, 105,
    109, 105, 116, 0, 108, 97, 115, 116, 95, 111, 98, 106, 95, 99, 110, 116, 0, 110, 117, 109, 95,
    99, 111, 109, 112, 108, 101, 116, 101, 100, 0, 112, 114, 101, 118, 95, 111, 118, 108, 105, 109,
    105, 116, 0, 112, 114, 101, 118, 95, 110, 117, 109, 95, 113, 117, 101, 117, 101, 100, 0, 112,
    114, 101, 118, 95, 108, 97, 115, 116, 95, 111, 98, 106, 95, 99, 110, 116, 0, 108, 111, 119,
    101, 115, 116, 95, 115, 108, 97, 99, 107, 0, 115, 108, 97, 99, 107, 95, 115, 116, 97, 114, 116,
    95, 116, 105, 109, 101, 0, 109, 97, 120, 95, 108, 105, 109, 105, 116, 0, 109, 105, 110, 95,
    108, 105, 109, 105, 116, 0, 115, 108, 97, 99, 107, 95, 104, 111, 108, 100, 95, 116, 105, 109,
    101, 0, 110, 101, 116, 100, 101, 118, 95, 113, 117, 101, 117, 101, 0, 116, 99, 109, 95, 102,
    97, 109, 105, 108, 121, 0, 116, 99, 109, 95, 95, 112, 97, 100, 49, 0, 116, 99, 109, 95, 95,
    112, 97, 100, 50, 0, 116, 99, 109, 95, 105, 102, 105, 110, 100, 101, 120, 0, 116, 99, 109, 95,
    104, 97, 110, 100, 108, 101, 0, 116, 99, 109, 95, 112, 97, 114, 101, 110, 116, 0, 116, 99, 109,
    95, 105, 110, 102, 111, 0, 116, 99, 109, 115, 103, 0, 103, 114, 97, 102, 116, 0, 113, 108, 101,
    110, 95, 110, 111, 116, 105, 102, 121, 0, 102, 105, 110, 100, 0, 113, 100, 105, 115, 99, 95,
    119, 97, 108, 107, 101, 114, 0, 116, 99, 102, 95, 98, 108, 111, 99, 107, 0, 98, 105, 110, 100,
    95, 116, 99, 102, 0, 117, 110, 98, 105, 110, 100, 95, 116, 99, 102, 0, 100, 117, 109, 112, 95,
    115, 116, 97, 116, 115, 0, 99, 111, 109, 112, 97, 116, 95, 116, 99, 95, 115, 116, 97, 116, 115,
    0, 99, 111, 109, 112, 97, 116, 95, 120, 115, 116, 97, 116, 115, 0, 112, 97, 100, 97, 116, 116,
    114, 0, 120, 115, 116, 97, 116, 115, 0, 120, 115, 116, 97, 116, 115, 95, 108, 101, 110, 0, 116,
    99, 95, 115, 116, 97, 116, 115, 0, 98, 112, 115, 0, 112, 112, 115, 0, 103, 110, 101, 116, 95,
    100, 117, 109, 112, 0, 81, 100, 105, 115, 99, 95, 99, 108, 97, 115, 115, 95, 111, 112, 115, 0,
    112, 114, 105, 118, 95, 115, 105, 122, 101, 0, 115, 116, 97, 116, 105, 99, 95, 102, 108, 97,
    103, 115, 0, 112, 101, 101, 107, 0, 99, 104, 97, 110, 103, 101, 95, 116, 120, 95, 113, 117,
    101, 117, 101, 95, 108, 101, 110, 0, 105, 110, 103, 114, 101, 115, 115, 95, 98, 108, 111, 99,
    107, 95, 115, 101, 116, 0, 101, 103, 114, 101, 115, 115, 95, 98, 108, 111, 99, 107, 95, 115,
    101, 116, 0, 105, 110, 103, 114, 101, 115, 115, 95, 98, 108, 111, 99, 107, 95, 103, 101, 116,
    0, 101, 103, 114, 101, 115, 115, 95, 98, 108, 111, 99, 107, 95, 103, 101, 116, 0, 81, 100, 105,
    115, 99, 95, 111, 112, 115, 0, 115, 116, 97, 98, 0, 115, 122, 111, 112, 116, 115, 0, 99, 101,
    108, 108, 95, 108, 111, 103, 0, 115, 105, 122, 101, 95, 108, 111, 103, 0, 99, 101, 108, 108,
    95, 97, 108, 105, 103, 110, 0, 111, 118, 101, 114, 104, 101, 97, 100, 0, 108, 105, 110, 107,
    108, 97, 121, 101, 114, 0, 109, 112, 117, 0, 116, 115, 105, 122, 101, 0, 116, 99, 95, 115, 105,
    122, 101, 115, 112, 101, 99, 0, 113, 100, 105, 115, 99, 95, 115, 105, 122, 101, 95, 116, 97,
    98, 108, 101, 0, 100, 101, 118, 95, 113, 117, 101, 117, 101, 0, 114, 97, 116, 101, 95, 101,
    115, 116, 0, 110, 101, 116, 95, 114, 97, 116, 101, 95, 101, 115, 116, 105, 109, 97, 116, 111,
    114, 0, 99, 112, 117, 95, 98, 115, 116, 97, 116, 115, 0, 98, 115, 116, 97, 116, 115, 0, 103,
    110, 101, 116, 95, 115, 116, 97, 116, 115, 95, 98, 97, 115, 105, 99, 95, 112, 97, 99, 107, 101,
    100, 0, 103, 110, 101, 116, 95, 115, 116, 97, 116, 115, 95, 98, 97, 115, 105, 99, 95, 99, 112,
    117, 0, 99, 112, 117, 95, 113, 115, 116, 97, 116, 115, 0, 103, 115, 111, 95, 115, 107, 98, 0,
    113, 100, 105, 115, 99, 95, 115, 107, 98, 95, 104, 101, 97, 100, 0, 110, 101, 120, 116, 95,
    115, 99, 104, 101, 100, 0, 115, 107, 98, 95, 98, 97, 100, 95, 116, 120, 113, 0, 98, 117, 115,
    121, 108, 111, 99, 107, 0, 115, 101, 113, 108, 111, 99, 107, 0, 101, 109, 112, 116, 121, 0, 81,
    100, 105, 115, 99, 0, 99, 98, 95, 108, 111, 99, 107, 0, 102, 108, 111, 119, 95, 98, 108, 111,
    99, 107, 0, 111, 119, 110, 101, 114, 95, 108, 105, 115, 116, 0, 107, 101, 101, 112, 95, 100,
    115, 116, 0, 111, 102, 102, 108, 111, 97, 100, 99, 110, 116, 0, 110, 111, 111, 102, 102, 108,
    111, 97, 100, 100, 101, 118, 99, 110, 116, 0, 108, 111, 99, 107, 101, 100, 100, 101, 118, 99,
    110, 116, 0, 99, 104, 97, 105, 110, 48, 0, 102, 105, 108, 116, 101, 114, 95, 99, 104, 97, 105,
    110, 95, 108, 105, 115, 116, 0, 112, 114, 111, 116, 111, 95, 100, 101, 115, 116, 114, 111, 121,
    95, 104, 116, 0, 112, 114, 111, 116, 111, 95, 100, 101, 115, 116, 114, 111, 121, 95, 108, 111,
    99, 107, 0, 97, 99, 116, 105, 111, 110, 95, 114, 101, 102, 99, 110, 116, 0, 101, 120, 112, 108,
    105, 99, 105, 116, 108, 121, 95, 99, 114, 101, 97, 116, 101, 100, 0, 102, 108, 117, 115, 104,
    105, 110, 103, 0, 116, 109, 112, 108, 116, 95, 111, 112, 115, 0, 116, 109, 112, 108, 116, 95,
    112, 114, 105, 118, 0, 116, 99, 102, 95, 99, 104, 97, 105, 110, 0, 116, 109, 112, 108, 116, 95,
    100, 101, 115, 116, 114, 111, 121, 0, 116, 101, 114, 115, 101, 95, 100, 117, 109, 112, 0, 116,
    109, 112, 108, 116, 95, 100, 117, 109, 112, 0, 116, 99, 102, 95, 112, 114, 111, 116, 111, 95,
    111, 112, 115, 0, 100, 101, 108, 101, 116, 105, 110, 103, 0, 100, 101, 115, 116, 114, 111, 121,
    95, 104, 116, 95, 110, 111, 100, 101, 0, 116, 99, 102, 95, 112, 114, 111, 116, 111, 0, 109,
    105, 110, 105, 95, 81, 100, 105, 115, 99, 0, 105, 110, 103, 114, 101, 115, 115, 95, 113, 117,
    101, 117, 101, 0, 110, 102, 95, 104, 111, 111, 107, 115, 95, 105, 110, 103, 114, 101, 115, 115,
    0, 114, 120, 95, 99, 112, 117, 95, 114, 109, 97, 112, 0, 110, 101, 97, 114, 0, 100, 105, 115,
    116, 0, 99, 112, 117, 95, 114, 109, 97, 112, 0, 105, 110, 100, 101, 120, 95, 104, 108, 105,
    115, 116, 0, 95, 116, 120, 0, 110, 117, 109, 95, 116, 120, 95, 113, 117, 101, 117, 101, 115, 0,
    114, 101, 97, 108, 95, 110, 117, 109, 95, 116, 120, 95, 113, 117, 101, 117, 101, 115, 0, 116,
    120, 95, 103, 108, 111, 98, 97, 108, 95, 108, 111, 99, 107, 0, 120, 100, 112, 95, 98, 117, 108,
    107, 113, 0, 102, 108, 117, 115, 104, 95, 110, 111, 100, 101, 0, 120, 100, 112, 95, 100, 101,
    118, 95, 98, 117, 108, 107, 95, 113, 117, 101, 117, 101, 0, 120, 112, 115, 95, 99, 112, 117,
    115, 95, 109, 97, 112, 0, 97, 116, 116, 114, 95, 109, 97, 112, 0, 97, 108, 108, 111, 99, 95,
    108, 101, 110, 0, 113, 117, 101, 117, 101, 115, 0, 120, 112, 115, 95, 109, 97, 112, 0, 120,
    112, 115, 95, 100, 101, 118, 95, 109, 97, 112, 115, 0, 120, 112, 115, 95, 114, 120, 113, 115,
    95, 109, 97, 112, 0, 109, 105, 110, 105, 113, 95, 101, 103, 114, 101, 115, 115, 0, 113, 100,
    105, 115, 99, 95, 104, 97, 115, 104, 0, 119, 97, 116, 99, 104, 100, 111, 103, 95, 116, 105,
    109, 101, 114, 0, 119, 97, 116, 99, 104, 100, 111, 103, 95, 116, 105, 109, 101, 111, 0, 112,
    114, 111, 116, 111, 95, 100, 111, 119, 110, 95, 114, 101, 97, 115, 111, 110, 0, 116, 111, 100,
    111, 95, 108, 105, 115, 116, 0, 112, 99, 112, 117, 95, 114, 101, 102, 99, 110, 116, 0, 108,
    105, 110, 107, 95, 119, 97, 116, 99, 104, 95, 108, 105, 115, 116, 0, 78, 69, 84, 82, 69, 71,
    95, 85, 78, 73, 78, 73, 84, 73, 65, 76, 73, 90, 69, 68, 0, 78, 69, 84, 82, 69, 71, 95, 82, 69,
    71, 73, 83, 84, 69, 82, 69, 68, 0, 78, 69, 84, 82, 69, 71, 95, 85, 78, 82, 69, 71, 73, 83, 84,
    69, 82, 73, 78, 71, 0, 78, 69, 84, 82, 69, 71, 95, 85, 78, 82, 69, 71, 73, 83, 84, 69, 82, 69,
    68, 0, 78, 69, 84, 82, 69, 71, 95, 82, 69, 76, 69, 65, 83, 69, 68, 0, 78, 69, 84, 82, 69, 71,
    95, 68, 85, 77, 77, 89, 0, 100, 105, 115, 109, 97, 110, 116, 108, 101, 0, 114, 116, 110, 108,
    95, 108, 105, 110, 107, 95, 115, 116, 97, 116, 101, 0, 82, 84, 78, 76, 95, 76, 73, 78, 75, 95,
    73, 78, 73, 84, 73, 65, 76, 73, 90, 69, 68, 0, 82, 84, 78, 76, 95, 76, 73, 78, 75, 95, 73, 78,
    73, 84, 73, 65, 76, 73, 90, 73, 78, 71, 0, 110, 101, 101, 100, 115, 95, 102, 114, 101, 101, 95,
    110, 101, 116, 100, 101, 118, 0, 112, 114, 105, 118, 95, 100, 101, 115, 116, 114, 117, 99, 116,
    111, 114, 0, 110, 112, 105, 110, 102, 111, 0, 110, 100, 95, 110, 101, 116, 0, 109, 108, 95,
    112, 114, 105, 118, 0, 108, 115, 116, 97, 116, 115, 0, 117, 54, 52, 95, 115, 116, 97, 116, 115,
    95, 116, 0, 112, 99, 112, 117, 95, 108, 115, 116, 97, 116, 115, 0, 116, 115, 116, 97, 116, 115,
    0, 112, 99, 112, 117, 95, 115, 119, 95, 110, 101, 116, 115, 116, 97, 116, 115, 0, 100, 115,
    116, 97, 116, 115, 0, 112, 99, 112, 117, 95, 100, 115, 116, 97, 116, 115, 0, 103, 97, 114, 112,
    95, 112, 111, 114, 116, 0, 109, 114, 112, 95, 112, 111, 114, 116, 0, 115, 121, 115, 102, 115,
    95, 103, 114, 111, 117, 112, 115, 0, 115, 121, 115, 102, 115, 95, 114, 120, 95, 113, 117, 101,
    117, 101, 95, 103, 114, 111, 117, 112, 0, 114, 116, 110, 108, 95, 108, 105, 110, 107, 95, 111,
    112, 115, 0, 109, 97, 120, 116, 121, 112, 101, 0, 110, 101, 119, 108, 105, 110, 107, 0, 99,
    104, 97, 110, 103, 101, 108, 105, 110, 107, 0, 100, 101, 108, 108, 105, 110, 107, 0, 103, 101,
    116, 95, 115, 105, 122, 101, 0, 102, 105, 108, 108, 95, 105, 110, 102, 111, 0, 103, 101, 116,
    95, 120, 115, 116, 97, 116, 115, 95, 115, 105, 122, 101, 0, 102, 105, 108, 108, 95, 120, 115,
    116, 97, 116, 115, 0, 103, 101, 116, 95, 110, 117, 109, 95, 116, 120, 95, 113, 117, 101, 117,
    101, 115, 0, 103, 101, 116, 95, 110, 117, 109, 95, 114, 120, 95, 113, 117, 101, 117, 101, 115,
    0, 115, 108, 97, 118, 101, 95, 109, 97, 120, 116, 121, 112, 101, 0, 115, 108, 97, 118, 101, 95,
    112, 111, 108, 105, 99, 121, 0, 115, 108, 97, 118, 101, 95, 99, 104, 97, 110, 103, 101, 108,
    105, 110, 107, 0, 103, 101, 116, 95, 115, 108, 97, 118, 101, 95, 115, 105, 122, 101, 0, 102,
    105, 108, 108, 95, 115, 108, 97, 118, 101, 95, 105, 110, 102, 111, 0, 103, 101, 116, 95, 108,
    105, 110, 107, 95, 110, 101, 116, 0, 103, 101, 116, 95, 108, 105, 110, 107, 120, 115, 116, 97,
    116, 115, 95, 115, 105, 122, 101, 0, 102, 105, 108, 108, 95, 108, 105, 110, 107, 120, 115, 116,
    97, 116, 115, 0, 103, 115, 111, 95, 109, 97, 120, 95, 115, 105, 122, 101, 0, 103, 115, 111, 95,
    109, 97, 120, 95, 115, 101, 103, 115, 0, 100, 99, 98, 110, 108, 95, 111, 112, 115, 0, 105, 101,
    101, 101, 95, 103, 101, 116, 101, 116, 115, 0, 119, 105, 108, 108, 105, 110, 103, 0, 101, 116,
    115, 95, 99, 97, 112, 0, 99, 98, 115, 0, 116, 99, 95, 116, 120, 95, 98, 119, 0, 116, 99, 95,
    114, 120, 95, 98, 119, 0, 116, 99, 95, 116, 115, 97, 0, 112, 114, 105, 111, 95, 116, 99, 0,
    116, 99, 95, 114, 101, 99, 111, 95, 98, 119, 0, 116, 99, 95, 114, 101, 99, 111, 95, 116, 115,
    97, 0, 114, 101, 99, 111, 95, 112, 114, 105, 111, 95, 116, 99, 0, 105, 101, 101, 101, 95, 101,
    116, 115, 0, 105, 101, 101, 101, 95, 115, 101, 116, 101, 116, 115, 0, 105, 101, 101, 101, 95,
    103, 101, 116, 109, 97, 120, 114, 97, 116, 101, 0, 116, 99, 95, 109, 97, 120, 114, 97, 116,
    101, 0, 105, 101, 101, 101, 95, 109, 97, 120, 114, 97, 116, 101, 0, 105, 101, 101, 101, 95,
    115, 101, 116, 109, 97, 120, 114, 97, 116, 101, 0, 105, 101, 101, 101, 95, 103, 101, 116, 113,
    99, 110, 0, 114, 112, 103, 95, 101, 110, 97, 98, 108, 101, 0, 114, 112, 112, 112, 95, 109, 97,
    120, 95, 114, 112, 115, 0, 114, 112, 103, 95, 116, 105, 109, 101, 95, 114, 101, 115, 101, 116,
    0, 114, 112, 103, 95, 98, 121, 116, 101, 95, 114, 101, 115, 101, 116, 0, 114, 112, 103, 95,
    116, 104, 114, 101, 115, 104, 111, 108, 100, 0, 114, 112, 103, 95, 109, 97, 120, 95, 114, 97,
    116, 101, 0, 114, 112, 103, 95, 97, 105, 95, 114, 97, 116, 101, 0, 114, 112, 103, 95, 104, 97,
    105, 95, 114, 97, 116, 101, 0, 114, 112, 103, 95, 103, 100, 0, 114, 112, 103, 95, 109, 105,
    110, 95, 100, 101, 99, 95, 102, 97, 99, 0, 114, 112, 103, 95, 109, 105, 110, 95, 114, 97, 116,
    101, 0, 99, 110, 100, 100, 95, 115, 116, 97, 116, 101, 95, 109, 97, 99, 104, 105, 110, 101, 0,
    105, 101, 101, 101, 95, 113, 99, 110, 0, 105, 101, 101, 101, 95, 115, 101, 116, 113, 99, 110,
    0, 105, 101, 101, 101, 95, 103, 101, 116, 113, 99, 110, 115, 116, 97, 116, 115, 0, 114, 112,
    112, 112, 95, 114, 112, 95, 99, 101, 110, 116, 105, 115, 101, 99, 111, 110, 100, 115, 0, 114,
    112, 112, 112, 95, 99, 114, 101, 97, 116, 101, 100, 95, 114, 112, 115, 0, 105, 101, 101, 101,
    95, 113, 99, 110, 95, 115, 116, 97, 116, 115, 0, 105, 101, 101, 101, 95, 103, 101, 116, 112,
    102, 99, 0, 112, 102, 99, 95, 99, 97, 112, 0, 112, 102, 99, 95, 101, 110, 0, 109, 98, 99, 0,
    114, 101, 113, 117, 101, 115, 116, 115, 0, 105, 110, 100, 105, 99, 97, 116, 105, 111, 110, 115,
    0, 105, 101, 101, 101, 95, 112, 102, 99, 0, 105, 101, 101, 101, 95, 115, 101, 116, 112, 102,
    99, 0, 105, 101, 101, 101, 95, 103, 101, 116, 97, 112, 112, 0, 100, 99, 98, 95, 97, 112, 112,
    0, 105, 101, 101, 101, 95, 115, 101, 116, 97, 112, 112, 0, 105, 101, 101, 101, 95, 100, 101,
    108, 97, 112, 112, 0, 105, 101, 101, 101, 95, 112, 101, 101, 114, 95, 103, 101, 116, 101, 116,
    115, 0, 105, 101, 101, 101, 95, 112, 101, 101, 114, 95, 103, 101, 116, 112, 102, 99, 0, 103,
    101, 116, 115, 116, 97, 116, 101, 0, 115, 101, 116, 115, 116, 97, 116, 101, 0, 103, 101, 116,
    112, 101, 114, 109, 104, 119, 97, 100, 100, 114, 0, 115, 101, 116, 112, 103, 116, 99, 99, 102,
    103, 116, 120, 0, 115, 101, 116, 112, 103, 98, 119, 103, 99, 102, 103, 116, 120, 0, 115, 101,
    116, 112, 103, 116, 99, 99, 102, 103, 114, 120, 0, 115, 101, 116, 112, 103, 98, 119, 103, 99,
    102, 103, 114, 120, 0, 103, 101, 116, 112, 103, 116, 99, 99, 102, 103, 116, 120, 0, 103, 101,
    116, 112, 103, 98, 119, 103, 99, 102, 103, 116, 120, 0, 103, 101, 116, 112, 103, 116, 99, 99,
    102, 103, 114, 120, 0, 103, 101, 116, 112, 103, 98, 119, 103, 99, 102, 103, 114, 120, 0, 115,
    101, 116, 112, 102, 99, 99, 102, 103, 0, 103, 101, 116, 112, 102, 99, 99, 102, 103, 0, 115,
    101, 116, 97, 108, 108, 0, 103, 101, 116, 99, 97, 112, 0, 103, 101, 116, 110, 117, 109, 116,
    99, 115, 0, 115, 101, 116, 110, 117, 109, 116, 99, 115, 0, 103, 101, 116, 112, 102, 99, 115,
    116, 97, 116, 101, 0, 115, 101, 116, 112, 102, 99, 115, 116, 97, 116, 101, 0, 103, 101, 116,
    98, 99, 110, 99, 102, 103, 0, 115, 101, 116, 98, 99, 110, 99, 102, 103, 0, 103, 101, 116, 98,
    99, 110, 114, 112, 0, 115, 101, 116, 98, 99, 110, 114, 112, 0, 115, 101, 116, 97, 112, 112, 0,
    103, 101, 116, 97, 112, 112, 0, 103, 101, 116, 102, 101, 97, 116, 99, 102, 103, 0, 115, 101,
    116, 102, 101, 97, 116, 99, 102, 103, 0, 103, 101, 116, 100, 99, 98, 120, 0, 115, 101, 116,
    100, 99, 98, 120, 0, 112, 101, 101, 114, 95, 103, 101, 116, 97, 112, 112, 105, 110, 102, 111,
    0, 100, 99, 98, 95, 112, 101, 101, 114, 95, 97, 112, 112, 95, 105, 110, 102, 111, 0, 112, 101,
    101, 114, 95, 103, 101, 116, 97, 112, 112, 116, 97, 98, 108, 101, 0, 99, 101, 101, 95, 112,
    101, 101, 114, 95, 103, 101, 116, 112, 103, 0, 112, 103, 95, 101, 110, 0, 116, 99, 115, 95,
    115, 117, 112, 112, 111, 114, 116, 101, 100, 0, 112, 103, 95, 98, 119, 0, 112, 114, 105, 111,
    95, 112, 103, 0, 99, 101, 101, 95, 112, 103, 0, 99, 101, 101, 95, 112, 101, 101, 114, 95, 103,
    101, 116, 112, 102, 99, 0, 99, 101, 101, 95, 112, 102, 99, 0, 100, 99, 98, 110, 108, 95, 103,
    101, 116, 98, 117, 102, 102, 101, 114, 0, 112, 114, 105, 111, 50, 98, 117, 102, 102, 101, 114,
    0, 98, 117, 102, 102, 101, 114, 95, 115, 105, 122, 101, 0, 116, 111, 116, 97, 108, 95, 115,
    105, 122, 101, 0, 100, 99, 98, 110, 108, 95, 98, 117, 102, 102, 101, 114, 0, 100, 99, 98, 110,
    108, 95, 115, 101, 116, 98, 117, 102, 102, 101, 114, 0, 100, 99, 98, 110, 108, 95, 114, 116,
    110, 108, 95, 111, 112, 115, 0, 110, 117, 109, 95, 116, 99, 0, 116, 99, 95, 116, 111, 95, 116,
    120, 113, 0, 110, 101, 116, 100, 101, 118, 95, 116, 99, 95, 116, 120, 113, 0, 112, 114, 105,
    111, 95, 116, 99, 95, 109, 97, 112, 0, 102, 99, 111, 101, 95, 100, 100, 112, 95, 120, 105, 100,
    0, 112, 114, 105, 111, 109, 97, 112, 0, 112, 114, 105, 111, 109, 97, 112, 95, 108, 101, 110, 0,
    110, 101, 116, 112, 114, 105, 111, 95, 109, 97, 112, 0, 112, 104, 121, 100, 101, 118, 0, 109,
    100, 105, 111, 0, 116, 114, 97, 110, 115, 102, 101, 114, 115, 0, 101, 114, 114, 111, 114, 115,
    0, 119, 114, 105, 116, 101, 115, 0, 114, 101, 97, 100, 115, 0, 109, 100, 105, 111, 95, 98, 117,
    115, 95, 115, 116, 97, 116, 115, 0, 109, 100, 105, 111, 95, 108, 111, 99, 107, 0, 77, 68, 73,
    79, 66, 85, 83, 95, 65, 76, 76, 79, 67, 65, 84, 69, 68, 0, 77, 68, 73, 79, 66, 85, 83, 95, 82,
    69, 71, 73, 83, 84, 69, 82, 69, 68, 0, 77, 68, 73, 79, 66, 85, 83, 95, 85, 78, 82, 69, 71, 73,
    83, 84, 69, 82, 69, 68, 0, 77, 68, 73, 79, 66, 85, 83, 95, 82, 69, 76, 69, 65, 83, 69, 68, 0,
    109, 100, 105, 111, 95, 109, 97, 112, 0, 112, 104, 121, 95, 109, 97, 115, 107, 0, 112, 104,
    121, 95, 105, 103, 110, 111, 114, 101, 95, 116, 97, 95, 109, 97, 115, 107, 0, 114, 101, 115,
    101, 116, 95, 100, 101, 108, 97, 121, 95, 117, 115, 0, 114, 101, 115, 101, 116, 95, 112, 111,
    115, 116, 95, 100, 101, 108, 97, 121, 95, 117, 115, 0, 114, 101, 115, 101, 116, 95, 103, 112,
    105, 111, 100, 0, 103, 112, 105, 111, 95, 100, 101, 115, 99, 0, 112, 114, 111, 98, 101, 95, 99,
    97, 112, 97, 98, 105, 108, 105, 116, 105, 101, 115, 0, 77, 68, 73, 79, 66, 85, 83, 95, 78, 79,
    95, 67, 65, 80, 0, 77, 68, 73, 79, 66, 85, 83, 95, 67, 50, 50, 0, 77, 68, 73, 79, 66, 85, 83,
    95, 67, 52, 53, 0, 77, 68, 73, 79, 66, 85, 83, 95, 67, 50, 50, 95, 67, 52, 53, 0, 115, 104, 97,
    114, 101, 100, 95, 108, 111, 99, 107, 0, 112, 104, 121, 95, 112, 97, 99, 107, 97, 103, 101, 95,
    115, 104, 97, 114, 101, 100, 0, 109, 105, 105, 95, 98, 117, 115, 0, 109, 111, 100, 97, 108,
    105, 97, 115, 0, 98, 117, 115, 95, 109, 97, 116, 99, 104, 0, 100, 101, 118, 105, 99, 101, 95,
    102, 114, 101, 101, 0, 100, 101, 118, 105, 99, 101, 95, 114, 101, 109, 111, 118, 101, 0, 114,
    101, 115, 101, 116, 95, 103, 112, 105, 111, 0, 114, 101, 115, 101, 116, 95, 99, 116, 114, 108,
    0, 114, 101, 115, 101, 116, 95, 99, 111, 110, 116, 114, 111, 108, 0, 114, 101, 115, 101, 116,
    95, 97, 115, 115, 101, 114, 116, 95, 100, 101, 108, 97, 121, 0, 114, 101, 115, 101, 116, 95,
    100, 101, 97, 115, 115, 101, 114, 116, 95, 100, 101, 108, 97, 121, 0, 109, 100, 105, 111, 95,
    100, 101, 118, 105, 99, 101, 0, 100, 114, 118, 0, 109, 100, 105, 111, 100, 114, 118, 0, 109,
    100, 105, 111, 95, 100, 114, 105, 118, 101, 114, 95, 99, 111, 109, 109, 111, 110, 0, 112, 104,
    121, 95, 105, 100, 0, 112, 104, 121, 95, 105, 100, 95, 109, 97, 115, 107, 0, 115, 111, 102,
    116, 95, 114, 101, 115, 101, 116, 0, 99, 111, 110, 102, 105, 103, 95, 105, 110, 105, 116, 0,
    103, 101, 116, 95, 102, 101, 97, 116, 117, 114, 101, 115, 0, 99, 111, 110, 102, 105, 103, 95,
    97, 110, 101, 103, 0, 97, 110, 101, 103, 95, 100, 111, 110, 101, 0, 114, 101, 97, 100, 95, 115,
    116, 97, 116, 117, 115, 0, 97, 99, 107, 95, 105, 110, 116, 101, 114, 114, 117, 112, 116, 0, 99,
    111, 110, 102, 105, 103, 95, 105, 110, 116, 114, 0, 100, 105, 100, 95, 105, 110, 116, 101, 114,
    114, 117, 112, 116, 0, 104, 97, 110, 100, 108, 101, 95, 105, 110, 116, 101, 114, 114, 117, 112,
    116, 0, 109, 97, 116, 99, 104, 95, 112, 104, 121, 95, 100, 101, 118, 105, 99, 101, 0, 108, 105,
    110, 107, 95, 99, 104, 97, 110, 103, 101, 95, 110, 111, 116, 105, 102, 121, 0, 114, 101, 97,
    100, 95, 109, 109, 100, 0, 119, 114, 105, 116, 101, 95, 109, 109, 100, 0, 114, 101, 97, 100,
    95, 112, 97, 103, 101, 0, 119, 114, 105, 116, 101, 95, 112, 97, 103, 101, 0, 109, 111, 100,
    117, 108, 101, 95, 105, 110, 102, 111, 0, 109, 111, 100, 117, 108, 101, 95, 101, 101, 112, 114,
    111, 109, 0, 99, 97, 98, 108, 101, 95, 116, 101, 115, 116, 95, 115, 116, 97, 114, 116, 0, 99,
    97, 98, 108, 101, 95, 116, 101, 115, 116, 95, 116, 100, 114, 95, 115, 116, 97, 114, 116, 0,
    115, 116, 101, 112, 0, 112, 97, 105, 114, 0, 112, 104, 121, 95, 116, 100, 114, 95, 99, 111,
    110, 102, 105, 103, 0, 99, 97, 98, 108, 101, 95, 116, 101, 115, 116, 95, 103, 101, 116, 95,
    115, 116, 97, 116, 117, 115, 0, 103, 101, 116, 95, 115, 116, 97, 116, 115, 0, 115, 101, 116,
    95, 108, 111, 111, 112, 98, 97, 99, 107, 0, 103, 101, 116, 95, 115, 113, 105, 0, 103, 101, 116,
    95, 115, 113, 105, 95, 109, 97, 120, 0, 112, 104, 121, 95, 100, 114, 105, 118, 101, 114, 0, 99,
    52, 53, 95, 105, 100, 115, 0, 100, 101, 118, 105, 99, 101, 115, 95, 105, 110, 95, 112, 97, 99,
    107, 97, 103, 101, 0, 109, 109, 100, 115, 95, 112, 114, 101, 115, 101, 110, 116, 0, 100, 101,
    118, 105, 99, 101, 95, 105, 100, 115, 0, 112, 104, 121, 95, 99, 52, 53, 95, 100, 101, 118, 105,
    99, 101, 95, 105, 100, 115, 0, 105, 115, 95, 99, 52, 53, 0, 105, 115, 95, 105, 110, 116, 101,
    114, 110, 97, 108, 0, 105, 115, 95, 112, 115, 101, 117, 100, 111, 95, 102, 105, 120, 101, 100,
    95, 108, 105, 110, 107, 0, 105, 115, 95, 103, 105, 103, 97, 98, 105, 116, 95, 99, 97, 112, 97,
    98, 108, 101, 0, 104, 97, 115, 95, 102, 105, 120, 117, 112, 115, 0, 115, 117, 115, 112, 101,
    110, 100, 101, 100, 0, 115, 117, 115, 112, 101, 110, 100, 101, 100, 95, 98, 121, 95, 109, 100,
    105, 111, 95, 98, 117, 115, 0, 115, 121, 115, 102, 115, 95, 108, 105, 110, 107, 115, 0, 108,
    111, 111, 112, 98, 97, 99, 107, 95, 101, 110, 97, 98, 108, 101, 100, 0, 100, 111, 119, 110,
    115, 104, 105, 102, 116, 101, 100, 95, 114, 97, 116, 101, 0, 97, 117, 116, 111, 110, 101, 103,
    95, 99, 111, 109, 112, 108, 101, 116, 101, 0, 80, 72, 89, 95, 68, 79, 87, 78, 0, 80, 72, 89,
    95, 82, 69, 65, 68, 89, 0, 80, 72, 89, 95, 72, 65, 76, 84, 69, 68, 0, 80, 72, 89, 95, 85, 80,
    0, 80, 72, 89, 95, 82, 85, 78, 78, 73, 78, 71, 0, 80, 72, 89, 95, 78, 79, 76, 73, 78, 75, 0,
    80, 72, 89, 95, 67, 65, 66, 76, 69, 84, 69, 83, 84, 0, 112, 104, 121, 95, 115, 116, 97, 116,
    101, 0, 80, 72, 89, 95, 73, 78, 84, 69, 82, 70, 65, 67, 69, 95, 77, 79, 68, 69, 95, 78, 65, 0,
    80, 72, 89, 95, 73, 78, 84, 69, 82, 70, 65, 67, 69, 95, 77, 79, 68, 69, 95, 73, 78, 84, 69, 82,
    78, 65, 76, 0, 80, 72, 89, 95, 73, 78, 84, 69, 82, 70, 65, 67, 69, 95, 77, 79, 68, 69, 95, 77,
    73, 73, 0, 80, 72, 89, 95, 73, 78, 84, 69, 82, 70, 65, 67, 69, 95, 77, 79, 68, 69, 95, 71, 77,
    73, 73, 0, 80, 72, 89, 95, 73, 78, 84, 69, 82, 70, 65, 67, 69, 95, 77, 79, 68, 69, 95, 83, 71,
    77, 73, 73, 0, 80, 72, 89, 95, 73, 78, 84, 69, 82, 70, 65, 67, 69, 95, 77, 79, 68, 69, 95, 84,
    66, 73, 0, 80, 72, 89, 95, 73, 78, 84, 69, 82, 70, 65, 67, 69, 95, 77, 79, 68, 69, 95, 82, 69,
    86, 77, 73, 73, 0, 80, 72, 89, 95, 73, 78, 84, 69, 82, 70, 65, 67, 69, 95, 77, 79, 68, 69, 95,
    82, 77, 73, 73, 0, 80, 72, 89, 95, 73, 78, 84, 69, 82, 70, 65, 67, 69, 95, 77, 79, 68, 69, 95,
    82, 71, 77, 73, 73, 0, 80, 72, 89, 95, 73, 78, 84, 69, 82, 70, 65, 67, 69, 95, 77, 79, 68, 69,
    95, 82, 71, 77, 73, 73, 95, 73, 68, 0, 80, 72, 89, 95, 73, 78, 84, 69, 82, 70, 65, 67, 69, 95,
    77, 79, 68, 69, 95, 82, 71, 77, 73, 73, 95, 82, 88, 73, 68, 0, 80, 72, 89, 95, 73, 78, 84, 69,
    82, 70, 65, 67, 69, 95, 77, 79, 68, 69, 95, 82, 71, 77, 73, 73, 95, 84, 88, 73, 68, 0, 80, 72,
    89, 95, 73, 78, 84, 69, 82, 70, 65, 67, 69, 95, 77, 79, 68, 69, 95, 82, 84, 66, 73, 0, 80, 72,
    89, 95, 73, 78, 84, 69, 82, 70, 65, 67, 69, 95, 77, 79, 68, 69, 95, 83, 77, 73, 73, 0, 80, 72,
    89, 95, 73, 78, 84, 69, 82, 70, 65, 67, 69, 95, 77, 79, 68, 69, 95, 88, 71, 77, 73, 73, 0, 80,
    72, 89, 95, 73, 78, 84, 69, 82, 70, 65, 67, 69, 95, 77, 79, 68, 69, 95, 88, 76, 71, 77, 73, 73,
    0, 80, 72, 89, 95, 73, 78, 84, 69, 82, 70, 65, 67, 69, 95, 77, 79, 68, 69, 95, 77, 79, 67, 65,
    0, 80, 72, 89, 95, 73, 78, 84, 69, 82, 70, 65, 67, 69, 95, 77, 79, 68, 69, 95, 81, 83, 71, 77,
    73, 73, 0, 80, 72, 89, 95, 73, 78, 84, 69, 82, 70, 65, 67, 69, 95, 77, 79, 68, 69, 95, 84, 82,
    71, 77, 73, 73, 0, 80, 72, 89, 95, 73, 78, 84, 69, 82, 70, 65, 67, 69, 95, 77, 79, 68, 69, 95,
    49, 48, 48, 48, 66, 65, 83, 69, 88, 0, 80, 72, 89, 95, 73, 78, 84, 69, 82, 70, 65, 67, 69, 95,
    77, 79, 68, 69, 95, 50, 53, 48, 48, 66, 65, 83, 69, 88, 0, 80, 72, 89, 95, 73, 78, 84, 69, 82,
    70, 65, 67, 69, 95, 77, 79, 68, 69, 95, 82, 88, 65, 85, 73, 0, 80, 72, 89, 95, 73, 78, 84, 69,
    82, 70, 65, 67, 69, 95, 77, 79, 68, 69, 95, 88, 65, 85, 73, 0, 80, 72, 89, 95, 73, 78, 84, 69,
    82, 70, 65, 67, 69, 95, 77, 79, 68, 69, 95, 49, 48, 71, 66, 65, 83, 69, 82, 0, 80, 72, 89, 95,
    73, 78, 84, 69, 82, 70, 65, 67, 69, 95, 77, 79, 68, 69, 95, 85, 83, 88, 71, 77, 73, 73, 0, 80,
    72, 89, 95, 73, 78, 84, 69, 82, 70, 65, 67, 69, 95, 77, 79, 68, 69, 95, 49, 48, 71, 75, 82, 0,
    80, 72, 89, 95, 73, 78, 84, 69, 82, 70, 65, 67, 69, 95, 77, 79, 68, 69, 95, 77, 65, 88, 0, 112,
    104, 121, 95, 105, 110, 116, 101, 114, 102, 97, 99, 101, 95, 116, 0, 112, 97, 117, 115, 101, 0,
    97, 115, 121, 109, 95, 112, 97, 117, 115, 101, 0, 109, 97, 115, 116, 101, 114, 95, 115, 108,
    97, 118, 101, 95, 103, 101, 116, 0, 109, 97, 115, 116, 101, 114, 95, 115, 108, 97, 118, 101,
    95, 115, 101, 116, 0, 97, 100, 118, 95, 111, 108, 100, 0, 101, 101, 101, 95, 98, 114, 111, 107,
    101, 110, 95, 109, 111, 100, 101, 115, 0, 112, 104, 121, 95, 108, 101, 100, 95, 116, 114, 105,
    103, 103, 101, 114, 115, 0, 112, 104, 121, 95, 108, 101, 100, 95, 116, 114, 105, 103, 103, 101,
    114, 0, 112, 104, 121, 95, 110, 117, 109, 95, 108, 101, 100, 95, 116, 114, 105, 103, 103, 101,
    114, 115, 0, 108, 97, 115, 116, 95, 116, 114, 105, 103, 103, 101, 114, 101, 100, 0, 108, 101,
    100, 95, 108, 105, 110, 107, 95, 116, 114, 105, 103, 103, 101, 114, 0, 101, 104, 100, 114, 0,
    115, 116, 97, 116, 101, 95, 113, 117, 101, 117, 101, 0, 115, 102, 112, 95, 98, 117, 115, 95,
    97, 116, 116, 97, 99, 104, 101, 100, 0, 115, 102, 112, 95, 98, 117, 115, 0, 115, 111, 99, 107,
    101, 116, 95, 111, 112, 115, 0, 115, 102, 112, 0, 115, 102, 112, 95, 115, 111, 99, 107, 101,
    116, 95, 111, 112, 115, 0, 115, 102, 112, 95, 100, 101, 118, 0, 115, 102, 112, 95, 113, 117,
    105, 114, 107, 0, 109, 111, 100, 101, 115, 0, 112, 104, 121, 115, 95, 105, 100, 0, 112, 104,
    121, 115, 95, 101, 120, 116, 95, 105, 100, 0, 99, 111, 110, 110, 101, 99, 116, 111, 114, 0,
    105, 102, 95, 49, 120, 95, 99, 111, 112, 112, 101, 114, 95, 112, 97, 115, 115, 105, 118, 101,
    0, 105, 102, 95, 49, 120, 95, 99, 111, 112, 112, 101, 114, 95, 97, 99, 116, 105, 118, 101, 0,
    105, 102, 95, 49, 120, 95, 108, 120, 0, 105, 102, 95, 49, 120, 95, 115, 120, 0, 101, 49, 48,
    103, 95, 98, 97, 115, 101, 95, 115, 114, 0, 101, 49, 48, 103, 95, 98, 97, 115, 101, 95, 108,
    114, 0, 101, 49, 48, 103, 95, 98, 97, 115, 101, 95, 108, 114, 109, 0, 101, 49, 48, 103, 95, 98,
    97, 115, 101, 95, 101, 114, 0, 115, 111, 110, 101, 116, 95, 111, 99, 51, 95, 115, 104, 111,
    114, 116, 95, 114, 101, 97, 99, 104, 0, 115, 111, 110, 101, 116, 95, 111, 99, 51, 95, 115, 109,
    102, 95, 105, 110, 116, 101, 114, 109, 101, 100, 105, 97, 116, 101, 95, 114, 101, 97, 99, 104,
    0, 115, 111, 110, 101, 116, 95, 111, 99, 51, 95, 115, 109, 102, 95, 108, 111, 110, 103, 95,
    114, 101, 97, 99, 104, 0, 117, 110, 97, 108, 108, 111, 99, 97, 116, 101, 100, 95, 53, 95, 51,
    0, 115, 111, 110, 101, 116, 95, 111, 99, 49, 50, 95, 115, 104, 111, 114, 116, 95, 114, 101, 97,
    99, 104, 0, 115, 111, 110, 101, 116, 95, 111, 99, 49, 50, 95, 115, 109, 102, 95, 105, 110, 116,
    101, 114, 109, 101, 100, 105, 97, 116, 101, 95, 114, 101, 97, 99, 104, 0, 115, 111, 110, 101,
    116, 95, 111, 99, 49, 50, 95, 115, 109, 102, 95, 108, 111, 110, 103, 95, 114, 101, 97, 99, 104,
    0, 117, 110, 97, 108, 108, 111, 99, 97, 116, 101, 100, 95, 53, 95, 55, 0, 115, 111, 110, 101,
    116, 95, 111, 99, 52, 56, 95, 115, 104, 111, 114, 116, 95, 114, 101, 97, 99, 104, 0, 115, 111,
    110, 101, 116, 95, 111, 99, 52, 56, 95, 105, 110, 116, 101, 114, 109, 101, 100, 105, 97, 116,
    101, 95, 114, 101, 97, 99, 104, 0, 115, 111, 110, 101, 116, 95, 111, 99, 52, 56, 95, 108, 111,
    110, 103, 95, 114, 101, 97, 99, 104, 0, 115, 111, 110, 101, 116, 95, 114, 101, 97, 99, 104, 95,
    98, 105, 116, 50, 0, 115, 111, 110, 101, 116, 95, 114, 101, 97, 99, 104, 95, 98, 105, 116, 49,
    0, 115, 111, 110, 101, 116, 95, 111, 99, 49, 57, 50, 95, 115, 104, 111, 114, 116, 95, 114, 101,
    97, 99, 104, 0, 101, 115, 99, 111, 110, 95, 115, 109, 102, 95, 49, 51, 49, 48, 95, 108, 97,
    115, 101, 114, 0, 101, 115, 99, 111, 110, 95, 109, 109, 102, 95, 49, 51, 49, 48, 95, 108, 101,
    100, 0, 101, 49, 48, 48, 48, 95, 98, 97, 115, 101, 95, 115, 120, 0, 101, 49, 48, 48, 48, 95,
    98, 97, 115, 101, 95, 108, 120, 0, 101, 49, 48, 48, 48, 95, 98, 97, 115, 101, 95, 99, 120, 0,
    101, 49, 48, 48, 48, 95, 98, 97, 115, 101, 95, 116, 0, 101, 49, 48, 48, 95, 98, 97, 115, 101,
    95, 108, 120, 0, 101, 49, 48, 48, 95, 98, 97, 115, 101, 95, 102, 120, 0, 101, 95, 98, 97, 115,
    101, 95, 98, 120, 49, 48, 0, 101, 95, 98, 97, 115, 101, 95, 112, 120, 0, 102, 99, 95, 116, 101,
    99, 104, 95, 101, 108, 101, 99, 116, 114, 105, 99, 97, 108, 95, 105, 110, 116, 101, 114, 95,
    101, 110, 99, 108, 111, 115, 117, 114, 101, 0, 102, 99, 95, 116, 101, 99, 104, 95, 108, 99, 0,
    102, 99, 95, 116, 101, 99, 104, 95, 115, 97, 0, 102, 99, 95, 108, 108, 95, 109, 0, 102, 99, 95,
    108, 108, 95, 108, 0, 102, 99, 95, 108, 108, 95, 105, 0, 102, 99, 95, 108, 108, 95, 115, 0,
    102, 99, 95, 108, 108, 95, 118, 0, 117, 110, 97, 108, 108, 111, 99, 97, 116, 101, 100, 95, 56,
    95, 48, 0, 117, 110, 97, 108, 108, 111, 99, 97, 116, 101, 100, 95, 56, 95, 49, 0, 115, 102,
    112, 95, 99, 116, 95, 112, 97, 115, 115, 105, 118, 101, 0, 115, 102, 112, 95, 99, 116, 95, 97,
    99, 116, 105, 118, 101, 0, 102, 99, 95, 116, 101, 99, 104, 95, 108, 108, 0, 102, 99, 95, 116,
    101, 99, 104, 95, 115, 108, 0, 102, 99, 95, 116, 101, 99, 104, 95, 115, 110, 0, 102, 99, 95,
    116, 101, 99, 104, 95, 101, 108, 101, 99, 116, 114, 105, 99, 97, 108, 95, 105, 110, 116, 114,
    97, 95, 101, 110, 99, 108, 111, 115, 117, 114, 101, 0, 102, 99, 95, 109, 101, 100, 105, 97, 95,
    115, 109, 0, 117, 110, 97, 108, 108, 111, 99, 97, 116, 101, 100, 95, 57, 95, 49, 0, 102, 99,
    95, 109, 101, 100, 105, 97, 95, 109, 53, 0, 102, 99, 95, 109, 101, 100, 105, 97, 95, 109, 54,
    0, 102, 99, 95, 109, 101, 100, 105, 97, 95, 116, 118, 0, 102, 99, 95, 109, 101, 100, 105, 97,
    95, 109, 105, 0, 102, 99, 95, 109, 101, 100, 105, 97, 95, 116, 112, 0, 102, 99, 95, 109, 101,
    100, 105, 97, 95, 116, 119, 0, 102, 99, 95, 115, 112, 101, 101, 100, 95, 49, 48, 48, 0, 117,
    110, 97, 108, 108, 111, 99, 97, 116, 101, 100, 95, 49, 48, 95, 49, 0, 102, 99, 95, 115, 112,
    101, 101, 100, 95, 50, 48, 48, 0, 102, 99, 95, 115, 112, 101, 101, 100, 95, 51, 50, 48, 48, 0,
    102, 99, 95, 115, 112, 101, 101, 100, 95, 52, 48, 48, 0, 102, 99, 95, 115, 112, 101, 101, 100,
    95, 49, 54, 48, 48, 0, 102, 99, 95, 115, 112, 101, 101, 100, 95, 56, 48, 48, 0, 102, 99, 95,
    115, 112, 101, 101, 100, 95, 49, 50, 48, 48, 0, 98, 114, 95, 110, 111, 109, 105, 110, 97, 108,
    0, 114, 97, 116, 101, 95, 105, 100, 0, 108, 105, 110, 107, 95, 108, 101, 110, 0, 118, 101, 110,
    100, 111, 114, 95, 110, 97, 109, 101, 0, 101, 120, 116, 101, 110, 100, 101, 100, 95, 99, 99, 0,
    118, 101, 110, 100, 111, 114, 95, 111, 117, 105, 0, 118, 101, 110, 100, 111, 114, 95, 112, 110,
    0, 118, 101, 110, 100, 111, 114, 95, 114, 101, 118, 0, 111, 112, 116, 105, 99, 97, 108, 95,
    119, 97, 118, 101, 108, 101, 110, 103, 116, 104, 0, 99, 97, 98, 108, 101, 95, 99, 111, 109,
    112, 108, 105, 97, 110, 99, 101, 0, 115, 102, 102, 56, 52, 51, 49, 95, 97, 112, 112, 95, 101,
    0, 102, 99, 95, 112, 105, 95, 52, 95, 97, 112, 112, 95, 104, 0, 114, 101, 115, 101, 114, 118,
    101, 100, 54, 48, 95, 50, 0, 114, 101, 115, 101, 114, 118, 101, 100, 54, 49, 0, 115, 102, 102,
    56, 52, 51, 49, 95, 108, 105, 109, 0, 102, 99, 95, 112, 105, 95, 52, 95, 108, 105, 109, 0, 114,
    101, 115, 101, 114, 118, 101, 100, 54, 48, 95, 52, 0, 114, 101, 115, 101, 114, 118, 101, 100,
    54, 50, 0, 99, 99, 95, 98, 97, 115, 101, 0, 115, 102, 112, 95, 101, 101, 112, 114, 111, 109,
    95, 98, 97, 115, 101, 0, 98, 114, 95, 109, 97, 120, 0, 98, 114, 95, 109, 105, 110, 0, 118, 101,
    110, 100, 111, 114, 95, 115, 110, 0, 100, 97, 116, 101, 99, 111, 100, 101, 0, 100, 105, 97,
    103, 109, 111, 110, 0, 101, 110, 104, 111, 112, 116, 115, 0, 115, 102, 102, 56, 52, 55, 50, 95,
    99, 111, 109, 112, 108, 105, 97, 110, 99, 101, 0, 99, 99, 95, 101, 120, 116, 0, 115, 102, 112,
    95, 101, 101, 112, 114, 111, 109, 95, 101, 120, 116, 0, 115, 102, 112, 95, 101, 101, 112, 114,
    111, 109, 95, 105, 100, 0, 117, 112, 115, 116, 114, 101, 97, 109, 95, 111, 112, 115, 0, 109,
    111, 100, 117, 108, 101, 95, 105, 110, 115, 101, 114, 116, 0, 109, 111, 100, 117, 108, 101, 95,
    114, 101, 109, 111, 118, 101, 0, 109, 111, 100, 117, 108, 101, 95, 115, 116, 97, 114, 116, 0,
    109, 111, 100, 117, 108, 101, 95, 115, 116, 111, 112, 0, 108, 105, 110, 107, 95, 100, 111, 119,
    110, 0, 108, 105, 110, 107, 95, 117, 112, 0, 99, 111, 110, 110, 101, 99, 116, 95, 112, 104,
    121, 0, 100, 105, 115, 99, 111, 110, 110, 101, 99, 116, 95, 112, 104, 121, 0, 115, 102, 112,
    95, 117, 112, 115, 116, 114, 101, 97, 109, 95, 111, 112, 115, 0, 117, 112, 115, 116, 114, 101,
    97, 109, 0, 112, 104, 121, 108, 105, 110, 107, 0, 97, 116, 116, 97, 99, 104, 101, 100, 95, 100,
    101, 118, 0, 109, 105, 105, 95, 116, 115, 0, 114, 120, 116, 115, 116, 97, 109, 112, 0, 116,
    120, 116, 115, 116, 97, 109, 112, 0, 104, 119, 116, 115, 116, 97, 109, 112, 0, 116, 115, 95,
    105, 110, 102, 111, 0, 109, 105, 105, 95, 116, 105, 109, 101, 115, 116, 97, 109, 112, 101, 114,
    0, 109, 100, 105, 120, 0, 109, 100, 105, 120, 95, 99, 116, 114, 108, 0, 112, 104, 121, 95, 108,
    105, 110, 107, 95, 99, 104, 97, 110, 103, 101, 0, 97, 100, 106, 117, 115, 116, 95, 108, 105,
    110, 107, 0, 109, 97, 99, 115, 101, 99, 95, 111, 112, 115, 0, 112, 104, 121, 95, 100, 101, 118,
    105, 99, 101, 0, 113, 100, 105, 115, 99, 95, 116, 120, 95, 98, 117, 115, 121, 108, 111, 99,
    107, 0, 113, 100, 105, 115, 99, 95, 114, 117, 110, 110, 105, 110, 103, 95, 107, 101, 121, 0,
    112, 114, 111, 116, 111, 95, 100, 111, 119, 110, 0, 119, 111, 108, 95, 101, 110, 97, 98, 108,
    101, 100, 0, 110, 101, 116, 95, 110, 111, 116, 105, 102, 105, 101, 114, 95, 108, 105, 115, 116,
    0, 117, 100, 112, 95, 116, 117, 110, 110, 101, 108, 95, 110, 105, 99, 95, 105, 110, 102, 111,
    0, 115, 101, 116, 95, 112, 111, 114, 116, 0, 117, 110, 115, 101, 116, 95, 112, 111, 114, 116,
    0, 115, 121, 110, 99, 95, 116, 97, 98, 108, 101, 0, 110, 95, 101, 110, 116, 114, 105, 101, 115,
    0, 116, 117, 110, 110, 101, 108, 95, 116, 121, 112, 101, 115, 0, 117, 100, 112, 95, 116, 117,
    110, 110, 101, 108, 95, 110, 105, 99, 95, 116, 97, 98, 108, 101, 95, 105, 110, 102, 111, 0,
    117, 100, 112, 95, 116, 117, 110, 110, 101, 108, 95, 110, 105, 99, 0, 120, 100, 112, 95, 115,
    116, 97, 116, 101, 0, 66, 80, 70, 95, 76, 73, 78, 75, 95, 84, 89, 80, 69, 95, 85, 78, 83, 80,
    69, 67, 0, 66, 80, 70, 95, 76, 73, 78, 75, 95, 84, 89, 80, 69, 95, 82, 65, 87, 95, 84, 82, 65,
    67, 69, 80, 79, 73, 78, 84, 0, 66, 80, 70, 95, 76, 73, 78, 75, 95, 84, 89, 80, 69, 95, 84, 82,
    65, 67, 73, 78, 71, 0, 66, 80, 70, 95, 76, 73, 78, 75, 95, 84, 89, 80, 69, 95, 67, 71, 82, 79,
    85, 80, 0, 66, 80, 70, 95, 76, 73, 78, 75, 95, 84, 89, 80, 69, 95, 73, 84, 69, 82, 0, 66, 80,
    70, 95, 76, 73, 78, 75, 95, 84, 89, 80, 69, 95, 78, 69, 84, 78, 83, 0, 66, 80, 70, 95, 76, 73,
    78, 75, 95, 84, 89, 80, 69, 95, 88, 68, 80, 0, 77, 65, 88, 95, 66, 80, 70, 95, 76, 73, 78, 75,
    95, 84, 89, 80, 69, 0, 98, 112, 102, 95, 108, 105, 110, 107, 95, 116, 121, 112, 101, 0, 100,
    101, 97, 108, 108, 111, 99, 0, 117, 112, 100, 97, 116, 101, 95, 112, 114, 111, 103, 0, 102,
    105, 108, 108, 95, 108, 105, 110, 107, 95, 105, 110, 102, 111, 0, 116, 112, 95, 110, 97, 109,
    101, 0, 116, 112, 95, 110, 97, 109, 101, 95, 108, 101, 110, 0, 116, 114, 97, 99, 105, 110, 103,
    0, 99, 103, 114, 111, 117, 112, 95, 105, 100, 0, 110, 101, 116, 110, 115, 0, 110, 101, 116,
    110, 115, 95, 105, 110, 111, 0, 98, 112, 102, 95, 108, 105, 110, 107, 95, 105, 110, 102, 111,
    0, 98, 112, 102, 95, 108, 105, 110, 107, 95, 111, 112, 115, 0, 98, 112, 102, 95, 108, 105, 110,
    107, 0, 98, 112, 102, 95, 120, 100, 112, 95, 108, 105, 110, 107, 0, 98, 112, 102, 95, 120, 100,
    112, 95, 101, 110, 116, 105, 116, 121, 0, 110, 101, 116, 95, 100, 101, 118, 105, 99, 101, 0,
    115, 108, 97, 118, 101, 0, 116, 97, 103, 95, 111, 112, 115, 0, 114, 99, 118, 0, 105, 103, 110,
    111, 114, 101, 95, 111, 117, 116, 103, 111, 105, 110, 103, 0, 108, 105, 115, 116, 95, 102, 117,
    110, 99, 0, 105, 100, 95, 109, 97, 116, 99, 104, 0, 97, 102, 95, 112, 97, 99, 107, 101, 116,
    95, 112, 114, 105, 118, 0, 112, 97, 99, 107, 101, 116, 95, 116, 121, 112, 101, 0, 102, 108,
    111, 119, 95, 100, 105, 115, 115, 101, 99, 116, 0, 100, 115, 97, 95, 100, 101, 118, 105, 99,
    101, 95, 111, 112, 115, 0, 111, 102, 95, 110, 101, 116, 100, 101, 118, 0, 110, 114, 95, 99,
    104, 105, 112, 115, 0, 104, 111, 115, 116, 95, 100, 101, 118, 0, 115, 119, 95, 97, 100, 100,
    114, 0, 112, 111, 114, 116, 95, 110, 97, 109, 101, 115, 0, 112, 111, 114, 116, 95, 100, 110, 0,
    100, 115, 97, 95, 99, 104, 105, 112, 95, 100, 97, 116, 97, 0, 100, 115, 97, 95, 112, 108, 97,
    116, 102, 111, 114, 109, 95, 100, 97, 116, 97, 0, 100, 115, 97, 95, 115, 119, 105, 116, 99,
    104, 95, 116, 114, 101, 101, 0, 68, 83, 65, 95, 80, 79, 82, 84, 95, 84, 89, 80, 69, 95, 85, 78,
    85, 83, 69, 68, 0, 68, 83, 65, 95, 80, 79, 82, 84, 95, 84, 89, 80, 69, 95, 67, 80, 85, 0, 68,
    83, 65, 95, 80, 79, 82, 84, 95, 84, 89, 80, 69, 95, 68, 83, 65, 0, 68, 83, 65, 95, 80, 79, 82,
    84, 95, 84, 89, 80, 69, 95, 85, 83, 69, 82, 0, 110, 98, 0, 99, 100, 0, 103, 101, 116, 95, 116,
    97, 103, 95, 112, 114, 111, 116, 111, 99, 111, 108, 0, 116, 101, 97, 114, 100, 111, 119, 110,
    0, 103, 101, 116, 95, 112, 104, 121, 95, 102, 108, 97, 103, 115, 0, 112, 104, 121, 95, 114,
    101, 97, 100, 0, 112, 104, 121, 95, 119, 114, 105, 116, 101, 0, 102, 105, 120, 101, 100, 95,
    108, 105, 110, 107, 95, 117, 112, 100, 97, 116, 101, 0, 102, 105, 120, 101, 100, 95, 112, 104,
    121, 95, 115, 116, 97, 116, 117, 115, 0, 112, 104, 121, 108, 105, 110, 107, 95, 118, 97, 108,
    105, 100, 97, 116, 101, 0, 97, 110, 95, 101, 110, 97, 98, 108, 101, 100, 0, 97, 110, 95, 99,
    111, 109, 112, 108, 101, 116, 101, 0, 112, 104, 121, 108, 105, 110, 107, 95, 108, 105, 110,
    107, 95, 115, 116, 97, 116, 101, 0, 112, 104, 121, 108, 105, 110, 107, 95, 109, 97, 99, 95,
    108, 105, 110, 107, 95, 115, 116, 97, 116, 101, 0, 112, 104, 121, 108, 105, 110, 107, 95, 109,
    97, 99, 95, 99, 111, 110, 102, 105, 103, 0, 112, 104, 121, 108, 105, 110, 107, 95, 109, 97, 99,
    95, 97, 110, 95, 114, 101, 115, 116, 97, 114, 116, 0, 112, 104, 121, 108, 105, 110, 107, 95,
    109, 97, 99, 95, 108, 105, 110, 107, 95, 100, 111, 119, 110, 0, 112, 104, 121, 108, 105, 110,
    107, 95, 109, 97, 99, 95, 108, 105, 110, 107, 95, 117, 112, 0, 112, 104, 121, 108, 105, 110,
    107, 95, 102, 105, 120, 101, 100, 95, 115, 116, 97, 116, 101, 0, 117, 105, 110, 116, 56, 95,
    116, 0, 117, 105, 110, 116, 54, 52, 95, 116, 0, 112, 111, 114, 116, 95, 101, 110, 97, 98, 108,
    101, 0, 112, 111, 114, 116, 95, 100, 105, 115, 97, 98, 108, 101, 0, 115, 101, 116, 95, 109, 97,
    99, 95, 101, 101, 101, 0, 103, 101, 116, 95, 109, 97, 99, 95, 101, 101, 101, 0, 115, 101, 116,
    95, 97, 103, 101, 105, 110, 103, 95, 116, 105, 109, 101, 0, 112, 111, 114, 116, 95, 98, 114,
    105, 100, 103, 101, 95, 106, 111, 105, 110, 0, 112, 111, 114, 116, 95, 98, 114, 105, 100, 103,
    101, 95, 108, 101, 97, 118, 101, 0, 112, 111, 114, 116, 95, 115, 116, 112, 95, 115, 116, 97,
    116, 101, 95, 115, 101, 116, 0, 112, 111, 114, 116, 95, 102, 97, 115, 116, 95, 97, 103, 101, 0,
    112, 111, 114, 116, 95, 101, 103, 114, 101, 115, 115, 95, 102, 108, 111, 111, 100, 115, 0, 112,
    111, 114, 116, 95, 118, 108, 97, 110, 95, 102, 105, 108, 116, 101, 114, 105, 110, 103, 0, 112,
    111, 114, 116, 95, 118, 108, 97, 110, 95, 112, 114, 101, 112, 97, 114, 101, 0, 111, 114, 105,
    103, 95, 100, 101, 118, 0, 83, 87, 73, 84, 67, 72, 68, 69, 86, 95, 79, 66, 74, 95, 73, 68, 95,
    85, 78, 68, 69, 70, 73, 78, 69, 68, 0, 83, 87, 73, 84, 67, 72, 68, 69, 86, 95, 79, 66, 74, 95,
    73, 68, 95, 80, 79, 82, 84, 95, 86, 76, 65, 78, 0, 83, 87, 73, 84, 67, 72, 68, 69, 86, 95, 79,
    66, 74, 95, 73, 68, 95, 80, 79, 82, 84, 95, 77, 68, 66, 0, 83, 87, 73, 84, 67, 72, 68, 69, 86,
    95, 79, 66, 74, 95, 73, 68, 95, 72, 79, 83, 84, 95, 77, 68, 66, 0, 83, 87, 73, 84, 67, 72, 68,
    69, 86, 95, 79, 66, 74, 95, 73, 68, 95, 77, 82, 80, 0, 83, 87, 73, 84, 67, 72, 68, 69, 86, 95,
    79, 66, 74, 95, 73, 68, 95, 82, 73, 78, 71, 95, 84, 69, 83, 84, 95, 77, 82, 80, 0, 83, 87, 73,
    84, 67, 72, 68, 69, 86, 95, 79, 66, 74, 95, 73, 68, 95, 82, 73, 78, 71, 95, 82, 79, 76, 69, 95,
    77, 82, 80, 0, 83, 87, 73, 84, 67, 72, 68, 69, 86, 95, 79, 66, 74, 95, 73, 68, 95, 82, 73, 78,
    71, 95, 83, 84, 65, 84, 69, 95, 77, 82, 80, 0, 83, 87, 73, 84, 67, 72, 68, 69, 86, 95, 79, 66,
    74, 95, 73, 68, 95, 73, 78, 95, 84, 69, 83, 84, 95, 77, 82, 80, 0, 83, 87, 73, 84, 67, 72, 68,
    69, 86, 95, 79, 66, 74, 95, 73, 68, 95, 73, 78, 95, 82, 79, 76, 69, 95, 77, 82, 80, 0, 83, 87,
    73, 84, 67, 72, 68, 69, 86, 95, 79, 66, 74, 95, 73, 68, 95, 73, 78, 95, 83, 84, 65, 84, 69, 95,
    77, 82, 80, 0, 115, 119, 105, 116, 99, 104, 100, 101, 118, 95, 111, 98, 106, 95, 105, 100, 0,
    99, 111, 109, 112, 108, 101, 116, 101, 95, 112, 114, 105, 118, 0, 115, 119, 105, 116, 99, 104,
    100, 101, 118, 95, 111, 98, 106, 0, 118, 105, 100, 95, 98, 101, 103, 105, 110, 0, 118, 105,
    100, 95, 101, 110, 100, 0, 115, 119, 105, 116, 99, 104, 100, 101, 118, 95, 111, 98, 106, 95,
    112, 111, 114, 116, 95, 118, 108, 97, 110, 0, 112, 111, 114, 116, 95, 118, 108, 97, 110, 95,
    97, 100, 100, 0, 112, 111, 114, 116, 95, 118, 108, 97, 110, 95, 100, 101, 108, 0, 112, 111,
    114, 116, 95, 102, 100, 98, 95, 97, 100, 100, 0, 112, 111, 114, 116, 95, 102, 100, 98, 95, 100,
    101, 108, 0, 112, 111, 114, 116, 95, 102, 100, 98, 95, 100, 117, 109, 112, 0, 100, 115, 97, 95,
    102, 100, 98, 95, 100, 117, 109, 112, 95, 99, 98, 95, 116, 0, 112, 111, 114, 116, 95, 109, 100,
    98, 95, 112, 114, 101, 112, 97, 114, 101, 0, 118, 105, 100, 0, 115, 119, 105, 116, 99, 104,
    100, 101, 118, 95, 111, 98, 106, 95, 112, 111, 114, 116, 95, 109, 100, 98, 0, 112, 111, 114,
    116, 95, 109, 100, 98, 95, 97, 100, 100, 0, 112, 111, 114, 116, 95, 109, 100, 98, 95, 100, 101,
    108, 0, 99, 108, 115, 95, 102, 108, 111, 119, 101, 114, 95, 97, 100, 100, 0, 99, 104, 97, 105,
    110, 95, 105, 110, 100, 101, 120, 0, 102, 108, 111, 119, 95, 99, 108, 115, 95, 99, 111, 109,
    109, 111, 110, 95, 111, 102, 102, 108, 111, 97, 100, 0, 70, 76, 79, 87, 95, 67, 76, 83, 95, 82,
    69, 80, 76, 65, 67, 69, 0, 70, 76, 79, 87, 95, 67, 76, 83, 95, 68, 69, 83, 84, 82, 79, 89, 0,
    70, 76, 79, 87, 95, 67, 76, 83, 95, 83, 84, 65, 84, 83, 0, 70, 76, 79, 87, 95, 67, 76, 83, 95,
    84, 77, 80, 76, 84, 95, 67, 82, 69, 65, 84, 69, 0, 70, 76, 79, 87, 95, 67, 76, 83, 95, 84, 77,
    80, 76, 84, 95, 68, 69, 83, 84, 82, 79, 89, 0, 102, 108, 111, 119, 95, 99, 108, 115, 95, 99,
    111, 109, 109, 97, 110, 100, 0, 100, 105, 115, 115, 101, 99, 116, 111, 114, 0, 117, 115, 101,
    100, 95, 107, 101, 121, 115, 0, 102, 108, 111, 119, 95, 100, 105, 115, 115, 101, 99, 116, 111,
    114, 0, 102, 108, 111, 119, 95, 109, 97, 116, 99, 104, 0, 110, 117, 109, 95, 101, 110, 116,
    114, 105, 101, 115, 0, 70, 76, 79, 87, 95, 65, 67, 84, 73, 79, 78, 95, 65, 67, 67, 69, 80, 84,
    0, 70, 76, 79, 87, 95, 65, 67, 84, 73, 79, 78, 95, 68, 82, 79, 80, 0, 70, 76, 79, 87, 95, 65,
    67, 84, 73, 79, 78, 95, 84, 82, 65, 80, 0, 70, 76, 79, 87, 95, 65, 67, 84, 73, 79, 78, 95, 71,
    79, 84, 79, 0, 70, 76, 79, 87, 95, 65, 67, 84, 73, 79, 78, 95, 82, 69, 68, 73, 82, 69, 67, 84,
    0, 70, 76, 79, 87, 95, 65, 67, 84, 73, 79, 78, 95, 77, 73, 82, 82, 69, 68, 0, 70, 76, 79, 87,
    95, 65, 67, 84, 73, 79, 78, 95, 82, 69, 68, 73, 82, 69, 67, 84, 95, 73, 78, 71, 82, 69, 83, 83,
    0, 70, 76, 79, 87, 95, 65, 67, 84, 73, 79, 78, 95, 77, 73, 82, 82, 69, 68, 95, 73, 78, 71, 82,
    69, 83, 83, 0, 70, 76, 79, 87, 95, 65, 67, 84, 73, 79, 78, 95, 86, 76, 65, 78, 95, 80, 85, 83,
    72, 0, 70, 76, 79, 87, 95, 65, 67, 84, 73, 79, 78, 95, 86, 76, 65, 78, 95, 80, 79, 80, 0, 70,
    76, 79, 87, 95, 65, 67, 84, 73, 79, 78, 95, 86, 76, 65, 78, 95, 77, 65, 78, 71, 76, 69, 0, 70,
    76, 79, 87, 95, 65, 67, 84, 73, 79, 78, 95, 84, 85, 78, 78, 69, 76, 95, 69, 78, 67, 65, 80, 0,
    70, 76, 79, 87, 95, 65, 67, 84, 73, 79, 78, 95, 84, 85, 78, 78, 69, 76, 95, 68, 69, 67, 65, 80,
    0, 70, 76, 79, 87, 95, 65, 67, 84, 73, 79, 78, 95, 77, 65, 78, 71, 76, 69, 0, 70, 76, 79, 87,
    95, 65, 67, 84, 73, 79, 78, 95, 65, 68, 68, 0, 70, 76, 79, 87, 95, 65, 67, 84, 73, 79, 78, 95,
    67, 83, 85, 77, 0, 70, 76, 79, 87, 95, 65, 67, 84, 73, 79, 78, 95, 77, 65, 82, 75, 0, 70, 76,
    79, 87, 95, 65, 67, 84, 73, 79, 78, 95, 80, 84, 89, 80, 69, 0, 70, 76, 79, 87, 95, 65, 67, 84,
    73, 79, 78, 95, 80, 82, 73, 79, 82, 73, 84, 89, 0, 70, 76, 79, 87, 95, 65, 67, 84, 73, 79, 78,
    95, 87, 65, 75, 69, 0, 70, 76, 79, 87, 95, 65, 67, 84, 73, 79, 78, 95, 81, 85, 69, 85, 69, 0,
    70, 76, 79, 87, 95, 65, 67, 84, 73, 79, 78, 95, 83, 65, 77, 80, 76, 69, 0, 70, 76, 79, 87, 95,
    65, 67, 84, 73, 79, 78, 95, 80, 79, 76, 73, 67, 69, 0, 70, 76, 79, 87, 95, 65, 67, 84, 73, 79,
    78, 95, 67, 84, 0, 70, 76, 79, 87, 95, 65, 67, 84, 73, 79, 78, 95, 67, 84, 95, 77, 69, 84, 65,
    68, 65, 84, 65, 0, 70, 76, 79, 87, 95, 65, 67, 84, 73, 79, 78, 95, 77, 80, 76, 83, 95, 80, 85,
    83, 72, 0, 70, 76, 79, 87, 95, 65, 67, 84, 73, 79, 78, 95, 77, 80, 76, 83, 95, 80, 79, 80, 0,
    70, 76, 79, 87, 95, 65, 67, 84, 73, 79, 78, 95, 77, 80, 76, 83, 95, 77, 65, 78, 71, 76, 69, 0,
    70, 76, 79, 87, 95, 65, 67, 84, 73, 79, 78, 95, 71, 65, 84, 69, 0, 78, 85, 77, 95, 70, 76, 79,
    87, 95, 65, 67, 84, 73, 79, 78, 83, 0, 102, 108, 111, 119, 95, 97, 99, 116, 105, 111, 110, 95,
    105, 100, 0, 104, 119, 95, 115, 116, 97, 116, 115, 0, 70, 76, 79, 87, 95, 65, 67, 84, 73, 79,
    78, 95, 72, 87, 95, 83, 84, 65, 84, 83, 95, 73, 77, 77, 69, 68, 73, 65, 84, 69, 0, 70, 76, 79,
    87, 95, 65, 67, 84, 73, 79, 78, 95, 72, 87, 95, 83, 84, 65, 84, 83, 95, 68, 69, 76, 65, 89, 69,
    68, 0, 70, 76, 79, 87, 95, 65, 67, 84, 73, 79, 78, 95, 72, 87, 95, 83, 84, 65, 84, 83, 95, 65,
    78, 89, 0, 70, 76, 79, 87, 95, 65, 67, 84, 73, 79, 78, 95, 72, 87, 95, 83, 84, 65, 84, 83, 95,
    68, 73, 83, 65, 66, 76, 69, 68, 0, 70, 76, 79, 87, 95, 65, 67, 84, 73, 79, 78, 95, 72, 87, 95,
    83, 84, 65, 84, 83, 95, 68, 79, 78, 84, 95, 67, 65, 82, 69, 0, 102, 108, 111, 119, 95, 97, 99,
    116, 105, 111, 110, 95, 104, 119, 95, 115, 116, 97, 116, 115, 0, 97, 99, 116, 105, 111, 110,
    95, 100, 101, 115, 116, 114, 0, 100, 101, 115, 116, 114, 117, 99, 116, 111, 114, 95, 112, 114,
    105, 118, 0, 109, 97, 110, 103, 108, 101, 0, 104, 116, 121, 112, 101, 0, 70, 76, 79, 87, 95,
    65, 67, 84, 95, 77, 65, 78, 71, 76, 69, 95, 85, 78, 83, 80, 69, 67, 0, 70, 76, 79, 87, 95, 65,
    67, 84, 95, 77, 65, 78, 71, 76, 69, 95, 72, 68, 82, 95, 84, 89, 80, 69, 95, 69, 84, 72, 0, 70,
    76, 79, 87, 95, 65, 67, 84, 95, 77, 65, 78, 71, 76, 69, 95, 72, 68, 82, 95, 84, 89, 80, 69, 95,
    73, 80, 52, 0, 70, 76, 79, 87, 95, 65, 67, 84, 95, 77, 65, 78, 71, 76, 69, 95, 72, 68, 82, 95,
    84, 89, 80, 69, 95, 73, 80, 54, 0, 70, 76, 79, 87, 95, 65, 67, 84, 95, 77, 65, 78, 71, 76, 69,
    95, 72, 68, 82, 95, 84, 89, 80, 69, 95, 84, 67, 80, 0, 70, 76, 79, 87, 95, 65, 67, 84, 95, 77,
    65, 78, 71, 76, 69, 95, 72, 68, 82, 95, 84, 89, 80, 69, 95, 85, 68, 80, 0, 102, 108, 111, 119,
    95, 97, 99, 116, 105, 111, 110, 95, 109, 97, 110, 103, 108, 101, 95, 98, 97, 115, 101, 0, 116,
    117, 110, 95, 102, 108, 97, 103, 115, 0, 108, 97, 98, 101, 108, 0, 116, 112, 95, 115, 114, 99,
    0, 116, 112, 95, 100, 115, 116, 0, 105, 112, 95, 116, 117, 110, 110, 101, 108, 95, 107, 101,
    121, 0, 100, 115, 116, 95, 99, 97, 99, 104, 101, 0, 114, 101, 102, 114, 101, 115, 104, 95, 116,
    115, 0, 105, 110, 95, 115, 97, 100, 100, 114, 0, 105, 110, 54, 95, 115, 97, 100, 100, 114, 0,
    100, 115, 116, 95, 99, 97, 99, 104, 101, 95, 112, 99, 112, 117, 0, 114, 101, 115, 101, 116, 95,
    116, 115, 0, 111, 112, 116, 105, 111, 110, 115, 95, 108, 101, 110, 0, 105, 112, 95, 116, 117,
    110, 110, 101, 108, 95, 105, 110, 102, 111, 0, 99, 115, 117, 109, 95, 102, 108, 97, 103, 115,
    0, 112, 116, 121, 112, 101, 0, 115, 97, 109, 112, 108, 101, 0, 112, 115, 97, 109, 112, 108,
    101, 95, 103, 114, 111, 117, 112, 0, 103, 114, 111, 117, 112, 95, 110, 117, 109, 0, 114, 97,
    116, 101, 0, 116, 114, 117, 110, 99, 95, 115, 105, 122, 101, 0, 116, 114, 117, 110, 99, 97,
    116, 101, 0, 112, 111, 108, 105, 99, 101, 0, 114, 97, 116, 101, 95, 98, 121, 116, 101, 115, 95,
    112, 115, 0, 102, 108, 111, 119, 95, 116, 97, 98, 108, 101, 0, 110, 102, 95, 102, 108, 111,
    119, 116, 97, 98, 108, 101, 0, 99, 116, 95, 109, 101, 116, 97, 100, 97, 116, 97, 0, 108, 97,
    98, 101, 108, 115, 0, 109, 112, 108, 115, 95, 112, 117, 115, 104, 0, 116, 99, 0, 98, 111, 115,
    0, 109, 112, 108, 115, 95, 112, 111, 112, 0, 109, 112, 108, 115, 95, 109, 97, 110, 103, 108,
    101, 0, 103, 97, 116, 101, 0, 98, 97, 115, 101, 116, 105, 109, 101, 0, 99, 121, 99, 108, 101,
    116, 105, 109, 101, 0, 99, 121, 99, 108, 101, 116, 105, 109, 101, 101, 120, 116, 0, 103, 97,
    116, 101, 95, 115, 116, 97, 116, 101, 0, 105, 112, 118, 0, 109, 97, 120, 111, 99, 116, 101,
    116, 115, 0, 97, 99, 116, 105, 111, 110, 95, 103, 97, 116, 101, 95, 101, 110, 116, 114, 121, 0,
    102, 108, 111, 119, 95, 97, 99, 116, 105, 111, 110, 95, 99, 111, 111, 107, 105, 101, 0, 102,
    108, 111, 119, 95, 97, 99, 116, 105, 111, 110, 95, 101, 110, 116, 114, 121, 0, 102, 108, 111,
    119, 95, 97, 99, 116, 105, 111, 110, 0, 102, 108, 111, 119, 95, 114, 117, 108, 101, 0, 112,
    107, 116, 115, 0, 117, 115, 101, 100, 95, 104, 119, 95, 115, 116, 97, 116, 115, 0, 117, 115,
    101, 100, 95, 104, 119, 95, 115, 116, 97, 116, 115, 95, 118, 97, 108, 105, 100, 0, 102, 108,
    111, 119, 95, 115, 116, 97, 116, 115, 0, 102, 108, 111, 119, 95, 99, 108, 115, 95, 111, 102,
    102, 108, 111, 97, 100, 0, 99, 108, 115, 95, 102, 108, 111, 119, 101, 114, 95, 100, 101, 108,
    0, 99, 108, 115, 95, 102, 108, 111, 119, 101, 114, 95, 115, 116, 97, 116, 115, 0, 112, 111,
    114, 116, 95, 109, 105, 114, 114, 111, 114, 95, 97, 100, 100, 0, 116, 111, 95, 108, 111, 99,
    97, 108, 95, 112, 111, 114, 116, 0, 100, 115, 97, 95, 109, 97, 108, 108, 95, 109, 105, 114,
    114, 111, 114, 95, 116, 99, 95, 101, 110, 116, 114, 121, 0, 112, 111, 114, 116, 95, 109, 105,
    114, 114, 111, 114, 95, 100, 101, 108, 0, 112, 111, 114, 116, 95, 112, 111, 108, 105, 99, 101,
    114, 95, 97, 100, 100, 0, 114, 97, 116, 101, 95, 98, 121, 116, 101, 115, 95, 112, 101, 114, 95,
    115, 101, 99, 0, 100, 115, 97, 95, 109, 97, 108, 108, 95, 112, 111, 108, 105, 99, 101, 114, 95,
    116, 99, 95, 101, 110, 116, 114, 121, 0, 112, 111, 114, 116, 95, 112, 111, 108, 105, 99, 101,
    114, 95, 100, 101, 108, 0, 112, 111, 114, 116, 95, 115, 101, 116, 117, 112, 95, 116, 99, 0, 99,
    114, 111, 115, 115, 99, 104, 105, 112, 95, 98, 114, 105, 100, 103, 101, 95, 106, 111, 105, 110,
    0, 99, 114, 111, 115, 115, 99, 104, 105, 112, 95, 98, 114, 105, 100, 103, 101, 95, 108, 101,
    97, 118, 101, 0, 112, 111, 114, 116, 95, 104, 119, 116, 115, 116, 97, 109, 112, 95, 103, 101,
    116, 0, 112, 111, 114, 116, 95, 104, 119, 116, 115, 116, 97, 109, 112, 95, 115, 101, 116, 0,
    112, 111, 114, 116, 95, 116, 120, 116, 115, 116, 97, 109, 112, 0, 112, 111, 114, 116, 95, 114,
    120, 116, 115, 116, 97, 109, 112, 0, 100, 101, 118, 108, 105, 110, 107, 95, 112, 97, 114, 97,
    109, 95, 103, 101, 116, 0, 118, 117, 56, 0, 118, 117, 49, 54, 0, 118, 117, 51, 50, 0, 118, 115,
    116, 114, 0, 118, 98, 111, 111, 108, 0, 100, 101, 118, 108, 105, 110, 107, 95, 112, 97, 114,
    97, 109, 95, 118, 97, 108, 117, 101, 0, 99, 109, 111, 100, 101, 0, 68, 69, 86, 76, 73, 78, 75,
    95, 80, 65, 82, 65, 77, 95, 67, 77, 79, 68, 69, 95, 82, 85, 78, 84, 73, 77, 69, 0, 68, 69, 86,
    76, 73, 78, 75, 95, 80, 65, 82, 65, 77, 95, 67, 77, 79, 68, 69, 95, 68, 82, 73, 86, 69, 82, 73,
    78, 73, 84, 0, 68, 69, 86, 76, 73, 78, 75, 95, 80, 65, 82, 65, 77, 95, 67, 77, 79, 68, 69, 95,
    80, 69, 82, 77, 65, 78, 69, 78, 84, 0, 95, 95, 68, 69, 86, 76, 73, 78, 75, 95, 80, 65, 82, 65,
    77, 95, 67, 77, 79, 68, 69, 95, 77, 65, 88, 0, 68, 69, 86, 76, 73, 78, 75, 95, 80, 65, 82, 65,
    77, 95, 67, 77, 79, 68, 69, 95, 77, 65, 88, 0, 100, 101, 118, 108, 105, 110, 107, 95, 112, 97,
    114, 97, 109, 95, 99, 109, 111, 100, 101, 0, 100, 101, 118, 108, 105, 110, 107, 95, 112, 97,
    114, 97, 109, 95, 103, 115, 101, 116, 95, 99, 116, 120, 0, 100, 101, 118, 108, 105, 110, 107,
    95, 112, 97, 114, 97, 109, 95, 115, 101, 116, 0, 112, 111, 114, 116, 95, 99, 104, 97, 110, 103,
    101, 95, 109, 116, 117, 0, 112, 111, 114, 116, 95, 109, 97, 120, 95, 109, 116, 117, 0, 100,
    115, 97, 95, 115, 119, 105, 116, 99, 104, 95, 111, 112, 115, 0, 112, 104, 121, 115, 95, 109,
    105, 105, 95, 109, 97, 115, 107, 0, 115, 108, 97, 118, 101, 95, 109, 105, 105, 95, 98, 117,
    115, 0, 97, 103, 101, 105, 110, 103, 95, 116, 105, 109, 101, 95, 109, 105, 110, 0, 97, 103,
    101, 105, 110, 103, 95, 116, 105, 109, 101, 95, 109, 97, 120, 0, 118, 108, 97, 110, 95, 102,
    105, 108, 116, 101, 114, 105, 110, 103, 95, 105, 115, 95, 103, 108, 111, 98, 97, 108, 0, 99,
    111, 110, 102, 105, 103, 117, 114, 101, 95, 118, 108, 97, 110, 95, 119, 104, 105, 108, 101, 95,
    110, 111, 116, 95, 102, 105, 108, 116, 101, 114, 105, 110, 103, 0, 118, 108, 97, 110, 95, 102,
    105, 108, 116, 101, 114, 105, 110, 103, 0, 112, 99, 115, 95, 112, 111, 108, 108, 0, 109, 116,
    117, 95, 101, 110, 102, 111, 114, 99, 101, 109, 101, 110, 116, 95, 105, 110, 103, 114, 101,
    115, 115, 0, 110, 117, 109, 95, 112, 111, 114, 116, 115, 0, 100, 115, 97, 95, 115, 119, 105,
    116, 99, 104, 0, 99, 112, 117, 95, 100, 112, 0, 97, 103, 101, 105, 110, 103, 95, 116, 105, 109,
    101, 0, 115, 116, 112, 95, 115, 116, 97, 116, 101, 0, 98, 114, 105, 100, 103, 101, 95, 100,
    101, 118, 0, 112, 108, 0, 112, 108, 95, 99, 111, 110, 102, 105, 103, 0, 80, 72, 89, 76, 73, 78,
    75, 95, 78, 69, 84, 68, 69, 86, 0, 80, 72, 89, 76, 73, 78, 75, 95, 68, 69, 86, 0, 112, 104,
    121, 108, 105, 110, 107, 95, 111, 112, 95, 116, 121, 112, 101, 0, 112, 111, 108, 108, 95, 102,
    105, 120, 101, 100, 95, 115, 116, 97, 116, 101, 0, 103, 101, 116, 95, 102, 105, 120, 101, 100,
    95, 115, 116, 97, 116, 101, 0, 112, 104, 121, 108, 105, 110, 107, 95, 99, 111, 110, 102, 105,
    103, 0, 111, 114, 105, 103, 95, 101, 116, 104, 116, 111, 111, 108, 95, 111, 112, 115, 0, 100,
    115, 97, 95, 110, 101, 116, 100, 101, 118, 105, 99, 101, 95, 111, 112, 115, 0, 100, 115, 97,
    95, 112, 111, 114, 116, 0, 77, 77, 95, 70, 73, 76, 69, 80, 65, 71, 69, 83, 0, 77, 77, 95, 65,
    78, 79, 78, 80, 65, 71, 69, 83, 0, 77, 77, 95, 83, 87, 65, 80, 69, 78, 84, 83, 0, 77, 77, 95,
    83, 72, 77, 69, 77, 80, 65, 71, 69, 83, 0, 78, 82, 95, 77, 77, 95, 67, 79, 85, 78, 84, 69, 82,
    83, 0, 66, 80, 70, 95, 70, 95, 73, 78, 68, 69, 88, 95, 77, 65, 83, 75, 0, 66, 80, 70, 95, 70,
    95, 67, 85, 82, 82, 69, 78, 84, 95, 67, 80, 85, 0, 66, 80, 70, 95, 70, 95, 67, 84, 88, 76, 69,
    78, 95, 77, 65, 83, 75, 0, 116, 114, 97, 99, 101, 112, 111, 105, 110, 116, 95, 95, 115, 99,
    104, 101, 100, 95, 95, 115, 99, 104, 101, 100, 95, 112, 114, 111, 99, 101, 115, 115, 95, 101,
    120, 105, 116, 0, 109, 101, 116, 97, 0, 115, 105, 100, 0, 109, 101, 116, 97, 100, 97, 116, 97,
    0, 117, 116, 105, 109, 101, 95, 117, 115, 0, 115, 116, 105, 109, 101, 95, 117, 115, 0, 101,
    116, 105, 109, 101, 95, 117, 115, 0, 105, 111, 95, 114, 101, 97, 100, 95, 98, 121, 116, 101,
    115, 0, 105, 111, 95, 119, 114, 105, 116, 101, 95, 98, 121, 116, 101, 115, 0, 97, 99, 116, 105,
    118, 101, 95, 114, 115, 115, 95, 112, 97, 103, 101, 115, 0, 101, 120, 105, 116, 115, 116, 97,
    116, 115, 0, 116, 114, 97, 99, 101, 95, 101, 118, 101, 110, 116, 95, 114, 97, 119, 95, 115, 99,
    104, 101, 100, 95, 112, 114, 111, 99, 101, 115, 115, 95, 116, 101, 109, 112, 108, 97, 116, 101,
    0, 112, 105, 100, 95, 116, 103, 105, 100, 0, 110, 111, 119, 0, 95, 95, 116, 0, 95, 95, 114, 0,
    102, 105, 108, 101, 95, 112, 97, 103, 101, 115, 0, 97, 110, 111, 110, 95, 112, 97, 103, 101,
    115, 0, 115, 104, 109, 101, 109, 95, 112, 97, 103, 101, 115, 0, 97, 99, 116, 105, 118, 101, 95,
    114, 115, 115, 0, 159, 235, 1, 0, 24, 0, 0, 0, 0, 0, 0, 0, 28, 72, 0, 0, 28, 72, 0, 0, 10, 53,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 3, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 1, 4, 0, 0, 0, 32, 0, 0, 1, 0,
    0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 2, 0, 0, 0, 4, 0, 0, 0, 4, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 1, 4,
    0, 0, 0, 32, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 4, 24, 0, 0, 0, 25, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0,
    30, 0, 0, 0, 1, 0, 0, 0, 64, 0, 0, 0, 39, 0, 0, 0, 1, 0, 0, 0, 128, 0, 0, 0, 50, 0, 0, 0, 0, 0,
    0, 14, 5, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 8, 0, 0, 0, 57, 0, 0, 0, 5, 0, 0, 4, 32,
    0, 0, 0, 96, 0, 0, 0, 9, 0, 0, 0, 0, 0, 0, 0, 100, 0, 0, 0, 13, 0, 0, 0, 64, 0, 0, 0, 105, 0,
    0, 0, 14, 0, 0, 0, 192, 0, 0, 0, 109, 0, 0, 0, 2, 0, 0, 0, 224, 0, 0, 0, 114, 0, 0, 0, 16, 0,
    0, 0, 0, 1, 0, 0, 121, 0, 0, 0, 4, 0, 0, 4, 8, 0, 0, 0, 25, 0, 0, 0, 10, 0, 0, 0, 0, 0, 0, 0,
    133, 0, 0, 0, 11, 0, 0, 0, 16, 0, 0, 0, 139, 0, 0, 0, 11, 0, 0, 0, 24, 0, 0, 0, 105, 0, 0, 0,
    2, 0, 0, 0, 32, 0, 0, 0, 153, 0, 0, 0, 0, 0, 0, 1, 2, 0, 0, 0, 16, 0, 0, 0, 168, 0, 0, 0, 0, 0,
    0, 1, 1, 0, 0, 0, 8, 0, 0, 0, 182, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 8, 0, 0, 1, 0, 0, 0, 0, 0,
    0, 0, 3, 0, 0, 0, 0, 12, 0, 0, 0, 4, 0, 0, 0, 16, 0, 0, 0, 187, 0, 0, 0, 0, 0, 0, 8, 15, 0, 0,
    0, 193, 0, 0, 0, 0, 0, 0, 8, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 12, 0, 0, 0, 4, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 13, 2, 0, 0, 0, 208, 0, 0, 0, 7, 0, 0, 0, 213, 0, 0, 0,
    1, 0, 0, 12, 17, 0, 0, 0, 95, 2, 0, 0, 227, 0, 0, 132, 64, 43, 0, 0, 107, 2, 0, 0, 20, 0, 0, 0,
    0, 0, 0, 0, 119, 2, 0, 0, 25, 0, 0, 0, 128, 0, 0, 0, 125, 2, 0, 0, 27, 0, 0, 0, 192, 0, 0, 0,
    131, 2, 0, 0, 28, 0, 0, 0, 0, 1, 0, 0, 133, 0, 0, 0, 24, 0, 0, 0, 32, 1, 0, 0, 137, 2, 0, 0,
    24, 0, 0, 0, 64, 1, 0, 0, 144, 2, 0, 0, 2, 0, 0, 0, 96, 1, 0, 0, 151, 2, 0, 0, 32, 0, 0, 0,
    128, 1, 0, 0, 162, 2, 0, 0, 24, 0, 0, 0, 0, 2, 0, 0, 166, 2, 0, 0, 24, 0, 0, 0, 32, 2, 0, 0,
    178, 2, 0, 0, 21, 0, 0, 0, 64, 2, 0, 0, 198, 2, 0, 0, 36, 0, 0, 0, 128, 2, 0, 0, 209, 2, 0, 0,
    2, 0, 0, 0, 192, 2, 0, 0, 225, 2, 0, 0, 2, 0, 0, 0, 224, 2, 0, 0, 234, 2, 0, 0, 2, 0, 0, 0, 0,
    3, 0, 0, 109, 0, 0, 0, 2, 0, 0, 0, 32, 3, 0, 0, 240, 2, 0, 0, 2, 0, 0, 0, 64, 3, 0, 0, 252, 2,
    0, 0, 2, 0, 0, 0, 96, 3, 0, 0, 8, 3, 0, 0, 24, 0, 0, 0, 128, 3, 0, 0, 20, 3, 0, 0, 37, 0, 0, 0,
    192, 3, 0, 0, 32, 3, 0, 0, 39, 0, 0, 0, 0, 4, 0, 0, 35, 3, 0, 0, 56, 0, 0, 0, 0, 18, 0, 0, 38,
    3, 0, 0, 58, 0, 0, 0, 128, 19, 0, 0, 55, 3, 0, 0, 59, 0, 0, 0, 192, 19, 0, 0, 58, 3, 0, 0, 71,
    0, 0, 0, 128, 26, 0, 0, 69, 3, 0, 0, 71, 0, 0, 0, 192, 26, 0, 0, 76, 3, 0, 0, 72, 0, 0, 0, 0,
    27, 0, 0, 94, 3, 0, 0, 24, 0, 0, 0, 64, 27, 0, 0, 105, 3, 0, 0, 24, 0, 0, 0, 96, 27, 0, 0, 112,
    3, 0, 0, 2, 0, 0, 0, 128, 27, 0, 0, 128, 3, 0, 0, 74, 0, 0, 0, 192, 27, 0, 0, 137, 3, 0, 0, 76,
    0, 0, 0, 0, 28, 0, 0, 147, 3, 0, 0, 2, 0, 0, 0, 64, 29, 0, 0, 169, 3, 0, 0, 79, 0, 0, 0, 96,
    29, 0, 0, 193, 3, 0, 0, 43, 0, 0, 0, 128, 29, 0, 0, 208, 3, 0, 0, 81, 0, 0, 0, 0, 30, 0, 0,
    225, 3, 0, 0, 21, 0, 0, 0, 64, 30, 0, 0, 241, 3, 0, 0, 68, 0, 0, 0, 128, 30, 0, 0, 3, 4, 0, 0,
    68, 0, 0, 0, 136, 30, 0, 0, 17, 4, 0, 0, 2, 0, 0, 0, 160, 30, 0, 0, 36, 4, 0, 0, 43, 0, 0, 0,
    192, 30, 0, 0, 59, 4, 0, 0, 82, 0, 0, 0, 64, 31, 0, 0, 70, 4, 0, 0, 43, 0, 0, 0, 64, 32, 0, 0,
    76, 4, 0, 0, 83, 0, 0, 0, 192, 32, 0, 0, 91, 4, 0, 0, 41, 0, 0, 0, 0, 34, 0, 0, 109, 4, 0, 0,
    84, 0, 0, 0, 192, 34, 0, 0, 112, 4, 0, 0, 84, 0, 0, 0, 0, 35, 0, 0, 122, 4, 0, 0, 85, 0, 0, 0,
    64, 35, 0, 0, 131, 4, 0, 0, 103, 0, 0, 0, 128, 36, 0, 0, 140, 4, 0, 0, 2, 0, 0, 0, 32, 37, 0,
    0, 151, 4, 0, 0, 2, 0, 0, 0, 64, 37, 0, 0, 161, 4, 0, 0, 2, 0, 0, 0, 96, 37, 0, 0, 173, 4, 0,
    0, 2, 0, 0, 0, 128, 37, 0, 0, 187, 4, 0, 0, 21, 0, 0, 0, 192, 37, 0, 0, 194, 4, 0, 0, 24, 0, 0,
    0, 0, 38, 0, 0, 206, 4, 0, 0, 24, 0, 0, 0, 32, 38, 0, 1, 226, 4, 0, 0, 24, 0, 0, 0, 33, 38, 0,
    1, 252, 4, 0, 0, 24, 0, 0, 0, 34, 38, 0, 1, 11, 5, 0, 0, 24, 0, 0, 0, 35, 38, 0, 1, 34, 5, 0,
    0, 24, 0, 0, 0, 64, 38, 0, 1, 54, 5, 0, 0, 24, 0, 0, 0, 65, 38, 0, 1, 64, 5, 0, 0, 24, 0, 0, 0,
    66, 38, 0, 1, 74, 5, 0, 0, 24, 0, 0, 0, 67, 38, 0, 1, 90, 5, 0, 0, 24, 0, 0, 0, 68, 38, 0, 1,
    104, 5, 0, 0, 24, 0, 0, 0, 69, 38, 0, 1, 124, 5, 0, 0, 24, 0, 0, 0, 70, 38, 0, 1, 131, 5, 0, 0,
    24, 0, 0, 0, 71, 38, 0, 1, 144, 5, 0, 0, 24, 0, 0, 0, 72, 38, 0, 1, 156, 5, 0, 0, 21, 0, 0, 0,
    128, 38, 0, 0, 169, 5, 0, 0, 104, 0, 0, 0, 192, 38, 0, 0, 105, 0, 0, 0, 14, 0, 0, 0, 64, 40, 0,
    0, 183, 5, 0, 0, 14, 0, 0, 0, 96, 40, 0, 0, 188, 5, 0, 0, 21, 0, 0, 0, 128, 40, 0, 0, 201, 5,
    0, 0, 36, 0, 0, 0, 192, 40, 0, 0, 213, 5, 0, 0, 36, 0, 0, 0, 0, 41, 0, 0, 220, 5, 0, 0, 43, 0,
    0, 0, 64, 41, 0, 0, 229, 5, 0, 0, 43, 0, 0, 0, 192, 41, 0, 0, 237, 5, 0, 0, 36, 0, 0, 0, 64,
    42, 0, 0, 250, 5, 0, 0, 43, 0, 0, 0, 128, 42, 0, 0, 2, 6, 0, 0, 43, 0, 0, 0, 0, 43, 0, 0, 15,
    6, 0, 0, 120, 0, 0, 0, 128, 43, 0, 0, 26, 6, 0, 0, 123, 0, 0, 0, 192, 43, 0, 0, 36, 6, 0, 0,
    43, 0, 0, 0, 192, 45, 0, 0, 49, 6, 0, 0, 43, 0, 0, 0, 64, 46, 0, 0, 61, 6, 0, 0, 124, 0, 0, 0,
    192, 46, 0, 0, 72, 6, 0, 0, 125, 0, 0, 0, 0, 47, 0, 0, 86, 6, 0, 0, 125, 0, 0, 0, 64, 47, 0, 0,
    102, 6, 0, 0, 45, 0, 0, 0, 128, 47, 0, 0, 108, 6, 0, 0, 45, 0, 0, 0, 192, 47, 0, 0, 114, 6, 0,
    0, 45, 0, 0, 0, 0, 48, 0, 0, 120, 6, 0, 0, 126, 0, 0, 0, 64, 48, 0, 0, 133, 6, 0, 0, 21, 0, 0,
    0, 0, 49, 0, 0, 139, 6, 0, 0, 21, 0, 0, 0, 64, 49, 0, 0, 146, 6, 0, 0, 45, 0, 0, 0, 128, 49, 0,
    0, 157, 6, 0, 0, 45, 0, 0, 0, 192, 49, 0, 0, 172, 6, 0, 0, 21, 0, 0, 0, 0, 50, 0, 0, 180, 6, 0,
    0, 21, 0, 0, 0, 64, 50, 0, 0, 188, 6, 0, 0, 136, 0, 0, 0, 128, 50, 0, 0, 204, 6, 0, 0, 142, 0,
    0, 0, 0, 53, 0, 0, 225, 6, 0, 0, 147, 0, 0, 0, 192, 53, 0, 0, 238, 6, 0, 0, 147, 0, 0, 0, 0,
    54, 0, 0, 248, 6, 0, 0, 147, 0, 0, 0, 64, 54, 0, 0, 253, 6, 0, 0, 149, 0, 0, 0, 128, 54, 0, 0,
    100, 0, 0, 0, 13, 0, 0, 0, 192, 54, 0, 0, 18, 7, 0, 0, 150, 0, 0, 0, 64, 55, 0, 0, 28, 7, 0, 0,
    151, 0, 0, 0, 128, 55, 0, 0, 36, 7, 0, 0, 153, 0, 0, 0, 192, 55, 0, 0, 44, 7, 0, 0, 21, 0, 0,
    0, 64, 56, 0, 0, 62, 7, 0, 0, 21, 0, 0, 0, 128, 56, 0, 0, 79, 7, 0, 0, 154, 0, 0, 0, 192, 56,
    0, 0, 82, 7, 0, 0, 155, 0, 0, 0, 0, 57, 0, 0, 88, 7, 0, 0, 156, 0, 0, 0, 64, 57, 0, 0, 97, 7,
    0, 0, 157, 0, 0, 0, 128, 57, 0, 0, 105, 7, 0, 0, 158, 0, 0, 0, 192, 57, 0, 0, 112, 7, 0, 0,
    159, 0, 0, 0, 0, 58, 0, 0, 120, 7, 0, 0, 160, 0, 0, 0, 64, 58, 0, 0, 128, 7, 0, 0, 160, 0, 0,
    0, 128, 58, 0, 0, 141, 7, 0, 0, 160, 0, 0, 0, 192, 58, 0, 0, 155, 7, 0, 0, 163, 0, 0, 0, 0, 59,
    0, 0, 163, 7, 0, 0, 21, 0, 0, 0, 192, 59, 0, 0, 173, 7, 0, 0, 164, 0, 0, 0, 0, 60, 0, 0, 185,
    7, 0, 0, 24, 0, 0, 0, 64, 60, 0, 0, 198, 7, 0, 0, 144, 0, 0, 0, 128, 60, 0, 0, 209, 7, 0, 0,
    167, 0, 0, 0, 192, 60, 0, 0, 223, 7, 0, 0, 168, 0, 0, 0, 0, 61, 0, 0, 232, 7, 0, 0, 24, 0, 0,
    0, 32, 61, 0, 0, 242, 7, 0, 0, 172, 0, 0, 0, 64, 61, 0, 0, 250, 7, 0, 0, 45, 0, 0, 0, 192, 61,
    0, 0, 9, 8, 0, 0, 45, 0, 0, 0, 0, 62, 0, 0, 22, 8, 0, 0, 174, 0, 0, 0, 64, 62, 0, 0, 33, 8, 0,
    0, 127, 0, 0, 0, 96, 62, 0, 0, 41, 8, 0, 0, 177, 0, 0, 0, 128, 62, 0, 0, 48, 8, 0, 0, 139, 0,
    0, 0, 192, 62, 0, 0, 59, 8, 0, 0, 36, 0, 0, 0, 64, 63, 0, 0, 71, 8, 0, 0, 179, 0, 0, 0, 128,
    63, 0, 0, 85, 8, 0, 0, 27, 0, 0, 0, 192, 63, 0, 0, 98, 8, 0, 0, 180, 0, 0, 0, 0, 64, 0, 0, 107,
    8, 0, 0, 181, 0, 0, 0, 64, 64, 0, 0, 112, 8, 0, 0, 182, 0, 0, 0, 128, 64, 0, 0, 126, 8, 0, 0,
    183, 0, 0, 0, 192, 64, 0, 0, 143, 8, 0, 0, 184, 0, 0, 0, 0, 65, 0, 0, 154, 8, 0, 0, 185, 0, 0,
    0, 64, 65, 0, 0, 170, 8, 0, 0, 21, 0, 0, 0, 128, 65, 0, 0, 185, 8, 0, 0, 186, 0, 0, 0, 192, 65,
    0, 0, 198, 8, 0, 0, 188, 0, 0, 0, 0, 66, 0, 0, 203, 8, 0, 0, 24, 0, 0, 0, 192, 67, 0, 0, 213,
    8, 0, 0, 45, 0, 0, 0, 0, 68, 0, 0, 227, 8, 0, 0, 45, 0, 0, 0, 64, 68, 0, 0, 240, 8, 0, 0, 45,
    0, 0, 0, 128, 68, 0, 0, 253, 8, 0, 0, 189, 0, 0, 0, 192, 68, 0, 0, 10, 9, 0, 0, 191, 0, 0, 0,
    0, 69, 0, 0, 27, 9, 0, 0, 2, 0, 0, 0, 32, 69, 0, 0, 51, 9, 0, 0, 2, 0, 0, 0, 64, 69, 0, 0, 76,
    9, 0, 0, 195, 0, 0, 0, 128, 69, 0, 0, 84, 9, 0, 0, 43, 0, 0, 0, 192, 69, 0, 0, 92, 9, 0, 0, 22,
    0, 0, 0, 64, 70, 0, 0, 99, 9, 0, 0, 22, 0, 0, 0, 96, 70, 0, 0, 104, 9, 0, 0, 196, 0, 0, 0, 128,
    70, 0, 0, 116, 9, 0, 0, 197, 0, 0, 0, 192, 70, 0, 0, 135, 9, 0, 0, 43, 0, 0, 0, 0, 71, 0, 0,
    149, 9, 0, 0, 198, 0, 0, 0, 128, 71, 0, 0, 164, 9, 0, 0, 199, 0, 0, 0, 192, 71, 0, 0, 181, 9,
    0, 0, 24, 0, 0, 0, 192, 72, 0, 0, 193, 9, 0, 0, 205, 0, 0, 0, 0, 73, 0, 0, 209, 9, 0, 0, 199,
    0, 0, 0, 128, 73, 0, 0, 226, 9, 0, 0, 43, 0, 0, 0, 128, 74, 0, 0, 242, 9, 0, 0, 21, 0, 0, 0, 0,
    75, 0, 0, 5, 10, 0, 0, 99, 0, 0, 0, 64, 75, 0, 0, 15, 10, 0, 0, 206, 0, 0, 0, 128, 75, 0, 0,
    23, 10, 0, 0, 206, 0, 0, 0, 144, 75, 0, 0, 38, 10, 0, 0, 2, 0, 0, 0, 160, 75, 0, 0, 52, 10, 0,
    0, 24, 0, 0, 0, 192, 75, 0, 0, 69, 10, 0, 0, 24, 0, 0, 0, 224, 75, 0, 0, 90, 10, 0, 0, 2, 0, 0,
    0, 0, 76, 0, 0, 109, 10, 0, 0, 21, 0, 0, 0, 64, 76, 0, 0, 128, 10, 0, 0, 45, 0, 0, 0, 128, 76,
    0, 0, 139, 10, 0, 0, 45, 0, 0, 0, 192, 76, 0, 0, 164, 10, 0, 0, 45, 0, 0, 0, 0, 77, 0, 0, 186,
    10, 0, 0, 143, 0, 0, 0, 64, 77, 0, 0, 196, 10, 0, 0, 207, 0, 0, 0, 192, 77, 0, 0, 207, 10, 0,
    0, 208, 0, 0, 0, 0, 78, 0, 0, 219, 10, 0, 0, 21, 0, 0, 0, 64, 78, 0, 0, 237, 10, 0, 0, 209, 0,
    0, 0, 128, 78, 0, 0, 2, 11, 0, 0, 21, 0, 0, 0, 64, 79, 0, 0, 22, 11, 0, 0, 210, 0, 0, 0, 128,
    79, 0, 0, 27, 11, 0, 0, 22, 0, 0, 0, 192, 79, 0, 0, 36, 11, 0, 0, 21, 0, 0, 0, 0, 80, 0, 0, 52,
    11, 0, 0, 211, 0, 0, 0, 64, 80, 0, 0, 0, 0, 0, 0, 215, 0, 0, 0, 192, 81, 0, 0, 60, 11, 0, 0,
    216, 0, 0, 0, 64, 82, 0, 0, 72, 11, 0, 0, 217, 0, 0, 0, 128, 82, 0, 0, 82, 11, 0, 0, 219, 0, 0,
    0, 0, 83, 0, 0, 89, 11, 0, 0, 2, 0, 0, 0, 64, 83, 0, 0, 100, 11, 0, 0, 2, 0, 0, 0, 96, 83, 0,
    0, 117, 11, 0, 0, 21, 0, 0, 0, 128, 83, 0, 0, 135, 11, 0, 0, 2, 0, 0, 0, 192, 83, 0, 0, 156,
    11, 0, 0, 222, 0, 0, 0, 0, 84, 0, 0, 171, 11, 0, 0, 45, 0, 0, 0, 0, 204, 0, 0, 186, 11, 0, 0,
    45, 0, 0, 0, 64, 204, 0, 0, 209, 11, 0, 0, 2, 0, 0, 0, 128, 204, 0, 0, 224, 11, 0, 0, 2, 0, 0,
    0, 160, 204, 0, 0, 239, 11, 0, 0, 223, 0, 0, 0, 192, 204, 0, 0, 249, 11, 0, 0, 47, 0, 0, 0, 0,
    205, 0, 0, 10, 12, 0, 0, 30, 0, 0, 0, 64, 205, 0, 0, 24, 12, 0, 0, 30, 0, 0, 0, 96, 205, 0, 0,
    44, 12, 0, 0, 21, 0, 0, 0, 128, 205, 0, 0, 50, 12, 0, 0, 21, 0, 0, 0, 192, 205, 0, 0, 66, 12,
    0, 0, 224, 0, 0, 0, 0, 206, 0, 0, 79, 12, 0, 0, 225, 0, 0, 0, 64, 206, 0, 0, 98, 12, 0, 0, 2,
    0, 0, 0, 96, 206, 0, 0, 114, 12, 0, 0, 24, 0, 0, 0, 128, 206, 0, 0, 139, 12, 0, 0, 224, 0, 0,
    0, 192, 206, 0, 0, 152, 12, 0, 0, 226, 0, 0, 0, 0, 207, 0, 0, 167, 12, 0, 0, 227, 0, 0, 0, 64,
    207, 0, 0, 173, 12, 0, 0, 24, 0, 0, 0, 128, 207, 0, 0, 187, 12, 0, 0, 24, 0, 0, 0, 160, 207, 0,
    0, 205, 12, 0, 0, 2, 0, 0, 0, 192, 207, 0, 0, 224, 12, 0, 0, 36, 0, 0, 0, 0, 208, 0, 0, 240,
    12, 0, 0, 228, 0, 0, 0, 64, 208, 0, 0, 254, 12, 0, 0, 28, 0, 0, 0, 128, 208, 0, 0, 13, 13, 0,
    0, 27, 0, 0, 0, 192, 208, 0, 0, 22, 13, 0, 0, 45, 0, 0, 0, 0, 209, 0, 0, 31, 13, 0, 0, 46, 0,
    0, 0, 64, 209, 0, 1, 40, 13, 0, 0, 46, 0, 0, 0, 65, 209, 0, 1, 55, 13, 0, 0, 46, 0, 0, 0, 66,
    209, 0, 62, 70, 13, 0, 0, 143, 0, 0, 0, 128, 209, 0, 0, 82, 13, 0, 0, 229, 0, 0, 0, 0, 210, 0,
    0, 107, 2, 0, 0, 2, 0, 0, 4, 16, 0, 0, 0, 133, 0, 0, 0, 21, 0, 0, 0, 0, 0, 0, 0, 89, 13, 0, 0,
    22, 0, 0, 0, 64, 0, 0, 0, 96, 13, 0, 0, 0, 0, 0, 1, 8, 0, 0, 0, 64, 0, 0, 0, 114, 13, 0, 0, 0,
    0, 0, 8, 23, 0, 0, 0, 118, 13, 0, 0, 0, 0, 0, 8, 24, 0, 0, 0, 124, 13, 0, 0, 0, 0, 0, 1, 4, 0,
    0, 0, 32, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 9, 26, 0, 0, 0, 137, 13, 0, 0, 0, 0, 0, 1, 8, 0, 0, 0,
    64, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 0, 0, 146, 13, 0, 0, 0, 0, 0, 8, 29, 0, 0, 0, 157,
    13, 0, 0, 1, 0, 0, 4, 4, 0, 0, 0, 173, 13, 0, 0, 30, 0, 0, 0, 0, 0, 0, 0, 178, 13, 0, 0, 0, 0,
    0, 8, 31, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 4, 4, 0, 0, 0, 187, 13, 0, 0, 2, 0, 0, 0, 0, 0, 0, 0,
    195, 13, 0, 0, 2, 0, 0, 4, 16, 0, 0, 0, 214, 13, 0, 0, 33, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 35,
    0, 0, 0, 64, 0, 0, 0, 220, 13, 0, 0, 1, 0, 0, 4, 8, 0, 0, 0, 231, 13, 0, 0, 34, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 33, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 5, 4, 0, 0, 0, 236, 13, 0, 0,
    24, 0, 0, 0, 0, 0, 0, 0, 244, 13, 0, 0, 30, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 19, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 38, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 10, 175, 1, 0, 0, 252, 13, 0,
    0, 16, 0, 0, 4, 192, 1, 0, 0, 9, 14, 0, 0, 40, 0, 0, 0, 0, 0, 0, 0, 14, 14, 0, 0, 41, 0, 0, 0,
    128, 0, 0, 0, 23, 14, 0, 0, 43, 0, 0, 0, 64, 1, 0, 0, 234, 2, 0, 0, 24, 0, 0, 0, 192, 1, 0, 0,
    34, 14, 0, 0, 45, 0, 0, 0, 0, 2, 0, 0, 45, 14, 0, 0, 45, 0, 0, 0, 64, 2, 0, 0, 62, 14, 0, 0,
    45, 0, 0, 0, 128, 2, 0, 0, 71, 14, 0, 0, 45, 0, 0, 0, 192, 2, 0, 0, 93, 14, 0, 0, 45, 0, 0, 0,
    0, 3, 0, 0, 107, 14, 0, 0, 48, 0, 0, 0, 64, 3, 0, 0, 118, 14, 0, 0, 2, 0, 0, 0, 0, 10, 0, 0,
    213, 5, 0, 0, 52, 0, 0, 0, 64, 10, 0, 0, 124, 14, 0, 0, 53, 0, 0, 0, 128, 10, 0, 0, 131, 14, 0,
    0, 53, 0, 0, 0, 192, 10, 0, 0, 136, 14, 0, 0, 21, 0, 0, 0, 0, 11, 0, 0, 152, 14, 0, 0, 54, 0,
    0, 0, 0, 12, 0, 0, 156, 14, 0, 0, 2, 0, 0, 4, 16, 0, 0, 0, 168, 14, 0, 0, 21, 0, 0, 0, 0, 0, 0,
    0, 175, 14, 0, 0, 22, 0, 0, 0, 64, 0, 0, 0, 186, 14, 0, 0, 3, 0, 0, 4, 24, 0, 0, 0, 194, 14, 0,
    0, 21, 0, 0, 0, 0, 0, 0, 0, 212, 14, 0, 0, 42, 0, 0, 0, 64, 0, 0, 0, 221, 14, 0, 0, 42, 0, 0,
    0, 128, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 41, 0, 0, 0, 229, 14, 0, 0, 2, 0, 0, 4, 16, 0, 0, 0,
    231, 13, 0, 0, 44, 0, 0, 0, 0, 0, 0, 0, 239, 14, 0, 0, 44, 0, 0, 0, 64, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 2, 43, 0, 0, 0, 244, 14, 0, 0, 0, 0, 0, 8, 46, 0, 0, 0, 248, 14, 0, 0, 0, 0, 0, 8, 47, 0,
    0, 0, 254, 14, 0, 0, 0, 0, 0, 1, 8, 0, 0, 0, 64, 0, 0, 0, 21, 15, 0, 0, 27, 0, 0, 4, 216, 0, 0,
    0, 38, 15, 0, 0, 45, 0, 0, 0, 0, 0, 0, 0, 49, 15, 0, 0, 45, 0, 0, 0, 64, 0, 0, 0, 58, 15, 0, 0,
    45, 0, 0, 0, 128, 0, 0, 0, 69, 15, 0, 0, 45, 0, 0, 0, 192, 0, 0, 0, 78, 15, 0, 0, 45, 0, 0, 0,
    0, 1, 0, 0, 91, 15, 0, 0, 45, 0, 0, 0, 64, 1, 0, 0, 102, 15, 0, 0, 45, 0, 0, 0, 128, 1, 0, 0,
    114, 15, 0, 0, 45, 0, 0, 0, 192, 1, 0, 0, 124, 15, 0, 0, 49, 0, 0, 0, 0, 2, 0, 0, 142, 15, 0,
    0, 45, 0, 0, 0, 64, 2, 0, 0, 154, 15, 0, 0, 45, 0, 0, 0, 128, 2, 0, 0, 164, 15, 0, 0, 45, 0, 0,
    0, 192, 2, 0, 0, 173, 15, 0, 0, 45, 0, 0, 0, 0, 3, 0, 0, 183, 15, 0, 0, 45, 0, 0, 0, 64, 3, 0,
    0, 202, 15, 0, 0, 45, 0, 0, 0, 128, 3, 0, 0, 230, 15, 0, 0, 45, 0, 0, 0, 192, 3, 0, 0, 3, 16,
    0, 0, 45, 0, 0, 0, 0, 4, 0, 0, 28, 16, 0, 0, 45, 0, 0, 0, 64, 4, 0, 0, 49, 16, 0, 0, 45, 0, 0,
    0, 128, 4, 0, 0, 60, 16, 0, 0, 45, 0, 0, 0, 192, 4, 0, 0, 76, 16, 0, 0, 45, 0, 0, 0, 0, 5, 0,
    0, 95, 16, 0, 0, 45, 0, 0, 0, 64, 5, 0, 0, 112, 16, 0, 0, 45, 0, 0, 0, 128, 5, 0, 0, 130, 16,
    0, 0, 45, 0, 0, 0, 192, 5, 0, 0, 148, 16, 0, 0, 45, 0, 0, 0, 0, 6, 0, 0, 175, 16, 0, 0, 45, 0,
    0, 0, 64, 6, 0, 0, 194, 16, 0, 0, 45, 0, 0, 0, 128, 6, 0, 0, 210, 16, 0, 0, 0, 0, 0, 8, 50, 0,
    0, 0, 214, 16, 0, 0, 0, 0, 0, 8, 51, 0, 0, 0, 220, 16, 0, 0, 0, 0, 0, 1, 8, 0, 0, 0, 64, 0, 0,
    1, 0, 0, 0, 0, 0, 0, 0, 2, 39, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 126, 1, 0, 0, 234, 16, 0, 0, 9,
    0, 0, 4, 64, 0, 0, 0, 244, 16, 0, 0, 45, 0, 0, 0, 0, 0, 0, 0, 5, 17, 0, 0, 45, 0, 0, 0, 64, 0,
    0, 0, 14, 17, 0, 0, 45, 0, 0, 0, 128, 0, 0, 0, 27, 17, 0, 0, 22, 0, 0, 0, 192, 0, 0, 0, 36, 17,
    0, 0, 22, 0, 0, 0, 224, 0, 0, 0, 51, 17, 0, 0, 21, 0, 0, 0, 0, 1, 0, 0, 60, 17, 0, 0, 21, 0, 0,
    0, 64, 1, 0, 0, 73, 17, 0, 0, 21, 0, 0, 0, 128, 1, 0, 0, 82, 17, 0, 0, 55, 0, 0, 0, 192, 1, 0,
    0, 82, 17, 0, 0, 2, 0, 0, 4, 8, 0, 0, 0, 91, 17, 0, 0, 24, 0, 0, 0, 0, 0, 0, 0, 100, 17, 0, 0,
    24, 0, 0, 0, 32, 0, 0, 0, 105, 17, 0, 0, 7, 0, 0, 4, 48, 0, 0, 0, 121, 17, 0, 0, 43, 0, 0, 0,
    0, 0, 0, 0, 130, 17, 0, 0, 21, 0, 0, 0, 128, 0, 0, 0, 138, 17, 0, 0, 21, 0, 0, 0, 192, 0, 0, 0,
    153, 17, 0, 0, 24, 0, 0, 0, 0, 1, 0, 0, 234, 2, 0, 0, 10, 0, 0, 0, 32, 1, 0, 0, 164, 17, 0, 0,
    10, 0, 0, 0, 48, 1, 0, 0, 172, 17, 0, 0, 57, 0, 0, 0, 64, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 56,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 180, 1, 0, 0, 177, 17, 0, 0, 16, 0, 0, 132, 216, 0, 0, 0, 186,
    14, 0, 0, 41, 0, 0, 0, 0, 0, 0, 0, 193, 17, 0, 0, 45, 0, 0, 0, 192, 0, 0, 0, 204, 17, 0, 0, 45,
    0, 0, 0, 0, 1, 0, 0, 216, 17, 0, 0, 45, 0, 0, 0, 64, 1, 0, 0, 226, 17, 0, 0, 45, 0, 0, 0, 128,
    1, 0, 0, 232, 17, 0, 0, 45, 0, 0, 0, 192, 1, 0, 0, 243, 17, 0, 0, 49, 0, 0, 0, 0, 2, 0, 0, 251,
    17, 0, 0, 45, 0, 0, 0, 64, 2, 0, 0, 133, 0, 0, 0, 24, 0, 0, 0, 128, 2, 0, 0, 4, 18, 0, 0, 24,
    0, 0, 0, 160, 2, 0, 1, 17, 18, 0, 0, 24, 0, 0, 0, 161, 2, 0, 1, 28, 18, 0, 0, 24, 0, 0, 0, 162,
    2, 0, 1, 39, 18, 0, 0, 24, 0, 0, 0, 163, 2, 0, 1, 57, 18, 0, 0, 24, 0, 0, 0, 164, 2, 0, 1, 68,
    18, 0, 0, 60, 0, 0, 0, 192, 2, 0, 0, 77, 18, 0, 0, 60, 0, 0, 0, 192, 4, 0, 0, 92, 18, 0, 0, 8,
    0, 0, 4, 64, 0, 0, 0, 100, 18, 0, 0, 61, 0, 0, 0, 0, 0, 0, 0, 105, 18, 0, 0, 62, 0, 0, 0, 0, 1,
    0, 0, 118, 18, 0, 0, 63, 0, 0, 0, 64, 1, 0, 0, 127, 18, 0, 0, 67, 0, 0, 0, 128, 1, 0, 0, 119,
    2, 0, 0, 68, 0, 0, 0, 192, 1, 0, 0, 132, 18, 0, 0, 68, 0, 0, 0, 200, 1, 0, 0, 139, 18, 0, 0,
    68, 0, 0, 0, 208, 1, 0, 0, 147, 18, 0, 0, 68, 0, 0, 0, 216, 1, 0, 0, 155, 18, 0, 0, 2, 0, 0, 4,
    32, 0, 0, 0, 100, 18, 0, 0, 41, 0, 0, 0, 0, 0, 0, 0, 171, 18, 0, 0, 62, 0, 0, 0, 192, 0, 0, 0,
    179, 18, 0, 0, 0, 0, 0, 8, 49, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 64, 0, 0, 0, 0, 0, 0, 0, 1, 0,
    0, 13, 65, 0, 0, 0, 0, 0, 0, 0, 66, 0, 0, 0, 187, 18, 0, 0, 2, 0, 0, 6, 4, 0, 0, 0, 203, 18, 0,
    0, 0, 0, 0, 0, 221, 18, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 60, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 2, 140, 1, 0, 0, 237, 18, 0, 0, 0, 0, 0, 8, 69, 0, 0, 0, 240, 18, 0, 0, 0, 0, 0, 8, 11,
    0, 0, 0, 245, 18, 0, 0, 4, 0, 0, 132, 4, 0, 0, 0, 255, 18, 0, 0, 24, 0, 0, 0, 0, 0, 0, 11, 5,
    19, 0, 0, 24, 0, 0, 0, 11, 0, 0, 3, 15, 19, 0, 0, 24, 0, 0, 0, 14, 0, 0, 1, 22, 19, 0, 0, 24,
    0, 0, 0, 15, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 70, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0,
    35, 19, 0, 0, 1, 0, 0, 4, 8, 0, 0, 0, 46, 19, 0, 0, 73, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 2, 121, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 75, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 10, 76, 0, 0, 0,
    52, 19, 0, 0, 0, 0, 0, 8, 77, 0, 0, 0, 62, 19, 0, 0, 1, 0, 0, 4, 40, 0, 0, 0, 70, 19, 0, 0, 78,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 21, 0, 0, 0, 4, 0, 0, 0, 5, 0, 0, 0,
    75, 19, 0, 0, 2, 0, 0, 5, 4, 0, 0, 0, 87, 19, 0, 0, 80, 0, 0, 0, 0, 0, 0, 0, 89, 19, 0, 0, 22,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 4, 0, 0, 4, 4, 0, 0, 0, 120, 7, 0, 0, 68, 0, 0, 0, 0, 0, 0, 0,
    91, 19, 0, 0, 68, 0, 0, 0, 8, 0, 0, 0, 99, 19, 0, 0, 68, 0, 0, 0, 16, 0, 0, 0, 108, 19, 0, 0,
    68, 0, 0, 0, 24, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 169, 1, 0, 0, 59, 4, 0, 0, 4, 0, 0, 4, 32, 0,
    0, 0, 116, 19, 0, 0, 21, 0, 0, 0, 0, 0, 0, 0, 123, 19, 0, 0, 47, 0, 0, 0, 64, 0, 0, 0, 133, 19,
    0, 0, 47, 0, 0, 0, 128, 0, 0, 0, 146, 19, 0, 0, 47, 0, 0, 0, 192, 0, 0, 0, 158, 19, 0, 0, 3, 0,
    0, 4, 40, 0, 0, 0, 109, 0, 0, 0, 2, 0, 0, 0, 0, 0, 0, 0, 169, 19, 0, 0, 43, 0, 0, 0, 64, 0, 0,
    0, 179, 19, 0, 0, 43, 0, 0, 0, 192, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 81, 1, 0, 0, 122, 4, 0, 0,
    2, 0, 0, 4, 40, 0, 0, 0, 189, 19, 0, 0, 45, 0, 0, 0, 0, 0, 0, 0, 196, 19, 0, 0, 102, 0, 0, 0,
    64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 87, 0, 0, 0, 201, 19, 0, 0, 19, 0, 0, 4, 200, 0, 0, 0,
    216, 19, 0, 0, 21, 0, 0, 0, 0, 0, 0, 0, 225, 19, 0, 0, 21, 0, 0, 0, 64, 0, 0, 0, 232, 19, 0, 0,
    86, 0, 0, 0, 128, 0, 0, 0, 240, 19, 0, 0, 86, 0, 0, 0, 192, 0, 0, 0, 248, 19, 0, 0, 41, 0, 0,
    0, 0, 1, 0, 0, 254, 19, 0, 0, 21, 0, 0, 0, 192, 1, 0, 0, 13, 20, 0, 0, 84, 0, 0, 0, 0, 2, 0, 0,
    19, 20, 0, 0, 88, 0, 0, 0, 64, 2, 0, 0, 32, 20, 0, 0, 21, 0, 0, 0, 128, 2, 0, 0, 41, 20, 0, 0,
    91, 0, 0, 0, 192, 2, 0, 0, 48, 20, 0, 0, 43, 0, 0, 0, 192, 3, 0, 0, 63, 20, 0, 0, 92, 0, 0, 0,
    64, 4, 0, 0, 72, 20, 0, 0, 93, 0, 0, 0, 128, 4, 0, 0, 79, 20, 0, 0, 21, 0, 0, 0, 192, 4, 0, 0,
    88, 20, 0, 0, 95, 0, 0, 0, 0, 5, 0, 0, 96, 20, 0, 0, 27, 0, 0, 0, 64, 5, 0, 0, 112, 20, 0, 0,
    96, 0, 0, 0, 128, 5, 0, 0, 132, 20, 0, 0, 99, 0, 0, 0, 192, 5, 0, 0, 142, 20, 0, 0, 100, 0, 0,
    0, 0, 6, 0, 0, 161, 20, 0, 0, 0, 0, 0, 8, 89, 0, 0, 0, 170, 20, 0, 0, 1, 0, 0, 4, 8, 0, 0, 0,
    170, 20, 0, 0, 90, 0, 0, 0, 0, 0, 0, 0, 177, 20, 0, 0, 0, 0, 0, 8, 21, 0, 0, 0, 0, 0, 0, 0, 2,
    0, 0, 4, 32, 0, 0, 0, 189, 20, 0, 0, 41, 0, 0, 0, 0, 0, 0, 0, 192, 20, 0, 0, 21, 0, 0, 0, 192,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 118, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 94, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 10, 189, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 134, 1, 0, 0, 208, 20, 0, 0, 0, 0, 0, 8, 97,
    0, 0, 0, 222, 20, 0, 0, 0, 0, 0, 8, 98, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 4, 8, 0, 0, 0, 187, 13,
    0, 0, 49, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 151, 1, 0, 0, 142, 20, 0, 0, 1, 0, 0, 4,
    8, 0, 0, 0, 233, 20, 0, 0, 101, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 187, 1, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 86, 0, 0, 0, 4, 0, 0, 0, 4, 0, 0, 0, 237, 20, 0, 0, 2, 0, 0,
    4, 20, 0, 0, 0, 50, 0, 0, 0, 2, 0, 0, 0, 0, 0, 0, 0, 251, 20, 0, 0, 3, 0, 0, 0, 32, 0, 0, 0,
    169, 5, 0, 0, 2, 0, 0, 4, 48, 0, 0, 0, 1, 21, 0, 0, 105, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 108,
    0, 0, 0, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 106, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 13, 26, 0, 0,
    0, 0, 0, 0, 0, 107, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 104, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 5, 40,
    0, 0, 0, 4, 21, 0, 0, 109, 0, 0, 0, 0, 0, 0, 0, 10, 21, 0, 0, 111, 0, 0, 0, 0, 0, 0, 0, 20, 21,
    0, 0, 118, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 6, 0, 0, 4, 40, 0, 0, 0, 25, 21, 0, 0, 110, 0, 0,
    0, 0, 0, 0, 0, 31, 21, 0, 0, 22, 0, 0, 0, 64, 0, 0, 0, 133, 0, 0, 0, 22, 0, 0, 0, 96, 0, 0, 0,
    35, 21, 0, 0, 22, 0, 0, 0, 128, 0, 0, 0, 42, 21, 0, 0, 45, 0, 0, 0, 192, 0, 0, 0, 47, 21, 0, 0,
    110, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 22, 0, 0, 0, 0, 0, 0, 0, 4, 0, 0, 4, 24, 0,
    0, 0, 54, 21, 0, 0, 112, 0, 0, 0, 0, 0, 0, 0, 25, 0, 0, 0, 114, 0, 0, 0, 32, 0, 0, 0, 0, 0, 0,
    0, 115, 0, 0, 0, 64, 0, 0, 0, 171, 18, 0, 0, 45, 0, 0, 0, 128, 0, 0, 0, 62, 21, 0, 0, 0, 0, 0,
    8, 113, 0, 0, 0, 72, 21, 0, 0, 0, 0, 0, 8, 2, 0, 0, 0, 91, 21, 0, 0, 3, 0, 0, 6, 4, 0, 0, 0,
    105, 21, 0, 0, 0, 0, 0, 0, 113, 21, 0, 0, 1, 0, 0, 0, 123, 21, 0, 0, 2, 0, 0, 0, 0, 0, 0, 0, 2,
    0, 0, 5, 8, 0, 0, 0, 133, 21, 0, 0, 116, 0, 0, 0, 0, 0, 0, 0, 138, 21, 0, 0, 117, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 117, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 156, 1, 0, 0, 0, 0, 0,
    0, 5, 0, 0, 4, 32, 0, 0, 0, 150, 21, 0, 0, 119, 0, 0, 0, 0, 0, 0, 0, 155, 21, 0, 0, 2, 0, 0, 0,
    64, 0, 0, 0, 160, 21, 0, 0, 2, 0, 0, 0, 96, 0, 0, 0, 172, 21, 0, 0, 21, 0, 0, 0, 128, 0, 0, 0,
    179, 21, 0, 0, 21, 0, 0, 0, 192, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 168, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 2, 164, 1, 0, 0, 187, 21, 0, 0, 2, 0, 0, 4, 16, 0, 0, 0, 231, 13, 0, 0, 73, 0, 0, 0, 0,
    0, 0, 0, 198, 21, 0, 0, 122, 0, 0, 0, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 73, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 121, 0, 0, 0, 4, 0, 0, 0, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2,
    128, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 2, 0, 0, 0, 120, 6, 0, 0, 3, 0, 0, 4, 24, 0, 0, 0, 102,
    6, 0, 0, 45, 0, 0, 0, 0, 0, 0, 0, 108, 6, 0, 0, 45, 0, 0, 0, 64, 0, 0, 0, 204, 21, 0, 0, 127,
    0, 0, 0, 128, 0, 0, 0, 209, 21, 0, 0, 0, 0, 0, 8, 128, 0, 0, 0, 224, 21, 0, 0, 1, 0, 0, 4, 4,
    0, 0, 0, 237, 21, 0, 0, 129, 0, 0, 0, 0, 0, 0, 0, 246, 21, 0, 0, 0, 0, 0, 8, 130, 0, 0, 0, 6,
    22, 0, 0, 1, 0, 0, 4, 4, 0, 0, 0, 0, 0, 0, 0, 131, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 5,
    4, 0, 0, 0, 31, 21, 0, 0, 30, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 132, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 133, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 4, 2, 0, 0, 0, 16, 22, 0, 0, 68, 0, 0, 0,
    0, 0, 0, 0, 155, 7, 0, 0, 68, 0, 0, 0, 8, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 4, 4, 0, 0, 0, 23, 22,
    0, 0, 134, 0, 0, 0, 0, 0, 0, 0, 38, 22, 0, 0, 134, 0, 0, 0, 16, 0, 0, 0, 43, 22, 0, 0, 0, 0, 0,
    8, 135, 0, 0, 0, 47, 22, 0, 0, 0, 0, 0, 8, 10, 0, 0, 0, 188, 6, 0, 0, 3, 0, 0, 4, 80, 0, 0, 0,
    53, 22, 0, 0, 141, 0, 0, 0, 0, 0, 0, 0, 59, 22, 0, 0, 24, 0, 0, 0, 64, 2, 0, 0, 73, 22, 0, 0,
    24, 0, 0, 0, 96, 2, 0, 0, 87, 22, 0, 0, 2, 0, 0, 4, 24, 0, 0, 0, 107, 22, 0, 0, 45, 0, 0, 0, 0,
    0, 0, 0, 115, 22, 0, 0, 138, 0, 0, 0, 64, 0, 0, 0, 122, 22, 0, 0, 1, 0, 0, 4, 16, 0, 0, 0, 138,
    22, 0, 0, 139, 0, 0, 0, 0, 0, 0, 0, 146, 22, 0, 0, 2, 0, 0, 4, 16, 0, 0, 0, 138, 22, 0, 0, 140,
    0, 0, 0, 0, 0, 0, 0, 161, 22, 0, 0, 42, 0, 0, 0, 64, 0, 0, 0, 138, 22, 0, 0, 1, 0, 0, 4, 8, 0,
    0, 0, 186, 14, 0, 0, 42, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 137, 0, 0, 0,
    4, 0, 0, 0, 3, 0, 0, 0, 204, 6, 0, 0, 2, 0, 0, 4, 24, 0, 0, 0, 173, 22, 0, 0, 143, 0, 0, 0, 0,
    0, 0, 0, 178, 22, 0, 0, 24, 0, 0, 0, 128, 0, 0, 0, 188, 22, 0, 0, 2, 0, 0, 4, 16, 0, 0, 0, 231,
    13, 0, 0, 144, 0, 0, 0, 0, 0, 0, 0, 202, 22, 0, 0, 145, 0, 0, 0, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 2, 143, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 146, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 13, 0, 0, 0, 0,
    0, 0, 0, 0, 144, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 148, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 10, 130,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 145, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 153, 1, 0, 0, 207, 22,
    0, 0, 1, 0, 0, 4, 8, 0, 0, 0, 216, 22, 0, 0, 152, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2,
    177, 1, 0, 0, 226, 22, 0, 0, 1, 0, 0, 4, 16, 0, 0, 0, 235, 22, 0, 0, 43, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 2, 136, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 135, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 2, 143, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 154, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 66, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 2, 178, 1, 0, 0, 245, 22, 0, 0, 0, 0, 0, 8, 161, 0, 0, 0, 0, 0, 0, 0, 1,
    0, 0, 4, 8, 0, 0, 0, 254, 22, 0, 0, 162, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0,
    0, 21, 0, 0, 0, 4, 0, 0, 0, 1, 0, 0, 0, 2, 23, 0, 0, 2, 0, 0, 4, 24, 0, 0, 0, 13, 23, 0, 0, 43,
    0, 0, 0, 0, 0, 0, 0, 105, 7, 0, 0, 160, 0, 0, 0, 128, 0, 0, 0, 18, 23, 0, 0, 0, 0, 0, 8, 165,
    0, 0, 0, 25, 23, 0, 0, 0, 0, 0, 8, 166, 0, 0, 0, 41, 23, 0, 0, 0, 0, 0, 8, 21, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 2, 119, 1, 0, 0, 58, 23, 0, 0, 0, 0, 0, 8, 169, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 4,
    4, 0, 0, 0, 31, 21, 0, 0, 170, 0, 0, 0, 0, 0, 0, 0, 65, 23, 0, 0, 0, 0, 0, 8, 171, 0, 0, 0, 71,
    23, 0, 0, 0, 0, 0, 8, 24, 0, 0, 0, 242, 7, 0, 0, 3, 0, 0, 4, 16, 0, 0, 0, 88, 23, 0, 0, 2, 0,
    0, 0, 0, 0, 0, 0, 93, 23, 0, 0, 30, 0, 0, 0, 32, 0, 0, 0, 106, 23, 0, 0, 173, 0, 0, 0, 64, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 176, 1, 0, 0, 113, 23, 0, 0, 0, 0, 0, 8, 175, 0, 0, 0, 124, 23,
    0, 0, 1, 0, 0, 4, 4, 0, 0, 0, 0, 0, 0, 0, 176, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 5, 4,
    0, 0, 0, 133, 23, 0, 0, 128, 0, 0, 0, 0, 0, 0, 0, 139, 23, 0, 0, 1, 0, 0, 4, 8, 0, 0, 0, 231,
    13, 0, 0, 178, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 177, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    2, 174, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 122, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 123, 1, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 2, 170, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 121, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    2, 142, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 125, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 187, 0, 0, 0,
    151, 23, 0, 0, 0, 0, 0, 8, 144, 1, 0, 0, 168, 23, 0, 0, 7, 0, 0, 4, 56, 0, 0, 0, 187, 23, 0, 0,
    45, 0, 0, 0, 0, 0, 0, 0, 193, 23, 0, 0, 45, 0, 0, 0, 64, 0, 0, 0, 199, 23, 0, 0, 45, 0, 0, 0,
    128, 0, 0, 0, 205, 23, 0, 0, 45, 0, 0, 0, 192, 0, 0, 0, 211, 23, 0, 0, 45, 0, 0, 0, 0, 1, 0, 0,
    222, 23, 0, 0, 45, 0, 0, 0, 64, 1, 0, 0, 234, 23, 0, 0, 45, 0, 0, 0, 128, 1, 0, 0, 0, 24, 0, 0,
    0, 0, 0, 8, 190, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 4, 8, 0, 0, 0, 70, 19, 0, 0, 162, 0, 0, 0, 0, 0,
    0, 0, 11, 24, 0, 0, 0, 0, 0, 8, 192, 0, 0, 0, 31, 24, 0, 0, 1, 0, 0, 4, 4, 0, 0, 0, 49, 24, 0,
    0, 193, 0, 0, 0, 0, 0, 0, 0, 58, 24, 0, 0, 0, 0, 0, 8, 194, 0, 0, 0, 49, 24, 0, 0, 1, 0, 0, 4,
    4, 0, 0, 0, 69, 24, 0, 0, 24, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 131, 1, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 2, 172, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 127, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2,
    139, 1, 0, 0, 78, 24, 0, 0, 4, 0, 0, 4, 32, 0, 0, 0, 84, 24, 0, 0, 96, 0, 0, 0, 0, 0, 0, 0, 90,
    24, 0, 0, 174, 0, 0, 0, 64, 0, 0, 0, 100, 24, 0, 0, 200, 0, 0, 0, 96, 0, 0, 0, 104, 24, 0, 0,
    43, 0, 0, 0, 128, 0, 0, 0, 114, 24, 0, 0, 1, 0, 0, 4, 4, 0, 0, 0, 38, 22, 0, 0, 30, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 202, 0, 0, 0, 136, 24, 0, 0, 27, 0, 0, 4, 0, 1, 0, 0, 155, 24,
    0, 0, 203, 0, 0, 0, 0, 0, 0, 0, 204, 21, 0, 0, 127, 0, 0, 0, 64, 0, 0, 0, 78, 24, 0, 0, 199, 0,
    0, 0, 128, 0, 0, 0, 159, 24, 0, 0, 43, 0, 0, 0, 128, 1, 0, 0, 175, 24, 0, 0, 204, 0, 0, 0, 0,
    2, 0, 0, 189, 24, 0, 0, 204, 0, 0, 0, 128, 2, 0, 0, 205, 24, 0, 0, 43, 0, 0, 0, 0, 3, 0, 0,
    216, 24, 0, 0, 43, 0, 0, 0, 128, 3, 0, 0, 230, 24, 0, 0, 43, 0, 0, 0, 0, 4, 0, 0, 246, 24, 0,
    0, 2, 0, 0, 0, 128, 4, 0, 0, 0, 25, 0, 0, 2, 0, 0, 0, 160, 4, 0, 0, 10, 25, 0, 0, 2, 0, 0, 0,
    192, 4, 0, 0, 20, 25, 0, 0, 2, 0, 0, 0, 224, 4, 0, 0, 28, 25, 0, 0, 2, 0, 0, 0, 0, 5, 0, 0, 36,
    25, 0, 0, 2, 0, 0, 0, 32, 5, 0, 0, 51, 25, 0, 0, 2, 0, 0, 0, 64, 5, 0, 0, 68, 25, 0, 0, 28, 0,
    0, 0, 96, 5, 0, 0, 77, 25, 0, 0, 36, 0, 0, 0, 128, 5, 0, 0, 42, 21, 0, 0, 45, 0, 0, 0, 192, 5,
    0, 0, 82, 25, 0, 0, 45, 0, 0, 0, 0, 6, 0, 0, 92, 25, 0, 0, 201, 0, 0, 0, 64, 6, 0, 0, 103, 25,
    0, 0, 45, 0, 0, 0, 128, 6, 0, 0, 114, 25, 0, 0, 45, 0, 0, 0, 192, 6, 0, 0, 125, 25, 0, 0, 2, 0,
    0, 0, 0, 7, 0, 0, 135, 25, 0, 0, 2, 0, 0, 0, 32, 7, 0, 0, 146, 25, 0, 0, 27, 0, 0, 0, 64, 7, 0,
    0, 188, 22, 0, 0, 143, 0, 0, 0, 128, 7, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 167, 1, 0, 0, 160, 25, 0,
    0, 2, 0, 0, 4, 16, 0, 0, 0, 178, 25, 0, 0, 140, 0, 0, 0, 0, 0, 0, 0, 183, 25, 0, 0, 45, 0, 0,
    0, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 201, 0, 0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 189,
    25, 0, 0, 0, 0, 0, 1, 2, 0, 0, 0, 16, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 2, 155, 1, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 2, 21, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 21, 0, 0, 0, 4, 0, 0, 0, 3, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 173, 1, 0, 0, 195, 25, 0, 0, 3, 0, 0, 4, 48, 0, 0, 0, 216, 25, 0,
    0, 212, 0, 0, 0, 0, 0, 0, 0, 221, 25, 0, 0, 213, 0, 0, 0, 64, 1, 0, 0, 236, 25, 0, 0, 213, 0,
    0, 0, 72, 1, 0, 0, 245, 25, 0, 0, 1, 0, 0, 4, 40, 0, 0, 0, 62, 19, 0, 0, 77, 0, 0, 0, 0, 0, 0,
    0, 15, 26, 0, 0, 0, 0, 0, 8, 214, 0, 0, 0, 20, 26, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 8, 0, 0, 4, 0,
    0, 0, 0, 2, 0, 0, 5, 16, 0, 0, 0, 26, 26, 0, 0, 28, 0, 0, 0, 0, 0, 0, 0, 36, 26, 0, 0, 143, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 166, 1, 0, 0, 40, 26, 0, 0, 3, 0, 0, 4, 16, 0, 0, 0,
    50, 26, 0, 0, 218, 0, 0, 0, 0, 0, 0, 0, 55, 26, 0, 0, 23, 0, 0, 0, 64, 0, 0, 0, 62, 26, 0, 0,
    23, 0, 0, 0, 96, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 157, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 179, 1,
    0, 0, 156, 11, 0, 0, 4, 0, 0, 4, 120, 0, 0, 0, 67, 26, 0, 0, 221, 0, 0, 0, 0, 0, 0, 0, 251, 20,
    0, 0, 24, 0, 0, 0, 0, 3, 0, 0, 42, 21, 0, 0, 21, 0, 0, 0, 64, 3, 0, 0, 77, 26, 0, 0, 21, 0, 0,
    0, 128, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 21, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 220, 0, 0, 0, 4, 0, 0, 0, 32, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2,
    138, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 150, 1, 0, 0, 81, 26, 0, 0, 0, 0, 0, 8, 24, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 2, 171, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 185, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    2, 190, 1, 0, 0, 87, 26, 0, 0, 19, 0, 0, 132, 0, 17, 0, 0, 101, 26, 0, 0, 231, 0, 0, 0, 0, 0,
    0, 0, 111, 26, 0, 0, 21, 0, 0, 0, 192, 0, 0, 0, 114, 26, 0, 0, 10, 0, 0, 0, 0, 1, 0, 0, 117,
    26, 0, 0, 10, 0, 0, 0, 16, 1, 0, 0, 120, 26, 0, 0, 10, 0, 0, 0, 32, 1, 0, 0, 128, 26, 0, 0, 10,
    0, 0, 0, 48, 1, 0, 0, 136, 26, 0, 0, 21, 0, 0, 0, 64, 1, 0, 0, 143, 26, 0, 0, 21, 0, 0, 0, 128,
    1, 0, 0, 150, 26, 0, 0, 43, 1, 0, 0, 192, 1, 0, 0, 161, 26, 0, 0, 21, 0, 0, 0, 192, 2, 0, 0,
    171, 26, 0, 0, 21, 0, 0, 0, 0, 3, 0, 0, 182, 26, 0, 0, 21, 0, 0, 0, 64, 3, 0, 0, 186, 26, 0, 0,
    21, 0, 0, 0, 128, 3, 0, 0, 194, 26, 0, 0, 21, 0, 0, 0, 192, 3, 0, 0, 205, 26, 0, 0, 44, 1, 0,
    0, 0, 4, 0, 0, 215, 26, 0, 0, 21, 0, 0, 0, 64, 4, 0, 0, 225, 26, 0, 0, 45, 1, 0, 0, 128, 4, 0,
    0, 236, 26, 0, 0, 24, 0, 0, 0, 192, 4, 0, 1, 255, 26, 0, 0, 47, 1, 0, 0, 0, 6, 0, 0, 3, 27, 0,
    0, 13, 0, 0, 132, 8, 0, 0, 0, 15, 27, 0, 0, 134, 0, 0, 0, 0, 0, 0, 0, 22, 27, 0, 0, 134, 0, 0,
    0, 16, 0, 0, 0, 28, 27, 0, 0, 134, 0, 0, 0, 32, 0, 0, 8, 25, 0, 0, 0, 134, 0, 0, 0, 40, 0, 0,
    4, 89, 19, 0, 0, 134, 0, 0, 0, 44, 0, 0, 1, 34, 27, 0, 0, 134, 0, 0, 0, 45, 0, 0, 2, 38, 27, 0,
    0, 134, 0, 0, 0, 47, 0, 0, 1, 40, 27, 0, 0, 134, 0, 0, 0, 48, 0, 0, 4, 47, 27, 0, 0, 134, 0, 0,
    0, 52, 0, 0, 1, 51, 27, 0, 0, 134, 0, 0, 0, 53, 0, 0, 1, 53, 27, 0, 0, 134, 0, 0, 0, 54, 0, 0,
    1, 55, 27, 0, 0, 134, 0, 0, 0, 55, 0, 0, 1, 57, 27, 0, 0, 134, 0, 0, 0, 56, 0, 0, 8, 0, 0, 0,
    0, 0, 0, 0, 3, 0, 0, 0, 0, 230, 0, 0, 0, 4, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 233,
    0, 0, 0, 63, 27, 0, 0, 70, 0, 0, 4, 152, 4, 0, 0, 74, 27, 0, 0, 43, 0, 0, 0, 0, 0, 0, 0, 86,
    27, 0, 0, 43, 0, 0, 0, 128, 0, 0, 0, 99, 27, 0, 0, 43, 0, 0, 0, 0, 1, 0, 0, 23, 14, 0, 0, 41,
    0, 0, 0, 128, 1, 0, 0, 111, 27, 0, 0, 45, 0, 0, 0, 64, 2, 0, 0, 123, 27, 0, 0, 43, 0, 0, 0,
    128, 2, 0, 0, 137, 27, 0, 0, 121, 0, 0, 0, 0, 3, 0, 0, 149, 27, 0, 0, 43, 0, 0, 0, 128, 3, 0,
    0, 162, 27, 0, 0, 2, 0, 0, 0, 0, 4, 0, 0, 174, 27, 0, 0, 2, 0, 0, 0, 32, 4, 0, 0, 185, 27, 0,
    0, 2, 0, 0, 0, 64, 4, 0, 0, 237, 5, 0, 0, 232, 0, 0, 0, 128, 4, 0, 0, 155, 24, 0, 0, 203, 0, 0,
    0, 192, 4, 0, 0, 196, 27, 0, 0, 27, 0, 0, 0, 0, 5, 0, 0, 119, 2, 0, 0, 234, 0, 0, 0, 64, 5, 0,
    0, 208, 27, 0, 0, 24, 0, 0, 0, 96, 5, 0, 0, 251, 20, 0, 0, 235, 0, 0, 0, 128, 5, 0, 0, 221, 27,
    0, 0, 97, 0, 0, 0, 192, 5, 0, 0, 233, 27, 0, 0, 45, 0, 0, 0, 0, 6, 0, 0, 252, 27, 0, 0, 45, 0,
    0, 0, 64, 6, 0, 0, 15, 28, 0, 0, 45, 0, 0, 0, 128, 6, 0, 0, 22, 28, 0, 0, 45, 0, 0, 0, 192, 6,
    0, 0, 38, 28, 0, 0, 239, 0, 0, 0, 0, 7, 0, 0, 43, 28, 0, 0, 134, 0, 0, 0, 192, 10, 0, 0, 55,
    28, 0, 0, 134, 0, 0, 0, 208, 10, 0, 0, 70, 28, 0, 0, 134, 0, 0, 0, 224, 10, 0, 0, 80, 28, 0, 0,
    245, 0, 0, 0, 0, 11, 0, 0, 233, 20, 0, 0, 201, 0, 0, 0, 0, 17, 0, 0, 68, 25, 0, 0, 96, 0, 0, 0,
    64, 17, 0, 0, 83, 28, 0, 0, 97, 0, 0, 0, 128, 17, 0, 0, 108, 28, 0, 0, 97, 0, 0, 0, 192, 17, 0,
    0, 133, 28, 0, 0, 199, 0, 0, 0, 0, 18, 0, 0, 145, 28, 0, 0, 43, 0, 0, 0, 0, 19, 0, 0, 213, 5,
    0, 0, 232, 0, 0, 0, 128, 19, 0, 0, 156, 28, 0, 0, 2, 0, 0, 0, 192, 19, 0, 0, 162, 2, 0, 0, 2,
    0, 0, 0, 224, 19, 0, 0, 162, 28, 0, 0, 43, 0, 0, 0, 0, 20, 0, 0, 84, 24, 0, 0, 36, 0, 0, 0,
    128, 20, 0, 0, 174, 28, 0, 0, 199, 0, 0, 0, 192, 20, 0, 0, 185, 28, 0, 0, 30, 0, 0, 0, 192, 21,
    0, 0, 189, 20, 0, 0, 255, 0, 0, 0, 0, 22, 0, 0, 196, 28, 0, 0, 43, 0, 0, 0, 64, 22, 0, 0, 205,
    28, 0, 0, 21, 0, 0, 0, 192, 22, 0, 0, 217, 28, 0, 0, 2, 0, 0, 0, 0, 23, 0, 0, 229, 28, 0, 0, 0,
    1, 0, 0, 64, 23, 0, 0, 235, 28, 0, 0, 2, 1, 0, 0, 0, 24, 0, 0, 242, 28, 0, 0, 2, 0, 0, 0, 64,
    24, 0, 0, 1, 29, 0, 0, 2, 0, 0, 0, 96, 24, 0, 0, 14, 29, 0, 0, 2, 0, 0, 0, 128, 24, 0, 0, 155,
    7, 0, 0, 3, 1, 0, 0, 192, 24, 0, 0, 30, 29, 0, 0, 30, 0, 0, 0, 128, 25, 0, 0, 42, 29, 0, 0, 9,
    1, 0, 0, 192, 25, 0, 0, 55, 29, 0, 0, 10, 1, 0, 0, 128, 26, 0, 0, 74, 29, 0, 0, 21, 0, 0, 0,
    192, 26, 0, 0, 91, 29, 0, 0, 232, 0, 0, 0, 0, 27, 0, 0, 101, 29, 0, 0, 11, 1, 0, 0, 64, 27, 0,
    0, 188, 22, 0, 0, 143, 0, 0, 0, 128, 27, 0, 0, 109, 29, 0, 0, 13, 1, 0, 0, 0, 28, 0, 0, 112,
    29, 0, 0, 45, 0, 0, 0, 64, 28, 0, 0, 115, 29, 0, 0, 14, 1, 0, 0, 128, 28, 0, 0, 121, 29, 0, 0,
    16, 1, 0, 0, 192, 28, 0, 0, 138, 29, 0, 0, 27, 0, 0, 0, 0, 29, 0, 0, 163, 29, 0, 0, 16, 1, 0,
    0, 64, 29, 0, 0, 185, 29, 0, 0, 31, 1, 0, 0, 128, 29, 0, 0, 190, 29, 0, 0, 32, 1, 0, 0, 192,
    29, 0, 0, 106, 23, 0, 0, 33, 1, 0, 0, 0, 30, 0, 0, 199, 29, 0, 0, 34, 1, 0, 0, 64, 30, 0, 0,
    210, 29, 0, 0, 42, 1, 0, 0, 192, 35, 0, 0, 13, 13, 0, 0, 27, 0, 0, 0, 0, 36, 0, 0, 215, 29, 0,
    0, 43, 0, 0, 0, 64, 36, 0, 0, 223, 29, 0, 0, 6, 0, 0, 6, 4, 0, 0, 0, 240, 29, 0, 0, 252, 255,
    255, 255, 6, 30, 0, 0, 253, 255, 255, 255, 28, 30, 0, 0, 254, 255, 255, 255, 51, 30, 0, 0, 255,
    255, 255, 255, 72, 30, 0, 0, 0, 0, 0, 0, 98, 30, 0, 0, 1, 0, 0, 0, 122, 30, 0, 0, 0, 0, 0, 8,
    236, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 4, 8, 0, 0, 0, 132, 30, 0, 0, 237, 0, 0, 0, 0, 0, 0, 0, 134,
    30, 0, 0, 0, 0, 0, 8, 238, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 4, 8, 0, 0, 0, 132, 30, 0, 0, 96, 0,
    0, 0, 0, 0, 0, 0, 142, 30, 0, 0, 54, 0, 0, 132, 120, 0, 0, 0, 25, 0, 0, 0, 23, 0, 0, 0, 0, 0,
    0, 0, 62, 26, 0, 0, 23, 0, 0, 0, 32, 0, 0, 0, 158, 30, 0, 0, 46, 0, 0, 0, 64, 0, 0, 0, 0, 0, 0,
    0, 240, 0, 0, 0, 128, 0, 0, 0, 165, 30, 0, 0, 46, 0, 0, 0, 192, 0, 0, 0, 177, 30, 0, 0, 46, 0,
    0, 0, 0, 1, 0, 0, 189, 30, 0, 0, 46, 0, 0, 0, 64, 1, 0, 1, 198, 30, 0, 0, 46, 0, 0, 0, 65, 1,
    0, 1, 206, 30, 0, 0, 46, 0, 0, 0, 66, 1, 0, 1, 213, 30, 0, 0, 46, 0, 0, 0, 67, 1, 0, 1, 223,
    30, 0, 0, 46, 0, 0, 0, 68, 1, 0, 1, 236, 30, 0, 0, 46, 0, 0, 0, 69, 1, 0, 1, 251, 30, 0, 0, 46,
    0, 0, 0, 70, 1, 0, 1, 6, 31, 0, 0, 46, 0, 0, 0, 71, 1, 0, 1, 19, 31, 0, 0, 46, 0, 0, 0, 72, 1,
    0, 1, 100, 0, 0, 0, 46, 0, 0, 0, 73, 1, 0, 1, 24, 31, 0, 0, 46, 0, 0, 0, 74, 1, 0, 1, 29, 31,
    0, 0, 46, 0, 0, 0, 75, 1, 0, 1, 42, 31, 0, 0, 46, 0, 0, 0, 76, 1, 0, 1, 77, 25, 0, 0, 46, 0, 0,
    0, 77, 1, 0, 1, 57, 31, 0, 0, 46, 0, 0, 0, 78, 1, 0, 1, 67, 31, 0, 0, 46, 0, 0, 0, 79, 1, 0, 2,
    78, 31, 0, 0, 46, 0, 0, 0, 81, 1, 0, 1, 88, 31, 0, 0, 46, 0, 0, 0, 82, 1, 0, 1, 102, 31, 0, 0,
    46, 0, 0, 0, 83, 1, 0, 1, 115, 31, 0, 0, 46, 0, 0, 0, 84, 1, 0, 1, 129, 31, 0, 0, 46, 0, 0, 0,
    85, 1, 0, 1, 154, 31, 0, 0, 46, 0, 0, 0, 86, 1, 0, 1, 177, 31, 0, 0, 46, 0, 0, 0, 87, 1, 0, 1,
    183, 31, 0, 0, 46, 0, 0, 0, 88, 1, 0, 1, 193, 31, 0, 0, 46, 0, 0, 0, 89, 1, 0, 1, 205, 31, 0,
    0, 46, 0, 0, 0, 90, 1, 0, 1, 220, 31, 0, 0, 46, 0, 0, 0, 91, 1, 0, 1, 235, 31, 0, 0, 46, 0, 0,
    0, 92, 1, 0, 1, 246, 31, 0, 0, 46, 0, 0, 0, 93, 1, 0, 1, 254, 31, 0, 0, 46, 0, 0, 0, 94, 1, 0,
    1, 8, 32, 0, 0, 46, 0, 0, 0, 95, 1, 0, 1, 19, 32, 0, 0, 46, 0, 0, 0, 96, 1, 0, 1, 26, 32, 0, 0,
    46, 0, 0, 0, 97, 1, 0, 1, 36, 32, 0, 0, 46, 0, 0, 0, 98, 1, 0, 30, 0, 0, 0, 0, 241, 0, 0, 0,
    128, 1, 0, 0, 49, 32, 0, 0, 23, 0, 0, 0, 160, 1, 0, 0, 0, 0, 0, 0, 242, 0, 0, 0, 192, 1, 0, 0,
    0, 0, 0, 0, 243, 0, 0, 0, 0, 2, 0, 0, 57, 32, 0, 0, 46, 0, 0, 0, 64, 2, 0, 0, 76, 32, 0, 0, 46,
    0, 0, 0, 128, 2, 0, 0, 93, 32, 0, 0, 23, 0, 0, 0, 192, 2, 0, 0, 54, 21, 0, 0, 244, 0, 0, 0,
    224, 2, 0, 0, 111, 32, 0, 0, 46, 0, 0, 0, 0, 3, 0, 0, 128, 32, 0, 0, 23, 0, 0, 0, 64, 3, 0, 0,
    142, 32, 0, 0, 135, 0, 0, 0, 96, 3, 0, 0, 159, 32, 0, 0, 135, 0, 0, 0, 112, 3, 0, 0, 172, 32,
    0, 0, 23, 0, 0, 0, 128, 3, 0, 0, 188, 32, 0, 0, 23, 0, 0, 0, 160, 3, 0, 0, 0, 0, 0, 0, 2, 0, 0,
    5, 8, 0, 0, 0, 201, 32, 0, 0, 46, 0, 0, 0, 0, 0, 0, 0, 215, 32, 0, 0, 46, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 2, 0, 0, 5, 4, 0, 0, 0, 227, 32, 0, 0, 23, 0, 0, 0, 0, 0, 0, 0, 241, 32, 0, 0, 23,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 4, 0, 0, 5, 8, 0, 0, 0, 2, 33, 0, 0, 46, 0, 0, 0, 0, 0, 0, 0,
    10, 33, 0, 0, 46, 0, 0, 0, 0, 0, 0, 0, 22, 33, 0, 0, 46, 0, 0, 0, 0, 0, 0, 0, 34, 33, 0, 0, 46,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 4, 0, 0, 5, 8, 0, 0, 0, 42, 33, 0, 0, 46, 0, 0, 0, 0, 0, 0, 0,
    49, 33, 0, 0, 46, 0, 0, 0, 0, 0, 0, 0, 61, 33, 0, 0, 46, 0, 0, 0, 0, 0, 0, 0, 74, 33, 0, 0, 46,
    0, 0, 0, 0, 0, 0, 0, 82, 33, 0, 0, 0, 0, 0, 8, 2, 0, 0, 0, 88, 33, 0, 0, 13, 0, 0, 4, 192, 0,
    0, 0, 0, 0, 0, 0, 246, 0, 0, 0, 0, 0, 0, 0, 102, 33, 0, 0, 36, 0, 0, 0, 0, 3, 0, 0, 42, 29, 0,
    0, 27, 0, 0, 0, 64, 3, 0, 0, 74, 29, 0, 0, 21, 0, 0, 0, 128, 3, 0, 0, 119, 2, 0, 0, 2, 0, 0, 0,
    192, 3, 0, 0, 109, 33, 0, 0, 235, 0, 0, 0, 0, 4, 0, 0, 201, 32, 0, 0, 45, 0, 0, 0, 64, 4, 0, 0,
    120, 33, 0, 0, 45, 0, 0, 0, 128, 4, 0, 0, 132, 33, 0, 0, 235, 0, 0, 0, 192, 4, 0, 0, 144, 33,
    0, 0, 45, 0, 0, 0, 0, 5, 0, 0, 159, 33, 0, 0, 45, 0, 0, 0, 64, 5, 0, 0, 170, 33, 0, 0, 45, 0,
    0, 0, 128, 5, 0, 0, 186, 33, 0, 0, 45, 0, 0, 0, 192, 5, 0, 0, 0, 0, 0, 0, 6, 0, 0, 5, 96, 0, 0,
    0, 0, 0, 0, 0, 247, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 249, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 250,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 251, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 252, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 254, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 10, 0, 0, 4, 96, 0, 0, 0, 158, 30, 0, 0,
    45, 0, 0, 0, 0, 0, 0, 0, 203, 33, 0, 0, 45, 0, 0, 0, 64, 0, 0, 0, 212, 33, 0, 0, 21, 0, 0, 0,
    128, 0, 0, 0, 224, 33, 0, 0, 21, 0, 0, 0, 192, 0, 0, 0, 235, 33, 0, 0, 2, 0, 0, 0, 0, 1, 0, 0,
    252, 33, 0, 0, 2, 0, 0, 0, 32, 1, 0, 0, 0, 34, 0, 0, 2, 0, 0, 0, 64, 1, 0, 0, 133, 0, 0, 0, 2,
    0, 0, 0, 96, 1, 0, 0, 9, 34, 0, 0, 248, 0, 0, 0, 128, 1, 0, 0, 19, 34, 0, 0, 248, 0, 0, 0, 64,
    2, 0, 0, 30, 34, 0, 0, 4, 0, 0, 4, 24, 0, 0, 0, 158, 30, 0, 0, 45, 0, 0, 0, 0, 0, 0, 0, 50, 34,
    0, 0, 24, 0, 0, 0, 64, 0, 0, 0, 54, 34, 0, 0, 2, 0, 0, 0, 96, 0, 0, 0, 252, 33, 0, 0, 2, 0, 0,
    0, 128, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 4, 64, 0, 0, 0, 92, 18, 0, 0, 60, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 1, 0, 0, 4, 16, 0, 0, 0, 60, 34, 0, 0, 43, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0,
    4, 16, 0, 0, 0, 68, 34, 0, 0, 45, 0, 0, 0, 0, 0, 0, 0, 76, 34, 0, 0, 45, 0, 0, 0, 64, 0, 0, 0,
    0, 0, 0, 0, 2, 0, 0, 4, 40, 0, 0, 0, 81, 34, 0, 0, 253, 0, 0, 0, 0, 0, 0, 0, 86, 34, 0, 0, 43,
    0, 0, 0, 192, 0, 0, 0, 94, 34, 0, 0, 4, 0, 0, 4, 24, 0, 0, 0, 113, 34, 0, 0, 21, 0, 0, 0, 0, 0,
    0, 0, 121, 34, 0, 0, 21, 0, 0, 0, 64, 0, 0, 0, 126, 34, 0, 0, 68, 0, 0, 0, 128, 0, 0, 0, 25, 0,
    0, 0, 68, 0, 0, 0, 136, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 4, 24, 0, 0, 0, 130, 34, 0, 0, 68, 0, 0,
    0, 0, 0, 0, 0, 141, 34, 0, 0, 68, 0, 0, 0, 8, 0, 0, 0, 152, 34, 0, 0, 134, 0, 0, 0, 16, 0, 0,
    0, 160, 34, 0, 0, 45, 0, 0, 0, 64, 0, 0, 0, 165, 34, 0, 0, 45, 0, 0, 0, 128, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 2, 160, 1, 0, 0, 171, 34, 0, 0, 0, 0, 0, 8, 1, 1, 0, 0, 189, 34, 0, 0, 2, 0, 0, 4,
    24, 0, 0, 0, 204, 21, 0, 0, 174, 0, 0, 0, 0, 0, 0, 0, 205, 34, 0, 0, 43, 0, 0, 0, 64, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 2, 133, 1, 0, 0, 210, 34, 0, 0, 2, 0, 0, 4, 24, 0, 0, 0, 0, 0, 0, 0, 4, 1,
    0, 0, 0, 0, 0, 0, 202, 22, 0, 0, 6, 1, 0, 0, 128, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 5, 16, 0, 0, 0,
    100, 18, 0, 0, 32, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0,
    0, 4, 16, 0, 0, 0, 219, 34, 0, 0, 33, 0, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 30, 0, 0, 0, 64, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 2, 7, 1, 0, 0, 0, 0, 0, 0, 1, 0, 0, 13, 0, 0, 0, 0, 0, 0, 0, 0, 8, 1,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 3, 1, 0, 0, 226, 34, 0, 0, 3, 0, 0, 4, 24, 0, 0, 0, 13, 23, 0, 0,
    43, 0, 0, 0, 0, 0, 0, 0, 204, 21, 0, 0, 127, 0, 0, 0, 128, 0, 0, 0, 249, 34, 0, 0, 24, 0, 0, 0,
    160, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 158, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 12, 1, 0, 0, 0, 0,
    0, 0, 1, 0, 0, 13, 0, 0, 0, 0, 0, 0, 0, 0, 232, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 165, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 2, 15, 1, 0, 0, 0, 0, 0, 0, 1, 0, 0, 13, 45, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 9, 35, 0, 0, 0, 0, 0, 8, 17, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 18, 1, 0, 0, 0, 0, 0, 0, 3, 0,
    0, 13, 0, 0, 0, 0, 0, 0, 0, 0, 232, 0, 0, 0, 0, 0, 0, 0, 19, 1, 0, 0, 0, 0, 0, 0, 29, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 2, 20, 1, 0, 0, 33, 35, 0, 0, 22, 0, 0, 4, 128, 1, 0, 0, 50, 35, 0, 0, 45,
    0, 0, 0, 0, 0, 0, 0, 55, 35, 0, 0, 21, 1, 0, 0, 64, 0, 0, 0, 59, 35, 0, 0, 22, 1, 0, 0, 128, 0,
    0, 0, 68, 35, 0, 0, 45, 0, 0, 0, 192, 0, 0, 0, 168, 14, 0, 0, 45, 0, 0, 0, 0, 1, 0, 0, 75, 35,
    0, 0, 45, 0, 0, 0, 64, 1, 0, 0, 79, 35, 0, 0, 23, 1, 0, 0, 128, 1, 0, 0, 25, 0, 0, 0, 45, 0, 0,
    0, 192, 1, 0, 0, 88, 35, 0, 0, 45, 0, 0, 0, 0, 2, 0, 0, 91, 35, 0, 0, 25, 1, 0, 0, 64, 2, 0, 0,
    42, 21, 0, 0, 45, 0, 0, 0, 128, 2, 0, 0, 112, 29, 0, 0, 45, 0, 0, 0, 192, 2, 0, 0, 101, 35, 0,
    0, 45, 0, 0, 0, 0, 3, 0, 0, 111, 35, 0, 0, 26, 1, 0, 0, 64, 3, 0, 0, 121, 35, 0, 0, 27, 1, 0,
    0, 128, 3, 0, 0, 131, 35, 0, 0, 45, 0, 0, 0, 192, 3, 0, 0, 140, 35, 0, 0, 28, 1, 0, 0, 0, 4, 0,
    0, 150, 35, 0, 0, 30, 1, 0, 0, 128, 4, 0, 0, 165, 35, 0, 0, 28, 1, 0, 0, 192, 9, 0, 0, 175, 35,
    0, 0, 45, 0, 0, 0, 64, 10, 0, 0, 191, 35, 0, 0, 45, 0, 0, 0, 128, 10, 0, 0, 19, 32, 0, 0, 45,
    0, 0, 0, 192, 10, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 163, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 159, 1,
    0, 0, 201, 35, 0, 0, 2, 0, 0, 5, 8, 0, 0, 0, 31, 21, 0, 0, 46, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 9, 0, 0, 132, 8, 0, 0, 0, 219, 35, 0, 0, 46, 0, 0, 0, 0,
    0, 0, 5, 226, 35, 0, 0, 46, 0, 0, 0, 5, 0, 0, 14, 234, 35, 0, 0, 46, 0, 0, 0, 19, 0, 0, 5, 244,
    35, 0, 0, 46, 0, 0, 0, 24, 0, 0, 2, 253, 35, 0, 0, 46, 0, 0, 0, 26, 0, 0, 7, 6, 36, 0, 0, 46,
    0, 0, 0, 33, 0, 0, 4, 18, 36, 0, 0, 46, 0, 0, 0, 37, 0, 0, 1, 29, 36, 0, 0, 46, 0, 0, 0, 38, 0,
    0, 2, 40, 36, 0, 0, 46, 0, 0, 0, 40, 0, 0, 24, 0, 0, 0, 0, 2, 0, 0, 4, 8, 0, 0, 0, 105, 0, 0,
    0, 22, 0, 0, 0, 0, 0, 0, 0, 49, 36, 0, 0, 22, 0, 0, 0, 32, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 4, 8,
    0, 0, 0, 162, 2, 0, 0, 22, 0, 0, 0, 0, 0, 0, 0, 53, 36, 0, 0, 22, 0, 0, 0, 32, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 2, 161, 1, 0, 0, 62, 36, 0, 0, 2, 0, 0, 4, 16, 0, 0, 0, 72, 36, 0, 0, 46, 0, 0,
    0, 0, 0, 0, 0, 76, 36, 0, 0, 29, 1, 0, 0, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 30, 1, 0, 0, 81,
    36, 0, 0, 21, 0, 0, 4, 168, 0, 0, 0, 89, 36, 0, 0, 21, 0, 0, 0, 0, 0, 0, 0, 93, 36, 0, 0, 21,
    0, 0, 0, 64, 0, 0, 0, 97, 36, 0, 0, 21, 0, 0, 0, 128, 0, 0, 0, 101, 36, 0, 0, 21, 0, 0, 0, 192,
    0, 0, 0, 105, 36, 0, 0, 21, 0, 0, 0, 0, 1, 0, 0, 108, 36, 0, 0, 21, 0, 0, 0, 64, 1, 0, 0, 111,
    36, 0, 0, 21, 0, 0, 0, 128, 1, 0, 0, 115, 36, 0, 0, 21, 0, 0, 0, 192, 1, 0, 0, 119, 36, 0, 0,
    21, 0, 0, 0, 0, 2, 0, 0, 122, 36, 0, 0, 21, 0, 0, 0, 64, 2, 0, 0, 125, 36, 0, 0, 21, 0, 0, 0,
    128, 2, 0, 0, 128, 36, 0, 0, 21, 0, 0, 0, 192, 2, 0, 0, 131, 36, 0, 0, 21, 0, 0, 0, 0, 3, 0, 0,
    134, 36, 0, 0, 21, 0, 0, 0, 64, 3, 0, 0, 137, 36, 0, 0, 21, 0, 0, 0, 128, 3, 0, 0, 140, 36, 0,
    0, 21, 0, 0, 0, 192, 3, 0, 0, 88, 35, 0, 0, 21, 0, 0, 0, 0, 4, 0, 0, 148, 36, 0, 0, 21, 0, 0,
    0, 64, 4, 0, 0, 133, 0, 0, 0, 21, 0, 0, 0, 128, 4, 0, 0, 111, 26, 0, 0, 21, 0, 0, 0, 192, 4, 0,
    0, 151, 36, 0, 0, 21, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 124, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 2, 182, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 132, 1, 0, 0, 199, 29, 0, 0, 11, 0, 0, 4, 176,
    0, 0, 0, 202, 22, 0, 0, 35, 1, 0, 0, 0, 0, 0, 0, 231, 13, 0, 0, 38, 1, 0, 0, 64, 0, 0, 0, 133,
    0, 0, 0, 21, 0, 0, 0, 128, 0, 0, 0, 154, 36, 0, 0, 27, 0, 0, 0, 192, 0, 0, 0, 162, 36, 0, 0,
    35, 1, 0, 0, 0, 1, 0, 0, 173, 36, 0, 0, 39, 1, 0, 0, 64, 1, 0, 0, 184, 36, 0, 0, 41, 1, 0, 0,
    192, 2, 0, 0, 194, 36, 0, 0, 39, 1, 0, 0, 0, 3, 0, 0, 203, 36, 0, 0, 21, 0, 0, 0, 128, 4, 0, 0,
    214, 36, 0, 0, 21, 0, 0, 0, 192, 4, 0, 0, 13, 23, 0, 0, 43, 0, 0, 0, 0, 5, 0, 0, 230, 36, 0, 0,
    0, 0, 0, 8, 36, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 37, 1, 0, 0, 0, 0, 0, 0, 4, 0, 0, 13, 0, 0, 0,
    0, 0, 0, 0, 0, 21, 0, 0, 0, 0, 0, 0, 0, 21, 0, 0, 0, 0, 0, 0, 0, 38, 1, 0, 0, 0, 0, 0, 0, 29,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 34, 1, 0, 0, 244, 36, 0, 0, 3, 0, 0, 4, 48, 0, 0, 0, 4, 37, 0,
    0, 40, 1, 0, 0, 0, 0, 0, 0, 17, 37, 0, 0, 40, 1, 0, 0, 64, 0, 0, 0, 29, 37, 0, 0, 199, 0, 0, 0,
    128, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 137, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 39, 1, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 2, 162, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 232, 0, 0, 0, 4, 0, 0, 0,
    4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 141, 1, 0, 0, 40, 37, 0, 0, 0, 0, 0, 8, 46, 1, 0, 0, 0, 0,
    0, 0, 1, 0, 0, 4, 8, 0, 0, 0, 53, 37, 0, 0, 21, 0, 0, 0, 0, 0, 0, 0, 255, 26, 0, 0, 3, 0, 0, 4,
    64, 16, 0, 0, 0, 34, 0, 0, 24, 0, 0, 0, 0, 0, 0, 0, 57, 37, 0, 0, 21, 0, 0, 0, 64, 0, 0, 0,
    119, 2, 0, 0, 48, 1, 0, 0, 0, 2, 0, 0, 74, 37, 0, 0, 5, 0, 0, 5, 0, 16, 0, 0, 87, 37, 0, 0, 49,
    1, 0, 0, 0, 0, 0, 0, 93, 37, 0, 0, 51, 1, 0, 0, 0, 0, 0, 0, 100, 37, 0, 0, 59, 1, 0, 0, 0, 0,
    0, 0, 105, 37, 0, 0, 61, 1, 0, 0, 0, 0, 0, 0, 111, 37, 0, 0, 65, 1, 0, 0, 0, 0, 0, 0, 121, 37,
    0, 0, 9, 0, 0, 4, 112, 0, 0, 0, 133, 37, 0, 0, 22, 0, 0, 0, 0, 0, 0, 0, 137, 37, 0, 0, 22, 0,
    0, 0, 32, 0, 0, 0, 141, 37, 0, 0, 22, 0, 0, 0, 64, 0, 0, 0, 145, 37, 0, 0, 22, 0, 0, 0, 96, 0,
    0, 0, 149, 37, 0, 0, 22, 0, 0, 0, 128, 0, 0, 0, 153, 37, 0, 0, 22, 0, 0, 0, 160, 0, 0, 0, 157,
    37, 0, 0, 22, 0, 0, 0, 192, 0, 0, 0, 161, 37, 0, 0, 50, 1, 0, 0, 224, 0, 0, 0, 89, 13, 0, 0,
    22, 0, 0, 0, 96, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 22, 0, 0, 0, 4, 0, 0, 0, 20, 0,
    0, 0, 170, 37, 0, 0, 11, 0, 0, 4, 0, 2, 0, 0, 133, 37, 0, 0, 134, 0, 0, 0, 0, 0, 0, 0, 137, 37,
    0, 0, 134, 0, 0, 0, 16, 0, 0, 0, 141, 37, 0, 0, 134, 0, 0, 0, 32, 0, 0, 0, 183, 37, 0, 0, 134,
    0, 0, 0, 48, 0, 0, 0, 0, 0, 0, 0, 52, 1, 0, 0, 64, 0, 0, 0, 187, 37, 0, 0, 22, 0, 0, 0, 192, 0,
    0, 0, 193, 37, 0, 0, 22, 0, 0, 0, 224, 0, 0, 0, 161, 37, 0, 0, 55, 1, 0, 0, 0, 1, 0, 0, 204,
    37, 0, 0, 56, 1, 0, 0, 0, 5, 0, 0, 152, 34, 0, 0, 57, 1, 0, 0, 0, 13, 0, 0, 0, 0, 0, 0, 58, 1,
    0, 0, 128, 14, 0, 0, 0, 0, 0, 0, 2, 0, 0, 5, 16, 0, 0, 0, 0, 0, 0, 0, 53, 1, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 54, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 4, 16, 0, 0, 0, 214, 37, 0, 0, 45, 0,
    0, 0, 0, 0, 0, 0, 218, 37, 0, 0, 45, 0, 0, 0, 64, 0, 0, 0, 0, 0, 0, 0, 4, 0, 0, 4, 16, 0, 0, 0,
    145, 37, 0, 0, 22, 0, 0, 0, 0, 0, 0, 0, 149, 37, 0, 0, 22, 0, 0, 0, 32, 0, 0, 0, 153, 37, 0, 0,
    22, 0, 0, 0, 64, 0, 0, 0, 157, 37, 0, 0, 22, 0, 0, 0, 96, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0,
    0, 0, 0, 22, 0, 0, 0, 4, 0, 0, 0, 32, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 22, 0, 0, 0,
    4, 0, 0, 0, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 22, 0, 0, 0, 4, 0, 0, 0, 12, 0, 0,
    0, 0, 0, 0, 0, 2, 0, 0, 5, 48, 0, 0, 0, 222, 37, 0, 0, 57, 1, 0, 0, 0, 0, 0, 0, 231, 37, 0, 0,
    57, 1, 0, 0, 0, 0, 0, 0, 243, 37, 0, 0, 16, 0, 0, 4, 136, 0, 0, 0, 133, 37, 0, 0, 22, 0, 0, 0,
    0, 0, 0, 0, 137, 37, 0, 0, 22, 0, 0, 0, 32, 0, 0, 0, 141, 37, 0, 0, 22, 0, 0, 0, 64, 0, 0, 0,
    145, 37, 0, 0, 22, 0, 0, 0, 96, 0, 0, 0, 149, 37, 0, 0, 22, 0, 0, 0, 128, 0, 0, 0, 153, 37, 0,
    0, 22, 0, 0, 0, 160, 0, 0, 0, 157, 37, 0, 0, 22, 0, 0, 0, 192, 0, 0, 0, 161, 37, 0, 0, 50, 1,
    0, 0, 224, 0, 0, 0, 0, 38, 0, 0, 68, 0, 0, 0, 96, 3, 0, 0, 5, 38, 0, 0, 68, 0, 0, 0, 104, 3, 0,
    0, 13, 38, 0, 0, 68, 0, 0, 0, 112, 3, 0, 0, 23, 38, 0, 0, 68, 0, 0, 0, 120, 3, 0, 0, 33, 38, 0,
    0, 68, 0, 0, 0, 128, 3, 0, 0, 36, 38, 0, 0, 68, 0, 0, 0, 136, 3, 0, 0, 81, 34, 0, 0, 60, 1, 0,
    0, 192, 3, 0, 0, 43, 38, 0, 0, 22, 0, 0, 0, 0, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 149, 1, 0, 0,
    53, 38, 0, 0, 3, 0, 0, 4, 64, 2, 0, 0, 65, 38, 0, 0, 51, 1, 0, 0, 0, 0, 0, 0, 70, 38, 0, 0, 62,
    1, 0, 0, 0, 16, 0, 0, 77, 38, 0, 0, 64, 1, 0, 0, 0, 18, 0, 0, 97, 38, 0, 0, 3, 0, 0, 4, 64, 0,
    0, 0, 111, 38, 0, 0, 45, 0, 0, 0, 0, 0, 0, 0, 121, 38, 0, 0, 45, 0, 0, 0, 64, 0, 0, 0, 53, 36,
    0, 0, 63, 1, 0, 0, 128, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 45, 0, 0, 0, 4, 0, 0, 0,
    6, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 68, 0, 0, 0, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 3, 0, 0, 0, 0, 68, 0, 0, 0, 4, 0, 0, 0, 0, 16, 0, 0, 238, 40, 0, 0, 62, 0, 0, 132,
    64, 4, 0, 0, 252, 40, 0, 0, 28, 0, 0, 0, 0, 0, 0, 0, 3, 41, 0, 0, 30, 0, 0, 0, 32, 0, 0, 0, 8,
    41, 0, 0, 2, 0, 0, 0, 64, 0, 0, 0, 19, 41, 0, 0, 43, 0, 0, 0, 128, 0, 0, 0, 31, 41, 0, 0, 0, 1,
    0, 0, 0, 1, 0, 0, 45, 41, 0, 0, 36, 0, 0, 0, 192, 1, 0, 0, 57, 41, 0, 0, 163, 0, 0, 0, 0, 2, 0,
    0, 72, 41, 0, 0, 72, 0, 0, 0, 192, 2, 0, 0, 85, 41, 0, 0, 2, 0, 0, 0, 0, 3, 0, 0, 101, 41, 0,
    0, 2, 0, 0, 0, 32, 3, 0, 0, 114, 41, 0, 0, 36, 0, 0, 0, 64, 3, 0, 0, 130, 41, 0, 0, 2, 0, 0, 0,
    128, 3, 0, 0, 133, 0, 0, 0, 24, 0, 0, 0, 160, 3, 0, 0, 147, 41, 0, 0, 24, 0, 0, 0, 192, 3, 0,
    1, 166, 41, 0, 0, 24, 0, 0, 0, 193, 3, 0, 1, 186, 41, 0, 0, 2, 0, 0, 0, 224, 3, 0, 0, 201, 41,
    0, 0, 43, 0, 0, 0, 0, 4, 0, 0, 214, 41, 0, 0, 60, 0, 0, 0, 128, 4, 0, 0, 225, 41, 0, 0, 62, 0,
    0, 0, 128, 6, 0, 0, 238, 41, 0, 0, 68, 1, 0, 0, 192, 6, 0, 0, 241, 41, 0, 0, 69, 1, 0, 0, 192,
    7, 0, 0, 188, 6, 0, 0, 136, 0, 0, 0, 128, 8, 0, 0, 250, 41, 0, 0, 71, 1, 0, 0, 0, 11, 0, 0,
    255, 41, 0, 0, 120, 0, 0, 0, 0, 12, 0, 0, 12, 42, 0, 0, 2, 0, 0, 0, 64, 12, 0, 0, 19, 42, 0, 0,
    72, 1, 0, 0, 128, 12, 0, 0, 23, 42, 0, 0, 73, 1, 0, 0, 192, 12, 0, 0, 33, 42, 0, 0, 74, 1, 0,
    0, 0, 13, 0, 0, 102, 6, 0, 0, 45, 0, 0, 0, 64, 13, 0, 0, 108, 6, 0, 0, 45, 0, 0, 0, 128, 13, 0,
    0, 44, 42, 0, 0, 45, 0, 0, 0, 192, 13, 0, 0, 51, 42, 0, 0, 45, 0, 0, 0, 0, 14, 0, 0, 114, 6, 0,
    0, 45, 0, 0, 0, 64, 14, 0, 0, 58, 42, 0, 0, 45, 0, 0, 0, 128, 14, 0, 0, 120, 6, 0, 0, 126, 0,
    0, 0, 192, 14, 0, 0, 133, 6, 0, 0, 21, 0, 0, 0, 128, 15, 0, 0, 139, 6, 0, 0, 21, 0, 0, 0, 192,
    15, 0, 0, 65, 42, 0, 0, 21, 0, 0, 0, 0, 16, 0, 0, 72, 42, 0, 0, 21, 0, 0, 0, 64, 16, 0, 0, 172,
    6, 0, 0, 21, 0, 0, 0, 128, 16, 0, 0, 180, 6, 0, 0, 21, 0, 0, 0, 192, 16, 0, 0, 80, 42, 0, 0,
    21, 0, 0, 0, 0, 17, 0, 0, 89, 42, 0, 0, 21, 0, 0, 0, 64, 17, 0, 0, 98, 42, 0, 0, 21, 0, 0, 0,
    128, 17, 0, 0, 106, 42, 0, 0, 21, 0, 0, 0, 192, 17, 0, 0, 114, 42, 0, 0, 21, 0, 0, 0, 0, 18, 0,
    0, 123, 42, 0, 0, 21, 0, 0, 0, 64, 18, 0, 0, 132, 42, 0, 0, 21, 0, 0, 0, 128, 18, 0, 0, 139,
    42, 0, 0, 21, 0, 0, 0, 192, 18, 0, 0, 198, 8, 0, 0, 188, 0, 0, 0, 0, 19, 0, 0, 147, 42, 0, 0,
    47, 0, 0, 0, 192, 20, 0, 0, 165, 42, 0, 0, 77, 1, 0, 0, 0, 21, 0, 0, 170, 42, 0, 0, 78, 1, 0,
    0, 0, 29, 0, 0, 176, 42, 0, 0, 79, 1, 0, 0, 192, 30, 0, 0, 182, 42, 0, 0, 24, 0, 0, 0, 0, 31,
    0, 0, 192, 42, 0, 0, 80, 1, 0, 0, 64, 31, 0, 0, 206, 42, 0, 0, 213, 0, 0, 0, 128, 31, 0, 0,
    222, 42, 0, 0, 206, 0, 0, 0, 144, 31, 0, 0, 236, 42, 0, 0, 206, 0, 0, 0, 160, 31, 0, 0, 254,
    42, 0, 0, 84, 0, 0, 0, 192, 31, 0, 0, 5, 43, 0, 0, 199, 0, 0, 0, 0, 32, 0, 0, 22, 43, 0, 0,
    199, 0, 0, 0, 0, 33, 0, 0, 40, 43, 0, 0, 2, 0, 0, 4, 16, 0, 0, 0, 171, 18, 0, 0, 45, 0, 0, 0,
    0, 0, 0, 0, 51, 43, 0, 0, 45, 0, 0, 0, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 67, 1,
    0, 0, 4, 0, 0, 0, 2, 0, 0, 0, 56, 43, 0, 0, 1, 0, 0, 4, 24, 0, 0, 0, 78, 43, 0, 0, 70, 1, 0, 0,
    0, 0, 0, 0, 93, 43, 0, 0, 3, 0, 0, 4, 24, 0, 0, 0, 102, 6, 0, 0, 97, 0, 0, 0, 0, 0, 0, 0, 108,
    6, 0, 0, 97, 0, 0, 0, 64, 0, 0, 0, 45, 14, 0, 0, 97, 0, 0, 0, 128, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 3, 0, 0, 0, 0, 120, 0, 0, 0, 4, 0, 0, 0, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 184, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 2, 120, 1, 0, 0, 113, 43, 0, 0, 0, 0, 0, 8, 75, 1, 0, 0, 0, 0, 0, 0, 2, 0,
    0, 4, 8, 0, 0, 0, 49, 24, 0, 0, 194, 0, 0, 0, 0, 0, 0, 0, 204, 21, 0, 0, 174, 0, 0, 0, 32, 0,
    0, 0, 123, 43, 0, 0, 2, 0, 0, 4, 16, 0, 0, 0, 130, 43, 0, 0, 166, 0, 0, 0, 0, 0, 0, 0, 139, 43,
    0, 0, 166, 0, 0, 0, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 76, 1, 0, 0, 4, 0, 0, 0,
    16, 0, 0, 0, 148, 43, 0, 0, 7, 0, 0, 4, 56, 0, 0, 0, 161, 43, 0, 0, 2, 0, 0, 0, 0, 0, 0, 0,
    169, 43, 0, 0, 26, 0, 0, 0, 64, 0, 0, 0, 181, 43, 0, 0, 21, 0, 0, 0, 128, 0, 0, 0, 188, 43, 0,
    0, 45, 0, 0, 0, 192, 0, 0, 0, 197, 43, 0, 0, 45, 0, 0, 0, 0, 1, 0, 0, 206, 43, 0, 0, 21, 0, 0,
    0, 64, 1, 0, 0, 216, 43, 0, 0, 21, 0, 0, 0, 128, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 181, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 2, 183, 1, 0, 0, 20, 45, 0, 0, 2, 0, 0, 4, 0, 4, 0, 0, 0, 0, 0, 0, 82, 1,
    0, 0, 0, 0, 0, 0, 30, 45, 0, 0, 112, 1, 0, 0, 0, 32, 0, 0, 0, 0, 0, 0, 61, 0, 0, 4, 0, 4, 0, 0,
    19, 31, 0, 0, 86, 0, 0, 0, 0, 0, 0, 0, 41, 45, 0, 0, 140, 0, 0, 0, 64, 0, 0, 0, 47, 45, 0, 0,
    45, 0, 0, 0, 128, 0, 0, 0, 63, 45, 0, 0, 83, 1, 0, 0, 192, 0, 0, 0, 81, 45, 0, 0, 21, 0, 0, 0,
    0, 1, 0, 0, 91, 45, 0, 0, 21, 0, 0, 0, 64, 1, 0, 0, 108, 45, 0, 0, 21, 0, 0, 0, 128, 1, 0, 0,
    125, 45, 0, 0, 21, 0, 0, 0, 192, 1, 0, 0, 149, 45, 0, 0, 21, 0, 0, 0, 0, 2, 0, 0, 159, 45, 0,
    0, 21, 0, 0, 0, 64, 2, 0, 0, 174, 45, 0, 0, 85, 1, 0, 0, 128, 2, 0, 0, 178, 45, 0, 0, 30, 0, 0,
    0, 192, 2, 0, 0, 195, 45, 0, 0, 30, 0, 0, 0, 224, 2, 0, 0, 204, 45, 0, 0, 30, 0, 0, 0, 0, 3, 0,
    0, 213, 45, 0, 0, 30, 0, 0, 0, 32, 3, 0, 0, 224, 45, 0, 0, 96, 0, 0, 0, 64, 3, 0, 0, 239, 45,
    0, 0, 2, 0, 0, 0, 128, 3, 0, 0, 249, 45, 0, 0, 174, 0, 0, 0, 160, 3, 0, 0, 9, 46, 0, 0, 89, 1,
    0, 0, 192, 3, 0, 0, 19, 46, 0, 0, 43, 0, 0, 0, 0, 5, 0, 0, 26, 46, 0, 0, 21, 0, 0, 0, 128, 5,
    0, 0, 38, 46, 0, 0, 21, 0, 0, 0, 192, 5, 0, 0, 49, 46, 0, 0, 21, 0, 0, 0, 0, 6, 0, 0, 58, 46,
    0, 0, 21, 0, 0, 0, 64, 6, 0, 0, 68, 46, 0, 0, 97, 0, 0, 0, 128, 6, 0, 0, 78, 46, 0, 0, 21, 0,
    0, 0, 192, 6, 0, 0, 86, 46, 0, 0, 21, 0, 0, 0, 0, 7, 0, 0, 94, 46, 0, 0, 21, 0, 0, 0, 64, 7, 0,
    0, 103, 46, 0, 0, 21, 0, 0, 0, 128, 7, 0, 0, 113, 46, 0, 0, 174, 0, 0, 0, 192, 7, 0, 0, 122,
    46, 0, 0, 21, 0, 0, 0, 0, 8, 0, 0, 133, 46, 0, 0, 21, 0, 0, 0, 64, 8, 0, 0, 142, 46, 0, 0, 21,
    0, 0, 0, 128, 8, 0, 0, 153, 46, 0, 0, 21, 0, 0, 0, 192, 8, 0, 0, 162, 46, 0, 0, 21, 0, 0, 0, 0,
    9, 0, 0, 172, 46, 0, 0, 21, 0, 0, 0, 64, 9, 0, 0, 176, 46, 0, 0, 21, 0, 0, 0, 128, 9, 0, 0,
    188, 46, 0, 0, 21, 0, 0, 0, 192, 9, 0, 0, 198, 46, 0, 0, 21, 0, 0, 0, 0, 10, 0, 0, 206, 46, 0,
    0, 21, 0, 0, 0, 64, 10, 0, 0, 216, 46, 0, 0, 21, 0, 0, 0, 128, 10, 0, 0, 224, 46, 0, 0, 90, 1,
    0, 0, 192, 10, 0, 0, 131, 4, 0, 0, 91, 1, 0, 0, 64, 22, 0, 0, 235, 46, 0, 0, 93, 1, 0, 0, 64,
    23, 0, 0, 242, 46, 0, 0, 94, 1, 0, 0, 128, 23, 0, 0, 133, 0, 0, 0, 21, 0, 0, 0, 128, 27, 0, 0,
    250, 46, 0, 0, 101, 1, 0, 0, 192, 27, 0, 0, 5, 47, 0, 0, 174, 0, 0, 0, 0, 28, 0, 0, 16, 47, 0,
    0, 102, 1, 0, 0, 64, 28, 0, 0, 84, 24, 0, 0, 36, 0, 0, 0, 128, 28, 0, 0, 28, 47, 0, 0, 103, 1,
    0, 0, 192, 28, 0, 0, 36, 47, 0, 0, 95, 0, 0, 0, 0, 29, 0, 0, 45, 47, 0, 0, 104, 1, 0, 0, 64,
    29, 0, 0, 68, 47, 0, 0, 21, 0, 0, 0, 128, 29, 0, 0, 83, 47, 0, 0, 21, 0, 0, 0, 192, 29, 0, 0,
    38, 10, 0, 0, 2, 0, 0, 0, 0, 30, 0, 0, 100, 47, 0, 0, 30, 0, 0, 0, 32, 30, 0, 0, 118, 47, 0, 0,
    213, 0, 0, 0, 64, 30, 0, 0, 136, 47, 0, 0, 105, 1, 0, 0, 128, 30, 0, 0, 150, 47, 0, 0, 96, 0,
    0, 0, 192, 30, 0, 0, 164, 47, 0, 0, 107, 1, 0, 0, 0, 31, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 84, 1,
    0, 0, 0, 0, 0, 0, 5, 0, 0, 13, 21, 0, 0, 0, 0, 0, 0, 0, 95, 0, 0, 0, 0, 0, 0, 0, 21, 0, 0, 0,
    0, 0, 0, 0, 21, 0, 0, 0, 0, 0, 0, 0, 21, 0, 0, 0, 0, 0, 0, 0, 21, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    2, 86, 1, 0, 0, 179, 47, 0, 0, 0, 0, 0, 8, 87, 1, 0, 0, 0, 0, 0, 0, 1, 0, 0, 4, 8, 0, 0, 0,
    174, 45, 0, 0, 88, 1, 0, 0, 0, 0, 0, 0, 185, 47, 0, 0, 0, 0, 0, 8, 21, 0, 0, 0, 194, 47, 0, 0,
    5, 0, 0, 4, 40, 0, 0, 0, 251, 20, 0, 0, 96, 0, 0, 0, 0, 0, 0, 0, 84, 24, 0, 0, 96, 0, 0, 0, 64,
    0, 0, 0, 100, 24, 0, 0, 200, 0, 0, 0, 128, 0, 0, 0, 90, 24, 0, 0, 127, 0, 0, 0, 160, 0, 0, 0,
    104, 24, 0, 0, 43, 0, 0, 0, 192, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 21, 0, 0, 0, 4,
    0, 0, 0, 46, 0, 0, 0, 207, 47, 0, 0, 1, 0, 0, 4, 32, 0, 0, 0, 251, 20, 0, 0, 92, 1, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 96, 0, 0, 0, 4, 0, 0, 0, 4, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 2, 148, 1, 0, 0, 219, 47, 0, 0, 0, 0, 0, 8, 95, 1, 0, 0, 0, 0, 0, 0, 11, 0, 0, 4, 128, 0,
    0, 0, 232, 47, 0, 0, 45, 0, 0, 0, 0, 0, 0, 0, 239, 47, 0, 0, 97, 0, 0, 0, 64, 0, 0, 0, 247, 47,
    0, 0, 89, 1, 0, 0, 128, 0, 0, 0, 3, 48, 0, 0, 96, 1, 0, 0, 192, 1, 0, 0, 7, 48, 0, 0, 10, 0, 0,
    0, 0, 2, 0, 0, 204, 21, 0, 0, 199, 0, 0, 0, 64, 2, 0, 0, 19, 48, 0, 0, 27, 0, 0, 0, 64, 3, 0,
    0, 24, 48, 0, 0, 97, 1, 0, 0, 128, 3, 0, 0, 35, 48, 0, 0, 30, 0, 0, 0, 192, 3, 0, 0, 54, 48, 0,
    0, 134, 0, 0, 0, 224, 3, 0, 0, 74, 48, 0, 0, 99, 1, 0, 0, 240, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2,
    147, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 98, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 10, 188, 1, 0, 0, 92,
    48, 0, 0, 0, 0, 0, 8, 100, 1, 0, 0, 96, 48, 0, 0, 0, 0, 0, 8, 206, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 2, 129, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 146, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 186, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 2, 152, 1, 0, 0, 136, 47, 0, 0, 1, 0, 0, 4, 8, 0, 0, 0, 102, 48, 0, 0,
    106, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 191, 1, 0, 0, 111, 48, 0, 0, 3, 0, 0, 4, 32,
    0, 0, 0, 123, 48, 0, 0, 96, 0, 0, 0, 0, 0, 0, 0, 128, 48, 0, 0, 43, 0, 0, 0, 64, 0, 0, 0, 202,
    22, 0, 0, 108, 1, 0, 0, 192, 0, 0, 0, 134, 48, 0, 0, 0, 0, 0, 8, 109, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 2, 110, 1, 0, 0, 0, 0, 0, 0, 1, 0, 0, 13, 0, 0, 0, 0, 0, 0, 0, 0, 111, 1, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 2, 107, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 21, 0, 0, 0, 4, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 12, 0, 0, 0, 4, 0, 0, 0, 4, 0, 0, 0, 43, 50, 0, 0, 0,
    0, 0, 14, 113, 1, 0, 0, 1, 0, 0, 0, 52, 50, 0, 0, 1, 0, 0, 15, 0, 0, 0, 0, 6, 0, 0, 0, 0, 0, 0,
    0, 24, 0, 0, 0, 58, 50, 0, 0, 1, 0, 0, 15, 0, 0, 0, 0, 114, 1, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0,
    66, 50, 0, 0, 0, 0, 0, 7, 0, 0, 0, 0, 63, 20, 0, 0, 0, 0, 0, 7, 0, 0, 0, 0, 209, 7, 0, 0, 0, 0,
    0, 7, 0, 0, 0, 0, 23, 42, 0, 0, 0, 0, 0, 7, 0, 0, 0, 0, 126, 8, 0, 0, 0, 0, 0, 7, 0, 0, 0, 0,
    98, 8, 0, 0, 0, 0, 0, 7, 0, 0, 0, 0, 84, 50, 0, 0, 0, 0, 0, 7, 0, 0, 0, 0, 93, 50, 0, 0, 0, 0,
    0, 7, 0, 0, 0, 0, 154, 8, 0, 0, 0, 0, 0, 7, 0, 0, 0, 0, 124, 14, 0, 0, 0, 0, 0, 7, 0, 0, 0, 0,
    102, 50, 0, 0, 0, 0, 0, 7, 0, 0, 0, 0, 126, 50, 0, 0, 0, 0, 0, 7, 0, 0, 0, 0, 250, 46, 0, 0, 0,
    0, 0, 7, 0, 0, 0, 0, 248, 6, 0, 0, 0, 0, 0, 7, 0, 0, 0, 0, 137, 50, 0, 0, 0, 0, 0, 7, 0, 0, 0,
    0, 145, 50, 0, 0, 0, 0, 0, 7, 0, 0, 0, 0, 158, 50, 0, 0, 0, 0, 0, 7, 0, 0, 0, 0, 172, 50, 0, 0,
    0, 0, 0, 7, 0, 0, 0, 0, 177, 50, 0, 0, 0, 0, 0, 7, 0, 0, 0, 0, 190, 50, 0, 0, 0, 0, 0, 7, 0, 0,
    0, 0, 200, 50, 0, 0, 0, 0, 0, 7, 0, 0, 0, 0, 212, 50, 0, 0, 0, 0, 0, 7, 0, 0, 0, 0, 229, 50, 0,
    0, 0, 0, 0, 7, 0, 0, 0, 0, 244, 50, 0, 0, 0, 0, 0, 7, 0, 0, 0, 0, 205, 26, 0, 0, 0, 0, 0, 7, 0,
    0, 0, 0, 143, 8, 0, 0, 0, 0, 0, 7, 0, 0, 0, 0, 7, 51, 0, 0, 0, 0, 0, 7, 0, 0, 0, 0, 21, 51, 0,
    0, 0, 0, 0, 7, 0, 0, 0, 0, 36, 51, 0, 0, 0, 0, 0, 7, 0, 0, 0, 0, 40, 51, 0, 0, 0, 0, 0, 7, 0,
    0, 0, 0, 53, 51, 0, 0, 0, 0, 0, 7, 0, 0, 0, 0, 64, 51, 0, 0, 0, 0, 0, 7, 0, 0, 0, 0, 77, 51, 0,
    0, 0, 0, 0, 7, 0, 0, 0, 0, 91, 51, 0, 0, 0, 0, 0, 7, 0, 0, 0, 0, 5, 10, 0, 0, 0, 0, 0, 7, 0, 0,
    0, 0, 102, 51, 0, 0, 0, 0, 0, 7, 0, 0, 0, 0, 18, 7, 0, 0, 0, 0, 0, 7, 0, 0, 0, 0, 97, 7, 0, 0,
    0, 0, 0, 7, 0, 0, 0, 0, 196, 10, 0, 0, 0, 0, 0, 7, 0, 0, 0, 0, 129, 51, 0, 0, 0, 0, 0, 7, 0, 0,
    0, 0, 50, 26, 0, 0, 0, 0, 0, 7, 0, 0, 0, 0, 144, 51, 0, 0, 0, 0, 0, 7, 0, 0, 0, 0, 167, 51, 0,
    0, 0, 0, 0, 7, 0, 0, 0, 0, 185, 51, 0, 0, 0, 0, 0, 7, 0, 0, 0, 0, 197, 51, 0, 0, 0, 0, 0, 7, 0,
    0, 0, 0, 218, 51, 0, 0, 0, 0, 0, 7, 0, 0, 0, 0, 230, 51, 0, 0, 0, 0, 0, 7, 0, 0, 0, 0, 105, 0,
    0, 0, 0, 0, 0, 7, 0, 0, 0, 0, 246, 51, 0, 0, 0, 0, 0, 7, 0, 0, 0, 0, 4, 52, 0, 0, 0, 0, 0, 7,
    0, 0, 0, 0, 155, 24, 0, 0, 0, 0, 0, 7, 0, 0, 0, 0, 20, 52, 0, 0, 0, 0, 0, 7, 0, 0, 0, 0, 27,
    52, 0, 0, 0, 0, 0, 7, 0, 0, 0, 0, 112, 8, 0, 0, 0, 0, 0, 7, 0, 0, 0, 0, 36, 52, 0, 0, 0, 0, 0,
    7, 0, 0, 0, 0, 50, 52, 0, 0, 0, 0, 0, 7, 0, 0, 0, 0, 22, 11, 0, 0, 0, 0, 0, 7, 0, 0, 0, 0, 67,
    52, 0, 0, 0, 0, 0, 7, 0, 0, 0, 0, 20, 3, 0, 0, 0, 0, 0, 7, 0, 0, 0, 0, 83, 52, 0, 0, 0, 0, 0,
    7, 0, 0, 0, 0, 98, 52, 0, 0, 0, 0, 0, 7, 0, 0, 0, 0, 112, 52, 0, 0, 0, 0, 0, 7, 0, 0, 0, 0,
    127, 52, 0, 0, 0, 0, 0, 7, 0, 0, 0, 0, 143, 52, 0, 0, 0, 0, 0, 7, 0, 0, 0, 0, 154, 52, 0, 0, 0,
    0, 0, 7, 0, 0, 0, 0, 164, 52, 0, 0, 0, 0, 0, 7, 0, 0, 0, 0, 192, 42, 0, 0, 0, 0, 0, 7, 0, 0, 0,
    0, 181, 52, 0, 0, 0, 0, 0, 7, 0, 0, 0, 0, 192, 52, 0, 0, 0, 0, 0, 7, 0, 0, 0, 0, 204, 52, 0, 0,
    0, 0, 0, 7, 0, 0, 0, 0, 219, 52, 0, 0, 0, 0, 0, 7, 0, 0, 0, 0, 24, 48, 0, 0, 0, 0, 0, 7, 0, 0,
    0, 0, 235, 52, 0, 0, 0, 0, 0, 7, 0, 0, 0, 0, 0, 53, 0, 0, 0, 0, 0, 7, 0, 0, 0, 0, 102, 48, 0,
    0, 0, 0, 0, 7, 0, 0, 0, 0, 0, 105, 110, 116, 0, 95, 95, 65, 82, 82, 65, 89, 95, 83, 73, 90, 69,
    95, 84, 89, 80, 69, 95, 95, 0, 116, 121, 112, 101, 0, 107, 101, 121, 95, 115, 105, 122, 101, 0,
    118, 97, 108, 117, 101, 95, 115, 105, 122, 101, 0, 101, 118, 101, 110, 116, 115, 0, 116, 114,
    97, 99, 101, 95, 101, 118, 101, 110, 116, 95, 114, 97, 119, 95, 115, 99, 104, 101, 100, 95,
    112, 114, 111, 99, 101, 115, 115, 95, 116, 101, 109, 112, 108, 97, 116, 101, 0, 101, 110, 116,
    0, 99, 111, 109, 109, 0, 112, 105, 100, 0, 112, 114, 105, 111, 0, 95, 95, 100, 97, 116, 97, 0,
    116, 114, 97, 99, 101, 95, 101, 110, 116, 114, 121, 0, 102, 108, 97, 103, 115, 0, 112, 114,
    101, 101, 109, 112, 116, 95, 99, 111, 117, 110, 116, 0, 117, 110, 115, 105, 103, 110, 101, 100,
    32, 115, 104, 111, 114, 116, 0, 117, 110, 115, 105, 103, 110, 101, 100, 32, 99, 104, 97, 114,
    0, 99, 104, 97, 114, 0, 112, 105, 100, 95, 116, 0, 95, 95, 107, 101, 114, 110, 101, 108, 95,
    112, 105, 100, 95, 116, 0, 97, 114, 103, 115, 0, 116, 114, 97, 99, 101, 112, 111, 105, 110,
    116, 95, 95, 115, 99, 104, 101, 100, 95, 95, 115, 99, 104, 101, 100, 95, 112, 114, 111, 99,
    101, 115, 115, 95, 101, 120, 105, 116, 0, 116, 114, 97, 99, 101, 112, 111, 105, 110, 116, 47,
    115, 99, 104, 101, 100, 47, 115, 99, 104, 101, 100, 95, 112, 114, 111, 99, 101, 115, 115, 95,
    101, 120, 105, 116, 0, 47, 98, 117, 105, 108, 100, 100, 105, 114, 47, 98, 117, 105, 108, 100,
    47, 66, 85, 73, 76, 68, 47, 98, 101, 108, 111, 119, 45, 48, 46, 50, 46, 48, 47, 46, 47, 115,
    114, 99, 47, 98, 112, 102, 47, 101, 120, 105, 116, 115, 116, 97, 116, 46, 98, 112, 102, 46, 99,
    0, 105, 110, 116, 32, 116, 114, 97, 99, 101, 112, 111, 105, 110, 116, 95, 95, 115, 99, 104,
    101, 100, 95, 95, 115, 99, 104, 101, 100, 95, 112, 114, 111, 99, 101, 115, 115, 95, 101, 120,
    105, 116, 40, 0, 32, 32, 115, 116, 114, 117, 99, 116, 32, 116, 97, 115, 107, 95, 115, 116, 114,
    117, 99, 116, 42, 32, 116, 97, 115, 107, 32, 61, 32, 40, 115, 116, 114, 117, 99, 116, 32, 116,
    97, 115, 107, 95, 115, 116, 114, 117, 99, 116, 42, 41, 98, 112, 102, 95, 103, 101, 116, 95, 99,
    117, 114, 114, 101, 110, 116, 95, 116, 97, 115, 107, 40, 41, 59, 0, 32, 32, 117, 54, 52, 32,
    112, 105, 100, 95, 116, 103, 105, 100, 32, 61, 32, 98, 112, 102, 95, 103, 101, 116, 95, 99,
    117, 114, 114, 101, 110, 116, 95, 112, 105, 100, 95, 116, 103, 105, 100, 40, 41, 59, 0, 32, 32,
    117, 54, 52, 32, 110, 111, 119, 32, 61, 32, 98, 112, 102, 95, 107, 116, 105, 109, 101, 95, 103,
    101, 116, 95, 110, 115, 40, 41, 59, 0, 32, 32, 115, 116, 114, 117, 99, 116, 32, 101, 118, 101,
    110, 116, 32, 100, 97, 116, 97, 32, 61, 32, 123, 125, 59, 0, 32, 32, 100, 97, 116, 97, 46, 109,
    101, 116, 97, 46, 116, 105, 100, 32, 61, 32, 112, 105, 100, 95, 116, 103, 105, 100, 32, 38, 32,
    48, 120, 70, 70, 70, 70, 70, 70, 70, 70, 59, 0, 116, 97, 115, 107, 95, 115, 116, 114, 117, 99,
    116, 0, 116, 104, 114, 101, 97, 100, 95, 105, 110, 102, 111, 0, 115, 116, 97, 116, 101, 0, 115,
    116, 97, 99, 107, 0, 117, 115, 97, 103, 101, 0, 112, 116, 114, 97, 99, 101, 0, 111, 110, 95,
    99, 112, 117, 0, 119, 97, 107, 101, 95, 101, 110, 116, 114, 121, 0, 99, 112, 117, 0, 119, 97,
    107, 101, 101, 95, 102, 108, 105, 112, 115, 0, 119, 97, 107, 101, 101, 95, 102, 108, 105, 112,
    95, 100, 101, 99, 97, 121, 95, 116, 115, 0, 108, 97, 115, 116, 95, 119, 97, 107, 101, 101, 0,
    114, 101, 99, 101, 110, 116, 95, 117, 115, 101, 100, 95, 99, 112, 117, 0, 119, 97, 107, 101,
    95, 99, 112, 117, 0, 111, 110, 95, 114, 113, 0, 115, 116, 97, 116, 105, 99, 95, 112, 114, 105,
    111, 0, 110, 111, 114, 109, 97, 108, 95, 112, 114, 105, 111, 0, 114, 116, 95, 112, 114, 105,
    111, 114, 105, 116, 121, 0, 115, 99, 104, 101, 100, 95, 99, 108, 97, 115, 115, 0, 115, 101, 0,
    114, 116, 0, 115, 99, 104, 101, 100, 95, 116, 97, 115, 107, 95, 103, 114, 111, 117, 112, 0,
    100, 108, 0, 117, 99, 108, 97, 109, 112, 95, 114, 101, 113, 0, 117, 99, 108, 97, 109, 112, 0,
    112, 114, 101, 101, 109, 112, 116, 95, 110, 111, 116, 105, 102, 105, 101, 114, 115, 0, 98, 116,
    114, 97, 99, 101, 95, 115, 101, 113, 0, 112, 111, 108, 105, 99, 121, 0, 110, 114, 95, 99, 112,
    117, 115, 95, 97, 108, 108, 111, 119, 101, 100, 0, 99, 112, 117, 115, 95, 112, 116, 114, 0, 99,
    112, 117, 115, 95, 109, 97, 115, 107, 0, 114, 99, 117, 95, 114, 101, 97, 100, 95, 108, 111, 99,
    107, 95, 110, 101, 115, 116, 105, 110, 103, 0, 114, 99, 117, 95, 114, 101, 97, 100, 95, 117,
    110, 108, 111, 99, 107, 95, 115, 112, 101, 99, 105, 97, 108, 0, 114, 99, 117, 95, 110, 111,
    100, 101, 95, 101, 110, 116, 114, 121, 0, 114, 99, 117, 95, 98, 108, 111, 99, 107, 101, 100,
    95, 110, 111, 100, 101, 0, 114, 99, 117, 95, 116, 97, 115, 107, 115, 95, 110, 118, 99, 115,
    119, 0, 114, 99, 117, 95, 116, 97, 115, 107, 115, 95, 104, 111, 108, 100, 111, 117, 116, 0,
    114, 99, 117, 95, 116, 97, 115, 107, 115, 95, 105, 100, 120, 0, 114, 99, 117, 95, 116, 97, 115,
    107, 115, 95, 105, 100, 108, 101, 95, 99, 112, 117, 0, 114, 99, 117, 95, 116, 97, 115, 107,
    115, 95, 104, 111, 108, 100, 111, 117, 116, 95, 108, 105, 115, 116, 0, 115, 99, 104, 101, 100,
    95, 105, 110, 102, 111, 0, 116, 97, 115, 107, 115, 0, 112, 117, 115, 104, 97, 98, 108, 101, 95,
    116, 97, 115, 107, 115, 0, 112, 117, 115, 104, 97, 98, 108, 101, 95, 100, 108, 95, 116, 97,
    115, 107, 115, 0, 109, 109, 0, 97, 99, 116, 105, 118, 101, 95, 109, 109, 0, 118, 109, 97, 99,
    97, 99, 104, 101, 0, 114, 115, 115, 95, 115, 116, 97, 116, 0, 101, 120, 105, 116, 95, 115, 116,
    97, 116, 101, 0, 101, 120, 105, 116, 95, 99, 111, 100, 101, 0, 101, 120, 105, 116, 95, 115,
    105, 103, 110, 97, 108, 0, 112, 100, 101, 97, 116, 104, 95, 115, 105, 103, 110, 97, 108, 0,
    106, 111, 98, 99, 116, 108, 0, 112, 101, 114, 115, 111, 110, 97, 108, 105, 116, 121, 0, 115,
    99, 104, 101, 100, 95, 114, 101, 115, 101, 116, 95, 111, 110, 95, 102, 111, 114, 107, 0, 115,
    99, 104, 101, 100, 95, 99, 111, 110, 116, 114, 105, 98, 117, 116, 101, 115, 95, 116, 111, 95,
    108, 111, 97, 100, 0, 115, 99, 104, 101, 100, 95, 109, 105, 103, 114, 97, 116, 101, 100, 0,
    115, 99, 104, 101, 100, 95, 112, 115, 105, 95, 119, 97, 107, 101, 95, 114, 101, 113, 117, 101,
    117, 101, 0, 115, 99, 104, 101, 100, 95, 114, 101, 109, 111, 116, 101, 95, 119, 97, 107, 101,
    117, 112, 0, 105, 110, 95, 101, 120, 101, 99, 118, 101, 0, 105, 110, 95, 105, 111, 119, 97,
    105, 116, 0, 114, 101, 115, 116, 111, 114, 101, 95, 115, 105, 103, 109, 97, 115, 107, 0, 105,
    110, 95, 117, 115, 101, 114, 95, 102, 97, 117, 108, 116, 0, 110, 111, 95, 99, 103, 114, 111,
    117, 112, 95, 109, 105, 103, 114, 97, 116, 105, 111, 110, 0, 102, 114, 111, 122, 101, 110, 0,
    117, 115, 101, 95, 109, 101, 109, 100, 101, 108, 97, 121, 0, 105, 110, 95, 109, 101, 109, 115,
    116, 97, 108, 108, 0, 97, 116, 111, 109, 105, 99, 95, 102, 108, 97, 103, 115, 0, 114, 101, 115,
    116, 97, 114, 116, 95, 98, 108, 111, 99, 107, 0, 116, 103, 105, 100, 0, 115, 116, 97, 99, 107,
    95, 99, 97, 110, 97, 114, 121, 0, 114, 101, 97, 108, 95, 112, 97, 114, 101, 110, 116, 0, 112,
    97, 114, 101, 110, 116, 0, 99, 104, 105, 108, 100, 114, 101, 110, 0, 115, 105, 98, 108, 105,
    110, 103, 0, 103, 114, 111, 117, 112, 95, 108, 101, 97, 100, 101, 114, 0, 112, 116, 114, 97,
    99, 101, 100, 0, 112, 116, 114, 97, 99, 101, 95, 101, 110, 116, 114, 121, 0, 116, 104, 114,
    101, 97, 100, 95, 112, 105, 100, 0, 112, 105, 100, 95, 108, 105, 110, 107, 115, 0, 116, 104,
    114, 101, 97, 100, 95, 103, 114, 111, 117, 112, 0, 116, 104, 114, 101, 97, 100, 95, 110, 111,
    100, 101, 0, 118, 102, 111, 114, 107, 95, 100, 111, 110, 101, 0, 115, 101, 116, 95, 99, 104,
    105, 108, 100, 95, 116, 105, 100, 0, 99, 108, 101, 97, 114, 95, 99, 104, 105, 108, 100, 95,
    116, 105, 100, 0, 117, 116, 105, 109, 101, 0, 115, 116, 105, 109, 101, 0, 103, 116, 105, 109,
    101, 0, 112, 114, 101, 118, 95, 99, 112, 117, 116, 105, 109, 101, 0, 110, 118, 99, 115, 119, 0,
    110, 105, 118, 99, 115, 119, 0, 115, 116, 97, 114, 116, 95, 116, 105, 109, 101, 0, 115, 116,
    97, 114, 116, 95, 98, 111, 111, 116, 116, 105, 109, 101, 0, 109, 105, 110, 95, 102, 108, 116,
    0, 109, 97, 106, 95, 102, 108, 116, 0, 112, 111, 115, 105, 120, 95, 99, 112, 117, 116, 105,
    109, 101, 114, 115, 0, 112, 111, 115, 105, 120, 95, 99, 112, 117, 116, 105, 109, 101, 114, 115,
    95, 119, 111, 114, 107, 0, 112, 116, 114, 97, 99, 101, 114, 95, 99, 114, 101, 100, 0, 114, 101,
    97, 108, 95, 99, 114, 101, 100, 0, 99, 114, 101, 100, 0, 99, 97, 99, 104, 101, 100, 95, 114,
    101, 113, 117, 101, 115, 116, 101, 100, 95, 107, 101, 121, 0, 110, 97, 109, 101, 105, 100, 97,
    116, 97, 0, 115, 121, 115, 118, 115, 101, 109, 0, 115, 121, 115, 118, 115, 104, 109, 0, 108,
    97, 115, 116, 95, 115, 119, 105, 116, 99, 104, 95, 99, 111, 117, 110, 116, 0, 108, 97, 115,
    116, 95, 115, 119, 105, 116, 99, 104, 95, 116, 105, 109, 101, 0, 102, 115, 0, 102, 105, 108,
    101, 115, 0, 105, 111, 95, 117, 114, 105, 110, 103, 0, 110, 115, 112, 114, 111, 120, 121, 0,
    115, 105, 103, 110, 97, 108, 0, 115, 105, 103, 104, 97, 110, 100, 0, 98, 108, 111, 99, 107,
    101, 100, 0, 114, 101, 97, 108, 95, 98, 108, 111, 99, 107, 101, 100, 0, 115, 97, 118, 101, 100,
    95, 115, 105, 103, 109, 97, 115, 107, 0, 112, 101, 110, 100, 105, 110, 103, 0, 115, 97, 115,
    95, 115, 115, 95, 115, 112, 0, 115, 97, 115, 95, 115, 115, 95, 115, 105, 122, 101, 0, 115, 97,
    115, 95, 115, 115, 95, 102, 108, 97, 103, 115, 0, 116, 97, 115, 107, 95, 119, 111, 114, 107,
    115, 0, 97, 117, 100, 105, 116, 95, 99, 111, 110, 116, 101, 120, 116, 0, 108, 111, 103, 105,
    110, 117, 105, 100, 0, 115, 101, 115, 115, 105, 111, 110, 105, 100, 0, 115, 101, 99, 99, 111,
    109, 112, 0, 112, 97, 114, 101, 110, 116, 95, 101, 120, 101, 99, 95, 105, 100, 0, 115, 101,
    108, 102, 95, 101, 120, 101, 99, 95, 105, 100, 0, 97, 108, 108, 111, 99, 95, 108, 111, 99, 107,
    0, 112, 105, 95, 108, 111, 99, 107, 0, 119, 97, 107, 101, 95, 113, 0, 112, 105, 95, 119, 97,
    105, 116, 101, 114, 115, 0, 112, 105, 95, 116, 111, 112, 95, 116, 97, 115, 107, 0, 112, 105,
    95, 98, 108, 111, 99, 107, 101, 100, 95, 111, 110, 0, 106, 111, 117, 114, 110, 97, 108, 95,
    105, 110, 102, 111, 0, 98, 105, 111, 95, 108, 105, 115, 116, 0, 112, 108, 117, 103, 0, 114,
    101, 99, 108, 97, 105, 109, 95, 115, 116, 97, 116, 101, 0, 98, 97, 99, 107, 105, 110, 103, 95,
    100, 101, 118, 95, 105, 110, 102, 111, 0, 105, 111, 95, 99, 111, 110, 116, 101, 120, 116, 0,
    99, 97, 112, 116, 117, 114, 101, 95, 99, 111, 110, 116, 114, 111, 108, 0, 112, 116, 114, 97,
    99, 101, 95, 109, 101, 115, 115, 97, 103, 101, 0, 108, 97, 115, 116, 95, 115, 105, 103, 105,
    110, 102, 111, 0, 105, 111, 97, 99, 0, 112, 115, 105, 95, 102, 108, 97, 103, 115, 0, 97, 99,
    99, 116, 95, 114, 115, 115, 95, 109, 101, 109, 49, 0, 97, 99, 99, 116, 95, 118, 109, 95, 109,
    101, 109, 49, 0, 97, 99, 99, 116, 95, 116, 105, 109, 101, 120, 112, 100, 0, 109, 101, 109, 115,
    95, 97, 108, 108, 111, 119, 101, 100, 0, 109, 101, 109, 115, 95, 97, 108, 108, 111, 119, 101,
    100, 95, 115, 101, 113, 0, 99, 112, 117, 115, 101, 116, 95, 109, 101, 109, 95, 115, 112, 114,
    101, 97, 100, 95, 114, 111, 116, 111, 114, 0, 99, 112, 117, 115, 101, 116, 95, 115, 108, 97,
    98, 95, 115, 112, 114, 101, 97, 100, 95, 114, 111, 116, 111, 114, 0, 99, 103, 114, 111, 117,
    112, 115, 0, 99, 103, 95, 108, 105, 115, 116, 0, 99, 108, 111, 115, 105, 100, 0, 114, 109, 105,
    100, 0, 114, 111, 98, 117, 115, 116, 95, 108, 105, 115, 116, 0, 99, 111, 109, 112, 97, 116, 95,
    114, 111, 98, 117, 115, 116, 95, 108, 105, 115, 116, 0, 112, 105, 95, 115, 116, 97, 116, 101,
    95, 108, 105, 115, 116, 0, 112, 105, 95, 115, 116, 97, 116, 101, 95, 99, 97, 99, 104, 101, 0,
    102, 117, 116, 101, 120, 95, 101, 120, 105, 116, 95, 109, 117, 116, 101, 120, 0, 102, 117, 116,
    101, 120, 95, 115, 116, 97, 116, 101, 0, 112, 101, 114, 102, 95, 101, 118, 101, 110, 116, 95,
    99, 116, 120, 112, 0, 112, 101, 114, 102, 95, 101, 118, 101, 110, 116, 95, 109, 117, 116, 101,
    120, 0, 112, 101, 114, 102, 95, 101, 118, 101, 110, 116, 95, 108, 105, 115, 116, 0, 112, 114,
    101, 101, 109, 112, 116, 95, 100, 105, 115, 97, 98, 108, 101, 95, 105, 112, 0, 109, 101, 109,
    112, 111, 108, 105, 99, 121, 0, 105, 108, 95, 112, 114, 101, 118, 0, 112, 114, 101, 102, 95,
    110, 111, 100, 101, 95, 102, 111, 114, 107, 0, 110, 117, 109, 97, 95, 115, 99, 97, 110, 95,
    115, 101, 113, 0, 110, 117, 109, 97, 95, 115, 99, 97, 110, 95, 112, 101, 114, 105, 111, 100, 0,
    110, 117, 109, 97, 95, 115, 99, 97, 110, 95, 112, 101, 114, 105, 111, 100, 95, 109, 97, 120, 0,
    110, 117, 109, 97, 95, 112, 114, 101, 102, 101, 114, 114, 101, 100, 95, 110, 105, 100, 0, 110,
    117, 109, 97, 95, 109, 105, 103, 114, 97, 116, 101, 95, 114, 101, 116, 114, 121, 0, 110, 111,
    100, 101, 95, 115, 116, 97, 109, 112, 0, 108, 97, 115, 116, 95, 116, 97, 115, 107, 95, 110,
    117, 109, 97, 95, 112, 108, 97, 99, 101, 109, 101, 110, 116, 0, 108, 97, 115, 116, 95, 115,
    117, 109, 95, 101, 120, 101, 99, 95, 114, 117, 110, 116, 105, 109, 101, 0, 110, 117, 109, 97,
    95, 119, 111, 114, 107, 0, 110, 117, 109, 97, 95, 103, 114, 111, 117, 112, 0, 110, 117, 109,
    97, 95, 102, 97, 117, 108, 116, 115, 0, 116, 111, 116, 97, 108, 95, 110, 117, 109, 97, 95, 102,
    97, 117, 108, 116, 115, 0, 110, 117, 109, 97, 95, 102, 97, 117, 108, 116, 115, 95, 108, 111,
    99, 97, 108, 105, 116, 121, 0, 110, 117, 109, 97, 95, 112, 97, 103, 101, 115, 95, 109, 105,
    103, 114, 97, 116, 101, 100, 0, 114, 115, 101, 113, 0, 114, 115, 101, 113, 95, 115, 105, 103,
    0, 114, 115, 101, 113, 95, 101, 118, 101, 110, 116, 95, 109, 97, 115, 107, 0, 116, 108, 98, 95,
    117, 98, 99, 0, 115, 112, 108, 105, 99, 101, 95, 112, 105, 112, 101, 0, 116, 97, 115, 107, 95,
    102, 114, 97, 103, 0, 100, 101, 108, 97, 121, 115, 0, 110, 114, 95, 100, 105, 114, 116, 105,
    101, 100, 0, 110, 114, 95, 100, 105, 114, 116, 105, 101, 100, 95, 112, 97, 117, 115, 101, 0,
    100, 105, 114, 116, 121, 95, 112, 97, 117, 115, 101, 100, 95, 119, 104, 101, 110, 0, 108, 97,
    116, 101, 110, 99, 121, 95, 114, 101, 99, 111, 114, 100, 95, 99, 111, 117, 110, 116, 0, 108,
    97, 116, 101, 110, 99, 121, 95, 114, 101, 99, 111, 114, 100, 0, 116, 105, 109, 101, 114, 95,
    115, 108, 97, 99, 107, 95, 110, 115, 0, 100, 101, 102, 97, 117, 108, 116, 95, 116, 105, 109,
    101, 114, 95, 115, 108, 97, 99, 107, 95, 110, 115, 0, 99, 117, 114, 114, 95, 114, 101, 116, 95,
    115, 116, 97, 99, 107, 0, 99, 117, 114, 114, 95, 114, 101, 116, 95, 100, 101, 112, 116, 104, 0,
    114, 101, 116, 95, 115, 116, 97, 99, 107, 0, 102, 116, 114, 97, 99, 101, 95, 116, 105, 109,
    101, 115, 116, 97, 109, 112, 0, 116, 114, 97, 99, 101, 95, 111, 118, 101, 114, 114, 117, 110,
    0, 116, 114, 97, 99, 105, 110, 103, 95, 103, 114, 97, 112, 104, 95, 112, 97, 117, 115, 101, 0,
    116, 114, 97, 99, 101, 0, 116, 114, 97, 99, 101, 95, 114, 101, 99, 117, 114, 115, 105, 111,
    110, 0, 109, 101, 109, 99, 103, 95, 105, 110, 95, 111, 111, 109, 0, 109, 101, 109, 99, 103, 95,
    111, 111, 109, 95, 103, 102, 112, 95, 109, 97, 115, 107, 0, 109, 101, 109, 99, 103, 95, 111,
    111, 109, 95, 111, 114, 100, 101, 114, 0, 109, 101, 109, 99, 103, 95, 110, 114, 95, 112, 97,
    103, 101, 115, 95, 111, 118, 101, 114, 95, 104, 105, 103, 104, 0, 97, 99, 116, 105, 118, 101,
    95, 109, 101, 109, 99, 103, 0, 116, 104, 114, 111, 116, 116, 108, 101, 95, 113, 117, 101, 117,
    101, 0, 117, 116, 97, 115, 107, 0, 115, 101, 113, 117, 101, 110, 116, 105, 97, 108, 95, 105,
    111, 0, 115, 101, 113, 117, 101, 110, 116, 105, 97, 108, 95, 105, 111, 95, 97, 118, 103, 0,
    112, 97, 103, 101, 102, 97, 117, 108, 116, 95, 100, 105, 115, 97, 98, 108, 101, 100, 0, 111,
    111, 109, 95, 114, 101, 97, 112, 101, 114, 95, 108, 105, 115, 116, 0, 115, 116, 97, 99, 107,
    95, 118, 109, 95, 97, 114, 101, 97, 0, 115, 116, 97, 99, 107, 95, 114, 101, 102, 99, 111, 117,
    110, 116, 0, 115, 101, 99, 117, 114, 105, 116, 121, 0, 109, 99, 101, 95, 97, 100, 100, 114, 0,
    109, 99, 101, 95, 114, 105, 112, 118, 0, 109, 99, 101, 95, 119, 104, 111, 108, 101, 95, 112,
    97, 103, 101, 0, 95, 95, 109, 99, 101, 95, 114, 101, 115, 101, 114, 118, 101, 100, 0, 109, 99,
    101, 95, 107, 105, 108, 108, 95, 109, 101, 0, 116, 104, 114, 101, 97, 100, 0, 115, 116, 97,
    116, 117, 115, 0, 108, 111, 110, 103, 32, 117, 110, 115, 105, 103, 110, 101, 100, 32, 105, 110,
    116, 0, 117, 51, 50, 0, 95, 95, 117, 51, 50, 0, 117, 110, 115, 105, 103, 110, 101, 100, 32,
    105, 110, 116, 0, 108, 111, 110, 103, 32, 105, 110, 116, 0, 114, 101, 102, 99, 111, 117, 110,
    116, 95, 116, 0, 114, 101, 102, 99, 111, 117, 110, 116, 95, 115, 116, 114, 117, 99, 116, 0,
    114, 101, 102, 115, 0, 97, 116, 111, 109, 105, 99, 95, 116, 0, 99, 111, 117, 110, 116, 101,
    114, 0, 95, 95, 99, 97, 108, 108, 95, 115, 105, 110, 103, 108, 101, 95, 110, 111, 100, 101, 0,
    108, 108, 105, 115, 116, 0, 108, 108, 105, 115, 116, 95, 110, 111, 100, 101, 0, 110, 101, 120,
    116, 0, 117, 95, 102, 108, 97, 103, 115, 0, 97, 95, 102, 108, 97, 103, 115, 0, 115, 99, 104,
    101, 100, 95, 101, 110, 116, 105, 116, 121, 0, 108, 111, 97, 100, 0, 114, 117, 110, 95, 110,
    111, 100, 101, 0, 103, 114, 111, 117, 112, 95, 110, 111, 100, 101, 0, 101, 120, 101, 99, 95,
    115, 116, 97, 114, 116, 0, 115, 117, 109, 95, 101, 120, 101, 99, 95, 114, 117, 110, 116, 105,
    109, 101, 0, 118, 114, 117, 110, 116, 105, 109, 101, 0, 112, 114, 101, 118, 95, 115, 117, 109,
    95, 101, 120, 101, 99, 95, 114, 117, 110, 116, 105, 109, 101, 0, 110, 114, 95, 109, 105, 103,
    114, 97, 116, 105, 111, 110, 115, 0, 115, 116, 97, 116, 105, 115, 116, 105, 99, 115, 0, 100,
    101, 112, 116, 104, 0, 99, 102, 115, 95, 114, 113, 0, 109, 121, 95, 113, 0, 114, 117, 110, 110,
    97, 98, 108, 101, 95, 119, 101, 105, 103, 104, 116, 0, 97, 118, 103, 0, 108, 111, 97, 100, 95,
    119, 101, 105, 103, 104, 116, 0, 119, 101, 105, 103, 104, 116, 0, 105, 110, 118, 95, 119, 101,
    105, 103, 104, 116, 0, 114, 98, 95, 110, 111, 100, 101, 0, 95, 95, 114, 98, 95, 112, 97, 114,
    101, 110, 116, 95, 99, 111, 108, 111, 114, 0, 114, 98, 95, 114, 105, 103, 104, 116, 0, 114, 98,
    95, 108, 101, 102, 116, 0, 108, 105, 115, 116, 95, 104, 101, 97, 100, 0, 112, 114, 101, 118, 0,
    117, 54, 52, 0, 95, 95, 117, 54, 52, 0, 108, 111, 110, 103, 32, 108, 111, 110, 103, 32, 117,
    110, 115, 105, 103, 110, 101, 100, 32, 105, 110, 116, 0, 115, 99, 104, 101, 100, 95, 115, 116,
    97, 116, 105, 115, 116, 105, 99, 115, 0, 119, 97, 105, 116, 95, 115, 116, 97, 114, 116, 0, 119,
    97, 105, 116, 95, 109, 97, 120, 0, 119, 97, 105, 116, 95, 99, 111, 117, 110, 116, 0, 119, 97,
    105, 116, 95, 115, 117, 109, 0, 105, 111, 119, 97, 105, 116, 95, 99, 111, 117, 110, 116, 0,
    105, 111, 119, 97, 105, 116, 95, 115, 117, 109, 0, 115, 108, 101, 101, 112, 95, 115, 116, 97,
    114, 116, 0, 115, 108, 101, 101, 112, 95, 109, 97, 120, 0, 115, 117, 109, 95, 115, 108, 101,
    101, 112, 95, 114, 117, 110, 116, 105, 109, 101, 0, 98, 108, 111, 99, 107, 95, 115, 116, 97,
    114, 116, 0, 98, 108, 111, 99, 107, 95, 109, 97, 120, 0, 101, 120, 101, 99, 95, 109, 97, 120,
    0, 115, 108, 105, 99, 101, 95, 109, 97, 120, 0, 110, 114, 95, 109, 105, 103, 114, 97, 116, 105,
    111, 110, 115, 95, 99, 111, 108, 100, 0, 110, 114, 95, 102, 97, 105, 108, 101, 100, 95, 109,
    105, 103, 114, 97, 116, 105, 111, 110, 115, 95, 97, 102, 102, 105, 110, 101, 0, 110, 114, 95,
    102, 97, 105, 108, 101, 100, 95, 109, 105, 103, 114, 97, 116, 105, 111, 110, 115, 95, 114, 117,
    110, 110, 105, 110, 103, 0, 110, 114, 95, 102, 97, 105, 108, 101, 100, 95, 109, 105, 103, 114,
    97, 116, 105, 111, 110, 115, 95, 104, 111, 116, 0, 110, 114, 95, 102, 111, 114, 99, 101, 100,
    95, 109, 105, 103, 114, 97, 116, 105, 111, 110, 115, 0, 110, 114, 95, 119, 97, 107, 101, 117,
    112, 115, 0, 110, 114, 95, 119, 97, 107, 101, 117, 112, 115, 95, 115, 121, 110, 99, 0, 110,
    114, 95, 119, 97, 107, 101, 117, 112, 115, 95, 109, 105, 103, 114, 97, 116, 101, 0, 110, 114,
    95, 119, 97, 107, 101, 117, 112, 115, 95, 108, 111, 99, 97, 108, 0, 110, 114, 95, 119, 97, 107,
    101, 117, 112, 115, 95, 114, 101, 109, 111, 116, 101, 0, 110, 114, 95, 119, 97, 107, 101, 117,
    112, 115, 95, 97, 102, 102, 105, 110, 101, 0, 110, 114, 95, 119, 97, 107, 101, 117, 112, 115,
    95, 97, 102, 102, 105, 110, 101, 95, 97, 116, 116, 101, 109, 112, 116, 115, 0, 110, 114, 95,
    119, 97, 107, 101, 117, 112, 115, 95, 112, 97, 115, 115, 105, 118, 101, 0, 110, 114, 95, 119,
    97, 107, 101, 117, 112, 115, 95, 105, 100, 108, 101, 0, 115, 54, 52, 0, 95, 95, 115, 54, 52, 0,
    108, 111, 110, 103, 32, 108, 111, 110, 103, 32, 105, 110, 116, 0, 115, 99, 104, 101, 100, 95,
    97, 118, 103, 0, 108, 97, 115, 116, 95, 117, 112, 100, 97, 116, 101, 95, 116, 105, 109, 101, 0,
    108, 111, 97, 100, 95, 115, 117, 109, 0, 114, 117, 110, 110, 97, 98, 108, 101, 95, 115, 117,
    109, 0, 117, 116, 105, 108, 95, 115, 117, 109, 0, 112, 101, 114, 105, 111, 100, 95, 99, 111,
    110, 116, 114, 105, 98, 0, 108, 111, 97, 100, 95, 97, 118, 103, 0, 114, 117, 110, 110, 97, 98,
    108, 101, 95, 97, 118, 103, 0, 117, 116, 105, 108, 95, 97, 118, 103, 0, 117, 116, 105, 108, 95,
    101, 115, 116, 0, 101, 110, 113, 117, 101, 117, 101, 100, 0, 101, 119, 109, 97, 0, 115, 99,
    104, 101, 100, 95, 114, 116, 95, 101, 110, 116, 105, 116, 121, 0, 114, 117, 110, 95, 108, 105,
    115, 116, 0, 116, 105, 109, 101, 111, 117, 116, 0, 119, 97, 116, 99, 104, 100, 111, 103, 95,
    115, 116, 97, 109, 112, 0, 116, 105, 109, 101, 95, 115, 108, 105, 99, 101, 0, 111, 110, 95,
    108, 105, 115, 116, 0, 98, 97, 99, 107, 0, 115, 99, 104, 101, 100, 95, 100, 108, 95, 101, 110,
    116, 105, 116, 121, 0, 100, 108, 95, 114, 117, 110, 116, 105, 109, 101, 0, 100, 108, 95, 100,
    101, 97, 100, 108, 105, 110, 101, 0, 100, 108, 95, 112, 101, 114, 105, 111, 100, 0, 100, 108,
    95, 98, 119, 0, 100, 108, 95, 100, 101, 110, 115, 105, 116, 121, 0, 114, 117, 110, 116, 105,
    109, 101, 0, 100, 101, 97, 100, 108, 105, 110, 101, 0, 100, 108, 95, 116, 104, 114, 111, 116,
    116, 108, 101, 100, 0, 100, 108, 95, 98, 111, 111, 115, 116, 101, 100, 0, 100, 108, 95, 121,
    105, 101, 108, 100, 101, 100, 0, 100, 108, 95, 110, 111, 110, 95, 99, 111, 110, 116, 101, 110,
    100, 105, 110, 103, 0, 100, 108, 95, 111, 118, 101, 114, 114, 117, 110, 0, 100, 108, 95, 116,
    105, 109, 101, 114, 0, 105, 110, 97, 99, 116, 105, 118, 101, 95, 116, 105, 109, 101, 114, 0,
    104, 114, 116, 105, 109, 101, 114, 0, 110, 111, 100, 101, 0, 95, 115, 111, 102, 116, 101, 120,
    112, 105, 114, 101, 115, 0, 102, 117, 110, 99, 116, 105, 111, 110, 0, 98, 97, 115, 101, 0, 105,
    115, 95, 114, 101, 108, 0, 105, 115, 95, 115, 111, 102, 116, 0, 105, 115, 95, 104, 97, 114,
    100, 0, 116, 105, 109, 101, 114, 113, 117, 101, 117, 101, 95, 110, 111, 100, 101, 0, 101, 120,
    112, 105, 114, 101, 115, 0, 107, 116, 105, 109, 101, 95, 116, 0, 104, 114, 116, 105, 109, 101,
    114, 95, 114, 101, 115, 116, 97, 114, 116, 0, 72, 82, 84, 73, 77, 69, 82, 95, 78, 79, 82, 69,
    83, 84, 65, 82, 84, 0, 72, 82, 84, 73, 77, 69, 82, 95, 82, 69, 83, 84, 65, 82, 84, 0, 117, 56,
    0, 95, 95, 117, 56, 0, 117, 99, 108, 97, 109, 112, 95, 115, 101, 0, 118, 97, 108, 117, 101, 0,
    98, 117, 99, 107, 101, 116, 95, 105, 100, 0, 97, 99, 116, 105, 118, 101, 0, 117, 115, 101, 114,
    95, 100, 101, 102, 105, 110, 101, 100, 0, 104, 108, 105, 115, 116, 95, 104, 101, 97, 100, 0,
    102, 105, 114, 115, 116, 0, 99, 112, 117, 109, 97, 115, 107, 95, 116, 0, 99, 112, 117, 109, 97,
    115, 107, 0, 98, 105, 116, 115, 0, 114, 99, 117, 95, 115, 112, 101, 99, 105, 97, 108, 0, 98, 0,
    115, 0, 110, 101, 101, 100, 95, 113, 115, 0, 101, 120, 112, 95, 104, 105, 110, 116, 0, 110,
    101, 101, 100, 95, 109, 98, 0, 112, 99, 111, 117, 110, 116, 0, 114, 117, 110, 95, 100, 101,
    108, 97, 121, 0, 108, 97, 115, 116, 95, 97, 114, 114, 105, 118, 97, 108, 0, 108, 97, 115, 116,
    95, 113, 117, 101, 117, 101, 100, 0, 112, 108, 105, 115, 116, 95, 110, 111, 100, 101, 0, 112,
    114, 105, 111, 95, 108, 105, 115, 116, 0, 110, 111, 100, 101, 95, 108, 105, 115, 116, 0, 115,
    101, 113, 110, 117, 109, 0, 118, 109, 97, 115, 0, 118, 109, 95, 97, 114, 101, 97, 95, 115, 116,
    114, 117, 99, 116, 0, 118, 109, 95, 115, 116, 97, 114, 116, 0, 118, 109, 95, 101, 110, 100, 0,
    118, 109, 95, 110, 101, 120, 116, 0, 118, 109, 95, 112, 114, 101, 118, 0, 118, 109, 95, 114,
    98, 0, 114, 98, 95, 115, 117, 98, 116, 114, 101, 101, 95, 103, 97, 112, 0, 118, 109, 95, 109,
    109, 0, 118, 109, 95, 112, 97, 103, 101, 95, 112, 114, 111, 116, 0, 118, 109, 95, 102, 108, 97,
    103, 115, 0, 115, 104, 97, 114, 101, 100, 0, 97, 110, 111, 110, 95, 118, 109, 97, 95, 99, 104,
    97, 105, 110, 0, 97, 110, 111, 110, 95, 118, 109, 97, 0, 118, 109, 95, 111, 112, 115, 0, 118,
    109, 95, 112, 103, 111, 102, 102, 0, 118, 109, 95, 102, 105, 108, 101, 0, 118, 109, 95, 112,
    114, 105, 118, 97, 116, 101, 95, 100, 97, 116, 97, 0, 115, 119, 97, 112, 95, 114, 101, 97, 100,
    97, 104, 101, 97, 100, 95, 105, 110, 102, 111, 0, 118, 109, 95, 112, 111, 108, 105, 99, 121, 0,
    118, 109, 95, 117, 115, 101, 114, 102, 97, 117, 108, 116, 102, 100, 95, 99, 116, 120, 0, 112,
    103, 112, 114, 111, 116, 95, 116, 0, 112, 103, 112, 114, 111, 116, 0, 112, 103, 112, 114, 111,
    116, 118, 97, 108, 95, 116, 0, 114, 98, 0, 114, 98, 95, 115, 117, 98, 116, 114, 101, 101, 95,
    108, 97, 115, 116, 0, 97, 116, 111, 109, 105, 99, 95, 108, 111, 110, 103, 95, 116, 0, 97, 116,
    111, 109, 105, 99, 54, 52, 95, 116, 0, 99, 116, 120, 0, 116, 97, 115, 107, 95, 114, 115, 115,
    95, 115, 116, 97, 116, 0, 99, 111, 117, 110, 116, 0, 102, 110, 0, 102, 117, 116, 101, 120, 0,
    110, 97, 110, 111, 115, 108, 101, 101, 112, 0, 112, 111, 108, 108, 0, 117, 97, 100, 100, 114,
    0, 118, 97, 108, 0, 98, 105, 116, 115, 101, 116, 0, 116, 105, 109, 101, 0, 117, 97, 100, 100,
    114, 50, 0, 99, 108, 111, 99, 107, 105, 100, 0, 99, 108, 111, 99, 107, 105, 100, 95, 116, 0,
    95, 95, 107, 101, 114, 110, 101, 108, 95, 99, 108, 111, 99, 107, 105, 100, 95, 116, 0, 116,
    105, 109, 101, 115, 112, 101, 99, 95, 116, 121, 112, 101, 0, 84, 84, 95, 78, 79, 78, 69, 0, 84,
    84, 95, 78, 65, 84, 73, 86, 69, 0, 84, 84, 95, 67, 79, 77, 80, 65, 84, 0, 114, 109, 116, 112,
    0, 99, 111, 109, 112, 97, 116, 95, 114, 109, 116, 112, 0, 117, 102, 100, 115, 0, 110, 102, 100,
    115, 0, 104, 97, 115, 95, 116, 105, 109, 101, 111, 117, 116, 0, 116, 118, 95, 115, 101, 99, 0,
    116, 118, 95, 110, 115, 101, 99, 0, 104, 108, 105, 115, 116, 95, 110, 111, 100, 101, 0, 112,
    112, 114, 101, 118, 0, 108, 111, 99, 107, 0, 114, 97, 119, 95, 115, 112, 105, 110, 108, 111,
    99, 107, 95, 116, 0, 114, 97, 119, 95, 115, 112, 105, 110, 108, 111, 99, 107, 0, 114, 97, 119,
    95, 108, 111, 99, 107, 0, 97, 114, 99, 104, 95, 115, 112, 105, 110, 108, 111, 99, 107, 95, 116,
    0, 113, 115, 112, 105, 110, 108, 111, 99, 107, 0, 108, 111, 99, 107, 101, 100, 0, 108, 111, 99,
    107, 101, 100, 95, 112, 101, 110, 100, 105, 110, 103, 0, 116, 97, 105, 108, 0, 117, 49, 54, 0,
    95, 95, 117, 49, 54, 0, 98, 97, 115, 101, 115, 0, 116, 105, 109, 101, 114, 115, 95, 97, 99,
    116, 105, 118, 101, 0, 101, 120, 112, 105, 114, 121, 95, 97, 99, 116, 105, 118, 101, 0, 112,
    111, 115, 105, 120, 95, 99, 112, 117, 116, 105, 109, 101, 114, 95, 98, 97, 115, 101, 0, 110,
    101, 120, 116, 101, 118, 116, 0, 116, 113, 104, 101, 97, 100, 0, 116, 105, 109, 101, 114, 113,
    117, 101, 117, 101, 95, 104, 101, 97, 100, 0, 114, 98, 95, 114, 111, 111, 116, 0, 114, 98, 95,
    114, 111, 111, 116, 95, 99, 97, 99, 104, 101, 100, 0, 114, 98, 95, 108, 101, 102, 116, 109,
    111, 115, 116, 0, 119, 111, 114, 107, 0, 115, 99, 104, 101, 100, 117, 108, 101, 100, 0, 99, 97,
    108, 108, 98, 97, 99, 107, 95, 104, 101, 97, 100, 0, 102, 117, 110, 99, 0, 115, 121, 115, 118,
    95, 115, 101, 109, 0, 117, 110, 100, 111, 95, 108, 105, 115, 116, 0, 115, 121, 115, 118, 95,
    115, 104, 109, 0, 115, 104, 109, 95, 99, 108, 105, 115, 116, 0, 115, 105, 103, 115, 101, 116,
    95, 116, 0, 115, 105, 103, 0, 115, 105, 103, 112, 101, 110, 100, 105, 110, 103, 0, 108, 105,
    115, 116, 0, 115, 105, 122, 101, 95, 116, 0, 95, 95, 107, 101, 114, 110, 101, 108, 95, 115,
    105, 122, 101, 95, 116, 0, 95, 95, 107, 101, 114, 110, 101, 108, 95, 117, 108, 111, 110, 103,
    95, 116, 0, 107, 117, 105, 100, 95, 116, 0, 117, 105, 100, 95, 116, 0, 95, 95, 107, 101, 114,
    110, 101, 108, 95, 117, 105, 100, 51, 50, 95, 116, 0, 109, 111, 100, 101, 0, 102, 105, 108,
    116, 101, 114, 95, 99, 111, 117, 110, 116, 0, 102, 105, 108, 116, 101, 114, 0, 115, 112, 105,
    110, 108, 111, 99, 107, 95, 116, 0, 115, 112, 105, 110, 108, 111, 99, 107, 0, 114, 108, 111,
    99, 107, 0, 119, 97, 107, 101, 95, 113, 95, 110, 111, 100, 101, 0, 107, 101, 114, 110, 101,
    108, 95, 115, 105, 103, 105, 110, 102, 111, 95, 116, 0, 116, 97, 115, 107, 95, 105, 111, 95,
    97, 99, 99, 111, 117, 110, 116, 105, 110, 103, 0, 114, 99, 104, 97, 114, 0, 119, 99, 104, 97,
    114, 0, 115, 121, 115, 99, 114, 0, 115, 121, 115, 99, 119, 0, 114, 101, 97, 100, 95, 98, 121,
    116, 101, 115, 0, 119, 114, 105, 116, 101, 95, 98, 121, 116, 101, 115, 0, 99, 97, 110, 99, 101,
    108, 108, 101, 100, 95, 119, 114, 105, 116, 101, 95, 98, 121, 116, 101, 115, 0, 110, 111, 100,
    101, 109, 97, 115, 107, 95, 116, 0, 115, 101, 113, 99, 111, 117, 110, 116, 95, 115, 112, 105,
    110, 108, 111, 99, 107, 95, 116, 0, 115, 101, 113, 99, 111, 117, 110, 116, 95, 115, 112, 105,
    110, 108, 111, 99, 107, 0, 115, 101, 113, 99, 111, 117, 110, 116, 0, 115, 101, 113, 99, 111,
    117, 110, 116, 95, 116, 0, 115, 101, 113, 117, 101, 110, 99, 101, 0, 109, 117, 116, 101, 120,
    0, 111, 119, 110, 101, 114, 0, 119, 97, 105, 116, 95, 108, 111, 99, 107, 0, 111, 115, 113, 0,
    119, 97, 105, 116, 95, 108, 105, 115, 116, 0, 111, 112, 116, 105, 109, 105, 115, 116, 105, 99,
    95, 115, 112, 105, 110, 95, 113, 117, 101, 117, 101, 0, 112, 101, 114, 102, 95, 101, 118, 101,
    110, 116, 95, 99, 111, 110, 116, 101, 120, 116, 0, 112, 109, 117, 0, 97, 99, 116, 105, 118,
    101, 95, 99, 116, 120, 95, 108, 105, 115, 116, 0, 112, 105, 110, 110, 101, 100, 95, 103, 114,
    111, 117, 112, 115, 0, 102, 108, 101, 120, 105, 98, 108, 101, 95, 103, 114, 111, 117, 112, 115,
    0, 101, 118, 101, 110, 116, 95, 108, 105, 115, 116, 0, 112, 105, 110, 110, 101, 100, 95, 97,
    99, 116, 105, 118, 101, 0, 102, 108, 101, 120, 105, 98, 108, 101, 95, 97, 99, 116, 105, 118,
    101, 0, 110, 114, 95, 101, 118, 101, 110, 116, 115, 0, 110, 114, 95, 97, 99, 116, 105, 118,
    101, 0, 105, 115, 95, 97, 99, 116, 105, 118, 101, 0, 110, 114, 95, 115, 116, 97, 116, 0, 110,
    114, 95, 102, 114, 101, 113, 0, 114, 111, 116, 97, 116, 101, 95, 100, 105, 115, 97, 98, 108,
    101, 0, 114, 111, 116, 97, 116, 101, 95, 110, 101, 99, 101, 115, 115, 97, 114, 121, 0, 114,
    101, 102, 99, 111, 117, 110, 116, 0, 116, 97, 115, 107, 0, 116, 105, 109, 101, 115, 116, 97,
    109, 112, 0, 112, 97, 114, 101, 110, 116, 95, 99, 116, 120, 0, 112, 97, 114, 101, 110, 116, 95,
    103, 101, 110, 0, 103, 101, 110, 101, 114, 97, 116, 105, 111, 110, 0, 112, 105, 110, 95, 99,
    111, 117, 110, 116, 0, 110, 114, 95, 99, 103, 114, 111, 117, 112, 115, 0, 116, 97, 115, 107,
    95, 99, 116, 120, 95, 100, 97, 116, 97, 0, 112, 101, 114, 102, 95, 101, 118, 101, 110, 116, 95,
    103, 114, 111, 117, 112, 115, 0, 116, 114, 101, 101, 0, 105, 110, 100, 101, 120, 0, 115, 104,
    111, 114, 116, 0, 116, 108, 98, 102, 108, 117, 115, 104, 95, 117, 110, 109, 97, 112, 95, 98,
    97, 116, 99, 104, 0, 97, 114, 99, 104, 0, 102, 108, 117, 115, 104, 95, 114, 101, 113, 117, 105,
    114, 101, 100, 0, 119, 114, 105, 116, 97, 98, 108, 101, 0, 97, 114, 99, 104, 95, 116, 108, 98,
    102, 108, 117, 115, 104, 95, 117, 110, 109, 97, 112, 95, 98, 97, 116, 99, 104, 0, 98, 111, 111,
    108, 0, 95, 66, 111, 111, 108, 0, 114, 99, 117, 95, 117, 115, 101, 114, 115, 0, 114, 99, 117,
    0, 112, 97, 103, 101, 95, 102, 114, 97, 103, 0, 112, 97, 103, 101, 0, 111, 102, 102, 115, 101,
    116, 0, 115, 105, 122, 101, 0, 98, 97, 99, 107, 116, 114, 97, 99, 101, 0, 109, 97, 120, 0, 103,
    102, 112, 95, 116, 0, 116, 104, 114, 101, 97, 100, 95, 115, 116, 114, 117, 99, 116, 0, 116,
    108, 115, 95, 97, 114, 114, 97, 121, 0, 115, 112, 0, 101, 115, 0, 100, 115, 0, 102, 115, 105,
    110, 100, 101, 120, 0, 103, 115, 105, 110, 100, 101, 120, 0, 102, 115, 98, 97, 115, 101, 0,
    103, 115, 98, 97, 115, 101, 0, 112, 116, 114, 97, 99, 101, 95, 98, 112, 115, 0, 100, 101, 98,
    117, 103, 114, 101, 103, 54, 0, 112, 116, 114, 97, 99, 101, 95, 100, 114, 55, 0, 99, 114, 50,
    0, 116, 114, 97, 112, 95, 110, 114, 0, 101, 114, 114, 111, 114, 95, 99, 111, 100, 101, 0, 105,
    111, 95, 98, 105, 116, 109, 97, 112, 0, 105, 111, 112, 108, 95, 101, 109, 117, 108, 0, 97, 100,
    100, 114, 95, 108, 105, 109, 105, 116, 0, 115, 105, 103, 95, 111, 110, 95, 117, 97, 99, 99,
    101, 115, 115, 95, 101, 114, 114, 0, 102, 112, 117, 0, 100, 101, 115, 99, 95, 115, 116, 114,
    117, 99, 116, 0, 108, 105, 109, 105, 116, 48, 0, 98, 97, 115, 101, 48, 0, 98, 97, 115, 101, 49,
    0, 100, 112, 108, 0, 112, 0, 108, 105, 109, 105, 116, 49, 0, 97, 118, 108, 0, 108, 0, 100, 0,
    103, 0, 98, 97, 115, 101, 50, 0, 112, 101, 114, 102, 95, 101, 118, 101, 110, 116, 0, 101, 118,
    101, 110, 116, 95, 101, 110, 116, 114, 121, 0, 115, 105, 98, 108, 105, 110, 103, 95, 108, 105,
    115, 116, 0, 97, 99, 116, 105, 118, 101, 95, 108, 105, 115, 116, 0, 103, 114, 111, 117, 112,
    95, 105, 110, 100, 101, 120, 0, 109, 105, 103, 114, 97, 116, 101, 95, 101, 110, 116, 114, 121,
    0, 104, 108, 105, 115, 116, 95, 101, 110, 116, 114, 121, 0, 97, 99, 116, 105, 118, 101, 95,
    101, 110, 116, 114, 121, 0, 110, 114, 95, 115, 105, 98, 108, 105, 110, 103, 115, 0, 101, 118,
    101, 110, 116, 95, 99, 97, 112, 115, 0, 103, 114, 111, 117, 112, 95, 99, 97, 112, 115, 0, 112,
    109, 117, 95, 112, 114, 105, 118, 97, 116, 101, 0, 97, 116, 116, 97, 99, 104, 95, 115, 116, 97,
    116, 101, 0, 99, 104, 105, 108, 100, 95, 99, 111, 117, 110, 116, 0, 116, 111, 116, 97, 108, 95,
    116, 105, 109, 101, 95, 101, 110, 97, 98, 108, 101, 100, 0, 116, 111, 116, 97, 108, 95, 116,
    105, 109, 101, 95, 114, 117, 110, 110, 105, 110, 103, 0, 116, 115, 116, 97, 109, 112, 0, 115,
    104, 97, 100, 111, 119, 95, 99, 116, 120, 95, 116, 105, 109, 101, 0, 97, 116, 116, 114, 0, 104,
    101, 97, 100, 101, 114, 95, 115, 105, 122, 101, 0, 105, 100, 95, 104, 101, 97, 100, 101, 114,
    95, 115, 105, 122, 101, 0, 114, 101, 97, 100, 95, 115, 105, 122, 101, 0, 104, 119, 0, 99, 104,
    105, 108, 100, 95, 116, 111, 116, 97, 108, 95, 116, 105, 109, 101, 95, 101, 110, 97, 98, 108,
    101, 100, 0, 99, 104, 105, 108, 100, 95, 116, 111, 116, 97, 108, 95, 116, 105, 109, 101, 95,
    114, 117, 110, 110, 105, 110, 103, 0, 99, 104, 105, 108, 100, 95, 109, 117, 116, 101, 120, 0,
    99, 104, 105, 108, 100, 95, 108, 105, 115, 116, 0, 111, 110, 99, 112, 117, 0, 111, 119, 110,
    101, 114, 95, 101, 110, 116, 114, 121, 0, 109, 109, 97, 112, 95, 109, 117, 116, 101, 120, 0,
    109, 109, 97, 112, 95, 99, 111, 117, 110, 116, 0, 114, 98, 95, 101, 110, 116, 114, 121, 0, 114,
    99, 117, 95, 98, 97, 116, 99, 104, 101, 115, 0, 114, 99, 117, 95, 112, 101, 110, 100, 105, 110,
    103, 0, 119, 97, 105, 116, 113, 0, 102, 97, 115, 121, 110, 99, 0, 112, 101, 110, 100, 105, 110,
    103, 95, 119, 97, 107, 101, 117, 112, 0, 112, 101, 110, 100, 105, 110, 103, 95, 107, 105, 108,
    108, 0, 112, 101, 110, 100, 105, 110, 103, 95, 100, 105, 115, 97, 98, 108, 101, 0, 101, 118,
    101, 110, 116, 95, 108, 105, 109, 105, 116, 0, 97, 100, 100, 114, 95, 102, 105, 108, 116, 101,
    114, 115, 0, 97, 100, 100, 114, 95, 102, 105, 108, 116, 101, 114, 95, 114, 97, 110, 103, 101,
    115, 0, 97, 100, 100, 114, 95, 102, 105, 108, 116, 101, 114, 115, 95, 103, 101, 110, 0, 97,
    117, 120, 95, 101, 118, 101, 110, 116, 0, 100, 101, 115, 116, 114, 111, 121, 0, 110, 115, 0,
    105, 100, 0, 99, 108, 111, 99, 107, 0, 111, 118, 101, 114, 102, 108, 111, 119, 95, 104, 97,
    110, 100, 108, 101, 114, 0, 111, 118, 101, 114, 102, 108, 111, 119, 95, 104, 97, 110, 100, 108,
    101, 114, 95, 99, 111, 110, 116, 101, 120, 116, 0, 111, 114, 105, 103, 95, 111, 118, 101, 114,
    102, 108, 111, 119, 95, 104, 97, 110, 100, 108, 101, 114, 0, 112, 114, 111, 103, 0, 116, 112,
    95, 101, 118, 101, 110, 116, 0, 102, 116, 114, 97, 99, 101, 95, 111, 112, 115, 0, 99, 103, 114,
    112, 0, 115, 98, 95, 108, 105, 115, 116, 0, 112, 101, 114, 102, 95, 101, 118, 101, 110, 116,
    95, 115, 116, 97, 116, 101, 0, 80, 69, 82, 70, 95, 69, 86, 69, 78, 84, 95, 83, 84, 65, 84, 69,
    95, 68, 69, 65, 68, 0, 80, 69, 82, 70, 95, 69, 86, 69, 78, 84, 95, 83, 84, 65, 84, 69, 95, 69,
    88, 73, 84, 0, 80, 69, 82, 70, 95, 69, 86, 69, 78, 84, 95, 83, 84, 65, 84, 69, 95, 69, 82, 82,
    79, 82, 0, 80, 69, 82, 70, 95, 69, 86, 69, 78, 84, 95, 83, 84, 65, 84, 69, 95, 79, 70, 70, 0,
    80, 69, 82, 70, 95, 69, 86, 69, 78, 84, 95, 83, 84, 65, 84, 69, 95, 73, 78, 65, 67, 84, 73, 86,
    69, 0, 80, 69, 82, 70, 95, 69, 86, 69, 78, 84, 95, 83, 84, 65, 84, 69, 95, 65, 67, 84, 73, 86,
    69, 0, 108, 111, 99, 97, 108, 54, 52, 95, 116, 0, 97, 0, 108, 111, 99, 97, 108, 95, 116, 0,
    112, 101, 114, 102, 95, 101, 118, 101, 110, 116, 95, 97, 116, 116, 114, 0, 99, 111, 110, 102,
    105, 103, 0, 115, 97, 109, 112, 108, 101, 95, 116, 121, 112, 101, 0, 114, 101, 97, 100, 95,
    102, 111, 114, 109, 97, 116, 0, 100, 105, 115, 97, 98, 108, 101, 100, 0, 105, 110, 104, 101,
    114, 105, 116, 0, 112, 105, 110, 110, 101, 100, 0, 101, 120, 99, 108, 117, 115, 105, 118, 101,
    0, 101, 120, 99, 108, 117, 100, 101, 95, 117, 115, 101, 114, 0, 101, 120, 99, 108, 117, 100,
    101, 95, 107, 101, 114, 110, 101, 108, 0, 101, 120, 99, 108, 117, 100, 101, 95, 104, 118, 0,
    101, 120, 99, 108, 117, 100, 101, 95, 105, 100, 108, 101, 0, 109, 109, 97, 112, 0, 102, 114,
    101, 113, 0, 105, 110, 104, 101, 114, 105, 116, 95, 115, 116, 97, 116, 0, 101, 110, 97, 98,
    108, 101, 95, 111, 110, 95, 101, 120, 101, 99, 0, 119, 97, 116, 101, 114, 109, 97, 114, 107, 0,
    112, 114, 101, 99, 105, 115, 101, 95, 105, 112, 0, 109, 109, 97, 112, 95, 100, 97, 116, 97, 0,
    115, 97, 109, 112, 108, 101, 95, 105, 100, 95, 97, 108, 108, 0, 101, 120, 99, 108, 117, 100,
    101, 95, 104, 111, 115, 116, 0, 101, 120, 99, 108, 117, 100, 101, 95, 103, 117, 101, 115, 116,
    0, 101, 120, 99, 108, 117, 100, 101, 95, 99, 97, 108, 108, 99, 104, 97, 105, 110, 95, 107, 101,
    114, 110, 101, 108, 0, 101, 120, 99, 108, 117, 100, 101, 95, 99, 97, 108, 108, 99, 104, 97,
    105, 110, 95, 117, 115, 101, 114, 0, 109, 109, 97, 112, 50, 0, 99, 111, 109, 109, 95, 101, 120,
    101, 99, 0, 117, 115, 101, 95, 99, 108, 111, 99, 107, 105, 100, 0, 99, 111, 110, 116, 101, 120,
    116, 95, 115, 119, 105, 116, 99, 104, 0, 119, 114, 105, 116, 101, 95, 98, 97, 99, 107, 119, 97,
    114, 100, 0, 110, 97, 109, 101, 115, 112, 97, 99, 101, 115, 0, 107, 115, 121, 109, 98, 111,
    108, 0, 98, 112, 102, 95, 101, 118, 101, 110, 116, 0, 97, 117, 120, 95, 111, 117, 116, 112,
    117, 116, 0, 99, 103, 114, 111, 117, 112, 0, 116, 101, 120, 116, 95, 112, 111, 107, 101, 0, 95,
    95, 114, 101, 115, 101, 114, 118, 101, 100, 95, 49, 0, 98, 112, 95, 116, 121, 112, 101, 0, 98,
    114, 97, 110, 99, 104, 95, 115, 97, 109, 112, 108, 101, 95, 116, 121, 112, 101, 0, 115, 97,
    109, 112, 108, 101, 95, 114, 101, 103, 115, 95, 117, 115, 101, 114, 0, 115, 97, 109, 112, 108,
    101, 95, 115, 116, 97, 99, 107, 95, 117, 115, 101, 114, 0, 115, 97, 109, 112, 108, 101, 95,
    114, 101, 103, 115, 95, 105, 110, 116, 114, 0, 97, 117, 120, 95, 119, 97, 116, 101, 114, 109,
    97, 114, 107, 0, 115, 97, 109, 112, 108, 101, 95, 109, 97, 120, 95, 115, 116, 97, 99, 107, 0,
    95, 95, 114, 101, 115, 101, 114, 118, 101, 100, 95, 50, 0, 97, 117, 120, 95, 115, 97, 109, 112,
    108, 101, 95, 115, 105, 122, 101, 0, 95, 95, 114, 101, 115, 101, 114, 118, 101, 100, 95, 51, 0,
    115, 97, 109, 112, 108, 101, 95, 112, 101, 114, 105, 111, 100, 0, 115, 97, 109, 112, 108, 101,
    95, 102, 114, 101, 113, 0, 119, 97, 107, 101, 117, 112, 95, 101, 118, 101, 110, 116, 115, 0,
    119, 97, 107, 101, 117, 112, 95, 119, 97, 116, 101, 114, 109, 97, 114, 107, 0, 98, 112, 95, 97,
    100, 100, 114, 0, 107, 112, 114, 111, 98, 101, 95, 102, 117, 110, 99, 0, 117, 112, 114, 111,
    98, 101, 95, 112, 97, 116, 104, 0, 99, 111, 110, 102, 105, 103, 49, 0, 98, 112, 95, 108, 101,
    110, 0, 107, 112, 114, 111, 98, 101, 95, 97, 100, 100, 114, 0, 112, 114, 111, 98, 101, 95, 111,
    102, 102, 115, 101, 116, 0, 99, 111, 110, 102, 105, 103, 50, 0, 95, 95, 115, 51, 50, 0, 104,
    119, 95, 112, 101, 114, 102, 95, 101, 118, 101, 110, 116, 0, 116, 97, 114, 103, 101, 116, 0,
    112, 114, 101, 118, 95, 99, 111, 117, 110, 116, 0, 108, 97, 115, 116, 95, 112, 101, 114, 105,
    111, 100, 0, 112, 101, 114, 105, 111, 100, 95, 108, 101, 102, 116, 0, 105, 110, 116, 101, 114,
    114, 117, 112, 116, 115, 95, 115, 101, 113, 0, 105, 110, 116, 101, 114, 114, 117, 112, 116,
    115, 0, 102, 114, 101, 113, 95, 116, 105, 109, 101, 95, 115, 116, 97, 109, 112, 0, 102, 114,
    101, 113, 95, 99, 111, 117, 110, 116, 95, 115, 116, 97, 109, 112, 0, 108, 97, 115, 116, 95,
    116, 97, 103, 0, 99, 111, 110, 102, 105, 103, 95, 98, 97, 115, 101, 0, 101, 118, 101, 110, 116,
    95, 98, 97, 115, 101, 0, 101, 118, 101, 110, 116, 95, 98, 97, 115, 101, 95, 114, 100, 112, 109,
    99, 0, 105, 100, 120, 0, 108, 97, 115, 116, 95, 99, 112, 117, 0, 101, 120, 116, 114, 97, 95,
    114, 101, 103, 0, 98, 114, 97, 110, 99, 104, 95, 114, 101, 103, 0, 104, 119, 95, 112, 101, 114,
    102, 95, 101, 118, 101, 110, 116, 95, 101, 120, 116, 114, 97, 0, 114, 101, 103, 0, 97, 108,
    108, 111, 99, 0, 116, 112, 95, 108, 105, 115, 116, 0, 112, 119, 114, 95, 97, 99, 99, 0, 112,
    116, 115, 99, 0, 105, 110, 102, 111, 0, 98, 112, 95, 108, 105, 115, 116, 0, 97, 114, 99, 104,
    95, 104, 119, 95, 98, 114, 101, 97, 107, 112, 111, 105, 110, 116, 0, 97, 100, 100, 114, 101,
    115, 115, 0, 109, 97, 115, 107, 0, 108, 101, 110, 0, 105, 111, 109, 109, 117, 95, 98, 97, 110,
    107, 0, 105, 111, 109, 109, 117, 95, 99, 110, 116, 114, 0, 112, 97, 100, 100, 105, 110, 103, 0,
    99, 111, 110, 102, 0, 99, 111, 110, 102, 49, 0, 119, 97, 105, 116, 95, 113, 117, 101, 117, 101,
    95, 104, 101, 97, 100, 95, 116, 0, 119, 97, 105, 116, 95, 113, 117, 101, 117, 101, 95, 104,
    101, 97, 100, 0, 104, 101, 97, 100, 0, 105, 114, 113, 95, 119, 111, 114, 107, 0, 108, 108, 110,
    111, 100, 101, 0, 112, 101, 114, 102, 95, 97, 100, 100, 114, 95, 102, 105, 108, 116, 101, 114,
    115, 95, 104, 101, 97, 100, 0, 110, 114, 95, 102, 105, 108, 101, 95, 102, 105, 108, 116, 101,
    114, 115, 0, 112, 101, 114, 102, 95, 111, 118, 101, 114, 102, 108, 111, 119, 95, 104, 97, 110,
    100, 108, 101, 114, 95, 116, 0, 112, 101, 114, 102, 95, 115, 97, 109, 112, 108, 101, 95, 100,
    97, 116, 97, 0, 97, 100, 100, 114, 0, 114, 97, 119, 0, 98, 114, 95, 115, 116, 97, 99, 107, 0,
    112, 101, 114, 105, 111, 100, 0, 116, 120, 110, 0, 100, 97, 116, 97, 95, 115, 114, 99, 0, 105,
    112, 0, 116, 105, 100, 95, 101, 110, 116, 114, 121, 0, 115, 116, 114, 101, 97, 109, 95, 105,
    100, 0, 99, 112, 117, 95, 101, 110, 116, 114, 121, 0, 99, 97, 108, 108, 99, 104, 97, 105, 110,
    0, 97, 117, 120, 95, 115, 105, 122, 101, 0, 114, 101, 103, 115, 95, 117, 115, 101, 114, 0, 114,
    101, 103, 115, 95, 117, 115, 101, 114, 95, 99, 111, 112, 121, 0, 114, 101, 103, 115, 95, 105,
    110, 116, 114, 0, 115, 116, 97, 99, 107, 95, 117, 115, 101, 114, 95, 115, 105, 122, 101, 0,
    112, 104, 121, 115, 95, 97, 100, 100, 114, 0, 112, 101, 114, 102, 95, 109, 101, 109, 95, 100,
    97, 116, 97, 95, 115, 114, 99, 0, 109, 101, 109, 95, 111, 112, 0, 109, 101, 109, 95, 108, 118,
    108, 0, 109, 101, 109, 95, 115, 110, 111, 111, 112, 0, 109, 101, 109, 95, 108, 111, 99, 107, 0,
    109, 101, 109, 95, 100, 116, 108, 98, 0, 109, 101, 109, 95, 108, 118, 108, 95, 110, 117, 109,
    0, 109, 101, 109, 95, 114, 101, 109, 111, 116, 101, 0, 109, 101, 109, 95, 115, 110, 111, 111,
    112, 120, 0, 109, 101, 109, 95, 114, 115, 118, 100, 0, 116, 105, 100, 0, 114, 101, 115, 101,
    114, 118, 101, 100, 0, 112, 101, 114, 102, 95, 114, 101, 103, 115, 0, 97, 98, 105, 0, 114, 101,
    103, 115, 0, 112, 116, 95, 114, 101, 103, 115, 0, 114, 49, 53, 0, 114, 49, 52, 0, 114, 49, 51,
    0, 114, 49, 50, 0, 98, 112, 0, 98, 120, 0, 114, 49, 49, 0, 114, 49, 48, 0, 114, 57, 0, 114, 56,
    0, 97, 120, 0, 99, 120, 0, 100, 120, 0, 115, 105, 0, 100, 105, 0, 111, 114, 105, 103, 95, 97,
    120, 0, 99, 115, 0, 115, 115, 0, 112, 114, 105, 118, 97, 116, 101, 0, 115, 97, 118, 101, 100,
    95, 102, 117, 110, 99, 0, 108, 111, 99, 97, 108, 95, 104, 97, 115, 104, 0, 102, 117, 110, 99,
    95, 104, 97, 115, 104, 0, 111, 108, 100, 95, 104, 97, 115, 104, 0, 116, 114, 97, 109, 112, 111,
    108, 105, 110, 101, 0, 116, 114, 97, 109, 112, 111, 108, 105, 110, 101, 95, 115, 105, 122, 101,
    0, 102, 116, 114, 97, 99, 101, 95, 102, 117, 110, 99, 95, 116, 0, 102, 116, 114, 97, 99, 101,
    95, 111, 112, 115, 95, 104, 97, 115, 104, 0, 110, 111, 116, 114, 97, 99, 101, 95, 104, 97, 115,
    104, 0, 102, 105, 108, 116, 101, 114, 95, 104, 97, 115, 104, 0, 114, 101, 103, 101, 120, 95,
    108, 111, 99, 107, 0, 109, 109, 95, 115, 101, 103, 109, 101, 110, 116, 95, 116, 0, 115, 101,
    103, 0, 97, 118, 120, 53, 49, 50, 95, 116, 105, 109, 101, 115, 116, 97, 109, 112, 0, 102, 112,
    114, 101, 103, 115, 95, 115, 116, 97, 116, 101, 0, 102, 115, 97, 118, 101, 0, 102, 120, 115,
    97, 118, 101, 0, 115, 111, 102, 116, 0, 120, 115, 97, 118, 101, 0, 95, 95, 112, 97, 100, 100,
    105, 110, 103, 0, 102, 114, 101, 103, 115, 95, 115, 116, 97, 116, 101, 0, 99, 119, 100, 0, 115,
    119, 100, 0, 116, 119, 100, 0, 102, 105, 112, 0, 102, 99, 115, 0, 102, 111, 111, 0, 102, 111,
    115, 0, 115, 116, 95, 115, 112, 97, 99, 101, 0, 102, 120, 114, 101, 103, 115, 95, 115, 116, 97,
    116, 101, 0, 102, 111, 112, 0, 109, 120, 99, 115, 114, 0, 109, 120, 99, 115, 114, 95, 109, 97,
    115, 107, 0, 120, 109, 109, 95, 115, 112, 97, 99, 101, 0, 114, 105, 112, 0, 114, 100, 112, 0,
    112, 97, 100, 100, 105, 110, 103, 49, 0, 115, 119, 95, 114, 101, 115, 101, 114, 118, 101, 100,
    0, 115, 119, 114, 101, 103, 115, 95, 115, 116, 97, 116, 101, 0, 102, 116, 111, 112, 0, 99, 104,
    97, 110, 103, 101, 100, 0, 108, 111, 111, 107, 97, 104, 101, 97, 100, 0, 110, 111, 95, 117,
    112, 100, 97, 116, 101, 0, 114, 109, 0, 97, 108, 105, 109, 105, 116, 0, 101, 110, 116, 114,
    121, 95, 101, 105, 112, 0, 120, 114, 101, 103, 115, 95, 115, 116, 97, 116, 101, 0, 105, 51, 56,
    55, 0, 104, 101, 97, 100, 101, 114, 0, 101, 120, 116, 101, 110, 100, 101, 100, 95, 115, 116,
    97, 116, 101, 95, 97, 114, 101, 97, 0, 120, 115, 116, 97, 116, 101, 95, 104, 101, 97, 100, 101,
    114, 0, 120, 102, 101, 97, 116, 117, 114, 101, 115, 0, 120, 99, 111, 109, 112, 95, 98, 118, 0,
    48, 58, 55, 51, 0, 32, 32, 100, 97, 116, 97, 46, 109, 101, 116, 97, 46, 112, 112, 105, 100, 32,
    61, 32, 66, 80, 70, 95, 67, 79, 82, 69, 95, 82, 69, 65, 68, 40, 116, 97, 115, 107, 44, 32, 114,
    101, 97, 108, 95, 112, 97, 114, 101, 110, 116, 44, 32, 116, 103, 105, 100, 41, 59, 0, 48, 58,
    55, 49, 0, 48, 58, 55, 55, 0, 32, 32, 100, 97, 116, 97, 46, 109, 101, 116, 97, 46, 112, 103,
    114, 112, 32, 61, 32, 66, 80, 70, 95, 67, 79, 82, 69, 95, 82, 69, 65, 68, 40, 116, 97, 115,
    107, 44, 32, 103, 114, 111, 117, 112, 95, 108, 101, 97, 100, 101, 114, 44, 32, 116, 103, 105,
    100, 41, 59, 0, 48, 58, 49, 50, 53, 0, 32, 32, 100, 97, 116, 97, 46, 109, 101, 116, 97, 46,
    115, 105, 100, 32, 61, 32, 66, 80, 70, 95, 67, 79, 82, 69, 95, 82, 69, 65, 68, 40, 116, 97,
    115, 107, 44, 32, 115, 101, 115, 115, 105, 111, 110, 105, 100, 41, 59, 0, 48, 58, 56, 0, 32,
    32, 100, 97, 116, 97, 46, 109, 101, 116, 97, 46, 99, 112, 117, 32, 61, 32, 66, 80, 70, 95, 67,
    79, 82, 69, 95, 82, 69, 65, 68, 40, 116, 97, 115, 107, 44, 32, 99, 112, 117, 41, 59, 0, 32, 32,
    98, 112, 102, 95, 103, 101, 116, 95, 99, 117, 114, 114, 101, 110, 116, 95, 99, 111, 109, 109,
    40, 38, 100, 97, 116, 97, 46, 109, 101, 116, 97, 46, 99, 111, 109, 109, 44, 32, 115, 105, 122,
    101, 111, 102, 40, 100, 97, 116, 97, 46, 109, 101, 116, 97, 46, 99, 111, 109, 109, 41, 41, 59,
    0, 48, 58, 57, 53, 0, 32, 32, 100, 97, 116, 97, 46, 115, 116, 97, 116, 115, 46, 109, 105, 110,
    95, 102, 108, 116, 32, 61, 32, 66, 80, 70, 95, 67, 79, 82, 69, 95, 82, 69, 65, 68, 40, 116, 97,
    115, 107, 44, 32, 109, 105, 110, 95, 102, 108, 116, 41, 59, 0, 48, 58, 57, 54, 0, 32, 32, 100,
    97, 116, 97, 46, 115, 116, 97, 116, 115, 46, 109, 97, 106, 95, 102, 108, 116, 32, 61, 32, 66,
    80, 70, 95, 67, 79, 82, 69, 95, 82, 69, 65, 68, 40, 116, 97, 115, 107, 44, 32, 109, 97, 106,
    95, 102, 108, 116, 41, 59, 0, 48, 58, 56, 55, 0, 32, 32, 100, 97, 116, 97, 46, 115, 116, 97,
    116, 115, 46, 117, 116, 105, 109, 101, 95, 117, 115, 32, 61, 32, 66, 80, 70, 95, 67, 79, 82,
    69, 95, 82, 69, 65, 68, 40, 116, 97, 115, 107, 44, 32, 117, 116, 105, 109, 101, 41, 32, 47, 32,
    49, 48, 48, 48, 59, 0, 48, 58, 56, 56, 0, 32, 32, 100, 97, 116, 97, 46, 115, 116, 97, 116, 115,
    46, 115, 116, 105, 109, 101, 95, 117, 115, 32, 61, 32, 66, 80, 70, 95, 67, 79, 82, 69, 95, 82,
    69, 65, 68, 40, 116, 97, 115, 107, 44, 32, 115, 116, 105, 109, 101, 41, 32, 47, 32, 49, 48, 48,
    48, 59, 0, 48, 58, 49, 49, 51, 0, 32, 32, 100, 97, 116, 97, 46, 115, 116, 97, 116, 115, 46,
    110, 114, 95, 116, 104, 114, 101, 97, 100, 115, 32, 61, 32, 66, 80, 70, 95, 67, 79, 82, 69, 95,
    82, 69, 65, 68, 40, 116, 97, 115, 107, 44, 32, 115, 105, 103, 110, 97, 108, 44, 32, 110, 114,
    95, 116, 104, 114, 101, 97, 100, 115, 41, 59, 0, 115, 105, 103, 110, 97, 108, 95, 115, 116,
    114, 117, 99, 116, 0, 115, 105, 103, 99, 110, 116, 0, 108, 105, 118, 101, 0, 110, 114, 95, 116,
    104, 114, 101, 97, 100, 115, 0, 116, 104, 114, 101, 97, 100, 95, 104, 101, 97, 100, 0, 119, 97,
    105, 116, 95, 99, 104, 108, 100, 101, 120, 105, 116, 0, 99, 117, 114, 114, 95, 116, 97, 114,
    103, 101, 116, 0, 115, 104, 97, 114, 101, 100, 95, 112, 101, 110, 100, 105, 110, 103, 0, 109,
    117, 108, 116, 105, 112, 114, 111, 99, 101, 115, 115, 0, 103, 114, 111, 117, 112, 95, 101, 120,
    105, 116, 95, 99, 111, 100, 101, 0, 110, 111, 116, 105, 102, 121, 95, 99, 111, 117, 110, 116,
    0, 103, 114, 111, 117, 112, 95, 101, 120, 105, 116, 95, 116, 97, 115, 107, 0, 103, 114, 111,
    117, 112, 95, 115, 116, 111, 112, 95, 99, 111, 117, 110, 116, 0, 105, 115, 95, 99, 104, 105,
    108, 100, 95, 115, 117, 98, 114, 101, 97, 112, 101, 114, 0, 104, 97, 115, 95, 99, 104, 105,
    108, 100, 95, 115, 117, 98, 114, 101, 97, 112, 101, 114, 0, 112, 111, 115, 105, 120, 95, 116,
    105, 109, 101, 114, 95, 105, 100, 0, 112, 111, 115, 105, 120, 95, 116, 105, 109, 101, 114, 115,
    0, 114, 101, 97, 108, 95, 116, 105, 109, 101, 114, 0, 105, 116, 95, 114, 101, 97, 108, 95, 105,
    110, 99, 114, 0, 105, 116, 0, 99, 112, 117, 116, 105, 109, 101, 114, 0, 112, 105, 100, 115, 0,
    116, 116, 121, 95, 111, 108, 100, 95, 112, 103, 114, 112, 0, 108, 101, 97, 100, 101, 114, 0,
    116, 116, 121, 0, 97, 117, 116, 111, 103, 114, 111, 117, 112, 0, 115, 116, 97, 116, 115, 95,
    108, 111, 99, 107, 0, 99, 117, 116, 105, 109, 101, 0, 99, 115, 116, 105, 109, 101, 0, 99, 103,
    116, 105, 109, 101, 0, 99, 110, 118, 99, 115, 119, 0, 99, 110, 105, 118, 99, 115, 119, 0, 99,
    109, 105, 110, 95, 102, 108, 116, 0, 99, 109, 97, 106, 95, 102, 108, 116, 0, 105, 110, 98, 108,
    111, 99, 107, 0, 111, 117, 98, 108, 111, 99, 107, 0, 99, 105, 110, 98, 108, 111, 99, 107, 0,
    99, 111, 117, 98, 108, 111, 99, 107, 0, 109, 97, 120, 114, 115, 115, 0, 99, 109, 97, 120, 114,
    115, 115, 0, 115, 117, 109, 95, 115, 99, 104, 101, 100, 95, 114, 117, 110, 116, 105, 109, 101,
    0, 114, 108, 105, 109, 0, 112, 97, 99, 99, 116, 0, 115, 116, 97, 116, 115, 0, 97, 117, 100,
    105, 116, 95, 116, 116, 121, 0, 116, 116, 121, 95, 97, 117, 100, 105, 116, 95, 98, 117, 102, 0,
    111, 111, 109, 95, 102, 108, 97, 103, 95, 111, 114, 105, 103, 105, 110, 0, 111, 111, 109, 95,
    115, 99, 111, 114, 101, 95, 97, 100, 106, 0, 111, 111, 109, 95, 115, 99, 111, 114, 101, 95, 97,
    100, 106, 95, 109, 105, 110, 0, 111, 111, 109, 95, 109, 109, 0, 99, 114, 101, 100, 95, 103,
    117, 97, 114, 100, 95, 109, 117, 116, 101, 120, 0, 101, 120, 101, 99, 95, 117, 112, 100, 97,
    116, 101, 95, 109, 117, 116, 101, 120, 0, 99, 112, 117, 95, 105, 116, 105, 109, 101, 114, 0,
    105, 110, 99, 114, 0, 116, 104, 114, 101, 97, 100, 95, 103, 114, 111, 117, 112, 95, 99, 112,
    117, 116, 105, 109, 101, 114, 0, 99, 112, 117, 116, 105, 109, 101, 95, 97, 116, 111, 109, 105,
    99, 0, 116, 97, 115, 107, 95, 99, 112, 117, 116, 105, 109, 101, 95, 97, 116, 111, 109, 105, 99,
    0, 115, 101, 113, 108, 111, 99, 107, 95, 116, 0, 114, 108, 105, 109, 105, 116, 0, 114, 108,
    105, 109, 95, 99, 117, 114, 0, 114, 108, 105, 109, 95, 109, 97, 120, 0, 112, 97, 99, 99, 116,
    95, 115, 116, 114, 117, 99, 116, 0, 97, 99, 95, 102, 108, 97, 103, 0, 97, 99, 95, 101, 120,
    105, 116, 99, 111, 100, 101, 0, 97, 99, 95, 109, 101, 109, 0, 97, 99, 95, 117, 116, 105, 109,
    101, 0, 97, 99, 95, 115, 116, 105, 109, 101, 0, 97, 99, 95, 109, 105, 110, 102, 108, 116, 0,
    97, 99, 95, 109, 97, 106, 102, 108, 116, 0, 48, 58, 50, 0, 48, 58, 49, 52, 52, 58, 52, 0, 32,
    32, 100, 97, 116, 97, 46, 115, 116, 97, 116, 115, 46, 105, 111, 95, 114, 101, 97, 100, 95, 98,
    121, 116, 101, 115, 32, 61, 32, 66, 80, 70, 95, 67, 79, 82, 69, 95, 82, 69, 65, 68, 40, 116,
    97, 115, 107, 44, 32, 105, 111, 97, 99, 46, 114, 101, 97, 100, 95, 98, 121, 116, 101, 115, 41,
    59, 0, 48, 58, 49, 52, 52, 58, 53, 0, 32, 32, 100, 97, 116, 97, 46, 115, 116, 97, 116, 115, 46,
    105, 111, 95, 119, 114, 105, 116, 101, 95, 98, 121, 116, 101, 115, 32, 61, 32, 66, 80, 70, 95,
    67, 79, 82, 69, 95, 82, 69, 65, 68, 40, 116, 97, 115, 107, 44, 32, 105, 111, 97, 99, 46, 119,
    114, 105, 116, 101, 95, 98, 121, 116, 101, 115, 41, 59, 0, 48, 58, 57, 51, 0, 32, 32, 100, 97,
    116, 97, 46, 115, 116, 97, 116, 115, 46, 101, 116, 105, 109, 101, 95, 117, 115, 32, 61, 32, 40,
    110, 111, 119, 32, 45, 32, 66, 80, 70, 95, 67, 79, 82, 69, 95, 82, 69, 65, 68, 40, 116, 97,
    115, 107, 44, 32, 115, 116, 97, 114, 116, 95, 116, 105, 109, 101, 41, 41, 32, 47, 32, 49, 48,
    48, 48, 59, 0, 48, 58, 52, 53, 0, 32, 32, 99, 111, 110, 115, 116, 32, 115, 116, 114, 117, 99,
    116, 32, 109, 109, 95, 115, 116, 114, 117, 99, 116, 42, 32, 109, 109, 32, 61, 32, 66, 80, 70,
    95, 67, 79, 82, 69, 95, 82, 69, 65, 68, 40, 116, 97, 115, 107, 44, 32, 109, 109, 41, 59, 0, 32,
    32, 105, 102, 32, 40, 109, 109, 41, 32, 123, 0, 109, 109, 95, 115, 116, 114, 117, 99, 116, 0,
    99, 112, 117, 95, 98, 105, 116, 109, 97, 112, 0, 109, 109, 95, 114, 98, 0, 118, 109, 97, 99,
    97, 99, 104, 101, 95, 115, 101, 113, 110, 117, 109, 0, 103, 101, 116, 95, 117, 110, 109, 97,
    112, 112, 101, 100, 95, 97, 114, 101, 97, 0, 109, 109, 97, 112, 95, 98, 97, 115, 101, 0, 109,
    109, 97, 112, 95, 108, 101, 103, 97, 99, 121, 95, 98, 97, 115, 101, 0, 109, 109, 97, 112, 95,
    99, 111, 109, 112, 97, 116, 95, 98, 97, 115, 101, 0, 109, 109, 97, 112, 95, 99, 111, 109, 112,
    97, 116, 95, 108, 101, 103, 97, 99, 121, 95, 98, 97, 115, 101, 0, 116, 97, 115, 107, 95, 115,
    105, 122, 101, 0, 104, 105, 103, 104, 101, 115, 116, 95, 118, 109, 95, 101, 110, 100, 0, 112,
    103, 100, 0, 109, 101, 109, 98, 97, 114, 114, 105, 101, 114, 95, 115, 116, 97, 116, 101, 0,
    109, 109, 95, 117, 115, 101, 114, 115, 0, 109, 109, 95, 99, 111, 117, 110, 116, 0, 104, 97,
    115, 95, 112, 105, 110, 110, 101, 100, 0, 112, 103, 116, 97, 98, 108, 101, 115, 95, 98, 121,
    116, 101, 115, 0, 109, 97, 112, 95, 99, 111, 117, 110, 116, 0, 112, 97, 103, 101, 95, 116, 97,
    98, 108, 101, 95, 108, 111, 99, 107, 0, 109, 109, 97, 112, 95, 108, 111, 99, 107, 0, 109, 109,
    108, 105, 115, 116, 0, 104, 105, 119, 97, 116, 101, 114, 95, 114, 115, 115, 0, 104, 105, 119,
    97, 116, 101, 114, 95, 118, 109, 0, 116, 111, 116, 97, 108, 95, 118, 109, 0, 108, 111, 99, 107,
    101, 100, 95, 118, 109, 0, 112, 105, 110, 110, 101, 100, 95, 118, 109, 0, 100, 97, 116, 97, 95,
    118, 109, 0, 101, 120, 101, 99, 95, 118, 109, 0, 115, 116, 97, 99, 107, 95, 118, 109, 0, 100,
    101, 102, 95, 102, 108, 97, 103, 115, 0, 97, 114, 103, 95, 108, 111, 99, 107, 0, 115, 116, 97,
    114, 116, 95, 99, 111, 100, 101, 0, 101, 110, 100, 95, 99, 111, 100, 101, 0, 115, 116, 97, 114,
    116, 95, 100, 97, 116, 97, 0, 101, 110, 100, 95, 100, 97, 116, 97, 0, 115, 116, 97, 114, 116,
    95, 98, 114, 107, 0, 98, 114, 107, 0, 115, 116, 97, 114, 116, 95, 115, 116, 97, 99, 107, 0, 97,
    114, 103, 95, 115, 116, 97, 114, 116, 0, 97, 114, 103, 95, 101, 110, 100, 0, 101, 110, 118, 95,
    115, 116, 97, 114, 116, 0, 101, 110, 118, 95, 101, 110, 100, 0, 115, 97, 118, 101, 100, 95, 97,
    117, 120, 118, 0, 98, 105, 110, 102, 109, 116, 0, 99, 111, 110, 116, 101, 120, 116, 0, 99, 111,
    114, 101, 95, 115, 116, 97, 116, 101, 0, 105, 111, 99, 116, 120, 95, 108, 111, 99, 107, 0, 105,
    111, 99, 116, 120, 95, 116, 97, 98, 108, 101, 0, 117, 115, 101, 114, 95, 110, 115, 0, 101, 120,
    101, 95, 102, 105, 108, 101, 0, 110, 111, 116, 105, 102, 105, 101, 114, 95, 115, 117, 98, 115,
    99, 114, 105, 112, 116, 105, 111, 110, 115, 0, 110, 117, 109, 97, 95, 110, 101, 120, 116, 95,
    115, 99, 97, 110, 0, 110, 117, 109, 97, 95, 115, 99, 97, 110, 95, 111, 102, 102, 115, 101, 116,
    0, 116, 108, 98, 95, 102, 108, 117, 115, 104, 95, 112, 101, 110, 100, 105, 110, 103, 0, 116,
    108, 98, 95, 102, 108, 117, 115, 104, 95, 98, 97, 116, 99, 104, 101, 100, 0, 117, 112, 114,
    111, 98, 101, 115, 95, 115, 116, 97, 116, 101, 0, 104, 117, 103, 101, 116, 108, 98, 95, 117,
    115, 97, 103, 101, 0, 97, 115, 121, 110, 99, 95, 112, 117, 116, 95, 119, 111, 114, 107, 0, 112,
    103, 100, 95, 116, 0, 112, 103, 100, 118, 97, 108, 95, 116, 0, 114, 119, 95, 115, 101, 109, 97,
    112, 104, 111, 114, 101, 0, 109, 109, 95, 114, 115, 115, 95, 115, 116, 97, 116, 0, 109, 109,
    95, 99, 111, 110, 116, 101, 120, 116, 95, 116, 0, 99, 116, 120, 95, 105, 100, 0, 116, 108, 98,
    95, 103, 101, 110, 0, 108, 100, 116, 95, 117, 115, 114, 95, 115, 101, 109, 0, 108, 100, 116, 0,
    105, 97, 51, 50, 95, 99, 111, 109, 112, 97, 116, 0, 118, 100, 115, 111, 0, 118, 100, 115, 111,
    95, 105, 109, 97, 103, 101, 0, 112, 101, 114, 102, 95, 114, 100, 112, 109, 99, 95, 97, 108,
    108, 111, 119, 101, 100, 0, 112, 107, 101, 121, 95, 97, 108, 108, 111, 99, 97, 116, 105, 111,
    110, 95, 109, 97, 112, 0, 101, 120, 101, 99, 117, 116, 101, 95, 111, 110, 108, 121, 95, 112,
    107, 101, 121, 0, 115, 49, 54, 0, 95, 95, 115, 49, 54, 0, 120, 111, 108, 95, 97, 114, 101, 97,
    0, 119, 111, 114, 107, 95, 115, 116, 114, 117, 99, 116, 0, 100, 97, 116, 97, 0, 101, 110, 116,
    114, 121, 0, 119, 111, 114, 107, 95, 102, 117, 110, 99, 95, 116, 0, 48, 58, 48, 58, 52, 50, 58,
    48, 58, 48, 58, 48, 0, 32, 32, 32, 32, 117, 54, 52, 32, 102, 105, 108, 101, 95, 112, 97, 103,
    101, 115, 32, 61, 32, 66, 80, 70, 95, 67, 79, 82, 69, 95, 82, 69, 65, 68, 40, 109, 109, 44, 32,
    114, 115, 115, 95, 115, 116, 97, 116, 46, 99, 111, 117, 110, 116, 91, 77, 77, 95, 70, 73, 76,
    69, 80, 65, 71, 69, 83, 93, 46, 99, 111, 117, 110, 116, 101, 114, 41, 59, 0, 48, 58, 48, 58,
    52, 50, 58, 48, 58, 49, 58, 48, 0, 32, 32, 32, 32, 117, 54, 52, 32, 97, 110, 111, 110, 95, 112,
    97, 103, 101, 115, 32, 61, 32, 66, 80, 70, 95, 67, 79, 82, 69, 95, 82, 69, 65, 68, 40, 109,
    109, 44, 32, 114, 115, 115, 95, 115, 116, 97, 116, 46, 99, 111, 117, 110, 116, 91, 77, 77, 95,
    65, 78, 79, 78, 80, 65, 71, 69, 83, 93, 46, 99, 111, 117, 110, 116, 101, 114, 41, 59, 0, 48,
    58, 48, 58, 52, 50, 58, 48, 58, 51, 58, 48, 0, 32, 32, 32, 32, 117, 54, 52, 32, 115, 104, 109,
    101, 109, 95, 112, 97, 103, 101, 115, 32, 61, 32, 66, 80, 70, 95, 67, 79, 82, 69, 95, 82, 69,
    65, 68, 40, 109, 109, 44, 32, 114, 115, 115, 95, 115, 116, 97, 116, 46, 99, 111, 117, 110, 116,
    91, 77, 77, 95, 83, 72, 77, 69, 77, 80, 65, 71, 69, 83, 93, 46, 99, 111, 117, 110, 116, 101,
    114, 41, 59, 0, 32, 32, 32, 32, 117, 54, 52, 32, 97, 99, 116, 105, 118, 101, 95, 114, 115, 115,
    32, 61, 32, 102, 105, 108, 101, 95, 112, 97, 103, 101, 115, 32, 43, 32, 97, 110, 111, 110, 95,
    112, 97, 103, 101, 115, 32, 43, 32, 115, 104, 109, 101, 109, 95, 112, 97, 103, 101, 115, 59, 0,
    32, 32, 32, 32, 100, 97, 116, 97, 46, 115, 116, 97, 116, 115, 46, 97, 99, 116, 105, 118, 101,
    95, 114, 115, 115, 95, 112, 97, 103, 101, 115, 32, 61, 32, 48, 59, 0, 32, 32, 98, 112, 102, 95,
    112, 101, 114, 102, 95, 101, 118, 101, 110, 116, 95, 111, 117, 116, 112, 117, 116, 40, 0, 32,
    32, 114, 101, 116, 117, 114, 110, 32, 49, 59, 0, 95, 108, 105, 99, 101, 110, 115, 101, 0, 46,
    109, 97, 112, 115, 0, 108, 105, 99, 101, 110, 115, 101, 0, 95, 95, 107, 101, 114, 110, 101,
    108, 95, 116, 105, 109, 101, 115, 112, 101, 99, 0, 98, 108, 107, 95, 112, 108, 117, 103, 0, 98,
    112, 102, 95, 112, 114, 111, 103, 0, 99, 111, 109, 112, 97, 116, 95, 114, 111, 98, 117, 115,
    116, 95, 108, 105, 115, 116, 95, 104, 101, 97, 100, 0, 99, 111, 109, 112, 108, 101, 116, 105,
    111, 110, 0, 99, 115, 115, 95, 115, 101, 116, 0, 101, 118, 101, 110, 116, 95, 102, 105, 108,
    116, 101, 114, 0, 102, 97, 115, 121, 110, 99, 95, 115, 116, 114, 117, 99, 116, 0, 102, 105,
    108, 101, 0, 102, 105, 108, 101, 115, 95, 115, 116, 114, 117, 99, 116, 0, 102, 115, 95, 115,
    116, 114, 117, 99, 116, 0, 102, 116, 114, 97, 99, 101, 95, 104, 97, 115, 104, 0, 102, 116, 114,
    97, 99, 101, 95, 114, 101, 116, 95, 115, 116, 97, 99, 107, 0, 102, 117, 116, 101, 120, 95, 112,
    105, 95, 115, 116, 97, 116, 101, 0, 104, 114, 116, 105, 109, 101, 114, 95, 99, 108, 111, 99,
    107, 95, 98, 97, 115, 101, 0, 105, 111, 95, 117, 114, 105, 110, 103, 95, 116, 97, 115, 107, 0,
    107, 101, 114, 110, 101, 108, 95, 115, 105, 103, 105, 110, 102, 111, 0, 107, 101, 121, 0, 107,
    105, 111, 99, 116, 120, 95, 116, 97, 98, 108, 101, 0, 108, 100, 116, 95, 115, 116, 114, 117,
    99, 116, 0, 108, 105, 110, 117, 120, 95, 98, 105, 110, 102, 109, 116, 0, 109, 97, 116, 104, 95,
    101, 109, 117, 95, 105, 110, 102, 111, 0, 109, 101, 109, 95, 99, 103, 114, 111, 117, 112, 0,
    109, 109, 117, 95, 110, 111, 116, 105, 102, 105, 101, 114, 95, 115, 117, 98, 115, 99, 114, 105,
    112, 116, 105, 111, 110, 115, 0, 111, 108, 100, 95, 116, 105, 109, 101, 115, 112, 101, 99, 51,
    50, 0, 112, 101, 114, 102, 95, 97, 100, 100, 114, 95, 102, 105, 108, 116, 101, 114, 95, 114,
    97, 110, 103, 101, 0, 112, 101, 114, 102, 95, 98, 114, 97, 110, 99, 104, 95, 115, 116, 97, 99,
    107, 0, 112, 101, 114, 102, 95, 98, 117, 102, 102, 101, 114, 0, 112, 101, 114, 102, 95, 99, 97,
    108, 108, 99, 104, 97, 105, 110, 95, 101, 110, 116, 114, 121, 0, 112, 101, 114, 102, 95, 99,
    103, 114, 111, 117, 112, 0, 112, 101, 114, 102, 95, 114, 97, 119, 95, 114, 101, 99, 111, 114,
    100, 0, 112, 105, 100, 95, 110, 97, 109, 101, 115, 112, 97, 99, 101, 0, 112, 105, 112, 101, 95,
    105, 110, 111, 100, 101, 95, 105, 110, 102, 111, 0, 112, 111, 108, 108, 102, 100, 0, 114, 99,
    117, 95, 110, 111, 100, 101, 0, 114, 101, 113, 117, 101, 115, 116, 95, 113, 117, 101, 117, 101,
    0, 114, 111, 98, 117, 115, 116, 95, 108, 105, 115, 116, 95, 104, 101, 97, 100, 0, 114, 116, 95,
    109, 117, 116, 101, 120, 95, 119, 97, 105, 116, 101, 114, 0, 115, 101, 99, 99, 111, 109, 112,
    95, 102, 105, 108, 116, 101, 114, 0, 115, 101, 109, 95, 117, 110, 100, 111, 95, 108, 105, 115,
    116, 0, 115, 105, 103, 104, 97, 110, 100, 95, 115, 116, 114, 117, 99, 116, 0, 116, 97, 115,
    107, 95, 100, 101, 108, 97, 121, 95, 105, 110, 102, 111, 0, 116, 97, 115, 107, 95, 103, 114,
    111, 117, 112, 0, 116, 97, 115, 107, 115, 116, 97, 116, 115, 0, 116, 114, 97, 99, 101, 95, 101,
    118, 101, 110, 116, 95, 99, 97, 108, 108, 0, 116, 116, 121, 95, 115, 116, 114, 117, 99, 116, 0,
    117, 112, 114, 111, 98, 101, 95, 116, 97, 115, 107, 0, 117, 115, 101, 114, 95, 110, 97, 109,
    101, 115, 112, 97, 99, 101, 0, 117, 115, 101, 114, 102, 97, 117, 108, 116, 102, 100, 95, 99,
    116, 120, 0, 118, 109, 95, 111, 112, 101, 114, 97, 116, 105, 111, 110, 115, 95, 115, 116, 114,
    117, 99, 116, 0, 118, 109, 95, 115, 116, 114, 117, 99, 116, 0, 159, 235, 1, 0, 32, 0, 0, 0, 0,
    0, 0, 0, 20, 0, 0, 0, 20, 0, 0, 0, 92, 5, 0, 0, 112, 5, 0, 0, 44, 1, 0, 0, 8, 0, 0, 0, 251, 0,
    0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 18, 0, 0, 0, 16, 0, 0, 0, 251, 0, 0, 0, 85, 0, 0, 0, 0, 0, 0, 0,
    31, 1, 0, 0, 90, 1, 0, 0, 0, 200, 0, 0, 8, 0, 0, 0, 31, 1, 0, 0, 133, 1, 0, 0, 51, 212, 0, 0,
    24, 0, 0, 0, 31, 1, 0, 0, 207, 1, 0, 0, 18, 216, 0, 0, 40, 0, 0, 0, 31, 1, 0, 0, 252, 1, 0, 0,
    13, 220, 0, 0, 64, 0, 0, 0, 31, 1, 0, 0, 28, 2, 0, 0, 16, 228, 0, 0, 72, 0, 0, 0, 31, 1, 0, 0,
    54, 2, 0, 0, 17, 232, 0, 0, 80, 0, 0, 0, 31, 1, 0, 0, 28, 2, 0, 0, 16, 228, 0, 0, 216, 0, 0, 0,
    31, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 224, 0, 0, 0, 31, 1, 0, 0, 135, 38, 0, 0, 20, 236, 0, 0,
    16, 1, 0, 0, 31, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 24, 1, 0, 0, 31, 1, 0, 0, 135, 38, 0, 0, 20,
    236, 0, 0, 40, 1, 0, 0, 31, 1, 0, 0, 135, 38, 0, 0, 20, 236, 0, 0, 48, 1, 0, 0, 31, 1, 0, 0,
    135, 38, 0, 0, 18, 236, 0, 0, 88, 1, 0, 0, 31, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 96, 1, 0, 0,
    31, 1, 0, 0, 204, 38, 0, 0, 20, 240, 0, 0, 136, 1, 0, 0, 31, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    144, 1, 0, 0, 31, 1, 0, 0, 204, 38, 0, 0, 20, 240, 0, 0, 160, 1, 0, 0, 31, 1, 0, 0, 204, 38, 0,
    0, 20, 240, 0, 0, 168, 1, 0, 0, 31, 1, 0, 0, 204, 38, 0, 0, 18, 240, 0, 0, 208, 1, 0, 0, 31, 1,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 216, 1, 0, 0, 31, 1, 0, 0, 14, 39, 0, 0, 19, 244, 0, 0, 232, 1,
    0, 0, 31, 1, 0, 0, 14, 39, 0, 0, 19, 244, 0, 0, 240, 1, 0, 0, 31, 1, 0, 0, 14, 39, 0, 0, 17,
    244, 0, 0, 24, 2, 0, 0, 31, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 32, 2, 0, 0, 31, 1, 0, 0, 68, 39,
    0, 0, 19, 248, 0, 0, 48, 2, 0, 0, 31, 1, 0, 0, 68, 39, 0, 0, 19, 248, 0, 0, 56, 2, 0, 0, 31, 1,
    0, 0, 68, 39, 0, 0, 17, 248, 0, 0, 64, 2, 0, 0, 31, 1, 0, 0, 112, 39, 0, 0, 24, 252, 0, 0, 80,
    2, 0, 0, 31, 1, 0, 0, 112, 39, 0, 0, 3, 252, 0, 0, 128, 2, 0, 0, 31, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 136, 2, 0, 0, 31, 1, 0, 0, 182, 39, 0, 0, 24, 8, 1, 0, 152, 2, 0, 0, 31, 1, 0, 0, 182,
    39, 0, 0, 24, 8, 1, 0, 160, 2, 0, 0, 31, 1, 0, 0, 182, 39, 0, 0, 22, 8, 1, 0, 200, 2, 0, 0, 31,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 208, 2, 0, 0, 31, 1, 0, 0, 240, 39, 0, 0, 24, 12, 1, 0, 224,
    2, 0, 0, 31, 1, 0, 0, 240, 39, 0, 0, 24, 12, 1, 0, 232, 2, 0, 0, 31, 1, 0, 0, 240, 39, 0, 0,
    22, 12, 1, 0, 16, 3, 0, 0, 31, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 24, 3, 0, 0, 31, 1, 0, 0, 42,
    40, 0, 0, 25, 16, 1, 0, 40, 3, 0, 0, 31, 1, 0, 0, 42, 40, 0, 0, 25, 16, 1, 0, 48, 3, 0, 0, 31,
    1, 0, 0, 42, 40, 0, 0, 52, 16, 1, 0, 56, 3, 0, 0, 31, 1, 0, 0, 42, 40, 0, 0, 23, 16, 1, 0, 96,
    3, 0, 0, 31, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 104, 3, 0, 0, 31, 1, 0, 0, 106, 40, 0, 0, 25, 20,
    1, 0, 120, 3, 0, 0, 31, 1, 0, 0, 106, 40, 0, 0, 25, 20, 1, 0, 128, 3, 0, 0, 31, 1, 0, 0, 106,
    40, 0, 0, 52, 20, 1, 0, 136, 3, 0, 0, 31, 1, 0, 0, 106, 40, 0, 0, 23, 20, 1, 0, 176, 3, 0, 0,
    31, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 184, 3, 0, 0, 31, 1, 0, 0, 171, 40, 0, 0, 27, 24, 1, 0,
    232, 3, 0, 0, 31, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 240, 3, 0, 0, 31, 1, 0, 0, 171, 40, 0, 0,
    27, 24, 1, 0, 0, 4, 0, 0, 31, 1, 0, 0, 171, 40, 0, 0, 27, 24, 1, 0, 24, 4, 0, 0, 31, 1, 0, 0,
    171, 40, 0, 0, 25, 24, 1, 0, 64, 4, 0, 0, 31, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 72, 4, 0, 0, 31,
    1, 0, 0, 238, 43, 0, 0, 30, 36, 1, 0, 88, 4, 0, 0, 31, 1, 0, 0, 238, 43, 0, 0, 30, 36, 1, 0,
    96, 4, 0, 0, 31, 1, 0, 0, 238, 43, 0, 0, 28, 36, 1, 0, 136, 4, 0, 0, 31, 1, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 144, 4, 0, 0, 31, 1, 0, 0, 57, 44, 0, 0, 31, 40, 1, 0, 160, 4, 0, 0, 31, 1, 0, 0,
    57, 44, 0, 0, 31, 40, 1, 0, 168, 4, 0, 0, 31, 1, 0, 0, 57, 44, 0, 0, 29, 40, 1, 0, 208, 4, 0,
    0, 31, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 216, 4, 0, 0, 31, 1, 0, 0, 131, 44, 0, 0, 32, 48, 1, 0,
    232, 4, 0, 0, 31, 1, 0, 0, 131, 44, 0, 0, 32, 48, 1, 0, 240, 4, 0, 0, 31, 1, 0, 0, 131, 44, 0,
    0, 30, 48, 1, 0, 248, 4, 0, 0, 31, 1, 0, 0, 131, 44, 0, 0, 65, 48, 1, 0, 0, 5, 0, 0, 31, 1, 0,
    0, 131, 44, 0, 0, 23, 48, 1, 0, 32, 5, 0, 0, 31, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 40, 5, 0, 0,
    31, 1, 0, 0, 208, 44, 0, 0, 32, 52, 1, 0, 64, 5, 0, 0, 31, 1, 0, 0, 208, 44, 0, 0, 32, 52, 1,
    0, 72, 5, 0, 0, 31, 1, 0, 0, 8, 45, 0, 0, 7, 56, 1, 0, 112, 5, 0, 0, 31, 1, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 120, 5, 0, 0, 31, 1, 0, 0, 159, 48, 0, 0, 22, 60, 1, 0, 160, 5, 0, 0, 31, 1, 0, 0,
    159, 48, 0, 0, 22, 60, 1, 0, 176, 5, 0, 0, 31, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 184, 5, 0, 0,
    31, 1, 0, 0, 250, 48, 0, 0, 22, 64, 1, 0, 216, 5, 0, 0, 31, 1, 0, 0, 250, 48, 0, 0, 22, 64, 1,
    0, 232, 5, 0, 0, 31, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 240, 5, 0, 0, 31, 1, 0, 0, 85, 49, 0, 0,
    23, 68, 1, 0, 8, 6, 0, 0, 31, 1, 0, 0, 165, 49, 0, 0, 33, 72, 1, 0, 16, 6, 0, 0, 31, 1, 0, 0,
    85, 49, 0, 0, 23, 68, 1, 0, 24, 6, 0, 0, 31, 1, 0, 0, 165, 49, 0, 0, 46, 72, 1, 0, 32, 6, 0, 0,
    31, 1, 0, 0, 225, 49, 0, 0, 33, 88, 1, 0, 56, 6, 0, 0, 31, 1, 0, 0, 6, 50, 0, 0, 3, 100, 1, 0,
    112, 6, 0, 0, 31, 1, 0, 0, 31, 50, 0, 0, 3, 108, 1, 0, 16, 0, 0, 0, 251, 0, 0, 0, 18, 0, 0, 0,
    184, 0, 0, 0, 19, 0, 0, 0, 130, 38, 0, 0, 0, 0, 0, 0, 240, 0, 0, 0, 19, 0, 0, 0, 194, 38, 0, 0,
    0, 0, 0, 0, 56, 1, 0, 0, 19, 0, 0, 0, 199, 38, 0, 0, 0, 0, 0, 0, 176, 1, 0, 0, 19, 0, 0, 0, 8,
    39, 0, 0, 0, 0, 0, 0, 248, 1, 0, 0, 19, 0, 0, 0, 64, 39, 0, 0, 0, 0, 0, 0, 96, 2, 0, 0, 19, 0,
    0, 0, 177, 39, 0, 0, 0, 0, 0, 0, 168, 2, 0, 0, 19, 0, 0, 0, 235, 39, 0, 0, 0, 0, 0, 0, 240, 2,
    0, 0, 19, 0, 0, 0, 37, 40, 0, 0, 0, 0, 0, 0, 64, 3, 0, 0, 19, 0, 0, 0, 101, 40, 0, 0, 0, 0, 0,
    0, 144, 3, 0, 0, 19, 0, 0, 0, 165, 40, 0, 0, 0, 0, 0, 0, 200, 3, 0, 0, 66, 1, 0, 0, 226, 43, 0,
    0, 0, 0, 0, 0, 32, 4, 0, 0, 19, 0, 0, 0, 230, 43, 0, 0, 0, 0, 0, 0, 104, 4, 0, 0, 19, 0, 0, 0,
    49, 44, 0, 0, 0, 0, 0, 0, 176, 4, 0, 0, 19, 0, 0, 0, 126, 44, 0, 0, 0, 0, 0, 0, 8, 5, 0, 0, 19,
    0, 0, 0, 203, 44, 0, 0, 0, 0, 0, 0, 80, 5, 0, 0, 81, 1, 0, 0, 146, 48, 0, 0, 0, 0, 0, 0, 136,
    5, 0, 0, 81, 1, 0, 0, 237, 48, 0, 0, 0, 0, 0, 0, 200, 5, 0, 0, 81, 1, 0, 0, 72, 49, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 16, 0, 0, 0, 0, 0, 0, 0, 1, 122, 82, 0, 8, 124, 11, 1, 12, 0, 0, 0,
    24, 0, 0, 0, 24, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 128, 6, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 240, 1,
    0, 0, 4, 0, 124, 0, 0, 0, 8, 1, 1, 251, 14, 13, 0, 1, 1, 1, 1, 0, 0, 0, 1, 0, 0, 1, 46, 47,
    115, 114, 99, 47, 98, 112, 102, 0, 46, 47, 115, 114, 99, 47, 98, 112, 102, 47, 46, 46, 47, 111,
    112, 101, 110, 95, 115, 111, 117, 114, 99, 101, 0, 47, 117, 115, 114, 47, 105, 110, 99, 108,
    117, 100, 101, 47, 98, 112, 102, 0, 0, 101, 120, 105, 116, 115, 116, 97, 116, 46, 98, 112, 102,
    46, 99, 0, 1, 0, 0, 118, 109, 108, 105, 110, 117, 120, 46, 104, 0, 2, 0, 0, 98, 112, 102, 95,
    104, 101, 108, 112, 101, 114, 95, 100, 101, 102, 115, 46, 104, 0, 3, 0, 0, 0, 0, 9, 2, 0, 0, 0,
    0, 0, 0, 0, 0, 3, 51, 1, 5, 51, 10, 33, 5, 18, 47, 5, 13, 47, 6, 3, 73, 46, 5, 16, 6, 3, 57,
    32, 5, 17, 33, 5, 16, 31, 6, 3, 71, 242, 5, 20, 6, 3, 59, 46, 6, 3, 69, 46, 3, 59, 32, 3, 69,
    46, 3, 59, 46, 46, 5, 18, 32, 3, 69, 46, 5, 20, 6, 3, 60, 74, 6, 3, 68, 74, 3, 60, 46, 46, 5,
    18, 32, 3, 68, 46, 5, 19, 6, 3, 61, 74, 6, 46, 5, 17, 32, 3, 67, 46, 5, 19, 6, 3, 62, 74, 6,
    46, 5, 17, 32, 5, 24, 6, 33, 5, 3, 6, 46, 3, 65, 46, 5, 24, 6, 3, 194, 0, 88, 6, 46, 5, 22, 32,
    3, 190, 127, 46, 5, 24, 6, 3, 195, 0, 74, 6, 46, 5, 22, 32, 3, 189, 127, 46, 5, 25, 6, 3, 196,
    0, 74, 6, 46, 5, 52, 32, 5, 23, 32, 3, 188, 127, 74, 5, 25, 6, 3, 197, 0, 46, 6, 46, 5, 52, 32,
    5, 23, 32, 3, 187, 127, 74, 5, 27, 6, 3, 198, 0, 46, 6, 3, 186, 127, 46, 3, 198, 0, 32, 3, 186,
    127, 46, 3, 198, 0, 46, 46, 5, 25, 60, 3, 186, 127, 74, 5, 30, 6, 3, 201, 0, 46, 6, 46, 5, 28,
    32, 3, 183, 127, 46, 5, 31, 6, 3, 202, 0, 74, 6, 46, 5, 29, 32, 3, 182, 127, 46, 5, 32, 6, 3,
    204, 0, 74, 6, 46, 5, 30, 32, 5, 65, 32, 5, 23, 32, 3, 180, 127, 46, 5, 32, 6, 3, 205, 0, 60,
    6, 60, 5, 7, 6, 33, 6, 3, 178, 127, 32, 5, 22, 6, 3, 207, 0, 88, 6, 3, 177, 127, 46, 3, 207, 0,
    60, 3, 177, 127, 32, 6, 3, 208, 0, 46, 6, 3, 176, 127, 46, 3, 208, 0, 46, 3, 176, 127, 32, 5,
    23, 6, 3, 209, 0, 46, 5, 33, 61, 5, 23, 31, 5, 46, 33, 5, 33, 36, 5, 3, 63, 118, 2, 2, 0, 1, 1,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 230, 0, 0,
    0, 4, 0, 241, 255, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 69, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 92, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 126, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 135, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 140, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 160, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 167, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 176, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    185, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 172, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 196, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 240, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 217, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 246, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 15, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 32, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 47, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 69, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 56, 1, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 75, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 96, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 231, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 118, 1,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 140, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 157, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 176, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 193, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 214, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 14, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 245, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 2, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    114, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 35, 2, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 53, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 73, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 92, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 40, 3,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 127, 2, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 146, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 167, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 191, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 217, 2, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 237, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 2, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 21, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    136, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 50, 3, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 74, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 93, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 114, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 202, 3,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 149, 3, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 165, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 187, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 225, 6, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 226, 3, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 247, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 19, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 40, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    64, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 88, 4, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 113, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 131, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 156, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 181, 4, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 207, 4, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 228, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 250, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 17, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 40, 5, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 61, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 89, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 110, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 139, 5,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 170, 5, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 198, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 223, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 250, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 23, 6, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 51, 6, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 89, 6, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 118, 6, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    140, 6, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 165, 6, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 183, 6, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 201, 6, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 52, 10, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 239, 6,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 7, 7, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 30, 7, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 58, 7, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 78, 7, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 103, 7, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 129, 7, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 147, 7, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 166, 7, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 188,
    7, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 210, 7, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 235, 7, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 4, 8, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 31, 8, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 58, 8, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 82, 8, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 106, 8, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 121, 8, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    140, 8, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 158, 8, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 182, 8, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 206, 8, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 228, 8, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 250, 8,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 11, 9, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 28, 9, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 44, 9, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 62, 9, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 74, 9, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 89, 9, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 118, 9, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 147, 9, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 176, 9,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 205, 9, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 220, 9, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 249, 9, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 8, 10, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 22, 10, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 30, 10, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 34, 12, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 68, 10, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    77, 10, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 90, 10, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 101, 10, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 118, 10, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 135, 10, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    160, 10, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 173, 10, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 192, 10, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 206, 10, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 224, 10, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 241, 10, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 255, 10, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 21, 11, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 40, 11, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 67, 11, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    83, 11, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 107, 11, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 124, 11, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 140, 11, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 154, 11, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    176, 11, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 187, 11, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 206, 11, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 224, 11, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 250, 11, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 10, 12, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 136, 12, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 47, 12, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 64, 12, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 80, 12, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 104,
    12, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 118, 12, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 58, 15, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 156, 12, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 176, 12, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 194,
    12, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 213, 12, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 237, 12, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 11, 13, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 36, 13, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 62, 13,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 87, 13, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 113, 13, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 135, 13, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 164, 13, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 186, 13,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 213, 13, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 239, 13, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 3, 14, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 24, 14, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 44, 14, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 64, 14, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 86, 14, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 114, 14, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 147, 14, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 182, 14, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 201, 14, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 220, 14, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 244, 14, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 13, 15, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 37, 15, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 115, 15, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 71, 15, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 87, 15, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 100, 15, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 239, 15, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 125, 15, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 143, 15, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 165, 15, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 187, 15, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 201, 15, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 220, 15, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 30, 16, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 252, 15, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 14, 16, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 95, 16, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 46, 16, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 62, 16, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 79, 16, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    147, 17, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 107, 16, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 127, 16, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 149, 16, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 176, 16, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 205, 16, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 232, 16, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 5, 17, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 34, 17, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 67, 17, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    97, 17, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 128, 17, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 211, 17, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 162, 17, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 181, 17, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    197, 17, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 48, 18, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 228, 17, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 248, 17, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 12, 18, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    29, 18, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 70, 18, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 78, 18, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 93, 18, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 107, 18, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 120,
    18, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 174, 18, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 137, 18, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 147, 18, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 162, 18, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 7,
    19, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 191, 18, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 200, 18, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 211, 18, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 223, 18, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    236, 18, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 248, 18, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 97, 20, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 17, 19, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 39, 19, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 55,
    19, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 74, 19, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 95, 19, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 111, 19, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 126, 19, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 145,
    19, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 164, 19, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 184, 19, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 202, 19, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 221, 19, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    241, 19, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 5, 20, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 27, 20, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 39, 20, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 58, 20, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 77, 20,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 206, 20, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 111, 20, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 126, 20, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 144, 20, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 166,
    20, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 187, 20, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 48, 21, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 225, 20, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 7, 21, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 172, 21,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 81, 21, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 106, 21, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 129, 21, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 151, 21, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 247, 21,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 190, 21, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 219, 21, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 79, 22, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 12, 22, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 45, 22, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 170, 22, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 105, 22, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 137, 22, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 18, 23, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 197, 22,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 220, 22, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 248, 22, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 113, 23, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 36, 23, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 61, 23,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 86, 23, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 42, 24, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 133, 23, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 163, 23, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 188, 23, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 213, 23, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 241, 23, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 13, 24, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 195, 25, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 63, 24, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 94, 24, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 139, 24, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 184, 24, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 228, 24, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 4, 25, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 39, 25, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 75, 25, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 118, 25, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    163, 25, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 10, 27, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 218, 25, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 11, 26, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 57, 26, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 112,
    26, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 172, 26, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 230, 26, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 11, 28, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 44, 27, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 100,
    27, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 153, 27, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 225, 27, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 75, 29, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 51, 28, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 112,
    28, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 170, 28, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 229, 28, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 24, 29, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 232, 29, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 123,
    29, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 185, 29, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 118, 30, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 23, 30, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 70, 30, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 223,
    30, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 156, 30, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 176, 30, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 194, 30, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 208, 30, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 35,
    31, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 245, 30, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 12, 31, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 172, 32, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 55, 31, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 74, 31,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 93, 31, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 120, 31, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 138, 31, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 157, 31, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 177, 31,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 199, 31, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 221, 31, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 243, 31, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 5, 32, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 23, 32,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 45, 32, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 65, 32, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 87, 32, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 109, 32, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 130, 32, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 151, 32, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 137, 45, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 189, 32, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 141, 29, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 147, 29,
    2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 28, 233, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 155, 29, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 168, 46, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 96, 30, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 117,
    30, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 135, 30, 2, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 153, 30, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 200, 109, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 99, 56, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 196,
    32, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 214, 44, 2, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 31, 182, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 152, 205, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 221, 44, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    145, 44, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 233, 44, 2, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 243, 44, 2, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 87, 195, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 254, 44, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 1, 45, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 239, 32, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 18, 67, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 102, 45, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 28, 39, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    19, 119, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 130, 29, 2, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 201, 32, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 24, 33, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 71, 33, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    97, 33, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 107, 33, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 117, 33, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 121, 33, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 127, 33, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    136, 33, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 146, 33, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 157, 33, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 168, 33, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 178, 33, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 193, 33, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 202, 33, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 208, 33, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 214, 33, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 245, 33, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 1, 34, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 17, 34, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 31, 34, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 47, 34, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 61, 34, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    82, 34, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 90, 34, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 96, 34, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 162, 34, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 173, 34, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    233, 35, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 246, 35, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 16, 36, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 35, 36, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 135, 38, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    208, 195, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 154, 207, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 235, 207, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 240, 208, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 99, 209, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 100, 211, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 87, 36, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 110, 115, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 145, 211, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 152, 211, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 159, 211, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 169, 211,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 179, 211, 1, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 246, 178, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 57, 233, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 187, 211, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 195,
    211, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 203, 211, 1, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 219, 211, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 234, 211, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 251, 211, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    11, 212, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 27, 212, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 37, 212, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 54, 212, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 63, 212, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 75, 212, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 87, 212, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 227, 121, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 102, 212, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 111, 212, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 126, 212, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 149, 212,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 152, 212, 1, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 162, 212, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 174, 212, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 186, 212, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 195,
    212, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 206, 212, 1, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 21, 213, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 29, 213, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 50, 213, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    60, 213, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 64, 215, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 72, 215, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 81, 215, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 173, 247, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 38, 252, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 56, 252, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 65, 252, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 165, 252, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 179, 252, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 198, 252, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 207, 252,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 225, 252, 1, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 246, 252, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 129, 253, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 145, 253, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 165,
    3, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 179, 3, 2, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 156, 182, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 196, 3, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 227, 3, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 239, 3, 2,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 243, 3, 2, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 1, 4, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 196, 254, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 197, 236, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 20, 4, 2, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 35, 4, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 75, 4, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 135, 4, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 148,
    4, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 161, 4, 2, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 172, 4, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 187, 4, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 202, 4, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 220, 4, 2, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 230, 4, 2, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 242, 4, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 57, 188, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    2, 5, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 23, 5, 2, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 41, 5, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 62, 5, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 82, 5, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 98, 5, 2,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 111, 5, 2, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 121, 5, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 137, 5, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 159, 5, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 182, 5, 2, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 200, 5, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 216, 5, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 223, 5, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 230,
    5, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 238, 5, 2, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 13, 6, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 37, 6, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 56, 6, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 66, 6, 2, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 3, 33, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 75, 6, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 88, 6, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    109, 6, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 109, 7, 2, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 122, 7, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 135, 7, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 248, 11, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 255,
    11, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 23, 12, 2, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 35, 12, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 48, 12, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 80, 12, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 156, 20,
    2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 105, 27, 2, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 123, 27, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 141, 27, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 152, 27, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 164,
    27, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 83, 27, 2, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 182, 27, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 26, 28, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 41, 28, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 7, 33,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 211, 32, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 228, 32, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 217, 32, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 222, 32, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 249,
    32, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 244, 32, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 59, 33, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 32, 33, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 45, 33, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 40, 33, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 79, 33, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 227, 33, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 223, 33, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 159, 35, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 102, 34, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 113, 34, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 124, 34, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 133, 34, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 142, 34, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 152, 34,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 184, 34, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 194, 34, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 205, 34, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 222, 34, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 237,
    34, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 251, 34, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 11, 35, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 26, 35, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 43, 35, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 61, 35, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 79, 35, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 94, 35, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 114, 35, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 131, 35, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 145, 35, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 219, 35, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 208, 35, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 176, 35, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 204, 35, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 198, 35, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 184, 35, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 7, 36, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 120, 38, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 53, 36, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 172, 37, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 185, 37, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 197, 37, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 214, 37, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 222, 37, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 10, 38,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 161, 37, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 93, 36, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 62, 36, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 81, 36, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 66, 36, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 150, 37, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 109, 36, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 139, 36, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 199, 36, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 230, 36, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 235, 36, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 243, 36, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 251, 36, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 255, 36, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 4, 37, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 9, 37, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 15, 37, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 24, 37, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 30, 37, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 66, 37, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 134, 37, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 139, 37, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 145, 37, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 130, 36, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 115, 36, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 123, 36, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 190, 36, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 144, 36, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 156, 36, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 181, 36, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 150, 36, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 176, 36, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 162, 36, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 222, 36, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 204, 36,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 206, 36, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 220, 36, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 214, 36, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 208, 36, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 55,
    37, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 35, 37, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 41, 37, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 47, 37, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 125, 37, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 74, 37,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 117, 37, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 105, 37, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 84, 37, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 253, 37, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 235, 37,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 244, 37, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 106, 38, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 29, 38, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 36, 38, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 84, 38, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 71, 38, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 44, 38, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 49, 38, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 58, 38, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 66, 38, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 96, 38, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 89, 38, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 13, 39, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 149,
    38, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 248, 38, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 236, 38, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 158, 38, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 169, 38, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    188, 38, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 197, 38, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 209, 38, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 222, 38, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 181, 38, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 255, 38, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 193, 195, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 39, 39, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 48, 39, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 59, 39, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    68, 39, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 77, 39, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 247, 177, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 10, 178, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 27, 178, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    47, 178, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 63, 178, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 83, 178, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 101, 178, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 81, 180, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 96, 180, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 111, 180, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 127, 180, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 142, 180, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 176, 180, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 198, 180, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 220, 180,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 234, 180, 1, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 254, 180, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 19, 181, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 39, 181, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 162,
    181, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 182, 181, 1, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 197, 181, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 213, 181, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 229, 181, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    249, 181, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 10, 182, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 117, 182, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 139, 182, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 180, 182, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 196, 182, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 212, 182, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 246, 182, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 6, 183, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 30, 183, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 43, 183, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 59, 183, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 76, 183, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 95, 183, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 113, 183, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 133, 183, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 30, 184, 1,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 47, 184, 1, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 65, 184, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 79, 184, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 93, 184, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 112, 184,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 129, 184, 1, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 146, 184, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 166, 184, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 184, 184, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 16,
    185, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 28, 185, 1, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 186, 185, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 198, 185, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 217, 185, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    236, 185, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 255, 185, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 18, 186, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 66, 186, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 89, 186, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 112, 186, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 155, 186, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 174, 186, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 195, 186, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 216, 186, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 235, 186, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 250, 186,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 16, 187, 1, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 38, 187, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 58, 187, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 148, 189, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 187,
    189, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 202, 189, 1, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 100, 195, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 92, 39, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 239, 177, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    104, 39, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 116, 39, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 166, 39, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 91, 174, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 50, 247, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 108, 174, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 73, 52, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 122, 174, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 231, 202, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 134, 174, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 153, 174, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 118, 43, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 159, 174, 1, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 168, 174, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 213, 137, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 176, 174, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 190,
    174, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 206, 174, 1, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 213, 174, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 219, 174, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 226, 174, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    233, 174, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 243, 174, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 254, 174, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 16, 175, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 30, 175, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 48, 175, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 57, 175, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 67, 175, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 76, 175, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 86, 175, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 95, 175, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 103, 175, 1,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 111, 175, 1, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 128, 175, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 139, 175, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 146, 175, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 160,
    175, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 175, 175, 1, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 186, 175, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 212, 175, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 225, 175, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    242, 175, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 253, 175, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 11, 176, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 31, 176, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 46, 176, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 60, 176, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 80, 176, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 96, 176, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 113, 176, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 133, 176, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 150, 176, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 164, 176,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 175, 176, 1, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 188, 176, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 198, 176, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 207, 176, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 219,
    176, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 230, 176, 1, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 183, 81, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 242, 176, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 109, 43, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    250, 176, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 5, 177, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 14, 177, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 22, 177, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 84, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    106, 203, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 33, 177, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 51, 177, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 66, 177, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 80, 177, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 103, 177, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 124, 177, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 194, 208, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 141, 177, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 158, 177, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 173, 177, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 184, 177,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 230, 43, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 52, 79, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 17, 52, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 211, 177, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 183, 124,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 220, 177, 1, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 158, 39, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 123, 39, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 141, 39, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 150,
    39, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 86, 174, 1, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 169, 39, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 15, 167, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 49, 167, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 58,
    167, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 70, 167, 1, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 85, 167, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 101, 167, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 118, 167, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    129, 167, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 140, 167, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 157, 167, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 168, 167, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 179, 167, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 189, 167, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 199, 167, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 227, 167, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 237, 167, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 207, 168, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 217, 168, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 230, 168,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 244, 168, 1, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 254, 168, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 13, 169, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 27, 169, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 40,
    169, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 53, 169, 1, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 67, 169, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 83, 169, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 98, 169, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    110, 169, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 127, 169, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 150, 169, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 167, 169, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 179, 169, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 188, 169, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 200, 169, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 208, 169, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 223, 169, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 242, 169, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 250, 169, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 8, 170, 1,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 24, 170, 1, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 45, 170, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 57, 170, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 73, 170, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 87, 170,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 97, 170, 1, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 108, 170, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 121, 170, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 136, 170, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 151,
    170, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 164, 170, 1, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 180, 170, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 188, 170, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 200, 170, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    216, 170, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 230, 170, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 246, 170, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 7, 171, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 14, 171, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    26, 171, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 41, 171, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 60, 171, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 67, 171, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 79, 171, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 92, 171, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 104, 171, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 113, 171, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 124, 171, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 136, 171, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 145, 171, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 154, 171,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 165, 171, 1, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 189, 171, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 213, 171, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 230, 171, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 160,
    172, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 173, 172, 1, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 185, 172, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 249, 172, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 2, 173, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    18, 173, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 32, 173, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 47, 173, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 63, 173, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 78, 173, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 99, 173, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 111, 173, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 219, 173, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 79, 174, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 3, 167, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 181, 39, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 205, 39, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 222, 39, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 236, 39, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 245, 39, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 3, 40, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 27, 40, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 44, 40, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 52, 40, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 63, 40, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 73, 40, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 83, 40, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 97, 40, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 110, 40, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 125, 40, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    142, 40, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 156, 40, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 174, 40, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 233, 165, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 241, 165, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 254, 165, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 15, 166, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 26, 166, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 36, 166, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 49, 166, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 59, 166, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 78, 166, 1,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 87, 166, 1, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 102, 166, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 123, 166, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 144, 166, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 161,
    166, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 173, 166, 1, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 188, 166, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 199, 166, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 216, 166, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    227, 166, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 244, 166, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 194, 39, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 215, 39, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 16, 40, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 37, 40, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 128, 203, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 183, 40, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 189, 40, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 201, 40, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 209, 40, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 220, 40, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 238, 40, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 244, 40, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 249, 40, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 1, 41, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 10, 41, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 53, 41, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 64, 41, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 74, 41, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 87, 41, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 14, 163, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 57, 128, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 176, 168, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 22, 163, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 31, 163, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 43, 163, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 54, 163, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 61, 163, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 68, 163, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 77, 163, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 87, 163, 1,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 106, 163, 1, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 125, 163, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 147, 163, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 169, 163, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 186,
    163, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 204, 163, 1, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 220, 163, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 231, 163, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 243, 163, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    255, 163, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 18, 164, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 37, 164, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 48, 164, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 60, 164, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 65, 164, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 74, 164, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 119, 189, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 130, 189, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 85, 164, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 98, 164, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 53, 165, 1,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 148, 165, 1, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 7, 218, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 150, 165, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 176, 165, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 198, 165,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 112, 46, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 201, 54, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 220, 165, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 233, 40, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 227,
    40, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 43, 41, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 21, 41, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 28, 41, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 33, 41, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 7, 163, 1,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 95, 41, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 104, 41, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 116, 41, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 180, 162, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 192, 162,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 209, 162, 1, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 229, 162, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 244, 162, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 254, 162, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 171,
    162, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 125, 41, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 176, 41, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 182, 41, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 209, 41, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    214, 41, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 254, 51, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 152, 162, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 160, 162, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 169, 41, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 153, 41, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 136, 41, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 203, 41, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 186, 41, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 195, 41, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 144, 162, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 219, 41, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 127, 162, 1, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 134, 162, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 47, 53, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 227, 41, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 231, 41, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 132, 160, 1, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 141, 160, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 35, 129, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 151, 160, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 160,
    160, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 129, 188, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 171, 160, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 157, 236, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 51, 189, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    177, 160, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 141, 139, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 185, 160, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 199, 160, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 213, 160, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 228, 160, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 246, 160, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 2, 161, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 18, 161, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 33, 116, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 40, 161, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 50, 161, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 63, 161, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 73, 161, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 79, 161, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 226, 67, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 96, 161, 1,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 62, 162, 1, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 79, 162, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 89, 162, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 228, 65, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 99, 162,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 105, 162, 1, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 56, 106, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 115, 162, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 118, 160, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 239,
    41, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 82, 157, 1, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 128, 67, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 90, 157, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 106, 157, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    114, 157, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 121, 157, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 134, 157, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 142, 157, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 156, 157, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 172, 157, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 85, 160, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 92, 160, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 105, 160, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 181, 85, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 61, 191, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 244, 41, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 3, 42, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 13, 42, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 53, 42, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 89, 42, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 97, 42, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 221, 42, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 235, 42, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 185, 149, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 190, 149, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 200, 149, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 211, 149, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 217, 149, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 225, 149, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 235, 149, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 242, 149,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 249, 149, 1, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 1, 150, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 9, 150, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 17, 150, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 24, 150, 1,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 32, 150, 1, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 42, 150, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 55, 150, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 64, 150, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 72, 150,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 80, 150, 1, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 93, 150, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 111, 150, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 118, 150, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 128,
    150, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 133, 150, 1, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 149, 150, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 167, 150, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 184, 150, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    190, 150, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 200, 150, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 210, 150, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 219, 150, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 225, 150, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 235, 150, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 246, 150, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 254, 150, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 10, 151, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 23, 151, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 35, 151, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 81, 133, 1,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 41, 151, 1, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 106, 151, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 113, 151, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 123, 151, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 130,
    151, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 137, 151, 1, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 144, 151, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 151, 151, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 161, 151, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    174, 151, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 190, 151, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 207, 151, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 231, 155, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 72, 157, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 251, 41, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 46, 42, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 19, 42, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 40, 42, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 23, 42, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 82,
    42, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 76, 42, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 59, 42, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 211, 42, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 103, 42, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 146,
    42, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 152, 42, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 160, 42, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 135, 42, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 119, 42, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    114, 42, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 195, 42, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 170, 42, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 176, 42, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 183, 42, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 189, 42, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 168, 149, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 240, 42, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 63, 148, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 72, 148, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 83, 148, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 91, 148, 1,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 100, 148, 1, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 200, 57, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 107, 148, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 231, 66, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 131, 66,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 137, 66, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 114, 148, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 143, 66, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 120, 148, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 128,
    148, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 207, 148, 1, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 217, 148, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 128, 149, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 140, 149, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    152, 149, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 160, 149, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 87, 46, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 247, 42, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 255, 42, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    72, 43, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 93, 43, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 102, 43, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 136, 43, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 144, 43, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    152, 43, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 46, 44, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 232, 147, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 237, 147, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 244, 147, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    253, 147, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 3, 148, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 10, 148, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 18, 148, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 28, 148, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 32, 148, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 40, 148, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 57, 148, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 52, 43, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 34, 43, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 5, 43, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 23, 43, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 14, 43, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 79, 43, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 131, 43, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    122, 43, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 114, 43, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 38, 44, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 162, 43, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 173, 43, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    27, 44, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 18, 44, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 178, 43, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 5, 44, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 184, 43, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    245, 43, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 235, 43, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 193, 43, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 203, 43, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 211, 43, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 200, 43, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 226, 43, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 214, 147, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 51, 44, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 64, 44, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 82, 44, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 92, 44, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 101, 44, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 108, 44, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 118, 44, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 126, 44, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 133, 44, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 141, 44, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 198, 147, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 207, 147, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 189, 147, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 153, 44, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 162, 44, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 179, 147, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 167, 147, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 169, 44, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 176, 44,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 203, 44, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 220, 44, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 232, 44, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 10, 45, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 50,
    133, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 51, 137, 1, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 220, 137, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 104, 140, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 80, 141, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 3,
    131, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 88, 141, 1, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 96, 141, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 103, 141, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 112, 141, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    120, 141, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 129, 141, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 140, 141, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 162, 141, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 235, 142, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 249, 142, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 125, 143, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 147, 143, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 156, 143, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 163, 143, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 169, 143, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 184, 143,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 196, 143, 1, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 210, 143, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 21, 145, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 226, 130, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 156,
    145, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 168, 145, 1, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 179, 145, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 190, 145, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 206, 145, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    223, 145, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 228, 145, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 242, 145, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 254, 145, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 5, 146, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 24, 146, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 34, 146, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 41, 146, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 59, 146, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 122, 146, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 137, 146, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 159, 146,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 178, 146, 1, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 187, 146, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 201, 146, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 208, 146, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 218,
    146, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 70, 147, 1, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 106, 51, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 182, 169, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 82, 147, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 94,
    147, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 108, 147, 1, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 126, 147, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 135, 147, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 155, 147, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    197, 44, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 182, 44, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 3, 45, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 243, 44, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 33, 133, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    17, 45, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 26, 45, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 79, 132, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 182, 197, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 177, 132, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    185, 132, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 195, 132, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 206, 132, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 219, 132, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 236, 132, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 250, 132, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 5, 133, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 17, 133, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 68, 132, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 42, 45, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 150, 130, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 161, 130,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 169, 130, 1, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 180, 130, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 53, 58, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 166, 58, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 252, 197,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 147, 50, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 244, 157, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 219, 130, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 253, 54, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 236,
    130, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 245, 130, 1, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 12, 131, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 22, 131, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 121, 131, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    196, 130, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 54, 132, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 61, 132, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 128, 130, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 46, 45, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 51, 45, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 55, 45, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 90, 130, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 107, 130, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 116, 130, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 77, 130, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 67, 45, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 71, 45, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 78, 45, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 36, 46, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 134,
    47, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 71, 130, 1, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 27, 46, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 83, 45, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 88, 45, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 95, 45, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 21, 46, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 9, 46, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 101, 45, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 110, 45, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 117, 45, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 121, 45, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 125, 45, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 129, 45, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 134, 45, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 139, 45, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 244, 45, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 253, 45, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 229, 45, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 144, 45, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 189, 45,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 201, 45, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 204, 45, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 214, 45, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 222, 45, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 176,
    45, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 158, 45, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 154, 45, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 41, 46, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 45, 46, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 65, 46,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 76, 46, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 99, 46, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 107, 46, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 173, 128, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 180, 128,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 50, 129, 1, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 58, 129, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 66, 129, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 73, 129, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 84,
    129, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 90, 129, 1, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 188, 129, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 195, 129, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 244, 129, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    254, 129, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 9, 130, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 20, 130, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 34, 130, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 44, 130, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 62, 130, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 54, 46, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 94, 46, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 83, 46, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 157, 128, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    120, 125, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 139, 47, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 144, 47, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 127, 125, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 239, 125, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 250, 125, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 1, 126, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 37, 126, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 73, 69, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 52, 126, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 150, 47, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 67, 126, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 13, 67, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 109, 38, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 250, 46, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 99, 126, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 165, 16, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 244, 47, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 66, 128, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 78, 128, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 84, 128, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 4, 89, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 97, 128, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 106, 128, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 47, 15, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 116, 128, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 132, 128,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 149, 128, 1, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 24, 50, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 118, 46, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 187, 119, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 2, 86,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 201, 119, 1, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 212, 119, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 224, 119, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 29, 120, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 34,
    120, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 43, 120, 1, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 54, 120, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 57, 120, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 64, 120, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 77,
    120, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 86, 120, 1, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 95, 120, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 117, 120, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 129, 120, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    141, 120, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 157, 120, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 177, 120, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 193, 120, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 209, 120, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 216, 120, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 238, 120, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 254, 120, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 14, 121, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 198, 164, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 212, 164, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 34, 121, 1,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 115, 121, 1, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 134, 22, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 223, 121, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 230, 121, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 239,
    121, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 248, 121, 1, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 36, 122, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 207, 122, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 221, 122, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    27, 123, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 123, 80, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 58, 123, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 65, 123, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 77, 123, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 96, 123, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 114, 123, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 130, 123, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 164, 123, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 181, 123, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 198, 123, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 217, 123,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 17, 124, 1, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 30, 124, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 47, 124, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 69, 124, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 93,
    124, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 106, 124, 1, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 123, 124, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 173, 124, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 189, 124, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    210, 124, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 227, 124, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 246, 124, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 8, 125, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 25, 125, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    46, 125, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 58, 125, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 171, 168, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 70, 125, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 107, 125, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 172, 119, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 124, 46, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 130, 85, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 250, 118, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 6, 119, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 156, 119, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 242, 118,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 129, 46, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 135, 46, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 142, 46, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 244, 46, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 65,
    174, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 125, 54, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 146, 118, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 164, 118, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 179, 118, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    201, 118, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 226, 118, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 147, 46, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 157, 46, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 228, 46, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 175, 46, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 212, 46, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 182, 46, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 187, 46, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 192, 46, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 201, 46, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 205, 46, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 136, 118, 1, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 2, 47, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 74, 47, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 88, 47, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 122, 118, 1,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 174, 88, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 184, 88, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 12, 47, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 68, 47, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 50, 47, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 33, 47, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 17, 47, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 58, 47, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    106, 118, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 103, 47, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 114, 47, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 129, 74, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 96, 118, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 82, 118, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 129, 47, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 67, 118, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 155, 47, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 164, 47, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 171, 47, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 179, 47, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 187, 47, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 193, 47, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 208, 47, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 1, 117, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 42, 117,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 109, 176, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 235, 65, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 51, 117, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 67, 117, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 82,
    117, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 91, 67, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 98, 117, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 107, 117, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 115, 117, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    131, 117, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 151, 117, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 161, 117, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 247, 116, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 214, 47, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 228, 47, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 6, 48, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 16, 48, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 33, 48, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 50, 48, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 74,
    48, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 84, 48, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 99, 48, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 118, 48, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 135, 48, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 144,
    48, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 153, 48, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 164, 48, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 179, 48, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 189, 48, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    205, 48, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 33, 49, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 40, 49, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 52, 49, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 63, 49, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 72, 49,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 82, 49, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 92, 49, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 100, 49, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 108, 49, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 117, 49, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 127, 49, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 136, 49, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 147, 49, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 156, 49, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 167, 49,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 176, 49, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 186, 49, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 190, 49, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 202, 49, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 212,
    49, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 220, 49, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 230, 49, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 238, 49, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 249, 49, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 14,
    50, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 60, 113, 1, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 168, 114, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 206, 114, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 217, 114, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    201, 115, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 210, 115, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 74, 116, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 89, 116, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 38, 98, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 106, 116, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 124, 116, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 142, 116, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 207, 116, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 221, 116, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 236, 116, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 220, 47, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 112, 48, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 103, 48, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 20, 49, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 215, 48, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 241, 48, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 10, 49, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 219, 48, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 251, 48, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 2, 50, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 47, 113, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 21, 50, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 31, 50, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 222, 112, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    233, 112, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 34, 113, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 209, 112, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 43, 50, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 47, 50, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    57, 50, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 60, 50, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 62, 50, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 69, 50, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 81, 50, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 94, 50,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 105, 50, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 124, 50, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 135, 50, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 130, 112, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 137,
    112, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 31, 24, 1, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 147, 112, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 152, 112, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 159, 112, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    166, 112, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 179, 112, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 186, 112, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 193, 112, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 198, 112, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 152, 50, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 158, 50, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 163, 50, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 168, 50, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 173, 50, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 178, 50, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 184, 50, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 190, 50, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 201, 50, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 217, 50, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 231, 50, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 245, 50,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 254, 50, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 10, 51, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 22, 51, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 118, 58, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 134, 58, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 149, 58, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 103, 112, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 122, 112, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 38, 51, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 70, 51, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 85, 51, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 97, 51, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 197, 54, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 6, 55, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 22, 55, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 33, 55, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 46, 55, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 71, 55, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 80,
    55, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 88, 55, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 29, 58, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 240, 57, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 151, 55, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 163,
    55, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 38, 58, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 48, 58, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 104, 58, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 57, 51, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 49, 51,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 45, 51, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 167, 54, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 127, 51, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 116, 51, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 110, 51,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 191, 54, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 141, 51, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 149, 51, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 156, 54, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 178,
    54, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 188, 54, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 61, 54, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 89, 54, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 97, 54, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 103, 54,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 130, 54, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 139, 54, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 148, 54, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 241, 51, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 155,
    51, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 167, 51, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 178, 51, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 223, 51, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 186, 51, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    201, 51, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 213, 51, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 73, 54, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 3, 52, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 9, 52, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 56,
    52, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 64, 52, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 74, 52, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 84, 52, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 94, 52, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 107, 52,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 115, 52, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 123, 52, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 129, 52, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 139, 52, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 149,
    52, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 158, 52, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 27, 53, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 42, 53, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 38, 52, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 22, 52, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 13, 53, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 173, 52, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 234, 52, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 240, 52, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 246, 52, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 254, 52, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 6, 53, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 225, 52, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 211, 52, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 203, 52, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 181, 52, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 186, 52, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 194, 52, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 101, 53, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 52, 53,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 81, 53, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 59, 53, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 67, 53, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 77, 53, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 49, 54, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 113, 53, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 121, 53, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 131, 53, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 142, 53, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 161, 53, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 175, 53, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 184, 53, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 195, 53, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 209, 53, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 219, 53,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 232, 53, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 243, 53, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 33, 54, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 253, 53, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 6, 54, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 12, 54, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 20, 54, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 27, 54, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 116, 54, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 244, 54, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 206, 54, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 216, 54, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 222, 54, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 229, 54, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 236, 54, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 13, 55, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 60, 55, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 51, 55, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 11, 58, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 98, 55, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 107, 55, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 112, 55, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 231, 57, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 114, 55, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 126, 55, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 142, 55, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 215, 55, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 229, 55, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 241, 55, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 248, 55, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 57, 56, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 68, 56, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 75, 56, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 163, 56, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 195, 56, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 13, 57, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 166, 57, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 178, 57, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 205, 57, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 193, 55, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 181, 55, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 171, 55, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 42, 56, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 7, 56, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 11, 56, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 20, 56, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 30, 56, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 154, 56, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    84, 56, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 89, 56, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 105, 56, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 114, 56, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 143, 56, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    128, 56, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 117, 56, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 123, 56, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 175, 56, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 253, 56, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 214, 56, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 245, 56, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 220, 56, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 62, 57, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 24, 57, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 34, 57, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 39, 57, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 46, 57, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 54, 57, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 148, 57, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 81,
    57, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 95, 57, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 109, 57, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 122, 57, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 135, 57, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    216, 57, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 3, 58, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 251, 57, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 92, 58, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 74, 58, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 58,
    58, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 88, 112, 1, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 174, 58, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 255, 58, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 7, 59, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 18,
    59, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 253, 111, 1, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 15, 112, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 37, 112, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 49, 112, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 20,
    73, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 83, 199, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 157, 198, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 230, 189, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 77, 112, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    243, 58, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 182, 58, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 193, 58, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 227, 58, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 235, 58, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 212, 58, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 200, 58, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 243, 111, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 21, 59, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 238, 111, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 219, 111, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 29, 59, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 240, 75, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 15, 13, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 46, 80, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 201, 111, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 42, 59, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 54, 59, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 60, 59, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 67, 59, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    74, 59, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 126, 59, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 130, 59, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 142, 59, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 162, 59, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    173, 59, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 189, 59, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 198, 59, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 204, 59, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 209, 59, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 221, 59, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 233, 59, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 245, 59, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 238, 169, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 126, 171, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 87, 182, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 46, 172, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 190, 170, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 1, 61, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 5, 183, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 23, 183, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 34, 183, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 41, 183, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 57, 183, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 66, 183, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 76, 183, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 98, 183,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 171, 183, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 186, 183, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 82, 185, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 98, 185, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 116,
    185, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 130, 185, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 149, 185, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 111, 178, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 15, 61, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    223, 171, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 172, 185, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 190, 185, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 200, 185, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 235, 185, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 246, 185, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 0, 186, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 12, 186, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 26, 186, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 33, 186, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 45, 186, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 65, 186, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 91, 186, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 106, 186, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 129, 186, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 149, 186, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 159,
    186, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 169, 186, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 185, 186, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 199, 186, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 219, 186, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    232, 186, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 244, 186, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 1, 187, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 89, 135, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 237, 187, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    242, 187, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 255, 187, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 250, 65, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 81, 84, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 11, 188, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    24, 188, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 32, 188, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 45, 188, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 15, 190, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 25, 190, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 38, 190, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 50, 190, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 61, 190, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 75, 190, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 201, 71, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 195, 71, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 91, 190, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 54, 72, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 97, 190, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 103, 190, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 110, 190, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 121, 190,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 136, 190, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 144, 190, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 152, 190, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 237, 190, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 2,
    191, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 15, 191, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 25, 191, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 46, 191, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 51, 191, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    164, 191, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 215, 191, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 242, 191, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 4, 192, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 21, 192, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    238, 192, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 36, 193, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 129, 9, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 140, 20, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 124, 183, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    50, 21, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 63, 21, 1, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 77, 21, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 87, 21, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 99, 21, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 112,
    21, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 123, 21, 1, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 66, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 75, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 85, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 180, 24,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 195, 24, 1, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 208, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 219, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 227, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 246,
    24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 1, 25, 1, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 13, 25, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 68, 25, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 81, 25, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 59, 63, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 121, 63, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 59, 30, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 49, 38, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 150, 63, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 210, 69, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 225, 69, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 121, 17, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 111, 71, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 121, 71, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 135, 71, 1,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 148, 71, 1, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 161, 71, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 174, 71, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 191, 71, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 215, 71,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 240, 71, 1, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 248, 71, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 0, 72, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 7, 72, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 12, 72, 1,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 70, 72, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 141, 72, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 155, 72, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 221, 72, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 238, 72, 1,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 250, 72, 1, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 219, 97, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 236, 97, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 252, 97, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 206, 68,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 15, 98, 1, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 23, 98, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 52, 98, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 69, 98, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 90, 98, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 109, 98, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 128, 98, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 139, 98, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 164, 98, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 186, 98, 1,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 196, 98, 1, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 3, 99, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 15, 99, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 33, 99, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 54, 99, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 74, 99, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 113, 99, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 122, 99, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 138, 99, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 217, 99, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 227, 99, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 239, 99, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 249, 99, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 117, 100, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 128, 100,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 145, 100, 1, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 163, 100, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 184, 100, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 209, 100, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 224,
    100, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 247, 100, 1, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 6, 101, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 21, 101, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 70, 101, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 87,
    101, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 101, 101, 1, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 211, 85, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 121, 101, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 137, 101, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    67, 106, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 86, 106, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 102, 106, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 127, 106, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 140, 106, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 155, 106, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 212, 108, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 226, 108, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 244, 108, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 7, 109, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 23, 109, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 54, 109, 1,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 69, 109, 1, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 78, 109, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 87, 109, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 102, 109, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 117,
    109, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 2, 122, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 107, 59, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 85, 59, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 91, 59, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 99, 59,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 1, 60, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 16, 60, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 205, 180, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 218, 180, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 229, 180,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 243, 180, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 6, 181, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 21, 181, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 35, 181, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 49, 181,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 84, 181, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 99, 181, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 115, 181, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 126, 181, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 143,
    181, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 153, 181, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 164, 181, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 174, 181, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 184, 181, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    194, 181, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 208, 181, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 220, 181, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 233, 181, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 249, 181, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 5, 182, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 16, 65, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 29, 60, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 40, 60, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 56, 60, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 77,
    60, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 93, 60, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 123, 60, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 140, 60, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 203, 60, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    221, 60, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 232, 60, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 245, 60, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 45, 61, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 58, 61, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    27, 65, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 157, 172, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 174, 172, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 194, 61, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 65, 170, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 193, 172, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 206, 172, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 214, 172, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 233, 172, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 239, 172, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 250, 172, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 5, 173, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 20, 173, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 30, 173, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 189, 176, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 202, 176, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 220,
    176, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 237, 176, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 255, 176, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 12, 177, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 29, 177, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    44, 177, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 53, 177, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 155, 76, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 130, 177, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 140, 177, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 147, 177, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 154, 177, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 162, 177, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 173, 177, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 182, 177, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 204, 177, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 218, 177,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 234, 177, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 253, 177, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 14, 178, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 31, 178, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 42,
    178, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 55, 178, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 122, 178, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 134, 178, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 144, 178, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    156, 178, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 169, 178, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 180, 178, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 234, 124, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 184, 60, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 165, 60, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 149, 60, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 35, 61, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 8, 61, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 21, 61, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    242, 63, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 62, 61, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 97, 61, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 110, 61, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 128, 61, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    139, 61, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 152, 61, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 158, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 163, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 168, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 14, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 183, 64, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 81, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 103, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 90, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    186, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 206, 64, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 216, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 234, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 241, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 4, 65, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 19, 65, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 44, 65, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 245, 170, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 5, 171, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    23, 171, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 39, 171, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 60, 171, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 86, 171, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 96, 171, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 111, 171, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 85, 61, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 67, 61, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 74, 61, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 179, 61, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    167, 61, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 145, 64, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 199, 61, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 208, 61, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 219, 61, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 230, 61, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 247, 61, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 0, 62, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 22, 62, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 36, 62, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    236, 63, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 249, 63, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 254, 63, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 219, 63, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 47, 62, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 58, 62, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 67, 62, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 78, 62, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 87, 62, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 100, 62, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    111, 62, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 123, 62, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 133, 62, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 151, 62, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 163, 62, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 173, 62, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 182, 62, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 192, 62, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 211, 62, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 239, 62, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 12, 63, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 37, 63, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 58, 63, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 69, 63, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 85, 63, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    104, 63, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 121, 63, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 139, 63, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 157, 63, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 184, 63, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 203, 63, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 135, 64, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 18, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 35, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 44, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    57, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 66, 64, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 112, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 121, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 130, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    234, 170, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 47, 65, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 241, 169, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 248, 169, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 1, 170, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 11, 170, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 179, 170, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 218, 169, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 51, 65, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 4, 167, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 146, 169, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 161, 169, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 171, 169, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 195, 169, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 58, 65, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 63, 65, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 73, 65, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 88, 65, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 109, 65, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 125, 65, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 144, 65, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 173, 65, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 204, 65, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 225, 65, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 85, 70, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 161, 70, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 173, 70, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 189, 70, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 205, 70, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 225, 70, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 245, 70, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 109, 71,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 120, 71, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 128, 71, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 137, 71, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 150, 71, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 39,
    72, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 237, 71, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 181, 71, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 67, 72, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 76, 72, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 90, 72,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 104, 72, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 147, 72, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 20, 129, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 154, 166, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 171,
    166, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 247, 166, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 73, 70, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 238, 65, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 190, 69, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    215, 66, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 242, 65, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 203, 66, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 3, 66, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 78, 66, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    94, 66, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 106, 66, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 179, 66, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 186, 66, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 74, 66, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    11, 66, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 56, 66, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 65, 66, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 49, 66, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 18, 66, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 26, 66,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 41, 66, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 35, 66, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 160, 66, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 118, 66, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 150, 66, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 249, 66, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 239, 66, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 173, 69, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 161, 69, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 133, 69,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 27, 69, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 36, 69, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 46, 69, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 55, 69, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 57, 67, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 64, 69, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 10, 69, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 23, 67, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    38, 67, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 44, 67, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 74, 67, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 82, 67, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 245, 68, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 98,
    67, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 104, 67, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 111, 67, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 6, 68, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 69, 68, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 79, 68,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 88, 68, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 101, 68, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 113, 68, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 120, 68, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 216, 68,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 227, 68, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 117, 67, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 253, 67, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 137, 67, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 143,
    67, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 151, 67, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 170, 67, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 189, 67, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 217, 67, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    198, 67, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 230, 67, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 164, 67, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 155, 67, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 183, 67, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 174, 67, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 211, 67, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 202, 67, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 243, 67, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 53, 68, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 17, 68, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 29, 68, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 41, 68, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 131, 68, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 133, 68, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 148, 68, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 170, 68, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 172, 68, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 192, 68, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 159, 68, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 154, 68, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 78, 69, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 115, 69, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 87, 69, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 110, 69, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 94, 69, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 144, 69, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 59, 70, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 196, 69, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 203, 69, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 210, 69, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 245, 69, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 254, 69, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 7, 70, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 28, 70, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 43, 70, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 234, 69, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 219, 69, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 226, 69, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 14, 70, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 149, 70, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 96, 70, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 108, 70, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 138, 70, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 121, 70, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 129, 70, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 97, 71,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 252, 70, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 4, 71, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 16, 71, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 29, 71, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 34, 71, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 59, 71, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 68, 71, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 78, 71, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    22, 72, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 160, 71, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 248, 71, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 9, 72, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 166, 71, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    220, 71, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 187, 71, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 207, 71, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 135, 72, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 123, 72, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 10, 129, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 151, 72, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 161, 72, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 224, 72, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 234, 72, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 250, 72, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 10, 73, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 107, 128, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 113, 128, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 123, 128, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 134, 128, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 144,
    128, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 156, 128, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 169, 128, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 178, 128, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 190, 128, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    202, 128, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 218, 128, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 232, 128, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 252, 128, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 210, 72, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 166, 72, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 170, 72, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 181, 72, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 187, 72, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 199, 72, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 94, 128, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 25, 73, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 31, 73, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 77, 128, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 34, 73, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 39, 73, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 50, 73, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 62, 73, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 79, 73, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 152, 73, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    166, 73, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 183, 73, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 191, 73, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 121, 75, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 133, 75, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 150, 75, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 164, 75, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 172, 75, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 55, 128, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 64, 128, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 141, 73, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 93, 73, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 130, 73, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 98, 73, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 113, 73, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 103, 73, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 114, 75, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 199, 73, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 206, 73, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 219, 73, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 232, 73, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 58, 75,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 68, 75, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 244, 73, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 73, 75, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 85, 75, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 94, 75, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 104, 75, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 43, 75, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 208, 74, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 221, 74, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 231, 74, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 242, 74, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 0, 75, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 10, 75, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 22, 75, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 196, 74, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 249, 73, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 5, 74, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 14, 74, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    25, 74, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 33, 74, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 43, 74, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 54, 74, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 67, 74, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 77, 74,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 85, 74, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 93, 74, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 111, 74, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 186, 74, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 125, 74, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 122, 74, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 170, 74, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 135, 74, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 140, 74, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 162, 74,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 148, 74, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 45, 128, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 33, 90, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 60, 90, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 70, 76, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 231, 89, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 82, 90, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 161, 89, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 96, 90, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 32, 99, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 85, 99, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 161, 99, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 140, 124, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 2, 125, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 11, 125, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 147, 108, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 159, 126, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 177, 126, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 191, 126, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 156, 108, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 206, 126, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 216, 126, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 46, 127, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 59, 103, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 150, 79, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 68, 127, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 78, 127, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 83, 127, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 95, 127, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 186, 87,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 215, 89, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 26, 82, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 107, 127, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 0, 128, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 162, 76,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 17, 128, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 32, 128, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 45, 90, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 179, 75, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 250, 75,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 7, 76, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 20, 76, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 30, 76, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 42, 76, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 57, 76, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 11, 90, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 40, 90, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 244, 75, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    194, 75, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 201, 75, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 229, 75, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 208, 75, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 216, 75, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 223, 75, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 253, 89, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 248, 88, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 1, 89, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 21, 89, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 105, 89, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 144, 89, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 131, 76, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 137, 76, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 148, 76, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 170, 76, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 202, 76, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 103, 76, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 230, 76, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 222, 89, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 239, 88, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 74, 76,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 83, 76, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 92, 76, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 114, 76, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 125, 76, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 209, 76, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 216, 76, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 235, 77, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 213, 88, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 222, 88, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 189, 76,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 178, 76, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 224, 77, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 233, 76, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 241, 76, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 250,
    76, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 1, 77, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 6, 77, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 15, 77, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 23, 77, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 36, 77, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 49, 77, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 61, 77, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 72, 77, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    86, 77, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 100, 77, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 114, 77, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 127, 77, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 140, 77, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    151, 77, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 166, 77, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 180, 77, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 196, 77, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 211, 77, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 245, 77, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 71, 78, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 252, 78, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 8, 79, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 19, 79, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    30, 79, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 46, 79, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 82, 79, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 98, 79, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 113, 79, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 124,
    79, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 137, 79, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 76, 81, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 91, 81, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 106, 81, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 38, 82,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 15, 83, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 31, 83, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 48, 83, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 65, 83, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 221, 83, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 242, 83, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 8, 84, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 128, 84, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 147, 84, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 217, 84, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 234, 84, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 250, 84, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 11, 85, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 26, 85, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 41, 85, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 55, 85, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 74, 85, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 85, 85, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    99, 85, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 30, 86, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 187, 86, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 46, 87, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 64, 87, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 84,
    78, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 61, 78, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 253, 77, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 23, 78, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 44, 78, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 239,
    78, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 98, 78, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 128, 78, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 142, 78, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 227, 78, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    106, 78, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 205, 78, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 151, 78, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 177, 78, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 190, 78, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 166, 78, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 34, 79, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 63, 79, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 56, 79, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 63, 81, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 49,
    81, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 157, 79, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 31, 81, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 167, 79, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 187, 79, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 209,
    79, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 226, 79, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 250, 79, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 21, 80, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 30, 80, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 57, 80,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 77, 80, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 98, 80, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 150, 80, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 174, 80, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 200, 80, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 222, 80, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 21, 81, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 128, 80, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 117, 80, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 5, 81, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 243, 80, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 248, 80, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 119, 81, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 132, 81, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 140, 81, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 230, 81, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 241, 81, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 4, 82, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 19, 82, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 207, 81, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 149, 81, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 192, 81, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 155, 81, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 169, 81, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 4, 83, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 54, 82, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 75, 82, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 94, 82, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 114, 82, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 141, 82, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 169, 82, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 192, 82, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 212, 82, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 244, 82, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 203, 83, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 83, 83, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 187, 83, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 88, 83, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 106, 83, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 134, 83, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 154, 83, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 169, 83, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 112, 84, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 17, 84, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 101, 84,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 89, 84, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 20, 84, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 28, 84, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 38, 84, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 65, 84, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 75, 84, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 49, 84, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 56, 84, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    198, 84, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 160, 84, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 179, 84, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 64, 85, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 240, 85, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    228, 85, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 113, 85, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 171, 85, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 219, 85, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 145, 85, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 121, 85, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 128, 85, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 134, 85, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 194, 85, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 175, 85, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 10, 86, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 159, 86, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 47, 86, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 53, 86, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 65, 86, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 104, 86, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 83, 86, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 76, 86, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 139, 86, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 114, 86, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    127, 86, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 23, 87, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 203, 86, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 210, 86, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 215, 86, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    222, 86, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 229, 86, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 240, 86, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 252, 86, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 244, 86, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 248, 86, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 198, 88, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 80, 87, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 93, 87, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 104, 87, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    117, 87, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 131, 87, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 145, 87, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 158, 87, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 176, 87, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 192, 87, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 205, 87, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 214, 87, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 225, 87, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 233, 87, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 247, 87, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 3, 88, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 16, 88, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 150, 88, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 86, 88, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 104, 88, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 120, 88, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 131, 88, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 142, 88, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 73, 88, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 24, 88, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 42, 88, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 59, 88, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 32, 89, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 55, 89, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    81, 89, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 131, 89, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 120, 89, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 200, 89, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 188, 89, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    192, 89, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 173, 89, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 238, 89, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 70, 90, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 246, 90, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    102, 90, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 112, 90, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 122, 90, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 138, 90, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 149, 90, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 233, 90, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 164, 90, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 181, 90, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 196, 90, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 216, 90, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 20, 99, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 5, 91, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 17, 91, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 28, 91, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 42, 91, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    54, 91, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 66, 91, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 79, 91, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 98, 91, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 116, 91, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 122,
    91, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 133, 91, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 149, 91, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 162, 91, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 115, 92, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    127, 92, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 135, 92, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 151, 92, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 163, 92, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 179, 92, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 186, 91, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 111, 94, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 169, 91, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 122, 94, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 134, 94, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 146, 94, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 160, 94, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 178, 94, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 194, 94, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 210, 94, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 223, 94, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 239, 94,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 252, 94, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 5, 95, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 21, 95, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 40, 95, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 54, 95, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 66, 95, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 163, 95, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 242, 95, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 0, 96, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 18, 96, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 28, 96, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 40, 96, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 55, 96, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 76,
    96, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 141, 96, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 163, 96, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 101, 92, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 200, 91, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    219, 91, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 228, 91, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 238, 91, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 1, 92, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 20, 92, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    32, 92, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 45, 92, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 57, 92, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 70, 92, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 83, 92, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 177,
    91, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 211, 91, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 103, 94, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 209, 92, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 222, 92, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 80,
    94, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 87, 94, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 95, 94, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 193, 92, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 61, 94, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 227,
    92, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 201, 93, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 28, 94, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 52, 94, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 184, 93, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 236, 92,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 249, 92, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 11, 93, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 23, 93, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 33, 93, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 47, 93, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 65, 93, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 75, 93, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 86, 93, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    95, 93, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 109, 93, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 122, 93, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 133, 93, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 154, 93, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    173, 93, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 228, 93, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 209, 93, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 4, 94, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 238, 93, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    36, 94, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 151, 95, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 74, 95, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 87, 95, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 100, 95, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 116,
    95, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 136, 95, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 231, 95, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 178, 95, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 189, 95, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    202, 95, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 216, 95, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 126, 96, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 88, 96, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 99, 96, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    111, 96, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 9, 99, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 167, 96, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 76, 97, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 196, 97, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    233, 98, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 255, 98, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 57, 97, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 203, 96, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 216, 96, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    230, 96, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 47, 97, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 192, 96, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 182, 96, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 35, 97, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    250, 96, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 13, 97, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 24, 97, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 150, 97, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 94, 97, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 103,
    97, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 122, 97, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 131, 97, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 183, 97, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 167, 97, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    214, 98, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 101, 98, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 128, 98, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 81, 98, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 215, 97, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    241, 97, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 14, 98, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 39, 98, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 64, 98, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 117, 98, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 107,
    98, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 132, 98, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 197, 98, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 179, 98, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 153, 98, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    166, 98, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 71, 99, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 42, 99, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 49, 99, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 58, 99, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 63, 99,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 146, 99, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 91, 99, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 126, 99, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 141, 99, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 112, 99,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 97, 99, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 107, 99, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 129, 124, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 1, 102, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 252, 119,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 5, 120, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 15, 120, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 41, 124, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 51, 124, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 73, 124,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 85, 124, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 97, 124, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 115, 124, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 237, 119, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 134,
    100, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 180, 100, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 186, 100, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 216, 119, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 227, 119, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    113, 100, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 172, 99, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 187, 99, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 204, 99, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 227, 99, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 246, 99, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 14, 100, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 31, 100, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 46, 100, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 68, 100, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 95, 100, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 153, 100, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 141, 100, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 164, 100, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 207, 119, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 192, 100, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 197,
    100, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 203, 100, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 67, 117, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 185, 119, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 197, 119, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    51, 117, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 210, 100, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 230, 100, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 243, 100, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 40, 101, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 32, 117, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 252, 100, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 6, 101, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 78, 101, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 91, 101, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 105, 101, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 124, 101, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 131, 101, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 142, 101, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 150, 101, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 159, 101, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 169, 101,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 177, 101, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 183, 101, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 194, 101, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 203, 101, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 215,
    101, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 224, 101, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 234, 101, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 229, 116, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 252, 116, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    32, 101, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 10, 101, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 21, 101, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 60, 101, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 49, 101, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 211, 116, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 243, 101, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 201, 116, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 178, 116, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 11, 102, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 142, 116, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 172, 116,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 125, 116, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 110, 116, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 173, 102, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 180, 102, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 188,
    102, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 199, 102, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 209, 102, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 129, 115, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 139, 115, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    149, 115, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 160, 115, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 172, 115, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 187, 115, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 203, 115, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 216, 115, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 92, 116, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 100, 116, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 158, 102, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 15, 102, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 41, 102, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 65, 102, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 88, 102, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 112, 102, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 136, 102, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 121, 115, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 217,
    102, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 102, 105, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 116, 103, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 114, 105, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 122, 105, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    73, 106, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 79, 106, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 86, 106, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 103, 106, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 120, 106, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 129, 106, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 138, 106, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 146, 106, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 89, 107, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 98, 107, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 106, 107, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 115, 107,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 125, 107, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 138, 107, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 142, 107, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 157, 107, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 227,
    108, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 253, 108, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 7, 109, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 14, 109, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 26, 109, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 35,
    109, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 46, 109, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 57, 109, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 65, 109, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 75, 109, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 85,
    109, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 100, 109, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 115, 109, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 131, 109, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 146, 109, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    158, 109, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 173, 109, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 197, 109, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 216, 109, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 225, 109, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 238, 109, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 236, 110, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 245, 110, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 7, 111, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 19, 111, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 232, 102, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 28, 111, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 41, 111, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 53, 111, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 63, 111, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 75, 111, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 90, 111, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 104, 111, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 117, 111, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 124, 111, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 137, 111, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 154,
    111, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 175, 111, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 195, 111, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 207, 111, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 220, 111, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    232, 111, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 244, 111, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 2, 112, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 14, 112, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 27, 112, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    39, 112, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 49, 112, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 59, 112, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 68, 112, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 86, 112, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 99, 112, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 114, 112, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 124, 112, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 140, 112, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 160, 112, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 173, 112, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 185, 112,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 204, 112, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 214, 112, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 236, 112, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 247, 112, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 9,
    113, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 35, 113, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 46, 113, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 65, 113, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 81, 113, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 90,
    113, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 107, 113, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 116, 113, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 128, 113, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 145, 113, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    154, 113, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 166, 113, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 182, 113, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 197, 113, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 246, 113, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 254, 113, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 16, 114, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 32, 114, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 148, 114, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 155, 114, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 163, 114, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 171, 114,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 179, 114, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 194, 114, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 209, 114, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 219, 114, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 234,
    114, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 75, 115, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 83, 115, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 87, 115, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 94, 115, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 94,
    105, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 226, 102, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 1, 103, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 11, 103, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 55, 103, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    124, 103, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 233, 104, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 240, 104, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 248, 104, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 6, 105, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 20, 105, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 31, 105, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 57, 105, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 64, 105, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 74, 105, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 85, 105, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 241, 102, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 47, 103, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 20, 103, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 28, 103, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 39, 103, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 101, 103,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 67, 103, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 77, 103, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 88, 103, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 218, 104, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 132,
    103, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 139, 103, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 151, 103, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 167, 103, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 189, 103, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    199, 103, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 90, 104, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 103, 104, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 113, 104, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 121, 104, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 146, 104, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 157, 104, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 165, 104, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 179, 104, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 186, 104, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 198, 104, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 206, 104,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 208, 103, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 219, 103, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 229, 103, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 239, 103, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 250,
    103, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 5, 104, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 18, 104, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 28, 104, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 39, 104, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 57,
    104, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 67, 104, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 133, 104, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 171, 104, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 41, 105, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 51,
    106, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 127, 105, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 60, 106, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 41, 106, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 24, 106, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    135, 105, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 147, 105, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 160, 105, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 181, 105, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 195, 105, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 212, 105, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 233, 105, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 250, 105, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 13, 106, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 156, 106, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 169, 106, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 184, 106,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 202, 106, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 221, 106, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 242, 106, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 10, 107, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 34,
    107, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 60, 107, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 136, 108, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 172, 107, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 226, 107, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    242, 107, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 118, 108, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 212, 107, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 181, 107, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 191, 107, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 201, 107, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 99, 108, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 254, 107, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 50, 108, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 63, 108, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 74, 108, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 88, 108, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 13, 108, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 30, 108, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 125, 108, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 205, 108, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 166,
    108, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 183, 108, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 241, 108, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 220, 110, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 249, 109, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    254, 109, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 9, 110, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 22, 110, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 35, 110, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 48, 110, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 61, 110, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 74, 110, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 88, 110, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 102, 110, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 116, 110, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 130, 110, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 161, 110,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 172, 110, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 183, 110, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 188, 110, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 199, 110, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 210,
    110, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 215, 110, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 148, 110, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 141, 110, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 145, 110, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    19, 113, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 238, 113, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 222, 113, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 227, 113, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 232, 113, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 210, 113, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 201, 113, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 138, 114, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 38, 114, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 42, 114, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 47, 114, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 52, 114, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 62, 114, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 74, 114, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 82, 114, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 89, 114, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 99, 114,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 104, 114, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 117, 114, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 132, 114, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 64, 115, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 37,
    115, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 54, 115, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 28, 115, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 241, 114, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 248, 114, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 8,
    115, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 13, 115, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 72, 116, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 229, 115, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 236, 115, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    250, 115, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 4, 116, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 20, 116, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 29, 116, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 33, 116, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 41, 116, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 54, 116, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 67, 116, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 152, 116, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 236, 116, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 11, 117, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 1, 117, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 176, 119, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 72, 117, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 86, 117, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 98, 117, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 111, 117,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 122, 117, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 134, 117, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 142, 117, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 151, 117, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 164,
    117, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 175, 117, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 183, 117, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 200, 117, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 214, 117, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    227, 117, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 240, 117, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 253, 117, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 17, 118, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 32, 118, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 48, 118, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 60, 118, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 71, 118, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 87, 118, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 101, 118, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 116, 118, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 138, 118,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 160, 118, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 180, 118, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 198, 118, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 71, 119, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 93,
    119, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 115, 119, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 131, 119, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 145, 119, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 159, 119, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    53, 119, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 220, 118, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 242, 118, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 7, 119, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 28, 119, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    17, 124, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 18, 120, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 32, 120, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 42, 120, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 61, 120, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 78, 120, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 189, 120, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 87, 120, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 110, 120, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 134, 120, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 161, 120, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 176, 120,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 0, 124, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 202, 120, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 211, 120, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 221, 120, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 232,
    120, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 241, 120, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 249, 120, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 4, 121, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 15, 121, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 30,
    121, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 43, 121, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 55, 121, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 62, 121, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 72, 121, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    242, 123, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 83, 121, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 226, 123, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 111, 121, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 88, 121, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 95, 121, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 103, 121, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 107, 121, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 207, 123, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 198, 123, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 125, 121, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 136, 121,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 147, 121, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 44, 122, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 65, 122, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 106, 122, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 117,
    122, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 127, 122, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 137, 122, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 152, 122, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 167, 122, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    183, 122, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 204, 122, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 219, 122, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 235, 122, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 249, 122, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 46, 123, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 59, 123, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 75, 123, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 90, 123, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 107, 123, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 118, 123, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 135, 123,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 154, 123, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 173, 123, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 187, 123, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 34, 122, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 234,
    121, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 248, 121, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 9, 122, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 22, 122, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 213, 121, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    201, 121, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 191, 121, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 154, 121, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 163, 121, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 175, 121, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 26, 123, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 9, 123, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 16, 123, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 245, 124, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 197, 124, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 211, 124, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 222, 124, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 189, 124, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 145, 124, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 175, 124, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 161, 124, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 152, 124,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 147, 126, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 19, 125, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 106, 125, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 191, 125, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 202,
    125, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 209, 125, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 218, 125, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 231, 125, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 246, 125, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    10, 126, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 33, 126, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 49, 126, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 68, 126, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 79, 126, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 93, 126, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 111, 126, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 128, 126, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 97, 125, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 31, 125, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 80, 125, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 86, 125, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 68, 125, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 35, 125, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 45, 125, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 57, 125, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 172, 125,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 115, 125, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 133, 125, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 147, 125, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 163, 125, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 29,
    127, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 224, 126, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 234, 126, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 246, 126, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 255, 126, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    6, 127, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 55, 127, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 246, 127, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 113, 127, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 176, 127, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    236, 127, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 158, 127, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 151, 127, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 125, 127, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 223, 127, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 183, 127, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 196, 127, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 211, 127, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 219, 127, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 143, 166, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 19, 166, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 25, 166, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 34, 166, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 130, 166, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 4, 166, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 24, 129, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 240, 165, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 30, 129, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 28, 140, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 103, 165, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 41, 129, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 47, 129,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 61, 129, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 76, 129, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 86, 129, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 97, 129, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 105,
    129, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 113, 129, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 129, 129, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 147, 129, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 176, 129, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    191, 129, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 212, 129, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 222, 129, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 226, 129, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 41, 165, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 87, 165, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 12, 133, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 96, 165, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 28, 165, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 230, 129, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 243, 129, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 2, 130, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 17, 130, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 31, 130, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 43, 130, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 52, 130, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 61, 130,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 75, 130, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 93, 130, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 111, 130, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 127, 130, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 172,
    130, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 184, 130, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 198, 130, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 216, 130, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 233, 130, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    255, 130, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 20, 131, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 202, 131, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 214, 131, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 250, 131, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 11, 132, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 20, 132, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 228, 139, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 145, 131, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 8, 140, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 18, 140, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 43, 140, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 23, 135, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 131, 133, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 120, 164, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 171, 164, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 177,
    164, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 141, 133, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 189, 164, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 191, 162, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 156, 130, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    140, 130, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 149, 130, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 187, 131, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 31, 131, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 78, 131, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 93, 131, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 108, 131, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 120, 131, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 130, 131, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 136, 131, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 63, 131, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 37, 131, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 46, 131, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 54, 131, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 178, 131, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 150, 131, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 156,
    131, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 162, 131, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 241, 131, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 232, 131, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 204, 139, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    29, 132, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 32, 132, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 186, 139, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 196, 139, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 178, 139, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 75, 139, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 58, 132, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 67, 132, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 79, 132, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 90, 139, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 130, 132, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 146, 132,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 104, 139, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 164, 132, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 126, 139, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 148, 139, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 156,
    139, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 169, 139, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 63, 139, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 42, 132, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 21, 136, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    31, 136, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 43, 136, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 52, 136, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 69, 136, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 86, 136, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 111, 136, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 128, 136, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 156, 136, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 173, 136, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 190, 136, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 206, 136, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 222, 136,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 238, 136, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 252, 136, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 9, 137, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 23, 137, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 38, 137,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 53, 137, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 101, 137, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 124, 137, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 142, 137, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 40,
    138, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 55, 138, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 72, 138, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 85, 138, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 107, 138, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    129, 138, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 138, 138, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 147, 138, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 160, 138, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 171, 138, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 12, 136, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 89, 132, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 102, 132, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 111, 132, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 123, 132, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 190, 132, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 197, 132,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 206, 132, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 212, 132, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 221, 132, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 231, 132, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 238,
    132, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 249, 132, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 3, 133, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 18, 133, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 26, 133, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 36,
    133, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 45, 133, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 53, 133, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 66, 133, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 77, 133, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 87,
    133, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 100, 133, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 112, 133, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 155, 133, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 174, 133, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    184, 133, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 198, 133, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 213, 133, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 222, 133, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 229, 133, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 240, 133, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 250, 133, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 8, 134, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 20, 134, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 33, 134, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 48, 134, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 53, 134, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 61, 134, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 68, 134, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 81, 134, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 95, 134, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 103, 134, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 112, 134, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 119, 134, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 128, 134, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 140, 134, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 153,
    134, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 160, 134, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 168, 134, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 177, 134, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 185, 134, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    192, 134, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 200, 134, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 208, 134, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 219, 134, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 228, 134, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 234, 134, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 246, 134, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 255, 134, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 8, 135, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 27, 135, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 39, 135, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 48, 135, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 61, 135, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 75, 135, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 93, 135, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 96, 135, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 104, 135, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 112, 135, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 125, 135, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 136, 135, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 148, 135, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 163,
    135, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 173, 135, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 187, 135, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 199, 135, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 207, 135, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    219, 135, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 231, 135, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 243, 135, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 0, 136, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 92, 137, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    68, 137, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 76, 137, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 84, 137, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 88, 137, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 156, 137, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 162, 137, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 175, 137, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 190, 137, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 198, 137, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 209, 137, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 10, 138, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 19, 138, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 30, 138, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 255, 137, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 221, 137, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 230, 137, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 239,
    137, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 247, 137, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 45, 139, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 185, 138, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 245, 138, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    31, 139, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 220, 138, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 202, 138, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 6, 139, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 111, 139, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    251, 139, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 242, 139, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 81, 164, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 51, 140, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 58, 140, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 30, 164, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 39, 164, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 48, 164, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 58, 164, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 69, 164, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 14, 164, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 6, 164, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 241, 163, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 65, 140, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 206, 163, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 215, 163, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 228,
    163, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 189, 163, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 75, 140, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 84, 140, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 241, 160, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    252, 160, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 13, 161, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 29, 161, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 39, 161, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 96, 161, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 106, 161, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 113, 161, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 129, 161, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 153, 161, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 165, 161, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 180, 161, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 198, 161,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 112, 162, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 178, 162, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 232, 162, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 236, 162, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 247,
    162, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 2, 163, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 12, 163, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 21, 163, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 33, 163, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 53,
    163, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 68, 163, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 88, 163, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 103, 163, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 121, 163, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    141, 163, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 154, 163, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 166, 163, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 119, 158, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 98, 140, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 178, 157, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 58, 158, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 71, 158, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 82, 158, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 101, 158, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 190, 143, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 113, 140,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 122, 140, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 133, 140, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 113, 141, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 117, 143, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 127,
    143, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 137, 143, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 147, 143, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 157, 143, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 166, 143, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    179, 143, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 97, 141, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 142, 140, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 154, 140, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 163, 140, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 184, 140, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 213, 140, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 239, 140, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 11, 141, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 42, 141, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 71, 141, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 104, 143, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 123, 141, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 136, 141, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 154, 141, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 173, 141, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 194,
    141, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 222, 141, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 251, 141, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 10, 142, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 33, 142, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    55, 142, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 70, 142, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 93, 142, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 108, 142, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 131, 142, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 144, 142, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 165, 142, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 188, 142, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 203, 142, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 219, 142, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 237, 142, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 7, 143, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 25, 143, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 46, 143, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 75, 143, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 166, 157, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 205,
    143, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 221, 143, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 246, 143, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 15, 144, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 40, 144, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    60, 144, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 82, 144, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 104, 144, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 129, 144, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 159, 144, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 184, 144, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 209, 144, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 234, 144, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 253, 144, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 21, 145, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 51, 145, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 80, 145, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 106, 145, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 134, 145, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 157, 145, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 179, 145, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 207,
    145, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 235, 145, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 4, 146, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 22, 146, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 47, 146, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 74,
    146, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 98, 146, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 119, 146, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 138, 146, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 166, 146, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    194, 146, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 220, 146, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 245, 146, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 15, 147, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 40, 147, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 66, 147, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 92, 147, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 127, 147, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 152, 147, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 175, 147, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 196, 147, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 222, 147,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 248, 147, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 17, 148, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 42, 148, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 66, 148, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 93,
    148, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 117, 148, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 135, 148, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 155, 148, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 180, 148, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    202, 148, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 227, 148, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 252, 148, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 21, 149, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 52, 149, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 82, 149, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 102, 149, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 127, 149, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 158, 149, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 184, 149, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 209, 149, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 233, 149,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 0, 150, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 14, 150, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 39, 150, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 67, 150, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 86, 150,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 119, 150, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 139, 150, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 165, 150, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 192, 150, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 218,
    150, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 242, 150, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 16, 151, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 45, 151, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 70, 151, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    89, 151, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 109, 151, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 132, 151, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 163, 151, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 190, 151, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 219, 151, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 251, 151, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 18, 152, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 41, 152, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 61, 152, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 84, 152, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 106, 152, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 129, 152, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 152, 152, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 174, 152, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 198, 152, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 217,
    152, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 238, 152, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 3, 153, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 21, 153, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 45, 153, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 72,
    153, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 96, 153, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 125, 153, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 150, 153, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 184, 153, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    214, 153, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 244, 153, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 4, 154, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 21, 154, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 45, 154, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    72, 154, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 93, 154, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 120, 154, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 140, 154, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 165, 154, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 192, 154, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 221, 154, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 252, 154, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 18, 155, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 46, 155, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 65, 155, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 94, 155, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 127, 155, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 147, 155, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 173, 155, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 213, 155, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 232,
    155, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 3, 156, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 23, 156, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 42, 156, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 64, 156, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 95,
    156, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 119, 156, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 144, 156, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 168, 156, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 193, 156, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    216, 156, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 236, 156, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 6, 157, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 31, 157, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 65, 157, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    98, 157, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 124, 157, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 148, 157, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 213, 157, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 194, 157, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 203, 157, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 38, 158, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 229, 157, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 21, 158, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 248, 157, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 253, 157, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 2, 158, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 11, 158, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 217, 160, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 136, 158, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 209, 160, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 190,
    160, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 139, 158, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 60, 160, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 69, 160, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 78, 160, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    95, 160, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 107, 160, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 122, 160, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 136, 160, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 174, 160, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 45, 160, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 194, 159, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 40, 159, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 203, 159, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 213, 159, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 247, 159, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 180, 159,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 145, 158, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 151, 158, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 159, 158, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 168, 158, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 172,
    158, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 183, 158, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 196, 158, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 207, 158, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 218, 158, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    229, 158, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 240, 158, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 254, 158, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 12, 159, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 26, 159, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 48, 159, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 59, 159, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 172, 159, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 191, 158, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 155, 159, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 64, 159, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 78, 159, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 94, 159, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 110, 159, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 124, 159, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 141, 159, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 227,
    159, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 29, 160, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 7, 160, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 19, 160, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 161, 160, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 148,
    160, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 157, 160, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 72, 161, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 55, 161, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 64, 161, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    94, 162, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 212, 161, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 221, 161, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 235, 161, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 244, 161, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 254, 161, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 8, 162, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 16, 162, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 30, 162, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 49, 162, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 54, 162, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 63, 162, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 73, 162, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 82, 162, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 164, 162, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 123, 162, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 132,
    162, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 146, 162, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 155, 162, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 215, 162, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 201, 162, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    106, 164, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 98, 164, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 153, 164, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 134, 164, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 142, 164, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 231, 164, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 220, 164, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 225, 164, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 13, 165, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 253, 164, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 1, 165, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 7, 165, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 71, 165, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 59, 165, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 51, 165, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 54, 165, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 57, 165, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 221, 165, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 131, 165, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 204, 165, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 213, 165, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 112,
    165, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 142, 165, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 181, 165, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 165, 165, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 119, 166, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    43, 166, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 78, 166, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 93, 166, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 106, 166, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 60, 166, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 226, 166, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 179, 166, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 188, 166, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 210, 166, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 132, 169, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 7, 167, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 17, 167, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 28, 167, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 40, 167, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 53, 167, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 62, 167, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 72, 167,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 88, 167, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 108, 167, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 112, 168, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 126, 168, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 133,
    168, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 145, 168, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 154, 168, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 166, 168, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 181, 168, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    197, 168, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 206, 168, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 223, 168, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 247, 168, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 3, 169, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 11, 169, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 16, 169, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 106, 169, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 121, 169, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 97, 168, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 119, 167, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 129, 167,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 139, 167, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 148, 167, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 153, 167, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 159, 167, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 88,
    168, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 80, 168, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 168, 167, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 177, 167, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 186, 167, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    195, 167, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 207, 167, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 218, 167, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 230, 167, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 245, 167, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 9, 168, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 20, 168, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 36, 168, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 44, 168, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 56, 168, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 68, 168, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 99, 169, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 28, 169, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 42, 169, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 54, 169, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 61, 169, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 70, 169, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 79, 169, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 89, 169, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 209, 169, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 25, 170, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 32, 170,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 38, 170, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 46, 170, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 70, 170, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 84, 170, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 98,
    170, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 111, 170, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 123, 170, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 140, 170, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 151, 170, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    164, 170, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 224, 170, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 201, 170, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 211, 170, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 40, 172, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 143, 171, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 157, 171, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 171, 171, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 184, 171, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 200, 171, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 212, 171, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 238, 171,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 248, 171, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 5, 172, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 13, 172, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 24, 172, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 129, 171,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 151, 172, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 49, 172, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 63, 172, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 75, 172, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 91,
    172, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 114, 172, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 125, 172, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 133, 172, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 142, 172, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    53, 174, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 33, 173, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 43, 173, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 48, 173, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 57, 173, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 70, 173, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 79, 173, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 89, 173, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 107, 173, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 143, 173, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 173, 173, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 182, 173,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 191, 173, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 199, 173, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 213, 173, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 228, 173, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 237,
    173, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 21, 174, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 38, 174, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 95, 173, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 98, 173, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    113, 173, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 123, 173, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 132, 173, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 164, 173, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 157, 173, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 244, 173, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 10, 174, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 255, 173, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 41, 174, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 176, 176, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 195, 174, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 208, 174,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 221, 174, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 233, 174, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 247, 174, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 8, 175, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 18,
    175, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 31, 175, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 48, 175, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 66, 175, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 86, 175, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    109, 175, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 123, 175, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 132, 175, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 142, 175, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 154, 175, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 167, 175, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 177, 175, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 191, 175, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 202, 175, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 213, 175, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 223, 175, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 234, 175,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 245, 175, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 255, 175, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 12, 176, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 23, 176, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 33,
    176, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 46, 176, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 57, 176, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 74, 176, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 91, 176, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    164, 176, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 183, 174, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 68, 174, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 72, 174, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 85, 174, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 167, 174, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 146, 174, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 89, 174, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 98, 174, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 111, 174, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 124, 174, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 136, 174,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 144, 176, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 116, 176, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 129, 176, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 116, 177, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 73,
    177, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 76, 177, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 102, 177, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 90, 177, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 98, 177, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 69,
    178, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 76, 178, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 86, 178, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 99, 178, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 191, 180, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    191, 178, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 207, 178, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 227, 178, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 240, 178, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 252, 178, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 13, 179, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 167, 180, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 178, 180, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 91, 180, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 19, 179, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 30, 179, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 38, 179, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 54, 179, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 67, 179, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 82, 179, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 100, 179, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 114,
    179, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 143, 179, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 221, 179, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 18, 180, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 50, 180, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    79, 180, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 201, 179, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 156, 179, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 164, 179, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 170, 179, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 176, 179, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 189, 179, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 255, 179, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 227, 179, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 239, 179, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 30, 180, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 59, 180, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 152, 180, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 106, 180, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 114, 180, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 126, 180, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 143,
    180, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 75, 181, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 57, 181, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 64, 181, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 71, 182, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 23,
    182, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 32, 182, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 40, 182, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 55, 182, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 66, 182, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    245, 182, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 104, 182, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 115, 182, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 127, 182, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 137, 182, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 148, 182, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 157, 182, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 170, 182, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 181, 182, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 192, 182, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 210, 182, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 221, 182,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 230, 182, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 159, 183, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 122, 183, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 132, 183, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 140,
    183, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 149, 183, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 157, 183, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 73, 185, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 203, 183, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    210, 183, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 224, 183, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 236, 183, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 243, 183, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 4, 184, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 15, 184, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 30, 184, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 38, 184, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 50, 184, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 66, 184, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 77, 184, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 84, 184, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 92, 184, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 98, 184, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 104, 184, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 111, 184, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 127,
    184, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 138, 184, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 147, 184, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 157, 184, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 169, 184, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    196, 184, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 207, 184, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 226, 184, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 247, 184, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 255, 184, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 8, 185, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 19, 185, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 26, 185, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 58, 185, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 187, 184, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 179, 184, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 45, 185, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 30, 185, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 36, 185, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 209, 185, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 216, 185, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 221, 185,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 15, 187, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 21, 187, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 27, 187, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 34, 187, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 39,
    187, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 46, 187, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 98, 187, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 139, 187, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 179, 187, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    199, 187, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 204, 187, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 84, 187, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 56, 187, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 64, 187, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 74, 187, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 121, 187, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 103, 187, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 164, 187, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 151, 187, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 192, 187, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 184, 187,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 231, 187, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 216, 187, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 56, 188, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 63, 188, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 74,
    188, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 10, 190, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 252, 189, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 82, 188, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 96, 188, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    109, 188, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 205, 189, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 245, 189, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 194, 189, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 120, 188, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 178, 188, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 190, 188, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 202, 188, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 243, 188, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 255, 188, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 27, 189, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 31, 189, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 35, 189, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 46, 189, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 57, 189, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 63, 189, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 76, 189,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 83, 189, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 108, 189, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 150, 188, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 138, 188, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 142,
    188, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 165, 188, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 226, 188, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 218, 188, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 222, 188, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    2, 189, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 178, 189, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 139, 189, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 150, 189, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 159, 189, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 173, 189, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 223, 189, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 211, 189, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 218, 189, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 238, 189, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 168, 190, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 209, 190,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 223, 190, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 189, 190, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 174, 190, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 182, 190, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 67,
    191, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 73, 191, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 79, 191, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 89, 191, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 125, 191, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    119, 191, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 134, 191, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 143, 191, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 147, 191, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 155, 191, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 106, 191, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 206, 191, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 172, 191, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 192, 191, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 182, 191, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 233, 191, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 223, 191,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 42, 192, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 24, 192, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 30, 192, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 38, 192, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 225,
    192, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 52, 192, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 71, 192, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 83, 192, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 140, 192, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    146, 192, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 156, 192, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 164, 192, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 183, 192, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 197, 192, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 216, 192, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 132, 192, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 87, 192, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 95, 192, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 109, 192, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 118, 192, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 22, 193, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 247, 192, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 1, 193, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 9, 193, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 44, 193, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 113, 193, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 243, 195, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 232, 197, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 71, 9, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 92, 9, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 99, 193, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 87, 193, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 51, 193, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 59, 193, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 68, 193, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 76, 193, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 229, 195, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 241, 194, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 250, 194, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 4, 195, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 15, 195,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 26, 195, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 37, 195, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 47, 195, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 56, 195, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 67,
    195, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 78, 195, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 86, 195, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 97, 195, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 113, 195, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    122, 195, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 129, 195, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 145, 195, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 159, 195, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 170, 195, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 185, 195, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 200, 195, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 219, 195, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 233, 194, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 120, 193, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 129, 193, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 137, 193,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 146, 193, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 222, 194, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 153, 193, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 247, 193, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 255,
    193, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 199, 194, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 206, 194, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 215, 194, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 234, 193, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    157, 193, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 162, 193, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 171, 193, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 179, 193, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 190, 193, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 210, 193, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 198, 193, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 218, 193, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 181, 194, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 9, 194, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 20, 194, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 31, 194, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 43, 194, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 52, 194, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 61, 194, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 81, 194, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 101, 194,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 129, 194, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 88, 194, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 112, 194, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 165, 194, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 142,
    194, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 139, 194, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 218, 197, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 188, 197, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 196, 197, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    203, 197, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 250, 195, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 3, 196, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 14, 196, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 29, 196, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    37, 196, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 67, 196, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 78, 196, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 88, 196, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 101, 196, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 113, 196, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 122, 196, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 133, 196, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 143, 196, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 158, 196, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 168, 196, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 179, 196,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 221, 196, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 233, 196, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 244, 196, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 2, 197, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 100,
    197, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 118, 197, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 125, 197, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 138, 197, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 154, 197, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    163, 197, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 45, 196, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 55, 196, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 210, 196, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 186, 196, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 193, 196, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 202, 196, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 76, 197, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 21, 197, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 42, 197, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 63, 197, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 26, 197, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 46, 197, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 129, 209, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 3, 198, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 11, 198, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 26, 198, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 42, 198, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 55, 198, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 65, 198, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 76, 198, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 86, 198,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 99, 198, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 110, 198, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 120, 198, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 134, 198, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 143,
    198, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 135, 199, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 140, 199, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 150, 199, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 162, 199, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    176, 199, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 191, 199, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 222, 199, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 231, 199, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 244, 199, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 254, 199, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 64, 200, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 216, 201, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 255, 201, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 40, 202, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 124, 202, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 26, 224, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 49, 250, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 111, 250, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 168, 252, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 204, 252, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 99, 254,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 220, 254, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 87, 4, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 189, 4, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 211, 4, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 229, 4, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 234, 4, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 245, 4, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 4, 5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 22,
    5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 36, 5, 1, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 198, 236, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 56, 7, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 67, 7, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 83, 7, 1,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 170, 7, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 209, 8, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 223, 8, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 235, 8, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 121, 199, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 165, 198, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 113, 199, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 173, 198, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 96, 199, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 180, 198, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 248, 198, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 253, 198, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 2, 199, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 16, 199, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 190, 198, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 199, 198, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 206, 198, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 234, 198, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 241, 198, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 219,
    198, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 68, 199, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 30, 199, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 42, 199, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 56, 199, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 87,
    199, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 204, 199, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 53, 200, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 3, 200, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 14, 200, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 31,
    200, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 42, 200, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 206, 201, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 68, 200, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 96, 200, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    122, 200, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 147, 200, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 170, 200, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 189, 200, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 214, 200, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 245, 200, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 7, 201, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 21, 201, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 39, 201, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 55, 201, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 84, 201, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 119, 201, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 150, 201, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 179, 201, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 88, 200, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 83, 200, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 110, 200,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 137, 200, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 162, 200, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 205, 200, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 233, 200, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 73,
    201, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 105, 201, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 135, 201, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 165, 201, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 196, 201, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    242, 201, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 223, 201, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 235, 201, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 29, 202, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 3, 202, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 25, 202, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 110, 202, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 48, 202, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 56, 202, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 74, 202, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 89, 202, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 15, 224, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 129, 202, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 138, 202, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 148, 202, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 157, 202, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 167,
    202, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 177, 202, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 209, 202, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 222, 202, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 7, 203, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    95, 207, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 116, 207, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 144, 207, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 208, 207, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 220, 207, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 248, 207, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 15, 208, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 30, 208, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 51, 208, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 57, 208, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 65, 208, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 80, 208, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 111, 208, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 118, 208, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 137, 209, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 22, 210, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 37, 210,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 49, 210, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 65, 210, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 82, 210, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 92, 210, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 120,
    210, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 155, 210, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 196, 210, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 218, 210, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 239, 210, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    21, 211, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 55, 211, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 70, 211, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 94, 211, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 116, 211, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 139, 211, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 162, 211, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 192, 211, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 216, 211, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 241, 211, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 3, 212, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 25, 212, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 50, 212, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 73, 212, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 96, 212, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 123, 212, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 145,
    212, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 170, 212, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 195, 212, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 218, 212, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 245, 212, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    9, 213, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 32, 213, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 59, 213, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 85, 213, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 111, 213, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    139, 213, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 166, 213, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 189, 213, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 215, 213, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 237, 213, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 3, 214, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 23, 214, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 43, 214, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 69, 214, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 92, 214, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 117, 214, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 137, 214, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 153, 214, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 179, 214, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 201, 214, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 226, 214, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 246, 214,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 22, 215, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 55, 215, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 83, 215, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 101, 215, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 120,
    215, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 149, 215, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 165, 215, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 191, 215, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 208, 215, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    227, 215, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 252, 215, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 12, 216, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 38, 216, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 74, 216, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 101, 216, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 128, 216, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 165, 216, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 195, 216, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 226, 216, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 250, 216, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 18, 217, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 41, 217, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 70, 217, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 97, 217, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 124, 217, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 140,
    217, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 156, 217, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 180, 217, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 210, 217, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 240, 217, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    49, 219, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 72, 219, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 92, 219, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 191, 221, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 247, 221, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 13, 222, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 51, 222, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 76, 222, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 101, 222, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 121, 222, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 141, 222, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 166, 222,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 194, 222, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 214, 222, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 238, 222, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 254, 222, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 15,
    223, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 30, 223, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 58, 223, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 78, 223, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 88, 223, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    101, 223, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 132, 223, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 165, 223, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 217, 223, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 225, 223, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 243, 223, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 252, 223, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 5, 224, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 196, 202, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 189, 202, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 251, 202, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 242, 202, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 81, 207, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 16, 203, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 23, 203, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 33, 203, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 43, 203, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 60, 203, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 74, 203, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 219, 205, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 228, 205, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 90, 206,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 97, 206, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 105, 206, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 110, 206, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 124, 206, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 136,
    206, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 62, 207, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 73, 207, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 49, 204, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 88, 203, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 97,
    203, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 111, 203, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 121, 203, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 134, 203, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 143, 203, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    150, 203, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 164, 203, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 172, 203, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 179, 203, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 184, 203, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 201, 203, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 220, 203, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 228, 203, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 236, 203, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 5, 204, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 37, 204, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 157, 203, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 246, 203, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 17, 204, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 163, 205, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 58, 204, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 60, 204,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 243, 204, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 79, 205, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 230, 204, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 72, 204, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 83,
    204, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 94, 204, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 106, 204, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 117, 204, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 130, 204, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    143, 204, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 156, 204, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 169, 204, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 180, 204, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 208, 204, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 195, 204, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 72, 205, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 247, 204, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 253, 204, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 3, 205, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 62, 205, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 7, 205, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 13, 205, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 19, 205, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 25, 205, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 31, 205, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 46, 205,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 50, 205, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 58, 205, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 39, 205, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 145, 205, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 127,
    205, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 137, 205, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 118, 205, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 83, 205, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 89, 205, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    98, 205, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 108, 205, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 155, 205, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 204, 205, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 169, 205, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 180, 205, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 192, 205, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 199, 205, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 12, 206, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 238, 205, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 246, 205, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 254, 205,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 2, 206, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 7, 206, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 42, 206, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 25, 206, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 33, 206, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 74, 206, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 49, 206, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 54, 206, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 63, 206, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 51, 207,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 144, 206, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 160, 206, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 177, 206, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 192, 206, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 231,
    206, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 24, 207, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 33, 207, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 206, 206, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 244, 206, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    20, 207, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 198, 207, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 153, 207, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 162, 207, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 168, 207, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 183, 207, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 191, 207, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 96, 208, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 86, 208, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 124, 208, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 136, 208, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 147, 208,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 156, 208, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 133, 209, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 118, 209, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 158, 208, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 164,
    208, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 63, 209, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 75, 209, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 88, 209, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 105, 209, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    47, 209, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 187, 208, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 223, 208, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 250, 208, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 7, 209, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 22, 209, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 36, 209, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 42, 209, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 176, 208, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 203, 208, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 190, 208, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 230, 208,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 226, 208, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 13, 210, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 152, 209, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 243, 209, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 246,
    209, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 2, 210, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 229, 209, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 164, 209, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 180, 209, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    191, 209, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 201, 209, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 211, 209, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 221, 209, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 249, 209, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 43, 211, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 36, 211, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 25, 219, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 254, 217, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 3, 219, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 245, 218, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 16, 218, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 80, 218, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 92, 218, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 103, 218, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 120, 218, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 139,
    218, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 166, 218, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 177, 218, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 189, 218, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 230, 218, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    62, 218, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 22, 218, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 45, 218, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 28, 218, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 145, 218, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 207, 218, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 196, 218, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 172, 221, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 115, 219, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 124, 219, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 135, 219, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 145, 219,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 156, 219, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 169, 219, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 179, 219, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 218, 219, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 231,
    219, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 245, 219, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 174, 220, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 207, 219, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 190, 219, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    197, 219, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 162, 220, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 2, 220, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 15, 220, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 31, 220, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    41, 220, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 53, 220, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 69, 220, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 85, 220, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 92, 220, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 105, 220, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 121, 220, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 136, 220, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 147, 220, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 160, 221, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 183, 220, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 249, 220,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 81, 221, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 235, 220, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 189, 220, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 202, 220, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 214,
    220, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 223, 220, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 66, 221, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 255, 220, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 13, 221, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    28, 221, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 40, 221, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 53, 221, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 147, 221, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 85, 221, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 95, 221, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 105, 221, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 117, 221, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 133, 221, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 226, 221, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 222, 221, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 208, 221,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 200, 223, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 178, 223, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 191, 223, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 38, 250, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 60,
    230, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 76, 230, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 92, 230, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 105, 230, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 123, 230, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    136, 230, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 13, 248, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 28, 248, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 156, 248, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 170, 248, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 184, 248, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 197, 248, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 209, 248, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 226, 248, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 239, 248, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 0, 249, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 15, 249, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 44, 249, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 66, 249, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 90, 249, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 109, 249, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 128,
    249, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 143, 249, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 158, 249, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 167, 249, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 175, 249, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    186, 249, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 200, 249, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 212, 249, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 2, 250, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 21, 250, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    111, 226, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 31, 224, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 40, 224, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 50, 224, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 61, 224, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 73, 224, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 89, 224, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 112, 224, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 130, 224, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 149, 224, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 170, 224, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 189, 224,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 207, 224, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 229, 224, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 251, 224, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 11, 225, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 23,
    225, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 46, 225, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 75, 225, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 102, 225, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 118, 225, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    138, 225, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 161, 225, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 178, 225, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 193, 225, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 207, 225, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 219, 225, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 242, 225, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 4, 226, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 21, 226, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 38, 226, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 55, 226, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 72, 226, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 87, 226, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 47, 230, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 129, 226, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 140, 226, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 150, 226,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 155, 226, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 165, 226, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 182, 226, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 191, 226, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 205,
    226, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 218, 226, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 239, 226, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 8, 227, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 26, 227, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 44,
    227, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 78, 227, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 112, 227, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 125, 227, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 140, 227, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    158, 227, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 174, 227, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 192, 227, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 206, 227, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 223, 227, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 247, 227, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 7, 228, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 35, 228, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 54, 228, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 73, 228, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 100, 228, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 127, 228,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 137, 228, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 157, 228, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 178, 228, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 193, 228, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 208,
    228, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 222, 228, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 235, 228, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 8, 229, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 19, 229, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 31,
    229, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 44, 229, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 64, 229, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 78, 229, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 98, 229, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    150, 229, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 169, 229, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 187, 229, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 200, 229, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 218, 229, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 231, 229, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 245, 229, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 4, 230, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 17, 230, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 33, 230, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 131, 229, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 112, 229, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 124, 229, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 3, 248, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 152, 230, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 19, 231, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 255, 230, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 29, 231, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 43, 231, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 51, 231, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 66, 231, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 75, 231, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 108, 231, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 129, 231, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 140, 231, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 149, 231, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 162,
    231, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 174, 231, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 188, 231, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 198, 231, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 211, 231, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    223, 231, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 236, 231, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 252, 231, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 1, 232, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 106, 244, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    163, 230, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 173, 230, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 180, 230, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 189, 230, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 9, 231, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 198, 230, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 203, 230, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 209, 230, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 217, 230, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 222, 230, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 229, 230, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 238, 230,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 248, 230, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 96, 231, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 88, 231, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 122, 231, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 117,
    231, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 4, 232, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 12, 232, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 21, 232, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 30, 232, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 39,
    232, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 48, 232, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 57, 232, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 181, 247, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 65, 232, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 74,
    232, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 84, 232, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 94, 232, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 101, 232, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 111, 243, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    97, 243, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 109, 232, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 117, 232, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 125, 232, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 135, 232, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 146, 232, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 160, 232, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 170, 232, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 230, 232, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 237, 232, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 248, 232, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 8, 233, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 180, 242, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 194, 242, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 215, 232, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 183, 232, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 192,
    232, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 204, 232, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 173, 242, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 29, 242, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 38, 242, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    46, 242, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 58, 242, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 74, 242, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 81, 242, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 94, 242, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 101, 242, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 108, 242, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 122, 242, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 130, 242, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 142, 242, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 19, 242, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 189, 236, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 21, 241, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 40, 236, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 213, 241, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 210, 237, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 221,
    237, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 222, 241, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 231, 241, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 237, 241, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 245, 241, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    254, 241, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 4, 242, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 10, 242, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 181, 236, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 32, 233, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 42, 233, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 61, 233, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 73, 233, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 80, 233, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 96, 233, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 109, 233, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 121, 233,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 130, 233, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 140, 233, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 117, 236, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 131, 236, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 143,
    236, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 107, 236, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 2, 234, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 193, 235, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 203, 235, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    223, 235, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 233, 235, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 240, 235, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 250, 235, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 2, 236, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 5, 236, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 199, 234, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 95, 236, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 181, 235, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 153, 233, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 164, 233, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 171, 233,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 212, 233, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 224, 233, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 235, 233, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 248, 233, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 71,
    234, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 82, 234, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 94, 234, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 105, 234, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 116, 234, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    127, 234, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 138, 234, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 146, 234, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 158, 234, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 188, 234, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 207, 234, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 122, 235, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 167, 235, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 199, 233, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 184, 233, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 59, 234, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 8, 234, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 20, 234, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 33, 234, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 48, 234, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 175, 234, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 170,
    234, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 105, 235, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 217, 234, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 224, 234, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 233, 234, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    244, 234, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 255, 234, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 7, 235, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 12, 235, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 29, 235, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    46, 235, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 63, 235, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 78, 235, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 93, 235, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 150, 235, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 126, 235, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 139, 235, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 31, 236, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 8, 236, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 15, 236, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 23, 236, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 85, 236, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 47, 236, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 55, 236, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 68, 236, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 166, 236, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 202, 241,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 203, 236, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 210, 236, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 217, 236, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 223, 236, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 229,
    236, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 12, 237, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 86, 237, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 92, 237, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 99, 237, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    105, 237, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 166, 237, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 172, 237, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 178, 237, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 192, 237, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 198, 237, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 204, 237, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 233, 237, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 245, 237, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 251, 237, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 185, 238, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 248, 238,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 7, 239, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 12, 239, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 44, 239, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 50, 239, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 116, 239,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 125, 239, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 132, 239, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 139, 239, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 152, 239, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 182,
    239, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 242, 239, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 250, 239, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 6, 240, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 48, 240, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 55,
    240, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 69, 240, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 84, 240, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 119, 240, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 176, 240, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    183, 240, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 242, 240, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 252, 240, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 5, 241, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 55, 241, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    76, 241, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 91, 241, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 102, 241, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 4, 237, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 245, 236, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    235, 236, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 238, 236, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 241, 236, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 62, 237, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 16, 237, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 27, 237, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 38, 237, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 50, 237, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 76, 237, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 150, 237, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 108, 237, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 112, 237,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 130, 237, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 118, 237, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 124, 237, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 167, 238, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 255,
    237, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 15, 238, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 31, 238, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 49, 238, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 67, 238, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 92,
    238, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 117, 238, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 142, 238, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 233, 238, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 190, 238, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    199, 238, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 211, 238, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 225, 238, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 253, 238, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 29, 239, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 17, 239, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 100, 239, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 56, 239, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 67, 239, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 79, 239, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 91, 239, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 164, 239, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 159, 239, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 220, 239, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 193, 239, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 201, 239, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 209,
    239, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 216, 239, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 36, 240, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 11, 240, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 19, 240, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    27, 240, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 108, 240, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 91, 240, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 158, 240, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 126, 240, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 132, 240, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 140, 240, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 149, 240, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 223, 240, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 187, 240, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 196, 240, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 211, 240,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 11, 241, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 45, 241, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 27, 241, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 34, 241, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 66,
    241, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 131, 241, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 115, 241, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 126, 241, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 189, 241, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    149, 241, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 157, 241, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 165, 241, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 173, 241, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 181, 241, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 159, 242, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 80, 243, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 63, 243, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 209, 242, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 219, 242, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 230, 242, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 240, 242,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 0, 243, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 8, 243, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 21, 243, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 36, 243, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 52, 243, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 118, 243, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 128, 243, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 70, 244, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 82, 244, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 91, 244,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 61, 244, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 136, 243, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 145, 243, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 155, 243, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 163,
    243, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 175, 243, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 187, 243, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 197, 243, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 206, 243, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    219, 243, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 229, 243, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 238, 243, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 250, 243, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 4, 244, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 17, 244, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 29, 244, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 37, 244, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 50, 244, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 114, 244, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 125, 244, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 138, 247,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 129, 247, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 135, 244, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 142, 244, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 151, 244, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 160,
    244, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 173, 244, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 67, 247, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 78, 247, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 92, 247, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    111, 247, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 57, 247, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 183, 244, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 193, 244, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 164, 245, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 172, 245, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 180, 245, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 187, 245, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 201, 245, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 214, 245, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 227, 245, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 238, 245,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 244, 245, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 251, 245, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 7, 246, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 19, 246, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 32, 246,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 45, 246, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 144, 246, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 153, 246, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 167, 246, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 181,
    246, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 187, 246, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 196, 246, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 19, 247, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 28, 247, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    40, 247, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 154, 245, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 201, 244, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 210, 244, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 215, 244, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 38, 245, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 47, 245, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 58, 245, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 70, 245, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 82, 245, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 92, 245, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 102, 245, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 112, 245, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 123, 245, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 132, 245, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 143, 245, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 26, 245,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 227, 244, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 235, 244, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 243, 244, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 252, 244, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 6,
    245, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 15, 245, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 134, 246, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 53, 246, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 62, 246, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 69,
    246, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 78, 246, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 91, 246, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 101, 246, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 112, 246, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    123, 246, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 6, 247, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 200, 246, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 228, 246, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 210, 246, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 241, 246, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 160, 247, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 250, 247, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 188, 247, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 194, 247, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 201, 247, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 207, 247,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 214, 247, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 237, 247, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 225, 247, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 141, 248, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 38,
    248, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 48, 248, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 64, 248, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 79, 248, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 92, 248, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    113, 248, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 126, 248, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 241, 249, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 222, 249, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 230, 249, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 87, 250, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 67, 250, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 157, 252, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 116, 250, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 141, 250, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 155, 250, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 164, 250,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 180, 250, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 191, 250, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 205, 250, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 224, 250, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 237,
    250, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 253, 250, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 9, 251, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 17, 251, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 25, 251, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 35,
    251, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 44, 251, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 54, 251, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 77, 251, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 91, 251, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    109, 251, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 122, 251, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 134, 251, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 158, 251, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 175, 251, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 192, 251, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 203, 251, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 214, 251, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 224, 251, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 234, 251, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 248, 251, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 6, 252, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 26, 252, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 39, 252, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 52, 252, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 66, 252, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 80, 252,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 92, 252, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 104, 252, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 115, 252, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 128, 252, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 143,
    252, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 132, 250, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 193, 252, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 173, 252, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 183, 252, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    90, 254, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 207, 252, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 222, 252, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 95, 253, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 196, 253, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 214, 253, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 32, 254, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 43, 254, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 53, 254, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 66, 254, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 78, 254, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 78, 253, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 236, 252, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 65, 253, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 50, 253, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 242, 252, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 246,
    252, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 1, 253, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 8, 253, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 36, 253, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 16, 253, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 21,
    253, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 24, 253, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 27, 253, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 31, 253, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 186, 253, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    106, 253, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 177, 253, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 166, 253, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 112, 253, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 117, 253, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 146, 253, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 157, 253, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 126, 253, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 136, 253, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 16, 254, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 225, 253, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 242, 253,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 2, 254, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 248, 253, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 211, 254, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 102, 254, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 109,
    254, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 136, 254, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 165, 254, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 188, 254, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 201, 254, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    178, 254, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 78, 4, 1, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 223, 254, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 236, 254, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 249, 254, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    14, 255, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 40, 255, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 59, 255, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 73, 255, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 85, 255, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 111, 255, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 125, 255, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 141, 255, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 172, 255, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 51, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 204, 2, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 115, 3, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 66, 4, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 164, 255, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 152, 255, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    33, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 177, 255, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 183, 255, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 191, 255, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 198, 255, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    205, 255, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 219, 255, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 224, 255, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 235, 255, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 246, 255, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 4, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 18, 0, 1, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 183, 2, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 73, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 171, 2, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 157, 2,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 164, 2, 1, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 149, 2, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 77, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 105, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 128, 0, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 45, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 52, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 65, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 92,
    1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 92, 0, 1, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 88, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 110, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 21, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 138, 0, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 145, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 2, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 151, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    155, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 186, 0, 1, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 190, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 194, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 199, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 249, 0,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 232, 0, 1, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 226, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 173, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 165, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 158, 0, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 203, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 96, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 130, 2, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    119, 2, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 153, 1, 1, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 106, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 111, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 120, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 129, 1,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 143, 1, 1, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 169, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 164, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 64, 2, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 242, 1, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 250, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 5, 2, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 14, 2, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    23, 2, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 32, 2, 1, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 41, 2, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 53, 2, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 226, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 180, 1, 1,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 187, 1, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 197, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 207, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 217, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 84, 2, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 74, 2, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 109, 2, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 94, 2, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 93,
    3, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 80, 3, 1, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 223, 2, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 60, 3, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 227, 2, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 1, 3, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 10, 3, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 37, 3, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 48, 3, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    233, 2, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 17, 3, 1, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 56, 4, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 127, 3, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 234, 3, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 135, 3,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 200, 3, 1, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 150, 3, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 159, 3, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 169, 3, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 184, 3, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 211, 3, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 222, 3, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 9, 4, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    241, 3, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 252, 3, 1, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 21, 4, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 45, 4, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 33, 4, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 174, 4,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 91, 4, 1, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 103, 4, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 115, 4, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 127, 4, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 140, 4, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 149, 4, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 159, 4, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 197, 4, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    44, 5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 40, 5, 1, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 66, 5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 56, 5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 45, 7, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 76, 5, 1,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 86, 5, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 98, 5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 110, 5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 122, 5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 134, 5, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 144, 5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 160, 5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 171, 5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 184,
    5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 201, 5, 1, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 216, 5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 24, 6, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 37, 6, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 54, 6, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 117, 6, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 130, 6, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 135, 6, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    146, 6, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 166, 6, 1, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 187, 6, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 206, 6, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 225, 6, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 239, 6,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 253, 6, 1, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 13, 7, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 30, 7, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 7, 6, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 229, 5, 1, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 235, 5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 242, 5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 249, 5, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 0, 6,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 97, 6, 1, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 69, 6, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 76, 6, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 83, 6, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 90, 6, 1, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 72, 7, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 159, 7, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 88, 7, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 105, 7,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 117, 7, 1, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 133, 7, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 148, 7, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 199, 8, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 174, 7, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 183, 7, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 195, 7, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 205, 7, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    221, 7, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 237, 7, 1, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 253, 7, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 13, 8, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 29, 8, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 45, 8,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 61, 8, 1, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 73, 8, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 106, 8, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 120, 8, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 130, 8, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 154, 8, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 190, 8, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 88, 8, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    140, 8, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 170, 8, 1, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 213, 8, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 56, 9, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 245, 8, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 31, 9,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 41, 9, 1, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 16, 9, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 253, 8, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 7, 9, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 112, 9, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 102, 9, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 126, 20, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 136, 9, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 143, 9, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 154, 9, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 166, 9, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 180, 9, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 192, 9, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 220,
    9, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 233, 9, 1, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 249, 9, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 6, 10, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 22, 10, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 39, 10, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 58, 10, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 78, 10, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 93, 10, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    106, 10, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 117, 10, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 130, 10, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 149, 10, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 215, 10, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 220, 10, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 233, 10, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 240, 10, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 7, 17, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 18, 17, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 25, 17, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 32, 17, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 39, 17, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 46, 17, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 54, 17, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 63,
    17, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 72, 17, 1, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 80, 17, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 88, 17, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 97, 17, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 106, 17,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 113, 17, 1, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 214, 17, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 232, 17, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 6, 18, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 5, 20,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 15, 20, 1, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 36, 20, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 52, 20, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 66, 20, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 84, 20, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 91, 20, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 108, 20, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 211, 9, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 207, 9, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 138, 10, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 133, 10, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 193, 10, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 158, 10, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 173, 10, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 252, 16, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 107, 15, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 164, 15, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 218, 15, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 236, 15, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 249, 15, 1,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 8, 16, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 22, 16, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 36, 16, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 46, 16, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 250, 12, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 56, 16, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 33, 14, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 71, 16, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 76,
    16, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 237, 13, 1, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 84, 16, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 92, 16, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 105, 16, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 116, 16,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 128, 16, 1, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 140, 16, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 153, 16, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 140, 15, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 130,
    15, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 172, 16, 1, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 184, 16, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 194, 16, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 205, 16, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    215, 16, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 223, 16, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 233, 16, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 243, 16, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 96, 15, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 244, 10, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 255, 10, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 11, 11, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 21, 11, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 27, 11, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    39, 11, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 47, 11, 1, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 153, 11, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 164, 11, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 170, 11, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    2, 13, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 84, 15, 1, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 250, 10, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 144, 11, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 60, 11, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    77, 11, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 85, 11, 1, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 93, 11, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 101, 11, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 113, 11, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    118, 11, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 135, 11, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 68, 11, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 108, 11, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 127, 11, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    241, 12, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 244, 11, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 45, 12, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 108, 12, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 121, 12, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    131, 12, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 146, 12, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 153, 12, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 161, 12, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 173, 12, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 183, 12, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 192, 12, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 204, 12, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 217, 12, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 229, 12, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 232, 11, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 193, 11, 1,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 213, 11, 1, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 222, 11, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 182, 11, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 175, 11, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 202, 11,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 25, 12, 1, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 249, 11, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 8, 12, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 16, 12, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 81, 12, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 56, 12, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 68, 12, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 69, 15, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    23, 13, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 31, 13, 1, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 40, 13, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 52, 13, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 63, 13, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 79, 13,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 91, 13, 1, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 100, 13, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 111, 13, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 118, 13, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 128, 13,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 141, 13, 1, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 151, 13, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 167, 13, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 178, 13, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 187,
    13, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 196, 13, 1, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 245, 13, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 41, 14, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 133, 14, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 36,
    15, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 59, 15, 1, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 203, 13, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 210, 13, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 217, 13, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    227, 13, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 1, 14, 1, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 9, 14, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 17, 14, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 25, 14, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 110,
    14, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 52, 14, 1, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 56, 14, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 60, 14, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 64, 14, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 68, 14, 1,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 71, 14, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 74, 14, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 82, 14, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 89, 14, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 101, 14, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 22, 15, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 144, 14, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 149, 14, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    164, 14, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 179, 14, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 189, 14, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 197, 14, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 211, 14, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 216, 14, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 230, 14, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 241, 14, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 1, 15, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 11, 15, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 151, 15, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 117, 15, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 208, 15, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 194, 15, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 170, 15, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 181, 15, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 195, 17, 1,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 126, 17, 1, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 132, 17, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 138, 17, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 144, 17, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 150, 17,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 161, 17, 1, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 173, 17, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 255, 17, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 237, 17, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 246,
    17, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 77, 18, 1, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 12, 18, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 20, 18, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 32, 18, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 39, 18, 1,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 48, 18, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 57, 18, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 67, 18, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 251, 19, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 90, 18, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 98, 18, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 108, 18, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 124, 18, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    136, 18, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 154, 18, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 167, 18, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 186, 18, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 205, 18, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 227, 18, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 235, 18, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 244, 18, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 251, 18, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 2, 19, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 9, 19, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 16, 19, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 24, 19, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 33, 19, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 42, 19, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 50,
    19, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 58, 19, 1, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 68, 19, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 79, 19, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 93, 19, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 108, 19,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 123, 19, 1, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 138, 19, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 164, 19, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 180, 19, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 202,
    19, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 218, 19, 1, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 240, 19, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 29, 20, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 35, 21, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 148,
    20, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 156, 20, 1, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 23, 21, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 169, 20, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 13, 21, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 172,
    20, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 211, 20, 1, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 220, 20, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 5, 21, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 196, 20, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 183,
    20, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 246, 20, 1, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 232, 20, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 137, 21, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 143, 21, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    222, 21, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 228, 21, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 240, 21, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 253, 21, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 16, 22, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 27, 22, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 38, 22, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 63, 22, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 116, 22, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 129, 22, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    139, 22, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 150, 22, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 162, 22, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 173, 22, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 190, 22, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 201, 22, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 213, 22, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 249, 22, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 5, 23, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 18, 23, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 29, 23, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 40, 23, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 44, 23, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 53, 23, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 62, 23, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 71,
    23, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 81, 23, 1, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 88, 23, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 102, 23, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 129, 23, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 196,
    23, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 206, 23, 1, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 218, 23, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 230, 23, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 238, 23, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    247, 23, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 3, 24, 1, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 11, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 17, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 24, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 36, 24,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 40, 24, 1, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 210, 21, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 154, 21, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 169, 21, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 189, 21,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 48, 22, 1, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 90, 22, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 72, 22, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 82, 22, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 233, 22, 1,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 219, 22, 1, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 221, 22, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 123, 23, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 108, 23, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 188, 23,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 136, 23, 1, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 145, 23, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 155, 23, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 166, 23, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 177,
    23, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 50, 24, 1, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 93, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 165, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 106, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 149,
    24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 161, 24, 1, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 136, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 122, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 112, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    234, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 52, 25, 1, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 27, 25, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 38, 25, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 147, 37, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 90,
    25, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 98, 25, 1, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 150, 61, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 157, 61, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 166, 61, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    176, 61, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 190, 61, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 200, 61, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 210, 61, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 225, 61, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 25, 62, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 48, 62, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 59, 62, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 67, 62, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 86, 62, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 101,
    62, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 118, 62, 1, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 253, 62, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 5, 63, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 17, 63, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 26, 63,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 36, 63, 1, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 44, 63, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 142, 61, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 106, 25, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 118, 25, 1,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 125, 25, 1, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 135, 25, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 147, 25, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 119, 26, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 125, 26,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 142, 58, 1, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 153, 58, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 212, 58, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 220, 58, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 22,
    59, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 37, 59, 1, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 92, 61, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 100, 61, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 105, 26, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 156,
    25, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 100, 26, 1, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 90, 26, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 168, 25, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 188, 25, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 197,
    25, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 254, 25, 1, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 15, 26, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 33, 26, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 39, 26, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 50, 26, 1,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 179, 25, 1, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 243, 25, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 205, 25, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 213, 25, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 217, 25,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 224, 25, 1, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 235, 25, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 233, 25, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 70, 26, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 57, 26,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 62, 26, 1, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 25, 32, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 130, 26, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 133, 30, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 141, 30, 1,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 154, 30, 1, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 177, 30, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 193, 30, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 228, 30, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 250, 30,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 59, 31, 1, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 141, 26, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 112, 30, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 150, 26, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 157, 26,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 168, 26, 1, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 177, 26, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 186, 26, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 195, 26, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 207,
    26, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 217, 26, 1, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 228, 26, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 244, 26, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 4, 27, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 16,
    27, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 26, 27, 1, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 34, 27, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 48, 27, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 63, 27, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 71, 27, 1,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 76, 30, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 94, 30, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 78, 27, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 87, 27, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 96, 27, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 105, 27, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 118, 27, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 128, 27, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 138, 27, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 152, 27, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 172, 27, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 222, 29, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 230, 29, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 240, 29, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 3, 30, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 19, 30, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 28, 30, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 49, 30, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    208, 29, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 175, 27, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 179, 27, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 194, 27, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 202, 27, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 207, 27, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 217, 27, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 230, 27, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 240, 27, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 254, 27, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 12, 28, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 26, 28, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 42, 28, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 62, 28, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 78, 28, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    103, 28, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 134, 28, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 149, 28, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 101, 29, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 111, 29, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 121, 29, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 127, 29, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 139, 29, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 148, 29, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 166, 29, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 176, 29, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 186, 29, 1,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 197, 29, 1, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 115, 28, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 91, 29, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 166, 28, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 187, 28, 1,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 204, 28, 1, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 219, 28, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 238, 28, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 5, 29, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 29, 29, 1,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 53, 29, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 77, 29, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 125, 30, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 216, 30, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 200, 30, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 206, 30, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 43, 31, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 34, 31, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 7, 31, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 10, 31, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 15, 31, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 23, 31, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 29, 31, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 66,
    31, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 78, 31, 1, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 250, 31, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 5, 32, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 16, 32, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 242,
    31, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 89, 31, 1, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 108, 31, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 128, 31, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 156, 31, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    185, 31, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 213, 31, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 128, 58, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 49, 32, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 170, 41, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    158, 44, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 37, 45, 1, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 51, 37, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 236, 45, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 124, 46, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    223, 45, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 137, 46, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 147, 46, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 159, 46, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 167, 46, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 178, 46, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 189, 46, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 197, 46, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 182, 47, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 193, 47, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 205, 47, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 218, 47, 1,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 94, 40, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 232, 47, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 243, 47, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 253, 47, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 79, 48, 1,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 89, 48, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 40, 38, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 102, 48, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 113, 48, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 160, 48, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 142, 49, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 124, 51, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 151, 51, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 160, 51, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 178, 51, 1,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 194, 51, 1, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 209, 51, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 226, 51, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 237, 51, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 254, 51,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 12, 52, 1, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 137, 32, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 171, 53, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 184, 53, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 197, 53,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 88, 44, 1, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 210, 53, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 225, 53, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 242, 53, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 3, 54, 1,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 19, 54, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 187, 55, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 47, 57, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 60, 57, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 75, 57, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 91, 57, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 99, 57, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 112, 57, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    60, 35, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 72, 35, 1, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 80, 58, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 97, 58, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 6, 46, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 116, 58,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 60, 32, 1, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 62, 32, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 84, 37, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 92, 37, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 114, 37, 1,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 127, 37, 1, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 138, 37, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 151, 37, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 159, 37, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 169, 37,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 178, 37, 1, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 190, 37, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 206, 37, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 218, 37, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 222,
    37, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 115, 38, 1, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 141, 38, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 149, 38, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 163, 38, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    177, 38, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 194, 38, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 204, 38, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 218, 38, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 235, 38, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 1, 39, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 55, 40, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 72, 41, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 241, 37, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 137, 41, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    141, 41, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 151, 41, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 158, 41, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 73, 37, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 69, 32, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    78, 32, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 87, 32, 1, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 14, 37, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 28, 37, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 38, 37, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 135,
    33, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 0, 37, 1, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 93, 32, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 102, 32, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 111, 32, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 126, 32,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 35, 33, 1, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 100, 33, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 114, 33, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 128, 33, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 140, 33,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 159, 33, 1, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 227, 33, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 238, 33, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 207, 34, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 218,
    34, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 225, 34, 1, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 229, 34, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 240, 34, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 250, 34, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 7,
    35, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 18, 35, 1, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 34, 35, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 47, 35, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 90, 35, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 100, 35,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 19, 33, 1, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 140, 32, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 158, 32, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 176, 32, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 199, 32,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 219, 32, 1, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 231, 32, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 252, 32, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 5, 33, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 186, 32,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 92, 33, 1, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 43, 33, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 49, 33, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 79, 33, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 56, 33, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 61, 33, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 69, 33, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 208, 33, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    191, 33, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 173, 33, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 195, 34, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 243, 33, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 251, 33, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 12, 34, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 26, 34, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 155, 34, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 170, 34, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 174, 34, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 185, 34, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 141, 34, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 38, 34, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 41, 34, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 52, 34, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    63, 34, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 74, 34, 1, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 101, 34, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 111, 34, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 123, 34, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    86, 34, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 77, 34, 1, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 244, 36, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 183, 35, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 197, 35, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    211, 35, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 220, 35, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 232, 35, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 138, 35, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 251, 35, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 12, 36, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 163, 36, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 180, 36, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 199, 36, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 223, 36, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 173, 35, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 105, 35, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 119, 35, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 161, 35, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 153, 36, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 16, 36, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 32, 36, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 50, 36, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 92, 36, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 113, 36, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    124, 36, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 142, 36, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 149, 36, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 78, 36, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 62, 36, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    68, 36, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 61, 37, 1, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 102, 37, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 103, 38, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 226, 37, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    60, 38, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 67, 38, 1, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 83, 38, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 92, 38, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 230, 37, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 248,
    37, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 10, 38, 1, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 22, 38, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 31, 38, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 128, 38, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 41, 40,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 11, 39, 1, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 34, 40, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 19, 40, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 18, 39, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 255, 39, 1,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 237, 39, 1, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 29, 39, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 212, 39, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 227, 39, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 192, 39, 1,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 41, 39, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 69, 39, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 101, 39, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 139, 39, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 168, 39, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 56, 41, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 69, 40, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 79, 40, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    36, 41, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 98, 40, 1, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 154, 40, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 178, 40, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 201, 40, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    211, 40, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 233, 40, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 244, 40, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 4, 41, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 19, 41, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    139, 40, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 109, 40, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 125, 40, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 125, 41, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 83, 41, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 94, 41, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 110, 41, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 99, 44, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 74, 44, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 60, 44, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 179,
    41, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 133, 43, 1, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 142, 43, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 152, 43, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 180, 43, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    194, 43, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 209, 43, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 227, 43, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 242, 43, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 26, 44, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 45, 44, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 117, 43, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 189, 41, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 200, 41, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 211, 41, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 221, 41, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 231, 41, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 245, 41, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 1, 42, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 11, 42, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 25, 42, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 132, 42, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 148, 42, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 220, 42, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 236, 42, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 251, 42, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 11, 43, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 28, 43, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 37, 43, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 55, 43, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 71,
    43, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 86, 43, 1, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 99, 43, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 108, 43, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 122, 42, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 40,
    42, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 58, 42, 1, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 79, 42, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 99, 42, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 202, 42, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 179, 42,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 193, 42, 1, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 197, 42, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 160, 42, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 167, 43, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 6, 44,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 142, 44, 1, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 114, 44, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 124, 44, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 234, 44, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 165,
    44, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 171, 44, 1, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 177, 44, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 183, 44, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 191, 44, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    200, 44, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 220, 44, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 27, 45, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 245, 44, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 0, 45, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    15, 45, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 113, 46, 1, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 44, 45, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 71, 45, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 82, 45, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 93, 45,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 155, 45, 1, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 53, 46, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 66, 46, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 83, 46, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 94, 46, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 105, 46, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 53, 45, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 135, 45, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 104, 45, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 116, 45, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 38, 46, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 215, 45, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 248, 45, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 15, 46, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 29, 46, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 198, 45, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 168, 45, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 175, 45, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 185, 45, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 168, 47, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 207, 46, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 135, 47, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 146, 47, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 159, 47, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 113, 47, 1,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 215, 46, 1, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 37, 47, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 47, 47, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 79, 47, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 13, 47, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 250, 46, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 227, 46, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 236, 46, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 245, 46, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 58, 47, 1,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 91, 47, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 61, 48, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 5, 48, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    42, 48, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 52, 48, 1, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 30, 48, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 14, 48, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 19, 48, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 133,
    49, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 123, 48, 1, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 223, 48, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 10, 49, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 39, 49, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 54, 49,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 65, 49, 1, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 80, 49, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 90, 49, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 101, 49, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 113, 49, 1,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 124, 49, 1, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 129, 48, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 140, 48, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 150, 48, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 170, 48,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 197, 48, 1, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 213, 48, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 179, 48, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 174, 48, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 250,
    48, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 234, 48, 1, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 238, 48, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 22, 49, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 17, 49, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 111,
    51, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 149, 49, 1, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 160, 49, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 178, 49, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 197, 49, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    212, 49, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 228, 49, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 242, 49, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 254, 49, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 18, 50, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 37, 50, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 44, 50, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 51, 50, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 71, 50, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 94, 50, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 117,
    50, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 142, 50, 1, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 166, 50, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 186, 50, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 199, 50, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    222, 50, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 243, 50, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 254, 50, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 17, 51, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 48, 51, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    95, 51, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 54, 51, 1, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 69, 51, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 82, 51, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 22, 52, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 34, 52,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 92, 53, 1, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 101, 53, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 110, 53, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 120, 53, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 128, 53,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 141, 53, 1, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 150, 53, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 163, 53, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 40, 52, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 52, 52,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 62, 52, 1, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 38, 53, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 50, 53, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 60, 53, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 78, 53, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 22, 53, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 76, 52, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 222, 52, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    233, 52, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 246, 52, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 6, 53, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 212, 52, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 89, 52, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    106, 52, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 123, 52, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 128, 52, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 140, 52, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 151, 52, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 162, 52, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 172, 52, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 185, 52, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 200, 52, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 170, 55, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 27, 54, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 37, 54, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 162, 55, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 43, 54, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 133, 55, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 142, 55, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 154, 55, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 124, 55, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 55, 54, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 61, 54, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 73, 54, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 85, 54, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 97, 54, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 110, 54, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 127, 54, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    141, 54, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 158, 54, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 167, 54, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 184, 54, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 198, 54, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 214, 54, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 227, 54, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 238, 54, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 248, 54, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 0, 55, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 9, 55, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 23, 55, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 40, 55, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 54, 55, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 66, 55, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 79,
    55, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 89, 55, 1, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 100, 55, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 114, 55, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 35, 57, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 190,
    55, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 214, 55, 1, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 39, 56, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 52, 56, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 66, 56, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 78, 56, 1,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 90, 56, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 107, 56, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 126, 56, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 132, 56, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 181, 56, 1,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 220, 56, 1, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 236, 56, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 0, 57, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 17, 57, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 18, 56, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 204, 55, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 224, 55, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 237, 55, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 4, 56, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 166, 56, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 144, 56, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 158, 56, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 201, 56, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 193, 56, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 72, 58, 1,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 122, 57, 1, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 131, 57, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 141, 57, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 226, 57, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 236, 57,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 255, 57, 1, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 19, 58, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 31, 58, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 43, 58, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 55, 58, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 216, 57, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 206, 57, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 150, 57, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 157, 57, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 165, 57, 1,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 175, 57, 1, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 191, 57, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 195, 58, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 172, 58, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 183, 58,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 163, 58, 1, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 10, 59, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 223, 58, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 228, 58, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 240, 58,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 246, 58, 1, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 255, 58, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 74, 61, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 171, 60, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 178, 60,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 184, 60, 1, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 192, 60, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 201, 60, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 212, 60, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 225,
    60, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 235, 60, 1, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 246, 60, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 1, 61, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 13, 61, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 24, 61,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 38, 61, 1, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 51, 61, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 60, 61, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 154, 60, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 41, 59, 1,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 54, 59, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 64, 59, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 74, 59, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 87, 59, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 99, 59, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 199, 59, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 239, 59, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 251, 59, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 6, 60, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 180, 59, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 160, 59, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 168, 59, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 149, 59, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 116, 59, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 145, 59, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 134, 59, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 120, 59, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 127, 59, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 229, 59, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 207, 59, 1,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 139, 60, 1, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 21, 60, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 28, 60, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 118, 60, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 133, 60, 1,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 103, 60, 1, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 34, 60, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 48, 60, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 58, 60, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 62, 60, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 67, 60, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 73, 60, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 79, 60, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    85, 60, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 132, 61, 1, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 103, 61, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 117, 61, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 125, 61, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    15, 62, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 233, 61, 1, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 243, 61, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 251, 61, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 2, 62, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    35, 62, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 76, 62, 1, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 231, 62, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 131, 62, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 139, 62, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    148, 62, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 157, 62, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 166, 62, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 179, 62, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 189, 62, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 198, 62, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 207, 62, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 215, 62, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 112, 63, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 64, 63, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 72, 63, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 80, 63, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 89, 63, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 105, 63, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 135, 63, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 166, 63, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 194, 69, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 169, 63, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 179, 63, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 192, 63, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 205, 63, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 221, 63, 1,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 230, 63, 1, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 242, 63, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 117, 68, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 139, 68, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 158, 68,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 175, 68, 1, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 188, 68, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 194, 68, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 206, 68, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 218,
    68, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 58, 69, 1, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 75, 69, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 92, 69, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 114, 69, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 132, 69,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 153, 69, 1, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 164, 69, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 174, 69, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 181, 69, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 1, 64,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 12, 64, 1, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 28, 64, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 51, 64, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 66, 64, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 204, 66, 1,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 33, 67, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 48, 67, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 62, 67, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 76, 67, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 90, 67, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 111, 67, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 162, 65, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 124, 67, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 89, 66, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 142, 67, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 160, 67, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 184, 67, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 211, 67, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 236, 67, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 2, 68, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 21, 68, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 41, 68, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 62, 68, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 86,
    68, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 97, 68, 1, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 184, 66, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 104, 68, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 192, 66, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 77,
    64, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 88, 64, 1, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 139, 64, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 154, 64, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 169, 64, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    188, 64, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 207, 64, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 219, 64, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 235, 64, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 242, 64, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 255, 64, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 22, 65, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 38, 65, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 58, 65, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 84, 65, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 99,
    65, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 109, 65, 1, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 128, 65, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 147, 65, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 182, 65, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    191, 65, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 16, 66, 1, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 96, 66, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 130, 64, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 103, 64, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    122, 64, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 113, 64, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 169, 65, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 1, 66, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 212, 65, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    229, 65, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 241, 65, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 82, 66, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 25, 66, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 31, 66, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 41,
    66, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 51, 66, 1, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 67, 66, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 76, 66, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 167, 66, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 114, 66,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 149, 66, 1, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 146, 66, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 141, 66, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 129, 66, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 17,
    67, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 212, 66, 1, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 235, 66, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 242, 66, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 4, 67, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 221,
    66, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 216, 66, 1, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 134, 67, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 45, 69, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 234, 68, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 248,
    68, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 11, 69, 1, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 24, 69, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 94, 71, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 79, 71, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 238, 69,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 247, 69, 1, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 0, 70, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 8, 70, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 68, 71, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 18, 70, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 24, 70, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 29, 70, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 34, 70, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    41, 70, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 63, 70, 1, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 72, 70, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 116, 70, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 129, 70, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    133, 70, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 142, 70, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 150, 70, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 174, 70, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 181, 70, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 191, 70, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 197, 70, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 207, 70, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 217, 70, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 228, 70, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 235, 70, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 242, 70, 1,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 253, 70, 1, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 9, 71, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 15, 71, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 24, 71, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 30, 71, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 34, 71, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 42, 71, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 53, 71, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    62, 71, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 46, 70, 1, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 107, 70, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 100, 70, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 80, 70, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    90, 70, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 157, 70, 1, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 53, 72, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 24, 72, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 37, 72, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 117,
    72, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 89, 72, 1, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 103, 72, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 206, 72, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 170, 72, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    196, 72, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 179, 72, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 185, 72, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 191, 72, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 200, 97, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 10, 73, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 231, 96, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 247, 96, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 28, 97, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 222, 79, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    44, 97, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 58, 97, 1, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 74, 97, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 84, 97, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 92, 97, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 100,
    97, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 115, 97, 1, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 149, 73, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 132, 97, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 143, 97, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    154, 97, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 165, 97, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 175, 97, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 186, 97, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 14, 73, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 26, 73, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 38, 73, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 56, 73, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 138, 95, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 152, 95, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    164, 95, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 184, 95, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 200, 95, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 211, 95, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 223, 95, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 234, 95, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 247, 95, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 6, 96, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 10, 96, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 14, 96, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    24, 96, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 35, 96, 1, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 46, 96, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 56, 96, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 67, 96, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 82, 96,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 96, 96, 1, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 96, 80, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 106, 96, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 148, 96, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 170, 96, 1,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 188, 96, 1, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 205, 96, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 218, 96, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 121, 95, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 72, 73,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 81, 73, 1, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 94, 73, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 104, 73, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 117, 73, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 134, 73, 1,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 188, 73, 1, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 206, 73, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 221, 73, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 236, 73, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 246, 73,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 108, 95, 1, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 176, 73, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 159, 73, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 97, 95, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 251,
    73, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 7, 74, 1, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 20, 74, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 32, 74, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 44, 74, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 58, 74, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 70, 74, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 83, 74, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 95, 74, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    106, 74, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 117, 74, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 28, 75, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 51, 75, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 70, 75, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 89,
    75, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 226, 77, 1, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 238, 77, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 253, 77, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 7, 78, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 76,
    79, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 101, 79, 1, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 126, 79, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 138, 79, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 149, 79, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    155, 79, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 167, 79, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 178, 79, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 240, 81, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 249, 81, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 5, 82, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 17, 82, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 23, 82, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 38, 82, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 51, 82, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 67,
    82, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 194, 78, 1, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 118, 82, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 207, 78, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 160, 82, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    170, 82, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 185, 84, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 210, 84, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 232, 84, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 201, 90, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 89, 95, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 11, 75, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 129, 74, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 151, 74, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 173, 74, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 196, 74, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 217, 74, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 243, 74, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 41, 75, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 210, 77, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 105, 75, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 112, 75, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 126, 75, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 138, 75, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 150, 75, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 162, 75, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 170, 75, 1,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 177, 75, 1, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 190, 75, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 205, 75, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 216, 75, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 229, 75,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 242, 75, 1, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 1, 76, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 11, 76, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 22, 76, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 32, 76, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 46, 76, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 59, 76, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 73, 76, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    98, 76, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 121, 76, 1, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 127, 76, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 137, 76, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 149, 76, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    164, 76, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 179, 76, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 190, 76, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 198, 76, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 208, 76, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 219, 76, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 229, 76, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 242, 76, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 0, 77, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 17, 77, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 25, 77, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 33, 77, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 45, 77, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 57, 77, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 65, 77, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 72,
    77, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 84, 77, 1, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 92, 77, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 111, 77, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 128, 77, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 146,
    77, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 163, 77, 1, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 177, 77, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 194, 77, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 62, 79, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 10,
    78, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 19, 78, 1, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 31, 78, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 42, 78, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 59, 78, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 68, 78, 1,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 102, 78, 1, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 113, 78, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 121, 78, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 129, 78, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 153, 78,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 161, 78, 1, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 172, 78, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 183, 78, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 188, 78, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 224,
    78, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 235, 78, 1, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 247, 78, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 3, 79, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 18, 79, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 29, 79,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 45, 79, 1, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 82, 78, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 78, 78, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 134, 78, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 228, 81, 1,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 189, 79, 1, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 199, 79, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 206, 79, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 211, 79, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 233, 79,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 245, 79, 1, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 255, 79, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 8, 80, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 17, 80, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 28, 80, 1,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 38, 80, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 51, 80, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 65, 80, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 80, 80, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 105, 80, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 118, 80, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 134, 80, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 144, 80, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 153, 80, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 217, 81, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 196, 81, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 163, 80, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 178, 80, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 191, 80, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 204, 80, 1,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 213, 80, 1, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 236, 80, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 251, 80, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 9, 81, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 28, 81, 1,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 48, 81, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 60, 81, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 70, 81, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 81, 81, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 91, 81, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 103, 81, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 113, 81, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 125, 81, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 135, 81, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 145, 81, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 155, 81, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 167, 81, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 176, 81, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 187, 81, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 95, 82, 1,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 79, 82, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 137, 82, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 161, 84, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 144, 84, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 238, 82, 1,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 74, 83, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 78, 83, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 191, 83, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 201, 83, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 211, 83, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 221, 83, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 252, 83, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 93, 84, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 108, 84, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 118, 84, 1,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 134, 84, 1, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 222, 82, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 208, 82, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 187, 82, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 191, 82,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 196, 82, 1, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 56, 83, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 247, 82, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 38, 83, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 254, 82,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 1, 83, 1, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 9, 83, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 19, 83, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 25, 83, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 31, 83, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 173, 83, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 87, 83, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 94, 83, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 102, 83, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 112, 83, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 121, 83, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 130, 83, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 142, 83, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 153, 83, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 164, 83, 1,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 231, 83, 1, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 83, 84, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 6, 84, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 75, 84, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 10, 84, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 14, 84, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 18, 84, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 22, 84, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 26,
    84, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 29, 84, 1, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 32, 84, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 36, 84, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 40, 84, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 43, 84, 1,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 46, 84, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 49, 84, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 52, 84, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 55, 84, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 58, 84, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 61, 84, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 69, 84, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 72, 84, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 72,
    95, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 116, 85, 1, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 15, 95, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 25, 95, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 39, 95, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 51, 95, 1,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 62, 95, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 98, 85, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 241, 84, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 248, 84, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 3, 85, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 71, 85, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 82, 85, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 89, 85, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 52,
    85, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 16, 85, 1, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 26, 85, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 38, 85, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 200, 85, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 160, 85,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 168, 85, 1, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 178, 85, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 149, 85, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 119, 85, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 134,
    85, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 184, 85, 1, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 3, 95, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 237, 94, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 226, 94, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 230,
    94, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 209, 94, 1, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 194, 94, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 217, 85, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 220, 85, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    120, 91, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 129, 91, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 66, 94, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 77, 94, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 82, 94, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 92,
    94, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 126, 94, 1, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 134, 94, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 143, 94, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 177, 92, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    173, 94, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 182, 94, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 191, 94, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 108, 91, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 152, 86, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 163, 86, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 182, 86, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 194, 86, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 208, 86, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 222, 86, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 239, 86, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 20, 87, 1,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 37, 87, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 46, 87, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 62, 87, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 81, 87, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 99, 87, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 118, 88, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 137, 88, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 148, 88, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 157, 88, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 166, 88, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 178, 88, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 193, 88, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 211, 88, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 146, 89, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 158, 89, 1,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 176, 89, 1, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 187, 89, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 195, 89, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 206, 89, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 216, 89,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 4, 90, 1, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 12, 90, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 30, 90, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 46, 90, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 212, 90, 1,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 226, 90, 1, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 243, 90, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 255, 90, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 9, 91, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 21, 91, 1,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 38, 91, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 57, 91, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 67, 91, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 141, 86, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 233, 85, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 125, 86, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 246, 85, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 2, 86, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 16, 86, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 31, 86, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 44, 86, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 62, 86, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 78, 86, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 96,
    86, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 114, 86, 1, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 5, 87, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 253, 86, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 101, 88, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 119,
    87, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 87, 88, 1, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 94, 88, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 18, 88, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 4, 88, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 249, 87, 1,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 130, 87, 1, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 145, 87, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 237, 87, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 167, 87, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 208, 87,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 233, 87, 1, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 150, 87, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 173, 87, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 181, 87, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 191,
    87, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 214, 87, 1, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 67, 88, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 31, 88, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 41, 88, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 51, 88, 1,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 139, 89, 1, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 225, 88, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 239, 88, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 249, 88, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 16, 89,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 29, 89, 1, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 40, 89, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 49, 89, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 95, 89, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 105, 89, 1,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 121, 89, 1, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 132, 89, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 82, 89, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 62, 89, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 71, 89, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 67, 89, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 246, 89, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 226, 89, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 222, 89, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 70, 90, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 81, 90, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 166, 90, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 176, 90, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    185, 90, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 56, 90, 1, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 150, 90, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 92, 90, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 127, 90, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    139, 90, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 115, 90, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 105, 90, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 81, 91, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 91, 91, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    49, 94, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 141, 91, 1, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 205, 93, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 124, 92, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 216, 93, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    234, 93, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 115, 93, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 245, 93, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 35, 94, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 185, 93, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    152, 91, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 168, 91, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 58, 92, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 70, 92, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 108, 92, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    143, 92, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 153, 92, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 165, 92, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 189, 92, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 202, 92, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 216, 92, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 231, 92, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 246, 92, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 1, 93, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 9, 93, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    23, 93, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 34, 93, 1, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 51, 93, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 65, 93, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 102, 93, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 126,
    93, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 145, 93, 1, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 155, 93, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 173, 93, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 41, 92, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 184,
    91, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 200, 91, 1, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 26, 92, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 14, 92, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 208, 91, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 221, 91,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 237, 91, 1, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 2, 92, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 91, 92, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 80, 92, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 134, 92, 1,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 92, 93, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 77, 93, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 17, 94, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 0, 94, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 11, 94, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 116, 94, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 108, 94, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 100, 94, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 161, 94, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 147, 94, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 129, 96, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 119, 96, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 10, 97, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 5, 97, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 207, 98, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 220, 98, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 233, 98, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 248, 98, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 79, 99, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 92, 99, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 99, 99, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 107, 99, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 196, 99, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 172, 99, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 187, 99, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 146, 99, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 101, 100, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 0, 100, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 12, 100, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 24, 100, 1,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 37, 100, 1, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 53, 100, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 69, 100, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 85, 100, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 199, 100,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 53, 101, 1, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 31, 101, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 40, 101, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 48, 101, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 1,
    102, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 6, 102, 1, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 12, 102, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 17, 102, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 24, 102, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 34,
    102, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 45, 102, 1, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 122, 102, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 136, 102, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 146, 102, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    155, 102, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 165, 102, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 176, 102, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 193, 102, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 211, 102, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 228, 102, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 244, 102, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 115, 103, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 132, 103, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 143, 103, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 168, 103, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 178, 103,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 208, 103, 1, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 223, 103, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 238, 103, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 40, 104, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 55,
    104, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 63, 104, 1, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 72, 104, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 86, 104, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 106, 104, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    122, 104, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 136, 104, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 152, 104, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 162, 104, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 173, 104, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 213, 104, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 224, 104, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 46, 105, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 103, 105, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 119, 105, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 150, 101, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 244, 101,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 164, 101, 1, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 168, 101, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 173, 101, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 183, 101, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 202,
    101, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 207, 101, 1, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 217, 101, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 236, 101, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 56, 102, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    64, 102, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 74, 102, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 87, 102, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 102, 102, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 110, 102, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 93, 103, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 68, 103, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 255, 102, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 47, 103, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 17, 103, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 37, 103, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 25, 103, 1,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 194, 103, 1, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 19, 104, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 252, 103, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 11, 104, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 202, 104,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 179, 104, 1, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 185, 104, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 36, 105, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 249, 104, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 5,
    105, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 24, 105, 1, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 236, 104, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 88, 105, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 55, 105, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 62,
    105, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 71, 105, 1, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 74, 105, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 36, 106, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 128, 105, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    158, 105, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 146, 105, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 174, 105, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 188, 105, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 226, 105, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 2, 106, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 12, 106, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 28, 106, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 202, 105, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 193, 105, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 239, 105, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 200, 108, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 241, 106, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 55, 107, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 61, 107, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 74, 107, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 87, 107, 1,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 134, 108, 1, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 144, 108, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 223, 106, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 161, 106, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 175,
    106, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 187, 106, 1, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 203, 106, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 38, 107, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 248, 106, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    15, 107, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 29, 107, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 127, 108, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 101, 107, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 116, 107, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 131, 107, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 1, 108, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 241, 107, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 144, 107, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 223, 107, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 156, 107, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 179, 107,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 204, 107, 1, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 115, 108, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 16, 108, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 61, 108, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 68,
    108, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 73, 108, 1, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 78, 108, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 83, 108, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 92, 108, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 99,
    108, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 104, 108, 1, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 46, 108, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 21, 108, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 29, 108, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    37, 108, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 184, 108, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 161, 108, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 176, 108, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 44, 109, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 37, 109, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 187, 111, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 129, 109, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 197, 109, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 203, 109, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 211, 109, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 219, 109,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 226, 109, 1, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 233, 109, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 244, 109, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 254, 109, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 9,
    110, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 13, 110, 1, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 21, 110, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 32, 110, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 42, 110, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 52,
    110, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 80, 110, 1, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 99, 110, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 185, 109, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 139, 109, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    146, 109, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 152, 109, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 158, 109, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 162, 109, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 169, 109, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 173, 109, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 175, 109, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 177, 109, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 179, 109, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 67, 110, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 63, 110, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 103, 110, 1,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 174, 111, 1, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 120, 110, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 175, 110, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 255, 110, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 88, 111,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 164, 111, 1, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 163, 110, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 126, 110, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 130, 110, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 134,
    110, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 138, 110, 1, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 142, 110, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 146, 110, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 150, 110, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    154, 110, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 242, 110, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 182, 110, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 186, 110, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 190, 110, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 194, 110, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 200, 110, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 211, 110, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 221, 110, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 230, 110, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 75, 111, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 4, 111, 1,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 9, 111, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 19, 111, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 29, 111, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 32, 111, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 65, 111, 1,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 51, 111, 1, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 39, 111, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 152, 111, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 94, 111, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 132, 111,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 118, 111, 1, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 99, 111, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 109, 111, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 213, 111, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 114,
    112, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 18, 113, 1, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 243, 112, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 251, 112, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 1, 113, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 10,
    113, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 155, 114, 1, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 68, 113, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 75, 113, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 83, 113, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    95, 113, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 121, 113, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 133, 113, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 138, 113, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 98, 114, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 117, 114, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 137, 114, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 110, 113, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 99, 113, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 149, 113, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 153, 113, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 161, 113,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 176, 113, 1, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 190, 113, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 207, 113, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 224, 113, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 240,
    113, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 5, 114, 1, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 28, 114, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 54, 114, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 76, 114, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    179, 114, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 198, 114, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 186, 114, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 188, 115, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 181, 115, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 229, 114, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 234, 114, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 12, 115, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 22, 115, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 31, 115, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 41, 115, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 52, 115, 1,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 63, 115, 1, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 242, 114, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 88, 115, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 97, 115, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 109, 115,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 119, 115, 1, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 136, 115, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 152, 115, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 167, 115, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 1,
    115, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 76, 115, 1, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 71, 115, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 47, 116, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 233, 115, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    243, 115, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 2, 116, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 27, 116, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 156, 116, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 165, 116, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 176, 116, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 188, 116, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 33, 117, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 14, 117, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 21, 117, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 91, 117, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 51, 118, 1,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 180, 117, 1, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 198, 117, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 208, 117, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 215, 117, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 225,
    117, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 37, 118, 1, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 19, 118, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 236, 117, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 0, 118, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 137,
    119, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 9, 119, 1, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 121, 119, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 13, 119, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 25, 119, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    108, 119, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 59, 119, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 77, 119, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 42, 119, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 63, 119, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 95, 119, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 81, 119, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 90, 119, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 15, 120, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 229, 119, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 242, 119, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 254, 119,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 101, 121, 1, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 46, 121, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 56, 121, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 64, 121, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 83,
    121, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 87, 121, 1, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 205, 121, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 127, 121, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 136, 121, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    150, 121, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 195, 121, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 161, 121, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 171, 121, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 181, 121, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 188, 121, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 26, 122, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 2, 122, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 16, 122, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 194, 122, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 45, 122, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 168, 122, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 179, 122, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 186, 122, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 158, 122, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 148, 122, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 52, 122, 1,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 71, 122, 1, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 79, 122, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 88, 122, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 108, 122, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 128,
    122, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 60, 122, 1, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 97, 122, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 117, 122, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 136, 122, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 9,
    123, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 232, 122, 1, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 248, 122, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 242, 122, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 39, 123, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    147, 123, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 255, 123, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 232, 123, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 241, 123, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 158, 124, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 135, 124, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 147, 124, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 85, 125, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 79, 125, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 233, 125, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 137, 125, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 145, 125,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 152, 125, 1, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 164, 125, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 173, 125, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 181, 125, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 191,
    125, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 201, 125, 1, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 217, 125, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 210, 125, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 25, 126, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    9, 126, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 15, 126, 1, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 88, 126, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 105, 126, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 116, 126, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    124, 126, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 132, 126, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 152, 126, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 170, 126, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 179, 126, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 188, 126, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 196, 126, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 203, 126, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 215, 126, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 223, 126, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 231, 126, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 240, 126,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 247, 126, 1, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 1, 127, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 15, 127, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 33, 127, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 93, 127,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 221, 127, 1, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 226, 127, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 5, 128, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 44, 128, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 48, 128,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 72, 127, 1, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 40, 127, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 53, 127, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 197, 127, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 102,
    127, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 115, 127, 1, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 128, 127, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 138, 127, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 147, 127, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    156, 127, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 166, 127, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 175, 127, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 247, 127, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 233, 127, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 29, 128, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 13, 128, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 42, 129, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 193, 128, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 212, 128, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 228, 128, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 245, 128,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 7, 129, 1, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 23, 129, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 176, 129, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 98, 129, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 169, 129,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 107, 129, 1, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 119, 129, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 132, 129, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 145, 129, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 157,
    129, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 230, 129, 1, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 200, 129, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 211, 129, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 221, 129, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    53, 130, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 213, 130, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 189, 130, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 206, 130, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 102, 131, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 30, 131, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 51, 131, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 75, 131, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 37, 132, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 127, 131, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 152, 131, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 172, 131,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 198, 131, 1, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 225, 131, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 250, 131, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 19, 132, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 159,
    132, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 145, 132, 1, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 129, 132, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 90, 132, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 98, 132, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    106, 132, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 113, 132, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 121, 132, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 34, 137, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 55, 133, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 67, 133, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 92, 133, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 104, 133, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 115, 134, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 126, 134, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 138, 134, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 148, 134,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 156, 134, 1, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 169, 134, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 179, 134, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 190, 134, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 202,
    134, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 52, 135, 1, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 63, 135, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 76, 135, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 89, 135, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    100, 135, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 111, 135, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 123, 135, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 189, 136, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 211, 136, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 14, 137, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 97, 134, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 116, 133, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 128, 133, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 142, 133, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 154, 133, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 164, 133,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 174, 133, 1, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 186, 133, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 201, 133, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 219, 133, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 231,
    133, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 244, 133, 1, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 253, 133, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 13, 134, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 28, 134, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    34, 134, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 46, 134, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 58, 134, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 67, 134, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 82, 134, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 44, 135, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 209, 134, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 216, 134, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 224, 134, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 233, 134, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 241, 134, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 250, 134,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 2, 135, 1, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 10, 135, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 17, 135, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 27, 135, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 36, 135,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 183, 136, 1, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 134, 135, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 142, 135, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 151, 135, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 159,
    135, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 168, 135, 1, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 176, 135, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 188, 135, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 197, 135, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    203, 135, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 22, 136, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 29, 136, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 38, 136, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 17, 136, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 209, 135, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 225, 135, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 216, 135, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 6, 136, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 235, 135, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 244, 135, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 253, 135, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 173, 136, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 45, 136, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 68, 136, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 83, 136, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 96, 136, 1,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 109, 136, 1, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 124, 136, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 139, 136, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 153, 136, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 163,
    136, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 60, 136, 1, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 255, 136, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 229, 136, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 233, 136, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    244, 136, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 203, 137, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 57, 137, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 69, 137, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 81, 137, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 95, 137, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 109, 137, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 123, 137, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 134, 137, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 145, 137, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 164, 137, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 175, 137,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 191, 137, 1, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 91, 140, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 227, 137, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 236, 137, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 246,
    137, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 3, 138, 1, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 17, 138, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 28, 138, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 159, 138, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    145, 139, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 159, 139, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 169, 139, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 81, 140, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 151, 138, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 37, 138, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 49, 138, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 65, 138, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 81, 138, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 100, 138, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 116, 138, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 132, 138,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 136, 139, 1, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 169, 138, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 181, 138, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 197, 138, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 213,
    138, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 229, 138, 1, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 245, 138, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 253, 138, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 9, 139, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    21, 139, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 33, 139, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 45, 139, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 57, 139, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 76, 139, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 95, 139, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 106, 139, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 121, 139, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 72, 140, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 179, 139, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 191, 139, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 58, 140, 1,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 199, 139, 1, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 213, 139, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 227, 139, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 244, 139, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 2, 140,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 16, 140, 1, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 33, 140, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 49, 140, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 40, 140, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 62,
    141, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 116, 140, 1, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 126, 140, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 216, 140, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 229, 140, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    245, 140, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 254, 140, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 15, 141, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 212, 140, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 139, 140, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 143, 140, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 154, 140, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 158, 140, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 166, 140, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 181, 140, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 194, 140, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 9, 141, 1,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 29, 141, 1, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 38, 141, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 46, 141, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 54, 141, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 148, 141,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 216, 142, 1, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 168, 141, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 179, 141, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 191, 141, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 203,
    141, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 126, 142, 1, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 136, 142, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 148, 142, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 166, 142, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    188, 142, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 204, 142, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 110, 142, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 221, 141, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 66, 142, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 47, 142, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 224, 141, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 249, 141, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 19, 142, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 41, 142, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 91, 142, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 69, 142, 1,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 105, 143, 1, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 255, 142, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 19, 143, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 37, 143, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 59, 143,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 81, 143, 1, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 133, 143, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 175, 143, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 10, 145, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 218,
    143, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 255, 144, 1, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 227, 143, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 152, 144, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 163, 144, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    178, 144, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 188, 144, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 199, 144, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 210, 144, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 228, 144, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 246, 144, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 134, 144, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 238, 143, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 248, 143, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 117, 144, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 126, 144, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 100, 144,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 255, 143, 1, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 16, 144, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 31, 144, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 47, 144, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 62,
    144, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 73, 144, 1, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 86, 144, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 145, 145, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 31, 145, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 45,
    145, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 125, 145, 1, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 52, 145, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 99, 145, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 110, 145, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    90, 145, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 56, 145, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 65, 145, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 74, 145, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 82, 145, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 117, 145, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 235, 145, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 113, 146, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 68, 146, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 82, 146, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 95, 146, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 101, 146, 1,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 61, 147, 1, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 37, 147, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 49, 147, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 23, 147, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 253, 146,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 231, 146, 1, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 240, 146, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 8, 147, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 201, 148, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 136,
    148, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 148, 148, 1, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 156, 148, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 167, 148, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 183, 148, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    189, 148, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 195, 148, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 109, 149, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 224, 148, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 233, 148, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 251, 148, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 10, 149, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 95, 149, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 27, 149, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 38, 149, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 50, 149, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 60, 149, 1,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 74, 149, 1, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 83, 149, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 88, 151, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 49, 151, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 58, 151,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 68, 151, 1, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 78, 151, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 218, 155, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 220, 151, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 96,
    154, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 108, 154, 1, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 123, 154, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 217, 154, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 226, 154, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    240, 154, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 3, 155, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 92, 155, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 107, 155, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 134, 155, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 195, 155, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 204, 155, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 75, 154, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 231, 151, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 30, 154, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 14, 154, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 235, 151, 1,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 3, 154, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 243, 151, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 253, 151, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 249, 153, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 238, 153,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 7, 152, 1, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 16, 152, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 26, 152, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 36, 152, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 50, 152,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 62, 152, 1, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 76, 152, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 89, 152, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 100, 152, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 109,
    152, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 125, 152, 1, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 56, 153, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 62, 153, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 147, 153, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    197, 153, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 206, 153, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 215, 153, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 227, 153, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 44, 153, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 134, 152, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 142, 152, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 150, 152, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 18, 153, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 28, 153, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 36, 153, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 2, 153, 1,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 159, 152, 1, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 163, 152, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 218, 152, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 252, 152, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 202,
    152, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 168, 152, 1, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 195, 152, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 178, 152, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 186, 152, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    239, 152, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 225, 152, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 230, 152, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 136, 153, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 69, 153, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 85, 153, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 101, 153, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 112, 153, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 124, 153, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 184, 153, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 156, 153, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 169, 153,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 52, 154, 1, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 38, 154, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 47, 154, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 204, 154, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 131,
    154, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 145, 154, 1, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 156, 154, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 164, 154, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 171, 154, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    188, 154, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 73, 155, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 17, 155, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 25, 155, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 37, 155, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 45, 155, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 52, 155, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 66, 155, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 180, 155, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 144, 155, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 162, 155, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 58, 157, 1,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 245, 155, 1, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 36, 157, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 46, 157, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 17, 157, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 1, 156,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 175, 156, 1, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 125, 156, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 137, 156, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 185, 156, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 202,
    156, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 216, 156, 1, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 226, 156, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 237, 156, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 247, 156, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    5, 157, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 157, 156, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 148, 156, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 112, 156, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 72, 156, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 78, 156, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 84, 156, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 91, 156, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 98, 156, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 105, 156, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 58, 156, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 51, 156, 1,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 30, 156, 1, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 10, 156, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 60, 160, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 178, 157, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 188,
    157, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 197, 157, 1, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 208, 157, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 223, 157, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 233, 157, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    35, 158, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 47, 158, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 57, 158, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 62, 158, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 77, 158, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 89, 158, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 98, 158, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 108, 158, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 120, 158, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 148, 158, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 161, 158, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 174, 158,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 196, 158, 1, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 215, 158, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 233, 158, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 44, 160, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 17,
    158, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 243, 157, 1, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 250, 157, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 4, 158, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 133, 158, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    27, 160, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 247, 158, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 0, 159, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 31, 159, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 63, 159, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    74, 159, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 86, 159, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 98, 159, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 111, 159, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 122, 159, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 139, 159, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 154, 159, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 171, 159, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 176, 159, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 186, 159, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 201, 159, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 215, 159,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 231, 159, 1, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 241, 159, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 254, 159, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 15, 160, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 13,
    159, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 45, 159, 1, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 50, 162, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 102, 161, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 146, 161, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    150, 161, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 134, 161, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 109, 161, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 118, 161, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 126, 161, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 253, 161, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 163, 161, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 185, 161, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 206, 161, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 228, 161, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 34, 162, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 9, 162, 1,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 19, 162, 1, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 36, 165, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 107, 164, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 117, 164, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 0, 165,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 9, 165, 1, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 20, 165, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 243, 164, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 129, 164, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 142,
    164, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 150, 164, 1, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 154, 164, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 166, 164, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 176, 164, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    188, 164, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 198, 164, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 208, 164, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 216, 164, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 226, 164, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 232, 164, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 130, 165, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 63, 165, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 73, 165, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 88, 165, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 102, 165, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 114, 165,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 170, 165, 1, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 160, 165, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 185, 165, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 207, 165, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 35,
    167, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 23, 167, 1, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 29, 167, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 217, 167, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 205, 167, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    195, 168, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 247, 167, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 254, 167, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 4, 168, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 32, 168, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    77, 168, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 92, 168, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 100, 168, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 176, 168, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 9, 168, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 59, 168, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 37, 168, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 48, 168, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 166, 168, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 109, 168, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 122, 168, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 128, 168,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 137, 168, 1, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 145, 168, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 152, 168, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 159, 168, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 153,
    172, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 240, 171, 1, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 143, 172, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 253, 171, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 8, 172, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    16, 172, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 26, 172, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 33, 172, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 46, 172, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 55, 172, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 99, 172, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 115, 172, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 130, 172, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 65, 172, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 83, 172, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 232, 172, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 198, 172,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 206, 172, 1, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 216, 172, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 224, 172, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 204, 173, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 127,
    173, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 137, 173, 1, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 147, 173, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 164, 173, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 177, 173, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    188, 173, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 198, 173, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 64, 174, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 44, 174, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 234, 173, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 25, 174, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 250, 173, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 5, 174, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 15, 174, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 239, 173, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 212, 176, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 196, 177, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 231, 177, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 75, 180, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 114, 178, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 123, 178, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 133, 178,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 142, 178, 1, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 152, 178, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 165, 178, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 180, 178, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 193,
    178, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 205, 178, 1, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 216, 178, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 228, 178, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 237, 178, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    0, 179, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 11, 179, 1, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 24, 179, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 34, 179, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 250, 178, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    63, 180, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 48, 179, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 57, 179, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 81, 179, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 99, 179, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 144, 179, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 169, 179, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 199, 179, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 37, 180, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 66, 179, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 87, 179, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 135, 179, 1,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 102, 179, 1, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 107, 179, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 112, 179, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 117, 179, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 122,
    179, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 127, 179, 1, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 131, 179, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 156, 179, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 151, 179, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    181, 179, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 226, 179, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 203, 179, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 210, 179, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 217, 179, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 220, 179, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 223, 179, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 16, 180, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 241, 179, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 252, 179, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 7, 180, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 50, 180, 1,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 41, 180, 1, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 158, 180, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 149, 181, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 57, 181, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 66, 181,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 70, 181, 1, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 78, 181, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 86, 181, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 105, 181, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 115,
    181, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 126, 181, 1, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 138, 181, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 95, 181, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 104, 182, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    28, 182, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 35, 182, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 40, 182, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 49, 182, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 59, 182, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 71, 182, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 83, 182, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 96, 182, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 166, 182, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 233, 182, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 228, 182, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 10, 184, 1,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 154, 183, 1, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 167, 183, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 181, 183, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 198, 183, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 213,
    183, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 231, 183, 1, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 248, 183, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 10, 185, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 196, 184, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    207, 184, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 216, 184, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 225, 184, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 237, 184, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 247, 184, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 1, 185, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 169, 185, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 41, 185, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 107, 185, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 112, 185, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 119, 185, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 132, 185,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 147, 185, 1, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 156, 185, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 98, 185, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 45, 185, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 55,
    185, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 66, 185, 1, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 78, 185, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 88, 185, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 46, 186, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 39,
    186, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 139, 186, 1, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 131, 186, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 137, 189, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 66, 187, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    74, 187, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 123, 187, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 127, 187, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 75, 189, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 105, 187, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 81, 187, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 89, 187, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 128, 189, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 249, 187, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 0, 189, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 66, 189, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 70, 189, 1,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 84, 189, 1, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 96, 189, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 99, 189, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 116, 189, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 239,
    187, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 132, 187, 1, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 142, 187, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 151, 187, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 163, 187, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    175, 187, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 207, 187, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 221, 187, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 198, 187, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 180, 187, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 189, 187, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 52, 189, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 252, 187, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 182, 188, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 193, 188, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 203, 188, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 217, 188,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 231, 188, 1, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 241, 188, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 11, 189, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 21, 189, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 134,
    188, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 35, 189, 1, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 41, 189, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 169, 188, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 124, 188, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    144, 188, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 154, 188, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 115, 188, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 6, 188, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 15, 188, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    25, 188, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 41, 188, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 106, 188, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 80, 188, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 45, 188, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 67, 188, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 93, 188, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 177, 189, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 161, 189, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 170, 189, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 223, 189, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 234, 189,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 94, 194, 1, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 104, 194, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 117, 194, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 52, 195, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 62,
    195, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 74, 195, 1, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 39, 190, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 53, 190, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 242, 189, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    252, 189, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 13, 190, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 27, 190, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 68, 190, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 202, 190, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 212, 190, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 228, 190, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 47, 194, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 60, 194, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 65, 194, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 79, 194, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 180, 190, 1,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 82, 190, 1, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 166, 190, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 145, 190, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 132, 190, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 112,
    190, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 90, 190, 1, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 99, 190, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 35, 194, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 246, 190, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 2,
    191, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 12, 191, 1, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 26, 191, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 37, 191, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 50, 191, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    118, 191, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 130, 191, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 147, 191, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 164, 191, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 184, 191, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 204, 191, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 220, 191, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 237, 191, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 2, 192, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 26, 192, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 43, 192, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 60, 192, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 84, 192, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 108, 192, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 131, 192, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 154, 192, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 180, 192,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 193, 192, 1, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 255, 192, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 9, 193, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 25, 193, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 76, 193,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 161, 193, 1, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 179, 193, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 197, 193, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 214, 193, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 239,
    193, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 9, 194, 1, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 97, 191, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 62, 191, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 72, 191, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 87,
    191, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 163, 192, 1, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 242, 192, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 203, 192, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 215, 192, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    229, 192, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 57, 193, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 41, 193, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 140, 193, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 91, 193, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 101, 193, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 112, 193, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 121, 193, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 130, 193, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 33, 195, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 126, 194, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 137, 194,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 143, 194, 1, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 151, 194, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 161, 194, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 223, 194, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 0,
    195, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 199, 194, 1, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 166, 194, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 178, 194, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 230, 194, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    7, 195, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 178, 195, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 115, 195, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 123, 195, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 129, 195, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 135, 195, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 172, 195, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 139, 195, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 143, 195, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 151, 195, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 160, 195, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 164, 195,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 220, 195, 1, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 246, 195, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 118, 196, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 131, 196, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 153,
    196, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 202, 196, 1, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 210, 196, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 223, 196, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 236, 196, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    247, 196, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 150, 197, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 165, 197, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 191, 197, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 202, 197, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 233, 199, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 246, 199, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 148, 200, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 162, 200, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 214, 200, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 229, 200, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 252, 200,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 8, 201, 1, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 20, 201, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 52, 201, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 67, 201, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 82, 201,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 97, 201, 1, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 161, 203, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 171, 203, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 205, 203, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 223,
    203, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 243, 203, 1, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 252, 203, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 5, 204, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 22, 204, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 39,
    204, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 151, 204, 1, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 164, 204, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 191, 204, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 205, 204, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    214, 204, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 56, 205, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 99, 205, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 117, 205, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 213, 205, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 221, 205, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 249, 205, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 5, 206, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 28, 206, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 51, 206, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 55, 207, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 74, 207, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 119, 207, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 132, 207, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 102, 196, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 2, 196, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 13, 196, 1,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 22, 196, 1, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 35, 196, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 45, 196, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 58, 196, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 66, 196,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 79, 196, 1, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 90, 196, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 140, 196, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 186, 196, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 161,
    196, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 171, 196, 1, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 179, 196, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 122, 197, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 10, 197, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    25, 197, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 33, 197, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 47, 197, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 69, 197, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 90, 197, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 102, 197, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 176, 197, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 216, 199, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 215, 197, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 233, 197, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 1, 198, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 23, 198, 1,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 51, 198, 1, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 69, 198, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 93, 198, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 115, 198, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 143,
    198, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 170, 198, 1, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 195, 198, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 220, 198, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 233, 198, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    255, 198, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 27, 199, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 49, 199, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 77, 199, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 91, 199, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 114, 199, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 143, 199, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 166, 199, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 195, 199, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 130, 200, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 4, 200, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 19, 200, 1,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 39, 200, 1, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 60, 200, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 75, 200, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 86, 200, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 102, 200,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 119, 200, 1, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 195, 200, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 177, 200, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 186, 200, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 239,
    200, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 38, 201, 1, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 147, 203, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 107, 201, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 116, 203, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    125, 203, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 137, 203, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 95, 203, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 117, 201, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 30, 203, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 64, 203, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 68, 203, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 74, 203, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 86, 203, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 11, 203, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 121, 201, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 178, 201,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 191, 201, 1, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 205, 201, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 240, 201, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 253, 201, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 48,
    202, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 102, 202, 1, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 115, 202, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 129, 202, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 164, 202, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    177, 202, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 219, 202, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 5, 203, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 158, 201, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 134, 201, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    141, 201, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 148, 201, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 153, 201, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 217, 201, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 28, 202, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 10, 202, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 21, 202, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 82, 202, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 61, 202, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 68, 202, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 75, 202, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 141, 202, 1,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 199, 202, 1, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 190, 202, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 254, 202, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 230, 202, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 237,
    202, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 246, 202, 1, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 47, 203, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 36, 203, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 191, 203, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    184, 203, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 134, 204, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 52, 204, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 59, 204, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 66, 204, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 76, 204, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 89, 204, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 98, 204, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 107, 204, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 119, 204, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 178, 204, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 40, 205, 1,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 226, 204, 1, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 242, 204, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 252, 204, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 5, 205, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 17, 205,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 28, 205, 1, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 83, 205, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 72, 205, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 201, 205, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 125,
    205, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 136, 205, 1, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 150, 205, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 161, 205, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 173, 205, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    188, 205, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 233, 205, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 32, 207, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 250, 206, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 5, 207, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 17, 207, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 228, 206, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 70, 206, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 77, 206, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 89, 206, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 102, 206, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 114, 206,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 131, 206, 1, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 154, 206, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 166, 206, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 183, 206, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 202,
    206, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 212, 206, 1, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 102, 207, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 87, 207, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 98, 207, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    165, 207, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 182, 207, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 196, 207, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 210, 207, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 245, 207, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 0, 208, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 149, 208, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 164, 208, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 181, 208, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 37, 208, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 14, 208, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 26, 208, 1,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 135, 208, 1, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 48, 208, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 61, 208, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 72, 208, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 87, 208,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 99, 208, 1, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 115, 208, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 228, 208, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 201, 208, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 212,
    208, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 219, 208, 1, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 252, 208, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 14, 209, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 35, 209, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    54, 209, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 73, 209, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 110, 209, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 150, 209, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 85, 211, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 134, 209, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 122, 209, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 73, 211, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 162, 209, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 7, 210, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 15, 210, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 23, 210, 1,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 43, 210, 1, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 55, 210, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 93, 210, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 115, 210, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 137,
    210, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 154, 210, 1, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 180, 210, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 188, 210, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 197, 210, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    61, 211, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 249, 209, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 172, 209, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 185, 209, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 199, 209, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 207, 209, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 217, 209, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 230, 209, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 239, 209, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 78, 210, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 67, 210, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 70, 210, 1,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 42, 211, 1, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 209, 210, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 0, 211, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 226, 210, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 221, 210,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 12, 211, 1, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 111, 211, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 117, 211, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 130, 211, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 129,
    212, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 4, 213, 1, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 13, 213, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 249, 212, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 216, 212, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    229, 212, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 38, 213, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 54, 215, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 67, 213, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 164, 214, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 172, 214, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 181, 214, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 194, 214, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 205, 214, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 216, 214, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 228, 214, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 234, 214,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 241, 214, 1, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 248, 214, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 6, 215, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 19, 215, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 31, 215,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 44, 215, 1, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 252, 213, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 76, 213, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 85, 213, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 93,
    213, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 103, 213, 1, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 115, 213, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 124, 213, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 140, 213, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    154, 213, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 164, 213, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 178, 213, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 188, 213, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 198, 213, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 212, 213, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 230, 213, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 241, 213, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 153, 214, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 6, 214, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 16, 214, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 26, 214, 1,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 33, 214, 1, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 62, 214, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 67, 214, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 75, 214, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 84, 214,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 94, 214, 1, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 105, 214, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 114, 214, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 130, 214, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 137,
    214, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 145, 214, 1, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 51, 214, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 41, 214, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 160, 247, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    95, 215, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 231, 225, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 10, 238, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 21, 238, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 40, 238, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 64, 238, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 95, 238, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 99, 238, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 109, 238, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 87, 221, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 120, 238, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 132, 238,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 147, 238, 1, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 166, 238, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 200, 238, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 95, 239, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 115,
    239, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 129, 239, 1, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 146, 239, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 180, 239, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 60, 241, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    68, 241, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 79, 241, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 97, 241, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 100, 241, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 111, 241, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 127, 241, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 203, 223, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 218, 223, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 150, 241, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 162, 241, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 177, 241, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 136, 235,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 189, 241, 1, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 34, 222, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 37, 222, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 55, 222, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 114,
    246, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 27, 247, 1, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 39, 247, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 56, 247, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 73, 247, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    104, 247, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 114, 247, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 124, 247, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 137, 247, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 101, 215, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 111, 215, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 133, 215, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 167, 215, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 110, 216, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 131, 216, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 148, 216, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 160, 216,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 176, 216, 1, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 194, 216, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 211, 216, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 224, 216, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 236,
    216, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 92, 217, 1, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 106, 217, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 121, 217, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 141, 217, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    162, 217, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 177, 217, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 193, 217, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 215, 217, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 236, 217, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 9, 218, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 40, 218, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 56, 218, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 70, 218, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 83, 218, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 94, 218, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 149, 218, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 171, 218, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 183, 218, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 194, 218, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 209, 218, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 223, 218,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 238, 218, 1, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 249, 218, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 225, 219, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 30, 225, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 61,
    225, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 76, 225, 1, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 98, 225, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 120, 225, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 139, 225, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    161, 225, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 188, 225, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 214, 225, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 95, 227, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 116, 227, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 123, 227, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 160, 231, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 170, 233, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 186, 234, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 197, 234, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 68, 235, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 126, 235, 1,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 141, 235, 1, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 191, 235, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 33, 236, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 47, 236, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 65, 236,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 81, 236, 1, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 98, 236, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 119, 236, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 138, 236, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 158,
    236, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 168, 236, 1, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 185, 236, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 210, 236, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 225, 236, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    248, 236, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 211, 237, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 230, 237, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 235, 237, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 245, 237, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 121, 215, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 145, 215, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 82, 216, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 208, 215, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 231, 215, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 246, 215, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 255, 215,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 22, 216, 1, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 42, 216, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 63, 216, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 186, 215, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 71,
    217, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 248, 216, 1, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 18, 217, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 43, 217, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 125, 218, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    112, 218, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 204, 219, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 0, 219, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 11, 219, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 27, 219, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    43, 219, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 179, 219, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 61, 219, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 127, 219, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 144, 219, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 162, 219, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 89, 219, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 65, 219, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 73, 219, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 81, 219, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 14, 225, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 239, 219, 1,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 243, 219, 1, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 253, 219, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 15, 220, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 32, 220, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 51, 220,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 66, 220, 1, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 71, 221, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 98, 220, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 75, 220, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 87,
    220, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 51, 221, 1, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 119, 220, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 128, 220, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 137, 220, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    145, 220, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 157, 220, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 197, 220, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 211, 220, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 220, 220, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 230, 220, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 240, 220, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 252, 220, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 169, 220, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 21, 221, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 8, 221, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 242, 224, 1,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 81, 221, 1, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 110, 221, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 118, 221, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 129, 221, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 44, 222,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 111, 222, 1, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 124, 222, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 139, 222, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 145, 222, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 192,
    222, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 205, 222, 1, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 214, 222, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 228, 222, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 246, 222, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    4, 223, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 177, 223, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 188, 223, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 232, 223, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 96, 221, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 11, 222, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 140, 221, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 166, 221, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 192, 221, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 217, 221, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 242, 221, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 92, 222, 1,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 61, 222, 1, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 72, 222, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 167, 222, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 156, 222, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 150,
    223, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 16, 223, 1, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 144, 223, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 131, 223, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 21, 223, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 39,
    223, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 57, 223, 1, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 76, 223, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 94, 223, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 113, 223, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    224, 224, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 241, 223, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 253, 223, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 9, 224, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 18, 224, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    35, 224, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 45, 224, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 59, 224, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 72, 224, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 83, 224, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 92, 224, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 102, 224, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 195, 224, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 213, 224, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 177, 224, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 112, 224, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 131, 224,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 155, 224, 1, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 72, 227, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 57, 227, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 238, 225, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 9,
    226, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 30, 226, 1, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 53, 226, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 71, 226, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 94, 226, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    113, 226, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 136, 226, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 162, 226, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 188, 226, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 210, 226, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 236, 226, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 255, 226, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 18, 227, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 38, 227, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 135, 231, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 129, 227, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 168, 227,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 179, 227, 1, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 43, 228, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 151, 228, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 193, 228, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 70,
    230, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 84, 230, 1, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 153, 227, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 138, 227, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 22, 228, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    186, 227, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 199, 227, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 212, 227, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 226, 227, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 3, 228, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 230, 227, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 238, 227, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 249, 227, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 129, 228, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 51, 228, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 65, 228, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 106, 228, 1,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 73, 228, 1, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 84, 228, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 95, 228, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 171, 228, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 159,
    228, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 163, 228, 1, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 55, 230, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 202, 228, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 30, 230, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    212, 228, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 239, 228, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 10, 229, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 37, 229, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 64, 229, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 91, 229, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 118, 229, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 146, 229, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 174, 229, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 202, 229, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 230, 229, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 2, 230, 1,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 107, 231, 1, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 96, 230, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 107, 230, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 66, 231, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 45, 231,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 114, 230, 1, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 121, 230, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 181, 230, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 35, 231, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 159,
    230, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 133, 230, 1, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 146, 230, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 9, 231, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 197, 230, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    207, 230, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 217, 230, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 228, 230, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 239, 230, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 252, 230, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 84, 231, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 79, 231, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 151, 233, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 173, 231, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 183, 231, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 75, 232, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 209, 232, 1,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 216, 232, 1, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 57, 233, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 67, 233, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 77, 233, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 53, 232,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 193, 231, 1, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 220, 231, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 247, 231, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 20, 232, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 182,
    232, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 94, 232, 1, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 121, 232, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 153, 232, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 37, 233, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    227, 232, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 245, 232, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 5, 233, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 22, 233, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 135, 233, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    92, 233, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 104, 233, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 119, 233, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 166, 234, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 175, 233, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 187, 233, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 147, 234, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 197, 233, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 19, 234, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 60, 234, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 139, 234, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 254, 233,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 208, 233, 1, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 223, 233, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 236, 233, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 39, 234, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 30,
    234, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 120, 234, 1, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 69, 234, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 117, 234, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 100, 234, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    76, 234, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 83, 234, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 90, 234, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 94, 234, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 51, 235, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 214, 234, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 223, 234, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 241, 234, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 6, 235, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 28, 235, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 21, 235, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 108, 235, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 86, 235, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 99, 235, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 168, 235, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 150, 235, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 158, 235,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 12, 236, 1, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 248, 235, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 253, 235, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 4, 236, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 224,
    235, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 207, 235, 1, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 217, 235, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 184, 237, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 2, 237, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    12, 237, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 26, 237, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 45, 237, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 49, 237, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 59, 237, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 70, 237, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 90, 237, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 109, 237, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 114, 237, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 123, 237, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 135, 237, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 152, 237,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 166, 237, 1, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 152, 238, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 179, 238, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 76, 239, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 214,
    238, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 237, 238, 1, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 5, 239, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 29, 239, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 53, 239, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    158, 239, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 42, 241, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 195, 239, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 254, 240, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 11, 241, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 24, 241, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 29, 241, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 235, 240, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 201, 239, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 228, 239, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 250, 239, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 16, 240, 1,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 38, 240, 1, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 63, 240, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 86, 240, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 107, 240, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 129,
    240, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 150, 240, 1, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 171, 240, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 192, 240, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 213, 240, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    184, 242, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 194, 241, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 206, 241, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 220, 241, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 228, 241, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 241, 241, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 11, 242, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 33, 242, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 44, 242, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 52, 242, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 65, 242, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 173, 242, 1,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 162, 242, 1, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 74, 242, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 82, 242, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 145, 242, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 90, 242,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 108, 242, 1, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 126, 242, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 3, 247, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 205, 242, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 213,
    242, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 226, 242, 1, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 237, 242, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 30, 244, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 103, 244, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    36, 245, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 44, 245, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 59, 245, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 68, 245, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 82, 245, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 87, 245, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 125, 246, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 143, 246, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 165, 246, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 180, 246, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 199, 246, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 221, 246,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 234, 246, 1, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 251, 246, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 12, 244, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 247, 242, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 20,
    243, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 48, 243, 1, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 68, 243, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 97, 243, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 118, 243, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    143, 243, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 172, 243, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 197, 243, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 220, 243, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 241, 243, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 91, 244, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 34, 244, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 49, 244, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 70, 244, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 11, 245, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 110, 244, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 123, 244,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 136, 244, 1, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 155, 244, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 172, 244, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 195, 244, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 219,
    244, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 243, 244, 1, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 247, 244, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 255, 244, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 91, 246, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    98, 245, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 74, 246, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 84, 246, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 50, 246, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 108, 245, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 142, 245, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 171, 245, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 205, 245, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 241, 245, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 22, 246, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 84, 247, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 29, 252, 1,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 188, 247, 1, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 201, 251, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 133, 251, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 140, 251, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 151,
    251, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 212, 251, 1, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 216, 251, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 220, 251, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 227, 251, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    234, 251, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 247, 251, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 253, 247, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 5, 252, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 22, 252, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    197, 247, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 213, 247, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 151, 249, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 166, 249, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 54, 251, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 80, 251, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 93, 251, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 109, 251, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 121, 251, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 132, 249, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 226, 247, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 236, 247,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 245, 247, 1, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 218, 248, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 228, 248, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 238, 248, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 248,
    248, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 2, 249, 1, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 20, 249, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 38, 249, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 56, 249, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 74,
    249, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 89, 249, 1, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 108, 249, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 118, 249, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 187, 248, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 1,
    248, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 31, 248, 1, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 60, 248, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 93, 248, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 122, 248, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    159, 248, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 41, 251, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 128, 250, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 170, 249, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 193, 249, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 213, 249, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 234, 249, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 6, 250, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 25, 250, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 46, 250, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 75, 250, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 106, 250, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 23, 251, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 147, 250, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 183, 250, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 218, 250, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 253, 250,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 73, 251, 1, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 181, 251, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 165, 251, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 47, 252, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 149,
    252, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 69, 252, 1, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 77, 252, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 141, 252, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 122, 252, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    92, 252, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 109, 252, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 98, 252, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 111, 253, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 91, 253, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 73, 253, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 1, 253, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 21, 253, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 40, 253, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 57, 253, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 154, 3, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 159, 253, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 219, 1, 2, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 26, 2, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 144, 3, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    171, 253, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 119, 3, 2, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 128, 3, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 254, 253, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 180, 253, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    188, 253, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 196, 253, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 237, 253, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 203, 253, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 211, 253, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 217, 253, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 226, 253, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 105, 3, 2, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 9, 254, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 14, 254, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    21, 254, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 54, 254, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 80, 254, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 87, 254, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 94, 254, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 105, 254, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 69, 3, 2, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 83, 3, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 94, 3, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 43, 254, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 34,
    254, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 64, 254, 1, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 59, 3, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 118, 254, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 136, 254, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 252,
    2, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 10, 3, 2, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 29, 3, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 38, 3, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 48, 3, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 70, 0, 2, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 149, 254, 1, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 112, 2, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 120, 2, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 131, 2, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 142, 2, 2, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 151, 2, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 162, 2, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 178, 2, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 191,
    2, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 198, 2, 2, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 216, 2, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 233, 2, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 106, 2, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 160, 254, 1,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 168, 254, 1, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 82, 1, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 181, 1, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 191, 1, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 37, 2, 2, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 230, 1, 2, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 60, 2, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 71, 2, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    83, 2, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 92, 2, 2, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 100, 2, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 72, 1, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 176, 254, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 210, 0,
    2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 220, 0, 2, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 233, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 238, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 100, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 2, 1, 2, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 20, 1, 2, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 37, 1, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 55, 1, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    194, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 183, 254, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 34, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 40, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 52, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 80,
    0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 89, 0, 2, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 197, 255, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 202, 254, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 217, 254, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 228,
    254, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 242, 254, 1, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 249, 254, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 4, 255, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 20, 255, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 32,
    255, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 36, 255, 1, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 47, 255, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 57, 255, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 70, 255, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 84,
    255, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 97, 255, 1, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 113, 255, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 131, 255, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 144, 255, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    161, 255, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 171, 255, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 181, 255, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 28, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 210, 255, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    221, 255, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 231, 255, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 241, 255, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 253, 255, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 8, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    19, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 57, 0, 2, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 184, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 111, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 127, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 141, 0, 2,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 149, 0, 2, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 156, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 167, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 176, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 180, 0, 2, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 164, 1, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 87, 1, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 152, 1, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 94,
    1, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 103, 1, 2, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 112, 1, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 123, 1, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 132, 1, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 142, 1, 2, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 146, 1, 2, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 200, 1, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 5, 2, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    237, 1, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 45, 2, 2, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 218, 3, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 208, 3, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 213, 3, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 56, 4,
    2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 45, 4, 2, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 122, 4, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 88, 4, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 114, 4, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 97, 4, 2, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 107, 4, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 1, 6, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 245, 5, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 20,
    6, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 44, 6, 2, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 123, 6, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 131, 6, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 139, 6, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 150, 6, 2, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 158, 6, 2, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 167, 6, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 177, 6, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    193, 6, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 205, 6, 2, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 223, 6, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 241, 6, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 255, 6, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 12, 7,
    2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 29, 7, 2, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 44, 7, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 60, 7, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 73, 7, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 93, 7, 2, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 233, 11, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 145, 7, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 255, 7, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 11,
    8, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 51, 8, 2, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 67, 8, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 249, 8, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 5, 9, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 75, 9, 2, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 136, 9, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 148, 9, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 168, 9, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 180,
    9, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 192, 9, 2, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 209, 9, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 226, 9, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 235, 9, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 244, 9, 2, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 2, 10, 2, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 15, 10, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 29, 10, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    42, 10, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 56, 10, 2, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 69, 10, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 83, 10, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 96, 10, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 110,
    10, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 120, 10, 2, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 130, 10, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 137, 10, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 144, 10, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    154, 10, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 164, 10, 2, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 176, 10, 2, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 188, 10, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 198, 10, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 208, 10, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 217, 10, 2, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 226, 10, 2, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 233, 10, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 240, 10, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 251, 10, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 6, 11, 2, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 14, 11, 2, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 22, 11, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 56, 11, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    73, 11, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 129, 11, 2, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 153, 11, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 217, 11, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 246, 7, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    157, 7, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 165, 7, 2, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 173, 7, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 177, 7, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 186, 7, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 195, 7,
    2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 202, 7, 2, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 210, 7, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 221, 7, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 233, 7, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 38, 8, 2, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 27, 8, 2, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 240, 8, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 79, 8, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    90, 8, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 103, 8, 2, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 118, 8, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 133, 8, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 147, 8, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 160, 8,
    2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 172, 8, 2, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 185, 8, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 192, 8, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 208, 8, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 221, 8, 2, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 60, 9, 2, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 22, 9, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 43, 9, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    127, 9, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 87, 9, 2, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 95, 9, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 102, 9, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 106, 9, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 115, 9,
    2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 160, 9, 2, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 38, 11, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 122, 11, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 88, 11, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 94, 11, 2, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 108, 11, 2, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 114, 11, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 145, 11, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 204, 11, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 169, 11, 2,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 181, 11, 2, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 193, 11, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 9, 12, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 68, 12, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 56, 12, 2, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 94, 27, 2, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 87, 12, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 50, 14, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    81, 14, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 212, 15, 2, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 26, 16, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 33, 16, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 45, 16, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 66, 16,
    2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 85, 16, 2, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 96, 16, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 106, 16, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 128, 16, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 140, 16, 2,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 157, 16, 2, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 174, 16, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 216, 19, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 222, 19, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 233, 19,
    2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 250, 19, 2, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 11, 20, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 19, 20, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 36, 20, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 69, 20, 2, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 90, 20, 2, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 105, 20, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 122, 20, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 127, 20, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 139, 20, 2, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 217, 26, 2, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 225, 26, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 238, 26, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 40, 27, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 45, 27, 2, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 55, 27, 2, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 71, 27, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 38, 14, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    173, 13, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 182, 13, 2, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 192, 13, 2, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 204, 13, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 218, 13, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 229, 13, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 254, 13, 2, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 17, 14, 2, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 165, 13, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 137, 12, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 147, 12, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 165, 12, 2, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 184, 12, 2, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 205, 12, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 222, 12, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 231, 12, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 240, 12, 2,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 3, 13, 2, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 18, 13, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 38, 13, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 60, 13, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 79, 13, 2, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 94, 13, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 106, 13, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 118, 13, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    134, 13, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 122, 12, 2, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 92, 12, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 102, 12, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 109, 12, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    116, 12, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 50, 13, 2, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 146, 13, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 240, 13, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 201, 15, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    54, 14, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 88, 14, 2, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 100, 14, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 111, 14, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 123, 14, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    136, 14, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 148, 14, 2, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 158, 14, 2, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 170, 14, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 184, 14, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 196, 14, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 210, 14, 2, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 227, 14, 2, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 244, 14, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 7, 15, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 16, 15, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 26, 15, 2, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 36, 15, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 47, 15, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 59, 15, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 73,
    15, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 90, 15, 2, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 136, 15, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 158, 15, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 168, 15, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    181, 15, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 189, 15, 2, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 62, 14, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 121, 15, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 111, 15, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    116, 15, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 7, 16, 2, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 220, 15, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 239, 15, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 252, 15, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    9, 17, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 191, 16, 2, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 200, 16, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 210, 16, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 221, 16, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    228, 16, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 240, 16, 2, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 251, 16, 2, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 200, 19, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 19, 17, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 41, 17, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 69, 17, 2, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 92, 17, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 116, 17, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 141, 17, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    164, 17, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 190, 17, 2, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 214, 17, 2, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 239, 17, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 11, 18, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 41, 18, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 71, 18, 2, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 95, 18, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 119, 18, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 144, 18, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    170, 18, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 194, 18, 2, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 220, 18, 2, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 246, 18, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 19, 19, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 48, 19, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 73, 19, 2, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 97, 19, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 125, 19, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 152, 19, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    177, 19, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 53, 20, 2, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 164, 20, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 194, 20, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 175, 20, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    202, 20, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 80, 26, 2, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 208, 26, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 179, 20, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 212, 20, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    66, 26, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 216, 25, 2, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 218, 20, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 226, 20, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 238, 20, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    248, 20, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 13, 21, 2, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 33, 21, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 42, 21, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 51, 21, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 64, 21,
    2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 77, 21, 2, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 91, 21, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 104, 21, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 126, 21, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 159, 21, 2,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 184, 21, 2, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 200, 21, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 223, 21, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 1, 22, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 27, 22, 2,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 43, 22, 2, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 66, 22, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 96, 22, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 118, 22, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 135, 22, 2, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 152, 22, 2, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 176, 22, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 197, 22, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 216, 22, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 230, 22, 2,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 244, 22, 2, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 2, 23, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 15, 23, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 28, 23, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 41, 23, 2, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 53, 23, 2, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 63, 23, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 98, 23, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    109, 23, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 120, 23, 2, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 128, 23, 2, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 136, 23, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 144, 23, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 152, 23, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 160, 23, 2, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 176, 23, 2, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 192, 23, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 207, 23, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 221, 23, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 232, 23, 2,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 243, 23, 2, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 254, 23, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 33, 24, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 45, 24, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 61, 24, 2, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 73, 24, 2, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 85, 24, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 97, 24, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    109, 24, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 121, 24, 2, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 133, 24, 2, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 146, 24, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 163, 24, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 176, 24, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 190, 24, 2, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 203, 24, 2, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 217, 24, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 230, 24, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 244, 24, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 255, 24, 2,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 7, 25, 2, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 16, 25, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 28, 25, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 40, 25, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 51, 25, 2, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 61, 25, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 72, 25, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 91, 25, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 108,
    25, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 122, 25, 2, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 136, 25, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 149, 25, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 160, 25, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    172, 25, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 184, 25, 2, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 197, 25, 2, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 208, 25, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 51, 26, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 232, 25, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 239, 25, 2, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 246, 25, 2, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 0, 26, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 9, 26, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    17, 26, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 25, 26, 2, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 44, 26, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 191, 26, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 93, 26, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 107,
    26, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 121, 26, 2, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 134, 26, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 146, 26, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 156, 26, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    164, 26, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 176, 26, 2, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 24, 27, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 245, 26, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 254, 26, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    7, 27, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 16, 27, 2, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 202, 27, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 211, 27, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 222, 27, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    0, 28, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 233, 27, 2, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 243, 27, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 115, 29, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 102, 29, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    93, 29, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 219, 28, 2, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 51, 28, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 72, 28, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 101, 28, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 123,
    28, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 144, 28, 2, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 163, 28, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 183, 28, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 201, 28, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 80,
    29, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 233, 28, 2, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 241, 28, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 253, 28, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 66, 29, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 12,
    29, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 20, 29, 2, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 32, 29, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 40, 29, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 50, 29, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 56, 29, 2,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 234, 29, 2, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 221, 29, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 209, 29, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 159, 29, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 175, 29,
    2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 185, 29, 2, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 194, 29, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 80, 30, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 62, 30, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 249, 29,
    2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 3, 30, 2, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 48, 30, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 12, 30, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 21, 30, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 29, 30, 2, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 40, 30, 2, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 203, 44, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 172, 30, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 175, 30, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 25, 44, 2, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 39, 44, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 53, 44, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 69, 44, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 85,
    44, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 110, 44, 2, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 160, 44, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 169, 44, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 193, 44, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 10,
    44, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 178, 30, 2, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 195, 30, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 204, 30, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 218, 30, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    227, 30, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 237, 30, 2, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 16, 31, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 75, 31, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 98, 31, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 117,
    31, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 140, 31, 2, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 162, 31, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 182, 31, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 219, 31, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    231, 31, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 244, 31, 2, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 0, 32, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 12, 32, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 28, 32, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 45,
    32, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 63, 32, 2, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 82, 32, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 96, 32, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 115, 32, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 135, 32,
    2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 46, 34, 2, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 60, 34, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 74, 34, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 87, 34, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 100, 34, 2,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 132, 34, 2, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 176, 34, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 189, 34, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 202, 34, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 175, 41,
    2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 190, 41, 2, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 207, 41, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 6, 42, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 22, 42, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 84, 42, 2,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 101, 42, 2, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 115, 42, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 137, 42, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 160, 42, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 178, 42,
    2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 196, 42, 2, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 210, 42, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 224, 42, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 219, 43, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 237,
    43, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 253, 43, 2, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 255, 30, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 56, 31, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 33, 31, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 44, 31,
    2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 202, 31, 2, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 210, 31, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 22, 34, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 4, 34, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 14, 34, 2,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 246, 33, 2, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 153, 32, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 232, 33, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 215, 33, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 162, 32,
    2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 189, 32, 2, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 216, 32, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 242, 32, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 12, 33, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 33, 33,
    2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 64, 33, 2, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 95, 33, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 127, 33, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 156, 33, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 185, 33, 2,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 114, 34, 2, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 153, 34, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 149, 34, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 158, 41, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 229, 34,
    2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 217, 34, 2, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 91, 35, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 253, 34, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 14, 35, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 31, 35, 2,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 46, 35, 2, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 68, 35, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 98, 41, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 143, 35, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 108, 35, 2, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 128, 35, 2, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 118, 35, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 86, 41, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 154, 35, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 68, 41, 2,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 17, 38, 2, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 206, 38, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 222, 38, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 229, 38, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 50, 40, 2,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 61, 40, 2, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 67, 40, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 74, 40, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 98, 40, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 103, 40, 2, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 114, 40, 2, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 123, 40, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 130, 40, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 144, 40, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 168, 40, 2, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 180, 40, 2, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 187, 40, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 181, 39, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 197, 40, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 200, 40, 2,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 204, 40, 2, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 213, 40, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 225, 40, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 230, 40, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 239, 40,
    2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 249, 40, 2, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 2, 38, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 166, 35, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 185, 35, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 202, 35,
    2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 219, 35, 2, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 236, 35, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 1, 36, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 20, 36, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 49, 36, 2,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 76, 36, 2, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 98, 36, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 119, 36, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 143, 36, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 168, 36, 2, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 193, 36, 2, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 212, 36, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 228, 36, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 245, 36, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 6, 37, 2, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 24, 37, 2, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 45, 37, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 62, 37, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    80, 37, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 99, 37, 2, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 118, 37, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 133, 37, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 157, 37, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    179, 37, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 200, 37, 2, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 224, 37, 2, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 241, 37, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 172, 38, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 26, 38, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 57, 38, 2, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 86, 38, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 111, 38, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 141, 38, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    193, 38, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 147, 39, 2, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 235, 38, 2, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 2, 39, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 31, 39, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    60, 39, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 89, 39, 2, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 118, 39, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 35, 40, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 215, 39, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 23,
    40, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 201, 39, 2, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 171, 39, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 187, 39, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 194, 39, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 14,
    40, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 255, 39, 2, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 225, 39, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 236, 39, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 245, 39, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 88,
    40, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 155, 40, 2, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 31, 41, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 6, 41, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 17, 41, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 21, 41, 2,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 49, 41, 2, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 147, 41, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 12, 0, 108, 41, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 113, 41, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 127, 41, 2,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 237, 41, 2, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 223, 41, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 58, 42, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    12, 0, 39, 42, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 196, 43, 2,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 31, 43, 2, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 11, 43, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 242, 42, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 246, 42, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 251, 42, 2, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 0, 43, 2, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 5, 43, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 176, 43, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    37, 43, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 65, 43, 2, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 96, 43, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 126, 43, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 152, 43, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 87,
    45, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 54, 45, 2, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 71, 45, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 38, 45, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 11, 45, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 26, 45, 2,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 119, 45, 2, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 146, 45, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 12, 0, 159, 45, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 12, 0, 172, 45, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 184, 45,
    2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 198, 45, 2, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 213, 45, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 230, 45, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 12, 0, 248, 45, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 10,
    46, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 188, 46, 2, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 197, 46, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 205, 46, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 12, 0, 201, 46, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    209, 46, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 220, 46, 2, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 231, 46, 2, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 243, 46, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 12, 0, 48, 46, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12,
    0, 57, 46, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 53, 46, 2, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 139, 46, 2, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 66, 46, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 75, 46, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0,
    84, 46, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 93, 46, 2, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 107, 46, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 122, 46, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 12, 0, 149, 46, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 14, 1, 0, 0, 0, 0, 3, 0,
    32, 6, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 7, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 3, 0, 8, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0,
    11, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 19, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 180, 0, 0, 0, 17, 0, 6, 0, 0, 0, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0,
    0, 0, 0, 0, 112, 0, 0, 0, 17, 0, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 24, 0, 0, 0, 0, 0, 0, 0, 34, 0,
    0, 0, 18, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 128, 6, 0, 0, 0, 0, 0, 0, 64, 6, 0, 0, 0, 0, 0, 0,
    1, 0, 0, 0, 46, 43, 0, 0, 6, 0, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 42, 43, 0, 0, 12, 0, 0, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 2, 0, 0, 0, 18, 0, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 3, 0, 0, 0, 22, 0, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 44, 43, 0, 0, 26, 0, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 4, 0, 0, 0, 30, 0,
    0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 40, 43, 0, 0, 43, 0, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 5, 0, 0, 0,
    55, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 45, 43, 0, 0, 76, 0, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 6, 0,
    0, 0, 83, 0, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 7, 0, 0, 0, 90, 0, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    8, 0, 0, 0, 102, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 46, 43, 0, 0, 115, 0, 0, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 9, 0, 0, 0, 127, 0, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 10, 0, 0, 0, 139, 0, 0, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 11, 0, 0, 0, 169, 0, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 12, 0, 0, 0, 176, 0, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 13, 0, 0, 0, 202, 0, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 14, 0, 0, 0, 209,
    0, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 15, 0, 0, 0, 216, 0, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 16, 0, 0,
    0, 228, 0, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 17, 0, 0, 0, 239, 0, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    18, 0, 0, 0, 20, 1, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 19, 0, 0, 0, 32, 1, 0, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 20, 0, 0, 0, 39, 1, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 21, 0, 0, 0, 52, 1, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 22, 0, 0, 0, 85, 1, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 23, 0, 0, 0, 137, 1, 0, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 24, 0, 0, 0, 146, 1, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 25, 0, 0, 0, 152, 1,
    0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 26, 0, 0, 0, 158, 1, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 27, 0, 0, 0,
    164, 1, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 28, 0, 0, 0, 170, 1, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 29,
    0, 0, 0, 176, 1, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 30, 0, 0, 0, 187, 1, 0, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 31, 0, 0, 0, 196, 1, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 32, 0, 0, 0, 202, 1, 0, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 33, 0, 0, 0, 213, 1, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 34, 0, 0, 0, 222, 1, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 35, 0, 0, 0, 228, 1, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 36, 0, 0, 0, 234,
    1, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 37, 0, 0, 0, 240, 1, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 38, 0, 0,
    0, 251, 1, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 39, 0, 0, 0, 4, 2, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 40,
    0, 0, 0, 10, 2, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 41, 0, 0, 0, 16, 2, 0, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 42, 0, 0, 0, 22, 2, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 43, 0, 0, 0, 28, 2, 0, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 44, 0, 0, 0, 34, 2, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 45, 0, 0, 0, 40, 2, 0, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 46, 0, 0, 0, 46, 2, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 47, 0, 0, 0, 57, 2, 0, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 48, 0, 0, 0, 66, 2, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 49, 0, 0, 0, 72, 2, 0,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 50, 0, 0, 0, 78, 2, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 51, 0, 0, 0, 84,
    2, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 52, 0, 0, 0, 95, 2, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 53, 0, 0,
    0, 104, 2, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 54, 0, 0, 0, 110, 2, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    55, 0, 0, 0, 116, 2, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 56, 0, 0, 0, 127, 2, 0, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 57, 0, 0, 0, 136, 2, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 58, 0, 0, 0, 142, 2, 0, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 59, 0, 0, 0, 148, 2, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 60, 0, 0, 0, 154, 2, 0,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 61, 0, 0, 0, 160, 2, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 62, 0, 0, 0,
    166, 2, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 63, 0, 0, 0, 172, 2, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 64,
    0, 0, 0, 178, 2, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 65, 0, 0, 0, 184, 2, 0, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 66, 0, 0, 0, 190, 2, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 67, 0, 0, 0, 196, 2, 0, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 68, 0, 0, 0, 202, 2, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 69, 0, 0, 0, 208, 2, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 70, 0, 0, 0, 214, 2, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 71, 0, 0, 0, 220,
    2, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 72, 0, 0, 0, 226, 2, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 73, 0, 0,
    0, 232, 2, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 74, 0, 0, 0, 238, 2, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    75, 0, 0, 0, 244, 2, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 76, 0, 0, 0, 250, 2, 0, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 77, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 78, 0, 0, 0, 6, 3, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 79, 0, 0, 0, 12, 3, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 80, 0, 0, 0, 18, 3, 0, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 81, 0, 0, 0, 24, 3, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 82, 0, 0, 0, 30, 3, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 83, 0, 0, 0, 36, 3, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 84, 0, 0, 0, 42, 3,
    0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 85, 0, 0, 0, 48, 3, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 86, 0, 0, 0,
    54, 3, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 87, 0, 0, 0, 60, 3, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 88, 0,
    0, 0, 71, 3, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 89, 0, 0, 0, 80, 3, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    90, 0, 0, 0, 86, 3, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 91, 0, 0, 0, 92, 3, 0, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 92, 0, 0, 0, 98, 3, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 93, 0, 0, 0, 104, 3, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 94, 0, 0, 0, 110, 3, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 95, 0, 0, 0, 116, 3, 0, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 96, 0, 0, 0, 122, 3, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 97, 0, 0, 0, 128, 3,
    0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 98, 0, 0, 0, 134, 3, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 99, 0, 0, 0,
    140, 3, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 100, 0, 0, 0, 146, 3, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    101, 0, 0, 0, 152, 3, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 102, 0, 0, 0, 158, 3, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 103, 0, 0, 0, 164, 3, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 104, 0, 0, 0, 170, 3, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 105, 0, 0, 0, 176, 3, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 106, 0, 0, 0,
    182, 3, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 107, 0, 0, 0, 188, 3, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    108, 0, 0, 0, 194, 3, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 109, 0, 0, 0, 200, 3, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 110, 0, 0, 0, 206, 3, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 111, 0, 0, 0, 212, 3, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 112, 0, 0, 0, 218, 3, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 113, 0, 0, 0,
    224, 3, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 114, 0, 0, 0, 230, 3, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    115, 0, 0, 0, 236, 3, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 116, 0, 0, 0, 242, 3, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 117, 0, 0, 0, 248, 3, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 118, 0, 0, 0, 254, 3, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 119, 0, 0, 0, 4, 4, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 120, 0, 0, 0, 10,
    4, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 121, 0, 0, 0, 16, 4, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 122, 0,
    0, 0, 22, 4, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 123, 0, 0, 0, 28, 4, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    124, 0, 0, 0, 34, 4, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 125, 0, 0, 0, 40, 4, 0, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 126, 0, 0, 0, 46, 4, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 127, 0, 0, 0, 52, 4, 0, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 128, 0, 0, 0, 63, 4, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 129, 0, 0, 0, 72, 4, 0,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 130, 0, 0, 0, 78, 4, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 131, 0, 0, 0,
    84, 4, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 132, 0, 0, 0, 90, 4, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 133,
    0, 0, 0, 96, 4, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 134, 0, 0, 0, 102, 4, 0, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 135, 0, 0, 0, 108, 4, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 136, 0, 0, 0, 114, 4, 0, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 137, 0, 0, 0, 120, 4, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 138, 0, 0, 0, 126, 4, 0,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 139, 0, 0, 0, 132, 4, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 140, 0, 0, 0,
    138, 4, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 141, 0, 0, 0, 144, 4, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    142, 0, 0, 0, 150, 4, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 143, 0, 0, 0, 156, 4, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 144, 0, 0, 0, 162, 4, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 145, 0, 0, 0, 168, 4, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 146, 0, 0, 0, 174, 4, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 147, 0, 0, 0,
    180, 4, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 148, 0, 0, 0, 186, 4, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    149, 0, 0, 0, 192, 4, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 150, 0, 0, 0, 198, 4, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 151, 0, 0, 0, 204, 4, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 152, 0, 0, 0, 210, 4, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 153, 0, 0, 0, 216, 4, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 154, 0, 0, 0,
    222, 4, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 155, 0, 0, 0, 228, 4, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    156, 0, 0, 0, 239, 4, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 157, 0, 0, 0, 248, 4, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 158, 0, 0, 0, 254, 4, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 159, 0, 0, 0, 4, 5, 0, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 160, 0, 0, 0, 10, 5, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 161, 0, 0, 0, 16, 5,
    0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 162, 0, 0, 0, 27, 5, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 163, 0, 0,
    0, 36, 5, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 164, 0, 0, 0, 42, 5, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    165, 0, 0, 0, 48, 5, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 166, 0, 0, 0, 54, 5, 0, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 167, 0, 0, 0, 60, 5, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 168, 0, 0, 0, 66, 5, 0, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 169, 0, 0, 0, 72, 5, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 170, 0, 0, 0, 78, 5, 0,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 171, 0, 0, 0, 84, 5, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 172, 0, 0, 0,
    90, 5, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 173, 0, 0, 0, 96, 5, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 174,
    0, 0, 0, 102, 5, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 175, 0, 0, 0, 108, 5, 0, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 176, 0, 0, 0, 114, 5, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 177, 0, 0, 0, 120, 5, 0, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 178, 0, 0, 0, 126, 5, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 179, 0, 0, 0, 132, 5, 0,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 180, 0, 0, 0, 138, 5, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 181, 0, 0, 0,
    144, 5, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 182, 0, 0, 0, 150, 5, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    183, 0, 0, 0, 156, 5, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 184, 0, 0, 0, 162, 5, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 185, 0, 0, 0, 168, 5, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 186, 0, 0, 0, 174, 5, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 187, 0, 0, 0, 180, 5, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 188, 0, 0, 0,
    186, 5, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 189, 0, 0, 0, 192, 5, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    190, 0, 0, 0, 198, 5, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 191, 0, 0, 0, 209, 5, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 192, 0, 0, 0, 218, 5, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 193, 0, 0, 0, 228, 5, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 194, 0, 0, 0, 234, 5, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 195, 0, 0, 0,
    245, 5, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 196, 0, 0, 0, 254, 5, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    197, 0, 0, 0, 4, 6, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 198, 0, 0, 0, 10, 6, 0, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 199, 0, 0, 0, 16, 6, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 200, 0, 0, 0, 22, 6, 0, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 201, 0, 0, 0, 28, 6, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 202, 0, 0, 0, 39, 6, 0,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 203, 0, 0, 0, 48, 6, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 204, 0, 0, 0,
    54, 6, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 205, 0, 0, 0, 65, 6, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 206,
    0, 0, 0, 74, 6, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 207, 0, 0, 0, 80, 6, 0, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 208, 0, 0, 0, 86, 6, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 209, 0, 0, 0, 97, 6, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 210, 0, 0, 0, 106, 6, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 211, 0, 0, 0, 112, 6, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 212, 0, 0, 0, 118, 6, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 213, 0, 0, 0,
    124, 6, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 214, 0, 0, 0, 130, 6, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    215, 0, 0, 0, 136, 6, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 216, 0, 0, 0, 142, 6, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 217, 0, 0, 0, 148, 6, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 218, 0, 0, 0, 154, 6, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 219, 0, 0, 0, 160, 6, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 220, 0, 0, 0,
    166, 6, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 221, 0, 0, 0, 177, 6, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    222, 0, 0, 0, 186, 6, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 223, 0, 0, 0, 192, 6, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 224, 0, 0, 0, 198, 6, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 225, 0, 0, 0, 209, 6, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 226, 0, 0, 0, 218, 6, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 227, 0, 0, 0,
    224, 6, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 228, 0, 0, 0, 230, 6, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    229, 0, 0, 0, 236, 6, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 230, 0, 0, 0, 252, 6, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 231, 0, 0, 0, 2, 7, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 232, 0, 0, 0, 8, 7, 0, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 233, 0, 0, 0, 14, 7, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 234, 0, 0, 0, 20, 7, 0,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 235, 0, 0, 0, 31, 7, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 236, 0, 0, 0,
    40, 7, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 237, 0, 0, 0, 46, 7, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 238,
    0, 0, 0, 52, 7, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 239, 0, 0, 0, 63, 7, 0, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 240, 0, 0, 0, 72, 7, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 241, 0, 0, 0, 78, 7, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 242, 0, 0, 0, 84, 7, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 243, 0, 0, 0, 90, 7, 0, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 244, 0, 0, 0, 96, 7, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 245, 0, 0, 0, 102, 7,
    0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 246, 0, 0, 0, 113, 7, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 247, 0, 0,
    0, 122, 7, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 248, 0, 0, 0, 128, 7, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    249, 0, 0, 0, 134, 7, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 250, 0, 0, 0, 140, 7, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 251, 0, 0, 0, 146, 7, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 252, 0, 0, 0, 152, 7, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 253, 0, 0, 0, 158, 7, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 254, 0, 0, 0,
    164, 7, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 255, 0, 0, 0, 170, 7, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 0,
    1, 0, 0, 176, 7, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 1, 1, 0, 0, 182, 7, 0, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 2, 1, 0, 0, 188, 7, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 3, 1, 0, 0, 194, 7, 0, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 4, 1, 0, 0, 200, 7, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 5, 1, 0, 0, 206, 7, 0, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 6, 1, 0, 0, 212, 7, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 7, 1, 0, 0, 218, 7, 0, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 8, 1, 0, 0, 224, 7, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 9, 1, 0, 0, 235, 7, 0,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 10, 1, 0, 0, 244, 7, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 11, 1, 0, 0,
    250, 7, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 12, 1, 0, 0, 0, 8, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 13, 1,
    0, 0, 6, 8, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 14, 1, 0, 0, 12, 8, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    15, 1, 0, 0, 23, 8, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 16, 1, 0, 0, 34, 8, 0, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 17, 1, 0, 0, 40, 8, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 18, 1, 0, 0, 51, 8, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 19, 1, 0, 0, 62, 8, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 20, 1, 0, 0, 68, 8, 0, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 21, 1, 0, 0, 74, 8, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 22, 1, 0, 0, 80, 8, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 23, 1, 0, 0, 91, 8, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 24, 1, 0, 0, 102,
    8, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 25, 1, 0, 0, 108, 8, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 26, 1, 0,
    0, 119, 8, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 27, 1, 0, 0, 130, 8, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    28, 1, 0, 0, 136, 8, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 29, 1, 0, 0, 147, 8, 0, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 30, 1, 0, 0, 158, 8, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 31, 1, 0, 0, 164, 8, 0, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 32, 1, 0, 0, 175, 8, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 33, 1, 0, 0, 186, 8, 0,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 34, 1, 0, 0, 192, 8, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 35, 1, 0, 0,
    198, 8, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 36, 1, 0, 0, 209, 8, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 37,
    1, 0, 0, 220, 8, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 38, 1, 0, 0, 226, 8, 0, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 39, 1, 0, 0, 232, 8, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 40, 1, 0, 0, 243, 8, 0, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 41, 1, 0, 0, 254, 8, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 42, 1, 0, 0, 4, 9, 0, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 43, 1, 0, 0, 10, 9, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 44, 1, 0, 0, 16, 9, 0,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 45, 1, 0, 0, 22, 9, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 46, 1, 0, 0, 28,
    9, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 47, 1, 0, 0, 39, 9, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 48, 1, 0,
    0, 48, 9, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 49, 1, 0, 0, 54, 9, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 50,
    1, 0, 0, 60, 9, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 51, 1, 0, 0, 66, 9, 0, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 52, 1, 0, 0, 72, 9, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 53, 1, 0, 0, 78, 9, 0, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 54, 1, 0, 0, 84, 9, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 55, 1, 0, 0, 90, 9, 0, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 56, 1, 0, 0, 96, 9, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 57, 1, 0, 0, 102, 9, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 58, 1, 0, 0, 113, 9, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 59, 1, 0, 0, 122,
    9, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 60, 1, 0, 0, 128, 9, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 61, 1, 0,
    0, 134, 9, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 62, 1, 0, 0, 140, 9, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    63, 1, 0, 0, 146, 9, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 64, 1, 0, 0, 152, 9, 0, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 65, 1, 0, 0, 163, 9, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 66, 1, 0, 0, 172, 9, 0, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 67, 1, 0, 0, 178, 9, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 68, 1, 0, 0, 184, 9, 0,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 69, 1, 0, 0, 190, 9, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 70, 1, 0, 0,
    201, 9, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 71, 1, 0, 0, 210, 9, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 72,
    1, 0, 0, 216, 9, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 73, 1, 0, 0, 222, 9, 0, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 74, 1, 0, 0, 228, 9, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 75, 1, 0, 0, 234, 9, 0, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 76, 1, 0, 0, 245, 9, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 77, 1, 0, 0, 254, 9, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 78, 1, 0, 0, 4, 10, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 79, 1, 0, 0, 15,
    10, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 80, 1, 0, 0, 24, 10, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 81, 1,
    0, 0, 30, 10, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 82, 1, 0, 0, 41, 10, 0, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 83, 1, 0, 0, 50, 10, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 84, 1, 0, 0, 56, 10, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 85, 1, 0, 0, 62, 10, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 86, 1, 0, 0, 68, 10, 0, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 87, 1, 0, 0, 79, 10, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 88, 1, 0, 0, 88, 10,
    0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 89, 1, 0, 0, 94, 10, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 90, 1, 0, 0,
    105, 10, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 91, 1, 0, 0, 116, 10, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    92, 1, 0, 0, 122, 10, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 93, 1, 0, 0, 128, 10, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 94, 1, 0, 0, 134, 10, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 95, 1, 0, 0, 140, 10, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 96, 1, 0, 0, 146, 10, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 97, 1, 0, 0, 152,
    10, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 98, 1, 0, 0, 158, 10, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 99, 1,
    0, 0, 164, 10, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 100, 1, 0, 0, 170, 10, 0, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 101, 1, 0, 0, 176, 10, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 102, 1, 0, 0, 182, 10, 0, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 103, 1, 0, 0, 188, 10, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 104, 1, 0, 0, 194, 10,
    0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 105, 1, 0, 0, 200, 10, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 106, 1, 0,
    0, 206, 10, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 107, 1, 0, 0, 212, 10, 0, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 108, 1, 0, 0, 218, 10, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 109, 1, 0, 0, 225, 10, 0, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 110, 1, 0, 0, 255, 10, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 111, 1, 0, 0, 14, 11, 0,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 112, 1, 0, 0, 30, 11, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 113, 1, 0, 0,
    45, 11, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 114, 1, 0, 0, 60, 11, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    115, 1, 0, 0, 75, 11, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 116, 1, 0, 0, 90, 11, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 9, 0, 0, 0, 116, 11, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 117, 1, 0, 0, 122, 11, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 118, 1, 0, 0, 128, 11, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 119, 1, 0, 0,
    134, 11, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 120, 1, 0, 0, 141, 11, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    121, 1, 0, 0, 156, 11, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 122, 1, 0, 0, 171, 11, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 123, 1, 0, 0, 186, 11, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 124, 1, 0, 0, 201, 11, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 125, 1, 0, 0, 216, 11, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 126, 1, 0, 0,
    231, 11, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 127, 1, 0, 0, 246, 11, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    128, 1, 0, 0, 5, 12, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 129, 1, 0, 0, 20, 12, 0, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 130, 1, 0, 0, 35, 12, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 131, 1, 0, 0, 50, 12, 0, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 132, 1, 0, 0, 66, 12, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 133, 1, 0, 0, 82, 12,
    0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 134, 1, 0, 0, 98, 12, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 135, 1, 0,
    0, 114, 12, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 136, 1, 0, 0, 130, 12, 0, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 137, 1, 0, 0, 146, 12, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 138, 1, 0, 0, 168, 12, 0, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 139, 1, 0, 0, 178, 12, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 123, 1, 0, 0, 191, 12, 0,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 140, 1, 0, 0, 204, 12, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 141, 1, 0, 0,
    217, 12, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 142, 1, 0, 0, 230, 12, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    143, 1, 0, 0, 243, 12, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 144, 1, 0, 0, 0, 13, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 145, 1, 0, 0, 13, 13, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 146, 1, 0, 0, 26, 13, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 147, 1, 0, 0, 39, 13, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 148, 1, 0, 0, 52,
    13, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 149, 1, 0, 0, 65, 13, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 150, 1,
    0, 0, 78, 13, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 151, 1, 0, 0, 91, 13, 0, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 152, 1, 0, 0, 104, 13, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 153, 1, 0, 0, 122, 13, 0, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 154, 1, 0, 0, 135, 13, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 155, 1, 0, 0, 149, 13, 0,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 156, 1, 0, 0, 162, 13, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 157, 1, 0, 0,
    175, 13, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 158, 1, 0, 0, 188, 13, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    159, 1, 0, 0, 201, 13, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 160, 1, 0, 0, 214, 13, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 161, 1, 0, 0, 227, 13, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 162, 1, 0, 0, 240, 13, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 163, 1, 0, 0, 254, 13, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 164, 1, 0, 0,
    12, 14, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 165, 1, 0, 0, 26, 14, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    166, 1, 0, 0, 40, 14, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 167, 1, 0, 0, 54, 14, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 168, 1, 0, 0, 68, 14, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 169, 1, 0, 0, 82, 14, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 170, 1, 0, 0, 96, 14, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 171, 1, 0, 0,
    110, 14, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 172, 1, 0, 0, 124, 14, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    137, 1, 0, 0, 138, 14, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 173, 1, 0, 0, 152, 14, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 174, 1, 0, 0, 166, 14, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 175, 1, 0, 0, 180, 14, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 176, 1, 0, 0, 194, 14, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 177, 1, 0, 0,
    208, 14, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 178, 1, 0, 0, 222, 14, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    179, 1, 0, 0, 236, 14, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 180, 1, 0, 0, 250, 14, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 181, 1, 0, 0, 8, 15, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 182, 1, 0, 0, 22, 15, 0, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 183, 1, 0, 0, 36, 15, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 184, 1, 0, 0, 50,
    15, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 185, 1, 0, 0, 64, 15, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 186, 1,
    0, 0, 78, 15, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 187, 1, 0, 0, 92, 15, 0, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 188, 1, 0, 0, 106, 15, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 189, 1, 0, 0, 120, 15, 0, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 9, 0, 0, 0, 134, 15, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 190, 1, 0, 0, 148, 15, 0,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 191, 1, 0, 0, 162, 15, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 192, 1, 0, 0,
    176, 15, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 193, 1, 0, 0, 190, 15, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    194, 1, 0, 0, 204, 15, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 195, 1, 0, 0, 218, 15, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 196, 1, 0, 0, 232, 15, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 197, 1, 0, 0, 246, 15, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 198, 1, 0, 0, 4, 16, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 199, 1, 0, 0, 18,
    16, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 200, 1, 0, 0, 32, 16, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 201, 1,
    0, 0, 46, 16, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 202, 1, 0, 0, 60, 16, 0, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 203, 1, 0, 0, 74, 16, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 204, 1, 0, 0, 88, 16, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 205, 1, 0, 0, 102, 16, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 206, 1, 0, 0, 116, 16, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 207, 1, 0, 0, 130, 16, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 208, 1, 0, 0,
    144, 16, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 209, 1, 0, 0, 158, 16, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    210, 1, 0, 0, 172, 16, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 211, 1, 0, 0, 186, 16, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 212, 1, 0, 0, 200, 16, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 213, 1, 0, 0, 214, 16, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 214, 1, 0, 0, 228, 16, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 215, 1, 0, 0,
    242, 16, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 216, 1, 0, 0, 0, 17, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    217, 1, 0, 0, 14, 17, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 218, 1, 0, 0, 28, 17, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 219, 1, 0, 0, 42, 17, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 220, 1, 0, 0, 56, 17, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 221, 1, 0, 0, 70, 17, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 222, 1, 0, 0, 84,
    17, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 223, 1, 0, 0, 98, 17, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 224, 1,
    0, 0, 112, 17, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 225, 1, 0, 0, 126, 17, 0, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 226, 1, 0, 0, 140, 17, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 227, 1, 0, 0, 154, 17, 0, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 228, 1, 0, 0, 168, 17, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 229, 1, 0, 0, 182, 17,
    0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 230, 1, 0, 0, 196, 17, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 231, 1, 0,
    0, 210, 17, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 232, 1, 0, 0, 224, 17, 0, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 233, 1, 0, 0, 238, 17, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 234, 1, 0, 0, 252, 17, 0, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 235, 1, 0, 0, 10, 18, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 236, 1, 0, 0, 24, 18, 0,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 237, 1, 0, 0, 38, 18, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 238, 1, 0, 0,
    52, 18, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 239, 1, 0, 0, 66, 18, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    240, 1, 0, 0, 80, 18, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 241, 1, 0, 0, 94, 18, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 242, 1, 0, 0, 108, 18, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 243, 1, 0, 0, 122, 18, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 244, 1, 0, 0, 136, 18, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 245, 1, 0, 0,
    150, 18, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 246, 1, 0, 0, 164, 18, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    247, 1, 0, 0, 178, 18, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 248, 1, 0, 0, 192, 18, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 249, 1, 0, 0, 206, 18, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 250, 1, 0, 0, 220, 18, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 251, 1, 0, 0, 234, 18, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 252, 1, 0, 0,
    248, 18, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 253, 1, 0, 0, 18, 19, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    254, 1, 0, 0, 24, 19, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 255, 1, 0, 0, 30, 19, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 0, 2, 0, 0, 36, 19, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 1, 2, 0, 0, 42, 19, 0, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 2, 2, 0, 0, 48, 19, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 3, 2, 0, 0, 55, 19, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 4, 2, 0, 0, 69, 19, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 5, 2, 0, 0, 95, 19,
    0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 6, 2, 0, 0, 101, 19, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 7, 2, 0, 0,
    108, 19, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 8, 2, 0, 0, 122, 19, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 9,
    2, 0, 0, 136, 19, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 10, 2, 0, 0, 150, 19, 0, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 11, 2, 0, 0, 179, 19, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 12, 2, 0, 0, 192, 19, 0, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 13, 2, 0, 0, 205, 19, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 14, 2, 0, 0, 218, 19, 0,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 15, 2, 0, 0, 232, 19, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 16, 2, 0, 0,
    246, 19, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 17, 2, 0, 0, 4, 20, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 18,
    2, 0, 0, 18, 20, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 19, 2, 0, 0, 32, 20, 0, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 20, 2, 0, 0, 46, 20, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 21, 2, 0, 0, 60, 20, 0, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 22, 2, 0, 0, 74, 20, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 23, 2, 0, 0, 88, 20, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 24, 2, 0, 0, 102, 20, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 25, 2, 0, 0, 116,
    20, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 26, 2, 0, 0, 130, 20, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 27, 2,
    0, 0, 144, 20, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 28, 2, 0, 0, 158, 20, 0, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 29, 2, 0, 0, 172, 20, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 30, 2, 0, 0, 186, 20, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 31, 2, 0, 0, 200, 20, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 32, 2, 0, 0, 214, 20, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 33, 2, 0, 0, 228, 20, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 34, 2, 0, 0, 242,
    20, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 35, 2, 0, 0, 3, 21, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 36, 2, 0,
    0, 17, 21, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 37, 2, 0, 0, 31, 21, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    38, 2, 0, 0, 45, 21, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 39, 2, 0, 0, 59, 21, 0, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 40, 2, 0, 0, 91, 21, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 41, 2, 0, 0, 100, 21, 0, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 42, 2, 0, 0, 113, 21, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 134, 1, 0, 0, 126, 21,
    0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 18, 2, 0, 0, 139, 21, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 123, 1, 0,
    0, 153, 21, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 43, 2, 0, 0, 161, 21, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    44, 2, 0, 0, 173, 21, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 45, 2, 0, 0, 196, 21, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 46, 2, 0, 0, 204, 21, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 44, 2, 0, 0, 216, 21, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 47, 2, 0, 0, 249, 21, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 48, 2, 0, 0, 2,
    22, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 49, 2, 0, 0, 15, 22, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 141, 1,
    0, 0, 29, 22, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 50, 2, 0, 0, 37, 22, 0, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 44, 2, 0, 0, 49, 22, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 51, 2, 0, 0, 91, 22, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 52, 2, 0, 0, 102, 22, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 53, 2, 0, 0, 114, 22, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 54, 2, 0, 0, 121, 22, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 55, 2, 0, 0, 130,
    22, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 56, 2, 0, 0, 143, 22, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 57, 2,
    0, 0, 156, 22, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 58, 2, 0, 0, 169, 22, 0, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 59, 2, 0, 0, 182, 22, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 60, 2, 0, 0, 195, 22, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 61, 2, 0, 0, 208, 22, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 166, 1, 0, 0, 221, 22, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 167, 1, 0, 0, 234, 22, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 62, 2, 0, 0,
    247, 22, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 63, 2, 0, 0, 4, 23, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 64,
    2, 0, 0, 17, 23, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 65, 2, 0, 0, 30, 23, 0, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 66, 2, 0, 0, 43, 23, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 67, 2, 0, 0, 56, 23, 0, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 68, 2, 0, 0, 69, 23, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 69, 2, 0, 0, 82, 23, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 70, 2, 0, 0, 95, 23, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 71, 2, 0, 0, 108,
    23, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 72, 2, 0, 0, 121, 23, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 73, 2,
    0, 0, 134, 23, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 74, 2, 0, 0, 147, 23, 0, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 75, 2, 0, 0, 160, 23, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 76, 2, 0, 0, 178, 23, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 77, 2, 0, 0, 190, 23, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 78, 2, 0, 0, 201, 23, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 79, 2, 0, 0, 218, 23, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 80, 2, 0, 0, 229,
    23, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 81, 2, 0, 0, 236, 23, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 82, 2,
    0, 0, 247, 23, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 83, 2, 0, 0, 2, 24, 0, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 79, 2, 0, 0, 25, 24, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 84, 2, 0, 0, 34, 24, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 85, 2, 0, 0, 47, 24, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 86, 2, 0, 0, 60, 24, 0, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 87, 2, 0, 0, 73, 24, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 88, 2, 0, 0, 86, 24,
    0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 89, 2, 0, 0, 99, 24, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 90, 2, 0, 0,
    112, 24, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 91, 2, 0, 0, 140, 24, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    92, 2, 0, 0, 184, 24, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 93, 2, 0, 0, 195, 24, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 94, 2, 0, 0, 210, 24, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 179, 1, 0, 0, 230, 24, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 95, 2, 0, 0, 237, 24, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 96, 2, 0, 0, 249,
    24, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 97, 2, 0, 0, 4, 25, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 123, 1,
    0, 0, 19, 25, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 98, 2, 0, 0, 34, 25, 0, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 99, 2, 0, 0, 49, 25, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 100, 2, 0, 0, 64, 25, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 101, 2, 0, 0, 79, 25, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 102, 2, 0, 0, 94, 25, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 103, 2, 0, 0, 109, 25, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 104, 2, 0, 0,
    124, 25, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 105, 2, 0, 0, 139, 25, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    106, 2, 0, 0, 154, 25, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 107, 2, 0, 0, 169, 25, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 108, 2, 0, 0, 184, 25, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 109, 2, 0, 0, 199, 25, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 110, 2, 0, 0, 214, 25, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 111, 2, 0, 0,
    229, 25, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 112, 2, 0, 0, 244, 25, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    113, 2, 0, 0, 3, 26, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 114, 2, 0, 0, 19, 26, 0, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 115, 2, 0, 0, 30, 26, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 116, 2, 0, 0, 45, 26, 0, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 117, 2, 0, 0, 60, 26, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 179, 1, 0, 0, 76, 26,
    0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 118, 2, 0, 0, 87, 26, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 119, 2, 0,
    0, 102, 26, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 120, 2, 0, 0, 117, 26, 0, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 121, 2, 0, 0, 132, 26, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 179, 1, 0, 0, 152, 26, 0, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 122, 2, 0, 0, 163, 26, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 123, 2, 0, 0, 170, 26, 0,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 124, 2, 0, 0, 177, 26, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 125, 2, 0, 0,
    188, 26, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 126, 2, 0, 0, 203, 26, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    127, 2, 0, 0, 218, 26, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 128, 2, 0, 0, 233, 26, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 179, 1, 0, 0, 253, 26, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 129, 2, 0, 0, 4, 27, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 130, 2, 0, 0, 11, 27, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 131, 2, 0, 0, 22,
    27, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 110, 2, 0, 0, 37, 27, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 132, 2,
    0, 0, 52, 27, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 133, 2, 0, 0, 67, 27, 0, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 134, 2, 0, 0, 83, 27, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 135, 2, 0, 0, 92, 27, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 136, 2, 0, 0, 105, 27, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 137, 2, 0, 0, 123, 27, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 138, 2, 0, 0, 135, 27, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 139, 2, 0, 0,
    170, 27, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 140, 2, 0, 0, 181, 27, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    94, 2, 0, 0, 196, 27, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 141, 2, 0, 0, 211, 27, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 142, 2, 0, 0, 226, 27, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 123, 1, 0, 0, 7, 28, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 143, 2, 0, 0, 18, 28, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 144, 2, 0, 0, 33,
    28, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 110, 2, 0, 0, 48, 28, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 145, 2,
    0, 0, 63, 28, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 146, 2, 0, 0, 79, 28, 0, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 147, 2, 0, 0, 90, 28, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 99, 2, 0, 0, 105, 28, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 148, 2, 0, 0, 120, 28, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 149, 2, 0, 0, 135, 28, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 150, 2, 0, 0, 150, 28, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 151, 2, 0, 0,
    166, 28, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 152, 2, 0, 0, 177, 28, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    153, 2, 0, 0, 198, 28, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 154, 2, 0, 0, 209, 28, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 155, 2, 0, 0, 224, 28, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 156, 2, 0, 0, 245, 28, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 157, 2, 0, 0, 0, 29, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 158, 2, 0, 0, 15,
    29, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 159, 2, 0, 0, 30, 29, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 160, 2,
    0, 0, 45, 29, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 161, 2, 0, 0, 60, 29, 0, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 162, 2, 0, 0, 75, 29, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 163, 2, 0, 0, 107, 29, 0, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 164, 2, 0, 0, 146, 29, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 165, 2, 0, 0, 161, 29, 0,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 166, 2, 0, 0, 171, 29, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 167, 2, 0, 0,
    184, 29, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 168, 2, 0, 0, 197, 29, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    169, 2, 0, 0, 210, 29, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 170, 2, 0, 0, 223, 29, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 171, 2, 0, 0, 236, 29, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 172, 2, 0, 0, 249, 29, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 173, 2, 0, 0, 6, 30, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 174, 2, 0, 0, 19,
    30, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 175, 2, 0, 0, 32, 30, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 176, 2,
    0, 0, 45, 30, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 177, 2, 0, 0, 58, 30, 0, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 178, 2, 0, 0, 71, 30, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 179, 2, 0, 0, 84, 30, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 180, 2, 0, 0, 97, 30, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 181, 2, 0, 0, 110, 30, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 182, 2, 0, 0, 123, 30, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 183, 2, 0, 0,
    136, 30, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 184, 2, 0, 0, 149, 30, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    185, 2, 0, 0, 162, 30, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 186, 2, 0, 0, 175, 30, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 187, 2, 0, 0, 188, 30, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 188, 2, 0, 0, 201, 30, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 189, 2, 0, 0, 214, 30, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 190, 2, 0, 0,
    227, 30, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 191, 2, 0, 0, 240, 30, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    192, 2, 0, 0, 253, 30, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 193, 2, 0, 0, 10, 31, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 194, 2, 0, 0, 23, 31, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 195, 2, 0, 0, 36, 31, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 196, 2, 0, 0, 49, 31, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 197, 2, 0, 0, 62,
    31, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 198, 2, 0, 0, 75, 31, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 199, 2,
    0, 0, 89, 31, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 200, 2, 0, 0, 103, 31, 0, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 201, 2, 0, 0, 117, 31, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 202, 2, 0, 0, 131, 31, 0, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 203, 2, 0, 0, 145, 31, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 204, 2, 0, 0, 159, 31, 0,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 205, 2, 0, 0, 173, 31, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 206, 2, 0, 0,
    187, 31, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 207, 2, 0, 0, 201, 31, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    208, 2, 0, 0, 215, 31, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 209, 2, 0, 0, 229, 31, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 210, 2, 0, 0, 243, 31, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 211, 2, 0, 0, 1, 32, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 212, 2, 0, 0, 15, 32, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 213, 2, 0, 0, 29,
    32, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 214, 2, 0, 0, 43, 32, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 215, 2,
    0, 0, 57, 32, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 216, 2, 0, 0, 71, 32, 0, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 217, 2, 0, 0, 85, 32, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 218, 2, 0, 0, 99, 32, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 219, 2, 0, 0, 113, 32, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 220, 2, 0, 0, 127, 32, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 221, 2, 0, 0, 141, 32, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 222, 2, 0, 0,
    155, 32, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 223, 2, 0, 0, 169, 32, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    224, 2, 0, 0, 183, 32, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 225, 2, 0, 0, 197, 32, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 226, 2, 0, 0, 211, 32, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 227, 2, 0, 0, 225, 32, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 228, 2, 0, 0, 239, 32, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 229, 2, 0, 0,
    253, 32, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 230, 2, 0, 0, 11, 33, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    231, 2, 0, 0, 25, 33, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 232, 2, 0, 0, 39, 33, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 233, 2, 0, 0, 53, 33, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 234, 2, 0, 0, 67, 33, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 235, 2, 0, 0, 81, 33, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 236, 2, 0, 0, 95,
    33, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 237, 2, 0, 0, 109, 33, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 238,
    2, 0, 0, 123, 33, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 239, 2, 0, 0, 137, 33, 0, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 240, 2, 0, 0, 151, 33, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 241, 2, 0, 0, 165, 33, 0, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 242, 2, 0, 0, 179, 33, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 243, 2, 0, 0, 193,
    33, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 244, 2, 0, 0, 207, 33, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 245,
    2, 0, 0, 19, 34, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 246, 2, 0, 0, 32, 34, 0, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 247, 2, 0, 0, 69, 34, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 44, 2, 0, 0, 82, 34, 0, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 47, 2, 0, 0, 109, 34, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 18, 2, 0, 0, 122, 34, 0,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 248, 2, 0, 0, 137, 34, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 249, 2, 0, 0,
    150, 34, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 134, 1, 0, 0, 178, 34, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    250, 2, 0, 0, 191, 34, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 251, 2, 0, 0, 219, 34, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 252, 2, 0, 0, 232, 34, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 253, 2, 0, 0, 246, 34, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 254, 2, 0, 0, 31, 35, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 255, 2, 0, 0, 44,
    35, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 0, 3, 0, 0, 58, 35, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 1, 3, 0,
    0, 72, 35, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 2, 3, 0, 0, 85, 35, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 3,
    3, 0, 0, 98, 35, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 4, 3, 0, 0, 111, 35, 0, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 5, 3, 0, 0, 124, 35, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 6, 3, 0, 0, 137, 35, 0, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 7, 3, 0, 0, 150, 35, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 8, 3, 0, 0, 163, 35, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 9, 3, 0, 0, 179, 35, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 10, 3, 0, 0, 195,
    35, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 11, 3, 0, 0, 211, 35, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 12, 3,
    0, 0, 227, 35, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 13, 3, 0, 0, 243, 35, 0, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 14, 3, 0, 0, 3, 36, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 15, 3, 0, 0, 16, 36, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 16, 3, 0, 0, 29, 36, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 17, 3, 0, 0, 42, 36, 0, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 18, 3, 0, 0, 58, 36, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 19, 3, 0, 0, 74, 36,
    0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 20, 3, 0, 0, 90, 36, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 21, 3, 0, 0,
    106, 36, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 22, 3, 0, 0, 122, 36, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    23, 3, 0, 0, 138, 36, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 24, 3, 0, 0, 154, 36, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 25, 3, 0, 0, 170, 36, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 26, 3, 0, 0, 186, 36, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 27, 3, 0, 0, 202, 36, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 28, 3, 0, 0, 218,
    36, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 29, 3, 0, 0, 234, 36, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 30, 3,
    0, 0, 250, 36, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 31, 3, 0, 0, 7, 37, 0, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 32, 3, 0, 0, 23, 37, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 33, 3, 0, 0, 39, 37, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 34, 3, 0, 0, 55, 37, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 35, 3, 0, 0, 71, 37, 0, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 36, 3, 0, 0, 87, 37, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 37, 3, 0, 0, 103, 37,
    0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 38, 3, 0, 0, 119, 37, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 39, 3, 0,
    0, 135, 37, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 40, 3, 0, 0, 151, 37, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    41, 3, 0, 0, 167, 37, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 42, 3, 0, 0, 183, 37, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 43, 3, 0, 0, 199, 37, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 44, 3, 0, 0, 215, 37, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 45, 3, 0, 0, 231, 37, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 46, 3, 0, 0, 247,
    37, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 47, 3, 0, 0, 7, 38, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 48, 3, 0,
    0, 34, 38, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 49, 3, 0, 0, 61, 38, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    50, 3, 0, 0, 74, 38, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 51, 3, 0, 0, 89, 38, 0, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 52, 3, 0, 0, 102, 38, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 53, 3, 0, 0, 115, 38, 0, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 54, 3, 0, 0, 128, 38, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 55, 3, 0, 0, 141, 38,
    0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 56, 3, 0, 0, 168, 38, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 57, 3, 0,
    0, 181, 38, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 58, 3, 0, 0, 195, 38, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    59, 3, 0, 0, 222, 38, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 60, 3, 0, 0, 235, 38, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 61, 3, 0, 0, 7, 39, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 62, 3, 0, 0, 20, 39, 0, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 63, 3, 0, 0, 34, 39, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 64, 3, 0, 0, 47, 39,
    0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 65, 3, 0, 0, 60, 39, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 66, 3, 0, 0,
    73, 39, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 67, 3, 0, 0, 86, 39, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 68,
    3, 0, 0, 99, 39, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 69, 3, 0, 0, 112, 39, 0, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 70, 3, 0, 0, 125, 39, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 71, 3, 0, 0, 138, 39, 0, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 72, 3, 0, 0, 151, 39, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 73, 3, 0, 0, 164, 39, 0,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 74, 3, 0, 0, 177, 39, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 114, 2, 0, 0,
    190, 39, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 75, 3, 0, 0, 203, 39, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    76, 3, 0, 0, 216, 39, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 77, 3, 0, 0, 230, 39, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 78, 3, 0, 0, 239, 39, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 79, 3, 0, 0, 252, 39, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 80, 3, 0, 0, 9, 40, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 81, 3, 0, 0, 33,
    40, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 82, 3, 0, 0, 43, 40, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 83, 3,
    0, 0, 56, 40, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 84, 3, 0, 0, 69, 40, 0, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 85, 3, 0, 0, 82, 40, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 86, 3, 0, 0, 95, 40, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 87, 3, 0, 0, 108, 40, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 88, 3, 0, 0, 121, 40, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 89, 3, 0, 0, 134, 40, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 90, 3, 0, 0, 152,
    40, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 91, 3, 0, 0, 165, 40, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 3, 3,
    0, 0, 178, 40, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 74, 3, 0, 0, 191, 40, 0, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 72, 3, 0, 0, 205, 40, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 92, 3, 0, 0, 219, 40, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 93, 3, 0, 0, 233, 40, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 94, 3, 0, 0, 247, 40, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 95, 3, 0, 0, 5, 41, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 96, 3, 0, 0, 34,
    41, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 97, 3, 0, 0, 47, 41, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 98, 3,
    0, 0, 61, 41, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 99, 3, 0, 0, 75, 41, 0, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 100, 3, 0, 0, 89, 41, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 101, 3, 0, 0, 103, 41, 0, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 102, 3, 0, 0, 117, 41, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 103, 3, 0, 0, 131, 41, 0,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 104, 3, 0, 0, 145, 41, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 105, 3, 0, 0,
    159, 41, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 106, 3, 0, 0, 188, 41, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    107, 3, 0, 0, 201, 41, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 108, 3, 0, 0, 215, 41, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 109, 3, 0, 0, 229, 41, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 110, 3, 0, 0, 243, 41, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 111, 3, 0, 0, 1, 42, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 112, 3, 0, 0, 15,
    42, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 113, 3, 0, 0, 29, 42, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 114, 3,
    0, 0, 43, 42, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 115, 3, 0, 0, 57, 42, 0, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 116, 3, 0, 0, 71, 42, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 117, 3, 0, 0, 85, 42, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 118, 3, 0, 0, 99, 42, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 119, 3, 0, 0, 113, 42, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 120, 3, 0, 0, 127, 42, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 121, 3, 0, 0,
    141, 42, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 122, 3, 0, 0, 155, 42, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    123, 3, 0, 0, 169, 42, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 124, 3, 0, 0, 183, 42, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 125, 3, 0, 0, 197, 42, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 126, 3, 0, 0, 211, 42, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 127, 3, 0, 0, 225, 42, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 128, 3, 0, 0,
    239, 42, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 129, 3, 0, 0, 0, 43, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    130, 3, 0, 0, 17, 43, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 131, 3, 0, 0, 34, 43, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 132, 3, 0, 0, 51, 43, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 133, 3, 0, 0, 68, 43, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 134, 3, 0, 0, 82, 43, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 135, 3, 0, 0, 96,
    43, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 136, 3, 0, 0, 110, 43, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 137,
    3, 0, 0, 124, 43, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 138, 3, 0, 0, 138, 43, 0, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 139, 3, 0, 0, 152, 43, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 140, 3, 0, 0, 166, 43, 0, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 141, 3, 0, 0, 180, 43, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 142, 3, 0, 0, 194,
    43, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 143, 3, 0, 0, 208, 43, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 144,
    3, 0, 0, 222, 43, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 145, 3, 0, 0, 236, 43, 0, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 146, 3, 0, 0, 250, 43, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 147, 3, 0, 0, 8, 44, 0, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 148, 3, 0, 0, 22, 44, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 149, 3, 0, 0, 36, 44,
    0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 150, 3, 0, 0, 50, 44, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 151, 3, 0,
    0, 64, 44, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 152, 3, 0, 0, 78, 44, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    153, 3, 0, 0, 92, 44, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 154, 3, 0, 0, 106, 44, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 155, 3, 0, 0, 123, 44, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 156, 3, 0, 0, 140, 44, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 157, 3, 0, 0, 157, 44, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 158, 3, 0, 0,
    171, 44, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 159, 3, 0, 0, 185, 44, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    160, 3, 0, 0, 199, 44, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 161, 3, 0, 0, 213, 44, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 162, 3, 0, 0, 227, 44, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 163, 3, 0, 0, 241, 44, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 164, 3, 0, 0, 255, 44, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 165, 3, 0, 0,
    13, 45, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 166, 3, 0, 0, 27, 45, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    167, 3, 0, 0, 41, 45, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 168, 3, 0, 0, 55, 45, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 169, 3, 0, 0, 69, 45, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 170, 3, 0, 0, 83, 45, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 171, 3, 0, 0, 97, 45, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 172, 3, 0, 0,
    112, 45, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 173, 3, 0, 0, 135, 45, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    174, 3, 0, 0, 162, 45, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 175, 3, 0, 0, 175, 45, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 176, 3, 0, 0, 204, 45, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 177, 3, 0, 0, 217, 45, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 178, 3, 0, 0, 245, 45, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 179, 3, 0, 0,
    16, 46, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 180, 3, 0, 0, 29, 46, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    181, 3, 0, 0, 44, 46, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 182, 3, 0, 0, 57, 46, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 183, 3, 0, 0, 70, 46, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 184, 3, 0, 0, 86, 46, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 185, 3, 0, 0, 102, 46, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 186, 3, 0, 0,
    118, 46, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 187, 3, 0, 0, 134, 46, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    188, 3, 0, 0, 161, 46, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 189, 3, 0, 0, 174, 46, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 190, 3, 0, 0, 188, 46, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 191, 3, 0, 0, 201, 46, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 192, 3, 0, 0, 214, 46, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 193, 3, 0, 0,
    227, 46, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 194, 3, 0, 0, 240, 46, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    195, 3, 0, 0, 11, 47, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 196, 3, 0, 0, 24, 47, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 197, 3, 0, 0, 37, 47, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 198, 3, 0, 0, 51, 47, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 199, 3, 0, 0, 78, 47, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 200, 3, 0, 0, 91,
    47, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 201, 3, 0, 0, 105, 47, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 202,
    3, 0, 0, 118, 47, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 203, 3, 0, 0, 145, 47, 0, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 204, 3, 0, 0, 158, 47, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 205, 3, 0, 0, 171, 47, 0, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 206, 3, 0, 0, 185, 47, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 207, 3, 0, 0, 198,
    47, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 208, 3, 0, 0, 225, 47, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 209,
    3, 0, 0, 238, 47, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 210, 3, 0, 0, 251, 47, 0, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 211, 3, 0, 0, 14, 48, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 212, 3, 0, 0, 26, 48, 0, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 213, 3, 0, 0, 50, 48, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 214, 3, 0, 0, 62, 48,
    0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 215, 3, 0, 0, 80, 48, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 216, 3, 0,
    0, 90, 48, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 217, 3, 0, 0, 103, 48, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    218, 3, 0, 0, 116, 48, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 219, 3, 0, 0, 129, 48, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 220, 3, 0, 0, 142, 48, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 221, 3, 0, 0, 155, 48, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 222, 3, 0, 0, 168, 48, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 223, 3, 0, 0,
    181, 48, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 224, 3, 0, 0, 194, 48, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    225, 3, 0, 0, 207, 48, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 226, 3, 0, 0, 220, 48, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 227, 3, 0, 0, 233, 48, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 228, 3, 0, 0, 246, 48, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 229, 3, 0, 0, 3, 49, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 230, 3, 0, 0, 16,
    49, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 231, 3, 0, 0, 29, 49, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 232, 3,
    0, 0, 42, 49, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 233, 3, 0, 0, 55, 49, 0, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 234, 3, 0, 0, 68, 49, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 235, 3, 0, 0, 81, 49, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 236, 3, 0, 0, 94, 49, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 54, 3, 0, 0, 107, 49, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 237, 3, 0, 0, 120, 49, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 238, 3, 0, 0,
    133, 49, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 239, 3, 0, 0, 146, 49, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    240, 3, 0, 0, 159, 49, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 241, 3, 0, 0, 172, 49, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 242, 3, 0, 0, 185, 49, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 243, 3, 0, 0, 198, 49, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 244, 3, 0, 0, 211, 49, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 245, 3, 0, 0,
    224, 49, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 246, 3, 0, 0, 237, 49, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    247, 3, 0, 0, 250, 49, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 248, 3, 0, 0, 8, 50, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 249, 3, 0, 0, 22, 50, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 250, 3, 0, 0, 36, 50, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 251, 3, 0, 0, 50, 50, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 252, 3, 0, 0, 64,
    50, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 253, 3, 0, 0, 78, 50, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 254, 3,
    0, 0, 92, 50, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 255, 3, 0, 0, 106, 50, 0, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 0, 4, 0, 0, 120, 50, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 1, 4, 0, 0, 134, 50, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 2, 4, 0, 0, 148, 50, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 3, 4, 0, 0, 162, 50, 0, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 4, 4, 0, 0, 176, 50, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 5, 4, 0, 0, 190, 50,
    0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 6, 4, 0, 0, 204, 50, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 7, 4, 0, 0,
    223, 50, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 8, 4, 0, 0, 236, 50, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 9,
    4, 0, 0, 249, 50, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 10, 4, 0, 0, 6, 51, 0, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 11, 4, 0, 0, 20, 51, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 12, 4, 0, 0, 34, 51, 0, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 123, 1, 0, 0, 48, 51, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 13, 4, 0, 0, 62, 51, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 14, 4, 0, 0, 186, 51, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 15, 4, 0, 0, 193,
    51, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 16, 4, 0, 0, 55, 52, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 17, 4,
    0, 0, 82, 52, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 18, 4, 0, 0, 95, 52, 0, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 19, 4, 0, 0, 109, 52, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 20, 4, 0, 0, 219, 52, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 21, 4, 0, 0, 228, 52, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 22, 4, 0, 0, 241, 52, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 23, 4, 0, 0, 254, 52, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 24, 4, 0, 0, 25,
    53, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 25, 4, 0, 0, 38, 53, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 26, 4,
    0, 0, 52, 53, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 27, 4, 0, 0, 68, 53, 0, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 28, 4, 0, 0, 81, 53, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 29, 4, 0, 0, 94, 53, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 30, 4, 0, 0, 108, 53, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 31, 4, 0, 0, 117, 53, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 9, 0, 0, 0, 130, 53, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 32, 4, 0, 0, 143,
    53, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 33, 4, 0, 0, 170, 53, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 34, 4,
    0, 0, 183, 53, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 35, 4, 0, 0, 196, 53, 0, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 36, 4, 0, 0, 209, 53, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 37, 4, 0, 0, 237, 53, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 38, 4, 0, 0, 8, 54, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 74, 3, 0, 0, 21, 54, 0, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 39, 4, 0, 0, 41, 54, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 40, 4, 0, 0, 52, 54,
    0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 41, 4, 0, 0, 63, 54, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 42, 4, 0, 0,
    80, 54, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 43, 4, 0, 0, 89, 54, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 44,
    4, 0, 0, 102, 54, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 45, 4, 0, 0, 126, 54, 0, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 35, 4, 0, 0, 135, 54, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 44, 4, 0, 0, 148, 54, 0, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 45, 4, 0, 0, 172, 54, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 46, 4, 0, 0, 181, 54, 0,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 47, 4, 0, 0, 194, 54, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 48, 4, 0, 0,
    207, 54, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 49, 4, 0, 0, 226, 54, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    50, 4, 0, 0, 235, 54, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 179, 1, 0, 0, 20, 55, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 51, 4, 0, 0, 33, 55, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 52, 4, 0, 0, 46, 55, 0, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 122, 1, 0, 0, 59, 55, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 89, 2, 0, 0, 87, 55,
    0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 53, 4, 0, 0, 129, 55, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 54, 4, 0,
    0, 156, 55, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 44, 2, 0, 0, 169, 55, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    55, 4, 0, 0, 182, 55, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 56, 4, 0, 0, 197, 55, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 57, 4, 0, 0, 210, 55, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 58, 4, 0, 0, 237, 55, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 59, 4, 0, 0, 250, 55, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 60, 4, 0, 0, 21,
    56, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 61, 4, 0, 0, 37, 56, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 62, 4,
    0, 0, 53, 56, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 63, 4, 0, 0, 86, 56, 0, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 64, 4, 0, 0, 99, 56, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 65, 4, 0, 0, 112, 56, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 66, 4, 0, 0, 125, 56, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 67, 4, 0, 0, 138, 56, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 68, 4, 0, 0, 166, 56, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 69, 4, 0, 0, 179,
    56, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 70, 4, 0, 0, 192, 56, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 71, 4,
    0, 0, 220, 56, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 72, 4, 0, 0, 233, 56, 0, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 73, 4, 0, 0, 246, 56, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 74, 4, 0, 0, 17, 57, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 75, 4, 0, 0, 30, 57, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 76, 4, 0, 0, 44, 57, 0, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 77, 4, 0, 0, 72, 57, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 78, 4, 0, 0, 85, 57,
    0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 79, 4, 0, 0, 99, 57, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 50, 2, 0, 0,
    127, 57, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 80, 4, 0, 0, 140, 57, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    81, 4, 0, 0, 153, 57, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 82, 4, 0, 0, 166, 57, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 83, 4, 0, 0, 180, 57, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 84, 4, 0, 0, 207, 57, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 85, 4, 0, 0, 220, 57, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 86, 4, 0, 0, 240,
    57, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 87, 4, 0, 0, 249, 57, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 88, 4,
    0, 0, 6, 58, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 89, 4, 0, 0, 19, 58, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    90, 4, 0, 0, 32, 58, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 91, 4, 0, 0, 45, 58, 0, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 92, 4, 0, 0, 58, 58, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 93, 4, 0, 0, 71, 58, 0, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 94, 4, 0, 0, 84, 58, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 95, 4, 0, 0, 97, 58, 0,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 96, 4, 0, 0, 110, 58, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 97, 4, 0, 0,
    123, 58, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 98, 4, 0, 0, 136, 58, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    179, 1, 0, 0, 149, 58, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 99, 4, 0, 0, 162, 58, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 100, 4, 0, 0, 175, 58, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 101, 4, 0, 0, 188, 58, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 102, 4, 0, 0, 207, 58, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 103, 4, 0, 0,
    217, 58, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 104, 4, 0, 0, 230, 58, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    105, 4, 0, 0, 243, 58, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 106, 4, 0, 0, 0, 59, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 107, 4, 0, 0, 13, 59, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 108, 4, 0, 0, 26, 59, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 109, 4, 0, 0, 39, 59, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 110, 4, 0, 0, 52,
    59, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 111, 4, 0, 0, 65, 59, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 112, 4,
    0, 0, 78, 59, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 113, 4, 0, 0, 91, 59, 0, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 114, 4, 0, 0, 104, 59, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 115, 4, 0, 0, 131, 59, 0, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 116, 4, 0, 0, 144, 59, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 117, 4, 0, 0, 158, 59, 0,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 118, 4, 0, 0, 171, 59, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 119, 4, 0, 0,
    184, 59, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 120, 4, 0, 0, 197, 59, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    121, 4, 0, 0, 210, 59, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 122, 4, 0, 0, 223, 59, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 123, 4, 0, 0, 236, 59, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 124, 4, 0, 0, 249, 59, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 125, 4, 0, 0, 6, 60, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 126, 4, 0, 0, 19,
    60, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 127, 4, 0, 0, 32, 60, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 128, 4,
    0, 0, 45, 60, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 129, 4, 0, 0, 58, 60, 0, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 130, 4, 0, 0, 71, 60, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 131, 4, 0, 0, 84, 60, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 132, 4, 0, 0, 97, 60, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 133, 4, 0, 0, 110, 60, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 134, 4, 0, 0, 123, 60, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 135, 4, 0, 0,
    137, 60, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 136, 4, 0, 0, 151, 60, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    137, 4, 0, 0, 165, 60, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 138, 4, 0, 0, 179, 60, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 139, 4, 0, 0, 193, 60, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 140, 4, 0, 0, 222, 60, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 141, 4, 0, 0, 235, 60, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 142, 4, 0, 0,
    249, 60, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 143, 4, 0, 0, 7, 61, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    144, 4, 0, 0, 21, 61, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 145, 4, 0, 0, 35, 61, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 146, 4, 0, 0, 49, 61, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 147, 4, 0, 0, 63, 61, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 148, 4, 0, 0, 92, 61, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 149, 4, 0, 0,
    105, 61, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 150, 4, 0, 0, 119, 61, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    151, 4, 0, 0, 133, 61, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 152, 4, 0, 0, 147, 61, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 153, 4, 0, 0, 176, 61, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 154, 4, 0, 0, 189, 61, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 155, 4, 0, 0, 202, 61, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 156, 4, 0, 0,
    215, 61, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 157, 4, 0, 0, 228, 61, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    158, 4, 0, 0, 242, 61, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 159, 4, 0, 0, 0, 62, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 160, 4, 0, 0, 14, 62, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 161, 4, 0, 0, 28, 62, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 162, 4, 0, 0, 42, 62, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 163, 4, 0, 0, 56,
    62, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 164, 4, 0, 0, 75, 62, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 165, 4,
    0, 0, 86, 62, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 166, 4, 0, 0, 99, 62, 0, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 167, 4, 0, 0, 117, 62, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 168, 4, 0, 0, 128, 62, 0, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 169, 4, 0, 0, 139, 62, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 170, 4, 0, 0, 152, 62, 0,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 167, 4, 0, 0, 170, 62, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 171, 4, 0, 0,
    181, 62, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 172, 4, 0, 0, 193, 62, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    173, 4, 0, 0, 202, 62, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 174, 4, 0, 0, 215, 62, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 175, 4, 0, 0, 228, 62, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 176, 4, 0, 0, 241, 62, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 177, 4, 0, 0, 3, 63, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 178, 4, 0, 0, 11,
    63, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 179, 4, 0, 0, 20, 63, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 180, 4,
    0, 0, 46, 63, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 181, 4, 0, 0, 55, 63, 0, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 182, 4, 0, 0, 68, 63, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 183, 4, 0, 0, 95, 63, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 184, 4, 0, 0, 108, 63, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 185, 4, 0, 0, 133, 63, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 186, 4, 0, 0, 142, 63, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 187, 4, 0, 0,
    155, 63, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 188, 4, 0, 0, 168, 63, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    189, 4, 0, 0, 181, 63, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 190, 4, 0, 0, 194, 63, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 191, 4, 0, 0, 207, 63, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 192, 4, 0, 0, 220, 63, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 193, 4, 0, 0, 233, 63, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 194, 4, 0, 0,
    246, 63, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 195, 4, 0, 0, 3, 64, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    196, 4, 0, 0, 16, 64, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 197, 4, 0, 0, 29, 64, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 198, 4, 0, 0, 42, 64, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 199, 4, 0, 0, 55, 64, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 200, 4, 0, 0, 68, 64, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 201, 4, 0, 0, 81,
    64, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 202, 4, 0, 0, 94, 64, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 203, 4,
    0, 0, 107, 64, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 204, 4, 0, 0, 120, 64, 0, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 205, 4, 0, 0, 133, 64, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 206, 4, 0, 0, 146, 64, 0, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 207, 4, 0, 0, 191, 64, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 208, 4, 0, 0, 200, 64,
    0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 209, 4, 0, 0, 213, 64, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 210, 4, 0,
    0, 226, 64, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 211, 4, 0, 0, 239, 64, 0, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 212, 4, 0, 0, 252, 64, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 213, 4, 0, 0, 9, 65, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 214, 4, 0, 0, 22, 65, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 215, 4, 0, 0, 35, 65, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 216, 4, 0, 0, 48, 65, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 217, 4, 0, 0, 61,
    65, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 218, 4, 0, 0, 74, 65, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 219, 4,
    0, 0, 87, 65, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 220, 4, 0, 0, 114, 65, 0, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 221, 4, 0, 0, 127, 65, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 222, 4, 0, 0, 141, 65, 0, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 223, 4, 0, 0, 154, 65, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 224, 4, 0, 0, 167, 65, 0,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 225, 4, 0, 0, 185, 65, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 226, 4, 0, 0,
    198, 65, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 227, 4, 0, 0, 211, 65, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    228, 4, 0, 0, 230, 65, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 229, 4, 0, 0, 238, 65, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 230, 4, 0, 0, 247, 65, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 231, 4, 0, 0, 9, 66, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 232, 4, 0, 0, 17, 66, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 231, 4, 0, 0, 26,
    66, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 233, 4, 0, 0, 40, 66, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 234, 4,
    0, 0, 49, 66, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 44, 2, 0, 0, 62, 66, 0, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 45, 2, 0, 0, 86, 66, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 235, 4, 0, 0, 123, 66, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 54, 3, 0, 0, 136, 66, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 3, 3, 0, 0, 150, 66, 0, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 236, 4, 0, 0, 164, 66, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 123, 1, 0, 0, 182,
    66, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 237, 4, 0, 0, 211, 66, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 238,
    4, 0, 0, 234, 66, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 239, 4, 0, 0, 5, 67, 0, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 240, 4, 0, 0, 18, 67, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 33, 4, 0, 0, 38, 67, 0, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 241, 4, 0, 0, 45, 67, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 242, 4, 0, 0, 65, 67, 0,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 243, 4, 0, 0, 79, 67, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 244, 4, 0, 0,
    87, 67, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 245, 4, 0, 0, 104, 67, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    246, 4, 0, 0, 111, 67, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 247, 4, 0, 0, 131, 67, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 167, 4, 0, 0, 155, 67, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 248, 4, 0, 0, 167, 67, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 249, 4, 0, 0, 192, 67, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 250, 4, 0, 0,
    204, 67, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 72, 3, 0, 0, 223, 67, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    251, 4, 0, 0, 234, 67, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 252, 4, 0, 0, 251, 67, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 253, 4, 0, 0, 4, 68, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 254, 4, 0, 0, 17, 68, 0, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 255, 4, 0, 0, 30, 68, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 211, 4, 0, 0, 43,
    68, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 0, 5, 0, 0, 56, 68, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 1, 5, 0,
    0, 69, 68, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 2, 5, 0, 0, 82, 68, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 3,
    5, 0, 0, 95, 68, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 4, 5, 0, 0, 108, 68, 0, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 5, 5, 0, 0, 121, 68, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 6, 5, 0, 0, 134, 68, 0, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 7, 5, 0, 0, 147, 68, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 8, 5, 0, 0, 160, 68, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 9, 5, 0, 0, 124, 69, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 10, 5, 0, 0, 133,
    69, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 11, 5, 0, 0, 146, 69, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 12, 5,
    0, 0, 159, 69, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 13, 5, 0, 0, 178, 69, 0, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 14, 5, 0, 0, 188, 69, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 15, 5, 0, 0, 201, 69, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 16, 5, 0, 0, 214, 69, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 17, 5, 0, 0, 227, 69, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 18, 5, 0, 0, 240, 69, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 19, 5, 0, 0, 253,
    69, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 20, 5, 0, 0, 10, 70, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 21, 5,
    0, 0, 23, 70, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 22, 5, 0, 0, 36, 70, 0, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 23, 5, 0, 0, 49, 70, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 24, 5, 0, 0, 62, 70, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 25, 5, 0, 0, 75, 70, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 26, 5, 0, 0, 88, 70, 0, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 27, 5, 0, 0, 101, 70, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 28, 5, 0, 0, 114,
    70, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 29, 5, 0, 0, 127, 70, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 30, 5,
    0, 0, 140, 70, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 31, 5, 0, 0, 153, 70, 0, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 32, 5, 0, 0, 166, 70, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 33, 5, 0, 0, 179, 70, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 34, 5, 0, 0, 192, 70, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 35, 5, 0, 0, 205, 70, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 36, 5, 0, 0, 218, 70, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 37, 5, 0, 0, 231,
    70, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 38, 5, 0, 0, 244, 70, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 39, 5,
    0, 0, 1, 71, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 40, 5, 0, 0, 14, 71, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    41, 5, 0, 0, 27, 71, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 42, 5, 0, 0, 40, 71, 0, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 43, 5, 0, 0, 54, 71, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 44, 5, 0, 0, 68, 71, 0, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 45, 5, 0, 0, 82, 71, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 46, 5, 0, 0, 96, 71, 0,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 47, 5, 0, 0, 110, 71, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 48, 5, 0, 0,
    124, 71, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 49, 5, 0, 0, 138, 71, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    50, 5, 0, 0, 152, 71, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 51, 5, 0, 0, 166, 71, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 52, 5, 0, 0, 180, 71, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 53, 5, 0, 0, 194, 71, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 54, 5, 0, 0, 208, 71, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 55, 5, 0, 0, 222,
    71, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 56, 5, 0, 0, 236, 71, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 57, 5,
    0, 0, 250, 71, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 58, 5, 0, 0, 8, 72, 0, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 59, 5, 0, 0, 22, 72, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 60, 5, 0, 0, 36, 72, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 61, 5, 0, 0, 50, 72, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 62, 5, 0, 0, 64, 72, 0, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 63, 5, 0, 0, 78, 72, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 64, 5, 0, 0, 92, 72,
    0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 65, 5, 0, 0, 106, 72, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 66, 5, 0,
    0, 120, 72, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 67, 5, 0, 0, 134, 72, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    68, 5, 0, 0, 148, 72, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 69, 5, 0, 0, 162, 72, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 70, 5, 0, 0, 176, 72, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 71, 5, 0, 0, 190, 72, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 72, 5, 0, 0, 204, 72, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 73, 5, 0, 0, 218,
    72, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 74, 5, 0, 0, 232, 72, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 75, 5,
    0, 0, 246, 72, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 76, 5, 0, 0, 4, 73, 0, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 77, 5, 0, 0, 23, 73, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 78, 5, 0, 0, 34, 73, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 79, 5, 0, 0, 45, 73, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 80, 5, 0, 0, 56, 73, 0, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 81, 5, 0, 0, 68, 73, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 82, 5, 0, 0, 76, 73,
    0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 123, 1, 0, 0, 88, 73, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 83, 5, 0,
    0, 100, 73, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 84, 5, 0, 0, 112, 73, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    85, 5, 0, 0, 124, 73, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 86, 5, 0, 0, 136, 73, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 87, 5, 0, 0, 148, 73, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 12, 4, 0, 0, 160, 73, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 44, 2, 0, 0, 172, 73, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 88, 5, 0, 0, 184,
    73, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 89, 5, 0, 0, 196, 73, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 90, 5,
    0, 0, 208, 73, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 91, 5, 0, 0, 220, 73, 0, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 92, 5, 0, 0, 232, 73, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 93, 5, 0, 0, 244, 73, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 94, 5, 0, 0, 0, 74, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 95, 5, 0, 0, 34, 74, 0, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 96, 5, 0, 0, 43, 74, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 97, 5, 0, 0, 56, 74,
    0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 98, 5, 0, 0, 69, 74, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 99, 5, 0, 0,
    82, 74, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 100, 5, 0, 0, 95, 74, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    101, 5, 0, 0, 108, 74, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 102, 5, 0, 0, 121, 74, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 103, 5, 0, 0, 134, 74, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 104, 5, 0, 0, 147, 74, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 105, 5, 0, 0, 160, 74, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 106, 5, 0, 0,
    173, 74, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 107, 5, 0, 0, 186, 74, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    108, 5, 0, 0, 199, 74, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 46, 5, 0, 0, 212, 74, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 109, 5, 0, 0, 225, 74, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 110, 5, 0, 0, 238, 74, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 26, 5, 0, 0, 251, 74, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 111, 5, 0, 0, 8,
    75, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 112, 5, 0, 0, 24, 75, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 113, 5,
    0, 0, 40, 75, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 114, 5, 0, 0, 56, 75, 0, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 115, 5, 0, 0, 72, 75, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 116, 5, 0, 0, 99, 75, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 117, 5, 0, 0, 108, 75, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 118, 5, 0, 0, 121, 75, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 119, 5, 0, 0, 134, 75, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 120, 5, 0, 0,
    147, 75, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 121, 5, 0, 0, 160, 75, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    122, 5, 0, 0, 173, 75, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 123, 5, 0, 0, 246, 75, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 124, 5, 0, 0, 255, 75, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 125, 5, 0, 0, 12, 76, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 9, 0, 0, 0, 42, 76, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 126, 5, 0, 0, 55,
    76, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 127, 5, 0, 0, 68, 76, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 123, 1,
    0, 0, 81, 76, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 128, 5, 0, 0, 95, 76, 0, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 129, 5, 0, 0, 108, 76, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 130, 5, 0, 0, 127, 76, 0, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 131, 5, 0, 0, 136, 76, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 123, 1, 0, 0, 149, 76, 0,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 132, 5, 0, 0, 162, 76, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 133, 5, 0, 0,
    175, 76, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 134, 5, 0, 0, 188, 76, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    135, 5, 0, 0, 207, 76, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 136, 5, 0, 0, 216, 76, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 134, 1, 0, 0, 229, 76, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 123, 1, 0, 0, 242, 76, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 137, 5, 0, 0, 255, 76, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 138, 5, 0, 0,
    12, 77, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 139, 5, 0, 0, 25, 77, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 18,
    2, 0, 0, 38, 77, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 106, 2, 0, 0, 51, 77, 0, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 140, 5, 0, 0, 64, 77, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 141, 5, 0, 0, 77, 77, 0, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 142, 5, 0, 0, 90, 77, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 143, 5, 0, 0, 103, 77, 0,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 144, 5, 0, 0, 116, 77, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 145, 5, 0, 0,
    129, 77, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 9, 0, 0, 0, 142, 77, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    146, 5, 0, 0, 156, 77, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 147, 5, 0, 0, 165, 77, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 148, 5, 0, 0, 178, 77, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 149, 5, 0, 0, 205, 77, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 150, 5, 0, 0, 218, 77, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 151, 5, 0, 0,
    232, 77, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 152, 5, 0, 0, 245, 77, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    153, 5, 0, 0, 7, 78, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 154, 5, 0, 0, 15, 78, 0, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 155, 5, 0, 0, 24, 78, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 156, 5, 0, 0, 67, 78, 0, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 128, 5, 0, 0, 77, 78, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 157, 5, 0, 0, 95, 78,
    0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 158, 5, 0, 0, 108, 78, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 159, 5, 0,
    0, 122, 78, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 160, 5, 0, 0, 135, 78, 0, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 161, 5, 0, 0, 148, 78, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 162, 5, 0, 0, 161, 78, 0, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 163, 5, 0, 0, 174, 78, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 164, 5, 0, 0, 187, 78, 0,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 165, 5, 0, 0, 200, 78, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 166, 5, 0, 0,
    213, 78, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 167, 5, 0, 0, 226, 78, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    168, 5, 0, 0, 239, 78, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 169, 5, 0, 0, 252, 78, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 170, 5, 0, 0, 9, 79, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 171, 5, 0, 0, 22, 79, 0, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 172, 5, 0, 0, 35, 79, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 173, 5, 0, 0, 48,
    79, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 174, 5, 0, 0, 61, 79, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 102, 4,
    0, 0, 74, 79, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 175, 5, 0, 0, 87, 79, 0, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 176, 5, 0, 0, 100, 79, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 177, 5, 0, 0, 113, 79, 0, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 178, 5, 0, 0, 126, 79, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 179, 5, 0, 0, 140, 79, 0,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 180, 5, 0, 0, 149, 79, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 44, 2, 0, 0,
    168, 79, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 181, 5, 0, 0, 177, 79, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    182, 5, 0, 0, 190, 79, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 208, 4, 0, 0, 214, 79, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 183, 5, 0, 0, 223, 79, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 12, 4, 0, 0, 235, 79, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 184, 5, 0, 0, 247, 79, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 185, 5, 0, 0, 3,
    80, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 186, 5, 0, 0, 15, 80, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 187, 5,
    0, 0, 27, 80, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 188, 5, 0, 0, 39, 80, 0, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 189, 5, 0, 0, 51, 80, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 190, 5, 0, 0, 64, 80, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 191, 5, 0, 0, 77, 80, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 192, 5, 0, 0, 90, 80, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 193, 5, 0, 0, 103, 80, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 229, 3, 0, 0,
    116, 80, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 194, 5, 0, 0, 129, 80, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    195, 5, 0, 0, 142, 80, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 196, 5, 0, 0, 155, 80, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 197, 5, 0, 0, 168, 80, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 198, 5, 0, 0, 181, 80, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 199, 5, 0, 0, 194, 80, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 200, 5, 0, 0,
    207, 80, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 240, 4, 0, 0, 220, 80, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    232, 3, 0, 0, 233, 80, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 201, 5, 0, 0, 246, 80, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 202, 5, 0, 0, 3, 81, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 203, 5, 0, 0, 16, 81, 0, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 204, 5, 0, 0, 29, 81, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 205, 5, 0, 0, 42,
    81, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 206, 5, 0, 0, 55, 81, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 207, 5,
    0, 0, 68, 81, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 208, 5, 0, 0, 81, 81, 0, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 209, 5, 0, 0, 94, 81, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 210, 5, 0, 0, 107, 81, 0, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 211, 5, 0, 0, 126, 81, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 212, 5, 0, 0, 136, 81, 0,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 146, 1, 0, 0, 149, 81, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 134, 1, 0, 0,
    162, 81, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 123, 1, 0, 0, 175, 81, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    213, 5, 0, 0, 188, 81, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 214, 5, 0, 0, 201, 81, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 215, 5, 0, 0, 214, 81, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 216, 5, 0, 0, 227, 81, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 217, 5, 0, 0, 240, 81, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 218, 5, 0, 0,
    253, 81, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 219, 5, 0, 0, 10, 82, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    220, 5, 0, 0, 23, 82, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 221, 5, 0, 0, 36, 82, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 222, 5, 0, 0, 50, 82, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 223, 5, 0, 0, 64, 82, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 224, 5, 0, 0, 78, 82, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 225, 5, 0, 0, 92,
    82, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 226, 5, 0, 0, 106, 82, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 227,
    5, 0, 0, 120, 82, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 228, 5, 0, 0, 134, 82, 0, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 229, 5, 0, 0, 148, 82, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 230, 5, 0, 0, 162, 82, 0, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 231, 5, 0, 0, 176, 82, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 232, 5, 0, 0, 190,
    82, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 233, 5, 0, 0, 204, 82, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 234,
    5, 0, 0, 218, 82, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 235, 5, 0, 0, 232, 82, 0, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 236, 5, 0, 0, 246, 82, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 237, 5, 0, 0, 4, 83, 0, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 238, 5, 0, 0, 18, 83, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 239, 5, 0, 0, 32, 83,
    0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 240, 5, 0, 0, 46, 83, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 223, 3, 0,
    0, 60, 83, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 241, 5, 0, 0, 74, 83, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    242, 5, 0, 0, 88, 83, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 243, 5, 0, 0, 102, 83, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 244, 5, 0, 0, 116, 83, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 245, 5, 0, 0, 130, 83, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 246, 5, 0, 0, 144, 83, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 247, 5, 0, 0,
    158, 83, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 248, 5, 0, 0, 172, 83, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    249, 5, 0, 0, 186, 83, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 250, 5, 0, 0, 200, 83, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 251, 5, 0, 0, 214, 83, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 252, 5, 0, 0, 228, 83, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 253, 5, 0, 0, 242, 83, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 254, 5, 0, 0, 0,
    84, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 255, 5, 0, 0, 14, 84, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 0, 6,
    0, 0, 28, 84, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 1, 6, 0, 0, 42, 84, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    2, 6, 0, 0, 56, 84, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 3, 6, 0, 0, 70, 84, 0, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 4, 6, 0, 0, 84, 84, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 5, 6, 0, 0, 98, 84, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 6, 6, 0, 0, 112, 84, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 7, 6, 0, 0, 126, 84, 0, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 8, 6, 0, 0, 140, 84, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 9, 6, 0, 0, 154, 84,
    0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 10, 6, 0, 0, 168, 84, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 11, 6, 0,
    0, 182, 84, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 12, 6, 0, 0, 196, 84, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    13, 6, 0, 0, 210, 84, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 14, 6, 0, 0, 224, 84, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 15, 6, 0, 0, 238, 84, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 16, 6, 0, 0, 252, 84, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 17, 6, 0, 0, 10, 85, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 18, 6, 0, 0, 24,
    85, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 19, 6, 0, 0, 38, 85, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 20, 6,
    0, 0, 52, 85, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 21, 6, 0, 0, 66, 85, 0, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 22, 6, 0, 0, 80, 85, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 23, 6, 0, 0, 94, 85, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 133, 5, 0, 0, 108, 85, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 24, 6, 0, 0, 122, 85, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 25, 6, 0, 0, 149, 85, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 26, 6, 0, 0, 158,
    85, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 27, 6, 0, 0, 171, 85, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 28, 6,
    0, 0, 184, 85, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 29, 6, 0, 0, 197, 85, 0, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 30, 6, 0, 0, 210, 85, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 31, 6, 0, 0, 224, 85, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 32, 6, 0, 0, 233, 85, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 123, 1, 0, 0, 246, 85, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 33, 6, 0, 0, 3, 86, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 34, 6, 0, 0, 16,
    86, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 35, 6, 0, 0, 29, 86, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 36, 6,
    0, 0, 42, 86, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 37, 6, 0, 0, 55, 86, 0, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 38, 6, 0, 0, 68, 86, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 39, 6, 0, 0, 84, 86, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 40, 6, 0, 0, 100, 86, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 41, 6, 0, 0, 116, 86, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 42, 6, 0, 0, 132, 86, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 43, 6, 0, 0, 159,
    86, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 35, 6, 0, 0, 168, 86, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 134, 1,
    0, 0, 181, 86, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 44, 6, 0, 0, 194, 86, 0, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 27, 6, 0, 0, 207, 86, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 45, 6, 0, 0, 231, 86, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 46, 6, 0, 0, 240, 86, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 116, 1, 0, 0, 253, 86, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 123, 1, 0, 0, 10, 87, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 47, 6, 0, 0, 112,
    87, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 48, 6, 0, 0, 122, 87, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 49, 6,
    0, 0, 135, 87, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 50, 6, 0, 0, 148, 87, 0, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 51, 6, 0, 0, 162, 87, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 52, 6, 0, 0, 176, 87, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 53, 6, 0, 0, 233, 87, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 54, 6, 0, 0, 242, 87, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 198, 5, 0, 0, 255, 87, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 55, 6, 0, 0, 12,
    88, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 56, 6, 0, 0, 25, 88, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 57, 6,
    0, 0, 38, 88, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 58, 6, 0, 0, 51, 88, 0, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 59, 6, 0, 0, 64, 88, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 60, 6, 0, 0, 100, 88, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 55, 6, 0, 0, 109, 88, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 61, 6, 0, 0, 122, 88, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 62, 6, 0, 0, 166, 88, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 63, 6, 0, 0, 177,
    88, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 64, 6, 0, 0, 188, 88, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 65, 6,
    0, 0, 200, 88, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 66, 6, 0, 0, 209, 88, 0, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 123, 1, 0, 0, 222, 88, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 106, 2, 0, 0, 31, 89, 0, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 67, 6, 0, 0, 40, 89, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 123, 1, 0, 0, 53, 89, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 68, 6, 0, 0, 66, 89, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 69, 6, 0, 0, 79,
    89, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 70, 6, 0, 0, 92, 89, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 71, 6,
    0, 0, 163, 89, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 72, 6, 0, 0, 172, 89, 0, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 73, 6, 0, 0, 185, 89, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 129, 5, 0, 0, 198, 89, 0, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 89, 2, 0, 0, 211, 89, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 185, 5, 0, 0, 224, 89, 0,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 186, 5, 0, 0, 237, 89, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 194, 5, 0, 0,
    72, 90, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 74, 6, 0, 0, 81, 90, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 75,
    6, 0, 0, 94, 90, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 76, 6, 0, 0, 107, 90, 0, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 77, 6, 0, 0, 120, 90, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 78, 6, 0, 0, 133, 90, 0, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 79, 6, 0, 0, 146, 90, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 80, 6, 0, 0, 159, 90, 0,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 81, 6, 0, 0, 172, 90, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 82, 6, 0, 0,
    185, 90, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 83, 6, 0, 0, 198, 90, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    84, 6, 0, 0, 216, 90, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 85, 6, 0, 0, 229, 90, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 86, 6, 0, 0, 243, 90, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 87, 6, 0, 0, 0, 91, 0, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 88, 6, 0, 0, 13, 91, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 89, 6, 0, 0, 26, 91,
    0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 90, 6, 0, 0, 39, 91, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 91, 6, 0, 0,
    52, 91, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 92, 6, 0, 0, 65, 91, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 93,
    6, 0, 0, 78, 91, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 94, 6, 0, 0, 91, 91, 0, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 95, 6, 0, 0, 110, 91, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 96, 6, 0, 0, 135, 91, 0, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 194, 5, 0, 0, 148, 91, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 97, 6, 0, 0, 161, 91, 0,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 98, 6, 0, 0, 174, 91, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 201, 5, 0, 0,
    187, 91, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 99, 6, 0, 0, 200, 91, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    100, 6, 0, 0, 213, 91, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 101, 6, 0, 0, 226, 91, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 102, 6, 0, 0, 239, 91, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 103, 6, 0, 0, 252, 91, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 104, 6, 0, 0, 9, 92, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 105, 6, 0, 0, 22,
    92, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 106, 6, 0, 0, 35, 92, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 107, 6,
    0, 0, 48, 92, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 108, 6, 0, 0, 61, 92, 0, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 109, 6, 0, 0, 74, 92, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 110, 6, 0, 0, 87, 92, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 111, 6, 0, 0, 100, 92, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 112, 6, 0, 0, 113, 92, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 113, 6, 0, 0, 126, 92, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 114, 6, 0, 0,
    139, 92, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 115, 6, 0, 0, 152, 92, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    116, 6, 0, 0, 165, 92, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 117, 6, 0, 0, 178, 92, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 118, 6, 0, 0, 191, 92, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 119, 6, 0, 0, 204, 92, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 120, 6, 0, 0, 217, 92, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 121, 6, 0, 0,
    230, 92, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 122, 6, 0, 0, 243, 92, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    123, 6, 0, 0, 0, 93, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 124, 6, 0, 0, 13, 93, 0, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 125, 6, 0, 0, 27, 93, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 126, 6, 0, 0, 41, 93, 0, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 127, 6, 0, 0, 55, 93, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 128, 6, 0, 0, 69, 93,
    0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 129, 6, 0, 0, 83, 93, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 130, 6, 0,
    0, 97, 93, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 131, 6, 0, 0, 111, 93, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    132, 6, 0, 0, 125, 93, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 133, 6, 0, 0, 139, 93, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 134, 6, 0, 0, 153, 93, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 135, 6, 0, 0, 167, 93, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 136, 6, 0, 0, 181, 93, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 137, 6, 0, 0,
    195, 93, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 138, 6, 0, 0, 209, 93, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    139, 6, 0, 0, 223, 93, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 179, 1, 0, 0, 237, 93, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 140, 6, 0, 0, 251, 93, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 141, 6, 0, 0, 9, 94, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 142, 6, 0, 0, 23, 94, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 12, 4, 0, 0, 37,
    94, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 103, 5, 0, 0, 51, 94, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 143, 6,
    0, 0, 65, 94, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 144, 6, 0, 0, 79, 94, 0, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 145, 6, 0, 0, 93, 94, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 146, 6, 0, 0, 107, 94, 0, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 147, 6, 0, 0, 121, 94, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 148, 6, 0, 0, 135, 94, 0,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 149, 6, 0, 0, 149, 94, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 150, 6, 0, 0,
    163, 94, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 151, 6, 0, 0, 177, 94, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    152, 6, 0, 0, 192, 94, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 153, 6, 0, 0, 207, 94, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 154, 6, 0, 0, 216, 94, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 78, 3, 0, 0, 19, 95, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 155, 6, 0, 0, 32, 95, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 105, 6, 0, 0, 50,
    95, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 156, 6, 0, 0, 58, 95, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 157, 6,
    0, 0, 67, 95, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 33, 4, 0, 0, 80, 95, 0, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 12, 4, 0, 0, 93, 95, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 158, 6, 0, 0, 106, 95, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 159, 6, 0, 0, 119, 95, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 160, 6, 0, 0, 133, 95, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 161, 6, 0, 0, 142, 95, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 72, 3, 0, 0,
    160, 95, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 162, 6, 0, 0, 179, 95, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    163, 6, 0, 0, 188, 95, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 33, 4, 0, 0, 219, 95, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 164, 6, 0, 0, 228, 95, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 165, 6, 0, 0, 241, 95, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 212, 5, 0, 0, 254, 95, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 166, 6, 0, 0,
    11, 96, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 167, 6, 0, 0, 24, 96, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    168, 6, 0, 0, 37, 96, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 169, 6, 0, 0, 72, 96, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 170, 6, 0, 0, 82, 96, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 171, 6, 0, 0, 95, 96, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 172, 6, 0, 0, 108, 96, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 173, 6, 0, 0,
    121, 96, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 174, 6, 0, 0, 134, 96, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    175, 6, 0, 0, 147, 96, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 176, 6, 0, 0, 163, 96, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 177, 6, 0, 0, 179, 96, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 178, 6, 0, 0, 195, 96, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 179, 6, 0, 0, 211, 96, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 180, 6, 0, 0,
    224, 96, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 181, 6, 0, 0, 237, 96, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    128, 5, 0, 0, 250, 96, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 105, 5, 0, 0, 7, 97, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 182, 6, 0, 0, 20, 97, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 183, 6, 0, 0, 33, 97, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 184, 6, 0, 0, 46, 97, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 185, 6, 0, 0, 59,
    97, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 131, 5, 0, 0, 72, 97, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 186, 6,
    0, 0, 85, 97, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 187, 6, 0, 0, 98, 97, 0, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 188, 6, 0, 0, 111, 97, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 189, 6, 0, 0, 124, 97, 0, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 190, 6, 0, 0, 137, 97, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 191, 6, 0, 0, 150, 97, 0,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 192, 6, 0, 0, 163, 97, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 52, 6, 0, 0,
    182, 97, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 105, 5, 0, 0, 191, 97, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    193, 6, 0, 0, 204, 97, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 140, 5, 0, 0, 217, 97, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 141, 5, 0, 0, 230, 97, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 194, 6, 0, 0, 243, 97, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 195, 6, 0, 0, 0, 98, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 196, 6, 0, 0, 13,
    98, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 197, 6, 0, 0, 26, 98, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 198, 6,
    0, 0, 39, 98, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 199, 6, 0, 0, 52, 98, 0, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 200, 6, 0, 0, 65, 98, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 201, 6, 0, 0, 78, 98, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 202, 6, 0, 0, 91, 98, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 203, 6, 0, 0, 104, 98, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 204, 6, 0, 0, 117, 98, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 205, 6, 0, 0,
    130, 98, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 206, 6, 0, 0, 143, 98, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    207, 6, 0, 0, 156, 98, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 208, 6, 0, 0, 169, 98, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 209, 6, 0, 0, 182, 98, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 210, 6, 0, 0, 195, 98, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 108, 5, 0, 0, 208, 98, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 19, 4, 0, 0,
    221, 98, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 103, 5, 0, 0, 234, 98, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    211, 6, 0, 0, 5, 99, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 212, 6, 0, 0, 18, 99, 0, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 70, 5, 0, 0, 38, 99, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 125, 5, 0, 0, 47, 99, 0, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 193, 6, 0, 0, 60, 99, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 213, 6, 0, 0, 87, 99,
    0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 214, 6, 0, 0, 100, 99, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 215, 6, 0,
    0, 114, 99, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 216, 6, 0, 0, 127, 99, 0, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 217, 6, 0, 0, 140, 99, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 19, 4, 0, 0, 153, 99, 0, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 108, 5, 0, 0, 180, 99, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 218, 6, 0, 0, 193, 99, 0,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 219, 6, 0, 0, 207, 99, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 220, 6, 0, 0,
    220, 99, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 140, 5, 0, 0, 233, 99, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    141, 5, 0, 0, 246, 99, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 221, 6, 0, 0, 3, 100, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 222, 6, 0, 0, 16, 100, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 223, 6, 0, 0, 29, 100, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 146, 1, 0, 0, 42, 100, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 179, 1, 0, 0,
    69, 100, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 224, 6, 0, 0, 96, 100, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    54, 3, 0, 0, 109, 100, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 225, 6, 0, 0, 122, 100, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 9, 0, 0, 0, 135, 100, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 226, 6, 0, 0, 148, 100, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 227, 6, 0, 0, 177, 100, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 228, 6, 0, 0,
    204, 100, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 229, 6, 0, 0, 217, 100, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    230, 6, 0, 0, 232, 100, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 231, 6, 0, 0, 250, 100, 0, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 232, 6, 0, 0, 6, 101, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 233, 6, 0, 0, 17, 101, 0,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 234, 6, 0, 0, 29, 101, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 235, 6, 0, 0,
    38, 101, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 70, 5, 0, 0, 51, 101, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    216, 6, 0, 0, 64, 101, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 236, 6, 0, 0, 77, 101, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 240, 4, 0, 0, 91, 101, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 237, 6, 0, 0, 99, 101, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 238, 6, 0, 0, 129, 101, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 239, 6, 0, 0,
    152, 101, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 70, 5, 0, 0, 165, 101, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    240, 6, 0, 0, 179, 101, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 241, 6, 0, 0, 192, 101, 0, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 242, 6, 0, 0, 205, 101, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 235, 6, 0, 0, 218, 101,
    0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 243, 6, 0, 0, 231, 101, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 105, 5,
    0, 0, 244, 101, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 89, 2, 0, 0, 1, 102, 0, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 244, 6, 0, 0, 14, 102, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 193, 6, 0, 0, 33, 102, 0, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 245, 6, 0, 0, 42, 102, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 70, 5, 0, 0, 55, 102, 0,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 116, 1, 0, 0, 68, 102, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 37, 4, 0, 0,
    81, 102, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 246, 6, 0, 0, 94, 102, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    247, 6, 0, 0, 107, 102, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 248, 6, 0, 0, 120, 102, 0, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 193, 6, 0, 0, 133, 102, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 240, 4, 0, 0, 146, 102,
    0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 249, 6, 0, 0, 159, 102, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 250, 6,
    0, 0, 172, 102, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 251, 6, 0, 0, 191, 102, 0, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 252, 6, 0, 0, 214, 102, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 70, 5, 0, 0, 227, 102, 0, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 253, 6, 0, 0, 241, 102, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 254, 6, 0, 0, 254,
    102, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 255, 6, 0, 0, 36, 103, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 0, 7,
    0, 0, 45, 103, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 9, 0, 0, 0, 58, 103, 0, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 1, 7, 0, 0, 71, 103, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 2, 7, 0, 0, 84, 103, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 3, 7, 0, 0, 115, 103, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 4, 7, 0, 0, 124, 103, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 5, 7, 0, 0, 137, 103, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 6, 7, 0, 0, 150,
    103, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 7, 7, 0, 0, 163, 103, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 74, 3,
    0, 0, 176, 103, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 72, 3, 0, 0, 189, 103, 0, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 8, 7, 0, 0, 202, 103, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 9, 7, 0, 0, 215, 103, 0, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 10, 7, 0, 0, 228, 103, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 11, 7, 0, 0, 241, 103, 0,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 12, 7, 0, 0, 254, 103, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 13, 7, 0, 0,
    11, 104, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 14, 7, 0, 0, 24, 104, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    15, 7, 0, 0, 37, 104, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 16, 7, 0, 0, 50, 104, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 17, 7, 0, 0, 63, 104, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 18, 7, 0, 0, 76, 104, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 19, 7, 0, 0, 89, 104, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 20, 7, 0, 0, 102,
    104, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 19, 4, 0, 0, 115, 104, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 245,
    6, 0, 0, 129, 104, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 5, 7, 0, 0, 138, 104, 0, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 12, 4, 0, 0, 151, 104, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 159, 6, 0, 0, 164, 104, 0, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 158, 6, 0, 0, 177, 104, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 160, 6, 0, 0, 195,
    104, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 21, 7, 0, 0, 203, 104, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 22,
    7, 0, 0, 212, 104, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 240, 4, 0, 0, 225, 104, 0, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 74, 3, 0, 0, 244, 104, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 23, 7, 0, 0, 253, 104, 0, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 24, 7, 0, 0, 10, 105, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 25, 7, 0, 0, 23,
    105, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 26, 7, 0, 0, 36, 105, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 27, 7,
    0, 0, 49, 105, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 28, 7, 0, 0, 62, 105, 0, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 29, 7, 0, 0, 80, 105, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 30, 7, 0, 0, 91, 105, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 245, 4, 0, 0, 108, 105, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 31, 7, 0, 0, 115, 105, 0,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 32, 7, 0, 0, 135, 105, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 33, 7, 0, 0,
    159, 105, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 34, 7, 0, 0, 171, 105, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    35, 7, 0, 0, 185, 105, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 159, 6, 0, 0, 215, 105, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 36, 7, 0, 0, 224, 105, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 50, 4, 0, 0, 237, 105, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 37, 7, 0, 0, 250, 105, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 3, 3, 0, 0, 7,
    106, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 97, 5, 0, 0, 20, 106, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 179,
    1, 0, 0, 33, 106, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 89, 2, 0, 0, 57, 106, 0, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 38, 7, 0, 0, 66, 106, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 39, 7, 0, 0, 79, 106, 0, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 198, 5, 0, 0, 92, 106, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 40, 7, 0, 0, 105, 106, 0,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 41, 7, 0, 0, 183, 106, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 42, 7, 0, 0,
    192, 106, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 43, 7, 0, 0, 205, 106, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    44, 7, 0, 0, 218, 106, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 45, 7, 0, 0, 231, 106, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 46, 7, 0, 0, 244, 106, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 47, 7, 0, 0, 1, 107, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 48, 7, 0, 0, 14, 107, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 49, 7, 0, 0, 27,
    107, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 50, 7, 0, 0, 40, 107, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 51, 7,
    0, 0, 53, 107, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 52, 7, 0, 0, 66, 107, 0, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 140, 5, 0, 0, 79, 107, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 118, 6, 0, 0, 92, 107, 0, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 53, 7, 0, 0, 105, 107, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 54, 7, 0, 0, 119, 107, 0,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 55, 7, 0, 0, 127, 107, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 240, 4, 0, 0,
    139, 107, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 56, 7, 0, 0, 151, 107, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    57, 7, 0, 0, 163, 107, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 58, 7, 0, 0, 175, 107, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 59, 7, 0, 0, 187, 107, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 60, 7, 0, 0, 199, 107, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 179, 1, 0, 0, 222, 107, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 38, 6, 0, 0,
    231, 107, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 61, 7, 0, 0, 4, 108, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    62, 7, 0, 0, 13, 108, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 13, 4, 0, 0, 26, 108, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 63, 7, 0, 0, 39, 108, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 240, 4, 0, 0, 52, 108, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 193, 6, 0, 0, 65, 108, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 64, 7, 0, 0, 78,
    108, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 65, 7, 0, 0, 91, 108, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 140,
    5, 0, 0, 104, 108, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 66, 7, 0, 0, 117, 108, 0, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 67, 7, 0, 0, 135, 108, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 68, 7, 0, 0, 147, 108, 0, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 69, 7, 0, 0, 159, 108, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 70, 7, 0, 0, 166,
    108, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 71, 7, 0, 0, 175, 108, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 54,
    3, 0, 0, 216, 108, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 72, 7, 0, 0, 229, 108, 0, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 73, 7, 0, 0, 243, 108, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 74, 7, 0, 0, 1, 109, 0, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 9, 0, 0, 0, 14, 109, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 226, 6, 0, 0, 27, 109,
    0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 227, 6, 0, 0, 58, 109, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 75, 7, 0,
    0, 67, 109, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 123, 1, 0, 0, 80, 109, 0, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 76, 7, 0, 0, 93, 109, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 179, 1, 0, 0, 106, 109, 0, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 77, 7, 0, 0, 119, 109, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 78, 7, 0, 0, 132, 109, 0,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 79, 7, 0, 0, 145, 109, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 80, 7, 0, 0,
    158, 109, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 81, 7, 0, 0, 171, 109, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    82, 7, 0, 0, 184, 109, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 83, 7, 0, 0, 197, 109, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 84, 7, 0, 0, 210, 109, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 224, 3, 0, 0, 223, 109, 0,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 85, 7, 0, 0, 236, 109, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 185, 5, 0, 0,
    249, 109, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 86, 7, 0, 0, 6, 110, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    87, 7, 0, 0, 19, 110, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 88, 7, 0, 0, 32, 110, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 89, 7, 0, 0, 45, 110, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 90, 7, 0, 0, 58, 110, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 193, 4, 0, 0, 71, 110, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 91, 7, 0, 0,
    122, 110, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 92, 7, 0, 0, 131, 110, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    227, 6, 0, 0, 144, 110, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 228, 6, 0, 0, 157, 110, 0, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 114, 2, 0, 0, 170, 110, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 223, 6, 0, 0, 183, 110,
    0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 222, 6, 0, 0, 196, 110, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 218, 6,
    0, 0, 210, 110, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 93, 7, 0, 0, 219, 110, 0, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 94, 7, 0, 0, 232, 110, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 114, 2, 0, 0, 56, 111, 0, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 95, 7, 0, 0, 65, 111, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 96, 7, 0, 0, 78, 111,
    0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 97, 7, 0, 0, 91, 111, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 98, 7, 0,
    0, 104, 111, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 99, 7, 0, 0, 205, 111, 0, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 100, 7, 0, 0, 214, 111, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 52, 6, 0, 0, 227, 111, 0, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 129, 5, 0, 0, 240, 111, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 101, 7, 0, 0, 253, 111,
    0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 33, 4, 0, 0, 10, 112, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 102, 7, 0,
    0, 23, 112, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 122, 1, 0, 0, 36, 112, 0, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 103, 7, 0, 0, 49, 112, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 240, 4, 0, 0, 62, 112, 0, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 104, 7, 0, 0, 75, 112, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 105, 7, 0, 0, 88, 112, 0,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 128, 5, 0, 0, 101, 112, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 89, 2, 0, 0,
    125, 112, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 106, 7, 0, 0, 134, 112, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    107, 7, 0, 0, 147, 112, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 108, 7, 0, 0, 160, 112, 0, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 44, 2, 0, 0, 173, 112, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 61, 6, 0, 0, 61, 113, 0,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 109, 7, 0, 0, 111, 113, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 110, 7, 0,
    0, 120, 113, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 111, 7, 0, 0, 133, 113, 0, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 125, 5, 0, 0, 146, 113, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 112, 7, 0, 0, 164, 113, 0, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 113, 7, 0, 0, 254, 113, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 114, 7, 0, 0, 7, 114,
    0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 125, 5, 0, 0, 20, 114, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 108, 2, 0,
    0, 33, 114, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 115, 7, 0, 0, 46, 114, 0, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 116, 7, 0, 0, 59, 114, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 117, 7, 0, 0, 86, 114, 0, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 118, 7, 0, 0, 99, 114, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 119, 7, 0, 0, 113, 114,
    0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 104, 7, 0, 0, 135, 114, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 120, 7,
    0, 0, 144, 114, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 121, 7, 0, 0, 157, 114, 0, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 10, 0, 0, 0, 170, 114, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 122, 7, 0, 0, 183, 114, 0, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 123, 7, 0, 0, 196, 114, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 124, 7, 0, 0, 209,
    114, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 125, 7, 0, 0, 24, 115, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 126,
    7, 0, 0, 37, 115, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 127, 7, 0, 0, 46, 115, 0, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 70, 5, 0, 0, 59, 115, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 193, 6, 0, 0, 72, 115, 0, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 128, 7, 0, 0, 86, 115, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 129, 7, 0, 0, 95,
    115, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 102, 5, 0, 0, 108, 115, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 130,
    7, 0, 0, 127, 115, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 131, 7, 0, 0, 137, 115, 0, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 132, 7, 0, 0, 147, 115, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 133, 7, 0, 0, 160, 115, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 134, 7, 0, 0, 173, 115, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 135, 7, 0, 0,
    186, 115, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 33, 4, 0, 0, 199, 115, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    34, 6, 0, 0, 212, 115, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 132, 2, 0, 0, 225, 115, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 12, 4, 0, 0, 238, 115, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 164, 1, 0, 0, 251, 115, 0,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 136, 7, 0, 0, 8, 116, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 179, 1, 0, 0,
    22, 116, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 137, 7, 0, 0, 36, 116, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    138, 7, 0, 0, 50, 116, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 139, 7, 0, 0, 64, 116, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 140, 7, 0, 0, 78, 116, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 141, 7, 0, 0, 92, 116, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 142, 7, 0, 0, 106, 116, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 143, 7, 0, 0,
    120, 116, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 144, 7, 0, 0, 134, 116, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    145, 7, 0, 0, 149, 116, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 146, 7, 0, 0, 158, 116, 0, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 147, 7, 0, 0, 185, 116, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 148, 7, 0, 0, 212, 116,
    0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 149, 7, 0, 0, 225, 116, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 150, 7,
    0, 0, 253, 116, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 151, 7, 0, 0, 6, 117, 0, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 238, 6, 0, 0, 19, 117, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 152, 7, 0, 0, 32, 117, 0, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 33, 4, 0, 0, 51, 117, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 153, 7, 0, 0, 60, 117,
    0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 154, 7, 0, 0, 73, 117, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 97, 5, 0,
    0, 86, 117, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 155, 7, 0, 0, 110, 117, 0, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 156, 7, 0, 0, 119, 117, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 123, 1, 0, 0, 132, 117, 0, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 157, 7, 0, 0, 145, 117, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 9, 0, 0, 0, 158, 117,
    0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 41, 7, 0, 0, 171, 117, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 158, 7, 0,
    0, 184, 117, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 159, 7, 0, 0, 197, 117, 0, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 12, 4, 0, 0, 210, 117, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 160, 7, 0, 0, 250, 117, 0, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 161, 7, 0, 0, 4, 118, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 162, 7, 0, 0, 17, 118, 0,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 146, 1, 0, 0, 30, 118, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 163, 7, 0, 0,
    43, 118, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 193, 6, 0, 0, 56, 118, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    179, 1, 0, 0, 69, 118, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 164, 7, 0, 0, 82, 118, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 165, 7, 0, 0, 95, 118, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 166, 7, 0, 0, 108, 118, 0,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 167, 7, 0, 0, 121, 118, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 168, 7, 0,
    0, 134, 118, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 169, 7, 0, 0, 147, 118, 0, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 170, 7, 0, 0, 160, 118, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 171, 7, 0, 0, 173, 118, 0, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 172, 7, 0, 0, 186, 118, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 173, 7, 0, 0, 199,
    118, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 174, 7, 0, 0, 212, 118, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 175,
    7, 0, 0, 225, 118, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 176, 7, 0, 0, 238, 118, 0, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 177, 7, 0, 0, 251, 118, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 178, 7, 0, 0, 8, 119, 0, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 179, 7, 0, 0, 21, 119, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 180, 7, 0, 0, 35,
    119, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 181, 7, 0, 0, 49, 119, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 182,
    7, 0, 0, 63, 119, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 183, 7, 0, 0, 77, 119, 0, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 184, 7, 0, 0, 91, 119, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 185, 7, 0, 0, 105, 119, 0, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 186, 7, 0, 0, 119, 119, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 187, 7, 0, 0, 133,
    119, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 188, 7, 0, 0, 147, 119, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 189,
    7, 0, 0, 161, 119, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 190, 7, 0, 0, 175, 119, 0, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 191, 7, 0, 0, 189, 119, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 192, 7, 0, 0, 203, 119, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 193, 7, 0, 0, 217, 119, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 194, 7, 0, 0,
    231, 119, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 195, 7, 0, 0, 245, 119, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    196, 7, 0, 0, 3, 120, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 197, 7, 0, 0, 17, 120, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 198, 7, 0, 0, 31, 120, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 199, 7, 0, 0, 45, 120, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 200, 7, 0, 0, 59, 120, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 201, 7, 0, 0,
    73, 120, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 202, 7, 0, 0, 87, 120, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    203, 7, 0, 0, 101, 120, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 173, 6, 0, 0, 115, 120, 0, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 204, 7, 0, 0, 129, 120, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 205, 7, 0, 0, 143, 120,
    0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 137, 6, 0, 0, 157, 120, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 206, 7,
    0, 0, 171, 120, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 207, 7, 0, 0, 185, 120, 0, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 208, 7, 0, 0, 199, 120, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 209, 7, 0, 0, 213, 120, 0, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 210, 7, 0, 0, 227, 120, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 211, 7, 0, 0, 241,
    120, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 212, 7, 0, 0, 2, 121, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 213,
    7, 0, 0, 19, 121, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 214, 7, 0, 0, 36, 121, 0, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 215, 7, 0, 0, 53, 121, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 216, 7, 0, 0, 70, 121, 0, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 217, 7, 0, 0, 87, 121, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 218, 7, 0, 0, 104,
    121, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 219, 7, 0, 0, 121, 121, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 220,
    7, 0, 0, 138, 121, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 221, 7, 0, 0, 155, 121, 0, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 63, 4, 0, 0, 172, 121, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 222, 7, 0, 0, 189, 121, 0, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 223, 7, 0, 0, 206, 121, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 224, 7, 0, 0, 220,
    121, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 225, 7, 0, 0, 234, 121, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 226,
    7, 0, 0, 248, 121, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 227, 7, 0, 0, 6, 122, 0, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 228, 7, 0, 0, 20, 122, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 229, 7, 0, 0, 34, 122, 0, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 34, 6, 0, 0, 48, 122, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 230, 7, 0, 0, 62,
    122, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 231, 7, 0, 0, 76, 122, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 232,
    7, 0, 0, 90, 122, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 233, 7, 0, 0, 104, 122, 0, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 234, 7, 0, 0, 118, 122, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 235, 7, 0, 0, 132, 122, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 236, 7, 0, 0, 146, 122, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 237, 7, 0, 0,
    160, 122, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 238, 7, 0, 0, 174, 122, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    239, 7, 0, 0, 188, 122, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 240, 7, 0, 0, 202, 122, 0, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 241, 7, 0, 0, 216, 122, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 242, 7, 0, 0, 230, 122,
    0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 243, 7, 0, 0, 244, 122, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 244, 7,
    0, 0, 2, 123, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 245, 7, 0, 0, 16, 123, 0, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 246, 7, 0, 0, 30, 123, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 247, 7, 0, 0, 44, 123, 0, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 248, 7, 0, 0, 58, 123, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 249, 7, 0, 0, 72, 123, 0,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 250, 7, 0, 0, 86, 123, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 251, 7, 0, 0,
    100, 123, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 252, 7, 0, 0, 114, 123, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    253, 7, 0, 0, 128, 123, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 254, 7, 0, 0, 142, 123, 0, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 255, 7, 0, 0, 156, 123, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 105, 5, 0, 0, 170, 123,
    0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 0, 8, 0, 0, 184, 123, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 1, 8, 0, 0,
    198, 123, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 2, 8, 0, 0, 212, 123, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    3, 8, 0, 0, 226, 123, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 4, 8, 0, 0, 240, 123, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 5, 8, 0, 0, 254, 123, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 6, 8, 0, 0, 12, 124, 0, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 7, 8, 0, 0, 26, 124, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 14, 7, 0, 0, 40, 124,
    0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 8, 8, 0, 0, 54, 124, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 9, 8, 0, 0,
    68, 124, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 10, 8, 0, 0, 82, 124, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    11, 8, 0, 0, 96, 124, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 12, 8, 0, 0, 110, 124, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 13, 8, 0, 0, 124, 124, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 14, 8, 0, 0, 138, 124, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 249, 4, 0, 0, 152, 124, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 15, 8, 0, 0,
    166, 124, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 16, 8, 0, 0, 180, 124, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    17, 8, 0, 0, 194, 124, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 18, 8, 0, 0, 208, 124, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 19, 8, 0, 0, 222, 124, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 20, 8, 0, 0, 236, 124, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 21, 8, 0, 0, 250, 124, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 22, 8, 0, 0, 8,
    125, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 23, 8, 0, 0, 22, 125, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 24, 8,
    0, 0, 36, 125, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 25, 8, 0, 0, 50, 125, 0, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 26, 8, 0, 0, 64, 125, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 27, 8, 0, 0, 78, 125, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 28, 8, 0, 0, 92, 125, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 29, 8, 0, 0, 106, 125, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 30, 8, 0, 0, 120, 125, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 31, 8, 0, 0,
    134, 125, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 32, 8, 0, 0, 148, 125, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    33, 8, 0, 0, 162, 125, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 34, 8, 0, 0, 176, 125, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 35, 8, 0, 0, 190, 125, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 36, 8, 0, 0, 204, 125, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 37, 8, 0, 0, 218, 125, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 38, 8, 0, 0,
    232, 125, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 39, 8, 0, 0, 246, 125, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    40, 8, 0, 0, 4, 126, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 41, 8, 0, 0, 18, 126, 0, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 42, 8, 0, 0, 32, 126, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 43, 8, 0, 0, 46, 126, 0, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 44, 8, 0, 0, 60, 126, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 45, 8, 0, 0, 74, 126,
    0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 46, 8, 0, 0, 88, 126, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 47, 8, 0,
    0, 102, 126, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 48, 8, 0, 0, 116, 126, 0, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 49, 8, 0, 0, 130, 126, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 50, 8, 0, 0, 144, 126, 0, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 51, 8, 0, 0, 158, 126, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 52, 8, 0, 0, 172, 126, 0,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 53, 8, 0, 0, 186, 126, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 54, 8, 0, 0,
    200, 126, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 55, 8, 0, 0, 214, 126, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    56, 8, 0, 0, 228, 126, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 57, 8, 0, 0, 242, 126, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 58, 8, 0, 0, 0, 127, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 59, 8, 0, 0, 14, 127, 0, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 60, 8, 0, 0, 28, 127, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 61, 8, 0, 0, 42,
    127, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 62, 8, 0, 0, 56, 127, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 63, 8,
    0, 0, 70, 127, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 64, 8, 0, 0, 84, 127, 0, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 65, 8, 0, 0, 98, 127, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 147, 6, 0, 0, 112, 127, 0, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 66, 8, 0, 0, 126, 127, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 67, 8, 0, 0, 140, 127, 0,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 68, 8, 0, 0, 154, 127, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 69, 8, 0, 0,
    168, 127, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 70, 8, 0, 0, 182, 127, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    71, 8, 0, 0, 196, 127, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 72, 8, 0, 0, 210, 127, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 73, 8, 0, 0, 224, 127, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 74, 8, 0, 0, 238, 127, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 75, 8, 0, 0, 252, 127, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 76, 8, 0, 0, 10,
    128, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 77, 8, 0, 0, 24, 128, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 78, 8,
    0, 0, 38, 128, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 79, 8, 0, 0, 52, 128, 0, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 80, 8, 0, 0, 66, 128, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 81, 8, 0, 0, 80, 128, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 82, 8, 0, 0, 109, 128, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 83, 8, 0, 0, 122, 128, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 70, 5, 0, 0, 136, 128, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 84, 8, 0, 0,
    150, 128, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 85, 8, 0, 0, 164, 128, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    86, 8, 0, 0, 178, 128, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 87, 8, 0, 0, 192, 128, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 88, 8, 0, 0, 206, 128, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 89, 8, 0, 0, 220, 128, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 90, 8, 0, 0, 234, 128, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 91, 8, 0, 0,
    248, 128, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 92, 8, 0, 0, 6, 129, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    93, 8, 0, 0, 20, 129, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 94, 8, 0, 0, 34, 129, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 95, 8, 0, 0, 48, 129, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 96, 8, 0, 0, 62, 129, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 97, 8, 0, 0, 76, 129, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 98, 8, 0, 0, 90,
    129, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 99, 8, 0, 0, 104, 129, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 100,
    8, 0, 0, 118, 129, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 101, 8, 0, 0, 132, 129, 0, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 102, 8, 0, 0, 146, 129, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 103, 8, 0, 0, 160, 129, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 104, 8, 0, 0, 174, 129, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 105, 8, 0, 0,
    188, 129, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 106, 8, 0, 0, 202, 129, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    107, 8, 0, 0, 216, 129, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 108, 8, 0, 0, 230, 129, 0, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 109, 8, 0, 0, 244, 129, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 110, 8, 0, 0, 2, 130, 0,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 111, 8, 0, 0, 16, 130, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 112, 8, 0, 0,
    30, 130, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 113, 8, 0, 0, 44, 130, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    114, 8, 0, 0, 58, 130, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 108, 5, 0, 0, 72, 130, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 115, 8, 0, 0, 86, 130, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 116, 8, 0, 0, 103, 130, 0,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 117, 8, 0, 0, 120, 130, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 118, 8, 0,
    0, 137, 130, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 119, 8, 0, 0, 151, 130, 0, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 120, 8, 0, 0, 166, 130, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 162, 7, 0, 0, 175, 130, 0, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 179, 1, 0, 0, 188, 130, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 144, 2, 0, 0, 207,
    130, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 121, 8, 0, 0, 216, 130, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 122,
    8, 0, 0, 243, 130, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 123, 8, 0, 0, 0, 131, 0, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 124, 8, 0, 0, 25, 131, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 178, 7, 0, 0, 34, 131, 0, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 125, 8, 0, 0, 47, 131, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 126, 8, 0, 0, 60,
    131, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 127, 8, 0, 0, 73, 131, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 128,
    8, 0, 0, 86, 131, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 129, 8, 0, 0, 99, 131, 0, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 130, 8, 0, 0, 112, 131, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 131, 8, 0, 0, 125, 131, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 132, 8, 0, 0, 138, 131, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 133, 8, 0, 0,
    151, 131, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 134, 8, 0, 0, 164, 131, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    135, 8, 0, 0, 177, 131, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 136, 8, 0, 0, 190, 131, 0, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 137, 8, 0, 0, 203, 131, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 138, 8, 0, 0, 216, 131,
    0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 139, 8, 0, 0, 229, 131, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 140, 8,
    0, 0, 242, 131, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 141, 8, 0, 0, 255, 131, 0, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 142, 8, 0, 0, 12, 132, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 143, 8, 0, 0, 25, 132, 0, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 144, 8, 0, 0, 38, 132, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 145, 8, 0, 0, 51, 132,
    0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 146, 8, 0, 0, 64, 132, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 147, 8, 0,
    0, 77, 132, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 148, 8, 0, 0, 90, 132, 0, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 149, 8, 0, 0, 131, 132, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 150, 8, 0, 0, 141, 132, 0, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 240, 4, 0, 0, 154, 132, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 151, 8, 0, 0, 167,
    132, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 152, 8, 0, 0, 180, 132, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 153,
    8, 0, 0, 193, 132, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 154, 8, 0, 0, 206, 132, 0, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 155, 8, 0, 0, 219, 132, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 156, 8, 0, 0, 232, 132, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 157, 8, 0, 0, 245, 132, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 158, 8, 0, 0,
    2, 133, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 159, 8, 0, 0, 15, 133, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    160, 8, 0, 0, 28, 133, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 161, 8, 0, 0, 41, 133, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 184, 7, 0, 0, 54, 133, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 162, 8, 0, 0, 67, 133, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 163, 8, 0, 0, 81, 133, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 180, 7, 0, 0,
    95, 133, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 182, 7, 0, 0, 109, 133, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    164, 8, 0, 0, 123, 133, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 165, 8, 0, 0, 137, 133, 0, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 166, 8, 0, 0, 151, 133, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 167, 8, 0, 0, 165, 133,
    0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 168, 8, 0, 0, 179, 133, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 108, 7,
    0, 0, 193, 133, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 169, 8, 0, 0, 207, 133, 0, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 170, 8, 0, 0, 221, 133, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 171, 8, 0, 0, 235, 133, 0, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 172, 8, 0, 0, 249, 133, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 173, 8, 0, 0, 7,
    134, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 174, 8, 0, 0, 21, 134, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 175,
    8, 0, 0, 35, 134, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 176, 8, 0, 0, 49, 134, 0, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 106, 6, 0, 0, 63, 134, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 177, 8, 0, 0, 77, 134, 0, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 37, 6, 0, 0, 91, 134, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 178, 8, 0, 0, 105,
    134, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 179, 8, 0, 0, 119, 134, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 180,
    8, 0, 0, 133, 134, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 181, 8, 0, 0, 147, 134, 0, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 182, 8, 0, 0, 161, 134, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 183, 8, 0, 0, 175, 134, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 184, 8, 0, 0, 189, 134, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 185, 8, 0, 0,
    203, 134, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 186, 8, 0, 0, 217, 134, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    167, 7, 0, 0, 231, 134, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 187, 8, 0, 0, 245, 134, 0, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 188, 8, 0, 0, 3, 135, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 189, 8, 0, 0, 17, 135, 0,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 190, 8, 0, 0, 31, 135, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 191, 8, 0, 0,
    45, 135, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 192, 8, 0, 0, 59, 135, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    193, 8, 0, 0, 73, 135, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 194, 8, 0, 0, 87, 135, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 195, 8, 0, 0, 101, 135, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 196, 8, 0, 0, 115, 135, 0,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 197, 8, 0, 0, 129, 135, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 198, 8, 0,
    0, 143, 135, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 199, 8, 0, 0, 157, 135, 0, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 200, 8, 0, 0, 171, 135, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 201, 8, 0, 0, 185, 135, 0, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 202, 8, 0, 0, 199, 135, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 203, 8, 0, 0, 213,
    135, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 204, 8, 0, 0, 227, 135, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 205,
    8, 0, 0, 241, 135, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 206, 8, 0, 0, 255, 135, 0, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 207, 8, 0, 0, 13, 136, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 208, 8, 0, 0, 27, 136, 0, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 209, 8, 0, 0, 46, 136, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 210, 8, 0, 0, 54,
    136, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 211, 8, 0, 0, 77, 136, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 13,
    4, 0, 0, 104, 136, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 122, 8, 0, 0, 117, 136, 0, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 179, 1, 0, 0, 132, 136, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 51, 2, 0, 0, 145, 136, 0, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 116, 7, 0, 0, 163, 136, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 212, 8, 0, 0, 195,
    136, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 213, 8, 0, 0, 204, 136, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 119,
    2, 0, 0, 217, 136, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 214, 8, 0, 0, 243, 136, 0, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 215, 8, 0, 0, 252, 136, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 119, 2, 0, 0, 12, 137, 0, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 201, 7, 0, 0, 29, 137, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 216, 8, 0, 0, 39,
    137, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 217, 8, 0, 0, 52, 137, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 151,
    8, 0, 0, 65, 137, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 218, 8, 0, 0, 78, 137, 0, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 219, 8, 0, 0, 91, 137, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 220, 8, 0, 0, 104, 137, 0, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 221, 8, 0, 0, 117, 137, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 222, 8, 0, 0, 130,
    137, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 167, 8, 0, 0, 143, 137, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 44,
    2, 0, 0, 156, 137, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 223, 8, 0, 0, 169, 137, 0, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 224, 8, 0, 0, 182, 137, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 225, 8, 0, 0, 195, 137, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 226, 8, 0, 0, 208, 137, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 128, 7, 0, 0,
    226, 137, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 240, 4, 0, 0, 239, 137, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    227, 8, 0, 0, 252, 137, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 228, 8, 0, 0, 9, 138, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 229, 8, 0, 0, 22, 138, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 230, 8, 0, 0, 36, 138, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 231, 8, 0, 0, 50, 138, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 232, 8, 0, 0,
    64, 138, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 233, 8, 0, 0, 78, 138, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    234, 8, 0, 0, 92, 138, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 235, 8, 0, 0, 106, 138, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 236, 8, 0, 0, 120, 138, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 150, 8, 0, 0, 134, 138, 0,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 237, 8, 0, 0, 148, 138, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 164, 8, 0,
    0, 162, 138, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 238, 8, 0, 0, 176, 138, 0, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 239, 8, 0, 0, 190, 138, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 240, 8, 0, 0, 204, 138, 0, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 241, 8, 0, 0, 218, 138, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 242, 8, 0, 0, 232,
    138, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 243, 8, 0, 0, 246, 138, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 244,
    8, 0, 0, 4, 139, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 245, 8, 0, 0, 18, 139, 0, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 246, 8, 0, 0, 33, 139, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 247, 8, 0, 0, 42, 139, 0, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 248, 8, 0, 0, 55, 139, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 249, 8, 0, 0, 69, 139,
    0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 250, 8, 0, 0, 78, 139, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 154, 6, 0,
    0, 91, 139, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 251, 8, 0, 0, 110, 139, 0, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 252, 8, 0, 0, 120, 139, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 217, 8, 0, 0, 133, 139, 0, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 253, 8, 0, 0, 146, 139, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 254, 8, 0, 0, 159,
    139, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 173, 7, 0, 0, 172, 139, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 255,
    8, 0, 0, 185, 139, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 0, 9, 0, 0, 198, 139, 0, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 1, 9, 0, 0, 211, 139, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 2, 9, 0, 0, 224, 139, 0, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 3, 9, 0, 0, 237, 139, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 4, 9, 0, 0, 250, 139,
    0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 5, 9, 0, 0, 8, 140, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 34, 6, 0, 0,
    22, 140, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 216, 8, 0, 0, 36, 140, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    6, 9, 0, 0, 50, 140, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 7, 9, 0, 0, 64, 140, 0, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 226, 8, 0, 0, 79, 140, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 8, 9, 0, 0, 88, 140, 0, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 9, 9, 0, 0, 101, 140, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 10, 9, 0, 0, 114, 140,
    0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 11, 9, 0, 0, 127, 140, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 12, 9, 0,
    0, 140, 140, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 13, 9, 0, 0, 153, 140, 0, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 14, 9, 0, 0, 166, 140, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 15, 9, 0, 0, 179, 140, 0, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 16, 9, 0, 0, 192, 140, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 17, 9, 0, 0, 205, 140, 0,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 18, 9, 0, 0, 218, 140, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 19, 9, 0, 0,
    231, 140, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 20, 9, 0, 0, 244, 140, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    21, 9, 0, 0, 1, 141, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 22, 9, 0, 0, 14, 141, 0, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 23, 9, 0, 0, 27, 141, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 24, 9, 0, 0, 40, 141, 0, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 25, 9, 0, 0, 53, 141, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 26, 9, 0, 0, 66, 141,
    0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 27, 9, 0, 0, 79, 141, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 28, 9, 0,
    0, 92, 141, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 29, 9, 0, 0, 105, 141, 0, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 30, 9, 0, 0, 118, 141, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 31, 9, 0, 0, 131, 141, 0, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 32, 9, 0, 0, 144, 141, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 33, 9, 0, 0, 157, 141, 0,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 34, 9, 0, 0, 170, 141, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 35, 9, 0, 0,
    189, 141, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 36, 9, 0, 0, 198, 141, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    37, 9, 0, 0, 211, 141, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 38, 9, 0, 0, 224, 141, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 39, 9, 0, 0, 237, 141, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 40, 9, 0, 0, 250, 141, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 41, 9, 0, 0, 7, 142, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 228, 8, 0, 0, 20,
    142, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 230, 8, 0, 0, 33, 142, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 229,
    8, 0, 0, 46, 142, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 42, 9, 0, 0, 60, 142, 0, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 42, 9, 0, 0, 69, 142, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 43, 9, 0, 0, 82, 142, 0, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 44, 9, 0, 0, 101, 142, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 45, 9, 0, 0, 111, 142, 0,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 46, 9, 0, 0, 124, 142, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 179, 7, 0, 0,
    137, 142, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 216, 8, 0, 0, 150, 142, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    47, 9, 0, 0, 164, 142, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 228, 8, 0, 0, 178, 142, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 70, 5, 0, 0, 192, 142, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 134, 1, 0, 0, 206, 142, 0,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 34, 6, 0, 0, 220, 142, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 48, 9, 0, 0,
    234, 142, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 230, 7, 0, 0, 248, 142, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    49, 9, 0, 0, 6, 143, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 50, 9, 0, 0, 20, 143, 0, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 51, 9, 0, 0, 34, 143, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 183, 7, 0, 0, 48, 143, 0, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 184, 7, 0, 0, 63, 143, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 52, 9, 0, 0, 72,
    143, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 53, 9, 0, 0, 85, 143, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 54, 9,
    0, 0, 98, 143, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 133, 5, 0, 0, 111, 143, 0, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 231, 7, 0, 0, 124, 143, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 230, 7, 0, 0, 137, 143, 0, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 55, 9, 0, 0, 150, 143, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 244, 6, 0, 0, 163,
    143, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 179, 1, 0, 0, 176, 143, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 56,
    9, 0, 0, 189, 143, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 57, 9, 0, 0, 202, 143, 0, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 71, 5, 0, 0, 215, 143, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 58, 9, 0, 0, 228, 143, 0, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 34, 6, 0, 0, 247, 143, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 53, 9, 0, 0, 1,
    144, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 59, 9, 0, 0, 14, 144, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 179,
    1, 0, 0, 27, 144, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 132, 2, 0, 0, 40, 144, 0, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 60, 9, 0, 0, 53, 144, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 61, 9, 0, 0, 67, 144, 0, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 62, 9, 0, 0, 81, 144, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 63, 9, 0, 0, 95, 144,
    0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 64, 9, 0, 0, 109, 144, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 65, 9, 0,
    0, 123, 144, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 66, 9, 0, 0, 137, 144, 0, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 67, 9, 0, 0, 151, 144, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 68, 9, 0, 0, 165, 144, 0, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 69, 9, 0, 0, 179, 144, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 70, 9, 0, 0, 193, 144, 0,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 71, 9, 0, 0, 207, 144, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 72, 9, 0, 0,
    221, 144, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 73, 9, 0, 0, 235, 144, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    74, 9, 0, 0, 249, 144, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 75, 9, 0, 0, 7, 145, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 102, 5, 0, 0, 21, 145, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 76, 9, 0, 0, 35, 145, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 77, 9, 0, 0, 49, 145, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 78, 9, 0, 0, 63,
    145, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 79, 9, 0, 0, 77, 145, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 80, 9,
    0, 0, 91, 145, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 81, 9, 0, 0, 105, 145, 0, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 82, 9, 0, 0, 119, 145, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 83, 9, 0, 0, 133, 145, 0, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 245, 7, 0, 0, 147, 145, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 84, 9, 0, 0, 161,
    145, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 85, 9, 0, 0, 175, 145, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 86,
    9, 0, 0, 189, 145, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 87, 9, 0, 0, 203, 145, 0, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 88, 9, 0, 0, 217, 145, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 89, 9, 0, 0, 231, 145, 0, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 90, 9, 0, 0, 245, 145, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 91, 9, 0, 0, 3,
    146, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 92, 9, 0, 0, 23, 146, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 93, 9,
    0, 0, 32, 146, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 33, 4, 0, 0, 45, 146, 0, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 82, 4, 0, 0, 58, 146, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 34, 6, 0, 0, 71, 146, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 123, 1, 0, 0, 84, 146, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 85, 6, 0, 0, 97, 146, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 136, 7, 0, 0, 110, 146, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 54, 3, 0, 0,
    137, 146, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 94, 9, 0, 0, 150, 146, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    195, 4, 0, 0, 163, 146, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 73, 6, 0, 0, 177, 146, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 135, 1, 0, 0, 190, 146, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 244, 6, 0, 0, 203, 146, 0,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 179, 1, 0, 0, 216, 146, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 106, 2, 0,
    0, 229, 146, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 95, 9, 0, 0, 243, 146, 0, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 96, 9, 0, 0, 252, 146, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 97, 9, 0, 0, 9, 147, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 230, 7, 0, 0, 22, 147, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 102, 5, 0, 0, 41, 147, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 98, 9, 0, 0, 50, 147, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 68, 9, 0, 0, 63,
    147, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 179, 1, 0, 0, 76, 147, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 99,
    9, 0, 0, 89, 147, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 100, 9, 0, 0, 102, 147, 0, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 101, 9, 0, 0, 115, 147, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 102, 9, 0, 0, 128, 147, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 103, 9, 0, 0, 141, 147, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 104, 9, 0, 0,
    155, 147, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 105, 9, 0, 0, 164, 147, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    106, 9, 0, 0, 177, 147, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 107, 9, 0, 0, 190, 147, 0, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 108, 9, 0, 0, 204, 147, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 109, 9, 0, 0, 213, 147,
    0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 110, 9, 0, 0, 226, 147, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 111, 9,
    0, 0, 239, 147, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 112, 9, 0, 0, 1, 148, 0, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 113, 9, 0, 0, 13, 148, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 114, 9, 0, 0, 22, 148, 0, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 115, 9, 0, 0, 35, 148, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 196, 4, 0, 0, 48, 148,
    0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 197, 4, 0, 0, 61, 148, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 199, 4, 0,
    0, 74, 148, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 116, 9, 0, 0, 203, 148, 0, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 117, 9, 0, 0, 212, 148, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 118, 9, 0, 0, 226, 148, 0, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 119, 9, 0, 0, 235, 148, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 97, 5, 0, 0, 248,
    148, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 196, 5, 0, 0, 5, 149, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 129,
    5, 0, 0, 18, 149, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 120, 9, 0, 0, 42, 149, 0, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 121, 9, 0, 0, 51, 149, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 196, 5, 0, 0, 64, 149, 0, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 198, 5, 0, 0, 77, 149, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 122, 9, 0, 0, 90,
    149, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 123, 9, 0, 0, 103, 149, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 124,
    9, 0, 0, 116, 149, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 125, 9, 0, 0, 129, 149, 0, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 185, 5, 0, 0, 142, 149, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 126, 9, 0, 0, 155, 149, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 127, 9, 0, 0, 168, 149, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 186, 5, 0, 0,
    181, 149, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 192, 5, 0, 0, 194, 149, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    194, 5, 0, 0, 229, 149, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 128, 9, 0, 0, 238, 149, 0, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 68, 9, 0, 0, 251, 149, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 128, 5, 0, 0, 8, 150, 0,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 100, 7, 0, 0, 21, 150, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 135, 1, 0, 0,
    34, 150, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 5, 7, 0, 0, 47, 150, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    129, 9, 0, 0, 60, 150, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 130, 9, 0, 0, 73, 150, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 134, 1, 0, 0, 86, 150, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 131, 9, 0, 0, 99, 150, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 126, 9, 0, 0, 112, 150, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 132, 9, 0, 0,
    128, 150, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 133, 9, 0, 0, 144, 150, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    89, 6, 0, 0, 168, 150, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 134, 9, 0, 0, 177, 150, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 196, 5, 0, 0, 190, 150, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 217, 3, 0, 0, 203, 150, 0,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 135, 9, 0, 0, 216, 150, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 136, 9, 0,
    0, 229, 150, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 137, 9, 0, 0, 242, 150, 0, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 138, 9, 0, 0, 255, 150, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 139, 9, 0, 0, 12, 151, 0, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 140, 9, 0, 0, 25, 151, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 141, 9, 0, 0, 38, 151, 0,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 142, 9, 0, 0, 51, 151, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 143, 9, 0, 0,
    64, 151, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 123, 1, 0, 0, 77, 151, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    144, 9, 0, 0, 90, 151, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 145, 9, 0, 0, 103, 151, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 146, 9, 0, 0, 186, 151, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 147, 9, 0, 0, 199, 151, 0,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 148, 9, 0, 0, 208, 151, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 171, 6, 0,
    0, 221, 151, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 179, 1, 0, 0, 234, 151, 0, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 90, 4, 0, 0, 247, 151, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 149, 9, 0, 0, 4, 152, 0, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 150, 9, 0, 0, 17, 152, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 151, 9, 0, 0, 30, 152, 0,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 152, 9, 0, 0, 43, 152, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 153, 9, 0, 0,
    56, 152, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 154, 9, 0, 0, 69, 152, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    50, 4, 0, 0, 82, 152, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 155, 9, 0, 0, 95, 152, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 77, 4, 0, 0, 108, 152, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 156, 9, 0, 0, 131, 152, 0,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 157, 9, 0, 0, 144, 152, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 151, 9, 0,
    0, 162, 152, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 158, 9, 0, 0, 179, 152, 0, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 159, 9, 0, 0, 192, 152, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 152, 9, 0, 0, 210, 152, 0, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 160, 9, 0, 0, 222, 152, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 161, 9, 0, 0, 235,
    152, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 155, 9, 0, 0, 253, 152, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 162,
    9, 0, 0, 19, 153, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 163, 9, 0, 0, 52, 153, 0, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 164, 9, 0, 0, 61, 153, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 165, 9, 0, 0, 67, 153, 0, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 166, 9, 0, 0, 73, 153, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 167, 9, 0, 0, 196,
    153, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 63, 8, 0, 0, 205, 153, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 133,
    5, 0, 0, 218, 153, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 106, 2, 0, 0, 231, 153, 0, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 179, 1, 0, 0, 244, 153, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 168, 9, 0, 0, 6, 154, 0, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 169, 9, 0, 0, 19, 154, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 170, 9, 0, 0, 33,
    154, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 171, 9, 0, 0, 51, 154, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 172,
    9, 0, 0, 64, 154, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 173, 9, 0, 0, 83, 154, 0, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 174, 9, 0, 0, 96, 154, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 175, 9, 0, 0, 232, 154, 0, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 176, 9, 0, 0, 244, 154, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 177, 9, 0, 0, 253,
    154, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 178, 9, 0, 0, 10, 155, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 179,
    9, 0, 0, 28, 155, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 180, 9, 0, 0, 89, 155, 0, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 181, 9, 0, 0, 98, 155, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 133, 5, 0, 0, 111, 155, 0, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 130, 9, 0, 0, 124, 155, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 192, 5, 0, 0, 137,
    155, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 14, 7, 0, 0, 156, 155, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 182,
    9, 0, 0, 165, 155, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 183, 9, 0, 0, 178, 155, 0, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 184, 9, 0, 0, 191, 155, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 185, 9, 0, 0, 204, 155, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 186, 9, 0, 0, 217, 155, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 187, 9, 0, 0,
    230, 155, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 188, 9, 0, 0, 243, 155, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    189, 9, 0, 0, 0, 156, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 190, 9, 0, 0, 14, 156, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 191, 9, 0, 0, 23, 156, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 192, 9, 0, 0, 36, 156, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 193, 9, 0, 0, 50, 156, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 194, 9, 0, 0,
    59, 156, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 74, 3, 0, 0, 72, 156, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    240, 4, 0, 0, 86, 156, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 195, 9, 0, 0, 95, 156, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 68, 9, 0, 0, 108, 156, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 196, 9, 0, 0, 121, 156, 0,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 197, 9, 0, 0, 135, 156, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 198, 9, 0,
    0, 144, 156, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 33, 6, 0, 0, 157, 156, 0, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 199, 9, 0, 0, 170, 156, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 200, 9, 0, 0, 183, 156, 0, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 179, 1, 0, 0, 236, 156, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 201, 9, 0, 0, 246,
    156, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 202, 9, 0, 0, 3, 157, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 203,
    9, 0, 0, 16, 157, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 204, 9, 0, 0, 29, 157, 0, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 205, 9, 0, 0, 42, 157, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 206, 9, 0, 0, 56, 157, 0, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 207, 9, 0, 0, 70, 157, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 208, 9, 0, 0, 84,
    157, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 179, 1, 0, 0, 98, 157, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 209,
    9, 0, 0, 112, 157, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 123, 1, 0, 0, 169, 157, 0, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 210, 9, 0, 0, 178, 157, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 211, 9, 0, 0, 191, 157, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 83, 9, 0, 0, 204, 157, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 82, 9, 0, 0,
    217, 157, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 212, 9, 0, 0, 230, 157, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    213, 9, 0, 0, 244, 157, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 214, 9, 0, 0, 253, 157, 0, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 215, 9, 0, 0, 6, 158, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 216, 9, 0, 0, 20, 158, 0,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 217, 9, 0, 0, 29, 158, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 243, 7, 0, 0,
    42, 158, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 242, 7, 0, 0, 55, 158, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    0, 9, 0, 0, 69, 158, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 245, 7, 0, 0, 78, 158, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 242, 7, 0, 0, 91, 158, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 243, 7, 0, 0, 104, 158, 0,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 240, 4, 0, 0, 118, 158, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 218, 9, 0,
    0, 127, 158, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 114, 2, 0, 0, 140, 158, 0, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 33, 6, 0, 0, 153, 158, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 51, 2, 0, 0, 171, 158, 0, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 219, 9, 0, 0, 196, 158, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 220, 9, 0, 0, 206, 158,
    0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 221, 9, 0, 0, 219, 158, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 222, 9,
    0, 0, 232, 158, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 223, 9, 0, 0, 245, 158, 0, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 224, 9, 0, 0, 2, 159, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 225, 9, 0, 0, 15, 159, 0, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 226, 9, 0, 0, 28, 159, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 227, 9, 0, 0, 41, 159,
    0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 226, 8, 0, 0, 55, 159, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 228, 9, 0,
    0, 69, 159, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 229, 9, 0, 0, 83, 159, 0, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 230, 9, 0, 0, 97, 159, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 231, 9, 0, 0, 111, 159, 0, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 232, 9, 0, 0, 125, 159, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 233, 9, 0, 0, 139, 159,
    0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 234, 9, 0, 0, 153, 159, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 235, 9,
    0, 0, 167, 159, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 236, 9, 0, 0, 181, 159, 0, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 237, 9, 0, 0, 195, 159, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 238, 9, 0, 0, 209, 159, 0, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 239, 9, 0, 0, 229, 159, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 240, 9, 0, 0, 238,
    159, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 241, 9, 0, 0, 251, 159, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 201,
    7, 0, 0, 8, 160, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 242, 9, 0, 0, 21, 160, 0, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 243, 9, 0, 0, 34, 160, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 244, 9, 0, 0, 47, 160, 0, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 245, 9, 0, 0, 109, 160, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 246, 9, 0, 0, 118,
    160, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 141, 7, 0, 0, 131, 160, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 247,
    9, 0, 0, 144, 160, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 248, 9, 0, 0, 157, 160, 0, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 167, 7, 0, 0, 176, 160, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 249, 9, 0, 0, 186, 160, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 250, 9, 0, 0, 199, 160, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 134, 1, 0, 0,
    212, 160, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 5, 7, 0, 0, 225, 160, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    251, 9, 0, 0, 238, 160, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 252, 9, 0, 0, 251, 160, 0, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 253, 9, 0, 0, 8, 161, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 254, 9, 0, 0, 21, 161, 0,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 255, 9, 0, 0, 34, 161, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 0, 10, 0, 0,
    47, 161, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 1, 10, 0, 0, 60, 161, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 2,
    10, 0, 0, 73, 161, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 3, 10, 0, 0, 86, 161, 0, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 4, 10, 0, 0, 99, 161, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 5, 10, 0, 0, 112, 161, 0, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 6, 10, 0, 0, 125, 161, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 7, 10, 0, 0, 138,
    161, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 123, 1, 0, 0, 151, 161, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 70,
    5, 0, 0, 164, 161, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 179, 1, 0, 0, 178, 161, 0, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 8, 10, 0, 0, 192, 161, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 9, 10, 0, 0, 212, 161, 0, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 10, 10, 0, 0, 221, 161, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 134, 1, 0, 0, 234,
    161, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 252, 9, 0, 0, 247, 161, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 11,
    10, 0, 0, 5, 162, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 12, 10, 0, 0, 14, 162, 0, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 11, 10, 0, 0, 27, 162, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 13, 10, 0, 0, 41, 162, 0, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 14, 10, 0, 0, 50, 162, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 240, 4, 0, 0, 63,
    162, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 15, 10, 0, 0, 82, 162, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 16,
    10, 0, 0, 105, 162, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 33, 6, 0, 0, 118, 162, 0, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 17, 10, 0, 0, 132, 162, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 18, 10, 0, 0, 145, 162, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 19, 10, 0, 0, 158, 162, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 20, 10, 0, 0,
    171, 162, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 21, 10, 0, 0, 184, 162, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    22, 10, 0, 0, 197, 162, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 23, 10, 0, 0, 210, 162, 0, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 13, 4, 0, 0, 223, 162, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 24, 10, 0, 0, 236, 162,
    0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 179, 1, 0, 0, 249, 162, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 244, 6,
    0, 0, 6, 163, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 25, 10, 0, 0, 19, 163, 0, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 73, 7, 0, 0, 32, 163, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 26, 10, 0, 0, 45, 163, 0, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 27, 10, 0, 0, 64, 163, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 28, 10, 0, 0, 74, 163, 0,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 23, 10, 0, 0, 87, 163, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 248, 9, 0, 0,
    100, 163, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 251, 9, 0, 0, 113, 163, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    252, 9, 0, 0, 126, 163, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 133, 5, 0, 0, 139, 163, 0, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 29, 10, 0, 0, 152, 163, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 30, 10, 0, 0, 165, 163,
    0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 31, 10, 0, 0, 178, 163, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 32, 10,
    0, 0, 191, 163, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 33, 10, 0, 0, 204, 163, 0, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 34, 10, 0, 0, 217, 163, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 35, 10, 0, 0, 230, 163, 0, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 70, 5, 0, 0, 249, 163, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 36, 10, 0, 0, 3,
    164, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 240, 4, 0, 0, 16, 164, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 167,
    7, 0, 0, 29, 164, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 13, 4, 0, 0, 42, 164, 0, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 244, 6, 0, 0, 55, 164, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 179, 1, 0, 0, 68, 164, 0, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 37, 10, 0, 0, 81, 164, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 38, 10, 0, 0, 94, 164,
    0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 39, 10, 0, 0, 107, 164, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 40, 10,
    0, 0, 120, 164, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 41, 10, 0, 0, 133, 164, 0, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 42, 10, 0, 0, 146, 164, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 43, 10, 0, 0, 159, 164, 0, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 44, 10, 0, 0, 172, 164, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 45, 10, 0, 0, 186,
    164, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 46, 10, 0, 0, 200, 164, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 47,
    10, 0, 0, 214, 164, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 48, 10, 0, 0, 228, 164, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 70, 6, 0, 0, 242, 164, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 49, 10, 0, 0, 0, 165, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 133, 5, 0, 0, 14, 165, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 151, 8, 0, 0,
    28, 165, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 70, 5, 0, 0, 60, 165, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    50, 10, 0, 0, 69, 165, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 51, 10, 0, 0, 88, 165, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 52, 10, 0, 0, 97, 165, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 53, 10, 0, 0, 110, 165, 0,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 54, 10, 0, 0, 123, 165, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 55, 10, 0,
    0, 141, 165, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 56, 10, 0, 0, 161, 165, 0, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 54, 10, 0, 0, 170, 165, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 175, 9, 0, 0, 225, 165, 0, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 57, 10, 0, 0, 235, 165, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 248, 9, 0, 0, 248,
    165, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 18, 2, 0, 0, 6, 166, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 58, 10,
    0, 0, 16, 166, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 27, 6, 0, 0, 29, 166, 0, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 34, 6, 0, 0, 42, 166, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 174, 6, 0, 0, 55, 166, 0, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 59, 10, 0, 0, 68, 166, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 9, 0, 0, 0, 81, 166, 0,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 60, 10, 0, 0, 94, 166, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 61, 10, 0, 0,
    107, 166, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 62, 10, 0, 0, 120, 166, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    63, 10, 0, 0, 133, 166, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 5, 7, 0, 0, 146, 166, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 64, 10, 0, 0, 159, 166, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 109, 2, 0, 0, 172, 166, 0,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 65, 10, 0, 0, 186, 166, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 66, 10, 0,
    0, 200, 166, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 67, 10, 0, 0, 214, 166, 0, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 68, 10, 0, 0, 228, 166, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 69, 10, 0, 0, 242, 166, 0, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 70, 10, 0, 0, 0, 167, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 71, 10, 0, 0, 14, 167,
    0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 72, 10, 0, 0, 28, 167, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 73, 10, 0,
    0, 42, 167, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 74, 10, 0, 0, 56, 167, 0, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 75, 10, 0, 0, 70, 167, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 76, 10, 0, 0, 84, 167, 0, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 77, 10, 0, 0, 98, 167, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 78, 10, 0, 0, 112, 167,
    0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 79, 10, 0, 0, 126, 167, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 80, 10,
    0, 0, 140, 167, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 81, 10, 0, 0, 154, 167, 0, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 82, 10, 0, 0, 168, 167, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 244, 6, 0, 0, 182, 167, 0, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 83, 10, 0, 0, 196, 167, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 84, 10, 0, 0, 210,
    167, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 85, 10, 0, 0, 224, 167, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 86,
    10, 0, 0, 238, 167, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 198, 5, 0, 0, 252, 167, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 87, 10, 0, 0, 10, 168, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 88, 10, 0, 0, 24, 168, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 89, 10, 0, 0, 41, 168, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 90, 10, 0, 0,
    58, 168, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 91, 10, 0, 0, 75, 168, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    92, 10, 0, 0, 103, 168, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 93, 10, 0, 0, 114, 168, 0, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 94, 10, 0, 0, 129, 168, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 95, 10, 0, 0, 144, 168,
    0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 96, 10, 0, 0, 159, 168, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 97, 10,
    0, 0, 174, 168, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 98, 10, 0, 0, 189, 168, 0, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 99, 10, 0, 0, 204, 168, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 100, 10, 0, 0, 219, 168, 0, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 101, 10, 0, 0, 234, 168, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 58, 10, 0, 0,
    249, 168, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 102, 10, 0, 0, 12, 169, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    103, 10, 0, 0, 21, 169, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 104, 10, 0, 0, 34, 169, 0, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 105, 10, 0, 0, 47, 169, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 41, 7, 0, 0, 60, 169, 0,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 158, 7, 0, 0, 91, 169, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 106, 10, 0,
    0, 100, 169, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 107, 10, 0, 0, 113, 169, 0, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 108, 10, 0, 0, 126, 169, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 109, 10, 0, 0, 145, 169, 0, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 110, 10, 0, 0, 154, 169, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 123, 1, 0, 0,
    167, 169, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 60, 10, 0, 0, 180, 169, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    12, 4, 0, 0, 193, 169, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 111, 10, 0, 0, 206, 169, 0, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 112, 10, 0, 0, 219, 169, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 113, 10, 0, 0, 232,
    169, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 114, 10, 0, 0, 245, 169, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    115, 10, 0, 0, 2, 170, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 116, 10, 0, 0, 15, 170, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 117, 10, 0, 0, 28, 170, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 118, 10, 0, 0, 41, 170, 0,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 225, 3, 0, 0, 54, 170, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 119, 10, 0,
    0, 67, 170, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 120, 10, 0, 0, 80, 170, 0, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 86, 10, 0, 0, 93, 170, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 121, 10, 0, 0, 106, 170, 0, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 122, 10, 0, 0, 119, 170, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 123, 10, 0, 0, 132,
    170, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 174, 6, 0, 0, 151, 170, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 124,
    10, 0, 0, 160, 170, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 123, 1, 0, 0, 173, 170, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 125, 10, 0, 0, 186, 170, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 126, 10, 0, 0, 199, 170,
    0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 127, 10, 0, 0, 212, 170, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 121, 10,
    0, 0, 225, 170, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 128, 10, 0, 0, 238, 170, 0, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 129, 10, 0, 0, 251, 170, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 47, 6, 0, 0, 8, 171, 0, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 116, 10, 0, 0, 21, 171, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 117, 10, 0, 0, 34,
    171, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 118, 10, 0, 0, 47, 171, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 225,
    3, 0, 0, 60, 171, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 187, 8, 0, 0, 73, 171, 0, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 90, 10, 0, 0, 86, 171, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 119, 10, 0, 0, 99, 171, 0, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 120, 10, 0, 0, 112, 171, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 130, 10, 0, 0,
    125, 171, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 131, 10, 0, 0, 138, 171, 0, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 122, 10, 0, 0, 151, 171, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 132, 10, 0, 0, 164, 171, 0, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 174, 6, 0, 0, 177, 171, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 133, 10, 0, 0, 190,
    171, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 134, 10, 0, 0, 43, 172, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 135,
    10, 0, 0, 51, 172, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 136, 10, 0, 0, 60, 172, 0, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 130, 9, 0, 0, 84, 172, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 137, 10, 0, 0, 93, 172, 0, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 138, 10, 0, 0, 106, 172, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 139, 10, 0, 0,
    119, 172, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 119, 10, 0, 0, 132, 172, 0, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 120, 10, 0, 0, 145, 172, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 140, 10, 0, 0, 158, 172, 0, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 141, 10, 0, 0, 171, 172, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 142, 10, 0, 0, 184,
    172, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 143, 10, 0, 0, 197, 172, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    144, 10, 0, 0, 210, 172, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 145, 10, 0, 0, 223, 172, 0, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 146, 10, 0, 0, 236, 172, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 147, 10, 0, 0, 249,
    172, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 148, 10, 0, 0, 6, 173, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 149,
    10, 0, 0, 19, 173, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 150, 10, 0, 0, 32, 173, 0, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 151, 10, 0, 0, 45, 173, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 152, 10, 0, 0, 58, 173, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 153, 10, 0, 0, 71, 173, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 154, 10, 0, 0,
    84, 173, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 155, 10, 0, 0, 97, 173, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    156, 10, 0, 0, 110, 173, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 157, 10, 0, 0, 123, 173, 0, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 158, 10, 0, 0, 147, 173, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 132, 10, 0, 0, 157,
    173, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 159, 10, 0, 0, 170, 173, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    160, 10, 0, 0, 183, 173, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 161, 10, 0, 0, 196, 173, 0, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 162, 10, 0, 0, 209, 173, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 163, 10, 0, 0, 222,
    173, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 164, 10, 0, 0, 235, 173, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    165, 10, 0, 0, 248, 173, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 166, 10, 0, 0, 5, 174, 0, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 167, 10, 0, 0, 18, 174, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 168, 10, 0, 0, 31, 174,
    0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 169, 10, 0, 0, 44, 174, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 170, 10,
    0, 0, 57, 174, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 171, 10, 0, 0, 70, 174, 0, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 172, 10, 0, 0, 83, 174, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 173, 10, 0, 0, 96, 174, 0, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 174, 10, 0, 0, 109, 174, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 175, 10, 0, 0,
    122, 174, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 176, 10, 0, 0, 135, 174, 0, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 177, 10, 0, 0, 148, 174, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 178, 10, 0, 0, 161, 174, 0, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 179, 10, 0, 0, 174, 174, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 180, 10, 0, 0, 187,
    174, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 181, 10, 0, 0, 200, 174, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    182, 10, 0, 0, 213, 174, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 183, 10, 0, 0, 226, 174, 0, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 184, 10, 0, 0, 239, 174, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 185, 10, 0, 0, 252,
    174, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 186, 10, 0, 0, 9, 175, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 187,
    10, 0, 0, 22, 175, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 188, 10, 0, 0, 35, 175, 0, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 189, 10, 0, 0, 48, 175, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 190, 10, 0, 0, 61, 175, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 191, 10, 0, 0, 75, 175, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 192, 10, 0, 0,
    89, 175, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 193, 10, 0, 0, 103, 175, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    194, 10, 0, 0, 117, 175, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 195, 10, 0, 0, 131, 175, 0, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 196, 10, 0, 0, 145, 175, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 197, 10, 0, 0, 159,
    175, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 198, 10, 0, 0, 173, 175, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 12,
    4, 0, 0, 208, 175, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 199, 10, 0, 0, 217, 175, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 200, 10, 0, 0, 223, 175, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 201, 10, 0, 0, 229, 175,
    0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 202, 10, 0, 0, 1, 176, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 203, 10,
    0, 0, 10, 176, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 9, 0, 0, 0, 23, 176, 0, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 97, 5, 0, 0, 36, 176, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 198, 10, 0, 0, 49, 176, 0, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 204, 10, 0, 0, 62, 176, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 205, 10, 0, 0, 75, 176,
    0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 206, 10, 0, 0, 88, 176, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 207, 10,
    0, 0, 106, 176, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 208, 10, 0, 0, 150, 176, 0, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 209, 10, 0, 0, 159, 176, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 210, 10, 0, 0, 172, 176, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 211, 10, 0, 0, 185, 176, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 212, 10, 0, 0,
    203, 176, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 213, 10, 0, 0, 49, 177, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    214, 10, 0, 0, 92, 177, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 215, 10, 0, 0, 101, 177, 0, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 107, 7, 0, 0, 114, 177, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 73, 3, 0, 0, 127, 177,
    0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 216, 10, 0, 0, 200, 177, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 217, 10,
    0, 0, 209, 177, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 134, 1, 0, 0, 222, 177, 0, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 97, 5, 0, 0, 235, 177, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 80, 10, 0, 0, 248, 177, 0, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 18, 2, 0, 0, 11, 178, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 218, 10, 0, 0, 20, 178,
    0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 219, 10, 0, 0, 33, 178, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 97, 5, 0,
    0, 46, 178, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 18, 2, 0, 0, 70, 178, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    220, 10, 0, 0, 79, 178, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 41, 7, 0, 0, 92, 178, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 158, 7, 0, 0, 105, 178, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 221, 10, 0, 0, 118, 178, 0,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 222, 10, 0, 0, 131, 178, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 223, 10, 0,
    0, 144, 178, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 224, 10, 0, 0, 157, 178, 0, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 225, 10, 0, 0, 170, 178, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 226, 10, 0, 0, 183, 178, 0, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 227, 10, 0, 0, 196, 178, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 160, 7, 0, 0,
    209, 178, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 228, 10, 0, 0, 222, 178, 0, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 229, 10, 0, 0, 235, 178, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 230, 10, 0, 0, 248, 178, 0, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 231, 10, 0, 0, 5, 179, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 232, 10, 0, 0, 18,
    179, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 233, 10, 0, 0, 31, 179, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 234,
    10, 0, 0, 44, 179, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 235, 10, 0, 0, 100, 180, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 236, 10, 0, 0, 109, 180, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 80, 10, 0, 0, 122, 180, 0,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 237, 10, 0, 0, 135, 180, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 252, 5, 0,
    0, 187, 180, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 238, 10, 0, 0, 196, 180, 0, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 239, 10, 0, 0, 209, 180, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 244, 6, 0, 0, 222, 180, 0, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 240, 10, 0, 0, 22, 181, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 87, 10, 0, 0, 33,
    181, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 27, 6, 0, 0, 48, 181, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 241,
    10, 0, 0, 63, 181, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 242, 10, 0, 0, 78, 181, 0, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 5, 7, 0, 0, 93, 181, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 243, 10, 0, 0, 108, 181, 0, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 244, 10, 0, 0, 123, 181, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 245, 10, 0, 0,
    138, 181, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 123, 1, 0, 0, 153, 181, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    244, 6, 0, 0, 168, 181, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 246, 10, 0, 0, 183, 181, 0, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 247, 10, 0, 0, 198, 181, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 33, 6, 0, 0, 214, 181,
    0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 248, 10, 0, 0, 223, 181, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 249, 10,
    0, 0, 236, 181, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 74, 3, 0, 0, 255, 181, 0, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 250, 10, 0, 0, 8, 182, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 251, 10, 0, 0, 21, 182, 0, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 44, 2, 0, 0, 34, 182, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 52, 3, 0, 0, 52, 182,
    0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 252, 10, 0, 0, 116, 182, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 253, 10,
    0, 0, 125, 182, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 254, 10, 0, 0, 131, 182, 0, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 255, 10, 0, 0, 137, 182, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 0, 11, 0, 0, 143, 182, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 1, 11, 0, 0, 149, 182, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 2, 11, 0, 0,
    155, 182, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 3, 11, 0, 0, 161, 182, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    4, 11, 0, 0, 167, 182, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 5, 11, 0, 0, 173, 182, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 6, 11, 0, 0, 224, 182, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 7, 11, 0, 0, 233, 182, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 134, 1, 0, 0, 246, 182, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 107, 7, 0, 0,
    3, 183, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 117, 2, 0, 0, 16, 183, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 8,
    11, 0, 0, 29, 183, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 9, 0, 0, 0, 47, 183, 0, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 9, 11, 0, 0, 56, 183, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 10, 11, 0, 0, 62, 183, 0, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 11, 11, 0, 0, 68, 183, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 12, 11, 0, 0, 74, 183,
    0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 13, 11, 0, 0, 80, 183, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 14, 11, 0,
    0, 166, 183, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 15, 11, 0, 0, 175, 183, 0, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 16, 11, 0, 0, 188, 183, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 17, 11, 0, 0, 201, 183, 0, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 252, 5, 0, 0, 220, 183, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 18, 11, 0, 0, 229,
    183, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 123, 1, 0, 0, 242, 183, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 19,
    11, 0, 0, 255, 183, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 20, 11, 0, 0, 12, 184, 0, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 80, 10, 0, 0, 25, 184, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 21, 11, 0, 0, 38, 184, 0, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 22, 11, 0, 0, 51, 184, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 34, 6, 0, 0, 64,
    184, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 23, 11, 0, 0, 77, 184, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 231,
    7, 0, 0, 90, 184, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 27, 6, 0, 0, 103, 184, 0, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 24, 11, 0, 0, 116, 184, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 114, 2, 0, 0, 134, 184, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 19, 11, 0, 0, 147, 184, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 25, 11, 0, 0,
    156, 184, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 123, 1, 0, 0, 169, 184, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    117, 2, 0, 0, 182, 184, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 119, 2, 0, 0, 195, 184, 0, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 44, 2, 0, 0, 208, 184, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 24, 11, 0, 0, 221, 184,
    0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 73, 6, 0, 0, 37, 185, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 26, 11, 0,
    0, 46, 185, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 27, 11, 0, 0, 52, 185, 0, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 28, 11, 0, 0, 111, 185, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 29, 11, 0, 0, 120, 185, 0, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 18, 2, 0, 0, 193, 185, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 30, 11, 0, 0, 202,
    185, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 137, 9, 0, 0, 215, 185, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 134,
    1, 0, 0, 229, 185, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 31, 11, 0, 0, 238, 185, 0, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 9, 0, 0, 0, 251, 185, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 32, 11, 0, 0, 22, 186, 0, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 130, 9, 0, 0, 35, 186, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 33, 11, 0, 0, 48,
    186, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 34, 11, 0, 0, 63, 186, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 35,
    11, 0, 0, 72, 186, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 36, 11, 0, 0, 85, 186, 0, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 179, 1, 0, 0, 98, 186, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 37, 11, 0, 0, 111, 186, 0, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 221, 6, 0, 0, 124, 186, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 112, 2, 0, 0, 137,
    186, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 38, 11, 0, 0, 151, 186, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 39,
    11, 0, 0, 160, 186, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 179, 1, 0, 0, 173, 186, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 37, 11, 0, 0, 186, 186, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 40, 11, 0, 0, 199, 186, 0,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 221, 6, 0, 0, 212, 186, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 112, 2, 0,
    0, 225, 186, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 102, 4, 0, 0, 12, 187, 0, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 41, 11, 0, 0, 21, 187, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 215, 5, 0, 0, 34, 187, 0, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 179, 1, 0, 0, 47, 187, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 37, 11, 0, 0, 60, 187, 0,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 40, 11, 0, 0, 73, 187, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 148, 2, 0, 0,
    118, 187, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 42, 11, 0, 0, 127, 187, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    215, 5, 0, 0, 140, 187, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 43, 11, 0, 0, 153, 187, 0, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 44, 11, 0, 0, 166, 187, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 32, 11, 0, 0, 193, 187,
    0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 45, 11, 0, 0, 206, 187, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 46, 11,
    0, 0, 233, 187, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 47, 11, 0, 0, 242, 187, 0, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 179, 1, 0, 0, 255, 187, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 48, 11, 0, 0, 12, 188, 0, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 37, 11, 0, 0, 26, 188, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 49, 11, 0, 0, 35, 188,
    0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 179, 1, 0, 0, 48, 188, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 48, 11, 0,
    0, 61, 188, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 37, 11, 0, 0, 74, 188, 0, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 112, 2, 0, 0, 87, 188, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 50, 11, 0, 0, 100, 188, 0, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 51, 11, 0, 0, 145, 188, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 52, 11, 0, 0, 154, 188,
    0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 215, 5, 0, 0, 167, 188, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 53, 11,
    0, 0, 180, 188, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 179, 1, 0, 0, 193, 188, 0, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 54, 11, 0, 0, 206, 188, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 55, 11, 0, 0, 219, 188, 0, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 56, 11, 0, 0, 232, 188, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 57, 11, 0, 0, 245,
    188, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 32, 11, 0, 0, 16, 189, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 58,
    11, 0, 0, 43, 189, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 59, 11, 0, 0, 52, 189, 0, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 179, 1, 0, 0, 65, 189, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 60, 11, 0, 0, 78, 189, 0, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 61, 11, 0, 0, 118, 189, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 62, 11, 0, 0, 130,
    189, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 75, 9, 0, 0, 145, 189, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 63,
    11, 0, 0, 160, 189, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 64, 11, 0, 0, 175, 189, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 5, 7, 0, 0, 190, 189, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 65, 11, 0, 0, 205, 189, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 66, 11, 0, 0, 220, 189, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 67, 11, 0, 0,
    235, 189, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 68, 11, 0, 0, 250, 189, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    69, 11, 0, 0, 13, 190, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 60, 10, 0, 0, 29, 190, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 70, 11, 0, 0, 45, 190, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 85, 10, 0, 0, 67, 190, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 85, 10, 0, 0, 76, 190, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 123, 1, 0, 0,
    89, 190, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 12, 4, 0, 0, 102, 190, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    71, 11, 0, 0, 115, 190, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 121, 10, 0, 0, 128, 190, 0, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 72, 11, 0, 0, 141, 190, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 73, 11, 0, 0, 154, 190,
    0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 74, 11, 0, 0, 167, 190, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 75, 11,
    0, 0, 180, 190, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 76, 11, 0, 0, 193, 190, 0, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 77, 11, 0, 0, 206, 190, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 78, 11, 0, 0, 219, 190, 0, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 59, 6, 0, 0, 232, 190, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 60, 6, 0, 0, 245,
    190, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 122, 10, 0, 0, 2, 191, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 174,
    6, 0, 0, 64, 191, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 79, 11, 0, 0, 73, 191, 0, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 9, 0, 0, 0, 86, 191, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 80, 11, 0, 0, 99, 191, 0, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 81, 11, 0, 0, 112, 191, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 82, 11, 0, 0, 125,
    191, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 83, 11, 0, 0, 138, 191, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 84,
    11, 0, 0, 156, 191, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 85, 11, 0, 0, 165, 191, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 86, 11, 0, 0, 171, 191, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 87, 11, 0, 0, 177, 191, 0,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 88, 11, 0, 0, 32, 192, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 113, 10, 0,
    0, 41, 192, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 89, 11, 0, 0, 47, 192, 0, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 90, 11, 0, 0, 53, 192, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 91, 11, 0, 0, 70, 192, 0, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 92, 11, 0, 0, 79, 192, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 123, 1, 0, 0, 92, 192, 0,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 9, 0, 0, 0, 105, 192, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 93, 11, 0, 0,
    118, 192, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 114, 2, 0, 0, 166, 192, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    94, 11, 0, 0, 175, 192, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 244, 6, 0, 0, 188, 192, 0, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 63, 10, 0, 0, 201, 192, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 95, 11, 0, 0, 214, 192,
    0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 96, 11, 0, 0, 244, 192, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 97, 11,
    0, 0, 1, 193, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 98, 11, 0, 0, 12, 193, 0, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 27, 6, 0, 0, 27, 193, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 66, 11, 0, 0, 42, 193, 0, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 97, 10, 0, 0, 57, 193, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 213, 5, 0, 0, 72, 193, 0,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 61, 10, 0, 0, 103, 193, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 99, 11, 0,
    0, 112, 193, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 123, 1, 0, 0, 125, 193, 0, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 86, 10, 0, 0, 138, 193, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 47, 6, 0, 0, 151, 193, 0, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 74, 11, 0, 0, 164, 193, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 198, 5, 0, 0, 177, 193,
    0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 122, 10, 0, 0, 222, 193, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 100, 11,
    0, 0, 231, 193, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 101, 11, 0, 0, 244, 193, 0, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 102, 11, 0, 0, 1, 194, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 103, 11, 0, 0, 14, 194, 0, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 104, 11, 0, 0, 27, 194, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 105, 11, 0, 0, 40,
    194, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 144, 2, 0, 0, 58, 194, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 106,
    11, 0, 0, 67, 194, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 107, 11, 0, 0, 73, 194, 0, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 108, 11, 0, 0, 79, 194, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 109, 11, 0, 0, 85, 194, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 110, 11, 0, 0, 92, 194, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 111, 11, 0, 0,
    102, 194, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 112, 11, 0, 0, 115, 194, 0, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 113, 11, 0, 0, 131, 194, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 114, 11, 0, 0, 147, 194, 0, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 115, 11, 0, 0, 163, 194, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 116, 11, 0, 0, 179,
    194, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 117, 11, 0, 0, 195, 194, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    118, 11, 0, 0, 211, 194, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 119, 11, 0, 0, 227, 194, 0, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 120, 11, 0, 0, 243, 194, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 121, 11, 0, 0, 3, 195,
    0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 122, 11, 0, 0, 19, 195, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 123, 11,
    0, 0, 32, 195, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 240, 4, 0, 0, 45, 195, 0, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 33, 6, 0, 0, 58, 195, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 12, 10, 0, 0, 71, 195, 0, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 124, 11, 0, 0, 84, 195, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 125, 11, 0, 0, 100,
    195, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 126, 11, 0, 0, 116, 195, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    127, 11, 0, 0, 132, 195, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 128, 11, 0, 0, 148, 195, 0, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 129, 11, 0, 0, 164, 195, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 130, 11, 0, 0, 177,
    195, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 131, 11, 0, 0, 190, 195, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    141, 7, 0, 0, 203, 195, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 132, 11, 0, 0, 216, 195, 0, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 133, 11, 0, 0, 229, 195, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 134, 11, 0, 0, 242,
    195, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 135, 11, 0, 0, 255, 195, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    136, 11, 0, 0, 15, 196, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 137, 11, 0, 0, 31, 196, 0, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 138, 11, 0, 0, 47, 196, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 139, 11, 0, 0, 63, 196,
    0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 140, 11, 0, 0, 79, 196, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 141, 11,
    0, 0, 95, 196, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 142, 11, 0, 0, 111, 196, 0, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 143, 11, 0, 0, 127, 196, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 144, 11, 0, 0, 143, 196, 0, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 145, 11, 0, 0, 159, 196, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 146, 11, 0, 0,
    175, 196, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 147, 11, 0, 0, 188, 196, 0, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 148, 11, 0, 0, 201, 196, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 149, 11, 0, 0, 214, 196, 0, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 150, 11, 0, 0, 227, 196, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 151, 11, 0, 0, 240,
    196, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 152, 11, 0, 0, 253, 196, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    153, 11, 0, 0, 11, 197, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 154, 11, 0, 0, 25, 197, 0, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 155, 11, 0, 0, 39, 197, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 156, 11, 0, 0, 53, 197,
    0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 157, 11, 0, 0, 67, 197, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 158, 11,
    0, 0, 87, 197, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 159, 11, 0, 0, 96, 197, 0, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 123, 1, 0, 0, 109, 197, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 244, 6, 0, 0, 122, 197, 0, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 33, 6, 0, 0, 135, 197, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 240, 4, 0, 0, 148,
    197, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 133, 11, 0, 0, 161, 197, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    247, 9, 0, 0, 174, 197, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 131, 11, 0, 0, 187, 197, 0, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 160, 11, 0, 0, 200, 197, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 161, 11, 0, 0, 213,
    197, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 162, 11, 0, 0, 226, 197, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    163, 11, 0, 0, 239, 197, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 164, 11, 0, 0, 252, 197, 0, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 165, 11, 0, 0, 9, 198, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 166, 11, 0, 0, 22, 198,
    0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 167, 11, 0, 0, 35, 198, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 168, 11,
    0, 0, 48, 198, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 169, 11, 0, 0, 61, 198, 0, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 18, 2, 0, 0, 74, 198, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 82, 4, 0, 0, 90, 198, 0, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 170, 11, 0, 0, 112, 198, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 171, 11, 0, 0, 123,
    198, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 18, 2, 0, 0, 138, 198, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 144,
    2, 0, 0, 153, 198, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 145, 1, 0, 0, 168, 198, 0, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 123, 1, 0, 0, 188, 198, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 172, 11, 0, 0, 196, 198, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 173, 11, 0, 0, 205, 198, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 13, 4, 0, 0,
    218, 198, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 174, 11, 0, 0, 231, 198, 0, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 200, 9, 0, 0, 244, 198, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 175, 11, 0, 0, 1, 199, 0, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 146, 1, 0, 0, 14, 199, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 176, 11, 0, 0, 27, 199,
    0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 177, 11, 0, 0, 40, 199, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 178, 11,
    0, 0, 54, 199, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 179, 11, 0, 0, 63, 199, 0, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 13, 4, 0, 0, 76, 199, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 199, 9, 0, 0, 116, 199, 0, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 180, 11, 0, 0, 125, 199, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 181, 11, 0, 0, 138,
    199, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 122, 1, 0, 0, 151, 199, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 182,
    11, 0, 0, 164, 199, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 241, 9, 0, 0, 177, 199, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 183, 11, 0, 0, 190, 199, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 82, 4, 0, 0, 203, 199, 0,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 184, 11, 0, 0, 216, 199, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 37, 7, 0,
    0, 235, 199, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 185, 11, 0, 0, 245, 199, 0, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 240, 4, 0, 0, 2, 200, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 167, 7, 0, 0, 15, 200, 0, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 186, 11, 0, 0, 28, 200, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 187, 11, 0, 0, 41,
    200, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 188, 11, 0, 0, 57, 200, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 189,
    11, 0, 0, 73, 200, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 190, 11, 0, 0, 89, 200, 0, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 191, 11, 0, 0, 105, 200, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 192, 11, 0, 0, 118, 200, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 193, 11, 0, 0, 131, 200, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 194, 11, 0, 0,
    144, 200, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 195, 11, 0, 0, 157, 200, 0, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 196, 11, 0, 0, 170, 200, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 197, 11, 0, 0, 183, 200, 0, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 198, 11, 0, 0, 196, 200, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 199, 11, 0, 0, 209,
    200, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 200, 11, 0, 0, 239, 200, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    201, 11, 0, 0, 250, 200, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 202, 11, 0, 0, 5, 201, 0, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 203, 11, 0, 0, 13, 201, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 204, 11, 0, 0, 22, 201,
    0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 231, 4, 0, 0, 36, 201, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 205, 11,
    0, 0, 45, 201, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 154, 6, 0, 0, 75, 201, 0, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 206, 11, 0, 0, 84, 201, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 207, 11, 0, 0, 90, 201, 0, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 208, 11, 0, 0, 96, 201, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 209, 11, 0, 0,
    102, 201, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 210, 11, 0, 0, 108, 201, 0, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 211, 11, 0, 0, 119, 201, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 212, 11, 0, 0, 128, 201, 0, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 213, 11, 0, 0, 134, 201, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 214, 11, 0, 0, 140,
    201, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 215, 11, 0, 0, 146, 201, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    216, 11, 0, 0, 158, 201, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 217, 11, 0, 0, 167, 201, 0, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 240, 4, 0, 0, 180, 201, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 61, 7, 0, 0, 193, 201,
    0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 218, 11, 0, 0, 206, 201, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 219, 11,
    0, 0, 225, 201, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 220, 11, 0, 0, 236, 201, 0, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 243, 6, 0, 0, 251, 201, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 18, 2, 0, 0, 33, 202, 0, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 221, 11, 0, 0, 43, 202, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 222, 11, 0, 0, 56,
    202, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 223, 11, 0, 0, 69, 202, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 100,
    2, 0, 0, 82, 202, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 179, 1, 0, 0, 96, 202, 0, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 224, 11, 0, 0, 110, 202, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 225, 11, 0, 0, 124, 202, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 226, 11, 0, 0, 139, 202, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 227, 11, 0, 0,
    148, 202, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 134, 1, 0, 0, 161, 202, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    228, 11, 0, 0, 174, 202, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 229, 11, 0, 0, 187, 202, 0, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 230, 11, 0, 0, 200, 202, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 9, 0, 0, 0, 213, 202,
    0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 231, 11, 0, 0, 227, 202, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 232, 11,
    0, 0, 236, 202, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 233, 11, 0, 0, 254, 202, 0, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 234, 11, 0, 0, 7, 203, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 235, 11, 0, 0, 13, 203, 0, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 236, 11, 0, 0, 19, 203, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 237, 11, 0, 0, 31,
    203, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 238, 11, 0, 0, 40, 203, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 239,
    11, 0, 0, 53, 203, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 240, 11, 0, 0, 66, 203, 0, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 241, 11, 0, 0, 79, 203, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 242, 11, 0, 0, 93, 203, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 243, 11, 0, 0, 102, 203, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 134, 1, 0, 0,
    115, 203, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 244, 11, 0, 0, 134, 203, 0, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 245, 11, 0, 0, 143, 203, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 9, 0, 0, 0, 156, 203, 0, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 114, 2, 0, 0, 174, 203, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 246, 11, 0, 0, 187, 203,
    0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 247, 11, 0, 0, 200, 203, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 100, 2,
    0, 0, 214, 203, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 18, 2, 0, 0, 232, 203, 0, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 248, 11, 0, 0, 241, 203, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 249, 11, 0, 0, 247, 203, 0, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 250, 11, 0, 0, 253, 203, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 251, 11, 0, 0, 3,
    204, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 252, 11, 0, 0, 9, 204, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 253,
    11, 0, 0, 16, 204, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 254, 11, 0, 0, 25, 204, 0, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 174, 7, 0, 0, 38, 204, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 255, 11, 0, 0, 51, 204, 0, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 233, 11, 0, 0, 65, 204, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 0, 12, 0, 0, 74,
    204, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 13, 4, 0, 0, 87, 204, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 179,
    1, 0, 0, 101, 204, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 1, 12, 0, 0, 110, 204, 0, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 9, 0, 0, 0, 123, 204, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 246, 11, 0, 0, 136, 204, 0, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 158, 11, 0, 0, 154, 204, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 2, 12, 0, 0, 163,
    204, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 3, 12, 0, 0, 169, 204, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 4,
    12, 0, 0, 186, 204, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 5, 12, 0, 0, 195, 204, 0, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 97, 5, 0, 0, 208, 204, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 107, 7, 0, 0, 221, 204, 0, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 6, 12, 0, 0, 234, 204, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 7, 12, 0, 0, 247,
    204, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 8, 12, 0, 0, 4, 205, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 9, 12,
    0, 0, 40, 205, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 10, 12, 0, 0, 49, 205, 0, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 11, 12, 0, 0, 62, 205, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 12, 12, 0, 0, 75, 205, 0, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 13, 12, 0, 0, 94, 205, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 14, 12, 0, 0, 103,
    205, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 15, 12, 0, 0, 116, 205, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 109,
    2, 0, 0, 129, 205, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 16, 12, 0, 0, 160, 205, 0, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 17, 12, 0, 0, 169, 205, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 193, 4, 0, 0, 182, 205, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 123, 1, 0, 0, 195, 205, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 97, 5, 0, 0,
    208, 205, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 18, 12, 0, 0, 221, 205, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    179, 1, 0, 0, 234, 205, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 19, 12, 0, 0, 247, 205, 0, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 80, 10, 0, 0, 4, 206, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 20, 12, 0, 0, 17, 206, 0,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 21, 12, 0, 0, 30, 206, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 34, 6, 0, 0,
    43, 206, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 22, 12, 0, 0, 56, 206, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    23, 12, 0, 0, 69, 206, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 24, 12, 0, 0, 82, 206, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 25, 12, 0, 0, 95, 206, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 26, 12, 0, 0, 108, 206, 0,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 27, 12, 0, 0, 132, 206, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 28, 12, 0,
    0, 141, 206, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 129, 10, 0, 0, 154, 206, 0, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 29, 12, 0, 0, 167, 206, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 164, 10, 0, 0, 180, 206, 0, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 165, 10, 0, 0, 193, 206, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 30, 12, 0, 0,
    206, 206, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 31, 12, 0, 0, 219, 206, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    118, 5, 0, 0, 232, 206, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 7, 12, 0, 0, 245, 206, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 32, 12, 0, 0, 2, 207, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 33, 12, 0, 0, 46, 207, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 34, 12, 0, 0, 55, 207, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 35, 12, 0, 0,
    61, 207, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 36, 12, 0, 0, 67, 207, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    37, 12, 0, 0, 73, 207, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 38, 12, 0, 0, 79, 207, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 39, 12, 0, 0, 85, 207, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 40, 12, 0, 0, 91, 207, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 41, 12, 0, 0, 97, 207, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 42, 12, 0, 0,
    103, 207, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 43, 12, 0, 0, 109, 207, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    44, 12, 0, 0, 147, 207, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 45, 12, 0, 0, 156, 207, 0, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 80, 10, 0, 0, 169, 207, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 46, 12, 0, 0, 182, 207,
    0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 113, 2, 0, 0, 238, 207, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 47, 12,
    0, 0, 147, 208, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 48, 12, 0, 0, 156, 208, 0, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 49, 12, 0, 0, 169, 208, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 145, 1, 0, 0, 182, 208, 0, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 50, 12, 0, 0, 195, 208, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 51, 12, 0, 0, 208,
    208, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 52, 12, 0, 0, 221, 208, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 247,
    10, 0, 0, 234, 208, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 53, 12, 0, 0, 247, 208, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 54, 12, 0, 0, 10, 209, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 55, 12, 0, 0, 19, 209, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 56, 12, 0, 0, 32, 209, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 13, 4, 0, 0, 45,
    209, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 57, 12, 0, 0, 58, 209, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 58,
    12, 0, 0, 71, 209, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 59, 12, 0, 0, 84, 209, 0, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 60, 12, 0, 0, 103, 209, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 58, 12, 0, 0, 112, 209, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 134, 1, 0, 0, 125, 209, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 145, 1, 0, 0,
    138, 209, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 61, 12, 0, 0, 151, 209, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    18, 2, 0, 0, 164, 209, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 62, 12, 0, 0, 177, 209, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 59, 12, 0, 0, 190, 209, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 63, 12, 0, 0, 203, 209, 0,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 64, 12, 0, 0, 216, 209, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 65, 12, 0,
    0, 1, 210, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 66, 12, 0, 0, 14, 210, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    67, 12, 0, 0, 32, 210, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 68, 12, 0, 0, 48, 210, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 69, 12, 0, 0, 64, 210, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 70, 12, 0, 0, 80, 210, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 71, 12, 0, 0, 96, 210, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 72, 12, 0, 0,
    112, 210, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 73, 12, 0, 0, 128, 210, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    74, 12, 0, 0, 141, 210, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 75, 12, 0, 0, 169, 210, 0, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 76, 12, 0, 0, 182, 210, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 77, 12, 0, 0, 197, 210,
    0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 78, 12, 0, 0, 210, 210, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 79, 12,
    0, 0, 223, 210, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 80, 12, 0, 0, 238, 210, 0, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 81, 12, 0, 0, 247, 210, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 82, 12, 0, 0, 4, 211, 0, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 83, 12, 0, 0, 17, 211, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 114, 2, 0, 0, 36, 211,
    0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 84, 12, 0, 0, 45, 211, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 49, 12, 0,
    0, 58, 211, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 85, 12, 0, 0, 92, 211, 0, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 86, 12, 0, 0, 101, 211, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 87, 12, 0, 0, 114, 211, 0, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 88, 12, 0, 0, 133, 211, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 89, 12, 0, 0, 144,
    211, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 18, 2, 0, 0, 159, 211, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 18,
    12, 0, 0, 174, 211, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 90, 12, 0, 0, 189, 211, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 91, 12, 0, 0, 204, 211, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 92, 12, 0, 0, 224, 211, 0,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 93, 12, 0, 0, 232, 211, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 94, 12, 0,
    0, 241, 211, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 9, 0, 0, 0, 254, 211, 0, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 179, 1, 0, 0, 11, 212, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 49, 12, 0, 0, 38, 212, 0, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 95, 12, 0, 0, 65, 212, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 96, 12, 0, 0, 78, 212, 0,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 97, 12, 0, 0, 91, 212, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 98, 12, 0, 0,
    119, 212, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 99, 12, 0, 0, 132, 212, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    100, 12, 0, 0, 160, 212, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 101, 12, 0, 0, 173, 212, 0, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 102, 12, 0, 0, 186, 212, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 103, 12, 0, 0, 199,
    212, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 104, 12, 0, 0, 215, 212, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    105, 12, 0, 0, 231, 212, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 106, 12, 0, 0, 247, 212, 0, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 107, 12, 0, 0, 19, 213, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 108, 12, 0, 0, 32, 213,
    0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 109, 12, 0, 0, 60, 213, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 73, 7, 0,
    0, 80, 213, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 110, 12, 0, 0, 89, 213, 0, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 111, 12, 0, 0, 95, 213, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 112, 12, 0, 0, 101, 213, 0, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 113, 12, 0, 0, 107, 213, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 114, 12, 0, 0, 113,
    213, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 115, 12, 0, 0, 119, 213, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    116, 12, 0, 0, 141, 213, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 117, 12, 0, 0, 151, 213, 0, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 118, 12, 0, 0, 164, 213, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 60, 10, 0, 0, 177, 213,
    0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 119, 12, 0, 0, 190, 213, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 120, 12,
    0, 0, 203, 213, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 121, 12, 0, 0, 216, 213, 0, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 122, 12, 0, 0, 229, 213, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 123, 12, 0, 0, 242, 213, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 124, 12, 0, 0, 255, 213, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 58, 10, 0, 0,
    12, 214, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 125, 12, 0, 0, 25, 214, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    126, 12, 0, 0, 38, 214, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 85, 10, 0, 0, 51, 214, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 127, 12, 0, 0, 64, 214, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 128, 12, 0, 0, 77, 214, 0,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 129, 12, 0, 0, 90, 214, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 130, 12, 0,
    0, 103, 214, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 131, 12, 0, 0, 116, 214, 0, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 132, 12, 0, 0, 129, 214, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 133, 12, 0, 0, 142, 214, 0, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 134, 12, 0, 0, 158, 214, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 135, 12, 0, 0,
    171, 214, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 136, 12, 0, 0, 184, 214, 0, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 137, 12, 0, 0, 197, 214, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 138, 12, 0, 0, 210, 214, 0, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 61, 10, 0, 0, 223, 214, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 71, 10, 0, 0, 236,
    214, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 75, 10, 0, 0, 249, 214, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 139,
    12, 0, 0, 6, 215, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 140, 12, 0, 0, 22, 215, 0, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 141, 12, 0, 0, 35, 215, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 142, 12, 0, 0, 51, 215, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 143, 12, 0, 0, 67, 215, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 144, 12, 0, 0,
    83, 215, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 145, 12, 0, 0, 99, 215, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    146, 12, 0, 0, 115, 215, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 147, 12, 0, 0, 131, 215, 0, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 148, 12, 0, 0, 147, 215, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 149, 12, 0, 0, 163,
    215, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 150, 12, 0, 0, 179, 215, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    151, 12, 0, 0, 195, 215, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 152, 12, 0, 0, 211, 215, 0, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 153, 12, 0, 0, 227, 215, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 154, 12, 0, 0, 243,
    215, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 155, 12, 0, 0, 3, 216, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 156,
    12, 0, 0, 19, 216, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 157, 12, 0, 0, 32, 216, 0, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 158, 12, 0, 0, 45, 216, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 159, 12, 0, 0, 58, 216, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 160, 12, 0, 0, 74, 216, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 161, 12, 0, 0,
    90, 216, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 162, 12, 0, 0, 103, 216, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    18, 2, 0, 0, 116, 216, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 163, 12, 0, 0, 130, 216, 0, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 145, 1, 0, 0, 144, 216, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 164, 12, 0, 0, 158, 216,
    0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 165, 12, 0, 0, 172, 216, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 166, 12,
    0, 0, 189, 216, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 167, 12, 0, 0, 206, 216, 0, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 168, 12, 0, 0, 223, 216, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 169, 12, 0, 0, 240, 216, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 170, 12, 0, 0, 1, 217, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 171, 12, 0, 0,
    18, 217, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 172, 12, 0, 0, 35, 217, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    173, 12, 0, 0, 52, 217, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 174, 12, 0, 0, 69, 217, 0, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 175, 12, 0, 0, 86, 217, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 176, 12, 0, 0, 103, 217,
    0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 177, 12, 0, 0, 120, 217, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 178, 12,
    0, 0, 137, 217, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 179, 12, 0, 0, 154, 217, 0, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 180, 12, 0, 0, 171, 217, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 181, 12, 0, 0, 188, 217, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 182, 12, 0, 0, 205, 217, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 85, 12, 0, 0,
    222, 217, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 183, 12, 0, 0, 239, 217, 0, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 184, 12, 0, 0, 0, 218, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 185, 12, 0, 0, 17, 218, 0, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 186, 12, 0, 0, 34, 218, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 187, 12, 0, 0, 51, 218,
    0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 188, 12, 0, 0, 68, 218, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 189, 12,
    0, 0, 85, 218, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 190, 12, 0, 0, 102, 218, 0, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 191, 12, 0, 0, 119, 218, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 192, 12, 0, 0, 136, 218, 0, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 193, 12, 0, 0, 153, 218, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 194, 12, 0, 0,
    170, 218, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 195, 12, 0, 0, 187, 218, 0, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 196, 12, 0, 0, 204, 218, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 197, 12, 0, 0, 221, 218, 0, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 198, 12, 0, 0, 238, 218, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 199, 12, 0, 0, 255,
    218, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 200, 12, 0, 0, 16, 219, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 201,
    12, 0, 0, 30, 219, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 202, 12, 0, 0, 44, 219, 0, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 203, 12, 0, 0, 58, 219, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 204, 12, 0, 0, 72, 219, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 205, 12, 0, 0, 86, 219, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 206, 12, 0, 0,
    100, 219, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 207, 12, 0, 0, 114, 219, 0, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 208, 12, 0, 0, 128, 219, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 209, 12, 0, 0, 145, 219, 0, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 210, 12, 0, 0, 162, 219, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 211, 12, 0, 0, 179,
    219, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 212, 12, 0, 0, 193, 219, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    213, 12, 0, 0, 207, 219, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 214, 12, 0, 0, 221, 219, 0, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 215, 12, 0, 0, 235, 219, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 216, 12, 0, 0, 252,
    219, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 217, 12, 0, 0, 25, 220, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 218,
    12, 0, 0, 38, 220, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 219, 12, 0, 0, 52, 220, 0, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 220, 12, 0, 0, 66, 220, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 221, 12, 0, 0, 80, 220, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 222, 12, 0, 0, 94, 220, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 223, 12, 0, 0,
    108, 220, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 224, 12, 0, 0, 125, 220, 0, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 225, 12, 0, 0, 139, 220, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 226, 12, 0, 0, 153, 220, 0, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 227, 12, 0, 0, 167, 220, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 228, 12, 0, 0, 181,
    220, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 229, 12, 0, 0, 195, 220, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    230, 12, 0, 0, 209, 220, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 231, 12, 0, 0, 223, 220, 0, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 180, 1, 0, 0, 243, 220, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 232, 12, 0, 0, 253, 220,
    0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 13, 4, 0, 0, 10, 221, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 34, 6, 0,
    0, 23, 221, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 230, 7, 0, 0, 36, 221, 0, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 242, 10, 0, 0, 49, 221, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 59, 9, 0, 0, 62, 221, 0, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 233, 12, 0, 0, 75, 221, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 164, 12, 0, 0, 88, 221,
    0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 234, 12, 0, 0, 101, 221, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 235, 12,
    0, 0, 114, 221, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 97, 5, 0, 0, 127, 221, 0, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 236, 12, 0, 0, 140, 221, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 120, 12, 0, 0, 153, 221, 0, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 237, 12, 0, 0, 166, 221, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 238, 12, 0, 0,
    179, 221, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 239, 12, 0, 0, 192, 221, 0, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 240, 12, 0, 0, 205, 221, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 241, 12, 0, 0, 218, 221, 0, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 123, 1, 0, 0, 231, 221, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 242, 12, 0, 0, 245,
    221, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 243, 12, 0, 0, 3, 222, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 244,
    12, 0, 0, 17, 222, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 18, 2, 0, 0, 31, 222, 0, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 245, 12, 0, 0, 45, 222, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 246, 12, 0, 0, 59, 222, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 247, 12, 0, 0, 94, 222, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 164, 12, 0, 0,
    103, 222, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 107, 7, 0, 0, 116, 222, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    73, 3, 0, 0, 129, 222, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 123, 1, 0, 0, 142, 222, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 179, 1, 0, 0, 155, 222, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 73, 7, 0, 0, 168, 222, 0,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 34, 6, 0, 0, 181, 222, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 231, 7, 0, 0,
    194, 222, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 23, 11, 0, 0, 212, 222, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    248, 12, 0, 0, 224, 222, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 249, 12, 0, 0, 233, 222, 0, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 250, 12, 0, 0, 246, 222, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 251, 12, 0, 0, 3, 223,
    0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 252, 12, 0, 0, 16, 223, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 185, 5,
    0, 0, 29, 223, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 186, 5, 0, 0, 179, 223, 0, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 253, 12, 0, 0, 188, 223, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 12, 4, 0, 0, 201, 223, 0, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 18, 2, 0, 0, 214, 223, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 79, 10, 0, 0, 227,
    223, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 134, 1, 0, 0, 240, 223, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 254,
    12, 0, 0, 253, 223, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 255, 12, 0, 0, 10, 224, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 0, 13, 0, 0, 103, 224, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 1, 13, 0, 0, 112, 224, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 2, 13, 0, 0, 125, 224, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 133, 5, 0, 0,
    138, 224, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 3, 13, 0, 0, 151, 224, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    4, 13, 0, 0, 164, 224, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 5, 13, 0, 0, 177, 224, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 6, 13, 0, 0, 204, 224, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 7, 13, 0, 0, 217, 224, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 8, 13, 0, 0, 231, 224, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 9, 13, 0, 0, 2,
    225, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 10, 13, 0, 0, 15, 225, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 11,
    13, 0, 0, 29, 225, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 186, 5, 0, 0, 42, 225, 0, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 114, 2, 0, 0, 55, 225, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 12, 13, 0, 0, 68, 225, 0, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 13, 13, 0, 0, 81, 225, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 14, 13, 0, 0, 94,
    225, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 140, 5, 0, 0, 107, 225, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 141,
    5, 0, 0, 120, 225, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 129, 5, 0, 0, 133, 225, 0, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 34, 6, 0, 0, 146, 225, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 15, 13, 0, 0, 159, 225, 0, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 16, 13, 0, 0, 172, 225, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 123, 1, 0, 0, 185,
    225, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 106, 2, 0, 0, 198, 225, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 179,
    1, 0, 0, 211, 225, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 17, 13, 0, 0, 224, 225, 0, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 18, 13, 0, 0, 248, 225, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 7, 13, 0, 0, 1, 226, 0, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 19, 13, 0, 0, 14, 226, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 20, 13, 0, 0, 27,
    226, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 21, 13, 0, 0, 40, 226, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 22,
    13, 0, 0, 53, 226, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 23, 13, 0, 0, 66, 226, 0, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 24, 13, 0, 0, 79, 226, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 25, 13, 0, 0, 92, 226, 0, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 26, 13, 0, 0, 105, 226, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 27, 13, 0, 0, 118,
    226, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 28, 13, 0, 0, 131, 226, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 29,
    13, 0, 0, 70, 227, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 30, 13, 0, 0, 108, 227, 0, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 31, 13, 0, 0, 132, 227, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 32, 13, 0, 0, 145, 227, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 33, 13, 0, 0, 154, 227, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 60, 10, 0, 0,
    167, 227, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 134, 1, 0, 0, 180, 227, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    34, 13, 0, 0, 193, 227, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 238, 12, 0, 0, 206, 227, 0, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 27, 6, 0, 0, 225, 227, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 35, 13, 0, 0, 236, 227,
    0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 97, 5, 0, 0, 251, 227, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 36, 13, 0,
    0, 10, 228, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 33, 13, 0, 0, 25, 228, 0, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 12, 4, 0, 0, 40, 228, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 111, 10, 0, 0, 66, 228, 0, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 37, 13, 0, 0, 77, 228, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 38, 13, 0, 0, 92, 228, 0,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 39, 13, 0, 0, 107, 228, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 40, 13, 0,
    0, 122, 228, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 41, 13, 0, 0, 137, 228, 0, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 42, 13, 0, 0, 152, 228, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 43, 13, 0, 0, 167, 228, 0, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 44, 13, 0, 0, 182, 228, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 45, 13, 0, 0, 197,
    228, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 46, 13, 0, 0, 67, 229, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 130,
    12, 0, 0, 79, 229, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 47, 13, 0, 0, 94, 229, 0, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 48, 13, 0, 0, 109, 229, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 49, 13, 0, 0, 125, 229, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 50, 13, 0, 0, 141, 229, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 51, 13, 0, 0,
    157, 229, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 52, 13, 0, 0, 173, 229, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    53, 13, 0, 0, 189, 229, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 54, 13, 0, 0, 205, 229, 0, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 55, 13, 0, 0, 251, 229, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 56, 13, 0, 0, 5, 230, 0,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 13, 4, 0, 0, 18, 230, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 123, 1, 0, 0,
    31, 230, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 57, 13, 0, 0, 44, 230, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    116, 10, 0, 0, 57, 230, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 118, 10, 0, 0, 70, 230, 0, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 119, 10, 0, 0, 83, 230, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 120, 10, 0, 0, 96, 230,
    0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 225, 3, 0, 0, 109, 230, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 58, 13,
    0, 0, 122, 230, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 59, 13, 0, 0, 135, 230, 0, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 86, 10, 0, 0, 148, 230, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 61, 10, 0, 0, 161, 230, 0, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 60, 13, 0, 0, 185, 230, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 61, 13, 0, 0, 194,
    230, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 124, 12, 0, 0, 207, 230, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 58,
    10, 0, 0, 220, 230, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 62, 13, 0, 0, 233, 230, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 63, 13, 0, 0, 246, 230, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 85, 10, 0, 0, 3, 231, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 64, 13, 0, 0, 16, 231, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 63, 10, 0, 0,
    131, 231, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 65, 13, 0, 0, 140, 231, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    66, 13, 0, 0, 153, 231, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 67, 13, 0, 0, 166, 231, 0, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 68, 13, 0, 0, 179, 231, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 69, 13, 0, 0, 192, 231,
    0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 70, 13, 0, 0, 205, 231, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 120, 10,
    0, 0, 244, 231, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 71, 13, 0, 0, 0, 232, 0, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 72, 13, 0, 0, 24, 232, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 73, 13, 0, 0, 33, 232, 0, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 240, 4, 0, 0, 46, 232, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 134, 1, 0, 0, 60, 232,
    0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 74, 13, 0, 0, 69, 232, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 75, 13, 0,
    0, 82, 232, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 76, 13, 0, 0, 100, 232, 0, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 77, 13, 0, 0, 113, 232, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 78, 13, 0, 0, 124, 232, 0, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 79, 13, 0, 0, 139, 232, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 80, 13, 0, 0, 154,
    232, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 102, 5, 0, 0, 169, 232, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 34,
    6, 0, 0, 184, 232, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 231, 7, 0, 0, 199, 232, 0, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 81, 13, 0, 0, 217, 232, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 82, 13, 0, 0, 235, 232, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 83, 13, 0, 0, 253, 232, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 84, 13, 0, 0,
    15, 233, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 85, 13, 0, 0, 33, 233, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    86, 13, 0, 0, 51, 233, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 87, 13, 0, 0, 69, 233, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 88, 13, 0, 0, 87, 233, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 89, 13, 0, 0, 105, 233, 0,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 90, 13, 0, 0, 120, 233, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 91, 13, 0,
    0, 135, 233, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 92, 13, 0, 0, 150, 233, 0, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 93, 13, 0, 0, 172, 233, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 94, 13, 0, 0, 187, 233, 0, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 95, 13, 0, 0, 202, 233, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 96, 13, 0, 0, 217,
    233, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 97, 13, 0, 0, 234, 233, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 98,
    13, 0, 0, 245, 233, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 99, 13, 0, 0, 4, 234, 0, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 100, 13, 0, 0, 48, 234, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 101, 13, 0, 0, 73, 234, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 102, 13, 0, 0, 84, 234, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 97, 5, 0, 0,
    99, 234, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 73, 6, 0, 0, 114, 234, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    240, 4, 0, 0, 129, 234, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 3, 3, 0, 0, 144, 234, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 103, 13, 0, 0, 159, 234, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 156, 5, 0, 0, 174, 234, 0,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 104, 13, 0, 0, 192, 234, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 105, 13, 0,
    0, 221, 234, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 106, 13, 0, 0, 232, 234, 0, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 185, 5, 0, 0, 247, 234, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 186, 5, 0, 0, 6, 235, 0, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 107, 13, 0, 0, 110, 235, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 108, 13, 0, 0, 121,
    235, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 109, 13, 0, 0, 136, 235, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    110, 13, 0, 0, 151, 235, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 156, 5, 0, 0, 166, 235, 0, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 111, 13, 0, 0, 181, 235, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 112, 13, 0, 0, 196,
    235, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 113, 13, 0, 0, 211, 235, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    114, 13, 0, 0, 226, 235, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 37, 7, 0, 0, 241, 235, 0, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 115, 13, 0, 0, 0, 236, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 116, 13, 0, 0, 15, 236,
    0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 117, 13, 0, 0, 30, 236, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 193, 4,
    0, 0, 45, 236, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 118, 13, 0, 0, 60, 236, 0, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 119, 13, 0, 0, 75, 236, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 18, 2, 0, 0, 90, 236, 0, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 59, 9, 0, 0, 105, 236, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 85, 10, 0, 0, 120,
    236, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 128, 12, 0, 0, 135, 236, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    125, 12, 0, 0, 150, 236, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 126, 12, 0, 0, 165, 236, 0, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 120, 13, 0, 0, 180, 236, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 69, 11, 0, 0, 213, 236,
    0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 121, 13, 0, 0, 224, 236, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 23, 10,
    0, 0, 239, 236, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 122, 13, 0, 0, 254, 236, 0, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 123, 13, 0, 0, 19, 237, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 124, 13, 0, 0, 28, 237, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 240, 4, 0, 0, 41, 237, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 125, 13, 0, 0,
    54, 237, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 126, 13, 0, 0, 67, 237, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    127, 13, 0, 0, 80, 237, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 114, 2, 0, 0, 93, 237, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 123, 1, 0, 0, 111, 237, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 128, 13, 0, 0, 170, 237, 0,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 129, 13, 0, 0, 179, 237, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 130, 13, 0,
    0, 195, 237, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 131, 13, 0, 0, 211, 237, 0, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 132, 13, 0, 0, 227, 237, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 133, 13, 0, 0, 243, 237, 0, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 134, 13, 0, 0, 3, 238, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 135, 13, 0, 0, 19,
    238, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 136, 13, 0, 0, 35, 238, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 49,
    12, 0, 0, 51, 238, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 137, 13, 0, 0, 67, 238, 0, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 138, 13, 0, 0, 83, 238, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 139, 13, 0, 0, 104, 238, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 140, 13, 0, 0, 136, 238, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 141, 13, 0, 0,
    145, 238, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 88, 12, 0, 0, 159, 238, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    142, 13, 0, 0, 168, 238, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 143, 13, 0, 0, 187, 238, 0, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 144, 13, 0, 0, 197, 238, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 145, 13, 0, 0, 210,
    238, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 123, 1, 0, 0, 223, 238, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 146,
    13, 0, 0, 236, 238, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 147, 13, 0, 0, 249, 238, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 148, 13, 0, 0, 6, 239, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 149, 13, 0, 0, 19, 239, 0,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 150, 13, 0, 0, 32, 239, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 151, 13, 0,
    0, 45, 239, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 152, 13, 0, 0, 58, 239, 0, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 153, 13, 0, 0, 71, 239, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 154, 13, 0, 0, 84, 239, 0, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 155, 13, 0, 0, 97, 239, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 156, 13, 0, 0, 110,
    239, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 157, 13, 0, 0, 123, 239, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    158, 13, 0, 0, 136, 239, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 159, 13, 0, 0, 149, 239, 0, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 160, 13, 0, 0, 162, 239, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 161, 13, 0, 0, 175,
    239, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 162, 13, 0, 0, 188, 239, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    163, 13, 0, 0, 201, 239, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 164, 13, 0, 0, 214, 239, 0, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 165, 13, 0, 0, 227, 239, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 166, 13, 0, 0, 240,
    239, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 167, 13, 0, 0, 253, 239, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    168, 13, 0, 0, 10, 240, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 169, 13, 0, 0, 23, 240, 0, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 170, 13, 0, 0, 36, 240, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 171, 13, 0, 0, 49, 240,
    0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 172, 13, 0, 0, 62, 240, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 173, 13,
    0, 0, 75, 240, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 174, 13, 0, 0, 88, 240, 0, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 175, 13, 0, 0, 101, 240, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 176, 13, 0, 0, 115, 240, 0, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 177, 13, 0, 0, 129, 240, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 178, 13, 0, 0,
    143, 240, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 179, 1, 0, 0, 57, 241, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    179, 13, 0, 0, 66, 241, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 180, 13, 0, 0, 72, 241, 0, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 181, 13, 0, 0, 78, 241, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 182, 13, 0, 0, 84, 241,
    0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 183, 13, 0, 0, 230, 241, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 184, 13,
    0, 0, 239, 241, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 185, 13, 0, 0, 252, 241, 0, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 186, 13, 0, 0, 9, 242, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 187, 13, 0, 0, 22, 242, 0, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 188, 13, 0, 0, 35, 242, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 189, 13, 0, 0, 48,
    242, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 21, 12, 0, 0, 66, 242, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 190,
    13, 0, 0, 75, 242, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 191, 13, 0, 0, 81, 242, 0, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 192, 13, 0, 0, 87, 242, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 193, 13, 0, 0, 93, 242, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 194, 13, 0, 0, 99, 242, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 195, 13, 0, 0,
    123, 242, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 196, 13, 0, 0, 132, 242, 0, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 240, 4, 0, 0, 145, 242, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 197, 13, 0, 0, 158, 242, 0, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 198, 13, 0, 0, 171, 242, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 199, 13, 0, 0, 184,
    242, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 119, 10, 0, 0, 197, 242, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    120, 10, 0, 0, 210, 242, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 200, 13, 0, 0, 223, 242, 0, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 201, 13, 0, 0, 236, 242, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 202, 13, 0, 0, 249,
    242, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 203, 13, 0, 0, 6, 243, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 204,
    13, 0, 0, 19, 243, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 205, 13, 0, 0, 32, 243, 0, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 206, 13, 0, 0, 45, 243, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 207, 13, 0, 0, 58, 243, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 89, 2, 0, 0, 71, 243, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 208, 13, 0, 0,
    84, 243, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 95, 12, 0, 0, 97, 243, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    247, 10, 0, 0, 110, 243, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 134, 1, 0, 0, 123, 243, 0, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 209, 13, 0, 0, 194, 243, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 210, 13, 0, 0, 204,
    243, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 52, 12, 0, 0, 217, 243, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 211,
    13, 0, 0, 231, 243, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 204, 10, 0, 0, 245, 243, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 9, 0, 0, 0, 3, 244, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 212, 13, 0, 0, 17, 244, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 202, 13, 0, 0, 32, 244, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 213, 13, 0, 0,
    41, 244, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 214, 13, 0, 0, 54, 244, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    215, 13, 0, 0, 67, 244, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 49, 12, 0, 0, 80, 244, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 216, 13, 0, 0, 93, 244, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 217, 13, 0, 0, 106, 244, 0,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 9, 0, 0, 0, 119, 244, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 134, 13, 0, 0,
    137, 244, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 218, 13, 0, 0, 162, 244, 0, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 219, 13, 0, 0, 172, 244, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 55, 12, 0, 0, 185, 244, 0, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 48, 12, 0, 0, 198, 244, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 220, 13, 0, 0, 211,
    244, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 221, 13, 0, 0, 224, 244, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    222, 13, 0, 0, 237, 244, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 223, 13, 0, 0, 250, 244, 0, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 224, 13, 0, 0, 7, 245, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 5, 9, 0, 0, 20, 245, 0,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 225, 13, 0, 0, 33, 245, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 226, 13, 0,
    0, 46, 245, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 227, 13, 0, 0, 59, 245, 0, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 228, 13, 0, 0, 72, 245, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 229, 13, 0, 0, 85, 245, 0, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 230, 13, 0, 0, 98, 245, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 231, 13, 0, 0, 111,
    245, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 240, 4, 0, 0, 124, 245, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 232,
    13, 0, 0, 137, 245, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 233, 13, 0, 0, 150, 245, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 234, 13, 0, 0, 163, 245, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 235, 13, 0, 0, 177, 245,
    0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 236, 13, 0, 0, 191, 245, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 237, 13,
    0, 0, 205, 245, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 238, 13, 0, 0, 219, 245, 0, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 239, 13, 0, 0, 233, 245, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 240, 13, 0, 0, 247, 245, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 241, 13, 0, 0, 5, 246, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 242, 13, 0, 0,
    19, 246, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 243, 13, 0, 0, 33, 246, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    94, 9, 0, 0, 47, 246, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 70, 5, 0, 0, 61, 246, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 27, 6, 0, 0, 75, 246, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 244, 13, 0, 0, 89, 246, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 245, 13, 0, 0, 103, 246, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 12, 4, 0, 0,
    117, 246, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 123, 1, 0, 0, 137, 246, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    246, 13, 0, 0, 146, 246, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 204, 10, 0, 0, 159, 246, 0, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 201, 1, 0, 0, 172, 246, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 247, 13, 0, 0, 185, 246,
    0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 44, 2, 0, 0, 198, 246, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 248, 13,
    0, 0, 211, 246, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 120, 8, 0, 0, 224, 246, 0, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 219, 10, 0, 0, 237, 246, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 145, 1, 0, 0, 250, 246, 0, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 179, 1, 0, 0, 7, 247, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 249, 13, 0, 0, 20,
    247, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 250, 13, 0, 0, 33, 247, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 123,
    1, 0, 0, 46, 247, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 94, 9, 0, 0, 64, 247, 0, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 251, 13, 0, 0, 97, 247, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 252, 13, 0, 0, 109, 247, 0, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 253, 13, 0, 0, 118, 247, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 254, 13, 0, 0,
    124, 247, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 255, 13, 0, 0, 130, 247, 0, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 0, 14, 0, 0, 147, 247, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 1, 14, 0, 0, 156, 247, 0, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 145, 1, 0, 0, 169, 247, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 38, 6, 0, 0, 182, 247,
    0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 141, 7, 0, 0, 195, 247, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 2, 14, 0,
    0, 208, 247, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 198, 5, 0, 0, 253, 247, 0, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 3, 14, 0, 0, 39, 248, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 4, 14, 0, 0, 48, 248, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 174, 6, 0, 0, 61, 248, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 5, 14, 0, 0, 74, 248, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 6, 14, 0, 0, 87, 248, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 7, 14, 0, 0, 100,
    248, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 209, 8, 0, 0, 119, 248, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 8,
    14, 0, 0, 128, 248, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 13, 4, 0, 0, 141, 248, 0, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 18, 2, 0, 0, 154, 248, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 9, 14, 0, 0, 167, 248, 0, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 146, 1, 0, 0, 180, 248, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 10, 14, 0, 0, 193,
    248, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 76, 3, 0, 0, 212, 248, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 11,
    14, 0, 0, 221, 248, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 13, 4, 0, 0, 234, 248, 0, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 123, 1, 0, 0, 247, 248, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 12, 14, 0, 0, 15, 249, 0, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 13, 14, 0, 0, 24, 249, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 31, 12, 0, 0, 37,
    249, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 118, 5, 0, 0, 50, 249, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 194,
    5, 0, 0, 63, 249, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 14, 14, 0, 0, 76, 249, 0, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 15, 14, 0, 0, 89, 249, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 16, 14, 0, 0, 102, 249, 0, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 17, 14, 0, 0, 115, 249, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 18, 14, 0, 0, 128,
    249, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 19, 14, 0, 0, 141, 249, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 20,
    14, 0, 0, 154, 249, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 21, 14, 0, 0, 167, 249, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 22, 14, 0, 0, 180, 249, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 23, 14, 0, 0, 193, 249, 0,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 24, 14, 0, 0, 206, 249, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 25, 14, 0,
    0, 219, 249, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 26, 14, 0, 0, 232, 249, 0, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 27, 14, 0, 0, 245, 249, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 28, 14, 0, 0, 2, 250, 0, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 29, 14, 0, 0, 176, 250, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 30, 14, 0, 0, 185, 250,
    0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 31, 14, 0, 0, 198, 250, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 32, 14,
    0, 0, 211, 250, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 33, 14, 0, 0, 230, 250, 0, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 34, 14, 0, 0, 239, 250, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 35, 14, 0, 0, 252, 250, 0, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 37, 7, 0, 0, 9, 251, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 117, 2, 0, 0, 22,
    251, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 36, 14, 0, 0, 35, 251, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 37,
    14, 0, 0, 94, 251, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 38, 14, 0, 0, 103, 251, 0, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 39, 14, 0, 0, 109, 251, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 40, 14, 0, 0, 115, 251, 0, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 41, 14, 0, 0, 121, 251, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 42, 14, 0, 0,
    173, 252, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 43, 14, 0, 0, 182, 252, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    44, 14, 0, 0, 195, 252, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 45, 14, 0, 0, 208, 252, 0, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 46, 14, 0, 0, 221, 252, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 129, 5, 0, 0, 234, 252,
    0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 47, 14, 0, 0, 247, 252, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 242, 4,
    0, 0, 4, 253, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 48, 14, 0, 0, 18, 253, 0, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 49, 14, 0, 0, 32, 253, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 50, 14, 0, 0, 41, 253, 0, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 240, 4, 0, 0, 54, 253, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 51, 14, 0, 0, 67, 253, 0,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 52, 14, 0, 0, 80, 253, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 53, 14, 0, 0,
    93, 253, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 135, 1, 0, 0, 112, 253, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    54, 14, 0, 0, 121, 253, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 204, 10, 0, 0, 134, 253, 0, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 114, 2, 0, 0, 147, 253, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 55, 14, 0, 0, 160, 253,
    0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 240, 4, 0, 0, 178, 253, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 56, 14,
    0, 0, 217, 253, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 57, 14, 0, 0, 226, 253, 0, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 97, 5, 0, 0, 239, 253, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 58, 14, 0, 0, 252, 253, 0, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 179, 1, 0, 0, 9, 254, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 59, 14, 0, 0, 22, 254,
    0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 60, 14, 0, 0, 35, 254, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 61, 14, 0,
    0, 109, 254, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 62, 14, 0, 0, 119, 254, 0, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 151, 5, 0, 0, 132, 254, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 63, 14, 0, 0, 146, 254, 0, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 179, 1, 0, 0, 160, 254, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 64, 14, 0, 0, 174,
    254, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 65, 14, 0, 0, 188, 254, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 133,
    5, 0, 0, 202, 254, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 66, 14, 0, 0, 234, 254, 0, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 67, 14, 0, 0, 243, 254, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 70, 5, 0, 0, 0, 255, 0, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 68, 14, 0, 0, 26, 255, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 69, 14, 0, 0, 35,
    255, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 70, 14, 0, 0, 48, 255, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 71,
    14, 0, 0, 67, 255, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 72, 14, 0, 0, 76, 255, 0, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 55, 4, 0, 0, 89, 255, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 73, 14, 0, 0, 105, 255, 0, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 74, 14, 0, 0, 121, 255, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 75, 14, 0, 0, 137,
    255, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 76, 14, 0, 0, 153, 255, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 77,
    14, 0, 0, 169, 255, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 78, 14, 0, 0, 185, 255, 0, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 79, 14, 0, 0, 201, 255, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 80, 14, 0, 0, 217, 255, 0,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 81, 14, 0, 0, 233, 255, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 82, 14, 0,
    0, 249, 255, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 83, 14, 0, 0, 9, 0, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    9, 0, 0, 0, 22, 0, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 84, 14, 0, 0, 35, 0, 1, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 3, 3, 0, 0, 48, 0, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 85, 14, 0, 0, 61, 0, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 86, 14, 0, 0, 74, 0, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 87, 14, 0, 0, 87, 0, 1, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 88, 14, 0, 0, 100, 0, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 89, 14, 0, 0, 113,
    0, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 90, 14, 0, 0, 126, 0, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 91, 14,
    0, 0, 157, 0, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 92, 14, 0, 0, 167, 0, 1, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 133, 5, 0, 0, 180, 0, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 93, 14, 0, 0, 193, 0, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 94, 14, 0, 0, 206, 0, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 95, 14, 0, 0, 219, 0, 1, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 96, 14, 0, 0, 232, 0, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 97, 14, 0, 0,
    245, 0, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 244, 6, 0, 0, 2, 1, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 98,
    14, 0, 0, 15, 1, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 99, 14, 0, 0, 28, 1, 1, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 100, 14, 0, 0, 41, 1, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 101, 14, 0, 0, 54, 1, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 102, 14, 0, 0, 67, 1, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 103, 14, 0, 0, 80, 1, 1,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 104, 14, 0, 0, 93, 1, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 105, 14, 0, 0,
    106, 1, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 106, 14, 0, 0, 119, 1, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    107, 14, 0, 0, 132, 1, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 108, 14, 0, 0, 145, 1, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 109, 14, 0, 0, 158, 1, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 110, 14, 0, 0, 171, 1, 1, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 111, 14, 0, 0, 184, 1, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 112, 14, 0, 0,
    197, 1, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 113, 14, 0, 0, 210, 1, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    114, 14, 0, 0, 223, 1, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 51, 2, 0, 0, 236, 1, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 115, 14, 0, 0, 249, 1, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 116, 14, 0, 0, 6, 2, 1, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 117, 14, 0, 0, 19, 2, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 118, 14, 0, 0,
    32, 2, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 97, 5, 0, 0, 46, 2, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 119,
    14, 0, 0, 60, 2, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 70, 14, 0, 0, 74, 2, 1, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 19, 4, 0, 0, 88, 2, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 120, 14, 0, 0, 102, 2, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 71, 14, 0, 0, 116, 2, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 123, 1, 0, 0, 130, 2, 1,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 108, 5, 0, 0, 144, 2, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 121, 14, 0, 0,
    158, 2, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 122, 14, 0, 0, 172, 2, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    123, 14, 0, 0, 186, 2, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 124, 14, 0, 0, 200, 2, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 125, 14, 0, 0, 214, 2, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 126, 14, 0, 0, 228, 2, 1, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 127, 14, 0, 0, 242, 2, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 128, 14, 0, 0,
    0, 3, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 129, 14, 0, 0, 14, 3, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 239,
    5, 0, 0, 28, 3, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 240, 5, 0, 0, 42, 3, 1, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 165, 1, 0, 0, 71, 3, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 141, 7, 0, 0, 84, 3, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 70, 5, 0, 0, 109, 3, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 130, 14, 0, 0, 118, 3, 1, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 37, 7, 0, 0, 131, 3, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 131, 14, 0, 0,
    144, 3, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 132, 14, 0, 0, 163, 3, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    133, 14, 0, 0, 173, 3, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 42, 2, 0, 0, 186, 3, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 5, 7, 0, 0, 199, 3, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 133, 5, 0, 0, 212, 3, 1, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 125, 5, 0, 0, 225, 3, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 51, 2, 0, 0, 243, 3,
    1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 134, 14, 0, 0, 0, 4, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 112, 2, 0,
    0, 13, 4, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 135, 14, 0, 0, 27, 4, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    136, 14, 0, 0, 40, 4, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 137, 14, 0, 0, 53, 4, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 138, 14, 0, 0, 66, 4, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 139, 14, 0, 0, 79, 4, 1, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 140, 14, 0, 0, 92, 4, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 118, 14, 0, 0,
    106, 4, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 141, 14, 0, 0, 115, 4, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    142, 14, 0, 0, 128, 4, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 143, 14, 0, 0, 141, 4, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 144, 14, 0, 0, 191, 4, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 145, 14, 0, 0, 200, 4, 1, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 107, 7, 0, 0, 213, 4, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 73, 3, 0, 0, 226,
    4, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 123, 1, 0, 0, 239, 4, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 146, 14,
    0, 0, 252, 4, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 147, 14, 0, 0, 9, 5, 1, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 70, 14, 0, 0, 23, 5, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 148, 14, 0, 0, 32, 5, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 13, 4, 0, 0, 68, 5, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 149, 14, 0, 0, 77, 5, 1, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 150, 14, 0, 0, 90, 5, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 116, 7, 0, 0, 117,
    5, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 129, 5, 0, 0, 130, 5, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 9, 0, 0,
    0, 155, 5, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 151, 14, 0, 0, 164, 5, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    152, 14, 0, 0, 191, 5, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 153, 14, 0, 0, 209, 5, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 164, 10, 0, 0, 222, 5, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 125, 5, 0, 0, 237, 5, 1, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 154, 14, 0, 0, 250, 5, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 155, 14, 0, 0,
    7, 6, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 36, 11, 0, 0, 26, 6, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 156,
    14, 0, 0, 36, 6, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 97, 5, 0, 0, 49, 6, 1, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 157, 14, 0, 0, 62, 6, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 108, 5, 0, 0, 75, 6, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 158, 14, 0, 0, 88, 6, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 10, 0, 0, 0, 101, 6, 1, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 11, 0, 0, 0, 114, 6, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 159, 14, 0, 0, 127,
    6, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 160, 14, 0, 0, 140, 6, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 161,
    14, 0, 0, 153, 6, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 244, 6, 0, 0, 166, 6, 1, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 81, 10, 0, 0, 179, 6, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 162, 14, 0, 0, 192, 6, 1, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 163, 14, 0, 0, 205, 6, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 122, 14, 0, 0, 218, 6,
    1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 164, 14, 0, 0, 231, 6, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 123, 1, 0,
    0, 244, 6, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 165, 14, 0, 0, 1, 7, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    166, 14, 0, 0, 14, 7, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 63, 4, 0, 0, 27, 7, 1, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 133, 5, 0, 0, 40, 7, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 167, 14, 0, 0, 53, 7, 1, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 141, 7, 0, 0, 66, 7, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 168, 14, 0, 0, 79, 7, 1,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 169, 14, 0, 0, 103, 7, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 170, 14, 0,
    0, 113, 7, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 171, 14, 0, 0, 126, 7, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    172, 14, 0, 0, 139, 7, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 173, 14, 0, 0, 152, 7, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 174, 14, 0, 0, 165, 7, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 175, 14, 0, 0, 178, 7, 1, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 176, 14, 0, 0, 191, 7, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 177, 14, 0, 0,
    204, 7, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 178, 14, 0, 0, 217, 7, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    179, 14, 0, 0, 230, 7, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 180, 14, 0, 0, 243, 7, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 181, 14, 0, 0, 0, 8, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 182, 14, 0, 0, 13, 8, 1, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 183, 14, 0, 0, 26, 8, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 184, 14, 0, 0, 39,
    8, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 185, 14, 0, 0, 52, 8, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 186, 14,
    0, 0, 65, 8, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 187, 14, 0, 0, 78, 8, 1, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 188, 14, 0, 0, 91, 8, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 189, 14, 0, 0, 104, 8, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 190, 14, 0, 0, 117, 8, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 191, 14, 0, 0, 130, 8, 1,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 192, 14, 0, 0, 143, 8, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 193, 14, 0,
    0, 156, 8, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 194, 14, 0, 0, 169, 8, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    195, 14, 0, 0, 182, 8, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 196, 14, 0, 0, 195, 8, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 197, 14, 0, 0, 208, 8, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 198, 14, 0, 0, 221, 8, 1, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 199, 14, 0, 0, 234, 8, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 200, 14, 0, 0,
    247, 8, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 201, 14, 0, 0, 4, 9, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 202,
    14, 0, 0, 17, 9, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 203, 14, 0, 0, 53, 9, 1, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 204, 14, 0, 0, 76, 9, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 158, 14, 0, 0, 89, 9, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 10, 0, 0, 0, 102, 9, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 11, 0, 0, 0, 115, 9, 1, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 159, 14, 0, 0, 128, 9, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 160, 14, 0, 0,
    141, 9, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 205, 14, 0, 0, 154, 9, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    81, 10, 0, 0, 167, 9, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 206, 14, 0, 0, 180, 9, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 207, 14, 0, 0, 193, 9, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 208, 14, 0, 0, 206, 9, 1, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 162, 14, 0, 0, 219, 9, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 163, 14, 0, 0,
    232, 9, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 165, 14, 0, 0, 4, 10, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    209, 14, 0, 0, 17, 10, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 125, 5, 0, 0, 44, 10, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 119, 2, 0, 0, 57, 10, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 210, 14, 0, 0, 71, 10, 1, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 179, 1, 0, 0, 85, 10, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 211, 14, 0, 0,
    103, 10, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 212, 14, 0, 0, 116, 10, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    213, 14, 0, 0, 129, 10, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 230, 6, 0, 0, 142, 10, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 214, 14, 0, 0, 155, 10, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 33, 4, 0, 0, 168, 10, 1, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 209, 14, 0, 0, 181, 10, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 215, 14, 0, 0,
    194, 10, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 179, 1, 0, 0, 222, 10, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    216, 14, 0, 0, 235, 10, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 217, 14, 0, 0, 248, 10, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 90, 14, 0, 0, 5, 11, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 218, 14, 0, 0, 18, 11, 1,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 219, 14, 0, 0, 31, 11, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 220, 14, 0,
    0, 44, 11, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 221, 14, 0, 0, 57, 11, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    222, 14, 0, 0, 70, 11, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 223, 14, 0, 0, 83, 11, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 224, 14, 0, 0, 96, 11, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 225, 14, 0, 0, 109, 11, 1,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 84, 14, 0, 0, 122, 11, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 226, 14, 0,
    0, 135, 11, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 227, 14, 0, 0, 148, 11, 1, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 123, 14, 0, 0, 161, 11, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 127, 14, 0, 0, 174, 11, 1, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 228, 14, 0, 0, 187, 11, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 229, 14, 0, 0, 200,
    11, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 230, 14, 0, 0, 213, 11, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 100,
    14, 0, 0, 226, 11, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 231, 14, 0, 0, 254, 11, 1, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 232, 14, 0, 0, 11, 12, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 233, 14, 0, 0, 24, 12, 1, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 234, 14, 0, 0, 52, 12, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 235, 14, 0, 0, 65,
    12, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 236, 14, 0, 0, 78, 12, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 237,
    14, 0, 0, 91, 12, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 238, 14, 0, 0, 104, 12, 1, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 239, 14, 0, 0, 118, 12, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 240, 14, 0, 0, 136, 12, 1, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 241, 14, 0, 0, 149, 12, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 242, 14, 0, 0,
    162, 12, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 243, 14, 0, 0, 175, 12, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    244, 14, 0, 0, 188, 12, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 245, 14, 0, 0, 201, 12, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 246, 14, 0, 0, 214, 12, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 247, 14, 0, 0, 227, 12,
    1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 248, 14, 0, 0, 240, 12, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 249, 14,
    0, 0, 253, 12, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 250, 14, 0, 0, 10, 13, 1, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 251, 14, 0, 0, 23, 13, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 252, 14, 0, 0, 65, 13, 1, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 253, 14, 0, 0, 78, 13, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 254, 14, 0, 0, 91, 13,
    1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 255, 14, 0, 0, 104, 13, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 132, 14,
    0, 0, 117, 13, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 0, 15, 0, 0, 131, 13, 1, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 1, 15, 0, 0, 144, 13, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 2, 15, 0, 0, 158, 13, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 116, 7, 0, 0, 176, 13, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 233, 14, 0, 0, 189, 13, 1,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 3, 15, 0, 0, 202, 13, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 116, 7, 0, 0,
    216, 13, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 4, 15, 0, 0, 234, 13, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    235, 14, 0, 0, 247, 13, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 237, 14, 0, 0, 4, 14, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 5, 15, 0, 0, 17, 14, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 238, 14, 0, 0, 30, 14, 1, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 6, 15, 0, 0, 43, 14, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 7, 15, 0, 0, 57,
    14, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 8, 15, 0, 0, 75, 14, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 123, 1,
    0, 0, 88, 14, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 241, 14, 0, 0, 116, 14, 1, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 122, 14, 0, 0, 129, 14, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 9, 15, 0, 0, 142, 14, 1, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 10, 15, 0, 0, 155, 14, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 11, 15, 0, 0, 168, 14,
    1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 12, 15, 0, 0, 182, 14, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 13, 15, 0,
    0, 200, 14, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 226, 7, 0, 0, 213, 14, 1, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 14, 15, 0, 0, 226, 14, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 179, 1, 0, 0, 239, 14, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 15, 15, 0, 0, 252, 14, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 52, 6, 0, 0, 9, 15, 1, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 254, 14, 0, 0, 22, 15, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 16, 15, 0, 0,
    35, 15, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 17, 15, 0, 0, 48, 15, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 18,
    15, 0, 0, 62, 15, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 19, 15, 0, 0, 80, 15, 1, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 241, 14, 0, 0, 107, 15, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 235, 14, 0, 0, 120, 15, 1, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 20, 15, 0, 0, 134, 15, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 237, 14, 0, 0, 147,
    15, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 179, 1, 0, 0, 160, 15, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 21,
    15, 0, 0, 173, 15, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 22, 15, 0, 0, 187, 15, 1, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 23, 15, 0, 0, 205, 15, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 24, 15, 0, 0, 218, 15, 1, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 25, 15, 0, 0, 231, 15, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 179, 1, 0, 0, 244,
    15, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 26, 15, 0, 0, 2, 16, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 27, 15,
    0, 0, 20, 16, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 24, 15, 0, 0, 34, 16, 1, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 28, 15, 0, 0, 52, 16, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 9, 0, 0, 0, 66, 16, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 29, 15, 0, 0, 84, 16, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 24, 15, 0, 0, 97, 16, 1, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 179, 1, 0, 0, 114, 17, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 30, 15, 0, 0,
    123, 17, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 148, 2, 0, 0, 136, 17, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    31, 15, 0, 0, 152, 17, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 32, 15, 0, 0, 168, 17, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 33, 15, 0, 0, 181, 17, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 34, 15, 0, 0, 12, 18, 1, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 122, 14, 0, 0, 21, 18, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 114, 2, 0, 0,
    34, 18, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 35, 15, 0, 0, 47, 18, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 36,
    15, 0, 0, 60, 18, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 37, 15, 0, 0, 73, 18, 1, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 38, 15, 0, 0, 86, 18, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 39, 15, 0, 0, 99, 18, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 40, 15, 0, 0, 112, 18, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 41, 15, 0, 0, 125, 18, 1,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 42, 15, 0, 0, 138, 18, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 43, 15, 0, 0,
    151, 18, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 133, 5, 0, 0, 164, 18, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    244, 6, 0, 0, 177, 18, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 70, 5, 0, 0, 201, 18, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 44, 15, 0, 0, 210, 18, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 25, 7, 0, 0, 223, 18, 1, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 215, 5, 0, 0, 236, 18, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 179, 1, 0, 0,
    249, 18, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 6, 3, 0, 0, 6, 19, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 45,
    15, 0, 0, 19, 19, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 46, 15, 0, 0, 32, 19, 1, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 47, 15, 0, 0, 45, 19, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 48, 15, 0, 0, 238, 19, 1, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 49, 15, 0, 0, 247, 19, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 10, 13, 0, 0, 4, 20,
    1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 50, 15, 0, 0, 17, 20, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 51, 15, 0,
    0, 30, 20, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 52, 15, 0, 0, 48, 20, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    53, 15, 0, 0, 82, 20, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 54, 15, 0, 0, 91, 20, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 164, 10, 0, 0, 109, 20, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 55, 15, 0, 0, 122, 20, 1,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 56, 15, 0, 0, 131, 20, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 55, 4, 0, 0,
    144, 20, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 19, 4, 0, 0, 168, 20, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    57, 15, 0, 0, 177, 20, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 58, 15, 0, 0, 239, 20, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 59, 15, 0, 0, 248, 20, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 70, 14, 0, 0, 5, 21, 1, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 60, 15, 0, 0, 18, 21, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 61, 15, 0, 0, 31,
    21, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 62, 15, 0, 0, 44, 21, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 63, 15,
    0, 0, 57, 21, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 64, 15, 0, 0, 70, 21, 1, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 65, 15, 0, 0, 83, 21, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 66, 15, 0, 0, 96, 21, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 85, 14, 0, 0, 115, 21, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 67, 15, 0, 0, 124, 21, 1, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 97, 5, 0, 0, 137, 21, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 68, 15, 0, 0,
    150, 21, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 135, 1, 0, 0, 174, 21, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    69, 15, 0, 0, 183, 21, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 70, 15, 0, 0, 196, 21, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 71, 15, 0, 0, 209, 21, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 72, 15, 0, 0, 222, 21, 1, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 73, 15, 0, 0, 235, 21, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 138, 10, 0, 0,
    248, 21, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 33, 12, 0, 0, 5, 22, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    224, 3, 0, 0, 50, 22, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 74, 15, 0, 0, 60, 22, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 75, 15, 0, 0, 73, 22, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 76, 15, 0, 0, 86, 22, 1, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 70, 14, 0, 0, 99, 22, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 97, 5, 0, 0, 112,
    22, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 74, 3, 0, 0, 125, 22, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 77, 15,
    0, 0, 138, 22, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 78, 15, 0, 0, 151, 22, 1, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 79, 15, 0, 0, 164, 22, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 80, 15, 0, 0, 177, 22, 1, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 81, 15, 0, 0, 190, 22, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 82, 15, 0, 0, 203, 22,
    1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 119, 14, 0, 0, 216, 22, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 93, 14,
    0, 0, 230, 22, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 83, 15, 0, 0, 244, 22, 1, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 84, 15, 0, 0, 2, 23, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 85, 15, 0, 0, 16, 23, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 86, 15, 0, 0, 30, 23, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 166, 14, 0, 0, 44, 23, 1,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 87, 15, 0, 0, 58, 23, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 88, 15, 0, 0,
    72, 23, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 89, 15, 0, 0, 86, 23, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 90,
    15, 0, 0, 100, 23, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 106, 5, 0, 0, 114, 23, 1, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 91, 15, 0, 0, 128, 23, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 92, 15, 0, 0, 147, 23, 1, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 93, 15, 0, 0, 160, 23, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 94, 15, 0, 0, 173,
    23, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 95, 15, 0, 0, 187, 23, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 96,
    15, 0, 0, 201, 23, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 97, 15, 0, 0, 215, 23, 1, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 98, 15, 0, 0, 229, 23, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 99, 15, 0, 0, 243, 23, 1, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 100, 15, 0, 0, 1, 24, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 101, 15, 0, 0, 15,
    24, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 102, 15, 0, 0, 29, 24, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 103,
    15, 0, 0, 43, 24, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 104, 15, 0, 0, 57, 24, 1, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 105, 15, 0, 0, 71, 24, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 106, 15, 0, 0, 96, 24, 1, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 107, 15, 0, 0, 105, 24, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 108, 15, 0, 0,
    118, 24, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 109, 15, 0, 0, 131, 24, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    110, 15, 0, 0, 144, 24, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 111, 15, 0, 0, 157, 24, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 112, 15, 0, 0, 170, 24, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 113, 15, 0, 0, 215, 24,
    1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 114, 15, 0, 0, 224, 24, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 51, 2, 0,
    0, 237, 24, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 115, 15, 0, 0, 250, 24, 1, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 116, 15, 0, 0, 7, 25, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 117, 15, 0, 0, 48, 25, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 118, 15, 0, 0, 61, 25, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 119, 15, 0, 0, 74, 25, 1,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 120, 15, 0, 0, 87, 25, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 121, 15, 0,
    0, 100, 25, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 122, 15, 0, 0, 114, 25, 1, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 123, 15, 0, 0, 128, 25, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 132, 14, 0, 0, 141, 25, 1, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 124, 15, 0, 0, 154, 25, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 125, 15, 0, 0, 208,
    25, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 126, 15, 0, 0, 217, 25, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 127,
    15, 0, 0, 223, 25, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 128, 15, 0, 0, 229, 25, 1, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 129, 15, 0, 0, 235, 25, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 130, 15, 0, 0, 241, 25, 1, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 131, 15, 0, 0, 247, 25, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 132, 15, 0, 0,
    253, 25, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 133, 15, 0, 0, 3, 26, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    134, 15, 0, 0, 9, 26, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 135, 15, 0, 0, 20, 26, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 136, 15, 0, 0, 29, 26, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 137, 15, 0, 0, 35, 26, 1, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 138, 15, 0, 0, 41, 26, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 139, 15, 0, 0,
    47, 26, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 140, 15, 0, 0, 53, 26, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    141, 15, 0, 0, 59, 26, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 142, 15, 0, 0, 65, 26, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 143, 15, 0, 0, 71, 26, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 144, 15, 0, 0, 77, 26, 1, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 145, 15, 0, 0, 83, 26, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 146, 15, 0, 0,
    89, 26, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 147, 15, 0, 0, 95, 26, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    148, 15, 0, 0, 101, 26, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 149, 15, 0, 0, 107, 26, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 150, 15, 0, 0, 113, 26, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 151, 15, 0, 0, 119, 26,
    1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 152, 15, 0, 0, 125, 26, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 153, 15,
    0, 0, 131, 26, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 154, 15, 0, 0, 137, 26, 1, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 155, 15, 0, 0, 143, 26, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 156, 15, 0, 0, 149, 26, 1, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 157, 15, 0, 0, 155, 26, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 158, 15, 0, 0,
    161, 26, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 159, 15, 0, 0, 167, 26, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    160, 15, 0, 0, 211, 26, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 161, 15, 0, 0, 220, 26, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 162, 15, 0, 0, 226, 26, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 163, 15, 0, 0, 232, 26,
    1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 164, 15, 0, 0, 238, 26, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 165, 15,
    0, 0, 244, 26, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 166, 15, 0, 0, 250, 26, 1, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 167, 15, 0, 0, 0, 27, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 168, 15, 0, 0, 6, 27, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 169, 15, 0, 0, 12, 27, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 170, 15, 0, 0, 18, 27, 1,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 171, 15, 0, 0, 24, 27, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 172, 15, 0,
    0, 30, 27, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 173, 15, 0, 0, 36, 27, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    174, 15, 0, 0, 42, 27, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 175, 15, 0, 0, 48, 27, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 176, 15, 0, 0, 54, 27, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 177, 15, 0, 0, 60, 27, 1, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 178, 15, 0, 0, 66, 27, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 179, 15, 0, 0,
    72, 27, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 180, 15, 0, 0, 78, 27, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    181, 15, 0, 0, 84, 27, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 182, 15, 0, 0, 90, 27, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 183, 15, 0, 0, 96, 27, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 184, 15, 0, 0, 102, 27, 1,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 185, 15, 0, 0, 108, 27, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 186, 15, 0,
    0, 114, 27, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 187, 15, 0, 0, 120, 27, 1, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 188, 15, 0, 0, 126, 27, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 189, 15, 0, 0, 132, 27, 1, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 190, 15, 0, 0, 138, 27, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 191, 15, 0, 0, 144,
    27, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 192, 15, 0, 0, 150, 27, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 193,
    15, 0, 0, 156, 27, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 194, 15, 0, 0, 162, 27, 1, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 195, 15, 0, 0, 168, 27, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 196, 15, 0, 0, 174, 27, 1, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 197, 15, 0, 0, 180, 27, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 198, 15, 0, 0,
    186, 27, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 199, 15, 0, 0, 192, 27, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    200, 15, 0, 0, 198, 27, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 201, 15, 0, 0, 204, 27, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 202, 15, 0, 0, 210, 27, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 203, 15, 0, 0, 216, 27,
    1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 204, 15, 0, 0, 222, 27, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 205, 15,
    0, 0, 228, 27, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 206, 15, 0, 0, 234, 27, 1, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 207, 15, 0, 0, 240, 27, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 208, 15, 0, 0, 246, 27, 1, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 209, 15, 0, 0, 252, 27, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 210, 15, 0, 0, 2,
    28, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 211, 15, 0, 0, 8, 28, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 212,
    15, 0, 0, 14, 28, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 213, 15, 0, 0, 20, 28, 1, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 214, 15, 0, 0, 26, 28, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 215, 15, 0, 0, 32, 28, 1, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 216, 15, 0, 0, 38, 28, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 217, 15, 0, 0, 44,
    28, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 218, 15, 0, 0, 50, 28, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 219,
    15, 0, 0, 56, 28, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 220, 15, 0, 0, 62, 28, 1, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 221, 15, 0, 0, 68, 28, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 222, 15, 0, 0, 74, 28, 1, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 223, 15, 0, 0, 80, 28, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 224, 15, 0, 0, 86,
    28, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 225, 15, 0, 0, 92, 28, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 226,
    15, 0, 0, 98, 28, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 227, 15, 0, 0, 104, 28, 1, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 228, 15, 0, 0, 110, 28, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 229, 15, 0, 0, 116, 28, 1, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 230, 15, 0, 0, 122, 28, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 231, 15, 0, 0,
    128, 28, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 232, 15, 0, 0, 134, 28, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    233, 15, 0, 0, 140, 28, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 234, 15, 0, 0, 146, 28, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 235, 15, 0, 0, 152, 28, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 236, 15, 0, 0, 158, 28,
    1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 237, 15, 0, 0, 164, 28, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 238, 15,
    0, 0, 170, 28, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 239, 15, 0, 0, 176, 28, 1, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 240, 15, 0, 0, 182, 28, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 241, 15, 0, 0, 188, 28, 1, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 242, 15, 0, 0, 194, 28, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 243, 15, 0, 0,
    200, 28, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 244, 15, 0, 0, 206, 28, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    245, 15, 0, 0, 212, 28, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 246, 15, 0, 0, 218, 28, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 247, 15, 0, 0, 224, 28, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 248, 15, 0, 0, 230, 28,
    1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 249, 15, 0, 0, 236, 28, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 250, 15,
    0, 0, 242, 28, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 251, 15, 0, 0, 248, 28, 1, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 252, 15, 0, 0, 254, 28, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 253, 15, 0, 0, 4, 29, 1, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 254, 15, 0, 0, 10, 29, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 255, 15, 0, 0, 16, 29,
    1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 0, 16, 0, 0, 22, 29, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 1, 16, 0, 0,
    28, 29, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 2, 16, 0, 0, 34, 29, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 3,
    16, 0, 0, 40, 29, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 4, 16, 0, 0, 46, 29, 1, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 5, 16, 0, 0, 52, 29, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 6, 16, 0, 0, 58, 29, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 7, 16, 0, 0, 64, 29, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 8, 16, 0, 0, 70, 29, 1, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 9, 16, 0, 0, 76, 29, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 10, 16, 0, 0, 82,
    29, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 11, 16, 0, 0, 88, 29, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 12, 16,
    0, 0, 94, 29, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 13, 16, 0, 0, 100, 29, 1, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 14, 16, 0, 0, 106, 29, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 15, 16, 0, 0, 112, 29, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 16, 16, 0, 0, 118, 29, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 17, 16, 0, 0, 124, 29, 1,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 18, 16, 0, 0, 130, 29, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 19, 16, 0, 0,
    136, 29, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 20, 16, 0, 0, 142, 29, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    21, 16, 0, 0, 148, 29, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 22, 16, 0, 0, 154, 29, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 23, 16, 0, 0, 160, 29, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 24, 16, 0, 0, 166, 29, 1, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 25, 16, 0, 0, 172, 29, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 26, 16, 0, 0,
    178, 29, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 27, 16, 0, 0, 184, 29, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    28, 16, 0, 0, 190, 29, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 29, 16, 0, 0, 196, 29, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 30, 16, 0, 0, 202, 29, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 31, 16, 0, 0, 208, 29, 1, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 32, 16, 0, 0, 214, 29, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 33, 16, 0, 0,
    220, 29, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 34, 16, 0, 0, 227, 29, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    35, 16, 0, 0, 234, 29, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 36, 16, 0, 0, 241, 29, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 37, 16, 0, 0, 248, 29, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 38, 16, 0, 0, 255, 29, 1, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 39, 16, 0, 0, 6, 30, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 40, 16, 0, 0, 13,
    30, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 41, 16, 0, 0, 20, 30, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 42, 16,
    0, 0, 27, 30, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 43, 16, 0, 0, 34, 30, 1, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 44, 16, 0, 0, 41, 30, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 45, 16, 0, 0, 48, 30, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 46, 16, 0, 0, 55, 30, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 47, 16, 0, 0, 62, 30, 1, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 48, 16, 0, 0, 120, 30, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 49, 16, 0, 0,
    129, 30, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 50, 16, 0, 0, 135, 30, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    51, 16, 0, 0, 147, 30, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 52, 16, 0, 0, 156, 30, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 131, 14, 0, 0, 183, 30, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 53, 16, 0, 0, 196, 30, 1,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 132, 14, 0, 0, 210, 30, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 106, 5, 0,
    0, 229, 30, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 54, 16, 0, 0, 239, 30, 1, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 132, 2, 0, 0, 252, 30, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 55, 16, 0, 0, 9, 31, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 56, 16, 0, 0, 23, 31, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 57, 16, 0, 0, 37, 31, 1, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 58, 16, 0, 0, 204, 31, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 59, 16, 0, 0,
    213, 31, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 60, 16, 0, 0, 226, 31, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    75, 15, 0, 0, 239, 31, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 76, 15, 0, 0, 252, 31, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 44, 2, 0, 0, 9, 32, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 61, 16, 0, 0, 23, 32, 1, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 62, 16, 0, 0, 32, 32, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 63, 16, 0, 0, 45,
    32, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 34, 6, 0, 0, 58, 32, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 64, 16,
    0, 0, 71, 32, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 75, 15, 0, 0, 84, 32, 1, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 65, 16, 0, 0, 97, 32, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 66, 16, 0, 0, 110, 32, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 67, 16, 0, 0, 123, 32, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 68, 16, 0, 0, 136, 32, 1,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 69, 16, 0, 0, 149, 32, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 70, 16, 0, 0,
    162, 32, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 71, 16, 0, 0, 193, 32, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    72, 16, 0, 0, 203, 32, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 211, 13, 0, 0, 216, 32, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 73, 16, 0, 0, 230, 32, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 74, 16, 0, 0, 244, 32, 1, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 75, 16, 0, 0, 2, 33, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 76, 16, 0, 0, 16,
    33, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 180, 4, 0, 0, 30, 33, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 77, 16,
    0, 0, 44, 33, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 163, 7, 0, 0, 71, 33, 1, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 78, 16, 0, 0, 80, 33, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 9, 0, 0, 0, 107, 33, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 79, 16, 0, 0, 120, 33, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 80, 16, 0, 0, 133, 33, 1, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 132, 14, 0, 0, 146, 33, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 81, 16, 0, 0,
    159, 33, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 82, 16, 0, 0, 173, 33, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    33, 15, 0, 0, 186, 33, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 244, 6, 0, 0, 199, 33, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 83, 16, 0, 0, 212, 33, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 84, 16, 0, 0, 225, 33, 1, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 85, 16, 0, 0, 238, 33, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 86, 16, 0, 0,
    251, 33, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 87, 16, 0, 0, 8, 34, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 88,
    16, 0, 0, 21, 34, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 89, 16, 0, 0, 34, 34, 1, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 90, 16, 0, 0, 47, 34, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 91, 16, 0, 0, 60, 34, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 92, 16, 0, 0, 73, 34, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 34, 6, 0, 0, 86, 34, 1, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 74, 16, 0, 0, 99, 34, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 93, 16, 0, 0,
    112, 34, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 94, 16, 0, 0, 125, 34, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    95, 16, 0, 0, 139, 34, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 96, 16, 0, 0, 148, 34, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 119, 2, 0, 0, 161, 34, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 49, 12, 0, 0, 184, 34, 1, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 97, 16, 0, 0, 193, 34, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 98, 16, 0, 0,
    199, 34, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 99, 16, 0, 0, 205, 34, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    100, 16, 0, 0, 211, 34, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 101, 16, 0, 0, 217, 34, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 102, 16, 0, 0, 223, 34, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 103, 16, 0, 0, 235, 34,
    1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 104, 16, 0, 0, 244, 34, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 244, 6,
    0, 0, 1, 35, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 75, 15, 0, 0, 20, 35, 1, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 105, 16, 0, 0, 29, 35, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 106, 16, 0, 0, 42, 35, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 107, 16, 0, 0, 66, 35, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 108, 16, 0, 0, 75, 35, 1,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 109, 16, 0, 0, 88, 35, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 110, 16, 0,
    0, 112, 35, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 111, 16, 0, 0, 121, 35, 1, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 146, 1, 0, 0, 134, 35, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 44, 2, 0, 0, 147, 35, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 112, 16, 0, 0, 160, 35, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 113, 16, 0, 0, 191, 35,
    1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 114, 16, 0, 0, 214, 35, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 115, 16,
    0, 0, 227, 35, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 116, 16, 0, 0, 240, 35, 1, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 117, 16, 0, 0, 253, 35, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 118, 16, 0, 0, 24, 36, 1, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 119, 16, 0, 0, 37, 36, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 120, 16, 0, 0, 52, 36,
    1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 121, 16, 0, 0, 65, 36, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 53, 16, 0,
    0, 78, 36, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 122, 16, 0, 0, 91, 36, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    123, 16, 0, 0, 104, 36, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 124, 16, 0, 0, 117, 36, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 125, 16, 0, 0, 130, 36, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 126, 16, 0, 0, 143, 36,
    1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 127, 16, 0, 0, 167, 36, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 128, 16,
    0, 0, 176, 36, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 129, 16, 0, 0, 189, 36, 1, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 130, 16, 0, 0, 202, 36, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 131, 16, 0, 0, 215, 36, 1, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 132, 16, 0, 0, 242, 36, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 133, 16, 0, 0,
    251, 36, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 107, 7, 0, 0, 8, 37, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    129, 14, 0, 0, 21, 37, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 97, 14, 0, 0, 34, 37, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 134, 16, 0, 0, 149, 37, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 135, 16, 0, 0, 158, 37, 1,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 129, 16, 0, 0, 171, 37, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 136, 16, 0,
    0, 190, 37, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 137, 16, 0, 0, 199, 37, 1, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 138, 16, 0, 0, 212, 37, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 139, 16, 0, 0, 241, 37, 1, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 140, 16, 0, 0, 250, 37, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 141, 16, 0, 0, 7, 38,
    1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 142, 16, 0, 0, 20, 38, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 204, 10,
    0, 0, 39, 38, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 143, 16, 0, 0, 48, 38, 1, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 144, 16, 0, 0, 61, 38, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 145, 16, 0, 0, 74, 38, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 146, 16, 0, 0, 93, 38, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 147, 16, 0, 0, 102, 38,
    1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 3, 3, 0, 0, 115, 38, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 116, 1, 0,
    0, 134, 38, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 148, 16, 0, 0, 143, 38, 1, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 148, 2, 0, 0, 156, 38, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 149, 16, 0, 0, 169, 38, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 150, 16, 0, 0, 182, 38, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 151, 16, 0, 0, 2, 39, 1,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 152, 16, 0, 0, 25, 39, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 52, 6, 0, 0,
    38, 39, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 153, 16, 0, 0, 52, 39, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    164, 10, 0, 0, 65, 39, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 125, 5, 0, 0, 78, 39, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 154, 16, 0, 0, 91, 39, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 155, 16, 0, 0, 104, 39, 1,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 13, 4, 0, 0, 117, 39, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 70, 5, 0, 0,
    136, 39, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 156, 16, 0, 0, 145, 39, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    70, 5, 0, 0, 158, 39, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 114, 2, 0, 0, 177, 39, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 157, 16, 0, 0, 187, 39, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 164, 10, 0, 0, 200, 39, 1,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 240, 4, 0, 0, 214, 39, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 102, 5, 0, 0,
    228, 39, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 134, 1, 0, 0, 243, 39, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    158, 16, 0, 0, 252, 39, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 159, 16, 0, 0, 9, 40, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 237, 14, 0, 0, 47, 40, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 160, 16, 0, 0, 56, 40, 1, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 33, 4, 0, 0, 69, 40, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 161, 16, 0, 0, 82,
    40, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 198, 5, 0, 0, 95, 40, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 162,
    16, 0, 0, 108, 40, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 163, 16, 0, 0, 124, 40, 1, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 164, 16, 0, 0, 140, 40, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 70, 5, 0, 0, 163, 40, 1, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 165, 16, 0, 0, 183, 40, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 166, 16, 0, 0,
    192, 40, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 140, 10, 0, 0, 205, 40, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    167, 16, 0, 0, 218, 40, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 168, 16, 0, 0, 231, 40, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 169, 16, 0, 0, 6, 41, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 170, 16, 0, 0, 15, 41, 1,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 171, 16, 0, 0, 28, 41, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 172, 16, 0,
    0, 41, 41, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 173, 16, 0, 0, 54, 41, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    174, 16, 0, 0, 67, 41, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 175, 16, 0, 0, 80, 41, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 176, 16, 0, 0, 93, 41, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 177, 16, 0, 0, 106, 41, 1,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 178, 16, 0, 0, 119, 41, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 179, 16, 0,
    0, 132, 41, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 180, 16, 0, 0, 145, 41, 1, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 181, 16, 0, 0, 158, 41, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 182, 16, 0, 0, 171, 41, 1, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 183, 16, 0, 0, 184, 41, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 184, 16, 0, 0, 197,
    41, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 185, 16, 0, 0, 210, 41, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 23,
    6, 0, 0, 223, 41, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 198, 5, 0, 0, 236, 41, 1, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 233, 3, 0, 0, 249, 41, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 121, 11, 0, 0, 9, 42, 1, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 186, 16, 0, 0, 25, 42, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 187, 16, 0, 0, 41,
    42, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 188, 16, 0, 0, 57, 42, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 189,
    16, 0, 0, 73, 42, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 244, 6, 0, 0, 86, 42, 1, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 123, 1, 0, 0, 99, 42, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 190, 16, 0, 0, 112, 42, 1, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 102, 5, 0, 0, 125, 42, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 191, 16, 0, 0, 138,
    42, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 192, 16, 0, 0, 151, 42, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 193,
    16, 0, 0, 164, 42, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 194, 16, 0, 0, 177, 42, 1, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 195, 16, 0, 0, 38, 43, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 196, 16, 0, 0, 47, 43, 1, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 197, 16, 0, 0, 60, 43, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 198, 16, 0, 0, 73,
    43, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 199, 16, 0, 0, 86, 43, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 200,
    16, 0, 0, 99, 43, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 201, 16, 0, 0, 112, 43, 1, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 202, 16, 0, 0, 125, 43, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 203, 16, 0, 0, 144, 43, 1, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 204, 16, 0, 0, 154, 43, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 75, 9, 0, 0,
    167, 43, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 61, 7, 0, 0, 180, 43, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    205, 16, 0, 0, 193, 43, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 206, 16, 0, 0, 206, 43, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 199, 16, 0, 0, 219, 43, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 201, 7, 0, 0, 232, 43,
    1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 207, 16, 0, 0, 245, 43, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 208, 16,
    0, 0, 2, 44, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 209, 16, 0, 0, 15, 44, 1, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 210, 16, 0, 0, 28, 44, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 211, 16, 0, 0, 42, 44, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 212, 16, 0, 0, 56, 44, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 42, 2, 0, 0, 70, 44, 1,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 213, 16, 0, 0, 84, 44, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 214, 16, 0,
    0, 98, 44, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 215, 16, 0, 0, 112, 44, 1, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 216, 16, 0, 0, 126, 44, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 217, 16, 0, 0, 140, 44, 1, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 218, 16, 0, 0, 154, 44, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 102, 10, 0, 0, 168,
    44, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 50, 2, 0, 0, 2, 45, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 219, 16,
    0, 0, 11, 45, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 123, 1, 0, 0, 24, 45, 1, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 89, 2, 0, 0, 37, 45, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 220, 16, 0, 0, 50, 45, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 179, 1, 0, 0, 63, 45, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 221, 16, 0, 0, 76, 45, 1, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 54, 9, 0, 0, 89, 45, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 13, 4, 0, 0, 102,
    45, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 222, 16, 0, 0, 115, 45, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 196,
    5, 0, 0, 128, 45, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 198, 5, 0, 0, 141, 45, 1, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 223, 16, 0, 0, 154, 45, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 224, 16, 0, 0, 167, 45, 1, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 122, 9, 0, 0, 180, 45, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 123, 9, 0, 0,
    193, 45, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 124, 9, 0, 0, 206, 45, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    125, 9, 0, 0, 219, 45, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 225, 16, 0, 0, 232, 45, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 226, 16, 0, 0, 245, 45, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 186, 5, 0, 0, 2, 46, 1, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 192, 5, 0, 0, 115, 46, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 227, 16, 0, 0,
    124, 46, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 141, 7, 0, 0, 137, 46, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    70, 5, 0, 0, 150, 46, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 248, 9, 0, 0, 179, 46, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 49, 9, 0, 0, 188, 46, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 38, 6, 0, 0, 201, 46, 1, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 238, 8, 0, 0, 214, 46, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 240, 4, 0, 0,
    227, 46, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 244, 6, 0, 0, 240, 46, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    53, 10, 0, 0, 254, 46, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 50, 9, 0, 0, 7, 47, 1, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 240, 4, 0, 0, 20, 47, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 228, 16, 0, 0, 33, 47, 1, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 229, 16, 0, 0, 46, 47, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 230, 16, 0, 0, 59,
    47, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 231, 16, 0, 0, 72, 47, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 168,
    8, 0, 0, 85, 47, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 232, 16, 0, 0, 98, 47, 1, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 233, 16, 0, 0, 111, 47, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 234, 16, 0, 0, 124, 47, 1, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 235, 16, 0, 0, 137, 47, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 236, 16, 0, 0,
    150, 47, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 237, 16, 0, 0, 163, 47, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    238, 16, 0, 0, 176, 47, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 239, 16, 0, 0, 214, 47, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 240, 16, 0, 0, 223, 47, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 119, 2, 0, 0, 239, 47,
    1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 241, 16, 0, 0, 255, 47, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 82, 4, 0,
    0, 15, 48, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 242, 16, 0, 0, 32, 48, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    243, 16, 0, 0, 42, 48, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 82, 4, 0, 0, 55, 48, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 244, 16, 0, 0, 69, 48, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 245, 16, 0, 0, 83, 48, 1, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 246, 16, 0, 0, 102, 48, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 167, 8, 0, 0,
    115, 48, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 44, 2, 0, 0, 129, 48, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    247, 16, 0, 0, 143, 48, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 248, 16, 0, 0, 157, 48, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 249, 16, 0, 0, 171, 48, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 202, 7, 0, 0, 185, 48,
    1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 250, 16, 0, 0, 199, 48, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 251, 16,
    0, 0, 213, 48, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 252, 16, 0, 0, 227, 48, 1, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 253, 16, 0, 0, 241, 48, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 254, 16, 0, 0, 0, 49, 1, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 255, 16, 0, 0, 10, 49, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 47, 14, 0, 0, 23, 49,
    1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 241, 6, 0, 0, 49, 49, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 0, 17, 0,
    0, 58, 49, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 102, 5, 0, 0, 71, 49, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    1, 17, 0, 0, 84, 49, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 2, 17, 0, 0, 102, 49, 1, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 167, 8, 0, 0, 115, 49, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 44, 2, 0, 0, 129, 49, 1, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 3, 17, 0, 0, 142, 49, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 249, 16, 0, 0, 155,
    49, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 4, 17, 0, 0, 168, 49, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 5, 17,
    0, 0, 181, 49, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 6, 17, 0, 0, 194, 49, 1, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 7, 17, 0, 0, 207, 49, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 8, 17, 0, 0, 226, 49, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 9, 17, 0, 0, 236, 49, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 61, 7, 0, 0, 249, 49, 1, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 10, 17, 0, 0, 6, 50, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 70, 5, 0, 0, 19,
    50, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 11, 17, 0, 0, 32, 50, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 187, 8,
    0, 0, 45, 50, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 12, 17, 0, 0, 58, 50, 1, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 13, 17, 0, 0, 71, 50, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 14, 17, 0, 0, 84, 50, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 15, 17, 0, 0, 97, 50, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 16, 17, 0, 0, 110, 50, 1, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 17, 17, 0, 0, 123, 50, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 18, 17, 0, 0,
    136, 50, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 19, 17, 0, 0, 150, 50, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    20, 17, 0, 0, 164, 50, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 21, 17, 0, 0, 178, 50, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 22, 17, 0, 0, 192, 50, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 23, 17, 0, 0, 206, 50, 1, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 24, 17, 0, 0, 220, 50, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 25, 17, 0, 0,
    234, 50, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 26, 17, 0, 0, 248, 50, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    27, 17, 0, 0, 7, 51, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 16, 17, 0, 0, 16, 51, 1, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 240, 4, 0, 0, 29, 51, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 28, 17, 0, 0, 42, 51, 1, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 29, 17, 0, 0, 56, 51, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 17, 17, 0, 0, 65, 51,
    1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 240, 4, 0, 0, 78, 51, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 129, 5, 0,
    0, 91, 51, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 30, 17, 0, 0, 104, 51, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    31, 17, 0, 0, 123, 51, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 32, 17, 0, 0, 132, 51, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 182, 7, 0, 0, 145, 51, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 167, 7, 0, 0, 158, 51, 1, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 110, 16, 0, 0, 172, 51, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 33, 17, 0, 0,
    195, 51, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 13, 4, 0, 0, 222, 51, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    34, 17, 0, 0, 235, 51, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 179, 1, 0, 0, 250, 51, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 51, 2, 0, 0, 25, 52, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 25, 17, 0, 0, 35, 52, 1, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 35, 17, 0, 0, 48, 52, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 36, 17, 0, 0, 75,
    52, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 37, 17, 0, 0, 84, 52, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 33, 4,
    0, 0, 97, 52, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 49, 12, 0, 0, 116, 52, 1, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 38, 17, 0, 0, 125, 52, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 66, 10, 0, 0, 138, 52, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 44, 2, 0, 0, 151, 52, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 70, 5, 0, 0, 170, 52, 1,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 39, 17, 0, 0, 180, 52, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 34, 6, 0, 0,
    193, 52, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 23, 11, 0, 0, 206, 52, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    86, 10, 0, 0, 219, 52, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 40, 17, 0, 0, 232, 52, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 41, 17, 0, 0, 245, 52, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 42, 17, 0, 0, 2, 53, 1, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 43, 17, 0, 0, 15, 53, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 44, 17, 0, 0, 28,
    53, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 45, 17, 0, 0, 41, 53, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 179, 1,
    0, 0, 54, 53, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 132, 2, 0, 0, 67, 53, 1, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 46, 17, 0, 0, 80, 53, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 47, 17, 0, 0, 93, 53, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 48, 17, 0, 0, 106, 53, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 49, 17, 0, 0, 119, 53, 1, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 50, 17, 0, 0, 132, 53, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 51, 17, 0, 0,
    145, 53, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 52, 17, 0, 0, 158, 53, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    53, 17, 0, 0, 171, 53, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 54, 17, 0, 0, 184, 53, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 55, 17, 0, 0, 197, 53, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 56, 17, 0, 0, 210, 53, 1, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 57, 17, 0, 0, 223, 53, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 58, 17, 0, 0,
    236, 53, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 59, 17, 0, 0, 249, 53, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    60, 17, 0, 0, 6, 54, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 61, 17, 0, 0, 19, 54, 1, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 62, 17, 0, 0, 32, 54, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 63, 17, 0, 0, 45, 54, 1, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 64, 17, 0, 0, 58, 54, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 65, 17, 0, 0, 71, 54,
    1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 66, 17, 0, 0, 84, 54, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 67, 17, 0,
    0, 97, 54, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 68, 17, 0, 0, 110, 54, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    69, 17, 0, 0, 123, 54, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 70, 17, 0, 0, 136, 54, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 71, 17, 0, 0, 149, 54, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 123, 1, 0, 0, 177, 54, 1, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 89, 2, 0, 0, 190, 54, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 70, 5, 0, 0, 204,
    54, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 84, 6, 0, 0, 218, 54, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 72, 17,
    0, 0, 232, 54, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 11, 17, 0, 0, 252, 54, 1, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 73, 17, 0, 0, 5, 55, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 44, 2, 0, 0, 18, 55, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 74, 17, 0, 0, 31, 55, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 75, 17, 0, 0, 44, 55, 1,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 76, 17, 0, 0, 57, 55, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 77, 17, 0, 0,
    70, 55, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 54, 10, 0, 0, 89, 55, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 78,
    17, 0, 0, 98, 55, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 74, 17, 0, 0, 111, 55, 1, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 79, 17, 0, 0, 124, 55, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 80, 17, 0, 0, 137, 55, 1, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 81, 17, 0, 0, 150, 55, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 82, 17, 0, 0, 163,
    55, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 83, 17, 0, 0, 176, 55, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 244,
    6, 0, 0, 189, 55, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 54, 10, 0, 0, 220, 55, 1, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 84, 17, 0, 0, 229, 55, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 74, 17, 0, 0, 242, 55, 1, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 85, 17, 0, 0, 255, 55, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 86, 17, 0, 0, 13,
    56, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 87, 17, 0, 0, 22, 56, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 134, 1,
    0, 0, 35, 56, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 88, 17, 0, 0, 48, 56, 1, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 90, 12, 0, 0, 61, 56, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 11, 10, 0, 0, 79, 56, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 89, 17, 0, 0, 108, 56, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 90, 17, 0, 0, 117, 56, 1, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 91, 17, 0, 0, 130, 56, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 92, 17, 0, 0,
    143, 56, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 12, 10, 0, 0, 157, 56, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    200, 7, 0, 0, 166, 56, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 93, 17, 0, 0, 179, 56, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 94, 17, 0, 0, 192, 56, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 95, 17, 0, 0, 205, 56, 1, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 96, 17, 0, 0, 224, 56, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 97, 17, 0, 0,
    233, 56, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 123, 1, 0, 0, 246, 56, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    73, 7, 0, 0, 3, 57, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 98, 17, 0, 0, 16, 57, 1, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 99, 17, 0, 0, 29, 57, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 179, 1, 0, 0, 42, 57, 1, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 100, 17, 0, 0, 55, 57, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 101, 17, 0, 0, 68, 57,
    1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 102, 17, 0, 0, 81, 57, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 103, 17,
    0, 0, 94, 57, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 104, 17, 0, 0, 107, 57, 1, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 105, 17, 0, 0, 152, 57, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 106, 17, 0, 0, 162, 57, 1, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 107, 17, 0, 0, 178, 57, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 108, 17, 0, 0,
    194, 57, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 109, 17, 0, 0, 210, 57, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    167, 7, 0, 0, 223, 57, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 110, 17, 0, 0, 236, 57, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 111, 17, 0, 0, 249, 57, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 112, 17, 0, 0, 6, 58, 1, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 113, 17, 0, 0, 19, 58, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 114, 17, 0, 0,
    32, 58, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 115, 17, 0, 0, 45, 58, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    116, 17, 0, 0, 59, 58, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 117, 17, 0, 0, 73, 58, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 118, 17, 0, 0, 87, 58, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 119, 17, 0, 0, 114, 58, 1,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 120, 17, 0, 0, 123, 58, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 215, 13, 0,
    0, 136, 58, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 193, 6, 0, 0, 149, 58, 1, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 121, 17, 0, 0, 162, 58, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 122, 17, 0, 0, 175, 58, 1, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 123, 17, 0, 0, 188, 58, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 124, 17, 0, 0, 201,
    58, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 125, 17, 0, 0, 232, 58, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 126,
    17, 0, 0, 243, 58, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 146, 1, 0, 0, 2, 59, 1, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 127, 17, 0, 0, 17, 59, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 128, 17, 0, 0, 32, 59, 1, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 27, 6, 0, 0, 47, 59, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 58, 10, 0, 0, 73, 59, 1,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 129, 17, 0, 0, 83, 59, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 130, 17, 0,
    0, 94, 59, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 18, 2, 0, 0, 109, 59, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    128, 17, 0, 0, 124, 59, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 27, 6, 0, 0, 145, 59, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 131, 17, 0, 0, 155, 59, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 123, 1, 0, 0, 168, 59, 1,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 12, 4, 0, 0, 181, 59, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 132, 17, 0, 0,
    197, 59, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 9, 14, 0, 0, 210, 59, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    133, 17, 0, 0, 224, 59, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 134, 17, 0, 0, 238, 59, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 54, 10, 0, 0, 252, 59, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 135, 17, 0, 0, 163, 60,
    1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 136, 17, 0, 0, 172, 60, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 179, 1,
    0, 0, 185, 60, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 137, 17, 0, 0, 198, 60, 1, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 171, 8, 0, 0, 212, 60, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 138, 17, 0, 0, 51, 61, 1, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 139, 17, 0, 0, 60, 61, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 140, 17, 0, 0, 73, 61,
    1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 141, 17, 0, 0, 86, 61, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 142, 17,
    0, 0, 99, 61, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 143, 17, 0, 0, 112, 61, 1, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 173, 7, 0, 0, 125, 61, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 237, 8, 0, 0, 138, 61, 1, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 144, 17, 0, 0, 157, 61, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 145, 17, 0, 0, 166,
    61, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 78, 3, 0, 0, 179, 61, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 146,
    17, 0, 0, 192, 61, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 147, 17, 0, 0, 205, 61, 1, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 148, 17, 0, 0, 218, 61, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 16, 17, 0, 0, 231, 61, 1, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 149, 17, 0, 0, 244, 61, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 230, 16, 0, 0, 1,
    62, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 150, 17, 0, 0, 14, 62, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 179,
    1, 0, 0, 27, 62, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 151, 17, 0, 0, 43, 62, 1, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 152, 17, 0, 0, 59, 62, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 153, 17, 0, 0, 75, 62, 1, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 154, 17, 0, 0, 91, 62, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 155, 17, 0, 0, 107,
    62, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 156, 17, 0, 0, 120, 62, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 157,
    17, 0, 0, 134, 62, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 158, 17, 0, 0, 143, 62, 1, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 159, 17, 0, 0, 161, 62, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 12, 8, 0, 0, 174, 62, 1, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 160, 17, 0, 0, 187, 62, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 161, 17, 0, 0,
    200, 62, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 162, 17, 0, 0, 214, 62, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    163, 17, 0, 0, 233, 62, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 164, 17, 0, 0, 243, 62, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 240, 4, 0, 0, 0, 63, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 165, 17, 0, 0, 13, 63, 1,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 166, 17, 0, 0, 26, 63, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 167, 17, 0,
    0, 39, 63, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 168, 17, 0, 0, 52, 63, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    169, 17, 0, 0, 65, 63, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 170, 17, 0, 0, 78, 63, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 171, 17, 0, 0, 91, 63, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 172, 17, 0, 0, 104, 63, 1,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 173, 17, 0, 0, 117, 63, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 174, 17, 0,
    0, 130, 63, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 175, 17, 0, 0, 143, 63, 1, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 176, 17, 0, 0, 156, 63, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 177, 17, 0, 0, 169, 63, 1, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 178, 17, 0, 0, 182, 63, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 179, 17, 0, 0, 195,
    63, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 180, 17, 0, 0, 208, 63, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 132,
    2, 0, 0, 221, 63, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 181, 17, 0, 0, 234, 63, 1, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 34, 6, 0, 0, 247, 63, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 182, 17, 0, 0, 4, 64, 1, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 183, 17, 0, 0, 17, 64, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 184, 17, 0, 0, 30, 64,
    1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 185, 17, 0, 0, 43, 64, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 186, 17,
    0, 0, 56, 64, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 187, 17, 0, 0, 69, 64, 1, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 188, 17, 0, 0, 82, 64, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 189, 17, 0, 0, 95, 64, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 190, 17, 0, 0, 109, 64, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 191, 17, 0, 0, 123, 64,
    1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 192, 17, 0, 0, 137, 64, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 193, 17,
    0, 0, 151, 64, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 194, 17, 0, 0, 165, 64, 1, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 195, 17, 0, 0, 180, 64, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 196, 17, 0, 0, 189, 64, 1, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 159, 6, 0, 0, 202, 64, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 197, 17, 0, 0, 215,
    64, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 12, 4, 0, 0, 241, 64, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 198,
    17, 0, 0, 250, 64, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 199, 17, 0, 0, 7, 65, 1, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 200, 17, 0, 0, 21, 65, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 205, 7, 0, 0, 30, 65, 1, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 201, 17, 0, 0, 43, 65, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 202, 17, 0, 0, 69,
    65, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 203, 17, 0, 0, 78, 65, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 8, 0,
    0, 0, 91, 65, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 33, 4, 0, 0, 105, 65, 1, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 225, 7, 0, 0, 114, 65, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 88, 17, 0, 0, 141, 65, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 204, 17, 0, 0, 159, 65, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 205, 17, 0, 0, 172, 65,
    1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 167, 4, 0, 0, 185, 65, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 179, 1, 0,
    0, 198, 65, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 206, 17, 0, 0, 211, 65, 1, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 207, 17, 0, 0, 224, 65, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 208, 17, 0, 0, 238, 65, 1, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 209, 17, 0, 0, 0, 66, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 182, 11, 0, 0, 13, 66,
    1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 9, 0, 0, 0, 40, 66, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 210, 17, 0,
    0, 53, 66, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 211, 17, 0, 0, 67, 66, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    199, 9, 0, 0, 81, 66, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 192, 5, 0, 0, 99, 66, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 212, 17, 0, 0, 112, 66, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 213, 17, 0, 0, 125, 66, 1,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 214, 17, 0, 0, 138, 66, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 192, 9, 0,
    0, 151, 66, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 193, 9, 0, 0, 192, 66, 1, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 215, 17, 0, 0, 201, 66, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 216, 17, 0, 0, 207, 66, 1, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 217, 17, 0, 0, 213, 66, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 218, 17, 0, 0, 225,
    66, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 219, 17, 0, 0, 234, 66, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 192,
    9, 0, 0, 247, 66, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 193, 9, 0, 0, 9, 67, 1, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 220, 17, 0, 0, 21, 67, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 221, 17, 0, 0, 30, 67, 1, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 192, 9, 0, 0, 43, 67, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 193, 9, 0, 0, 61, 67,
    1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 222, 17, 0, 0, 74, 67, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 223, 17,
    0, 0, 83, 67, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 14, 15, 0, 0, 96, 67, 1, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 8, 0, 0, 0, 109, 67, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 224, 17, 0, 0, 127, 67, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 225, 17, 0, 0, 138, 67, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 226, 17, 0, 0, 150, 67,
    1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 226, 7, 0, 0, 159, 67, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 33, 4, 0,
    0, 172, 67, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 132, 2, 0, 0, 185, 67, 1, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 240, 4, 0, 0, 198, 67, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 201, 7, 0, 0, 211, 67, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 227, 17, 0, 0, 224, 67, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 228, 17, 0, 0, 237, 67,
    1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 70, 5, 0, 0, 250, 67, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 229, 17, 0,
    0, 32, 68, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 230, 17, 0, 0, 41, 68, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    227, 8, 0, 0, 54, 68, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 136, 7, 0, 0, 73, 68, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 231, 17, 0, 0, 82, 68, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 38, 6, 0, 0, 95, 68, 1, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 105, 9, 0, 0, 108, 68, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 70, 5, 0, 0,
    121, 68, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 232, 17, 0, 0, 134, 68, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    233, 17, 0, 0, 147, 68, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 234, 17, 0, 0, 160, 68, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 132, 2, 0, 0, 173, 68, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 34, 6, 0, 0, 186, 68, 1,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 235, 17, 0, 0, 199, 68, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 103, 5, 0,
    0, 212, 68, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 144, 7, 0, 0, 225, 68, 1, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 236, 17, 0, 0, 238, 68, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 136, 7, 0, 0, 1, 69, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 237, 17, 0, 0, 11, 69, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 238, 17, 0, 0, 24, 69, 1,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 179, 1, 0, 0, 37, 69, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 239, 17, 0, 0,
    50, 69, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 129, 5, 0, 0, 63, 69, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    240, 17, 0, 0, 76, 69, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 241, 17, 0, 0, 89, 69, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 37, 7, 0, 0, 102, 69, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 242, 17, 0, 0, 115, 69, 1, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 243, 17, 0, 0, 128, 69, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 244, 17, 0, 0,
    141, 69, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 245, 17, 0, 0, 154, 69, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    246, 17, 0, 0, 167, 69, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 61, 7, 0, 0, 180, 69, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 247, 17, 0, 0, 193, 69, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 61, 4, 0, 0, 206, 69, 1, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 248, 17, 0, 0, 219, 69, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 249, 17, 0, 0,
    232, 69, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 123, 1, 0, 0, 245, 69, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    134, 1, 0, 0, 2, 70, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 27, 6, 0, 0, 15, 70, 1, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 250, 17, 0, 0, 28, 70, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 251, 17, 0, 0, 41, 70, 1, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 252, 17, 0, 0, 54, 70, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 2, 4, 0, 0, 67, 70,
    1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 3, 4, 0, 0, 80, 70, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 13, 4, 0, 0,
    99, 70, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 253, 17, 0, 0, 108, 70, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    58, 4, 0, 0, 121, 70, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 254, 17, 0, 0, 134, 70, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 50, 4, 0, 0, 147, 70, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 255, 17, 0, 0, 165, 70, 1, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 0, 18, 0, 0, 173, 70, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 1, 18, 0, 0, 182,
    70, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 126, 2, 0, 0, 195, 70, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 2, 18,
    0, 0, 208, 70, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 3, 18, 0, 0, 222, 70, 1, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 4, 18, 0, 0, 231, 70, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 74, 7, 0, 0, 6, 71, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 5, 18, 0, 0, 15, 71, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 44, 6, 0, 0, 28, 71, 1, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 6, 18, 0, 0, 41, 71, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 255, 17, 0, 0, 54,
    71, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 7, 18, 0, 0, 67, 71, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 8, 18,
    0, 0, 80, 71, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 9, 18, 0, 0, 99, 71, 1, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 10, 18, 0, 0, 108, 71, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 13, 10, 0, 0, 121, 71, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 11, 10, 0, 0, 134, 71, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 15, 5, 0, 0, 147, 71, 1,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 11, 18, 0, 0, 160, 71, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 12, 18, 0, 0,
    191, 71, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 144, 7, 0, 0, 200, 71, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    13, 4, 0, 0, 213, 71, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 136, 7, 0, 0, 226, 71, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 140, 5, 0, 0, 239, 71, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 33, 4, 0, 0, 252, 71, 1, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 13, 18, 0, 0, 34, 72, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 252, 7, 0, 0, 43,
    72, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 14, 18, 0, 0, 56, 72, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 15, 18,
    0, 0, 69, 72, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 16, 18, 0, 0, 95, 72, 1, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 17, 18, 0, 0, 104, 72, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 18, 18, 0, 0, 117, 72, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 19, 18, 0, 0, 131, 72, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 253, 7, 0, 0, 140, 72, 1,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 141, 7, 0, 0, 153, 72, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 21, 10, 0, 0,
    172, 72, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 2, 8, 0, 0, 181, 72, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    181, 5, 0, 0, 194, 72, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 223, 8, 0, 0, 207, 72, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 102, 5, 0, 0, 220, 72, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 103, 4, 0, 0, 233, 72, 1, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 179, 1, 0, 0, 246, 72, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 241, 9, 0, 0, 3,
    73, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 20, 18, 0, 0, 16, 73, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 21, 18,
    0, 0, 29, 73, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 22, 18, 0, 0, 42, 73, 1, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 5, 9, 0, 0, 55, 73, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 23, 18, 0, 0, 68, 73, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 163, 7, 0, 0, 81, 73, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 24, 18, 0, 0, 94, 73, 1, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 123, 1, 0, 0, 107, 73, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 25, 18, 0, 0,
    120, 73, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 26, 18, 0, 0, 133, 73, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    27, 18, 0, 0, 146, 73, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 28, 18, 0, 0, 159, 73, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 29, 18, 0, 0, 178, 73, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 25, 18, 0, 0, 187, 73, 1, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 193, 4, 0, 0, 200, 73, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 11, 10, 0, 0,
    213, 73, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 123, 1, 0, 0, 226, 73, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    241, 9, 0, 0, 240, 73, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 30, 18, 0, 0, 249, 73, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 88, 17, 0, 0, 6, 74, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 90, 12, 0, 0, 32, 74, 1, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 31, 18, 0, 0, 41, 74, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 32, 18, 0, 0, 60,
    74, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 33, 18, 0, 0, 69, 74, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 133, 5,
    0, 0, 82, 74, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 240, 4, 0, 0, 95, 74, 1, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 34, 18, 0, 0, 109, 74, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 35, 18, 0, 0, 118, 74, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 36, 18, 0, 0, 137, 74, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 37, 18, 0, 0, 146, 74, 1,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 76, 3, 0, 0, 159, 74, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 240, 4, 0, 0,
    172, 74, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 241, 9, 0, 0, 185, 74, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    38, 18, 0, 0, 198, 74, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 39, 18, 0, 0, 211, 74, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 102, 5, 0, 0, 224, 74, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 40, 18, 0, 0, 243, 74, 1, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 41, 18, 0, 0, 253, 74, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 33, 4, 0, 0, 10,
    75, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 42, 18, 0, 0, 23, 75, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 43, 18,
    0, 0, 36, 75, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 44, 18, 0, 0, 49, 75, 1, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 45, 18, 0, 0, 62, 75, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 46, 18, 0, 0, 75, 75, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 47, 18, 0, 0, 88, 75, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 48, 18, 0, 0, 101, 75, 1, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 49, 18, 0, 0, 114, 75, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 50, 18, 0, 0,
    127, 75, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 51, 18, 0, 0, 146, 75, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    52, 18, 0, 0, 155, 75, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 53, 18, 0, 0, 168, 75, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 14, 15, 0, 0, 181, 75, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 54, 18, 0, 0, 194, 75, 1, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 55, 18, 0, 0, 207, 75, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 56, 18, 0, 0,
    220, 75, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 70, 5, 0, 0, 0, 76, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 57,
    18, 0, 0, 9, 76, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 51, 10, 0, 0, 22, 76, 1, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 13, 10, 0, 0, 35, 76, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 223, 8, 0, 0, 48, 76, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 58, 18, 0, 0, 61, 76, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 59, 18, 0, 0, 74, 76, 1,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 60, 18, 0, 0, 93, 76, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 9, 8, 0, 0,
    102, 76, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 33, 4, 0, 0, 115, 76, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    61, 18, 0, 0, 128, 76, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 62, 18, 0, 0, 141, 76, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 63, 18, 0, 0, 154, 76, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 64, 18, 0, 0, 167, 76, 1, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 104, 5, 0, 0, 180, 76, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 121, 17, 0, 0,
    193, 76, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 65, 18, 0, 0, 206, 76, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    66, 18, 0, 0, 225, 76, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 67, 18, 0, 0, 235, 76, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 38, 6, 0, 0, 248, 76, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 123, 1, 0, 0, 5, 77, 1, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 103, 5, 0, 0, 19, 77, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 144, 7, 0, 0, 33,
    77, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 136, 7, 0, 0, 48, 77, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 68, 18,
    0, 0, 58, 77, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 69, 18, 0, 0, 71, 77, 1, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 70, 18, 0, 0, 84, 77, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 198, 5, 0, 0, 97, 77, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 215, 5, 0, 0, 110, 77, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 71, 18, 0, 0, 124, 77, 1, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 72, 18, 0, 0, 156, 77, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 73, 18, 0, 0,
    166, 77, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 33, 4, 0, 0, 179, 77, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    61, 14, 0, 0, 192, 77, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 74, 18, 0, 0, 206, 77, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 75, 18, 0, 0, 220, 77, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 76, 18, 0, 0, 234, 77, 1, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 77, 18, 0, 0, 248, 77, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 78, 18, 0, 0, 6,
    78, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 79, 18, 0, 0, 20, 78, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 80, 18,
    0, 0, 34, 78, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 81, 18, 0, 0, 48, 78, 1, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 82, 18, 0, 0, 62, 78, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 83, 18, 0, 0, 76, 78, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 84, 18, 0, 0, 90, 78, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 85, 18, 0, 0, 104, 78, 1, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 86, 18, 0, 0, 118, 78, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 87, 18, 0, 0,
    132, 78, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 88, 18, 0, 0, 146, 78, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    89, 18, 0, 0, 160, 78, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 90, 18, 0, 0, 174, 78, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 91, 18, 0, 0, 188, 78, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 92, 18, 0, 0, 202, 78, 1, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 93, 18, 0, 0, 216, 78, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 103, 5, 0, 0,
    230, 78, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 144, 7, 0, 0, 244, 78, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    94, 18, 0, 0, 2, 79, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 136, 7, 0, 0, 29, 79, 1, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 95, 18, 0, 0, 38, 79, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 2, 13, 0, 0, 51, 79, 1, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 241, 9, 0, 0, 64, 79, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 249, 10, 0, 0, 77, 79,
    1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 96, 18, 0, 0, 90, 79, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 97, 18, 0,
    0, 103, 79, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 98, 18, 0, 0, 116, 79, 1, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 1, 15, 0, 0, 129, 79, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 99, 18, 0, 0, 143, 79, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 100, 18, 0, 0, 152, 79, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 101, 18, 0, 0, 165, 79,
    1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 102, 18, 0, 0, 178, 79, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 103, 18,
    0, 0, 191, 79, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 174, 6, 0, 0, 204, 79, 1, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 104, 18, 0, 0, 217, 79, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 105, 18, 0, 0, 230, 79, 1, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 5, 7, 0, 0, 243, 79, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 240, 4, 0, 0, 0, 80,
    1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 106, 18, 0, 0, 19, 80, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 107, 18,
    0, 0, 28, 80, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 129, 5, 0, 0, 41, 80, 1, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 108, 18, 0, 0, 54, 80, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 109, 18, 0, 0, 67, 80, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 110, 18, 0, 0, 80, 80, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 70, 5, 0, 0, 93, 80, 1,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 111, 18, 0, 0, 106, 80, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 112, 18, 0,
    0, 119, 80, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 113, 18, 0, 0, 133, 80, 1, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 114, 18, 0, 0, 159, 80, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 115, 18, 0, 0, 168, 80, 1, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 116, 18, 0, 0, 177, 80, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 117, 18, 0, 0, 190,
    80, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 102, 18, 0, 0, 203, 80, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 118,
    18, 0, 0, 216, 80, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 119, 18, 0, 0, 229, 80, 1, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 120, 18, 0, 0, 242, 80, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 121, 18, 0, 0, 255, 80, 1, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 122, 18, 0, 0, 12, 81, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 123, 18, 0, 0,
    25, 81, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 124, 18, 0, 0, 38, 81, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    125, 18, 0, 0, 56, 81, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 126, 18, 0, 0, 94, 81, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 127, 18, 0, 0, 106, 81, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 128, 18, 0, 0, 140, 81, 1,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 129, 18, 0, 0, 149, 81, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 130, 18, 0,
    0, 162, 81, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 125, 5, 0, 0, 186, 81, 1, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 131, 18, 0, 0, 195, 81, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 33, 4, 0, 0, 208, 81, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 136, 7, 0, 0, 221, 81, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 102, 5, 0, 0, 234, 81, 1,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 134, 1, 0, 0, 247, 81, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 132, 18, 0,
    0, 4, 82, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 103, 5, 0, 0, 17, 82, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    144, 7, 0, 0, 30, 82, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 241, 9, 0, 0, 43, 82, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 192, 5, 0, 0, 56, 82, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 130, 9, 0, 0, 69, 82, 1, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 133, 18, 0, 0, 82, 82, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 134, 18, 0, 0,
    101, 82, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 86, 5, 0, 0, 111, 82, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    135, 18, 0, 0, 124, 82, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 136, 18, 0, 0, 137, 82, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 137, 18, 0, 0, 150, 82, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 182, 5, 0, 0, 177, 82,
    1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 138, 18, 0, 0, 190, 82, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 94, 18,
    0, 0, 204, 82, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 139, 18, 0, 0, 217, 82, 1, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 140, 18, 0, 0, 230, 82, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 141, 18, 0, 0, 243, 82, 1, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 142, 18, 0, 0, 0, 83, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 143, 18, 0, 0, 13,
    83, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 144, 18, 0, 0, 26, 83, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 145,
    18, 0, 0, 39, 83, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 146, 18, 0, 0, 52, 83, 1, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 147, 18, 0, 0, 65, 83, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 148, 18, 0, 0, 78, 83, 1, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 149, 18, 0, 0, 91, 83, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 63, 18, 0, 0, 104,
    83, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 150, 18, 0, 0, 131, 83, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 151,
    18, 0, 0, 144, 83, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 152, 18, 0, 0, 158, 83, 1, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 153, 18, 0, 0, 172, 83, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 154, 18, 0, 0, 186, 83, 1, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 155, 18, 0, 0, 200, 83, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 156, 18, 0, 0,
    214, 83, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 157, 18, 0, 0, 228, 83, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    158, 18, 0, 0, 242, 83, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 159, 18, 0, 0, 0, 84, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 160, 18, 0, 0, 20, 84, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 139, 18, 0, 0, 29, 84, 1, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 161, 18, 0, 0, 42, 84, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 162, 18, 0, 0,
    61, 84, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 163, 18, 0, 0, 70, 84, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    164, 18, 0, 0, 83, 84, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 165, 18, 0, 0, 96, 84, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 11, 18, 0, 0, 109, 84, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 166, 18, 0, 0, 128, 84, 1,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 167, 18, 0, 0, 137, 84, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 240, 4, 0,
    0, 150, 84, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 9, 0, 0, 0, 163, 84, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    179, 1, 0, 0, 176, 84, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 168, 18, 0, 0, 203, 84, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 169, 18, 0, 0, 216, 84, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 170, 18, 0, 0, 230, 84, 1,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 134, 1, 0, 0, 248, 84, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 171, 18, 0,
    0, 5, 85, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 167, 4, 0, 0, 40, 85, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    172, 18, 0, 0, 53, 85, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 173, 18, 0, 0, 63, 85, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 174, 18, 0, 0, 76, 85, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 33, 4, 0, 0, 89, 85, 1, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 175, 18, 0, 0, 102, 85, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 176, 18, 0, 0,
    115, 85, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 177, 18, 0, 0, 128, 85, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    163, 1, 0, 0, 141, 85, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 178, 18, 0, 0, 154, 85, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 179, 18, 0, 0, 167, 85, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 134, 1, 0, 0, 180, 85, 1,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 180, 18, 0, 0, 193, 85, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 181, 18, 0,
    0, 206, 85, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 182, 18, 0, 0, 219, 85, 1, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 103, 5, 0, 0, 232, 85, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 144, 7, 0, 0, 245, 85, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 183, 18, 0, 0, 2, 86, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 136, 7, 0, 0, 15, 86, 1,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 184, 18, 0, 0, 28, 86, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 185, 18, 0,
    0, 41, 86, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 186, 18, 0, 0, 54, 86, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    143, 7, 0, 0, 67, 86, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 187, 18, 0, 0, 81, 86, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 188, 18, 0, 0, 95, 86, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 189, 18, 0, 0, 109, 86, 1,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 190, 18, 0, 0, 123, 86, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 191, 18, 0,
    0, 137, 86, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 192, 18, 0, 0, 151, 86, 1, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 193, 18, 0, 0, 165, 86, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 194, 18, 0, 0, 179, 86, 1, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 195, 18, 0, 0, 193, 86, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 196, 18, 0, 0, 207,
    86, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 197, 18, 0, 0, 221, 86, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 198,
    18, 0, 0, 235, 86, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 199, 18, 0, 0, 249, 86, 1, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 200, 18, 0, 0, 7, 87, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 201, 18, 0, 0, 21, 87, 1, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 202, 18, 0, 0, 35, 87, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 203, 18, 0, 0, 49,
    87, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 204, 18, 0, 0, 63, 87, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 205,
    18, 0, 0, 77, 87, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 206, 18, 0, 0, 91, 87, 1, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 207, 18, 0, 0, 105, 87, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 208, 18, 0, 0, 119, 87, 1, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 209, 18, 0, 0, 133, 87, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 210, 18, 0, 0,
    147, 87, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 211, 18, 0, 0, 161, 87, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    212, 18, 0, 0, 175, 87, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 213, 18, 0, 0, 189, 87, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 214, 18, 0, 0, 203, 87, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 215, 18, 0, 0, 217, 87,
    1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 216, 18, 0, 0, 231, 87, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 217, 18,
    0, 0, 245, 87, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 89, 9, 0, 0, 3, 88, 1, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 218, 18, 0, 0, 17, 88, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 219, 18, 0, 0, 31, 88, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 220, 18, 0, 0, 45, 88, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 221, 18, 0, 0, 59, 88, 1,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 222, 18, 0, 0, 73, 88, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 223, 18, 0,
    0, 87, 88, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 224, 18, 0, 0, 101, 88, 1, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 225, 18, 0, 0, 116, 88, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 226, 18, 0, 0, 125, 88, 1, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 227, 18, 0, 0, 138, 88, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 94, 9, 0, 0, 173, 88,
    1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 228, 18, 0, 0, 182, 88, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 229, 18,
    0, 0, 195, 88, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 102, 5, 0, 0, 209, 88, 1, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 230, 18, 0, 0, 246, 88, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 231, 18, 0, 0, 3, 89, 1, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 232, 18, 0, 0, 16, 89, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 33, 4, 0, 0, 29, 89,
    1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 233, 18, 0, 0, 43, 89, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 70, 5, 0,
    0, 57, 89, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 234, 18, 0, 0, 70, 89, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    235, 18, 0, 0, 83, 89, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 102, 5, 0, 0, 96, 89, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 142, 7, 0, 0, 109, 89, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 34, 6, 0, 0, 122, 89, 1, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 13, 4, 0, 0, 135, 89, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 227, 17, 0, 0,
    154, 89, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 231, 18, 0, 0, 163, 89, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    236, 18, 0, 0, 176, 89, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 114, 2, 0, 0, 189, 89, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 237, 18, 0, 0, 202, 89, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 106, 2, 0, 0, 215, 89, 1,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 23, 11, 0, 0, 228, 89, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 238, 18, 0,
    0, 241, 89, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 192, 5, 0, 0, 254, 89, 1, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 239, 18, 0, 0, 11, 90, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 240, 18, 0, 0, 34, 90, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 238, 18, 0, 0, 83, 90, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 241, 18, 0, 0, 92, 90, 1,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 130, 9, 0, 0, 105, 90, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 13, 10, 0, 0,
    124, 90, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 242, 18, 0, 0, 133, 90, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    243, 18, 0, 0, 146, 90, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 187, 4, 0, 0, 159, 90, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 244, 18, 0, 0, 172, 90, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 245, 18, 0, 0, 9, 91, 1, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 246, 18, 0, 0, 18, 91, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 13, 4, 0, 0, 31,
    91, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 229, 18, 0, 0, 50, 91, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 189,
    18, 0, 0, 59, 91, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 134, 1, 0, 0, 72, 91, 1, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 250, 2, 0, 0, 91, 91, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 247, 18, 0, 0, 100, 91, 1, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 74, 3, 0, 0, 114, 91, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 248, 18, 0, 0, 123, 91,
    1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 249, 18, 0, 0, 136, 91, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 250, 18,
    0, 0, 149, 91, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 251, 18, 0, 0, 162, 91, 1, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 252, 18, 0, 0, 181, 91, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 252, 18, 0, 0, 193, 91, 1, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 167, 4, 0, 0, 221, 91, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 253, 18, 0, 0, 230,
    91, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 254, 18, 0, 0, 243, 91, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 255,
    18, 0, 0, 0, 92, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 0, 19, 0, 0, 13, 92, 1, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 1, 19, 0, 0, 26, 92, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 2, 19, 0, 0, 39, 92, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 3, 19, 0, 0, 52, 92, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 4, 19, 0, 0, 65, 92, 1, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 5, 19, 0, 0, 78, 92, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 6, 19, 0, 0, 91,
    92, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 7, 19, 0, 0, 104, 92, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 8, 19,
    0, 0, 117, 92, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 9, 19, 0, 0, 130, 92, 1, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 10, 19, 0, 0, 143, 92, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 11, 19, 0, 0, 156, 92, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 12, 19, 0, 0, 169, 92, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 13, 19, 0, 0, 188, 92, 1,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 14, 19, 0, 0, 197, 92, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 15, 19, 0, 0,
    228, 92, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 16, 19, 0, 0, 238, 92, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    15, 19, 0, 0, 251, 92, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 146, 16, 0, 0, 27, 93, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 17, 19, 0, 0, 37, 93, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 15, 19, 0, 0, 68, 93, 1, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 18, 19, 0, 0, 77, 93, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 15, 19, 0, 0,
    108, 93, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 19, 19, 0, 0, 117, 93, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    15, 19, 0, 0, 148, 93, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 20, 19, 0, 0, 158, 93, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 15, 19, 0, 0, 190, 93, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 21, 19, 0, 0, 199, 93, 1, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 15, 19, 0, 0, 230, 93, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 22, 19, 0, 0,
    240, 93, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 15, 19, 0, 0, 3, 94, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 23,
    19, 0, 0, 12, 94, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 15, 19, 0, 0, 43, 94, 1, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 24, 19, 0, 0, 52, 94, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 15, 19, 0, 0, 83, 94, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 25, 19, 0, 0, 94, 94, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 15, 19, 0, 0, 122, 94, 1,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 26, 19, 0, 0, 131, 94, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 27, 19, 0, 0,
    144, 94, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 28, 19, 0, 0, 158, 94, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    29, 19, 0, 0, 167, 94, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 30, 19, 0, 0, 180, 94, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 31, 19, 0, 0, 194, 94, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 32, 19, 0, 0, 203, 94, 1, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 154, 6, 0, 0, 216, 94, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 33, 19, 0, 0,
    229, 94, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 241, 9, 0, 0, 242, 94, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    34, 19, 0, 0, 255, 94, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 35, 19, 0, 0, 13, 95, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 36, 19, 0, 0, 22, 95, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 240, 4, 0, 0, 35, 95, 1, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 74, 3, 0, 0, 49, 95, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 37, 19, 0, 0, 59,
    95, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 38, 19, 0, 0, 72, 95, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 39, 19,
    0, 0, 85, 95, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 40, 19, 0, 0, 98, 95, 1, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 41, 19, 0, 0, 111, 95, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 42, 19, 0, 0, 124, 95, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 43, 19, 0, 0, 137, 95, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 44, 19, 0, 0, 150, 95, 1,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 45, 19, 0, 0, 163, 95, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 46, 19, 0, 0,
    176, 95, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 195, 18, 0, 0, 189, 95, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    47, 19, 0, 0, 202, 95, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 48, 19, 0, 0, 215, 95, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 49, 19, 0, 0, 228, 95, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 50, 19, 0, 0, 241, 95, 1, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 51, 19, 0, 0, 254, 95, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 52, 19, 0, 0,
    11, 96, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 53, 19, 0, 0, 24, 96, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 54,
    19, 0, 0, 37, 96, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 55, 19, 0, 0, 50, 96, 1, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 56, 19, 0, 0, 63, 96, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 57, 19, 0, 0, 76, 96, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 58, 19, 0, 0, 89, 96, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 59, 19, 0, 0, 102, 96, 1,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 60, 19, 0, 0, 115, 96, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 61, 19, 0, 0,
    128, 96, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 62, 19, 0, 0, 141, 96, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    63, 19, 0, 0, 154, 96, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 64, 19, 0, 0, 167, 96, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 65, 19, 0, 0, 180, 96, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 66, 19, 0, 0, 193, 96, 1, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 67, 19, 0, 0, 206, 96, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 68, 19, 0, 0,
    219, 96, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 69, 19, 0, 0, 233, 96, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    70, 19, 0, 0, 247, 96, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 71, 19, 0, 0, 5, 97, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 72, 19, 0, 0, 19, 97, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 73, 19, 0, 0, 33, 97, 1, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 74, 19, 0, 0, 47, 97, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 75, 19, 0, 0, 61,
    97, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 76, 19, 0, 0, 75, 97, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 77, 19,
    0, 0, 89, 97, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 78, 19, 0, 0, 103, 97, 1, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 79, 19, 0, 0, 117, 97, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 80, 19, 0, 0, 131, 97, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 81, 19, 0, 0, 145, 97, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 82, 19, 0, 0, 159, 97, 1,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 83, 19, 0, 0, 173, 97, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 84, 19, 0, 0,
    187, 97, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 85, 19, 0, 0, 201, 97, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    86, 19, 0, 0, 215, 97, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 87, 19, 0, 0, 229, 97, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 88, 19, 0, 0, 243, 97, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 89, 19, 0, 0, 1, 98, 1, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 90, 19, 0, 0, 15, 98, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 91, 19, 0, 0, 29,
    98, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 92, 19, 0, 0, 43, 98, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 93, 19,
    0, 0, 57, 98, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 94, 19, 0, 0, 71, 98, 1, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 95, 19, 0, 0, 85, 98, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 96, 19, 0, 0, 99, 98, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 97, 19, 0, 0, 113, 98, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 98, 19, 0, 0, 127, 98, 1, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 99, 19, 0, 0, 141, 98, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 100, 19, 0, 0,
    155, 98, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 101, 19, 0, 0, 169, 98, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    102, 19, 0, 0, 183, 98, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 103, 19, 0, 0, 197, 98, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 104, 19, 0, 0, 211, 98, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 105, 19, 0, 0, 225, 98,
    1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 106, 19, 0, 0, 239, 98, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 107, 19,
    0, 0, 253, 98, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 108, 19, 0, 0, 11, 99, 1, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 109, 19, 0, 0, 25, 99, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 110, 19, 0, 0, 39, 99, 1, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 111, 19, 0, 0, 53, 99, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 112, 19, 0, 0, 67, 99,
    1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 113, 19, 0, 0, 81, 99, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 114, 19,
    0, 0, 95, 99, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 115, 19, 0, 0, 109, 99, 1, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 116, 19, 0, 0, 123, 99, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 117, 19, 0, 0, 137, 99, 1, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 118, 19, 0, 0, 151, 99, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 119, 19, 0, 0,
    165, 99, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 120, 19, 0, 0, 179, 99, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    121, 19, 0, 0, 193, 99, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 122, 19, 0, 0, 207, 99, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 123, 19, 0, 0, 221, 99, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 124, 19, 0, 0, 235, 99,
    1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 125, 19, 0, 0, 249, 99, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 126, 19,
    0, 0, 7, 100, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 127, 19, 0, 0, 21, 100, 1, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 128, 19, 0, 0, 35, 100, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 129, 19, 0, 0, 49, 100, 1, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 130, 19, 0, 0, 63, 100, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 131, 19, 0, 0, 77,
    100, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 132, 19, 0, 0, 91, 100, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 133,
    19, 0, 0, 105, 100, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 134, 19, 0, 0, 119, 100, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 135, 19, 0, 0, 133, 100, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 136, 19, 0, 0, 147, 100,
    1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 137, 19, 0, 0, 161, 100, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 138, 19,
    0, 0, 175, 100, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 139, 19, 0, 0, 189, 100, 1, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 140, 19, 0, 0, 203, 100, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 141, 19, 0, 0, 217, 100, 1, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 142, 19, 0, 0, 231, 100, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 143, 19, 0, 0,
    245, 100, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 144, 19, 0, 0, 3, 101, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    145, 19, 0, 0, 17, 101, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 146, 19, 0, 0, 31, 101, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 147, 19, 0, 0, 45, 101, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 148, 19, 0, 0, 59, 101,
    1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 149, 19, 0, 0, 73, 101, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 150, 19,
    0, 0, 87, 101, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 151, 19, 0, 0, 101, 101, 1, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 152, 19, 0, 0, 115, 101, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 153, 19, 0, 0, 129, 101, 1, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 154, 19, 0, 0, 143, 101, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 155, 19, 0, 0,
    157, 101, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 156, 19, 0, 0, 171, 101, 1, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 157, 19, 0, 0, 185, 101, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 158, 19, 0, 0, 199, 101, 1, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 159, 19, 0, 0, 213, 101, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 160, 19, 0, 0, 227,
    101, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 161, 19, 0, 0, 241, 101, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    162, 19, 0, 0, 255, 101, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 163, 19, 0, 0, 13, 102, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 164, 19, 0, 0, 27, 102, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 165, 19, 0, 0, 41, 102,
    1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 166, 19, 0, 0, 55, 102, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 167, 19,
    0, 0, 69, 102, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 168, 19, 0, 0, 83, 102, 1, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 169, 19, 0, 0, 97, 102, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 170, 19, 0, 0, 111, 102, 1, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 171, 19, 0, 0, 125, 102, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 172, 19, 0, 0,
    139, 102, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 173, 19, 0, 0, 153, 102, 1, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 174, 19, 0, 0, 173, 102, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 175, 19, 0, 0, 184, 102, 1, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 176, 19, 0, 0, 199, 102, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 114, 2, 0, 0, 214,
    102, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 146, 1, 0, 0, 247, 102, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 177,
    19, 0, 0, 0, 103, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 44, 2, 0, 0, 13, 103, 1, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 250, 2, 0, 0, 40, 103, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 0, 3, 0, 0, 53, 103, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 178, 19, 0, 0, 67, 103, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 70, 5, 0, 0, 86, 103, 1,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 179, 19, 0, 0, 95, 103, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 180, 19, 0,
    0, 108, 103, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 134, 1, 0, 0, 121, 103, 1, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 181, 19, 0, 0, 134, 103, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 182, 19, 0, 0, 147, 103, 1, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 183, 19, 0, 0, 160, 103, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 184, 19, 0, 0, 173,
    103, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 185, 19, 0, 0, 186, 103, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    222, 13, 0, 0, 199, 103, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 186, 19, 0, 0, 212, 103, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 129, 10, 0, 0, 225, 103, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 187, 19, 0, 0, 238,
    103, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 188, 19, 0, 0, 251, 103, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    189, 19, 0, 0, 8, 104, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 190, 19, 0, 0, 21, 104, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 191, 19, 0, 0, 34, 104, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 192, 19, 0, 0, 47, 104, 1,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 193, 19, 0, 0, 60, 104, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 187, 7, 0,
    0, 73, 104, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 194, 19, 0, 0, 86, 104, 1, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 12, 4, 0, 0, 99, 104, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 195, 19, 0, 0, 112, 104, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 70, 5, 0, 0, 162, 104, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 196, 19, 0, 0, 171, 104,
    1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 134, 1, 0, 0, 184, 104, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 197, 19,
    0, 0, 197, 104, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 198, 19, 0, 0, 210, 104, 1, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 60, 3, 0, 0, 223, 104, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 199, 19, 0, 0, 236, 104, 1, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 179, 1, 0, 0, 249, 104, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 11, 12, 0, 0,
    6, 105, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 222, 13, 0, 0, 19, 105, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    200, 19, 0, 0, 32, 105, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 216, 3, 0, 0, 45, 105, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 201, 19, 0, 0, 58, 105, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 202, 19, 0, 0, 71, 105, 1,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 203, 19, 0, 0, 84, 105, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 204, 19, 0,
    0, 97, 105, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 205, 19, 0, 0, 110, 105, 1, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 133, 5, 0, 0, 123, 105, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 206, 19, 0, 0, 136, 105, 1, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 207, 19, 0, 0, 149, 105, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 208, 19, 0, 0, 162,
    105, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 209, 19, 0, 0, 175, 105, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    210, 19, 0, 0, 188, 105, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 211, 19, 0, 0, 201, 105, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 212, 19, 0, 0, 214, 105, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 213, 19, 0, 0, 227,
    105, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 70, 5, 0, 0, 245, 105, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 214,
    19, 0, 0, 253, 105, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 215, 19, 0, 0, 6, 106, 1, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 107, 7, 0, 0, 19, 106, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 73, 3, 0, 0, 33, 106, 1, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 216, 19, 0, 0, 42, 106, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 107, 7, 0, 0, 55,
    106, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 73, 3, 0, 0, 74, 106, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 217,
    19, 0, 0, 83, 106, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 218, 19, 0, 0, 101, 106, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 219, 19, 0, 0, 114, 106, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 220, 19, 0, 0, 127, 106,
    1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 221, 19, 0, 0, 140, 106, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 126, 1,
    0, 0, 155, 106, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 222, 19, 0, 0, 164, 106, 1, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 223, 19, 0, 0, 177, 106, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 224, 19, 0, 0, 190, 106, 1, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 225, 19, 0, 0, 203, 106, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 226, 19, 0, 0,
    216, 106, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 227, 19, 0, 0, 229, 106, 1, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 228, 19, 0, 0, 242, 106, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 229, 19, 0, 0, 255, 106, 1, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 230, 19, 0, 0, 12, 107, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 231, 19, 0, 0, 25,
    107, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 232, 19, 0, 0, 38, 107, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 233,
    19, 0, 0, 52, 107, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 234, 19, 0, 0, 61, 107, 1, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 203, 19, 0, 0, 75, 107, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 235, 19, 0, 0, 84, 107, 1, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 219, 19, 0, 0, 97, 107, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 236, 19, 0, 0,
    110, 107, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 237, 19, 0, 0, 123, 107, 1, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 238, 19, 0, 0, 137, 107, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 239, 19, 0, 0, 146, 107, 1, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 240, 19, 0, 0, 164, 107, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 241, 19, 0, 0, 177,
    107, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 242, 19, 0, 0, 191, 107, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    243, 19, 0, 0, 209, 107, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 9, 0, 0, 0, 222, 107, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 148, 2, 0, 0, 236, 107, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 244, 19, 0, 0, 254, 107, 1,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 241, 19, 0, 0, 11, 108, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 242, 19, 0,
    0, 25, 108, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 245, 19, 0, 0, 38, 108, 1, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 246, 19, 0, 0, 51, 108, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 247, 19, 0, 0, 69, 108, 1, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 9, 0, 0, 0, 88, 108, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 248, 19, 0, 0, 96, 108,
    1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 249, 19, 0, 0, 105, 108, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 219, 19,
    0, 0, 118, 108, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 237, 19, 0, 0, 131, 108, 1, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 236, 19, 0, 0, 144, 108, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 250, 19, 0, 0, 157, 108, 1, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 238, 19, 0, 0, 170, 108, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 251, 19, 0, 0,
    184, 108, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 252, 19, 0, 0, 193, 108, 1, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 253, 19, 0, 0, 211, 108, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 254, 19, 0, 0, 224, 108, 1, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 255, 19, 0, 0, 237, 108, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 0, 20, 0, 0, 32,
    109, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 1, 20, 0, 0, 41, 109, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 219,
    19, 0, 0, 54, 109, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 237, 19, 0, 0, 67, 109, 1, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 236, 19, 0, 0, 80, 109, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 238, 19, 0, 0, 99, 109, 1, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 2, 20, 0, 0, 108, 109, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 3, 20, 0, 0,
    121, 109, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 4, 20, 0, 0, 134, 109, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    5, 20, 0, 0, 147, 109, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 6, 20, 0, 0, 160, 109, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 11, 12, 0, 0, 173, 109, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 179, 1, 0, 0, 19, 110, 1,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 7, 20, 0, 0, 28, 110, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 180, 19, 0, 0,
    41, 110, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 8, 20, 0, 0, 54, 110, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 9,
    20, 0, 0, 67, 110, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 10, 20, 0, 0, 80, 110, 1, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 11, 12, 0, 0, 93, 110, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 11, 20, 0, 0, 106, 110, 1, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 12, 20, 0, 0, 119, 110, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 222, 13, 0, 0,
    132, 110, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 179, 1, 0, 0, 156, 110, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    13, 20, 0, 0, 165, 110, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 14, 20, 0, 0, 178, 110, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 15, 20, 0, 0, 197, 110, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 16, 20, 0, 0, 206, 110,
    1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 17, 20, 0, 0, 219, 110, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 18, 20,
    0, 0, 232, 110, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 137, 17, 0, 0, 245, 110, 1, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 19, 20, 0, 0, 131, 111, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 20, 20, 0, 0, 140, 111, 1, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 9, 0, 0, 0, 153, 111, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 21, 20, 0, 0,
    166, 111, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 3, 3, 0, 0, 193, 111, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    22, 20, 0, 0, 206, 111, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 23, 20, 0, 0, 219, 111, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 24, 20, 0, 0, 232, 111, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 79, 16, 0, 0, 245, 111,
    1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 25, 20, 0, 0, 16, 112, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 245, 17,
    0, 0, 29, 112, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 244, 17, 0, 0, 43, 112, 1, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 26, 20, 0, 0, 56, 112, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 27, 20, 0, 0, 76, 112, 1, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 28, 20, 0, 0, 85, 112, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 245, 17, 0, 0, 98,
    112, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 244, 17, 0, 0, 117, 112, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 29,
    20, 0, 0, 126, 112, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 245, 17, 0, 0, 139, 112, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 244, 17, 0, 0, 157, 112, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 30, 20, 0, 0, 190, 112, 1,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 31, 20, 0, 0, 199, 112, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 32, 20, 0,
    0, 212, 112, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 33, 20, 0, 0, 225, 112, 1, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 34, 20, 0, 0, 238, 112, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 70, 5, 0, 0, 251, 112, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 35, 20, 0, 0, 8, 113, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 36, 20, 0, 0, 32, 113, 1,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 37, 20, 0, 0, 41, 113, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 154, 6, 0, 0,
    54, 113, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 240, 4, 0, 0, 67, 113, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    227, 9, 0, 0, 85, 113, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 38, 20, 0, 0, 98, 113, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 231, 4, 0, 0, 111, 113, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 240, 4, 0, 0, 130, 113, 1,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 60, 19, 0, 0, 140, 113, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 39, 20, 0,
    0, 153, 113, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 40, 20, 0, 0, 166, 113, 1, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 141, 17, 0, 0, 179, 113, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 41, 20, 0, 0, 192, 113, 1, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 42, 20, 0, 0, 205, 113, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 173, 18, 0, 0, 218,
    113, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 102, 10, 0, 0, 231, 113, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    100, 18, 0, 0, 244, 113, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 43, 20, 0, 0, 2, 114, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 71, 5, 0, 0, 22, 114, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 44, 20, 0, 0, 31, 114, 1, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 45, 20, 0, 0, 44, 114, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 46, 20, 0, 0,
    57, 114, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 0, 3, 0, 0, 70, 114, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 47,
    20, 0, 0, 83, 114, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 48, 20, 0, 0, 96, 114, 1, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 49, 20, 0, 0, 109, 114, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 50, 20, 0, 0, 122, 114, 1, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 133, 5, 0, 0, 135, 114, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 12, 10, 0, 0,
    171, 114, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 51, 20, 0, 0, 180, 114, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    13, 4, 0, 0, 193, 114, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 125, 5, 0, 0, 211, 114, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 52, 20, 0, 0, 224, 114, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 53, 20, 0, 0, 238, 114, 1,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 247, 9, 0, 0, 251, 114, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 240, 4, 0,
    0, 8, 115, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 133, 5, 0, 0, 21, 115, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    54, 20, 0, 0, 34, 115, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 55, 20, 0, 0, 47, 115, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 56, 20, 0, 0, 60, 115, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 57, 20, 0, 0, 73, 115, 1, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 3, 3, 0, 0, 86, 115, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 58, 20, 0, 0, 99,
    115, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 179, 1, 0, 0, 112, 115, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 120,
    18, 0, 0, 125, 115, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 60, 19, 0, 0, 138, 115, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 70, 5, 0, 0, 152, 115, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 59, 20, 0, 0, 161, 115, 1,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 44, 2, 0, 0, 180, 115, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 60, 20, 0, 0,
    189, 115, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 236, 19, 0, 0, 202, 115, 1, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 237, 19, 0, 0, 215, 115, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 19, 4, 0, 0, 228, 115, 1, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 61, 20, 0, 0, 241, 115, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 244, 6, 0, 0, 254,
    115, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 67, 3, 0, 0, 12, 116, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 62,
    20, 0, 0, 21, 116, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 236, 19, 0, 0, 34, 116, 1, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 237, 19, 0, 0, 47, 116, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 19, 4, 0, 0, 60, 116, 1, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 244, 6, 0, 0, 73, 116, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 63, 20, 0, 0, 104,
    116, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 64, 20, 0, 0, 115, 116, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 134,
    1, 0, 0, 130, 116, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 65, 20, 0, 0, 145, 116, 1, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 89, 2, 0, 0, 160, 116, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 66, 20, 0, 0, 175, 116, 1, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 67, 20, 0, 0, 190, 116, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 52, 3, 0, 0, 205,
    116, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 68, 20, 0, 0, 220, 116, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 123,
    1, 0, 0, 241, 116, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 69, 20, 0, 0, 252, 116, 1, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 129, 5, 0, 0, 11, 117, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 238, 12, 0, 0, 26, 117, 1, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 70, 20, 0, 0, 41, 117, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 71, 20, 0, 0, 56,
    117, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 72, 20, 0, 0, 71, 117, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 73,
    20, 0, 0, 86, 117, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 74, 20, 0, 0, 101, 117, 1, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 75, 20, 0, 0, 150, 117, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 76, 20, 0, 0, 186, 117, 1, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 77, 20, 0, 0, 195, 117, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 240, 4, 0, 0,
    208, 117, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 79, 16, 0, 0, 221, 117, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    78, 20, 0, 0, 235, 117, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 79, 20, 0, 0, 244, 117, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 80, 20, 0, 0, 1, 118, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 8, 4, 0, 0, 14, 118, 1, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 81, 20, 0, 0, 33, 118, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 82, 20, 0, 0,
    43, 118, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 83, 20, 0, 0, 56, 118, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    84, 20, 0, 0, 69, 118, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 85, 20, 0, 0, 82, 118, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 86, 20, 0, 0, 95, 118, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 87, 20, 0, 0, 108, 118, 1,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 88, 20, 0, 0, 121, 118, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 89, 20, 0,
    0, 134, 118, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 90, 20, 0, 0, 147, 118, 1, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 91, 20, 0, 0, 160, 118, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 92, 20, 0, 0, 179, 118, 1, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 93, 20, 0, 0, 188, 118, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 94, 20, 0, 0, 202,
    118, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 95, 20, 0, 0, 211, 118, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 238,
    6, 0, 0, 230, 118, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 96, 20, 0, 0, 239, 118, 1, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 44, 2, 0, 0, 252, 118, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 45, 2, 0, 0, 20, 119, 1, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 97, 20, 0, 0, 29, 119, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 240, 4, 0, 0, 42,
    119, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 94, 20, 0, 0, 61, 119, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 98,
    20, 0, 0, 70, 119, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 240, 4, 0, 0, 83, 119, 1, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 33, 4, 0, 0, 110, 119, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 74, 3, 0, 0, 123, 119, 1, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 99, 20, 0, 0, 160, 119, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 100, 20, 0, 0,
    169, 119, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 134, 1, 0, 0, 182, 119, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    125, 5, 0, 0, 195, 119, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 179, 1, 0, 0, 208, 119, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 223, 3, 0, 0, 221, 119, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 198, 5, 0, 0, 234, 119,
    1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 101, 20, 0, 0, 247, 119, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 102, 20,
    0, 0, 4, 120, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 103, 20, 0, 0, 17, 120, 1, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 104, 20, 0, 0, 30, 120, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 105, 20, 0, 0, 43, 120, 1, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 106, 20, 0, 0, 56, 120, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 107, 20, 0, 0, 69,
    120, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 108, 20, 0, 0, 82, 120, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 109,
    20, 0, 0, 95, 120, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 110, 20, 0, 0, 108, 120, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 111, 20, 0, 0, 121, 120, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 123, 1, 0, 0, 134, 120, 1,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 12, 4, 0, 0, 8, 121, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 112, 20, 0, 0,
    17, 121, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 107, 20, 0, 0, 30, 121, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    113, 20, 0, 0, 43, 121, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 114, 20, 0, 0, 84, 121, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 115, 20, 0, 0, 93, 121, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 116, 20, 0, 0, 106, 121,
    1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 117, 20, 0, 0, 119, 121, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 118, 20,
    0, 0, 132, 121, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 119, 20, 0, 0, 145, 121, 1, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 120, 20, 0, 0, 158, 121, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 121, 20, 0, 0, 171, 121, 1, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 113, 20, 0, 0, 184, 121, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 122, 20, 0, 0,
    197, 121, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 123, 20, 0, 0, 210, 121, 1, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 124, 20, 0, 0, 223, 121, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 125, 20, 0, 0, 236, 121, 1, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 126, 20, 0, 0, 249, 121, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 127, 20, 0, 0, 43,
    122, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 128, 20, 0, 0, 54, 122, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 129,
    20, 0, 0, 69, 122, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 130, 20, 0, 0, 84, 122, 1, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 131, 20, 0, 0, 100, 122, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 132, 20, 0, 0, 111, 122, 1, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 133, 20, 0, 0, 126, 122, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 134, 20, 0, 0,
    141, 122, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 135, 20, 0, 0, 156, 122, 1, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 136, 20, 0, 0, 172, 122, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 137, 20, 0, 0, 183, 122, 1, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 138, 20, 0, 0, 198, 122, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 139, 20, 0, 0, 213,
    122, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 140, 20, 0, 0, 228, 122, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    141, 20, 0, 0, 243, 122, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 142, 20, 0, 0, 3, 123, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 143, 20, 0, 0, 14, 123, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 144, 20, 0, 0, 29, 123,
    1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 145, 20, 0, 0, 44, 123, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 146, 20,
    0, 0, 59, 123, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 147, 20, 0, 0, 74, 123, 1, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 148, 20, 0, 0, 95, 123, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 149, 20, 0, 0, 104, 123, 1, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 125, 5, 0, 0, 117, 123, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 150, 20, 0, 0,
    130, 123, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 70, 5, 0, 0, 160, 123, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    151, 20, 0, 0, 173, 123, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 125, 5, 0, 0, 199, 123, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 161, 19, 0, 0, 208, 123, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 240, 4, 0, 0, 221, 123,
    1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 79, 16, 0, 0, 252, 123, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 152, 20,
    0, 0, 5, 124, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 180, 19, 0, 0, 18, 124, 1, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 134, 1, 0, 0, 31, 124, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 153, 20, 0, 0, 44, 124, 1, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 154, 20, 0, 0, 57, 124, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 12, 4, 0, 0, 70, 124,
    1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 70, 5, 0, 0, 126, 124, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 155, 20,
    0, 0, 136, 124, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 176, 19, 0, 0, 149, 124, 1, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 43, 19, 0, 0, 162, 124, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 44, 19, 0, 0, 175, 124, 1, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 58, 19, 0, 0, 188, 124, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 60, 19, 0, 0,
    201, 124, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 156, 20, 0, 0, 214, 124, 1, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 157, 20, 0, 0, 227, 124, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 158, 20, 0, 0, 240, 124, 1, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 159, 20, 0, 0, 254, 124, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 160, 20, 0, 0, 12,
    125, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 161, 20, 0, 0, 26, 125, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 162,
    20, 0, 0, 40, 125, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 163, 20, 0, 0, 54, 125, 1, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 164, 20, 0, 0, 68, 125, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 53, 19, 0, 0, 82, 125, 1, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 165, 20, 0, 0, 96, 125, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 166, 20, 0, 0,
    110, 125, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 167, 20, 0, 0, 124, 125, 1, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 168, 20, 0, 0, 138, 125, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 169, 20, 0, 0, 152, 125, 1, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 170, 20, 0, 0, 166, 125, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 171, 20, 0, 0, 180,
    125, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 172, 20, 0, 0, 194, 125, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    173, 20, 0, 0, 208, 125, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 174, 20, 0, 0, 222, 125, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 175, 20, 0, 0, 236, 125, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 176, 20, 0, 0, 250,
    125, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 177, 20, 0, 0, 8, 126, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 178,
    20, 0, 0, 22, 126, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 56, 19, 0, 0, 36, 126, 1, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 179, 20, 0, 0, 50, 126, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 59, 19, 0, 0, 64, 126, 1, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 180, 20, 0, 0, 78, 126, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 57, 19, 0, 0, 92,
    126, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 181, 20, 0, 0, 106, 126, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    182, 20, 0, 0, 120, 126, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 162, 19, 0, 0, 134, 126, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 183, 20, 0, 0, 148, 126, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 184, 20, 0, 0, 162,
    126, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 169, 19, 0, 0, 176, 126, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    185, 20, 0, 0, 190, 126, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 172, 19, 0, 0, 204, 126, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 186, 20, 0, 0, 223, 126, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 74, 3, 0, 0, 236, 126,
    1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 240, 4, 0, 0, 249, 126, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 241, 9,
    0, 0, 8, 127, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 187, 20, 0, 0, 17, 127, 1, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 40, 15, 0, 0, 30, 127, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 41, 19, 0, 0, 43, 127, 1, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 188, 20, 0, 0, 56, 127, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 39, 19, 0, 0, 69,
    127, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 189, 20, 0, 0, 82, 127, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 190,
    20, 0, 0, 95, 127, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 191, 20, 0, 0, 108, 127, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 192, 20, 0, 0, 121, 127, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 193, 20, 0, 0, 134, 127,
    1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 194, 20, 0, 0, 147, 127, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 195, 20,
    0, 0, 160, 127, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 196, 20, 0, 0, 173, 127, 1, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 197, 20, 0, 0, 186, 127, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 198, 20, 0, 0, 199, 127, 1, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 199, 20, 0, 0, 212, 127, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 200, 20, 0, 0,
    225, 127, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 201, 20, 0, 0, 238, 127, 1, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 202, 20, 0, 0, 251, 127, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 203, 20, 0, 0, 8, 128, 1, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 204, 20, 0, 0, 21, 128, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 205, 20, 0, 0, 34,
    128, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 206, 20, 0, 0, 47, 128, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 207,
    20, 0, 0, 60, 128, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 208, 20, 0, 0, 73, 128, 1, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 209, 20, 0, 0, 86, 128, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 210, 20, 0, 0, 99, 128, 1, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 211, 20, 0, 0, 112, 128, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 212, 20, 0, 0,
    125, 128, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 213, 20, 0, 0, 138, 128, 1, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 214, 20, 0, 0, 151, 128, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 215, 20, 0, 0, 164, 128, 1, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 216, 20, 0, 0, 177, 128, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 217, 20, 0, 0, 190,
    128, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 218, 20, 0, 0, 203, 128, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    219, 20, 0, 0, 216, 128, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 220, 20, 0, 0, 247, 128, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 221, 20, 0, 0, 0, 129, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 222, 20, 0, 0, 13, 129,
    1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 223, 20, 0, 0, 26, 129, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 224, 20,
    0, 0, 39, 129, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 225, 20, 0, 0, 52, 129, 1, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 226, 20, 0, 0, 65, 129, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 227, 20, 0, 0, 78, 129, 1, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 228, 20, 0, 0, 91, 129, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 229, 20, 0, 0,
    104, 129, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 230, 20, 0, 0, 117, 129, 1, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 231, 20, 0, 0, 130, 129, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 232, 20, 0, 0, 143, 129, 1, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 233, 20, 0, 0, 156, 129, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 234, 20, 0, 0, 169,
    129, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 235, 20, 0, 0, 182, 129, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    236, 20, 0, 0, 195, 129, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 237, 20, 0, 0, 208, 129, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 238, 20, 0, 0, 221, 129, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 239, 20, 0, 0, 234,
    129, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 240, 20, 0, 0, 247, 129, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    241, 20, 0, 0, 4, 130, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 242, 20, 0, 0, 17, 130, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 243, 20, 0, 0, 30, 130, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 244, 20, 0, 0, 43, 130, 1,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 245, 20, 0, 0, 56, 130, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 246, 20, 0,
    0, 69, 130, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 247, 20, 0, 0, 82, 130, 1, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 248, 20, 0, 0, 95, 130, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 249, 20, 0, 0, 108, 130, 1, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 250, 20, 0, 0, 121, 130, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 251, 20, 0, 0, 134,
    130, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 252, 20, 0, 0, 147, 130, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    253, 20, 0, 0, 160, 130, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 254, 20, 0, 0, 173, 130, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 255, 20, 0, 0, 186, 130, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 0, 21, 0, 0, 199, 130,
    1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 1, 21, 0, 0, 212, 130, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 2, 21, 0,
    0, 225, 130, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 3, 21, 0, 0, 238, 130, 1, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 4, 21, 0, 0, 251, 130, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 5, 21, 0, 0, 8, 131, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 6, 21, 0, 0, 21, 131, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 7, 21, 0, 0, 34, 131, 1, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 8, 21, 0, 0, 47, 131, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 9, 21, 0, 0, 60,
    131, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 10, 21, 0, 0, 73, 131, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 11,
    21, 0, 0, 86, 131, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 12, 21, 0, 0, 99, 131, 1, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 13, 21, 0, 0, 112, 131, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 14, 21, 0, 0, 125, 131, 1, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 15, 21, 0, 0, 138, 131, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 16, 21, 0, 0,
    151, 131, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 17, 21, 0, 0, 164, 131, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    18, 21, 0, 0, 178, 131, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 19, 21, 0, 0, 187, 131, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 20, 21, 0, 0, 200, 131, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 21, 21, 0, 0, 219, 131,
    1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 22, 21, 0, 0, 228, 131, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 23, 21,
    0, 0, 241, 131, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 24, 21, 0, 0, 254, 131, 1, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 25, 21, 0, 0, 25, 132, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 26, 21, 0, 0, 38, 132, 1, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 27, 21, 0, 0, 52, 132, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 28, 21, 0, 0, 65, 132,
    1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 29, 21, 0, 0, 78, 132, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 199, 9, 0,
    0, 91, 132, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 30, 21, 0, 0, 104, 132, 1, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 31, 21, 0, 0, 117, 132, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 32, 21, 0, 0, 130, 132, 1, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 33, 21, 0, 0, 143, 132, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 34, 21, 0, 0, 156,
    132, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 35, 21, 0, 0, 169, 132, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 36,
    21, 0, 0, 182, 132, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 37, 21, 0, 0, 195, 132, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 38, 21, 0, 0, 211, 132, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 39, 21, 0, 0, 227, 132, 1,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 40, 21, 0, 0, 243, 132, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 41, 21, 0,
    0, 3, 133, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 121, 14, 0, 0, 19, 133, 1, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 42, 21, 0, 0, 35, 133, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 95, 12, 0, 0, 51, 133, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 70, 5, 0, 0, 64, 133, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 43, 21, 0, 0, 77, 133, 1,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 44, 21, 0, 0, 96, 133, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 23, 21, 0, 0,
    105, 133, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 45, 21, 0, 0, 118, 133, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    46, 21, 0, 0, 131, 133, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 47, 21, 0, 0, 144, 133, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 48, 21, 0, 0, 157, 133, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 49, 21, 0, 0, 170, 133,
    1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 179, 1, 0, 0, 183, 133, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 170, 19,
    0, 0, 197, 133, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 25, 21, 0, 0, 206, 133, 1, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 34, 6, 0, 0, 219, 133, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 50, 21, 0, 0, 232, 133, 1, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 51, 21, 0, 0, 245, 133, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 52, 21, 0, 0, 2, 134,
    1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 53, 21, 0, 0, 15, 134, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 54, 21, 0,
    0, 28, 134, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 55, 21, 0, 0, 41, 134, 1, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 56, 21, 0, 0, 54, 134, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 57, 21, 0, 0, 67, 134, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 70, 5, 0, 0, 91, 134, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 58, 21, 0, 0, 100, 134, 1,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 59, 21, 0, 0, 113, 134, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 133, 5, 0,
    0, 139, 134, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 60, 21, 0, 0, 148, 134, 1, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 112, 2, 0, 0, 161, 134, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 61, 21, 0, 0, 180, 134, 1, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 200, 18, 0, 0, 191, 134, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 78, 3, 0, 0, 206,
    134, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 62, 21, 0, 0, 221, 134, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 63,
    21, 0, 0, 236, 134, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 64, 21, 0, 0, 251, 134, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 65, 21, 0, 0, 10, 135, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 173, 18, 0, 0, 25, 135, 1,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 244, 6, 0, 0, 40, 135, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 67, 3, 0, 0,
    55, 135, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 66, 21, 0, 0, 70, 135, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    67, 21, 0, 0, 85, 135, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 133, 5, 0, 0, 100, 135, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 70, 5, 0, 0, 133, 135, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 68, 21, 0, 0, 148, 135, 1,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 69, 21, 0, 0, 170, 135, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 68, 21, 0,
    0, 181, 135, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 70, 21, 0, 0, 196, 135, 1, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 71, 21, 0, 0, 211, 135, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 180, 19, 0, 0, 226, 135, 1, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 72, 21, 0, 0, 241, 135, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 73, 21, 0, 0, 18,
    136, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 74, 21, 0, 0, 33, 136, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 75,
    21, 0, 0, 48, 136, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 44, 21, 0, 0, 65, 136, 1, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 76, 21, 0, 0, 74, 136, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 77, 21, 0, 0, 87, 136, 1, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 78, 21, 0, 0, 100, 136, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 79, 21, 0, 0, 113,
    136, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 80, 21, 0, 0, 126, 136, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 81,
    21, 0, 0, 139, 136, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 82, 21, 0, 0, 152, 136, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 83, 21, 0, 0, 165, 136, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 84, 21, 0, 0, 183, 136, 1,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 201, 18, 0, 0, 196, 136, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 202, 18, 0,
    0, 210, 136, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 85, 21, 0, 0, 223, 136, 1, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 86, 21, 0, 0, 236, 136, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 87, 21, 0, 0, 249, 136, 1, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 88, 21, 0, 0, 6, 137, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 89, 21, 0, 0, 25, 137,
    1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 90, 21, 0, 0, 36, 137, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 9, 0, 0,
    0, 51, 137, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 179, 1, 0, 0, 66, 137, 1, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 91, 21, 0, 0, 81, 137, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 133, 5, 0, 0, 96, 137, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 92, 21, 0, 0, 111, 137, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 93, 21, 0, 0, 126, 137,
    1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 70, 5, 0, 0, 141, 137, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 114, 2, 0,
    0, 221, 137, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 94, 21, 0, 0, 230, 137, 1, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 114, 1, 0, 0, 243, 137, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 173, 19, 0, 0, 0, 138, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 95, 21, 0, 0, 13, 138, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 96, 21, 0, 0, 26, 138, 1,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 97, 21, 0, 0, 39, 138, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 98, 21, 0, 0,
    52, 138, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 99, 21, 0, 0, 65, 138, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    100, 21, 0, 0, 92, 138, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 101, 21, 0, 0, 105, 138, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 102, 21, 0, 0, 119, 138, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 103, 21, 0, 0, 135,
    138, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 104, 21, 0, 0, 151, 138, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    105, 21, 0, 0, 164, 138, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 106, 21, 0, 0, 178, 138, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 107, 21, 0, 0, 187, 138, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 18, 2, 0, 0, 200, 138,
    1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 97, 5, 0, 0, 213, 138, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 108, 21,
    0, 0, 226, 138, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 199, 9, 0, 0, 239, 138, 1, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 218, 18, 0, 0, 252, 138, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 109, 21, 0, 0, 9, 139, 1, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 110, 21, 0, 0, 22, 139, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 179, 1, 0, 0, 35,
    139, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 111, 21, 0, 0, 48, 139, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 112,
    21, 0, 0, 61, 139, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 113, 21, 0, 0, 74, 139, 1, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 114, 21, 0, 0, 87, 139, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 115, 21, 0, 0, 100, 139, 1, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 116, 21, 0, 0, 113, 139, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 117, 21, 0, 0,
    126, 139, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 50, 2, 0, 0, 139, 139, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    118, 21, 0, 0, 152, 139, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 119, 21, 0, 0, 165, 139, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 120, 21, 0, 0, 184, 139, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 121, 21, 0, 0, 193,
    139, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 180, 19, 0, 0, 206, 139, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    122, 21, 0, 0, 219, 139, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 21, 12, 0, 0, 232, 139, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 111, 7, 0, 0, 245, 139, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 123, 21, 0, 0, 2, 140,
    1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 187, 1, 0, 0, 15, 140, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 124, 21,
    0, 0, 28, 140, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 224, 3, 0, 0, 41, 140, 1, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 125, 21, 0, 0, 54, 140, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 126, 21, 0, 0, 67, 140, 1, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 127, 21, 0, 0, 80, 140, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 128, 21, 0, 0, 93,
    140, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 129, 21, 0, 0, 106, 140, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    130, 21, 0, 0, 119, 140, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 131, 21, 0, 0, 132, 140, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 132, 21, 0, 0, 145, 140, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 133, 21, 0, 0, 158,
    140, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 134, 21, 0, 0, 152, 141, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    135, 21, 0, 0, 162, 141, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 44, 2, 0, 0, 175, 141, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 101, 18, 0, 0, 188, 141, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 136, 21, 0, 0, 201,
    141, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 137, 21, 0, 0, 214, 141, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    134, 2, 0, 0, 227, 141, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 240, 4, 0, 0, 240, 141, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 133, 5, 0, 0, 253, 141, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 138, 21, 0, 0, 10, 142,
    1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 139, 21, 0, 0, 23, 142, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 247, 9,
    0, 0, 36, 142, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 232, 18, 0, 0, 49, 142, 1, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 140, 21, 0, 0, 62, 142, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 179, 1, 0, 0, 75, 142, 1, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 141, 21, 0, 0, 88, 142, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 9, 0, 0, 0, 101, 142,
    1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 102, 10, 0, 0, 114, 142, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 67, 3,
    0, 0, 127, 142, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 142, 21, 0, 0, 140, 142, 1, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 143, 21, 0, 0, 153, 142, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 144, 21, 0, 0, 166, 142, 1, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 110, 21, 0, 0, 180, 142, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 97, 5, 0, 0,
    194, 142, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 145, 21, 0, 0, 208, 142, 1, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 70, 5, 0, 0, 222, 142, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 18, 2, 0, 0, 236, 142, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 146, 21, 0, 0, 0, 143, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 147, 21, 0, 0, 10, 143,
    1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 180, 19, 0, 0, 23, 143, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 148, 21,
    0, 0, 36, 143, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 102, 18, 0, 0, 49, 143, 1, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 67, 3, 0, 0, 62, 143, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 54, 3, 0, 0, 75, 143, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 149, 21, 0, 0, 88, 143, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 46, 20, 0, 0, 101, 143,
    1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 150, 21, 0, 0, 114, 143, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 151, 21,
    0, 0, 127, 143, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 152, 21, 0, 0, 140, 143, 1, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 153, 21, 0, 0, 153, 143, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 154, 21, 0, 0, 166, 143, 1, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 244, 6, 0, 0, 179, 143, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 136, 21, 0, 0,
    192, 143, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 155, 21, 0, 0, 205, 143, 1, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 156, 21, 0, 0, 218, 143, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 157, 21, 0, 0, 231, 143, 1, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 158, 21, 0, 0, 245, 143, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 159, 21, 0, 0, 3,
    144, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 160, 21, 0, 0, 17, 144, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 161,
    21, 0, 0, 31, 144, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 162, 21, 0, 0, 45, 144, 1, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 163, 21, 0, 0, 59, 144, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 75, 20, 0, 0, 73, 144, 1, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 164, 21, 0, 0, 87, 144, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 145, 21, 0, 0,
    101, 144, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 240, 4, 0, 0, 115, 144, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    165, 21, 0, 0, 129, 144, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 165, 1, 0, 0, 143, 144, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 166, 21, 0, 0, 157, 144, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 167, 21, 0, 0, 25, 145,
    1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 168, 21, 0, 0, 34, 145, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 44, 2, 0,
    0, 47, 145, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 173, 18, 0, 0, 60, 145, 1, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 18, 2, 0, 0, 73, 145, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 179, 1, 0, 0, 86, 145, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 67, 3, 0, 0, 99, 145, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 125, 5, 0, 0, 117, 145, 1,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 169, 21, 0, 0, 130, 145, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 173, 18, 0,
    0, 205, 145, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 170, 21, 0, 0, 214, 145, 1, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 173, 18, 0, 0, 227, 145, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 18, 2, 0, 0, 240, 145, 1, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 134, 1, 0, 0, 253, 145, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 171, 21, 0, 0, 10,
    146, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 101, 18, 0, 0, 23, 146, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 172,
    21, 0, 0, 36, 146, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 102, 10, 0, 0, 49, 146, 1, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 133, 5, 0, 0, 62, 146, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 50, 2, 0, 0, 75, 146, 1, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 173, 21, 0, 0, 88, 146, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 114, 2, 0, 0, 101,
    146, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 174, 21, 0, 0, 127, 146, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    175, 21, 0, 0, 136, 146, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 44, 2, 0, 0, 149, 146, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 47, 2, 0, 0, 162, 146, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 176, 21, 0, 0, 175, 146,
    1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 240, 4, 0, 0, 194, 146, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 177, 21,
    0, 0, 203, 146, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 178, 21, 0, 0, 216, 146, 1, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 179, 21, 0, 0, 229, 146, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 180, 21, 0, 0, 242, 146, 1, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 181, 21, 0, 0, 255, 146, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 182, 21, 0, 0,
    12, 147, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 183, 21, 0, 0, 25, 147, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    184, 21, 0, 0, 38, 147, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 185, 21, 0, 0, 51, 147, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 186, 21, 0, 0, 64, 147, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 187, 21, 0, 0, 77, 147,
    1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 188, 21, 0, 0, 90, 147, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 189, 21,
    0, 0, 109, 147, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 190, 21, 0, 0, 118, 147, 1, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 191, 21, 0, 0, 131, 147, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 192, 21, 0, 0, 144, 147, 1, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 109, 18, 0, 0, 157, 147, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 70, 5, 0, 0,
    198, 147, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 193, 21, 0, 0, 207, 147, 1, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 194, 21, 0, 0, 220, 147, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 195, 21, 0, 0, 233, 147, 1, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 196, 21, 0, 0, 22, 148, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 197, 21, 0, 0, 31,
    148, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 180, 19, 0, 0, 44, 148, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 198,
    21, 0, 0, 57, 148, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 199, 21, 0, 0, 70, 148, 1, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 110, 21, 0, 0, 83, 148, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 200, 21, 0, 0, 131, 148, 1, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 201, 21, 0, 0, 140, 148, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 240, 4, 0, 0,
    153, 148, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 33, 4, 0, 0, 166, 148, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    134, 1, 0, 0, 179, 148, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 60, 4, 0, 0, 203, 148, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 202, 21, 0, 0, 213, 148, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 203, 21, 0, 0, 240, 148,
    1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 204, 21, 0, 0, 253, 148, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 205, 21,
    0, 0, 11, 149, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 206, 21, 0, 0, 24, 149, 1, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 207, 21, 0, 0, 37, 149, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 133, 5, 0, 0, 50, 149, 1, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 240, 4, 0, 0, 63, 149, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 244, 6, 0, 0, 76, 149,
    1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 208, 21, 0, 0, 89, 149, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 60, 3, 0,
    0, 102, 149, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 209, 21, 0, 0, 115, 149, 1, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 210, 21, 0, 0, 128, 149, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 211, 21, 0, 0, 141, 149, 1, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 212, 21, 0, 0, 154, 149, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 213, 21, 0, 0,
    172, 149, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 214, 21, 0, 0, 185, 149, 1, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 106, 2, 0, 0, 198, 149, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 215, 21, 0, 0, 211, 149, 1, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 216, 21, 0, 0, 224, 149, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 217, 21, 0, 0, 237,
    149, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 218, 21, 0, 0, 250, 149, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    179, 1, 0, 0, 7, 150, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 180, 19, 0, 0, 20, 150, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 236, 19, 0, 0, 33, 150, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 112, 21, 0, 0, 46, 150, 1,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 113, 21, 0, 0, 59, 150, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 219, 21, 0,
    0, 72, 150, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 220, 21, 0, 0, 86, 150, 1, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 221, 21, 0, 0, 99, 150, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 222, 21, 0, 0, 113, 150, 1, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 223, 21, 0, 0, 127, 150, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 224, 21, 0, 0, 141,
    150, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 225, 21, 0, 0, 155, 150, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    226, 21, 0, 0, 169, 150, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 227, 21, 0, 0, 183, 150, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 228, 21, 0, 0, 197, 150, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 229, 21, 0, 0, 211,
    150, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 230, 21, 0, 0, 225, 150, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    231, 21, 0, 0, 239, 150, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 232, 21, 0, 0, 253, 150, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 233, 21, 0, 0, 11, 151, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 234, 21, 0, 0, 25, 151,
    1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 235, 21, 0, 0, 39, 151, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 236, 21,
    0, 0, 53, 151, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 237, 21, 0, 0, 67, 151, 1, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 238, 21, 0, 0, 81, 151, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 239, 21, 0, 0, 95, 151, 1, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 240, 21, 0, 0, 109, 151, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 165, 1, 0, 0,
    123, 151, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 241, 21, 0, 0, 137, 151, 1, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 242, 21, 0, 0, 151, 151, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 243, 21, 0, 0, 165, 151, 1, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 244, 21, 0, 0, 179, 151, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 245, 21, 0, 0, 193,
    151, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 246, 21, 0, 0, 207, 151, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 9,
    0, 0, 0, 221, 151, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 247, 21, 0, 0, 235, 151, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 248, 21, 0, 0, 249, 151, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 249, 21, 0, 0, 7, 152, 1,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 250, 21, 0, 0, 21, 152, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 108, 5, 0,
    0, 35, 152, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 114, 2, 0, 0, 50, 152, 1, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 251, 21, 0, 0, 59, 152, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 237, 19, 0, 0, 72, 152, 1, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 245, 19, 0, 0, 85, 152, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 216, 3, 0, 0, 103,
    152, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 252, 21, 0, 0, 116, 152, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    253, 21, 0, 0, 129, 152, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 254, 21, 0, 0, 142, 152, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 255, 21, 0, 0, 156, 152, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 0, 22, 0, 0, 165, 152,
    1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 237, 19, 0, 0, 178, 152, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 236, 19,
    0, 0, 191, 152, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 241, 19, 0, 0, 204, 152, 1, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 1, 22, 0, 0, 217, 152, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 242, 19, 0, 0, 230, 152, 1, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 2, 22, 0, 0, 243, 152, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 180, 19, 0, 0,
    0, 153, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 3, 22, 0, 0, 13, 153, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 4,
    22, 0, 0, 26, 153, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 216, 3, 0, 0, 39, 153, 1, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 163, 1, 0, 0, 52, 153, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 19, 4, 0, 0, 66, 153, 1, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 5, 22, 0, 0, 75, 153, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 168, 9, 0, 0, 88,
    153, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 126, 2, 0, 0, 102, 153, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 6,
    22, 0, 0, 111, 153, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 7, 22, 0, 0, 124, 153, 1, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 146, 1, 0, 0, 137, 153, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 8, 22, 0, 0, 150, 153, 1, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 216, 3, 0, 0, 163, 153, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 241, 9, 0, 0, 176,
    153, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 116, 1, 0, 0, 195, 153, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 9,
    22, 0, 0, 204, 153, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 236, 19, 0, 0, 217, 153, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 237, 19, 0, 0, 230, 153, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 180, 19, 0, 0, 243, 153,
    1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 10, 22, 0, 0, 0, 154, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 11, 22, 0,
    0, 14, 154, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 12, 22, 0, 0, 23, 154, 1, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 13, 22, 0, 0, 36, 154, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 14, 22, 0, 0, 49, 154, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 15, 22, 0, 0, 62, 154, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 16, 22, 0, 0, 75, 154, 1,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 17, 22, 0, 0, 88, 154, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 18, 22, 0, 0,
    101, 154, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 19, 22, 0, 0, 114, 154, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    20, 22, 0, 0, 133, 154, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 21, 22, 0, 0, 142, 154, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 22, 22, 0, 0, 155, 154, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 23, 22, 0, 0, 168, 154,
    1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 24, 22, 0, 0, 181, 154, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 25, 22,
    0, 0, 200, 154, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 26, 22, 0, 0, 209, 154, 1, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 22, 22, 0, 0, 222, 154, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 23, 22, 0, 0, 235, 154, 1, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 25, 22, 0, 0, 254, 154, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 27, 22, 0, 0, 7,
    155, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 22, 22, 0, 0, 20, 155, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 23,
    22, 0, 0, 33, 155, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 28, 22, 0, 0, 46, 155, 1, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 25, 22, 0, 0, 65, 155, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 29, 22, 0, 0, 74, 155, 1, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 30, 22, 0, 0, 87, 155, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 31, 22, 0, 0, 100,
    155, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 32, 22, 0, 0, 113, 155, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 33,
    22, 0, 0, 132, 155, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 34, 22, 0, 0, 141, 155, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 35, 22, 0, 0, 154, 155, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 241, 9, 0, 0, 167, 155, 1,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 47, 14, 0, 0, 186, 155, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 36, 22, 0,
    0, 195, 155, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 37, 22, 0, 0, 208, 155, 1, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 35, 22, 0, 0, 221, 155, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 241, 9, 0, 0, 234, 155, 1, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 38, 22, 0, 0, 247, 155, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 39, 22, 0, 0, 4, 156,
    1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 215, 21, 0, 0, 17, 156, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 40, 22,
    0, 0, 53, 156, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 41, 22, 0, 0, 62, 156, 1, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 42, 22, 0, 0, 75, 156, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 111, 7, 0, 0, 88, 156, 1, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 43, 22, 0, 0, 101, 156, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 2, 14, 0, 0, 114,
    156, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 44, 22, 0, 0, 209, 156, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 45,
    22, 0, 0, 218, 156, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 215, 21, 0, 0, 231, 156, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 232, 21, 0, 0, 244, 156, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 46, 22, 0, 0, 2, 157, 1,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 47, 22, 0, 0, 11, 157, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 48, 22, 0, 0,
    24, 157, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 49, 22, 0, 0, 37, 157, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    50, 22, 0, 0, 50, 157, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 51, 22, 0, 0, 64, 157, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 52, 22, 0, 0, 73, 157, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 18, 2, 0, 0, 86, 157, 1, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 53, 22, 0, 0, 99, 157, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 54, 22, 0, 0,
    112, 157, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 55, 22, 0, 0, 125, 157, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    179, 1, 0, 0, 139, 157, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 56, 22, 0, 0, 148, 157, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 50, 4, 0, 0, 161, 157, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 37, 7, 0, 0, 174, 157, 1,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 129, 5, 0, 0, 198, 157, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 57, 22, 0,
    0, 207, 157, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 227, 6, 0, 0, 220, 157, 1, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 12, 4, 0, 0, 233, 157, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 216, 3, 0, 0, 246, 157, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 179, 1, 0, 0, 3, 158, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 6, 14, 0, 0, 16, 158, 1,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 0, 3, 0, 0, 29, 158, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 109, 21, 0, 0,
    42, 158, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 110, 21, 0, 0, 55, 158, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    58, 22, 0, 0, 68, 158, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 59, 22, 0, 0, 177, 158, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 60, 22, 0, 0, 186, 158, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 227, 21, 0, 0, 199, 158, 1,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 180, 19, 0, 0, 212, 158, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 179, 1, 0,
    0, 236, 158, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 61, 22, 0, 0, 245, 158, 1, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 227, 6, 0, 0, 2, 159, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 12, 4, 0, 0, 15, 159, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 216, 3, 0, 0, 28, 159, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 227, 21, 0, 0, 41, 159, 1,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 62, 22, 0, 0, 54, 159, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 63, 22, 0, 0,
    116, 159, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 64, 22, 0, 0, 125, 159, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    65, 22, 0, 0, 138, 159, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 66, 22, 0, 0, 151, 159, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 67, 22, 0, 0, 164, 159, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 68, 22, 0, 0, 177, 159,
    1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 69, 22, 0, 0, 196, 159, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 70, 22,
    0, 0, 207, 159, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 240, 4, 0, 0, 222, 159, 1, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 74, 3, 0, 0, 243, 159, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 71, 22, 0, 0, 252, 159, 1, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 94, 20, 0, 0, 15, 160, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 72, 22, 0, 0, 24, 160,
    1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 73, 22, 0, 0, 37, 160, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 179, 18,
    0, 0, 50, 160, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 74, 22, 0, 0, 63, 160, 1, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 75, 22, 0, 0, 76, 160, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 76, 22, 0, 0, 89, 160, 1, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 77, 22, 0, 0, 102, 160, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 78, 22, 0, 0, 115,
    160, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 79, 22, 0, 0, 128, 160, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 80,
    22, 0, 0, 141, 160, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 81, 22, 0, 0, 154, 160, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 70, 5, 0, 0, 168, 160, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 75, 21, 0, 0, 179, 160, 1,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 82, 22, 0, 0, 194, 160, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 83, 22, 0,
    0, 209, 160, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 71, 21, 0, 0, 224, 160, 1, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 84, 22, 0, 0, 239, 160, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 85, 22, 0, 0, 254, 160, 1, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 86, 22, 0, 0, 19, 161, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 87, 22, 0, 0, 30, 161,
    1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 88, 22, 0, 0, 45, 161, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 89, 22, 0,
    0, 60, 161, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 27, 21, 0, 0, 75, 161, 1, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 90, 22, 0, 0, 90, 161, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 91, 22, 0, 0, 105, 161, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 92, 22, 0, 0, 120, 161, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 93, 22, 0, 0, 135, 161,
    1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 94, 22, 0, 0, 150, 161, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 95, 22,
    0, 0, 165, 161, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 96, 22, 0, 0, 180, 161, 1, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 97, 22, 0, 0, 195, 161, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 98, 22, 0, 0, 210, 161, 1, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 99, 22, 0, 0, 225, 161, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 100, 22, 0, 0,
    240, 161, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 101, 22, 0, 0, 255, 161, 1, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 102, 22, 0, 0, 14, 162, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 103, 22, 0, 0, 29, 162, 1, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 104, 22, 0, 0, 44, 162, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 43, 21, 0, 0, 59,
    162, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 70, 5, 0, 0, 74, 162, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 75,
    21, 0, 0, 102, 162, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 44, 21, 0, 0, 111, 162, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 82, 22, 0, 0, 124, 162, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 105, 22, 0, 0, 137, 162, 1,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 106, 22, 0, 0, 150, 162, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 107, 22, 0,
    0, 174, 162, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 108, 22, 0, 0, 183, 162, 1, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 114, 1, 0, 0, 196, 162, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 101, 7, 0, 0, 209, 162, 1, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 109, 22, 0, 0, 222, 162, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 110, 22, 0, 0,
    235, 162, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 111, 22, 0, 0, 248, 162, 1, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 112, 22, 0, 0, 5, 163, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 113, 22, 0, 0, 18, 163, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 114, 22, 0, 0, 31, 163, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 115, 22, 0, 0, 44, 163,
    1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 116, 22, 0, 0, 57, 163, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 117, 22,
    0, 0, 76, 163, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 118, 22, 0, 0, 86, 163, 1, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 18, 2, 0, 0, 99, 163, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 119, 22, 0, 0, 112, 163, 1, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 120, 22, 0, 0, 125, 163, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 121, 22, 0, 0, 138,
    163, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 122, 22, 0, 0, 151, 163, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    123, 22, 0, 0, 164, 163, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 124, 22, 0, 0, 177, 163, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 125, 22, 0, 0, 190, 163, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 126, 22, 0, 0, 203,
    163, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 127, 22, 0, 0, 216, 163, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    128, 22, 0, 0, 229, 163, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 129, 22, 0, 0, 242, 163, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 130, 22, 0, 0, 255, 163, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 131, 22, 0, 0, 12, 164,
    1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 132, 22, 0, 0, 25, 164, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 133, 22,
    0, 0, 38, 164, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 134, 22, 0, 0, 51, 164, 1, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 240, 4, 0, 0, 64, 164, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 133, 5, 0, 0, 77, 164, 1, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 135, 22, 0, 0, 90, 164, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 102, 10, 0, 0, 103,
    164, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 136, 22, 0, 0, 116, 164, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    137, 22, 0, 0, 129, 164, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 138, 22, 0, 0, 142, 164, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 139, 22, 0, 0, 156, 164, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 140, 22, 0, 0, 170,
    164, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 165, 1, 0, 0, 184, 164, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 141,
    22, 0, 0, 198, 164, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 142, 22, 0, 0, 212, 164, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 143, 22, 0, 0, 226, 164, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 252, 2, 0, 0, 240, 164, 1,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 70, 5, 0, 0, 4, 165, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 144, 22, 0, 0,
    13, 165, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 145, 22, 0, 0, 26, 165, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    146, 22, 0, 0, 39, 165, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 44, 2, 0, 0, 52, 165, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 147, 22, 0, 0, 65, 165, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 148, 22, 0, 0, 78, 165, 1,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 149, 22, 0, 0, 91, 165, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 150, 22, 0,
    0, 104, 165, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 151, 22, 0, 0, 117, 165, 1, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 152, 22, 0, 0, 130, 165, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 153, 22, 0, 0, 143, 165, 1, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 154, 22, 0, 0, 156, 165, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 155, 22, 0, 0,
    169, 165, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 156, 22, 0, 0, 182, 165, 1, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 157, 22, 0, 0, 195, 165, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 158, 22, 0, 0, 214, 165, 1, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 159, 22, 0, 0, 223, 165, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 160, 22, 0, 0, 236,
    165, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 161, 22, 0, 0, 249, 165, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    162, 22, 0, 0, 6, 166, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 163, 22, 0, 0, 19, 166, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 164, 22, 0, 0, 32, 166, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 165, 22, 0, 0, 51, 166, 1,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 166, 22, 0, 0, 60, 166, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 167, 22, 0,
    0, 73, 166, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 168, 22, 0, 0, 86, 166, 1, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 169, 22, 0, 0, 99, 166, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 170, 22, 0, 0, 112, 166, 1, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 171, 22, 0, 0, 125, 166, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 172, 22, 0, 0, 138,
    166, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 173, 22, 0, 0, 151, 166, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    174, 22, 0, 0, 164, 166, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 70, 5, 0, 0, 178, 166, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 175, 22, 0, 0, 187, 166, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 1, 13, 0, 0, 200, 166,
    1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 202, 18, 0, 0, 213, 166, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 176, 22,
    0, 0, 226, 166, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 177, 22, 0, 0, 245, 166, 1, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 178, 22, 0, 0, 254, 166, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 15, 19, 0, 0, 29, 167, 1, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 179, 22, 0, 0, 39, 167, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 15, 19, 0, 0,
    58, 167, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 180, 22, 0, 0, 67, 167, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    94, 20, 0, 0, 80, 167, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 5, 9, 0, 0, 99, 167, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 181, 22, 0, 0, 110, 167, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 182, 22, 0, 0, 125, 167,
    1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 183, 22, 0, 0, 140, 167, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 184, 22,
    0, 0, 155, 167, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 73, 21, 0, 0, 170, 167, 1, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 185, 22, 0, 0, 185, 167, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 186, 22, 0, 0, 213, 167, 1, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 187, 22, 0, 0, 224, 167, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 43, 21, 0, 0,
    239, 167, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 248, 8, 0, 0, 254, 167, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    188, 22, 0, 0, 13, 168, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 27, 21, 0, 0, 28, 168, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 71, 21, 0, 0, 61, 168, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 189, 22, 0, 0, 70, 168, 1,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 190, 22, 0, 0, 83, 168, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 191, 22, 0,
    0, 96, 168, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 192, 22, 0, 0, 109, 168, 1, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 193, 22, 0, 0, 122, 168, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 194, 22, 0, 0, 135, 168, 1, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 195, 22, 0, 0, 148, 168, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 196, 22, 0, 0, 167,
    168, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 197, 22, 0, 0, 178, 168, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    240, 4, 0, 0, 193, 168, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 198, 22, 0, 0, 208, 168, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 199, 22, 0, 0, 229, 168, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 200, 22, 0, 0, 238,
    168, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 176, 19, 0, 0, 251, 168, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 60,
    19, 0, 0, 9, 169, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 201, 22, 0, 0, 18, 169, 1, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 39, 19, 0, 0, 32, 169, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 202, 22, 0, 0, 42, 169, 1, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 203, 22, 0, 0, 55, 169, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 204, 22, 0, 0, 68,
    169, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 18, 21, 0, 0, 81, 169, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 205,
    22, 0, 0, 94, 169, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 206, 22, 0, 0, 107, 169, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 207, 22, 0, 0, 120, 169, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 208, 22, 0, 0, 133, 169,
    1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 209, 22, 0, 0, 146, 169, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 210, 22,
    0, 0, 159, 169, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 211, 22, 0, 0, 172, 169, 1, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 212, 22, 0, 0, 185, 169, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 213, 22, 0, 0, 198, 169, 1, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 214, 22, 0, 0, 211, 169, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 215, 22, 0, 0,
    224, 169, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 216, 22, 0, 0, 237, 169, 1, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 217, 22, 0, 0, 250, 169, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 218, 22, 0, 0, 7, 170, 1, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 219, 22, 0, 0, 20, 170, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 220, 22, 0, 0, 33,
    170, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 221, 22, 0, 0, 46, 170, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 222,
    22, 0, 0, 59, 170, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 223, 22, 0, 0, 72, 170, 1, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 224, 22, 0, 0, 85, 170, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 225, 22, 0, 0, 98, 170, 1, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 226, 22, 0, 0, 111, 170, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 227, 22, 0, 0,
    124, 170, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 228, 22, 0, 0, 137, 170, 1, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 229, 22, 0, 0, 150, 170, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 230, 22, 0, 0, 163, 170, 1, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 231, 22, 0, 0, 176, 170, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 232, 22, 0, 0, 189,
    170, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 233, 22, 0, 0, 202, 170, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    234, 22, 0, 0, 215, 170, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 235, 22, 0, 0, 228, 170, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 236, 22, 0, 0, 241, 170, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 237, 22, 0, 0, 254,
    170, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 238, 22, 0, 0, 11, 171, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 239,
    22, 0, 0, 24, 171, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 240, 22, 0, 0, 37, 171, 1, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 241, 22, 0, 0, 50, 171, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 242, 22, 0, 0, 70, 171, 1, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 243, 22, 0, 0, 75, 171, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 244, 22, 0, 0,
    84, 171, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 245, 22, 0, 0, 97, 171, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    246, 22, 0, 0, 111, 171, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 247, 22, 0, 0, 121, 171, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 248, 22, 0, 0, 134, 171, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 249, 22, 0, 0, 147,
    171, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 250, 22, 0, 0, 160, 171, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    251, 22, 0, 0, 173, 171, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 252, 22, 0, 0, 186, 171, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 253, 22, 0, 0, 199, 171, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 254, 22, 0, 0, 212,
    171, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 255, 22, 0, 0, 225, 171, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 0,
    23, 0, 0, 239, 171, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 1, 23, 0, 0, 8, 172, 1, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 2, 23, 0, 0, 17, 172, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 3, 23, 0, 0, 30, 172, 1, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 4, 23, 0, 0, 70, 172, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 5, 23, 0, 0, 81, 172,
    1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 134, 1, 0, 0, 96, 172, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 6, 23, 0,
    0, 111, 172, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 244, 6, 0, 0, 126, 172, 1, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 7, 23, 0, 0, 141, 172, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 8, 23, 0, 0, 156, 172, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 9, 23, 0, 0, 171, 172, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 146, 1, 0, 0, 186, 172,
    1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 129, 5, 0, 0, 202, 172, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 10, 23,
    0, 0, 211, 172, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 11, 23, 0, 0, 224, 172, 1, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 12, 23, 0, 0, 237, 172, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 13, 23, 0, 0, 250, 172, 1, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 14, 23, 0, 0, 7, 173, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 250, 2, 0, 0, 20,
    173, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 173, 18, 0, 0, 33, 173, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 15,
    23, 0, 0, 81, 173, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 16, 23, 0, 0, 90, 173, 1, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 123, 1, 0, 0, 103, 173, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 9, 0, 0, 0, 116, 173, 1, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 17, 23, 0, 0, 129, 173, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 66, 20, 0, 0, 152,
    173, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 18, 23, 0, 0, 222, 173, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 19,
    23, 0, 0, 233, 173, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 9, 0, 0, 0, 248, 173, 1, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 218, 19, 0, 0, 14, 174, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 20, 23, 0, 0, 36, 174, 1, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 21, 23, 0, 0, 51, 174, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 164, 1, 0, 0, 66,
    174, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 22, 23, 0, 0, 81, 174, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 179,
    1, 0, 0, 97, 174, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 106, 5, 0, 0, 119, 174, 1, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 132, 2, 0, 0, 134, 174, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 23, 23, 0, 0, 156, 174, 1, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 24, 23, 0, 0, 170, 174, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 25, 23, 0, 0,
    197, 174, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 26, 23, 0, 0, 206, 174, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    27, 23, 0, 0, 219, 174, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 28, 23, 0, 0, 245, 174, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 29, 23, 0, 0, 254, 174, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 11, 23, 0, 0, 11, 175,
    1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 135, 1, 0, 0, 34, 175, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 30, 23, 0,
    0, 85, 175, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 31, 23, 0, 0, 94, 175, 1, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 32, 23, 0, 0, 107, 175, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 33, 23, 0, 0, 120, 175, 1, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 34, 23, 0, 0, 133, 175, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 35, 23, 0, 0, 146,
    175, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 36, 23, 0, 0, 159, 175, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 37,
    23, 0, 0, 178, 175, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 38, 23, 0, 0, 183, 175, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 39, 23, 0, 0, 193, 175, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 33, 4, 0, 0, 206, 175, 1,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 40, 23, 0, 0, 219, 175, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 41, 23, 0,
    0, 232, 175, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 42, 23, 0, 0, 245, 175, 1, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 43, 23, 0, 0, 2, 176, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 18, 21, 0, 0, 15, 176, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 44, 23, 0, 0, 28, 176, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 45, 23, 0, 0, 41, 176, 1,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 46, 23, 0, 0, 54, 176, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 47, 23, 0, 0,
    67, 176, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 48, 23, 0, 0, 80, 176, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    49, 23, 0, 0, 93, 176, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 50, 23, 0, 0, 106, 176, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 51, 23, 0, 0, 119, 176, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 52, 23, 0, 0, 132, 176, 1,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 53, 23, 0, 0, 145, 176, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 54, 23, 0,
    0, 158, 176, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 55, 23, 0, 0, 178, 176, 1, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 56, 23, 0, 0, 187, 176, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 240, 4, 0, 0, 200, 176, 1, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 57, 23, 0, 0, 213, 176, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 8, 22, 0, 0, 232,
    176, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 58, 23, 0, 0, 241, 176, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 59,
    23, 0, 0, 254, 176, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 60, 23, 0, 0, 11, 177, 1, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 61, 23, 0, 0, 24, 177, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 62, 23, 0, 0, 37, 177, 1, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 63, 23, 0, 0, 50, 177, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 64, 23, 0, 0, 63,
    177, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 65, 23, 0, 0, 76, 177, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 118,
    21, 0, 0, 89, 177, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 66, 23, 0, 0, 102, 177, 1, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 67, 23, 0, 0, 115, 177, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 68, 23, 0, 0, 128, 177, 1, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 69, 23, 0, 0, 147, 177, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 70, 23, 0, 0,
    158, 177, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 71, 23, 0, 0, 200, 177, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    72, 23, 0, 0, 211, 177, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 208, 18, 0, 0, 226, 177, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 73, 23, 0, 0, 241, 177, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 74, 23, 0, 0, 6, 178, 1,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 75, 23, 0, 0, 18, 178, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 76, 23, 0, 0,
    33, 178, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 240, 4, 0, 0, 48, 178, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    141, 17, 0, 0, 63, 178, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 77, 23, 0, 0, 78, 178, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 78, 23, 0, 0, 93, 178, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 144, 2, 0, 0, 108, 178, 1,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 167, 7, 0, 0, 123, 178, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 79, 23, 0,
    0, 138, 178, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 80, 23, 0, 0, 153, 178, 1, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 81, 23, 0, 0, 175, 178, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 111, 1, 0, 0, 190, 178, 1, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 60, 3, 0, 0, 205, 178, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 59, 3, 0, 0, 220, 178,
    1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 82, 23, 0, 0, 235, 178, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 216, 3,
    0, 0, 251, 178, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 83, 23, 0, 0, 6, 179, 1, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 84, 23, 0, 0, 22, 179, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 85, 23, 0, 0, 33, 179, 1, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 244, 6, 0, 0, 48, 179, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 179, 1, 0, 0, 63, 179,
    1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 94, 9, 0, 0, 91, 179, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 86, 23, 0,
    0, 102, 179, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 87, 23, 0, 0, 117, 179, 1, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 88, 23, 0, 0, 133, 179, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 89, 23, 0, 0, 144, 179, 1, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 90, 23, 0, 0, 159, 179, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 114, 1, 0, 0, 181,
    179, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 91, 23, 0, 0, 196, 179, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 218,
    19, 0, 0, 218, 179, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 7, 22, 0, 0, 233, 179, 1, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 92, 23, 0, 0, 255, 179, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 239, 10, 0, 0, 15, 180, 1, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 93, 23, 0, 0, 37, 180, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 239, 10, 0, 0,
    53, 180, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 94, 23, 0, 0, 75, 180, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    9, 0, 0, 0, 90, 180, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 148, 2, 0, 0, 106, 180, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 205, 18, 0, 0, 128, 180, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 239, 10, 0, 0, 144, 180,
    1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 204, 18, 0, 0, 166, 180, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 239, 10,
    0, 0, 182, 180, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 95, 23, 0, 0, 204, 180, 1, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 125, 5, 0, 0, 221, 180, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 96, 23, 0, 0, 236, 180, 1, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 94, 9, 0, 0, 253, 180, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 97, 23, 0, 0, 8,
    181, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 91, 23, 0, 0, 23, 181, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 218,
    19, 0, 0, 38, 181, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 98, 23, 0, 0, 54, 181, 1, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 99, 23, 0, 0, 65, 181, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 7, 22, 0, 0, 80, 181, 1, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 152, 14, 0, 0, 95, 181, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 221, 19, 0, 0,
    110, 181, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 13, 23, 0, 0, 125, 181, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    255, 21, 0, 0, 141, 181, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 100, 23, 0, 0, 150, 181, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 101, 23, 0, 0, 164, 181, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 102, 23, 0, 0, 175,
    181, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 7, 22, 0, 0, 190, 181, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 92,
    23, 0, 0, 212, 181, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 239, 10, 0, 0, 228, 181, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 93, 23, 0, 0, 250, 181, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 239, 10, 0, 0, 10, 182, 1,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 94, 23, 0, 0, 32, 182, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 244, 6, 0, 0,
    48, 182, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 205, 18, 0, 0, 70, 182, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    239, 10, 0, 0, 86, 182, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 204, 18, 0, 0, 108, 182, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 239, 10, 0, 0, 124, 182, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 95, 23, 0, 0, 146, 182,
    1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 125, 5, 0, 0, 168, 182, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 103, 23,
    0, 0, 179, 182, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 37, 7, 0, 0, 194, 182, 1, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 3, 3, 0, 0, 209, 182, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 114, 2, 0, 0, 237, 182, 1, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 104, 23, 0, 0, 248, 182, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 205, 18, 0, 0, 7,
    183, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 204, 18, 0, 0, 22, 183, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 92,
    23, 0, 0, 37, 183, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 93, 23, 0, 0, 52, 183, 1, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 95, 23, 0, 0, 67, 183, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 105, 23, 0, 0, 83, 183, 1, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 106, 23, 0, 0, 94, 183, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 107, 23, 0, 0,
    109, 183, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 146, 1, 0, 0, 124, 183, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    108, 23, 0, 0, 139, 183, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 109, 23, 0, 0, 154, 183, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 110, 23, 0, 0, 186, 183, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 111, 23, 0, 0, 196,
    183, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 112, 23, 0, 0, 207, 183, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    146, 1, 0, 0, 222, 183, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 113, 23, 0, 0, 237, 183, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 109, 23, 0, 0, 252, 183, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 179, 1, 0, 0, 24, 184,
    1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 114, 23, 0, 0, 35, 184, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 123, 16,
    0, 0, 50, 184, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 146, 1, 0, 0, 65, 184, 1, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 109, 23, 0, 0, 80, 184, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 115, 23, 0, 0, 95, 184, 1, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 116, 23, 0, 0, 110, 184, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 117, 23, 0, 0,
    125, 184, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 118, 23, 0, 0, 140, 184, 1, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 119, 23, 0, 0, 155, 184, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 120, 23, 0, 0, 170, 184, 1, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 121, 23, 0, 0, 185, 184, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 122, 23, 0, 0, 213,
    184, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 123, 23, 0, 0, 224, 184, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    124, 23, 0, 0, 239, 184, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 125, 23, 0, 0, 254, 184, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 126, 23, 0, 0, 13, 185, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 127, 23, 0, 0, 28, 185,
    1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 128, 23, 0, 0, 43, 185, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 179, 1,
    0, 0, 59, 185, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 129, 23, 0, 0, 70, 185, 1, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 130, 23, 0, 0, 86, 185, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 131, 23, 0, 0, 97, 185, 1, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 132, 23, 0, 0, 112, 185, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 141, 17, 0, 0,
    133, 185, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 133, 23, 0, 0, 144, 185, 1, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 71, 23, 0, 0, 186, 185, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 134, 23, 0, 0, 197, 185, 1, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 135, 23, 0, 0, 212, 185, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 73, 23, 0, 0, 227,
    185, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 74, 23, 0, 0, 248, 185, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 136,
    23, 0, 0, 3, 186, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 146, 14, 0, 0, 18, 186, 1, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 137, 23, 0, 0, 33, 186, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 88, 23, 0, 0, 48, 186, 1, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 49, 12, 0, 0, 63, 186, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 138, 23, 0, 0, 78,
    186, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 139, 23, 0, 0, 93, 186, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 111,
    1, 0, 0, 108, 186, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 141, 17, 0, 0, 123, 186, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 84, 23, 0, 0, 138, 186, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 179, 1, 0, 0, 153, 186, 1,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 85, 10, 0, 0, 168, 186, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 140, 23, 0,
    0, 183, 186, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 141, 23, 0, 0, 198, 186, 1, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 94, 9, 0, 0, 213, 186, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 70, 5, 0, 0, 229, 186, 1, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 142, 23, 0, 0, 240, 186, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 90, 23, 0, 0, 6,
    187, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 91, 23, 0, 0, 21, 187, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 218,
    19, 0, 0, 60, 187, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 143, 23, 0, 0, 65, 187, 1, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 144, 23, 0, 0, 74, 187, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 145, 23, 0, 0, 87, 187, 1, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 92, 23, 0, 0, 100, 187, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 93, 23, 0, 0,
    113, 187, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 94, 23, 0, 0, 126, 187, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    146, 23, 0, 0, 139, 187, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 205, 18, 0, 0, 152, 187, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 204, 18, 0, 0, 165, 187, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 95, 23, 0, 0, 179, 187,
    1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 147, 23, 0, 0, 188, 187, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 141, 17,
    0, 0, 202, 187, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 148, 23, 0, 0, 211, 187, 1, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 149, 23, 0, 0, 224, 187, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 150, 23, 0, 0, 237, 187, 1, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 151, 23, 0, 0, 250, 187, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 152, 23, 0, 0,
    20, 188, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 153, 23, 0, 0, 29, 188, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    149, 23, 0, 0, 43, 188, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 154, 23, 0, 0, 52, 188, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 141, 17, 0, 0, 66, 188, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 155, 23, 0, 0, 75, 188,
    1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 156, 23, 0, 0, 88, 188, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 157, 23,
    0, 0, 114, 188, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 158, 23, 0, 0, 123, 188, 1, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 149, 23, 0, 0, 137, 188, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 159, 23, 0, 0, 146, 188, 1, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 160, 23, 0, 0, 159, 188, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 149, 23, 0, 0,
    173, 188, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 161, 23, 0, 0, 182, 188, 1, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 32, 23, 0, 0, 195, 188, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 162, 23, 0, 0, 208, 188, 1, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 163, 23, 0, 0, 221, 188, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 164, 23, 0, 0, 234,
    188, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 165, 23, 0, 0, 247, 188, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    166, 23, 0, 0, 4, 189, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 167, 23, 0, 0, 17, 189, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 168, 23, 0, 0, 31, 189, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 169, 23, 0, 0, 40, 189, 1,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 60, 19, 0, 0, 59, 189, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 170, 23, 0,
    0, 82, 189, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 163, 17, 0, 0, 100, 189, 1, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 3, 3, 0, 0, 113, 189, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 70, 5, 0, 0, 127, 189, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 171, 23, 0, 0, 154, 189, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 172, 23, 0, 0, 163,
    189, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 173, 23, 0, 0, 176, 189, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 63,
    14, 0, 0, 189, 189, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 64, 10, 0, 0, 239, 189, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 174, 23, 0, 0, 249, 189, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 175, 23, 0, 0, 6, 190, 1,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 176, 23, 0, 0, 19, 190, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 177, 23, 0,
    0, 32, 190, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 178, 23, 0, 0, 45, 190, 1, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 179, 23, 0, 0, 58, 190, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 180, 23, 0, 0, 71, 190, 1, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 181, 23, 0, 0, 84, 190, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 182, 23, 0, 0, 97,
    190, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 183, 23, 0, 0, 110, 190, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    184, 23, 0, 0, 123, 190, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 185, 23, 0, 0, 136, 190, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 186, 23, 0, 0, 149, 190, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 187, 23, 0, 0, 162,
    190, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 188, 23, 0, 0, 175, 190, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    189, 23, 0, 0, 188, 190, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 190, 23, 0, 0, 202, 190, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 191, 23, 0, 0, 216, 190, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 192, 23, 0, 0, 230,
    190, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 193, 23, 0, 0, 244, 190, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    194, 23, 0, 0, 2, 191, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 195, 23, 0, 0, 16, 191, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 196, 23, 0, 0, 30, 191, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 249, 18, 0, 0, 44, 191, 1,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 197, 23, 0, 0, 58, 191, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 198, 23, 0,
    0, 72, 191, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 199, 23, 0, 0, 86, 191, 1, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 200, 23, 0, 0, 100, 191, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 201, 23, 0, 0, 127, 191, 1, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 202, 23, 0, 0, 136, 191, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 11, 12, 0, 0, 149,
    191, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 203, 23, 0, 0, 162, 191, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    204, 23, 0, 0, 175, 191, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 205, 23, 0, 0, 188, 191, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 206, 23, 0, 0, 201, 191, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 207, 23, 0, 0, 227,
    191, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 208, 23, 0, 0, 236, 191, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    141, 7, 0, 0, 249, 191, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 240, 4, 0, 0, 6, 192, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 209, 23, 0, 0, 19, 192, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 210, 23, 0, 0, 32, 192, 1,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 211, 23, 0, 0, 45, 192, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 212, 23, 0,
    0, 64, 192, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 213, 23, 0, 0, 69, 192, 1, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 214, 23, 0, 0, 78, 192, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 215, 23, 0, 0, 91, 192, 1, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 216, 23, 0, 0, 104, 192, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 217, 23, 0, 0, 117,
    192, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 218, 23, 0, 0, 130, 192, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 31,
    19, 0, 0, 154, 192, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 219, 23, 0, 0, 159, 192, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 220, 23, 0, 0, 168, 192, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 221, 23, 0, 0, 181, 192,
    1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 222, 23, 0, 0, 194, 192, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 223, 23,
    0, 0, 207, 192, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 224, 23, 0, 0, 220, 192, 1, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 225, 23, 0, 0, 233, 192, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 226, 23, 0, 0, 246, 192, 1, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 227, 23, 0, 0, 3, 193, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 228, 23, 0, 0,
    16, 193, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 229, 23, 0, 0, 29, 193, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    230, 23, 0, 0, 42, 193, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 231, 23, 0, 0, 55, 193, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 232, 23, 0, 0, 68, 193, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 233, 23, 0, 0, 81, 193,
    1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 234, 23, 0, 0, 94, 193, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 235, 23,
    0, 0, 107, 193, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 236, 23, 0, 0, 120, 193, 1, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 237, 23, 0, 0, 139, 193, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 238, 23, 0, 0, 149, 193, 1, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 239, 23, 0, 0, 159, 193, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 240, 23, 0, 0,
    164, 193, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 241, 23, 0, 0, 173, 193, 1, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 240, 4, 0, 0, 186, 193, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 134, 1, 0, 0, 205, 193, 1, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 242, 23, 0, 0, 214, 193, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 38, 6, 0, 0, 227,
    193, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 103, 5, 0, 0, 240, 193, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 144,
    7, 0, 0, 253, 193, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 136, 7, 0, 0, 10, 194, 1, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 243, 23, 0, 0, 23, 194, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 244, 23, 0, 0, 36, 194, 1, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 245, 23, 0, 0, 50, 194, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 246, 23, 0, 0,
    59, 194, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 247, 23, 0, 0, 72, 194, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    248, 23, 0, 0, 91, 194, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 249, 23, 0, 0, 100, 194, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 33, 4, 0, 0, 113, 194, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 136, 7, 0, 0, 126, 194,
    1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 103, 5, 0, 0, 139, 194, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 144, 7,
    0, 0, 152, 194, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 250, 23, 0, 0, 171, 194, 1, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 251, 23, 0, 0, 181, 194, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 252, 23, 0, 0, 194, 194, 1, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 94, 16, 0, 0, 207, 194, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 253, 23, 0, 0,
    220, 194, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 254, 23, 0, 0, 233, 194, 1, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 255, 23, 0, 0, 246, 194, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 0, 24, 0, 0, 3, 195, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 1, 24, 0, 0, 16, 195, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 2, 24, 0, 0, 29, 195, 1,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 3, 24, 0, 0, 42, 195, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 4, 24, 0, 0,
    55, 195, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 5, 24, 0, 0, 68, 195, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 6,
    24, 0, 0, 81, 195, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 179, 1, 0, 0, 94, 195, 1, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 7, 24, 0, 0, 110, 195, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 8, 24, 0, 0, 126, 195, 1, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 9, 24, 0, 0, 139, 195, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 10, 24, 0, 0, 152,
    195, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 11, 24, 0, 0, 165, 195, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 12,
    24, 0, 0, 178, 195, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 13, 24, 0, 0, 191, 195, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 14, 24, 0, 0, 204, 195, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 252, 7, 0, 0, 218, 195, 1,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 15, 24, 0, 0, 232, 195, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 16, 24, 0,
    0, 246, 195, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 17, 24, 0, 0, 4, 196, 1, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 18, 24, 0, 0, 18, 196, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 49, 9, 0, 0, 32, 196, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 19, 24, 0, 0, 46, 196, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 242, 7, 0, 0, 60, 196, 1,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 243, 7, 0, 0, 74, 196, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 20, 24, 0, 0,
    88, 196, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 21, 24, 0, 0, 102, 196, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    244, 7, 0, 0, 116, 196, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 22, 24, 0, 0, 130, 196, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 245, 7, 0, 0, 144, 196, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 246, 7, 0, 0, 158, 196,
    1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 247, 7, 0, 0, 172, 196, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 23, 24,
    0, 0, 186, 196, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 24, 24, 0, 0, 200, 196, 1, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 250, 7, 0, 0, 214, 196, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 251, 7, 0, 0, 228, 196, 1, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 25, 24, 0, 0, 242, 196, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 26, 24, 0, 0, 0,
    197, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 27, 24, 0, 0, 14, 197, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 28,
    24, 0, 0, 28, 197, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 29, 24, 0, 0, 42, 197, 1, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 30, 24, 0, 0, 56, 197, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 31, 24, 0, 0, 70, 197, 1, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 32, 24, 0, 0, 84, 197, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 40, 8, 0, 0, 98,
    197, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 33, 24, 0, 0, 112, 197, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 34,
    24, 0, 0, 126, 197, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 35, 24, 0, 0, 140, 197, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 165, 1, 0, 0, 154, 197, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 36, 24, 0, 0, 168, 197, 1,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 37, 24, 0, 0, 182, 197, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 38, 24, 0,
    0, 196, 197, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 39, 24, 0, 0, 210, 197, 1, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 40, 24, 0, 0, 224, 197, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 41, 24, 0, 0, 238, 197, 1, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 42, 24, 0, 0, 252, 197, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 43, 24, 0, 0, 11,
    198, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 45, 7, 0, 0, 20, 198, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 134,
    1, 0, 0, 33, 198, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 10, 8, 0, 0, 51, 198, 1, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 44, 24, 0, 0, 64, 198, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 45, 24, 0, 0, 90, 198, 1, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 46, 24, 0, 0, 99, 198, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 199, 9, 0, 0, 112,
    198, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 47, 24, 0, 0, 126, 198, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 48,
    24, 0, 0, 135, 198, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 49, 24, 0, 0, 149, 198, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 50, 24, 0, 0, 158, 198, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 242, 7, 0, 0, 171, 198, 1,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 243, 7, 0, 0, 184, 198, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 0, 9, 0, 0,
    215, 198, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 51, 24, 0, 0, 225, 198, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    25, 7, 0, 0, 238, 198, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 38, 6, 0, 0, 251, 198, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 18, 2, 0, 0, 8, 199, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 61, 10, 0, 0, 21, 199, 1, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 97, 5, 0, 0, 34, 199, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 122, 1, 0, 0, 47,
    199, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 52, 24, 0, 0, 60, 199, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 53,
    24, 0, 0, 73, 199, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 54, 24, 0, 0, 86, 199, 1, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 55, 24, 0, 0, 99, 199, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 56, 24, 0, 0, 112, 199, 1, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 57, 24, 0, 0, 125, 199, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 58, 24, 0, 0, 138,
    199, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 59, 24, 0, 0, 152, 199, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 60,
    24, 0, 0, 166, 199, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 61, 24, 0, 0, 180, 199, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 62, 24, 0, 0, 194, 199, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 63, 24, 0, 0, 208, 199, 1,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 123, 1, 0, 0, 222, 199, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 64, 24, 0,
    0, 236, 199, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 65, 24, 0, 0, 250, 199, 1, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 179, 1, 0, 0, 8, 200, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 33, 4, 0, 0, 22, 200, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 66, 24, 0, 0, 36, 200, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 67, 24, 0, 0, 53, 200, 1, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 68, 24, 0, 0, 70, 200, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 95, 12, 0, 0,
    87, 200, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 69, 24, 0, 0, 101, 200, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    70, 24, 0, 0, 118, 200, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 198, 18, 0, 0, 135, 200, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 71, 24, 0, 0, 152, 200, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 72, 24, 0, 0, 166, 200,
    1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 73, 24, 0, 0, 180, 200, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 193, 4,
    0, 0, 194, 200, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 200, 5, 0, 0, 208, 200, 1, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 74, 24, 0, 0, 222, 200, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 75, 24, 0, 0, 236, 200, 1, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 76, 24, 0, 0, 250, 200, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 77, 24, 0, 0, 8,
    201, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 63, 10, 0, 0, 22, 201, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 78,
    24, 0, 0, 36, 201, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 79, 24, 0, 0, 50, 201, 1, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 80, 24, 0, 0, 64, 201, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 81, 24, 0, 0, 78, 201, 1, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 82, 24, 0, 0, 92, 201, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 83, 24, 0, 0, 106,
    201, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 239, 10, 0, 0, 126, 201, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 84,
    24, 0, 0, 135, 201, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 25, 7, 0, 0, 148, 201, 1, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 38, 6, 0, 0, 161, 201, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 85, 24, 0, 0, 174, 201, 1, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 12, 4, 0, 0, 187, 201, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 86, 24, 0, 0, 200,
    201, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 123, 1, 0, 0, 213, 201, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 87,
    24, 0, 0, 226, 201, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 88, 24, 0, 0, 239, 201, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 89, 24, 0, 0, 252, 201, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 150, 20, 0, 0, 9, 202, 1,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 9, 0, 0, 0, 22, 202, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 90, 24, 0, 0,
    35, 202, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 91, 24, 0, 0, 48, 202, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    179, 1, 0, 0, 61, 202, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 92, 24, 0, 0, 74, 202, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 93, 24, 0, 0, 87, 202, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 94, 24, 0, 0, 100, 202, 1,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 240, 19, 0, 0, 113, 202, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 61, 24, 0,
    0, 126, 202, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 95, 24, 0, 0, 139, 202, 1, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 97, 5, 0, 0, 152, 202, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 96, 24, 0, 0, 176, 202, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 97, 24, 0, 0, 185, 202, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 27, 6, 0, 0, 198, 202,
    1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 12, 4, 0, 0, 211, 202, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 97, 5, 0,
    0, 224, 202, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 134, 1, 0, 0, 237, 202, 1, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 18, 2, 0, 0, 250, 202, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 33, 4, 0, 0, 8, 203, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 98, 24, 0, 0, 17, 203, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 99, 24, 0, 0, 30, 203, 1, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 100, 24, 0, 0, 43, 203, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 101, 24, 0, 0,
    56, 203, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 102, 24, 0, 0, 69, 203, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    103, 24, 0, 0, 82, 203, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 104, 24, 0, 0, 95, 203, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 105, 24, 0, 0, 108, 203, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 106, 24, 0, 0, 126,
    203, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 107, 24, 0, 0, 138, 203, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    108, 24, 0, 0, 162, 203, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 109, 24, 0, 0, 185, 203, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 110, 24, 0, 0, 195, 203, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 52, 6, 0, 0, 208, 203,
    1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 18, 24, 0, 0, 221, 203, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 111, 24,
    0, 0, 234, 203, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 97, 5, 0, 0, 247, 203, 1, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 112, 24, 0, 0, 4, 204, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 240, 4, 0, 0, 17, 204, 1, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 113, 24, 0, 0, 30, 204, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 33, 4, 0, 0, 43, 204,
    1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 114, 24, 0, 0, 56, 204, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 115, 24,
    0, 0, 69, 204, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 179, 1, 0, 0, 82, 204, 1, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 116, 24, 0, 0, 95, 204, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 117, 24, 0, 0, 111, 204, 1, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 118, 24, 0, 0, 127, 204, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 5, 7, 0, 0, 141,
    204, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 119, 24, 0, 0, 155, 204, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    120, 24, 0, 0, 169, 204, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 121, 24, 0, 0, 183, 204, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 122, 24, 0, 0, 197, 204, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 123, 24, 0, 0, 211,
    204, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 38, 6, 0, 0, 225, 204, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 124,
    24, 0, 0, 240, 204, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 125, 24, 0, 0, 249, 204, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 74, 3, 0, 0, 6, 205, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 141, 7, 0, 0, 19, 205, 1, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 240, 4, 0, 0, 32, 205, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 52, 3, 0, 0, 45,
    205, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 126, 24, 0, 0, 58, 205, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 118,
    5, 0, 0, 71, 205, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 127, 24, 0, 0, 84, 205, 1, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 128, 24, 0, 0, 97, 205, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 72, 3, 0, 0, 116, 205, 1, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 129, 24, 0, 0, 139, 205, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 44, 2, 0, 0, 152,
    205, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 118, 5, 0, 0, 166, 205, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 232,
    18, 0, 0, 179, 205, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 129, 5, 0, 0, 192, 205, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 130, 24, 0, 0, 205, 205, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 185, 5, 0, 0, 218, 205, 1,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 179, 1, 0, 0, 231, 205, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 114, 2, 0,
    0, 245, 205, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 131, 24, 0, 0, 254, 205, 1, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 238, 6, 0, 0, 22, 206, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 132, 24, 0, 0, 31, 206, 1, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 133, 24, 0, 0, 44, 206, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 134, 24, 0, 0, 57,
    206, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 225, 3, 0, 0, 70, 206, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 7,
    12, 0, 0, 83, 206, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 135, 24, 0, 0, 173, 206, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 136, 24, 0, 0, 182, 206, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 137, 24, 0, 0, 195, 206,
    1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 138, 24, 0, 0, 9, 207, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 139, 24,
    0, 0, 19, 207, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 187, 4, 0, 0, 32, 207, 1, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 159, 7, 0, 0, 45, 207, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 118, 10, 0, 0, 58, 207, 1, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 196, 5, 0, 0, 71, 207, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 217, 3, 0, 0, 84, 207,
    1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 225, 3, 0, 0, 97, 207, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 140, 24,
    0, 0, 110, 207, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 186, 5, 0, 0, 123, 207, 1, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 141, 24, 0, 0, 136, 207, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 142, 24, 0, 0, 149, 207, 1, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 143, 24, 0, 0, 162, 207, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 144, 24, 0, 0,
    175, 207, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 222, 3, 0, 0, 188, 207, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    229, 3, 0, 0, 201, 207, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 145, 24, 0, 0, 214, 207, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 146, 24, 0, 0, 227, 207, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 147, 24, 0, 0, 240,
    207, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 108, 7, 0, 0, 253, 207, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 107,
    7, 0, 0, 10, 208, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 148, 24, 0, 0, 23, 208, 1, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 149, 24, 0, 0, 36, 208, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 150, 24, 0, 0, 49, 208, 1, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 151, 24, 0, 0, 62, 208, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 152, 24, 0, 0,
    75, 208, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 153, 24, 0, 0, 88, 208, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    154, 24, 0, 0, 101, 208, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 155, 24, 0, 0, 114, 208, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 156, 24, 0, 0, 127, 208, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 157, 24, 0, 0, 140,
    208, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 158, 24, 0, 0, 153, 208, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    159, 24, 0, 0, 166, 208, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 160, 24, 0, 0, 179, 208, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 208, 5, 0, 0, 193, 208, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 161, 24, 0, 0, 49, 210,
    1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 66, 24, 0, 0, 58, 210, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 162, 24,
    0, 0, 71, 210, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 163, 24, 0, 0, 84, 210, 1, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 164, 24, 0, 0, 97, 210, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 165, 24, 0, 0, 137, 210, 1, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 63, 24, 0, 0, 146, 210, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 166, 24, 0, 0,
    159, 210, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 167, 24, 0, 0, 172, 210, 1, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 168, 24, 0, 0, 185, 210, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 169, 24, 0, 0, 237, 210, 1, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 170, 24, 0, 0, 246, 210, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 171, 24, 0, 0, 3,
    211, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 172, 24, 0, 0, 16, 211, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 173,
    24, 0, 0, 29, 211, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 174, 24, 0, 0, 42, 211, 1, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 175, 24, 0, 0, 55, 211, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 176, 24, 0, 0, 68, 211, 1, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 63, 16, 0, 0, 81, 211, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 177, 24, 0, 0,
    94, 211, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 178, 24, 0, 0, 107, 211, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    130, 6, 0, 0, 120, 211, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 179, 24, 0, 0, 133, 211, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 180, 24, 0, 0, 185, 211, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 181, 24, 0, 0, 194,
    211, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 9, 0, 0, 0, 207, 211, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 182,
    24, 0, 0, 220, 211, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 239, 10, 0, 0, 233, 211, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 145, 1, 0, 0, 246, 211, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 179, 1, 0, 0, 3, 212, 1, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 183, 24, 0, 0, 16, 212, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 184, 24, 0, 0,
    29, 212, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 185, 24, 0, 0, 42, 212, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    121, 24, 0, 0, 55, 212, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 186, 24, 0, 0, 68, 212, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 187, 24, 0, 0, 81, 212, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 188, 24, 0, 0, 94, 212,
    1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 122, 24, 0, 0, 107, 212, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 189, 24,
    0, 0, 120, 212, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 190, 24, 0, 0, 133, 212, 1, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 191, 24, 0, 0, 146, 212, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 192, 24, 0, 0, 159, 212, 1, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 193, 24, 0, 0, 202, 212, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 194, 24, 0, 0,
    211, 212, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 33, 4, 0, 0, 224, 212, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    159, 6, 0, 0, 237, 212, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 195, 24, 0, 0, 250, 212, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 75, 24, 0, 0, 7, 213, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 74, 24, 0, 0, 26, 213, 1,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 196, 24, 0, 0, 35, 213, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 97, 5, 0, 0,
    48, 213, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 18, 24, 0, 0, 67, 213, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    197, 24, 0, 0, 76, 213, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 25, 7, 0, 0, 89, 213, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 123, 1, 0, 0, 102, 213, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 150, 20, 0, 0, 115, 213, 1,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 179, 1, 0, 0, 128, 213, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 196, 5, 0,
    0, 141, 213, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 217, 3, 0, 0, 154, 213, 1, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 150, 24, 0, 0, 167, 213, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 185, 5, 0, 0, 180, 213, 1, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 186, 5, 0, 0, 193, 213, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 222, 3, 0, 0, 206,
    213, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 229, 3, 0, 0, 219, 213, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 145,
    24, 0, 0, 232, 213, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 192, 5, 0, 0, 245, 213, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 148, 24, 0, 0, 2, 214, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 137, 24, 0, 0, 15, 214, 1,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 138, 24, 0, 0, 28, 214, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 198, 24, 0,
    0, 41, 214, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 199, 24, 0, 0, 54, 214, 1, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 12, 4, 0, 0, 67, 214, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 61, 7, 0, 0, 19, 215, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 200, 24, 0, 0, 28, 215, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 201, 24, 0, 0, 41, 215, 1,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 202, 24, 0, 0, 54, 215, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 203, 24, 0,
    0, 67, 215, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 204, 24, 0, 0, 80, 215, 1, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 205, 24, 0, 0, 93, 215, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 206, 24, 0, 0, 106, 215, 1, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 207, 24, 0, 0, 132, 215, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 208, 24, 0, 0, 141,
    215, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 209, 24, 0, 0, 154, 215, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    210, 24, 0, 0, 168, 215, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 211, 24, 0, 0, 177, 215, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 212, 24, 0, 0, 190, 215, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 213, 24, 0, 0, 203,
    215, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 214, 24, 0, 0, 216, 215, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    215, 24, 0, 0, 229, 215, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 216, 24, 0, 0, 242, 215, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 217, 24, 0, 0, 255, 215, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 218, 24, 0, 0, 18, 216,
    1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 219, 24, 0, 0, 28, 216, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 215, 5,
    0, 0, 41, 216, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 213, 24, 0, 0, 54, 216, 1, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 212, 24, 0, 0, 67, 216, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 220, 24, 0, 0, 80, 216, 1, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 221, 24, 0, 0, 93, 216, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 222, 24, 0, 0,
    106, 216, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 223, 24, 0, 0, 119, 216, 1, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 224, 24, 0, 0, 132, 216, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 225, 24, 0, 0, 145, 216, 1, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 226, 24, 0, 0, 158, 216, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 227, 24, 0, 0, 171,
    216, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 228, 24, 0, 0, 184, 216, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    229, 24, 0, 0, 197, 216, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 230, 24, 0, 0, 210, 216, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 231, 24, 0, 0, 223, 216, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 232, 24, 0, 0, 236,
    216, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 233, 24, 0, 0, 249, 216, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    234, 24, 0, 0, 6, 217, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 235, 24, 0, 0, 19, 217, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 236, 24, 0, 0, 32, 217, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 237, 24, 0, 0, 45, 217, 1,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 215, 24, 0, 0, 58, 217, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 216, 24, 0,
    0, 71, 217, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 217, 24, 0, 0, 84, 217, 1, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 218, 24, 0, 0, 97, 217, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 238, 24, 0, 0, 110, 217, 1, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 239, 24, 0, 0, 123, 217, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 115, 6, 0, 0, 136,
    217, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 116, 6, 0, 0, 149, 217, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 240,
    24, 0, 0, 162, 217, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 241, 24, 0, 0, 175, 217, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 242, 24, 0, 0, 188, 217, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 243, 24, 0, 0, 201, 217,
    1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 205, 24, 0, 0, 214, 217, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 206, 24,
    0, 0, 228, 217, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 207, 24, 0, 0, 242, 217, 1, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 246, 7, 0, 0, 0, 218, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 247, 7, 0, 0, 14, 218, 1, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 244, 24, 0, 0, 28, 218, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 245, 24, 0, 0, 42,
    218, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 246, 24, 0, 0, 56, 218, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 247,
    24, 0, 0, 70, 218, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 248, 24, 0, 0, 84, 218, 1, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 249, 24, 0, 0, 98, 218, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 250, 24, 0, 0, 112, 218, 1, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 251, 24, 0, 0, 144, 218, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 37, 24, 0, 0,
    155, 218, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 5, 7, 0, 0, 170, 218, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    18, 2, 0, 0, 185, 218, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 252, 24, 0, 0, 203, 218, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 105, 13, 0, 0, 218, 218, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 114, 2, 0, 0, 239, 218,
    1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 253, 24, 0, 0, 249, 218, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 254, 24,
    0, 0, 6, 219, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 33, 4, 0, 0, 19, 219, 1, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 255, 24, 0, 0, 32, 219, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 222, 13, 0, 0, 58, 219, 1, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 0, 25, 0, 0, 67, 219, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 1, 25, 0, 0, 81, 219,
    1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 2, 25, 0, 0, 90, 219, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 3, 25, 0,
    0, 103, 219, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 4, 25, 0, 0, 116, 219, 1, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 5, 25, 0, 0, 129, 219, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 6, 25, 0, 0, 147, 219, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 7, 25, 0, 0, 164, 219, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 8, 25, 0, 0, 183, 219, 1,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 9, 25, 0, 0, 200, 219, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 10, 25, 0, 0,
    213, 219, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 19, 8, 0, 0, 223, 219, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    11, 25, 0, 0, 236, 219, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 12, 25, 0, 0, 249, 219, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 146, 1, 0, 0, 6, 220, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 139, 12, 0, 0, 19, 220, 1,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 213, 6, 0, 0, 32, 220, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 88, 24, 0, 0,
    45, 220, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 13, 25, 0, 0, 58, 220, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    49, 6, 0, 0, 71, 220, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 14, 25, 0, 0, 84, 220, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 174, 7, 0, 0, 97, 220, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 15, 25, 0, 0, 110, 220, 1,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 16, 25, 0, 0, 123, 220, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 17, 25, 0,
    0, 137, 220, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 18, 25, 0, 0, 151, 220, 1, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 19, 25, 0, 0, 165, 220, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 40, 18, 0, 0, 179, 220, 1, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 87, 14, 0, 0, 193, 220, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 20, 25, 0, 0, 207,
    220, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 135, 2, 0, 0, 221, 220, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 21,
    25, 0, 0, 235, 220, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 226, 7, 0, 0, 249, 220, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 22, 25, 0, 0, 7, 221, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 140, 5, 0, 0, 21, 221, 1, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 196, 6, 0, 0, 35, 221, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 194, 6, 0, 0,
    49, 221, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 198, 6, 0, 0, 63, 221, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    141, 5, 0, 0, 77, 221, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 197, 6, 0, 0, 91, 221, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 195, 6, 0, 0, 105, 221, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 199, 6, 0, 0, 119, 221, 1,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 211, 7, 0, 0, 133, 221, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 243, 5, 0,
    0, 147, 221, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 23, 25, 0, 0, 161, 221, 1, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 24, 25, 0, 0, 175, 221, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 25, 25, 0, 0, 189, 221, 1, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 26, 25, 0, 0, 203, 221, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 27, 25, 0, 0, 217,
    221, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 28, 25, 0, 0, 231, 221, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 29,
    25, 0, 0, 245, 221, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 30, 25, 0, 0, 3, 222, 1, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 31, 25, 0, 0, 17, 222, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 32, 25, 0, 0, 31, 222, 1, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 9, 0, 0, 0, 60, 222, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 33, 25, 0, 0, 78,
    222, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 237, 10, 0, 0, 91, 222, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 252,
    5, 0, 0, 105, 222, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 34, 25, 0, 0, 123, 222, 1, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 140, 5, 0, 0, 136, 222, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 141, 5, 0, 0, 149, 222, 1, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 106, 2, 0, 0, 162, 222, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 143, 5, 0, 0,
    175, 222, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 35, 25, 0, 0, 188, 222, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    36, 25, 0, 0, 201, 222, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 37, 25, 0, 0, 214, 222, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 38, 25, 0, 0, 227, 222, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 39, 25, 0, 0, 241, 222,
    1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 40, 25, 0, 0, 3, 223, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 41, 25, 0,
    0, 16, 223, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 42, 25, 0, 0, 30, 223, 1, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 43, 25, 0, 0, 48, 223, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 41, 25, 0, 0, 61, 223, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 44, 25, 0, 0, 75, 223, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 45, 25, 0, 0, 93, 223, 1,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 41, 25, 0, 0, 106, 223, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 46, 25, 0,
    0, 119, 223, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 47, 25, 0, 0, 132, 223, 1, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 48, 25, 0, 0, 146, 223, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 49, 25, 0, 0, 164, 223, 1, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 50, 25, 0, 0, 177, 223, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 106, 2, 0, 0, 190,
    223, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 73, 6, 0, 0, 204, 223, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 51,
    25, 0, 0, 222, 223, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 226, 7, 0, 0, 235, 223, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 156, 5, 0, 0, 249, 223, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 194, 5, 0, 0, 11, 224, 1,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 14, 15, 0, 0, 24, 224, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 179, 1, 0, 0,
    38, 224, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 52, 25, 0, 0, 56, 224, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    184, 6, 0, 0, 70, 224, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 212, 5, 0, 0, 88, 224, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 123, 1, 0, 0, 103, 224, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 53, 25, 0, 0, 117, 224, 1,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 54, 25, 0, 0, 136, 224, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 55, 25, 0,
    0, 145, 224, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 56, 25, 0, 0, 151, 224, 1, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 57, 25, 0, 0, 157, 224, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 58, 25, 0, 0, 181, 224, 1, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 59, 25, 0, 0, 190, 224, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 44, 2, 0, 0, 203,
    224, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 9, 0, 0, 0, 222, 224, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 60,
    25, 0, 0, 3, 225, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 61, 25, 0, 0, 16, 225, 1, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 36, 20, 0, 0, 30, 225, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 62, 25, 0, 0, 62, 225, 1, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 63, 25, 0, 0, 72, 225, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 44, 2, 0, 0, 85,
    225, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 64, 25, 0, 0, 116, 225, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 65,
    25, 0, 0, 137, 225, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 66, 25, 0, 0, 149, 225, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 67, 25, 0, 0, 157, 225, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 68, 25, 0, 0, 166, 225, 1,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 69, 25, 0, 0, 179, 225, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 70, 25, 0,
    0, 192, 225, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 71, 25, 0, 0, 205, 225, 1, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 72, 25, 0, 0, 218, 225, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 73, 25, 0, 0, 244, 225, 1, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 74, 25, 0, 0, 253, 225, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 3, 3, 0, 0, 10, 226,
    1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 119, 2, 0, 0, 24, 226, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 22, 8, 0,
    0, 33, 226, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 106, 2, 0, 0, 46, 226, 1, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 75, 25, 0, 0, 59, 226, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 116, 1, 0, 0, 78, 226, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 76, 25, 0, 0, 87, 226, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 180, 4, 0, 0, 100, 226,
    1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 76, 3, 0, 0, 113, 226, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 106, 5, 0,
    0, 126, 226, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 47, 2, 0, 0, 139, 226, 1, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 70, 14, 0, 0, 152, 226, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 77, 25, 0, 0, 165, 226, 1, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 78, 25, 0, 0, 178, 226, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 79, 25, 0, 0, 197,
    226, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 80, 25, 0, 0, 206, 226, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 148,
    11, 0, 0, 219, 226, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 1, 15, 0, 0, 232, 226, 1, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 81, 25, 0, 0, 246, 226, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 82, 25, 0, 0, 255, 226, 1, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 240, 4, 0, 0, 12, 227, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 33, 4, 0, 0, 25,
    227, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 160, 6, 0, 0, 39, 227, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 83,
    25, 0, 0, 48, 227, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 44, 2, 0, 0, 72, 227, 1, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 84, 25, 0, 0, 81, 227, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 85, 25, 0, 0, 94, 227, 1, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 86, 25, 0, 0, 107, 227, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 22, 10, 0, 0, 120,
    227, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 240, 4, 0, 0, 133, 227, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 174,
    7, 0, 0, 146, 227, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 150, 17, 0, 0, 170, 227, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 32, 8, 0, 0, 179, 227, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 74, 3, 0, 0, 192, 227, 1, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 72, 3, 0, 0, 211, 227, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 87, 25, 0, 0,
    220, 227, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 88, 25, 0, 0, 233, 227, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    89, 25, 0, 0, 246, 227, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 90, 25, 0, 0, 3, 228, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 91, 25, 0, 0, 16, 228, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 92, 25, 0, 0, 29, 228, 1, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 93, 25, 0, 0, 42, 228, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 94, 25, 0, 0,
    55, 228, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 95, 25, 0, 0, 68, 228, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    96, 25, 0, 0, 81, 228, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 97, 25, 0, 0, 94, 228, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 98, 25, 0, 0, 107, 228, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 99, 25, 0, 0, 120, 228, 1,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 100, 25, 0, 0, 133, 228, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 101, 25, 0,
    0, 146, 228, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 102, 25, 0, 0, 159, 228, 1, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 103, 25, 0, 0, 186, 228, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 104, 25, 0, 0, 200, 228, 1, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 105, 25, 0, 0, 213, 228, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 106, 25, 0, 0,
    226, 228, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 107, 25, 0, 0, 239, 228, 1, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 108, 25, 0, 0, 252, 228, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 109, 25, 0, 0, 9, 229, 1, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 110, 25, 0, 0, 28, 229, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 111, 25, 0, 0, 38,
    229, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 88, 24, 0, 0, 51, 229, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 112,
    25, 0, 0, 64, 229, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 113, 25, 0, 0, 77, 229, 1, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 114, 25, 0, 0, 90, 229, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 8, 0, 0, 0, 103, 229, 1, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 115, 25, 0, 0, 116, 229, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 116, 25, 0, 0,
    129, 229, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 117, 25, 0, 0, 142, 229, 1, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 118, 25, 0, 0, 156, 229, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 241, 6, 0, 0, 170, 229, 1, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 102, 4, 0, 0, 184, 229, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 179, 1, 0, 0, 198,
    229, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 119, 25, 0, 0, 212, 229, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    120, 25, 0, 0, 226, 229, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 250, 17, 0, 0, 240, 229, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 121, 25, 0, 0, 254, 229, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 122, 25, 0, 0, 12, 230,
    1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 123, 25, 0, 0, 26, 230, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 124, 25,
    0, 0, 40, 230, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 125, 25, 0, 0, 54, 230, 1, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 126, 25, 0, 0, 68, 230, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 114, 18, 0, 0, 88, 230, 1, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 127, 25, 0, 0, 97, 230, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 50, 2, 0, 0, 110,
    230, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 3, 3, 0, 0, 123, 230, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 128,
    25, 0, 0, 136, 230, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 129, 25, 0, 0, 155, 230, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 130, 25, 0, 0, 165, 230, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 131, 25, 0, 0, 178, 230,
    1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 132, 25, 0, 0, 191, 230, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 57, 20,
    0, 0, 204, 230, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 133, 25, 0, 0, 217, 230, 1, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 74, 17, 0, 0, 230, 230, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 134, 25, 0, 0, 243, 230, 1, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 135, 25, 0, 0, 0, 231, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 136, 25, 0, 0,
    13, 231, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 137, 25, 0, 0, 27, 231, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    187, 7, 0, 0, 41, 231, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 138, 25, 0, 0, 55, 231, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 116, 7, 0, 0, 69, 231, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 227, 16, 0, 0, 88, 231, 1,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 139, 25, 0, 0, 100, 231, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 140, 25, 0,
    0, 109, 231, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 145, 16, 0, 0, 122, 231, 1, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 141, 25, 0, 0, 135, 231, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 142, 25, 0, 0, 148, 231, 1, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 143, 25, 0, 0, 161, 231, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 144, 25, 0, 0,
    174, 231, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 114, 20, 0, 0, 216, 231, 1, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 145, 25, 0, 0, 229, 231, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 146, 25, 0, 0, 248, 231, 1, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 147, 25, 0, 0, 1, 232, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 148, 25, 0, 0, 14,
    232, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 149, 25, 0, 0, 74, 232, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 150,
    25, 0, 0, 83, 232, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 151, 25, 0, 0, 96, 232, 1, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 196, 5, 0, 0, 109, 232, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 198, 5, 0, 0, 122, 232, 1, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 152, 25, 0, 0, 135, 232, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 222, 3, 0, 0,
    148, 232, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 229, 3, 0, 0, 161, 232, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    153, 25, 0, 0, 174, 232, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 154, 25, 0, 0, 187, 232, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 155, 25, 0, 0, 200, 232, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 156, 25, 0, 0, 213,
    232, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 157, 25, 0, 0, 226, 232, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    158, 25, 0, 0, 239, 232, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 74, 11, 0, 0, 252, 232, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 12, 4, 0, 0, 9, 233, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 159, 25, 0, 0, 43, 233, 1,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 160, 25, 0, 0, 77, 233, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 161, 25, 0,
    0, 86, 233, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 162, 25, 0, 0, 99, 233, 1, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 163, 25, 0, 0, 112, 233, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 164, 25, 0, 0, 125, 233, 1, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 165, 25, 0, 0, 138, 233, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 166, 25, 0, 0, 151,
    233, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 167, 25, 0, 0, 164, 233, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    168, 25, 0, 0, 177, 233, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 169, 25, 0, 0, 190, 233, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 170, 25, 0, 0, 203, 233, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 171, 25, 0, 0, 216,
    233, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 172, 25, 0, 0, 229, 233, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    173, 25, 0, 0, 242, 233, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 174, 25, 0, 0, 255, 233, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 175, 25, 0, 0, 12, 234, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 176, 25, 0, 0, 25, 234,
    1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 177, 25, 0, 0, 38, 234, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 178, 25,
    0, 0, 51, 234, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 179, 25, 0, 0, 64, 234, 1, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 180, 25, 0, 0, 83, 234, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 35, 8, 0, 0, 93, 234, 1, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 244, 6, 0, 0, 106, 234, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 78, 3, 0, 0, 119,
    234, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 181, 25, 0, 0, 132, 234, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    182, 25, 0, 0, 145, 234, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 183, 25, 0, 0, 158, 234, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 133, 5, 0, 0, 171, 234, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 184, 25, 0, 0, 184, 234,
    1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 185, 25, 0, 0, 197, 234, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 186, 25,
    0, 0, 210, 234, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 187, 25, 0, 0, 223, 234, 1, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 188, 25, 0, 0, 236, 234, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 189, 25, 0, 0, 249, 234, 1, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 190, 25, 0, 0, 7, 235, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 191, 25, 0, 0,
    21, 235, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 192, 25, 0, 0, 35, 235, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    193, 25, 0, 0, 49, 235, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 194, 25, 0, 0, 63, 235, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 18, 2, 0, 0, 77, 235, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 125, 10, 0, 0, 91, 235, 1,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 12, 4, 0, 0, 105, 235, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 195, 25, 0,
    0, 119, 235, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 196, 25, 0, 0, 134, 235, 1, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 197, 25, 0, 0, 144, 235, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 198, 25, 0, 0, 157, 235, 1, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 146, 1, 0, 0, 170, 235, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 199, 25, 0, 0,
    183, 235, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 200, 25, 0, 0, 196, 235, 1, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 201, 25, 0, 0, 209, 235, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 202, 25, 0, 0, 222, 235, 1, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 203, 25, 0, 0, 235, 235, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 44, 6, 0, 0, 248,
    235, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 51, 23, 0, 0, 5, 236, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 204,
    25, 0, 0, 19, 236, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 205, 25, 0, 0, 33, 236, 1, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 206, 25, 0, 0, 47, 236, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 207, 25, 0, 0, 61, 236, 1, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 208, 25, 0, 0, 75, 236, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 209, 25, 0, 0,
    89, 236, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 210, 25, 0, 0, 103, 236, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    211, 25, 0, 0, 117, 236, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 212, 25, 0, 0, 131, 236, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 213, 25, 0, 0, 145, 236, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 214, 25, 0, 0, 159,
    236, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 215, 25, 0, 0, 173, 236, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    216, 25, 0, 0, 187, 236, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 217, 25, 0, 0, 201, 236, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 218, 25, 0, 0, 215, 236, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 219, 25, 0, 0, 229,
    236, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 133, 5, 0, 0, 243, 236, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 220,
    25, 0, 0, 1, 237, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 221, 25, 0, 0, 15, 237, 1, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 222, 25, 0, 0, 29, 237, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 223, 25, 0, 0, 43, 237, 1, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 224, 25, 0, 0, 72, 237, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 66, 14, 0, 0,
    85, 237, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 70, 5, 0, 0, 112, 237, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    225, 25, 0, 0, 121, 237, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 8, 0, 0, 0, 134, 237, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 228, 16, 0, 0, 147, 237, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 240, 4, 0, 0, 165, 237, 1,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 226, 25, 0, 0, 174, 237, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 227, 25, 0,
    0, 180, 237, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 228, 25, 0, 0, 186, 237, 1, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 229, 25, 0, 0, 192, 237, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 230, 25, 0, 0, 198, 237, 1, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 231, 25, 0, 0, 204, 237, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 232, 25, 0, 0,
    210, 237, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 233, 25, 0, 0, 216, 237, 1, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 234, 25, 0, 0, 222, 237, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 235, 25, 0, 0, 233, 237, 1, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 236, 25, 0, 0, 138, 238, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 237, 25, 0, 0, 147,
    238, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 238, 25, 0, 0, 160, 238, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    141, 25, 0, 0, 173, 238, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 239, 25, 0, 0, 186, 238, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 107, 7, 0, 0, 1, 239, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 240, 25, 0, 0, 40, 239, 1,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 241, 25, 0, 0, 49, 239, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 107, 7, 0,
    0, 62, 239, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 3, 3, 0, 0, 75, 239, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    242, 25, 0, 0, 88, 239, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 9, 0, 0, 0, 101, 239, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 243, 25, 0, 0, 114, 239, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 244, 25, 0, 0, 127, 239,
    1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 245, 25, 0, 0, 140, 239, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 246, 25,
    0, 0, 153, 239, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 79, 17, 0, 0, 166, 239, 1, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 180, 24, 0, 0, 235, 239, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 159, 25, 0, 0, 244, 239, 1, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 247, 25, 0, 0, 1, 240, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 248, 25, 0, 0, 14,
    240, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 249, 25, 0, 0, 27, 240, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 250,
    25, 0, 0, 40, 240, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 251, 25, 0, 0, 120, 240, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 252, 25, 0, 0, 129, 240, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 253, 25, 0, 0, 135, 240,
    1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 254, 25, 0, 0, 141, 240, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 255, 25,
    0, 0, 147, 240, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 0, 26, 0, 0, 153, 240, 1, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 1, 26, 0, 0, 159, 240, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 2, 26, 0, 0, 254, 240, 1, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 3, 26, 0, 0, 8, 241, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 4, 26, 0, 0, 21, 241, 1,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 5, 26, 0, 0, 34, 241, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 165, 1, 0, 0,
    47, 241, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 6, 26, 0, 0, 60, 241, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 7,
    26, 0, 0, 73, 241, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 8, 26, 0, 0, 86, 241, 1, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 9, 26, 0, 0, 99, 241, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 10, 26, 0, 0, 112, 241, 1, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 11, 26, 0, 0, 125, 241, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 35, 8, 0, 0, 138,
    241, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 12, 26, 0, 0, 151, 241, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 13,
    26, 0, 0, 164, 241, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 14, 26, 0, 0, 177, 241, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 244, 6, 0, 0, 190, 241, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 15, 26, 0, 0, 203, 241, 1,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 16, 26, 0, 0, 216, 241, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 27, 6, 0, 0,
    229, 241, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 17, 26, 0, 0, 242, 241, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    18, 26, 0, 0, 255, 241, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 18, 2, 0, 0, 12, 242, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 212, 11, 0, 0, 25, 242, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 19, 26, 0, 0, 38, 242, 1,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 20, 26, 0, 0, 51, 242, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 21, 26, 0, 0,
    64, 242, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 22, 26, 0, 0, 77, 242, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    23, 26, 0, 0, 90, 242, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 24, 26, 0, 0, 103, 242, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 25, 26, 0, 0, 116, 242, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 26, 26, 0, 0, 129, 242, 1,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 27, 26, 0, 0, 143, 242, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 141, 17, 0,
    0, 157, 242, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 28, 26, 0, 0, 171, 242, 1, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 29, 26, 0, 0, 185, 242, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 30, 26, 0, 0, 199, 242, 1, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 31, 26, 0, 0, 213, 242, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 32, 26, 0, 0, 227,
    242, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 33, 26, 0, 0, 241, 242, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 34,
    26, 0, 0, 255, 242, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 35, 26, 0, 0, 13, 243, 1, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 36, 26, 0, 0, 27, 243, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 37, 26, 0, 0, 41, 243, 1, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 38, 26, 0, 0, 55, 243, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 39, 26, 0, 0, 69,
    243, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 40, 26, 0, 0, 83, 243, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 41,
    26, 0, 0, 97, 243, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 13, 4, 0, 0, 111, 243, 1, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 42, 26, 0, 0, 125, 243, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 43, 26, 0, 0, 139, 243, 1, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 44, 26, 0, 0, 153, 243, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 45, 26, 0, 0,
    167, 243, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 46, 26, 0, 0, 181, 243, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    47, 26, 0, 0, 195, 243, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 48, 26, 0, 0, 209, 243, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 49, 26, 0, 0, 223, 243, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 50, 26, 0, 0, 237, 243,
    1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 51, 26, 0, 0, 251, 243, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 52, 26,
    0, 0, 9, 244, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 53, 26, 0, 0, 23, 244, 1, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 54, 26, 0, 0, 37, 244, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 50, 2, 0, 0, 51, 244, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 55, 26, 0, 0, 65, 244, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 56, 26, 0, 0, 79, 244, 1,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 57, 26, 0, 0, 93, 244, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 58, 26, 0, 0,
    107, 244, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 59, 26, 0, 0, 121, 244, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    60, 26, 0, 0, 135, 244, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 61, 26, 0, 0, 149, 244, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 62, 26, 0, 0, 163, 244, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 63, 26, 0, 0, 177, 244,
    1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 64, 26, 0, 0, 191, 244, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 65, 26,
    0, 0, 205, 244, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 66, 26, 0, 0, 225, 244, 1, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 148, 11, 0, 0, 235, 244, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 67, 26, 0, 0, 248, 244, 1, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 68, 26, 0, 0, 5, 245, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 69, 26, 0, 0, 18,
    245, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 70, 26, 0, 0, 31, 245, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 136,
    17, 0, 0, 44, 245, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 86, 14, 0, 0, 57, 245, 1, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 71, 26, 0, 0, 70, 245, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 72, 26, 0, 0, 83, 245, 1, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 73, 26, 0, 0, 96, 245, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 87, 25, 0, 0, 109,
    245, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 74, 26, 0, 0, 122, 245, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 75,
    26, 0, 0, 149, 245, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 54, 3, 0, 0, 162, 245, 1, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 76, 26, 0, 0, 190, 245, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 78, 3, 0, 0, 203, 245, 1, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 77, 26, 0, 0, 216, 245, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 78, 26, 0, 0, 229,
    245, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 79, 26, 0, 0, 1, 246, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 80,
    26, 0, 0, 19, 246, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 81, 26, 0, 0, 32, 246, 1, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 135, 1, 0, 0, 46, 246, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 197, 5, 0, 0, 64, 246, 1, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 241, 9, 0, 0, 77, 246, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 134, 1, 0, 0, 90,
    246, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 82, 26, 0, 0, 105, 246, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 83,
    26, 0, 0, 118, 246, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 129, 25, 0, 0, 131, 246, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 84, 26, 0, 0, 144, 246, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 85, 26, 0, 0, 157, 246, 1,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 86, 26, 0, 0, 170, 246, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 87, 26, 0,
    0, 183, 246, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 88, 26, 0, 0, 196, 246, 1, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 89, 26, 0, 0, 209, 246, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 90, 26, 0, 0, 222, 246, 1, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 91, 26, 0, 0, 235, 246, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 92, 26, 0, 0, 248,
    246, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 93, 26, 0, 0, 5, 247, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 94,
    26, 0, 0, 18, 247, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 146, 1, 0, 0, 31, 247, 1, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 74, 17, 0, 0, 44, 247, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 141, 17, 0, 0, 57, 247, 1, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 150, 17, 0, 0, 84, 247, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 95, 26, 0, 0, 97,
    247, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 96, 26, 0, 0, 111, 247, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 97,
    26, 0, 0, 125, 247, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 98, 26, 0, 0, 145, 247, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 99, 26, 0, 0, 169, 247, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 240, 4, 0, 0, 182, 247, 1,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 100, 26, 0, 0, 196, 247, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 167, 7, 0,
    0, 209, 247, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 101, 26, 0, 0, 222, 247, 1, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 102, 26, 0, 0, 235, 247, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 103, 26, 0, 0, 248, 247, 1, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 104, 26, 0, 0, 5, 248, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 105, 26, 0, 0, 18,
    248, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 241, 6, 0, 0, 31, 248, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 106,
    26, 0, 0, 44, 248, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 27, 6, 0, 0, 99, 248, 1, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 107, 26, 0, 0, 123, 248, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 240, 4, 0, 0, 136, 248, 1, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 108, 26, 0, 0, 149, 248, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 146, 1, 0, 0,
    163, 248, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 105, 18, 0, 0, 176, 248, 1, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 54, 10, 0, 0, 189, 248, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 109, 26, 0, 0, 202, 248, 1, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 110, 26, 0, 0, 215, 248, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 179, 1, 0, 0, 228,
    248, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 111, 26, 0, 0, 241, 248, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    241, 6, 0, 0, 254, 248, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 44, 26, 0, 0, 11, 249, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 63, 10, 0, 0, 24, 249, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 112, 26, 0, 0, 37, 249, 1,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 113, 26, 0, 0, 51, 249, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 114, 26, 0,
    0, 65, 249, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 9, 0, 0, 0, 79, 249, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    115, 26, 0, 0, 93, 249, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 106, 26, 0, 0, 107, 249, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 116, 26, 0, 0, 121, 249, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 117, 26, 0, 0, 135,
    249, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 118, 26, 0, 0, 149, 249, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    119, 26, 0, 0, 163, 249, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 120, 26, 0, 0, 177, 249, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 121, 26, 0, 0, 191, 249, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 122, 26, 0, 0, 205,
    249, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 123, 26, 0, 0, 219, 249, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 81,
    10, 0, 0, 233, 249, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 124, 26, 0, 0, 247, 249, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 30, 10, 0, 0, 5, 250, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 125, 26, 0, 0, 19, 250, 1, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 126, 26, 0, 0, 33, 250, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 27, 6, 0, 0,
    47, 250, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 127, 26, 0, 0, 61, 250, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    128, 26, 0, 0, 75, 250, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 129, 26, 0, 0, 89, 250, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 61, 26, 0, 0, 103, 250, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 62, 26, 0, 0, 117, 250,
    1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 130, 26, 0, 0, 131, 250, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 131, 26,
    0, 0, 151, 250, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 132, 26, 0, 0, 160, 250, 1, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 133, 26, 0, 0, 176, 250, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 134, 26, 0, 0, 192, 250, 1, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 135, 26, 0, 0, 205, 250, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 136, 26, 0, 0,
    218, 250, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 137, 26, 0, 0, 231, 250, 1, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 138, 26, 0, 0, 244, 250, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 139, 26, 0, 0, 1, 251, 1, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 125, 5, 0, 0, 14, 251, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 140, 26, 0, 0, 32,
    251, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 141, 26, 0, 0, 40, 251, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 142,
    26, 0, 0, 49, 251, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 5, 9, 0, 0, 62, 251, 1, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 143, 26, 0, 0, 75, 251, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 144, 26, 0, 0, 88, 251, 1, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 164, 10, 0, 0, 107, 251, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 145, 26, 0, 0,
    116, 251, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 5, 9, 0, 0, 129, 251, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    146, 26, 0, 0, 142, 251, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 147, 26, 0, 0, 155, 251, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 148, 26, 0, 0, 178, 251, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 149, 26, 0, 0, 186,
    251, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 150, 26, 0, 0, 195, 251, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    179, 1, 0, 0, 208, 251, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 89, 2, 0, 0, 221, 251, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 51, 2, 0, 0, 234, 251, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 33, 6, 0, 0, 252, 251, 1, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 151, 26, 0, 0, 45, 252, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 152, 26, 0, 0,
    54, 252, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 153, 26, 0, 0, 67, 252, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    154, 26, 0, 0, 80, 252, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 155, 26, 0, 0, 93, 252, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 156, 26, 0, 0, 106, 252, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 157, 26, 0, 0, 119,
    252, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 158, 26, 0, 0, 132, 252, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    159, 26, 0, 0, 145, 252, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 160, 26, 0, 0, 159, 252, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 161, 26, 0, 0, 168, 252, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 162, 26, 0, 0, 181,
    252, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 163, 26, 0, 0, 194, 252, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    164, 26, 0, 0, 207, 252, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 165, 26, 0, 0, 220, 252, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 166, 26, 0, 0, 233, 252, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 167, 26, 0, 0, 246,
    252, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 168, 26, 0, 0, 3, 253, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 169,
    26, 0, 0, 22, 253, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 170, 26, 0, 0, 31, 253, 1, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 171, 26, 0, 0, 44, 253, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 13, 10, 0, 0, 87, 253, 1, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 172, 26, 0, 0, 97, 253, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 13, 4, 0, 0, 110,
    253, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 132, 2, 0, 0, 124, 253, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 173,
    26, 0, 0, 138, 253, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 240, 4, 0, 0, 152, 253, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 174, 26, 0, 0, 166, 253, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 175, 26, 0, 0, 180, 253,
    1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 176, 26, 0, 0, 194, 253, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 177, 26,
    0, 0, 208, 253, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 178, 26, 0, 0, 222, 253, 1, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 179, 26, 0, 0, 236, 253, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 180, 26, 0, 0, 250, 253, 1, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 181, 26, 0, 0, 8, 254, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 182, 26, 0, 0,
    22, 254, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 183, 26, 0, 0, 36, 254, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    184, 26, 0, 0, 50, 254, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 141, 7, 0, 0, 77, 254, 1, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 185, 26, 0, 0, 86, 254, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 240, 4, 0, 0, 99, 254, 1,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 186, 26, 0, 0, 112, 254, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 187, 26, 0,
    0, 125, 254, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 178, 26, 0, 0, 138, 254, 1, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 188, 26, 0, 0, 151, 254, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 178, 17, 0, 0, 164, 254, 1, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 179, 17, 0, 0, 200, 254, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 189, 26, 0, 0,
    210, 254, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 190, 26, 0, 0, 223, 254, 1, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 191, 26, 0, 0, 236, 254, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 240, 4, 0, 0, 249, 254, 1, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 192, 26, 0, 0, 6, 255, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 177, 26, 0, 0, 19,
    255, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 178, 26, 0, 0, 32, 255, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 193,
    26, 0, 0, 45, 255, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 194, 26, 0, 0, 58, 255, 1, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 141, 7, 0, 0, 71, 255, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 195, 26, 0, 0, 85, 255, 1, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 196, 26, 0, 0, 99, 255, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 177, 17, 0, 0,
    113, 255, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 167, 7, 0, 0, 127, 255, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    197, 26, 0, 0, 142, 255, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 198, 26, 0, 0, 151, 255, 1, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 74, 3, 0, 0, 164, 255, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 199, 26, 0, 0, 177, 255,
    1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 165, 17, 0, 0, 190, 255, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 3, 3, 0,
    0, 203, 255, 1, 0, 0, 0, 0, 0, 10, 0, 0, 0, 108, 17, 0, 0, 216, 255, 1, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 200, 26, 0, 0, 1, 0, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 201, 26, 0, 0, 10, 0, 2, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 27, 6, 0, 0, 23, 0, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 8, 26, 0, 0, 41, 0, 2, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 202, 26, 0, 0, 54, 0, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 203, 26, 0, 0, 63,
    0, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 67, 26, 0, 0, 76, 0, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 204, 26,
    0, 0, 103, 0, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 205, 26, 0, 0, 116, 0, 2, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 206, 26, 0, 0, 144, 0, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 207, 26, 0, 0, 157, 0, 2, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 208, 26, 0, 0, 171, 0, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 179, 1, 0, 0, 190, 0, 2,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 36, 8, 0, 0, 199, 0, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 61, 7, 0, 0,
    212, 0, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 209, 26, 0, 0, 225, 0, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    199, 16, 0, 0, 238, 0, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 240, 4, 0, 0, 251, 0, 2, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 94, 26, 0, 0, 8, 1, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 210, 26, 0, 0, 21, 1, 2, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 211, 26, 0, 0, 34, 1, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 212, 26, 0, 0, 47,
    1, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 213, 26, 0, 0, 60, 1, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 29, 26,
    0, 0, 73, 1, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 66, 14, 0, 0, 108, 1, 2, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 214, 26, 0, 0, 133, 1, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 215, 26, 0, 0, 142, 1, 2, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 216, 26, 0, 0, 155, 1, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 217, 26, 0, 0, 179, 1, 2,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 218, 26, 0, 0, 188, 1, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 219, 26, 0,
    0, 201, 1, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 220, 26, 0, 0, 214, 1, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    129, 5, 0, 0, 227, 1, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 82, 16, 0, 0, 241, 1, 2, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 221, 26, 0, 0, 250, 1, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 222, 26, 0, 0, 7, 2, 2, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 223, 26, 0, 0, 20, 2, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 224, 26, 0, 0,
    38, 2, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 225, 26, 0, 0, 47, 2, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 226,
    26, 0, 0, 53, 2, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 227, 26, 0, 0, 59, 2, 2, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 228, 26, 0, 0, 65, 2, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 229, 26, 0, 0, 71, 2, 2, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 230, 26, 0, 0, 83, 2, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 231, 26, 0, 0, 92, 2, 2,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 232, 26, 0, 0, 105, 2, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 233, 26, 0,
    0, 118, 2, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 49, 10, 0, 0, 131, 2, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    125, 5, 0, 0, 144, 2, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 23, 26, 0, 0, 163, 2, 2, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 234, 26, 0, 0, 172, 2, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 235, 26, 0, 0, 185, 2, 2, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 236, 26, 0, 0, 198, 2, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 237, 26, 0, 0,
    211, 2, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 18, 2, 0, 0, 224, 2, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 238,
    26, 0, 0, 237, 2, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 240, 4, 0, 0, 250, 2, 2, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 239, 26, 0, 0, 7, 3, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 240, 26, 0, 0, 20, 3, 2, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 241, 26, 0, 0, 33, 3, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 242, 26, 0, 0, 46, 3, 2,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 243, 26, 0, 0, 59, 3, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 233, 12, 0, 0,
    73, 3, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 244, 26, 0, 0, 82, 3, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 245,
    26, 0, 0, 95, 3, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 246, 26, 0, 0, 139, 3, 2, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 247, 26, 0, 0, 148, 3, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 248, 26, 0, 0, 154, 3, 2, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 249, 26, 0, 0, 160, 3, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 250, 26, 0, 0, 172, 3,
    2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 251, 26, 0, 0, 182, 3, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 9, 0, 0,
    0, 195, 3, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 252, 26, 0, 0, 208, 3, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    27, 6, 0, 0, 221, 3, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 48, 26, 0, 0, 234, 3, 2, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 107, 17, 0, 0, 250, 3, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 54, 3, 0, 0, 13, 4, 2, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 253, 26, 0, 0, 23, 4, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 254, 26, 0, 0, 36, 4,
    2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 97, 5, 0, 0, 49, 4, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 255, 26, 0,
    0, 62, 4, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 0, 27, 0, 0, 75, 4, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 1,
    27, 0, 0, 88, 4, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 2, 27, 0, 0, 101, 4, 2, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 3, 27, 0, 0, 114, 4, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 4, 27, 0, 0, 127, 4, 2, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 5, 27, 0, 0, 140, 4, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 6, 27, 0, 0, 153, 4, 2, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 7, 27, 0, 0, 166, 4, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 8, 27, 0, 0, 180,
    4, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 134, 1, 0, 0, 195, 4, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 9, 27,
    0, 0, 204, 4, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 10, 27, 0, 0, 217, 4, 2, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 11, 27, 0, 0, 230, 4, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 12, 27, 0, 0, 243, 4, 2, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 13, 27, 0, 0, 0, 5, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 14, 27, 0, 0, 13, 5, 2, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 15, 27, 0, 0, 26, 5, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 16, 27, 0, 0, 39, 5,
    2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 17, 27, 0, 0, 52, 5, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 18, 27, 0,
    0, 65, 5, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 19, 27, 0, 0, 78, 5, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    20, 27, 0, 0, 91, 5, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 21, 27, 0, 0, 104, 5, 2, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 22, 27, 0, 0, 117, 5, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 23, 27, 0, 0, 130, 5, 2, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 24, 27, 0, 0, 143, 5, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 25, 27, 0, 0, 156, 5,
    2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 26, 27, 0, 0, 169, 5, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 27, 27, 0,
    0, 182, 5, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 28, 27, 0, 0, 195, 5, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    29, 27, 0, 0, 208, 5, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 30, 27, 0, 0, 221, 5, 2, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 31, 27, 0, 0, 166, 6, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 32, 27, 0, 0, 175, 6, 2, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 33, 27, 0, 0, 181, 6, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 34, 27, 0, 0,
    187, 6, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 35, 27, 0, 0, 193, 6, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 36,
    27, 0, 0, 244, 6, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 37, 27, 0, 0, 253, 6, 2, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 67, 26, 0, 0, 10, 7, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 179, 1, 0, 0, 23, 7, 2, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 38, 27, 0, 0, 36, 7, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 70, 26, 0, 0, 49, 7, 2, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 39, 27, 0, 0, 62, 7, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 40, 27, 0, 0, 80,
    7, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 41, 27, 0, 0, 209, 7, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 42, 27,
    0, 0, 218, 7, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 73, 6, 0, 0, 231, 7, 2, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 61, 6, 0, 0, 244, 7, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 62, 6, 0, 0, 64, 8, 2, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 43, 27, 0, 0, 73, 8, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 123, 1, 0, 0, 86, 8, 2, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 106, 2, 0, 0, 99, 8, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 61, 6, 0, 0, 112, 8,
    2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 186, 5, 0, 0, 125, 8, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 10, 13, 0,
    0, 208, 8, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 44, 27, 0, 0, 217, 8, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    45, 27, 0, 0, 230, 8, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 240, 4, 0, 0, 243, 8, 2, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 46, 27, 0, 0, 6, 9, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 6, 26, 0, 0, 15, 9, 2, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 97, 5, 0, 0, 28, 9, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 67, 26, 0, 0, 41, 9, 2,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 244, 6, 0, 0, 54, 9, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 44, 2, 0, 0,
    67, 9, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 61, 26, 0, 0, 86, 9, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 47,
    27, 0, 0, 95, 9, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 146, 24, 0, 0, 108, 9, 2, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 48, 27, 0, 0, 121, 9, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 49, 27, 0, 0, 134, 9, 2, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 50, 27, 0, 0, 147, 9, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 51, 27, 0, 0, 160, 9, 2,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 11, 10, 0, 0, 173, 9, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 52, 27, 0, 0,
    186, 9, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 140, 24, 0, 0, 199, 9, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    53, 27, 0, 0, 212, 9, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 23, 6, 0, 0, 225, 9, 2, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 54, 27, 0, 0, 55, 10, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 55, 27, 0, 0, 64, 10, 2, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 56, 27, 0, 0, 70, 10, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 57, 27, 0, 0, 76, 10,
    2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 58, 27, 0, 0, 93, 10, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 59, 27, 0,
    0, 102, 10, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 60, 27, 0, 0, 115, 10, 2, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 61, 27, 0, 0, 128, 10, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 62, 27, 0, 0, 141, 10, 2, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 63, 27, 0, 0, 154, 10, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 141, 17, 0, 0, 167, 10,
    2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 192, 5, 0, 0, 180, 10, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 139, 10,
    0, 0, 193, 10, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 12, 27, 0, 0, 206, 10, 2, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 13, 27, 0, 0, 219, 10, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 64, 27, 0, 0, 232, 10, 2, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 65, 27, 0, 0, 245, 10, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 66, 27, 0, 0, 2, 11,
    2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 67, 27, 0, 0, 15, 11, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 104, 13, 0,
    0, 28, 11, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 68, 27, 0, 0, 41, 11, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    69, 27, 0, 0, 86, 11, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 70, 27, 0, 0, 95, 11, 2, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 150, 8, 0, 0, 108, 11, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 223, 8, 0, 0, 175, 11, 2, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 71, 27, 0, 0, 184, 11, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 72, 27, 0, 0,
    190, 11, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 73, 27, 0, 0, 19, 12, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    74, 27, 0, 0, 28, 12, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 164, 10, 0, 0, 41, 12, 2, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 75, 27, 0, 0, 54, 12, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 97, 5, 0, 0, 67, 12, 2, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 11, 26, 0, 0, 80, 12, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 9, 26, 0, 0, 93, 12,
    2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 76, 27, 0, 0, 106, 12, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 65, 26, 0,
    0, 119, 12, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 81, 10, 0, 0, 132, 12, 2, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 141, 17, 0, 0, 145, 12, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 179, 1, 0, 0, 158, 12, 2, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 63, 10, 0, 0, 171, 12, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 119, 26, 0, 0, 184, 12,
    2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 77, 27, 0, 0, 197, 12, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 78, 27, 0,
    0, 223, 12, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 79, 27, 0, 0, 232, 12, 2, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 80, 27, 0, 0, 245, 12, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 81, 27, 0, 0, 2, 13, 2, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 82, 27, 0, 0, 81, 13, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 83, 27, 0, 0, 90, 13, 2, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 84, 27, 0, 0, 103, 13, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 179, 1, 0, 0,
    116, 13, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 85, 27, 0, 0, 129, 13, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    86, 27, 0, 0, 142, 13, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 87, 27, 0, 0, 166, 13, 2, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 88, 27, 0, 0, 175, 13, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 89, 27, 0, 0, 188, 13, 2, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 90, 27, 0, 0, 201, 13, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 91, 27, 0, 0,
    214, 13, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 92, 27, 0, 0, 227, 13, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    123, 1, 0, 0, 250, 13, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 93, 27, 0, 0, 18, 14, 2, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 94, 27, 0, 0, 27, 14, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 95, 27, 0, 0, 40, 14, 2, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 96, 27, 0, 0, 53, 14, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 97, 27, 0, 0, 66,
    14, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 43, 15, 0, 0, 79, 14, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 56, 7,
    0, 0, 92, 14, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 114, 25, 0, 0, 115, 14, 2, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 98, 27, 0, 0, 132, 14, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 99, 27, 0, 0, 157, 14, 2, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 100, 27, 0, 0, 166, 14, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 134, 1, 0, 0, 179,
    14, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 247, 9, 0, 0, 192, 14, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 101,
    27, 0, 0, 205, 14, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 102, 27, 0, 0, 218, 14, 2, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 113, 18, 0, 0, 231, 14, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 51, 23, 0, 0, 244, 14, 2, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 103, 27, 0, 0, 1, 15, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 114, 2, 0, 0, 14,
    15, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 70, 5, 0, 0, 33, 15, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 104, 27,
    0, 0, 42, 15, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 105, 27, 0, 0, 55, 15, 2, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 245, 17, 0, 0, 68, 15, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 244, 17, 0, 0, 81, 15, 2, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 106, 27, 0, 0, 94, 15, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 211, 14, 0, 0, 163, 15,
    2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 107, 27, 0, 0, 173, 15, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 67, 26,
    0, 0, 186, 15, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 205, 26, 0, 0, 199, 15, 2, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 224, 25, 0, 0, 212, 15, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 108, 27, 0, 0, 225, 15, 2, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 34, 6, 0, 0, 238, 15, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 133, 5, 0, 0, 251,
    15, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 187, 8, 0, 0, 8, 16, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 109, 27,
    0, 0, 21, 16, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 110, 27, 0, 0, 34, 16, 2, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 27, 17, 0, 0, 47, 16, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 111, 27, 0, 0, 61, 16, 2, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 112, 27, 0, 0, 75, 16, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 113, 27, 0, 0, 89, 16, 2,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 114, 27, 0, 0, 103, 16, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 115, 27, 0,
    0, 117, 16, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 116, 27, 0, 0, 131, 16, 2, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 117, 27, 0, 0, 145, 16, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 118, 27, 0, 0, 159, 16, 2, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 50, 2, 0, 0, 179, 16, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 108, 27, 0, 0, 189, 16,
    2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 46, 9, 0, 0, 202, 16, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 240, 4, 0,
    0, 215, 16, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 119, 27, 0, 0, 228, 16, 2, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 120, 27, 0, 0, 241, 16, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 121, 27, 0, 0, 255, 16, 2, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 32, 26, 0, 0, 13, 17, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 122, 27, 0, 0, 27, 17,
    2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 123, 27, 0, 0, 41, 17, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 124, 27,
    0, 0, 73, 17, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 125, 27, 0, 0, 82, 17, 2, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 108, 27, 0, 0, 95, 17, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 126, 27, 0, 0, 114, 17, 2, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 127, 27, 0, 0, 123, 17, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 8, 12, 0, 0, 136, 17, 2,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 128, 27, 0, 0, 149, 17, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 223, 8, 0,
    0, 163, 17, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 129, 27, 0, 0, 172, 17, 2, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 48, 22, 0, 0, 185, 17, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 142, 25, 0, 0, 228, 17, 2, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 130, 27, 0, 0, 237, 17, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 131, 27, 0, 0, 250, 17,
    2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 126, 27, 0, 0, 8, 18, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 132, 27, 0,
    0, 17, 18, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 133, 27, 0, 0, 30, 18, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    134, 27, 0, 0, 43, 18, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 135, 27, 0, 0, 56, 18, 2, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 136, 27, 0, 0, 69, 18, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 137, 27, 0, 0, 82, 18, 2, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 138, 27, 0, 0, 95, 18, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 139, 27, 0, 0,
    108, 18, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 75, 13, 0, 0, 121, 18, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    140, 27, 0, 0, 134, 18, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 141, 27, 0, 0, 147, 18, 2, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 134, 25, 0, 0, 160, 18, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 142, 27, 0, 0, 173, 18,
    2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 143, 27, 0, 0, 186, 18, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 144, 27,
    0, 0, 199, 18, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 145, 27, 0, 0, 212, 18, 2, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 146, 27, 0, 0, 225, 18, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 147, 27, 0, 0, 238, 18, 2, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 148, 27, 0, 0, 251, 18, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 149, 27, 0, 0, 8,
    19, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 135, 25, 0, 0, 21, 19, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 150,
    27, 0, 0, 34, 19, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 151, 27, 0, 0, 47, 19, 2, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 152, 27, 0, 0, 60, 19, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 153, 27, 0, 0, 73, 19, 2, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 154, 27, 0, 0, 86, 19, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 155, 27, 0, 0, 99,
    19, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 156, 27, 0, 0, 117, 19, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 157,
    27, 0, 0, 126, 19, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 158, 27, 0, 0, 132, 19, 2, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 159, 27, 0, 0, 138, 19, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 160, 27, 0, 0, 150, 19, 2, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 43, 26, 0, 0, 159, 19, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 161, 27, 0, 0,
    172, 19, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 162, 27, 0, 0, 185, 19, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    233, 4, 0, 0, 198, 19, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 163, 27, 0, 0, 211, 19, 2, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 164, 27, 0, 0, 224, 19, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 165, 27, 0, 0, 237, 19, 2,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 166, 27, 0, 0, 250, 19, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 226, 7, 0,
    0, 7, 20, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 18, 2, 0, 0, 20, 20, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    94, 9, 0, 0, 33, 20, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 167, 27, 0, 0, 46, 20, 2, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 168, 27, 0, 0, 59, 20, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 169, 27, 0, 0, 72, 20, 2, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 170, 27, 0, 0, 91, 20, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 162, 27, 0, 0,
    101, 20, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 215, 5, 0, 0, 114, 20, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    171, 27, 0, 0, 127, 20, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 172, 27, 0, 0, 140, 20, 2, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 173, 27, 0, 0, 153, 20, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 254, 2, 0, 0, 166, 20,
    2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 38, 6, 0, 0, 179, 20, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 102, 4, 0,
    0, 192, 20, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 174, 27, 0, 0, 205, 20, 2, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 52, 6, 0, 0, 218, 20, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 175, 27, 0, 0, 231, 20, 2, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 134, 1, 0, 0, 244, 20, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 34, 6, 0, 0, 1, 21, 2, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 176, 27, 0, 0, 14, 21, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 177, 27, 0, 0,
    33, 21, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 178, 27, 0, 0, 42, 21, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    179, 27, 0, 0, 55, 21, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 180, 27, 0, 0, 68, 21, 2, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 181, 27, 0, 0, 81, 21, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 182, 27, 0, 0, 94, 21, 2, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 183, 27, 0, 0, 144, 21, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 184, 27, 0, 0,
    153, 21, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 107, 7, 0, 0, 166, 21, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    114, 2, 0, 0, 179, 21, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 37, 7, 0, 0, 192, 21, 2, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 185, 27, 0, 0, 205, 21, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 186, 27, 0, 0, 218, 21, 2,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 187, 27, 0, 0, 231, 21, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 75, 24, 0,
    0, 244, 21, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 188, 27, 0, 0, 1, 22, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    208, 4, 0, 0, 14, 22, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 38, 6, 0, 0, 27, 22, 2, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 189, 27, 0, 0, 40, 22, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 190, 27, 0, 0, 53, 22, 2, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 191, 27, 0, 0, 66, 22, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 32, 11, 0, 0, 79,
    22, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 192, 27, 0, 0, 92, 22, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 193,
    27, 0, 0, 105, 22, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 194, 27, 0, 0, 118, 22, 2, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 167, 7, 0, 0, 202, 22, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 195, 27, 0, 0, 211, 22, 2, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 196, 27, 0, 0, 224, 22, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 197, 27, 0, 0,
    237, 22, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 241, 6, 0, 0, 250, 22, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    97, 5, 0, 0, 18, 23, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 198, 27, 0, 0, 27, 23, 2, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 199, 27, 0, 0, 40, 23, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 200, 27, 0, 0, 53, 23, 2, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 201, 27, 0, 0, 66, 23, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 202, 27, 0, 0,
    101, 23, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 203, 27, 0, 0, 110, 23, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    204, 27, 0, 0, 123, 23, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 67, 3, 0, 0, 136, 23, 2, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 205, 27, 0, 0, 149, 23, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 206, 27, 0, 0, 162, 23, 2,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 148, 11, 0, 0, 175, 23, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 207, 27, 0,
    0, 188, 23, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 208, 27, 0, 0, 201, 23, 2, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 209, 27, 0, 0, 214, 23, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 210, 27, 0, 0, 227, 23, 2, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 211, 27, 0, 0, 240, 23, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 212, 27, 0, 0, 253,
    23, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 213, 27, 0, 0, 10, 24, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 214,
    27, 0, 0, 23, 24, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 215, 27, 0, 0, 36, 24, 2, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 216, 27, 0, 0, 49, 24, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 217, 27, 0, 0, 62, 24, 2, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 218, 27, 0, 0, 75, 24, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 141, 17, 0, 0, 88,
    24, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 179, 1, 0, 0, 101, 24, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 219,
    27, 0, 0, 114, 24, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 220, 27, 0, 0, 127, 24, 2, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 221, 27, 0, 0, 140, 24, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 222, 27, 0, 0, 153, 24, 2, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 223, 27, 0, 0, 166, 24, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 224, 27, 0, 0,
    179, 24, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 116, 7, 0, 0, 192, 24, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    248, 14, 0, 0, 205, 24, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 225, 27, 0, 0, 218, 24, 2, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 226, 27, 0, 0, 231, 24, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 227, 27, 0, 0, 244, 24,
    2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 228, 27, 0, 0, 1, 25, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 229, 27, 0,
    0, 14, 25, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 32, 11, 0, 0, 80, 25, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    230, 27, 0, 0, 90, 25, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 231, 27, 0, 0, 103, 25, 2, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 241, 6, 0, 0, 116, 25, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 232, 27, 0, 0, 129, 25, 2,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 233, 27, 0, 0, 142, 25, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 234, 27, 0,
    0, 155, 25, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 235, 27, 0, 0, 168, 25, 2, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 236, 27, 0, 0, 181, 25, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 237, 27, 0, 0, 194, 25, 2, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 238, 27, 0, 0, 207, 25, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 239, 27, 0, 0, 220,
    25, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 240, 27, 0, 0, 233, 25, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 241,
    27, 0, 0, 247, 25, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 242, 27, 0, 0, 5, 26, 2, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 243, 27, 0, 0, 19, 26, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 244, 27, 0, 0, 33, 26, 2, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 245, 27, 0, 0, 48, 26, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 246, 27, 0, 0, 57,
    26, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 247, 27, 0, 0, 70, 26, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 121,
    26, 0, 0, 83, 26, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 232, 27, 0, 0, 96, 26, 2, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 248, 27, 0, 0, 109, 26, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 19, 26, 0, 0, 122, 26, 2, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 249, 27, 0, 0, 135, 26, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 250, 27, 0, 0,
    178, 26, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 251, 27, 0, 0, 187, 26, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    252, 27, 0, 0, 200, 26, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 253, 27, 0, 0, 226, 26, 2, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 254, 27, 0, 0, 235, 26, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 255, 27, 0, 0, 248, 26,
    2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 105, 13, 0, 0, 23, 27, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 0, 28, 0,
    0, 33, 27, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 1, 28, 0, 0, 46, 27, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    2, 28, 0, 0, 59, 27, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 3, 28, 0, 0, 72, 27, 2, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 4, 28, 0, 0, 85, 27, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 5, 28, 0, 0, 98, 27, 2, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 6, 28, 0, 0, 111, 27, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 7, 28, 0, 0, 125, 27,
    2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 8, 28, 0, 0, 139, 27, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 9, 28, 0,
    0, 153, 27, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 10, 28, 0, 0, 172, 27, 2, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 11, 28, 0, 0, 180, 27, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 12, 28, 0, 0, 189, 27, 2, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 240, 4, 0, 0, 202, 27, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 13, 28, 0, 0, 215, 27, 2,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 14, 28, 0, 0, 228, 27, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 31, 17, 0, 0,
    241, 27, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 15, 28, 0, 0, 254, 27, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    31, 12, 0, 0, 11, 28, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 118, 5, 0, 0, 24, 28, 2, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 13, 10, 0, 0, 47, 28, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 16, 28, 0, 0, 80, 28, 2, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 17, 28, 0, 0, 105, 28, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 18, 28, 0, 0,
    116, 28, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 162, 11, 0, 0, 131, 28, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    19, 28, 0, 0, 146, 28, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 20, 28, 0, 0, 166, 28, 2, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 21, 28, 0, 0, 179, 28, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 22, 28, 0, 0, 188, 28, 2, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 13, 4, 0, 0, 201, 28, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 23, 28, 0, 0,
    214, 28, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 240, 4, 0, 0, 227, 28, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    24, 28, 0, 0, 240, 28, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 25, 28, 0, 0, 253, 28, 2, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 249, 4, 0, 0, 10, 29, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 26, 28, 0, 0, 23, 29, 2, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 27, 28, 0, 0, 36, 29, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 217, 25, 0, 0,
    55, 29, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 28, 28, 0, 0, 64, 29, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 97,
    5, 0, 0, 77, 29, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 134, 1, 0, 0, 90, 29, 2, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 23, 28, 0, 0, 103, 29, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 29, 28, 0, 0, 116, 29, 2, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 49, 12, 0, 0, 129, 29, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 30, 28, 0, 0, 142, 29,
    2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 79, 17, 0, 0, 155, 29, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 31, 28, 0,
    0, 171, 29, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 32, 28, 0, 0, 187, 29, 2, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 33, 28, 0, 0, 200, 29, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 34, 28, 0, 0, 213, 29, 2, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 35, 28, 0, 0, 226, 29, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 123, 1, 0, 0, 239, 29, 2,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 36, 28, 0, 0, 255, 29, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 37, 28, 0, 0,
    15, 30, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 180, 24, 0, 0, 31, 30, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    38, 28, 0, 0, 44, 30, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 39, 28, 0, 0, 57, 30, 2, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 40, 28, 0, 0, 70, 30, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 41, 28, 0, 0, 83, 30, 2, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 42, 28, 0, 0, 96, 30, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 23, 6, 0, 0, 109,
    30, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 43, 28, 0, 0, 133, 30, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 44,
    28, 0, 0, 142, 30, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 196, 5, 0, 0, 155, 30, 2, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 198, 5, 0, 0, 168, 30, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 45, 28, 0, 0, 181, 30, 2, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 153, 25, 0, 0, 194, 30, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 46, 28, 0, 0, 207,
    30, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 47, 28, 0, 0, 220, 30, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 48,
    28, 0, 0, 233, 30, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 49, 28, 0, 0, 246, 30, 2, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 50, 28, 0, 0, 3, 31, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 51, 28, 0, 0, 16, 31, 2, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 245, 25, 0, 0, 29, 31, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 52, 28, 0, 0, 42, 31,
    2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 53, 28, 0, 0, 55, 31, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 54, 28, 0,
    0, 154, 31, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 55, 28, 0, 0, 163, 31, 2, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 112, 2, 0, 0, 176, 31, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 56, 28, 0, 0, 189, 31, 2, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 57, 28, 0, 0, 203, 31, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 58, 28, 0, 0, 212, 31, 2,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 59, 28, 0, 0, 225, 31, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 60, 28, 0, 0,
    239, 31, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 61, 28, 0, 0, 248, 31, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    62, 28, 0, 0, 5, 32, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 63, 28, 0, 0, 18, 32, 2, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 63, 16, 0, 0, 58, 32, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 64, 28, 0, 0, 67, 32, 2, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 65, 28, 0, 0, 166, 32, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 66, 28, 0, 0, 175, 32,
    2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 94, 2, 0, 0, 188, 32, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 67, 28, 0,
    0, 201, 32, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 53, 6, 0, 0, 214, 32, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    51, 23, 0, 0, 227, 32, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 68, 28, 0, 0, 240, 32, 2, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 69, 28, 0, 0, 253, 32, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 70, 28, 0, 0, 10, 33, 2, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 141, 17, 0, 0, 23, 33, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 180, 24, 0, 0,
    54, 33, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 71, 28, 0, 0, 63, 33, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 72,
    28, 0, 0, 76, 33, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 73, 28, 0, 0, 89, 33, 2, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 74, 28, 0, 0, 102, 33, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 75, 28, 0, 0, 115, 33, 2, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 76, 28, 0, 0, 128, 33, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 77, 28, 0, 0, 141, 33,
    2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 78, 28, 0, 0, 154, 33, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 79, 28, 0,
    0, 197, 33, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 80, 28, 0, 0, 206, 33, 2, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 18, 2, 0, 0, 219, 33, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 33, 4, 0, 0, 232, 33, 2, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 81, 28, 0, 0, 245, 33, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 143, 26, 0, 0, 2, 34, 2, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 50, 4, 0, 0, 15, 34, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 82, 28, 0, 0, 28,
    34, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 240, 4, 0, 0, 41, 34, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 83, 28,
    0, 0, 54, 34, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 129, 5, 0, 0, 68, 34, 2, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 84, 28, 0, 0, 77, 34, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 85, 28, 0, 0, 90, 34, 2, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 86, 28, 0, 0, 103, 34, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 87, 28, 0, 0, 116, 34, 2, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 88, 28, 0, 0, 139, 34, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 89, 28, 0, 0,
    154, 34, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 90, 28, 0, 0, 163, 34, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    119, 2, 0, 0, 182, 34, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 91, 28, 0, 0, 191, 34, 2, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 92, 28, 0, 0, 204, 34, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 93, 28, 0, 0, 217, 34, 2, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 94, 28, 0, 0, 230, 34, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 95, 28, 0, 0,
    243, 34, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 96, 28, 0, 0, 0, 35, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 97,
    28, 0, 0, 13, 35, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 98, 28, 0, 0, 26, 35, 2, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 99, 28, 0, 0, 39, 35, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 100, 28, 0, 0, 52, 35, 2, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 101, 28, 0, 0, 93, 35, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 102, 28, 0, 0, 102,
    35, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 103, 28, 0, 0, 115, 35, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 104,
    28, 0, 0, 128, 35, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 105, 28, 0, 0, 141, 35, 2, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 106, 28, 0, 0, 154, 35, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 107, 28, 0, 0, 173, 35, 2, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 34, 8, 0, 0, 182, 35, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 108, 28, 0, 0,
    201, 35, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 37, 8, 0, 0, 210, 35, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    109, 28, 0, 0, 223, 35, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 50, 4, 0, 0, 242, 35, 2, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 110, 28, 0, 0, 251, 35, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 111, 28, 0, 0, 8, 36, 2, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 112, 28, 0, 0, 21, 36, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 113, 28, 0, 0,
    34, 36, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 114, 28, 0, 0, 47, 36, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    115, 28, 0, 0, 60, 36, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 116, 28, 0, 0, 73, 36, 2, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 117, 28, 0, 0, 86, 36, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 77, 23, 0, 0, 99, 36, 2, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 118, 28, 0, 0, 112, 36, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 119, 28, 0, 0,
    125, 36, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 120, 28, 0, 0, 138, 36, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    121, 28, 0, 0, 151, 36, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 90, 4, 0, 0, 164, 36, 2, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 122, 28, 0, 0, 177, 36, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 123, 28, 0, 0, 190, 36, 2,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 124, 28, 0, 0, 203, 36, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 125, 28, 0,
    0, 216, 36, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 106, 2, 0, 0, 229, 36, 2, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 126, 28, 0, 0, 242, 36, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 127, 28, 0, 0, 255, 36, 2, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 128, 28, 0, 0, 12, 37, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 129, 28, 0, 0, 25, 37,
    2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 130, 28, 0, 0, 38, 37, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 131, 28,
    0, 0, 51, 37, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 132, 28, 0, 0, 64, 37, 2, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 133, 28, 0, 0, 77, 37, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 134, 28, 0, 0, 96, 37, 2, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 77, 23, 0, 0, 106, 37, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 135, 28, 0, 0, 119, 37,
    2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 136, 28, 0, 0, 132, 37, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 137, 28,
    0, 0, 145, 37, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 138, 28, 0, 0, 158, 37, 2, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 13, 4, 0, 0, 171, 37, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 139, 28, 0, 0, 184, 37, 2, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 140, 28, 0, 0, 197, 37, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 141, 28, 0, 0, 210,
    37, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 142, 28, 0, 0, 223, 37, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 143,
    28, 0, 0, 236, 37, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 144, 28, 0, 0, 249, 37, 2, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 123, 1, 0, 0, 6, 38, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 145, 28, 0, 0, 19, 38, 2, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 146, 28, 0, 0, 32, 38, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 20, 21, 0, 0, 45, 38,
    2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 147, 28, 0, 0, 58, 38, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 148, 28,
    0, 0, 71, 38, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 179, 1, 0, 0, 85, 38, 2, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 240, 4, 0, 0, 99, 38, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 149, 28, 0, 0, 113, 38, 2, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 150, 28, 0, 0, 127, 38, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 151, 28, 0, 0, 141, 38,
    2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 152, 28, 0, 0, 155, 38, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 153, 28,
    0, 0, 169, 38, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 154, 28, 0, 0, 183, 38, 2, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 155, 28, 0, 0, 197, 38, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 156, 28, 0, 0, 211, 38, 2, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 157, 28, 0, 0, 225, 38, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 158, 28, 0, 0,
    239, 38, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 159, 28, 0, 0, 253, 38, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    160, 28, 0, 0, 11, 39, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 161, 28, 0, 0, 25, 39, 2, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 162, 28, 0, 0, 69, 39, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 163, 28, 0, 0, 79, 39, 2, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 164, 28, 0, 0, 92, 39, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 165, 28, 0, 0,
    106, 39, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 35, 26, 0, 0, 120, 39, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    166, 28, 0, 0, 134, 39, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 167, 28, 0, 0, 148, 39, 2, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 168, 28, 0, 0, 162, 39, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 169, 28, 0, 0, 176, 39,
    2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 125, 25, 0, 0, 190, 39, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 170, 28,
    0, 0, 204, 39, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 171, 28, 0, 0, 218, 39, 2, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 172, 28, 0, 0, 232, 39, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 173, 28, 0, 0, 246, 39, 2, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 174, 28, 0, 0, 4, 40, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 175, 28, 0, 0, 18,
    40, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 176, 28, 0, 0, 32, 40, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 177,
    28, 0, 0, 46, 40, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 178, 28, 0, 0, 60, 40, 2, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 179, 28, 0, 0, 74, 40, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 180, 28, 0, 0, 88, 40, 2, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 181, 28, 0, 0, 102, 40, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 182, 28, 0, 0,
    116, 40, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 147, 28, 0, 0, 130, 40, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    183, 28, 0, 0, 144, 40, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 184, 28, 0, 0, 158, 40, 2, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 185, 28, 0, 0, 172, 40, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 179, 1, 0, 0, 186, 40,
    2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 149, 28, 0, 0, 200, 40, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 186, 28,
    0, 0, 214, 40, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 161, 28, 0, 0, 253, 40, 2, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 187, 28, 0, 0, 7, 41, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 188, 28, 0, 0, 33, 41, 2, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 189, 28, 0, 0, 42, 41, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 77, 23, 0, 0, 55, 41,
    2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 190, 28, 0, 0, 69, 41, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 191, 28,
    0, 0, 78, 41, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 74, 7, 0, 0, 92, 41, 2, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 192, 28, 0, 0, 101, 41, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 193, 28, 0, 0, 114, 41, 2, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 194, 28, 0, 0, 127, 41, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 195, 28, 0, 0, 141,
    41, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 196, 28, 0, 0, 150, 41, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 197,
    28, 0, 0, 163, 41, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 198, 28, 0, 0, 176, 41, 2, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 199, 28, 0, 0, 189, 41, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 200, 28, 0, 0, 202, 41, 2, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 201, 28, 0, 0, 215, 41, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 179, 1, 0, 0,
    228, 41, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 202, 28, 0, 0, 3, 42, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    203, 28, 0, 0, 12, 42, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 204, 28, 0, 0, 25, 42, 2, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 205, 28, 0, 0, 43, 42, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 206, 28, 0, 0, 55, 42, 2, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 207, 28, 0, 0, 63, 42, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 208, 28, 0, 0,
    99, 42, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 209, 28, 0, 0, 108, 42, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    210, 28, 0, 0, 121, 42, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 211, 28, 0, 0, 134, 42, 2, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 212, 28, 0, 0, 147, 42, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 204, 28, 0, 0, 160, 42,
    2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 213, 28, 0, 0, 174, 42, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 214, 28,
    0, 0, 183, 42, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 33, 4, 0, 0, 196, 42, 2, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 215, 28, 0, 0, 209, 42, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 211, 14, 0, 0, 222, 42, 2, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 197, 28, 0, 0, 16, 43, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 148, 28, 0, 0, 25, 43,
    2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 82, 15, 0, 0, 38, 43, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 216, 28, 0,
    0, 73, 43, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 217, 28, 0, 0, 82, 43, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    218, 28, 0, 0, 88, 43, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 219, 28, 0, 0, 94, 43, 2, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 220, 28, 0, 0, 100, 43, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 221, 28, 0, 0, 116, 43, 2,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 222, 28, 0, 0, 124, 43, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 223, 28, 0,
    0, 147, 43, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 224, 28, 0, 0, 160, 43, 2, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 225, 28, 0, 0, 173, 43, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 226, 28, 0, 0, 186, 43, 2, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 227, 28, 0, 0, 201, 43, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 228, 28, 0, 0, 210,
    43, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 229, 28, 0, 0, 228, 43, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 230,
    28, 0, 0, 241, 43, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 231, 28, 0, 0, 255, 43, 2, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 232, 28, 0, 0, 17, 44, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 233, 28, 0, 0, 30, 44, 2, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 234, 28, 0, 0, 43, 44, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 235, 28, 0, 0, 56,
    44, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 236, 28, 0, 0, 70, 44, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 237,
    28, 0, 0, 88, 44, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 230, 28, 0, 0, 101, 44, 2, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 231, 28, 0, 0, 114, 44, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 235, 28, 0, 0, 128, 44, 2, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 238, 28, 0, 0, 146, 44, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 230, 28, 0, 0,
    159, 44, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 231, 28, 0, 0, 172, 44, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    239, 28, 0, 0, 185, 44, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 240, 28, 0, 0, 198, 44, 2, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 241, 28, 0, 0, 212, 44, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 242, 28, 0, 0, 230, 44,
    2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 243, 28, 0, 0, 1, 45, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 244, 28, 0,
    0, 14, 45, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 245, 28, 0, 0, 32, 45, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    246, 28, 0, 0, 45, 45, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 247, 28, 0, 0, 58, 45, 2, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 248, 28, 0, 0, 72, 45, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 249, 28, 0, 0, 90, 45, 2, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 250, 28, 0, 0, 103, 45, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 251, 28, 0, 0,
    119, 45, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 252, 28, 0, 0, 137, 45, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    253, 28, 0, 0, 150, 45, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 254, 28, 0, 0, 164, 45, 2, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 255, 28, 0, 0, 182, 45, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 0, 29, 0, 0, 195, 45, 2,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 1, 29, 0, 0, 208, 45, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 2, 29, 0, 0,
    227, 45, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 3, 29, 0, 0, 238, 45, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 4,
    29, 0, 0, 246, 45, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 5, 29, 0, 0, 255, 45, 2, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 6, 29, 0, 0, 12, 46, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 7, 29, 0, 0, 30, 46, 2, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 8, 29, 0, 0, 54, 46, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 9, 29, 0, 0, 63, 46, 2,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 134, 1, 0, 0, 76, 46, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 10, 29, 0, 0,
    89, 46, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 11, 29, 0, 0, 103, 46, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    53, 8, 0, 0, 112, 46, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 44, 2, 0, 0, 136, 46, 2, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 12, 29, 0, 0, 145, 46, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 134, 1, 0, 0, 158, 46, 2, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 10, 29, 0, 0, 171, 46, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 11, 29, 0, 0,
    185, 46, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 54, 8, 0, 0, 194, 46, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    44, 2, 0, 0, 212, 46, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 13, 29, 0, 0, 224, 46, 2, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 14, 29, 0, 0, 237, 46, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 15, 29, 0, 0, 246, 46, 2, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 134, 1, 0, 0, 3, 47, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 16, 29, 0, 0, 16,
    47, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 12, 4, 0, 0, 29, 47, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 61, 7,
    0, 0, 42, 47, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 125, 5, 0, 0, 56, 47, 2, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 17, 29, 0, 0, 65, 47, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 84, 6, 0, 0, 83, 47, 2, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 18, 29, 0, 0, 96, 47, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 149, 9, 0, 0, 109, 47, 2, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 37, 7, 0, 0, 123, 47, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 89, 2, 0, 0, 155,
    47, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 173, 6, 0, 0, 168, 47, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 19,
    29, 0, 0, 182, 47, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 150, 9, 0, 0, 195, 47, 2, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 37, 7, 0, 0, 209, 47, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 20, 29, 0, 0, 227, 47, 2, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 171, 23, 0, 0, 240, 47, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 146, 26, 0, 0,
    253, 47, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 37, 7, 0, 0, 29, 48, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 21,
    29, 0, 0, 39, 48, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 22, 29, 0, 0, 52, 48, 2, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 240, 4, 0, 0, 65, 48, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 5, 7, 0, 0, 78, 48, 2, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 23, 29, 0, 0, 91, 48, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 24, 29, 0, 0, 104, 48, 2,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 25, 29, 0, 0, 117, 48, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 26, 29, 0, 0,
    130, 48, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 27, 29, 0, 0, 143, 48, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    28, 29, 0, 0, 156, 48, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 192, 11, 0, 0, 169, 48, 2, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 30, 10, 0, 0, 182, 48, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 29, 29, 0, 0, 195, 48, 2, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 30, 29, 0, 0, 208, 48, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 31, 29, 0, 0,
    221, 48, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 32, 29, 0, 0, 234, 48, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    33, 29, 0, 0, 247, 48, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 61, 7, 0, 0, 4, 49, 2, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 22, 10, 0, 0, 17, 49, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 207, 17, 0, 0, 30, 49, 2, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 34, 29, 0, 0, 43, 49, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 35, 29, 0, 0, 56,
    49, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 36, 29, 0, 0, 69, 49, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 37, 29,
    0, 0, 82, 49, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 38, 29, 0, 0, 95, 49, 2, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 39, 29, 0, 0, 108, 49, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 40, 29, 0, 0, 121, 49, 2, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 50, 2, 0, 0, 140, 49, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 22, 29, 0, 0, 150, 49, 2,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 33, 6, 0, 0, 163, 49, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 212, 5, 0, 0,
    176, 49, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 18, 2, 0, 0, 189, 49, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    41, 29, 0, 0, 202, 49, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 42, 29, 0, 0, 215, 49, 2, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 123, 1, 0, 0, 228, 49, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 9, 0, 0, 0, 241, 49, 2, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 184, 25, 0, 0, 254, 49, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 43, 29, 0, 0,
    11, 50, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 44, 29, 0, 0, 24, 50, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 45,
    29, 0, 0, 37, 50, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 46, 29, 0, 0, 50, 50, 2, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 47, 29, 0, 0, 63, 50, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 48, 29, 0, 0, 76, 50, 2, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 49, 29, 0, 0, 89, 50, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 50, 29, 0, 0, 102, 50, 2,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 51, 29, 0, 0, 115, 50, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 52, 29, 0, 0,
    128, 50, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 53, 29, 0, 0, 141, 50, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    54, 29, 0, 0, 154, 50, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 55, 29, 0, 0, 167, 50, 2, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 107, 7, 0, 0, 180, 50, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 108, 7, 0, 0, 193, 50, 2, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 185, 5, 0, 0, 206, 50, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 56, 29, 0, 0,
    219, 50, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 57, 29, 0, 0, 232, 50, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    58, 29, 0, 0, 245, 50, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 59, 29, 0, 0, 2, 51, 2, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 60, 29, 0, 0, 15, 51, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 61, 29, 0, 0, 28, 51, 2, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 62, 29, 0, 0, 41, 51, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 63, 29, 0, 0, 54,
    51, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 64, 29, 0, 0, 67, 51, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 65, 29,
    0, 0, 80, 51, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 66, 29, 0, 0, 94, 51, 2, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 67, 29, 0, 0, 108, 51, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 68, 29, 0, 0, 122, 51, 2, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 69, 29, 0, 0, 136, 51, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 70, 29, 0, 0, 156, 51, 2,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 71, 29, 0, 0, 166, 51, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 39, 27, 0, 0,
    179, 51, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 72, 29, 0, 0, 193, 51, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    73, 29, 0, 0, 207, 51, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 74, 29, 0, 0, 221, 51, 2, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 75, 29, 0, 0, 235, 51, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 173, 11, 0, 0, 249, 51, 2,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 76, 29, 0, 0, 7, 52, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 77, 29, 0, 0,
    21, 52, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 205, 9, 0, 0, 35, 52, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 78,
    29, 0, 0, 49, 52, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 79, 29, 0, 0, 63, 52, 2, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 80, 29, 0, 0, 77, 52, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 187, 8, 0, 0, 91, 52, 2, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 81, 29, 0, 0, 105, 52, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 82, 29, 0, 0, 119, 52, 2,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 83, 29, 0, 0, 139, 52, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 84, 29, 0, 0,
    148, 52, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 46, 9, 0, 0, 161, 52, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    116, 7, 0, 0, 180, 52, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 85, 29, 0, 0, 189, 52, 2, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 207, 17, 0, 0, 202, 52, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 34, 29, 0, 0, 226, 52, 2,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 86, 29, 0, 0, 236, 52, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 87, 29, 0, 0,
    249, 52, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 88, 29, 0, 0, 6, 53, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 89,
    29, 0, 0, 19, 53, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 254, 8, 0, 0, 32, 53, 2, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 90, 29, 0, 0, 45, 53, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 91, 29, 0, 0, 58, 53, 2, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 92, 29, 0, 0, 71, 53, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 93, 29, 0, 0, 84, 53, 2,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 94, 29, 0, 0, 97, 53, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 95, 29, 0, 0,
    110, 53, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 96, 29, 0, 0, 123, 53, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    232, 7, 0, 0, 136, 53, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 22, 29, 0, 0, 149, 53, 2, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 97, 29, 0, 0, 162, 53, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 146, 1, 0, 0, 175, 53, 2, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 98, 29, 0, 0, 188, 53, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 33, 4, 0, 0,
    201, 53, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 135, 11, 0, 0, 214, 53, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    99, 29, 0, 0, 227, 53, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 100, 29, 0, 0, 240, 53, 2, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 252, 2, 0, 0, 253, 53, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 101, 29, 0, 0, 10, 54, 2, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 73, 6, 0, 0, 23, 54, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 102, 29, 0, 0, 37,
    54, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 103, 29, 0, 0, 51, 54, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 104,
    29, 0, 0, 65, 54, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 105, 29, 0, 0, 79, 54, 2, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 39, 27, 0, 0, 93, 54, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 61, 7, 0, 0, 107, 54, 2, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 106, 29, 0, 0, 121, 54, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 107, 29, 0, 0, 135,
    54, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 108, 29, 0, 0, 149, 54, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 109,
    29, 0, 0, 163, 54, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 34, 6, 0, 0, 177, 54, 2, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 110, 29, 0, 0, 191, 54, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 167, 7, 0, 0, 205, 54, 2, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 111, 29, 0, 0, 219, 54, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 12, 4, 0, 0, 233,
    54, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 112, 29, 0, 0, 247, 54, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 113,
    29, 0, 0, 5, 55, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 85, 6, 0, 0, 19, 55, 2, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 114, 29, 0, 0, 33, 55, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 115, 29, 0, 0, 47, 55, 2, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 116, 29, 0, 0, 61, 55, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 117, 29, 0, 0, 75, 55,
    2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 200, 5, 0, 0, 89, 55, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 118, 29, 0,
    0, 103, 55, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 119, 29, 0, 0, 117, 55, 2, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 120, 29, 0, 0, 131, 55, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 249, 4, 0, 0, 145, 55, 2, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 121, 29, 0, 0, 159, 55, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 122, 29, 0, 0, 173, 55,
    2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 123, 29, 0, 0, 187, 55, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 124, 29,
    0, 0, 201, 55, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 125, 29, 0, 0, 215, 55, 2, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 224, 3, 0, 0, 229, 55, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 50, 2, 0, 0, 243, 55, 2, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 136, 7, 0, 0, 1, 56, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 244, 6, 0, 0, 15, 56, 2,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 172, 8, 0, 0, 29, 56, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 126, 29, 0, 0,
    43, 56, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 127, 29, 0, 0, 57, 56, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    128, 29, 0, 0, 71, 56, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 70, 14, 0, 0, 85, 56, 2, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 129, 29, 0, 0, 99, 56, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 116, 1, 0, 0, 113, 56, 2, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 130, 29, 0, 0, 127, 56, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 205, 9, 0, 0,
    141, 56, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 108, 5, 0, 0, 155, 56, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    131, 29, 0, 0, 174, 56, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 132, 29, 0, 0, 183, 56, 2, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 133, 29, 0, 0, 193, 56, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 134, 29, 0, 0, 203, 56,
    2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 135, 29, 0, 0, 213, 56, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 136, 29,
    0, 0, 223, 56, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 137, 29, 0, 0, 229, 56, 2, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 138, 29, 0, 0, 240, 56, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 139, 29, 0, 0, 253, 56, 2, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 146, 25, 0, 0, 11, 57, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 140, 29, 0, 0, 20,
    57, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 9, 0, 0, 0, 33, 57, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 129, 5,
    0, 0, 46, 57, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 141, 29, 0, 0, 73, 57, 2, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 142, 29, 0, 0, 86, 57, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 143, 29, 0, 0, 100, 57, 2, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 144, 29, 0, 0, 113, 57, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 145, 29, 0, 0, 126, 57,
    2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 121, 2, 0, 0, 142, 57, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 146, 29,
    0, 0, 158, 57, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 147, 29, 0, 0, 174, 57, 2, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 74, 29, 0, 0, 190, 57, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 148, 29, 0, 0, 206, 57, 2, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 149, 29, 0, 0, 222, 57, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 150, 29, 0, 0, 238,
    57, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 151, 29, 0, 0, 254, 57, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 194,
    5, 0, 0, 14, 58, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 1, 8, 0, 0, 30, 58, 2, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 100, 2, 0, 0, 46, 58, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 152, 29, 0, 0, 62, 58, 2, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 153, 29, 0, 0, 78, 58, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 22, 10, 0, 0, 94, 58, 2,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 154, 29, 0, 0, 110, 58, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 155, 29, 0,
    0, 126, 58, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 156, 29, 0, 0, 142, 58, 2, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 157, 29, 0, 0, 158, 58, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 158, 29, 0, 0, 174, 58, 2, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 159, 29, 0, 0, 190, 58, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 160, 29, 0, 0, 206,
    58, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 161, 29, 0, 0, 222, 58, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 162,
    29, 0, 0, 238, 58, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 163, 29, 0, 0, 254, 58, 2, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 164, 29, 0, 0, 14, 59, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 165, 29, 0, 0, 30, 59, 2, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 166, 29, 0, 0, 46, 59, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 167, 29, 0, 0, 62,
    59, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 168, 29, 0, 0, 78, 59, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 169,
    29, 0, 0, 94, 59, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 170, 29, 0, 0, 110, 59, 2, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 53, 9, 0, 0, 126, 59, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 171, 29, 0, 0, 142, 59, 2, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 172, 29, 0, 0, 172, 59, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 173, 29, 0, 0,
    185, 59, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 174, 29, 0, 0, 199, 59, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    175, 29, 0, 0, 226, 59, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 176, 29, 0, 0, 239, 59, 2, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 177, 29, 0, 0, 252, 59, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 178, 29, 0, 0, 9, 60, 2,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 179, 29, 0, 0, 37, 60, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 180, 29, 0,
    0, 50, 60, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 181, 29, 0, 0, 63, 60, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    17, 15, 0, 0, 76, 60, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 182, 29, 0, 0, 90, 60, 2, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 183, 29, 0, 0, 103, 60, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 184, 29, 0, 0, 116, 60, 2,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 185, 29, 0, 0, 129, 60, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 182, 11, 0,
    0, 142, 60, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 186, 29, 0, 0, 155, 60, 2, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 187, 29, 0, 0, 168, 60, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 188, 29, 0, 0, 181, 60, 2, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 137, 13, 0, 0, 194, 60, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 189, 29, 0, 0, 207,
    60, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 138, 13, 0, 0, 221, 60, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 190,
    29, 0, 0, 2, 61, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 141, 29, 0, 0, 15, 61, 2, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 191, 29, 0, 0, 28, 61, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 192, 29, 0, 0, 41, 61, 2, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 193, 29, 0, 0, 54, 61, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 194, 29, 0, 0, 67, 61,
    2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 110, 16, 0, 0, 80, 61, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 195, 29,
    0, 0, 93, 61, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 179, 1, 0, 0, 106, 61, 2, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 196, 29, 0, 0, 119, 61, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 197, 29, 0, 0, 147, 61, 2, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 173, 11, 0, 0, 175, 61, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 198, 29, 0, 0, 203,
    61, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 199, 29, 0, 0, 216, 61, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 200,
    29, 0, 0, 244, 61, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 116, 7, 0, 0, 1, 62, 2, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 201, 29, 0, 0, 29, 62, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 202, 29, 0, 0, 42, 62, 2, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 203, 29, 0, 0, 55, 62, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 32, 11, 0, 0, 68, 62,
    2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 204, 29, 0, 0, 81, 62, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 205, 29,
    0, 0, 96, 62, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 202, 19, 0, 0, 109, 62, 2, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 122, 29, 0, 0, 122, 62, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 124, 29, 0, 0, 135, 62, 2, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 146, 1, 0, 0, 148, 62, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 206, 29, 0, 0, 161,
    62, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 142, 29, 0, 0, 174, 62, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 207,
    29, 0, 0, 187, 62, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 208, 29, 0, 0, 200, 62, 2, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 209, 29, 0, 0, 213, 62, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 210, 29, 0, 0, 226, 62, 2, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 211, 29, 0, 0, 239, 62, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 212, 29, 0, 0,
    253, 62, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 213, 29, 0, 0, 6, 63, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    141, 29, 0, 0, 19, 63, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 214, 29, 0, 0, 32, 63, 2, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 31, 12, 0, 0, 45, 63, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 110, 16, 0, 0, 59, 63, 2, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 215, 29, 0, 0, 68, 63, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 150, 9, 0, 0,
    81, 63, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 49, 12, 0, 0, 94, 63, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 3,
    3, 0, 0, 107, 63, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 9, 0, 0, 0, 126, 63, 2, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 216, 29, 0, 0, 135, 63, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 61, 7, 0, 0, 148, 63, 2, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 50, 2, 0, 0, 161, 63, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 250, 6, 0, 0, 174, 63,
    2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 217, 29, 0, 0, 187, 63, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 218, 29,
    0, 0, 200, 63, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 192, 5, 0, 0, 213, 63, 2, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 74, 3, 0, 0, 226, 63, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 108, 18, 0, 0, 239, 63, 2, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 8, 0, 0, 0, 252, 63, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 124, 11, 0, 0, 9, 64, 2,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 219, 29, 0, 0, 22, 64, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 154, 29, 0,
    0, 35, 64, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 187, 29, 0, 0, 48, 64, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    220, 29, 0, 0, 61, 64, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 26, 29, 0, 0, 74, 64, 2, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 113, 29, 0, 0, 87, 64, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 221, 29, 0, 0, 100, 64, 2,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 222, 29, 0, 0, 113, 64, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 223, 29, 0,
    0, 126, 64, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 224, 29, 0, 0, 139, 64, 2, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 225, 29, 0, 0, 152, 64, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 226, 29, 0, 0, 165, 64, 2, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 227, 29, 0, 0, 178, 64, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 228, 29, 0, 0, 191,
    64, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 229, 29, 0, 0, 204, 64, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 230,
    29, 0, 0, 217, 64, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 64, 29, 0, 0, 230, 64, 2, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 231, 29, 0, 0, 243, 64, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 232, 29, 0, 0, 0, 65, 2, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 233, 29, 0, 0, 13, 65, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 234, 29, 0, 0, 26,
    65, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 235, 29, 0, 0, 39, 65, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 236,
    29, 0, 0, 58, 65, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 237, 29, 0, 0, 68, 65, 2, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 215, 5, 0, 0, 81, 65, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 238, 29, 0, 0, 94, 65, 2, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 240, 4, 0, 0, 107, 65, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 122, 1, 0, 0, 120,
    65, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 37, 7, 0, 0, 133, 65, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 239,
    29, 0, 0, 146, 65, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 240, 29, 0, 0, 173, 65, 2, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 184, 25, 0, 0, 200, 65, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 241, 29, 0, 0, 216, 65, 2, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 242, 29, 0, 0, 232, 65, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 243, 29, 0, 0,
    248, 65, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 244, 29, 0, 0, 8, 66, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    245, 29, 0, 0, 24, 66, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 246, 29, 0, 0, 40, 66, 2, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 247, 29, 0, 0, 58, 66, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 248, 29, 0, 0, 71, 66, 2, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 249, 29, 0, 0, 84, 66, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 250, 29, 0, 0,
    97, 66, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 251, 29, 0, 0, 110, 66, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    252, 29, 0, 0, 123, 66, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 129, 5, 0, 0, 136, 66, 2, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 172, 29, 0, 0, 149, 66, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 253, 29, 0, 0, 162, 66, 2,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 254, 29, 0, 0, 175, 66, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 73, 25, 0,
    0, 188, 66, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 255, 29, 0, 0, 202, 66, 2, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 0, 30, 0, 0, 216, 66, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 1, 30, 0, 0, 230, 66, 2, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 43, 15, 0, 0, 244, 66, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 223, 29, 0, 0, 2, 67, 2, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 2, 30, 0, 0, 16, 67, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 3, 30, 0, 0, 30,
    67, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 4, 30, 0, 0, 58, 67, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 5, 30,
    0, 0, 67, 67, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 134, 1, 0, 0, 80, 67, 2, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 240, 4, 0, 0, 93, 67, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 6, 30, 0, 0, 112, 67, 2, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 7, 30, 0, 0, 121, 67, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 107, 7, 0, 0, 134, 67, 2, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 129, 5, 0, 0, 176, 67, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 8, 30, 0, 0,
    211, 67, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 9, 30, 0, 0, 221, 67, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    112, 2, 0, 0, 234, 67, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 82, 16, 0, 0, 247, 67, 2, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 10, 30, 0, 0, 4, 68, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 228, 16, 0, 0, 17, 68, 2, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 248, 8, 0, 0, 30, 68, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 11, 30, 0, 0, 43,
    68, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 12, 30, 0, 0, 56, 68, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 9, 0,
    0, 0, 69, 68, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 152, 14, 0, 0, 82, 68, 2, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 13, 30, 0, 0, 100, 68, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 226, 7, 0, 0, 113, 68, 2, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 254, 17, 0, 0, 127, 68, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 207, 17, 0, 0, 140, 68,
    2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 244, 6, 0, 0, 153, 68, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 14, 30, 0,
    0, 166, 68, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 15, 30, 0, 0, 184, 68, 2, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 167, 7, 0, 0, 197, 68, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 180, 24, 0, 0, 211, 68, 2, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 16, 30, 0, 0, 224, 68, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 4, 30, 0, 0, 237, 68, 2,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 17, 30, 0, 0, 250, 68, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 18, 30, 0, 0,
    7, 69, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 19, 30, 0, 0, 21, 69, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 20,
    30, 0, 0, 35, 69, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 21, 30, 0, 0, 49, 69, 2, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 53, 9, 0, 0, 69, 69, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 22, 30, 0, 0, 78, 69, 2, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 105, 2, 0, 0, 91, 69, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 129, 5, 0, 0, 105, 69, 2,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 23, 30, 0, 0, 128, 69, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 44, 2, 0, 0,
    141, 69, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 24, 30, 0, 0, 155, 69, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    25, 30, 0, 0, 168, 69, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 114, 2, 0, 0, 181, 69, 2, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 129, 5, 0, 0, 204, 69, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 26, 30, 0, 0, 248, 69, 2, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 27, 30, 0, 0, 1, 70, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 227, 8, 0, 0, 14,
    70, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 28, 30, 0, 0, 27, 70, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 75, 20,
    0, 0, 53, 70, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 29, 30, 0, 0, 62, 70, 2, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 101, 7, 0, 0, 75, 70, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 30, 30, 0, 0, 88, 70, 2, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 31, 30, 0, 0, 104, 70, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 32, 30, 0, 0, 120, 70, 2, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 33, 30, 0, 0, 136, 70, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 34, 30, 0, 0,
    152, 70, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 35, 30, 0, 0, 168, 70, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    9, 0, 0, 0, 184, 70, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 180, 24, 0, 0, 201, 70, 2, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 36, 30, 0, 0, 210, 70, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 167, 4, 0, 0, 237, 70, 2, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 37, 30, 0, 0, 253, 70, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 38, 30, 0, 0,
    13, 71, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 39, 30, 0, 0, 29, 71, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 40,
    30, 0, 0, 45, 71, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 41, 30, 0, 0, 61, 71, 2, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 42, 30, 0, 0, 77, 71, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 43, 30, 0, 0, 93, 71, 2, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 44, 30, 0, 0, 109, 71, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 45, 30, 0, 0, 132, 71, 2,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 46, 30, 0, 0, 141, 71, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 227, 8, 0, 0,
    154, 71, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 152, 14, 0, 0, 180, 71, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    47, 30, 0, 0, 189, 71, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 48, 30, 0, 0, 202, 71, 2, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 211, 13, 0, 0, 221, 71, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 49, 30, 0, 0, 230, 71, 2,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 50, 30, 0, 0, 243, 71, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 51, 30, 0, 0,
    0, 72, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 52, 30, 0, 0, 13, 72, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 53,
    30, 0, 0, 26, 72, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 54, 30, 0, 0, 39, 72, 2, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 55, 30, 0, 0, 52, 72, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 56, 30, 0, 0, 65, 72, 2, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 57, 30, 0, 0, 78, 72, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 58, 30, 0, 0, 91, 72, 2,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 59, 30, 0, 0, 104, 72, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 60, 30, 0, 0,
    117, 72, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 61, 30, 0, 0, 130, 72, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    62, 30, 0, 0, 143, 72, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 63, 30, 0, 0, 156, 72, 2, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 64, 30, 0, 0, 169, 72, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 65, 30, 0, 0, 182, 72, 2, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 152, 14, 0, 0, 195, 72, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 66, 30, 0, 0,
    208, 72, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 179, 1, 0, 0, 221, 72, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    67, 30, 0, 0, 234, 72, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 54, 9, 0, 0, 253, 72, 2, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 68, 30, 0, 0, 6, 73, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 134, 1, 0, 0, 19, 73, 2, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 85, 10, 0, 0, 46, 73, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 123, 1, 0, 0, 59,
    73, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 69, 30, 0, 0, 73, 73, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 130, 9,
    0, 0, 86, 73, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 70, 30, 0, 0, 99, 73, 2, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 116, 1, 0, 0, 112, 73, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 28, 6, 0, 0, 125, 73, 2, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 114, 2, 0, 0, 138, 73, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 179, 1, 0, 0, 151, 73, 2,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 71, 30, 0, 0, 164, 73, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 72, 30, 0, 0,
    177, 73, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 73, 30, 0, 0, 190, 73, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    74, 30, 0, 0, 209, 73, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 75, 30, 0, 0, 218, 73, 2, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 76, 30, 0, 0, 231, 73, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 116, 10, 0, 0, 244, 73, 2,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 77, 30, 0, 0, 1, 74, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 214, 29, 0, 0,
    14, 74, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 78, 30, 0, 0, 27, 74, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 79,
    30, 0, 0, 40, 74, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 80, 30, 0, 0, 53, 74, 2, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 81, 30, 0, 0, 98, 74, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 82, 30, 0, 0, 107, 74, 2, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 9, 0, 0, 0, 148, 74, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 123, 1, 0, 0, 161, 74,
    2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 129, 5, 0, 0, 174, 74, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 248, 17,
    0, 0, 187, 74, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 83, 30, 0, 0, 200, 74, 2, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 84, 30, 0, 0, 214, 74, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 85, 30, 0, 0, 10, 75, 2, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 86, 30, 0, 0, 19, 75, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 123, 1, 0, 0, 32, 75,
    2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 125, 5, 0, 0, 45, 75, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 87, 30, 0,
    0, 58, 75, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 88, 30, 0, 0, 71, 75, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    89, 30, 0, 0, 85, 75, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 90, 30, 0, 0, 94, 75, 2, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 108, 17, 0, 0, 121, 75, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 9, 0, 0, 0, 134, 75, 2, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 75, 20, 0, 0, 147, 75, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 44, 2, 0, 0,
    167, 75, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 91, 30, 0, 0, 176, 75, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    148, 2, 0, 0, 189, 75, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 202, 19, 0, 0, 202, 75, 2, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 125, 5, 0, 0, 221, 75, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 92, 30, 0, 0, 230, 75, 2, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 44, 2, 0, 0, 243, 75, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 75, 20, 0, 0, 0,
    76, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 28, 6, 0, 0, 31, 76, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 93, 30,
    0, 0, 40, 76, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 51, 2, 0, 0, 53, 76, 2, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 114, 2, 0, 0, 66, 76, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 174, 7, 0, 0, 80, 76, 2, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 94, 30, 0, 0, 89, 76, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 13, 4, 0, 0, 102, 76, 2, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 134, 1, 0, 0, 115, 76, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 9, 0, 0, 0, 128,
    76, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 89, 30, 0, 0, 147, 76, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 95,
    30, 0, 0, 156, 76, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 100, 8, 0, 0, 169, 76, 2, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 82, 16, 0, 0, 182, 76, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 96, 30, 0, 0, 195, 76, 2, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 97, 30, 0, 0, 213, 76, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 98, 30, 0, 0, 252,
    76, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 99, 30, 0, 0, 6, 77, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 100, 30,
    0, 0, 19, 77, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 100, 8, 0, 0, 32, 77, 2, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 101, 30, 0, 0, 45, 77, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 89, 2, 0, 0, 58, 77, 2, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 102, 30, 0, 0, 71, 77, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 5, 7, 0, 0, 84, 77, 2, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 103, 30, 0, 0, 97, 77, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 104, 30, 0, 0, 110,
    77, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 105, 30, 0, 0, 123, 77, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 106,
    30, 0, 0, 136, 77, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 107, 30, 0, 0, 149, 77, 2, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 108, 30, 0, 0, 163, 77, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 109, 30, 0, 0, 177, 77, 2, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 241, 9, 0, 0, 191, 77, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 110, 30, 0, 0,
    205, 77, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 111, 30, 0, 0, 219, 77, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    112, 30, 0, 0, 233, 77, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 113, 30, 0, 0, 247, 77, 2, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 167, 7, 0, 0, 5, 78, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 114, 30, 0, 0, 19, 78, 2,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 109, 13, 0, 0, 33, 78, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 110, 16, 0,
    0, 53, 78, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 115, 30, 0, 0, 63, 78, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    134, 1, 0, 0, 76, 78, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 123, 1, 0, 0, 89, 78, 2, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 101, 30, 0, 0, 102, 78, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 116, 30, 0, 0, 115, 78, 2,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 117, 30, 0, 0, 128, 78, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 118, 30, 0,
    0, 141, 78, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 119, 30, 0, 0, 154, 78, 2, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 120, 30, 0, 0, 167, 78, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 121, 30, 0, 0, 180, 78, 2, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 122, 30, 0, 0, 193, 78, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 123, 30, 0, 0, 206,
    78, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 124, 30, 0, 0, 219, 78, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 125,
    30, 0, 0, 232, 78, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 126, 30, 0, 0, 245, 78, 2, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 127, 30, 0, 0, 2, 79, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 128, 30, 0, 0, 15, 79, 2, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 129, 30, 0, 0, 29, 79, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 130, 30, 0, 0, 43,
    79, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 131, 30, 0, 0, 57, 79, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 132,
    30, 0, 0, 71, 79, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 133, 30, 0, 0, 85, 79, 2, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 134, 30, 0, 0, 99, 79, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 135, 30, 0, 0, 113, 79, 2, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 136, 30, 0, 0, 127, 79, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 137, 30, 0, 0,
    141, 79, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 138, 30, 0, 0, 155, 79, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    179, 1, 0, 0, 169, 79, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 139, 30, 0, 0, 183, 79, 2, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 140, 30, 0, 0, 197, 79, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 94, 9, 0, 0, 211, 79, 2, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 31, 28, 0, 0, 225, 79, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 141, 30, 0, 0,
    239, 79, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 142, 30, 0, 0, 253, 79, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    143, 30, 0, 0, 11, 80, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 144, 30, 0, 0, 25, 80, 2, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 8, 0, 0, 0, 39, 80, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 145, 30, 0, 0, 53, 80, 2, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 146, 30, 0, 0, 67, 80, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 74, 17, 0, 0, 81,
    80, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 147, 30, 0, 0, 95, 80, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 97, 5,
    0, 0, 109, 80, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 148, 30, 0, 0, 123, 80, 2, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 149, 30, 0, 0, 137, 80, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 150, 30, 0, 0, 151, 80, 2, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 151, 30, 0, 0, 165, 80, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 152, 30, 0, 0,
    179, 80, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 153, 30, 0, 0, 193, 80, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    154, 30, 0, 0, 207, 80, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 155, 30, 0, 0, 221, 80, 2, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 156, 30, 0, 0, 236, 80, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 101, 30, 0, 0, 245, 80,
    2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 100, 30, 0, 0, 2, 81, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 67, 28, 0,
    0, 15, 81, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 114, 2, 0, 0, 28, 81, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    157, 30, 0, 0, 41, 81, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 167, 7, 0, 0, 60, 81, 2, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 158, 30, 0, 0, 70, 81, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 159, 30, 0, 0, 79, 81, 2, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 121, 2, 0, 0, 92, 81, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 160, 30, 0, 0,
    105, 81, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 75, 20, 0, 0, 118, 81, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    161, 30, 0, 0, 131, 81, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 162, 30, 0, 0, 144, 81, 2, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 163, 30, 0, 0, 157, 81, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 164, 30, 0, 0, 170, 81,
    2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 53, 10, 0, 0, 183, 81, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 187, 7, 0,
    0, 196, 81, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 177, 7, 0, 0, 209, 81, 2, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 165, 30, 0, 0, 222, 81, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 166, 30, 0, 0, 235, 81, 2, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 226, 7, 0, 0, 248, 81, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 140, 5, 0, 0, 5, 82,
    2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 1, 8, 0, 0, 18, 82, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 167, 30, 0,
    0, 31, 82, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 168, 30, 0, 0, 50, 82, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    169, 30, 0, 0, 59, 82, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 170, 30, 0, 0, 72, 82, 2, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 15, 24, 0, 0, 104, 82, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 171, 30, 0, 0, 113, 82, 2,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 134, 1, 0, 0, 126, 82, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 172, 30, 0,
    0, 139, 82, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 116, 1, 0, 0, 152, 82, 2, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 94, 9, 0, 0, 165, 82, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 100, 30, 0, 0, 178, 82, 2, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 76, 30, 0, 0, 191, 82, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 233, 9, 0, 0, 204, 82, 2,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 179, 1, 0, 0, 217, 82, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 173, 30, 0,
    0, 230, 82, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 174, 30, 0, 0, 249, 82, 2, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 175, 30, 0, 0, 2, 83, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 70, 14, 0, 0, 15, 83, 2, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 176, 30, 0, 0, 34, 83, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 177, 30, 0, 0, 43, 83, 2, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 202, 19, 0, 0, 56, 83, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 178, 30, 0, 0,
    69, 83, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 179, 30, 0, 0, 88, 83, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    180, 30, 0, 0, 98, 83, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 88, 17, 0, 0, 111, 83, 2, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 167, 4, 0, 0, 124, 83, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 181, 30, 0, 0, 137, 83, 2,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 97, 5, 0, 0, 151, 83, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 182, 30, 0, 0,
    165, 83, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 37, 7, 0, 0, 179, 83, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    183, 30, 0, 0, 193, 83, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 104, 7, 0, 0, 212, 83, 2, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 184, 30, 0, 0, 241, 83, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 181, 30, 0, 0, 251, 83, 2,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 185, 30, 0, 0, 8, 84, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 3, 3, 0, 0,
    22, 84, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 186, 30, 0, 0, 36, 84, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    129, 10, 0, 0, 68, 84, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 187, 30, 0, 0, 117, 84, 2, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 188, 30, 0, 0, 126, 84, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 193, 4, 0, 0, 139, 84, 2,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 123, 1, 0, 0, 152, 84, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 9, 0, 0, 0,
    165, 84, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 84, 30, 0, 0, 178, 84, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    37, 7, 0, 0, 191, 84, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 129, 5, 0, 0, 204, 84, 2, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 83, 30, 0, 0, 223, 84, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 189, 30, 0, 0, 232, 84, 2,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 134, 1, 0, 0, 245, 84, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 190, 30, 0,
    0, 2, 85, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 100, 30, 0, 0, 15, 85, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    33, 6, 0, 0, 28, 85, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 191, 30, 0, 0, 41, 85, 2, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 192, 11, 0, 0, 60, 85, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 192, 30, 0, 0, 69, 85, 2, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 134, 1, 0, 0, 82, 85, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 123, 1, 0, 0, 95,
    85, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 116, 1, 0, 0, 108, 85, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 191,
    30, 0, 0, 127, 85, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 193, 30, 0, 0, 136, 85, 2, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 123, 1, 0, 0, 149, 85, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 223, 3, 0, 0, 162, 85, 2, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 245, 25, 0, 0, 175, 85, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 107, 7, 0, 0, 188,
    85, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 108, 7, 0, 0, 201, 85, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 194,
    30, 0, 0, 214, 85, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 196, 5, 0, 0, 227, 85, 2, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 195, 30, 0, 0, 240, 85, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 217, 3, 0, 0, 253, 85, 2, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 196, 30, 0, 0, 10, 86, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 185, 5, 0, 0, 23,
    86, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 205, 5, 0, 0, 36, 86, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 197,
    30, 0, 0, 49, 86, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 198, 30, 0, 0, 62, 86, 2, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 199, 30, 0, 0, 75, 86, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 200, 30, 0, 0, 88, 86, 2, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 44, 2, 0, 0, 101, 86, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 179, 1, 0, 0, 114,
    86, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 108, 17, 0, 0, 127, 86, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 201,
    30, 0, 0, 140, 86, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 202, 30, 0, 0, 153, 86, 2, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 203, 30, 0, 0, 166, 86, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 204, 30, 0, 0, 131, 87, 2, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 205, 30, 0, 0, 140, 87, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 167, 4, 0, 0,
    153, 87, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 206, 30, 0, 0, 166, 87, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    100, 8, 0, 0, 185, 87, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 207, 30, 0, 0, 194, 87, 2, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 123, 1, 0, 0, 207, 87, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 208, 30, 0, 0, 226, 87, 2,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 209, 30, 0, 0, 235, 87, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 193, 30, 0,
    0, 248, 87, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 143, 30, 0, 0, 11, 88, 2, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 210, 30, 0, 0, 20, 88, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 211, 30, 0, 0, 33, 88, 2, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 179, 1, 0, 0, 46, 88, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 100, 30, 0, 0, 59, 88, 2,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 33, 6, 0, 0, 78, 88, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 130, 29, 0, 0,
    87, 88, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 51, 2, 0, 0, 100, 88, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 44,
    2, 0, 0, 113, 88, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 179, 1, 0, 0, 126, 88, 2, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 89, 2, 0, 0, 139, 88, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 212, 30, 0, 0, 152, 88, 2, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 213, 30, 0, 0, 165, 88, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 214, 30, 0, 0,
    178, 88, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 215, 30, 0, 0, 191, 88, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    111, 14, 0, 0, 204, 88, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 216, 30, 0, 0, 217, 88, 2, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 134, 1, 0, 0, 235, 88, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 217, 30, 0, 0, 14, 89, 2,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 218, 30, 0, 0, 23, 89, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 219, 30, 0,
    0, 36, 89, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 220, 30, 0, 0, 49, 89, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    221, 30, 0, 0, 68, 89, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 222, 30, 0, 0, 77, 89, 2, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 223, 30, 0, 0, 90, 89, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 113, 18, 0, 0, 103, 89, 2,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 33, 4, 0, 0, 116, 89, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 179, 1, 0, 0,
    129, 89, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 70, 5, 0, 0, 153, 89, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    156, 30, 0, 0, 162, 89, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 224, 30, 0, 0, 175, 89, 2, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 81, 7, 0, 0, 193, 89, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 225, 30, 0, 0, 237, 89, 2,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 226, 30, 0, 0, 246, 89, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 227, 30, 0,
    0, 3, 90, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 74, 3, 0, 0, 16, 90, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    228, 30, 0, 0, 29, 90, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 229, 30, 0, 0, 42, 90, 2, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 230, 30, 0, 0, 55, 90, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 231, 30, 0, 0, 68, 90, 2, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 232, 30, 0, 0, 81, 90, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 233, 30, 0, 0,
    94, 90, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 130, 9, 0, 0, 107, 90, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    234, 30, 0, 0, 126, 90, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 235, 30, 0, 0, 136, 90, 2, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 167, 7, 0, 0, 149, 90, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 236, 30, 0, 0, 162, 90,
    2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 237, 30, 0, 0, 175, 90, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 67, 28,
    0, 0, 188, 90, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 238, 30, 0, 0, 201, 90, 2, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 240, 4, 0, 0, 214, 90, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 133, 10, 0, 0, 227, 90, 2, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 239, 30, 0, 0, 240, 90, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 250, 6, 0, 0, 253,
    90, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 240, 30, 0, 0, 10, 91, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 55, 4,
    0, 0, 23, 91, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 229, 30, 0, 0, 36, 91, 2, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 241, 30, 0, 0, 49, 91, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 242, 30, 0, 0, 62, 91, 2, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 243, 30, 0, 0, 75, 91, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 111, 30, 0, 0, 88, 91, 2,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 244, 30, 0, 0, 101, 91, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 108, 18, 0,
    0, 114, 91, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 245, 30, 0, 0, 127, 91, 2, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 75, 20, 0, 0, 140, 91, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 177, 24, 0, 0, 153, 91, 2, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 246, 30, 0, 0, 166, 91, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 247, 30, 0, 0, 179, 91,
    2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 248, 30, 0, 0, 192, 91, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 249, 30,
    0, 0, 205, 91, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 250, 30, 0, 0, 218, 91, 2, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 251, 30, 0, 0, 231, 91, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 252, 30, 0, 0, 244, 91, 2, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 253, 30, 0, 0, 1, 92, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 185, 5, 0, 0, 14,
    92, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 205, 24, 0, 0, 27, 92, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 254,
    30, 0, 0, 40, 92, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 255, 30, 0, 0, 53, 92, 2, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 232, 30, 0, 0, 66, 92, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 0, 31, 0, 0, 79, 92, 2, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 1, 31, 0, 0, 93, 92, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 2, 31, 0, 0, 107, 92, 2,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 3, 31, 0, 0, 121, 92, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 33, 17, 0, 0,
    141, 92, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 4, 31, 0, 0, 150, 92, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    179, 1, 0, 0, 163, 92, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 13, 12, 0, 0, 176, 92, 2, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 236, 30, 0, 0, 189, 92, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 54, 10, 0, 0, 202, 92, 2,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 5, 31, 0, 0, 215, 92, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 5, 7, 0, 0,
    228, 92, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 6, 31, 0, 0, 241, 92, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    13, 4, 0, 0, 254, 92, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 172, 8, 0, 0, 11, 93, 2, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 33, 17, 0, 0, 24, 93, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 7, 31, 0, 0, 48, 93, 2, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 8, 31, 0, 0, 57, 93, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 141, 7, 0, 0, 70, 93,
    2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 197, 17, 0, 0, 83, 93, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 9, 31, 0,
    0, 96, 93, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 10, 31, 0, 0, 109, 93, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    11, 31, 0, 0, 122, 93, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 12, 31, 0, 0, 141, 93, 2, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 13, 31, 0, 0, 150, 93, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 14, 31, 0, 0, 163, 93, 2, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 130, 24, 0, 0, 176, 93, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 114, 2, 0, 0,
    195, 93, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 160, 30, 0, 0, 204, 93, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    134, 1, 0, 0, 217, 93, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 186, 5, 0, 0, 230, 93, 2, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 185, 5, 0, 0, 243, 93, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 75, 20, 0, 0, 0, 94, 2, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 15, 31, 0, 0, 13, 94, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 50, 4, 0, 0, 31,
    94, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 16, 31, 0, 0, 39, 94, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 17, 31,
    0, 0, 48, 94, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 207, 17, 0, 0, 67, 94, 2, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 18, 31, 0, 0, 76, 94, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 46, 15, 0, 0, 92, 94, 2, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 19, 31, 0, 0, 108, 94, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 20, 31, 0, 0, 122, 94, 2, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 21, 31, 0, 0, 132, 94, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 67, 28, 0, 0,
    145, 94, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 241, 9, 0, 0, 159, 94, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    9, 18, 0, 0, 187, 94, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 22, 31, 0, 0, 196, 94, 2, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 67, 28, 0, 0, 209, 94, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 129, 5, 0, 0, 222, 94, 2, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 3, 3, 0, 0, 235, 94, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 23, 31, 0, 0, 254,
    94, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 24, 31, 0, 0, 7, 95, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 9, 0, 0,
    0, 20, 95, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 179, 1, 0, 0, 33, 95, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    25, 31, 0, 0, 46, 95, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 226, 7, 0, 0, 54, 96, 2, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 26, 31, 0, 0, 63, 96, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 130, 9, 0, 0, 76, 96, 2, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 85, 6, 0, 0, 89, 96, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 124, 11, 0, 0,
    102, 96, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 129, 5, 0, 0, 115, 96, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    27, 31, 0, 0, 142, 96, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 112, 2, 0, 0, 155, 96, 2, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 74, 3, 0, 0, 169, 96, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 50, 4, 0, 0, 220, 96, 2, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 28, 31, 0, 0, 229, 96, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 29, 31, 0, 0,
    242, 96, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 122, 1, 0, 0, 5, 97, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 74,
    8, 0, 0, 14, 97, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 61, 7, 0, 0, 27, 97, 2, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 240, 4, 0, 0, 40, 97, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 199, 16, 0, 0, 53, 97, 2, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 141, 5, 0, 0, 66, 97, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 30, 31, 0, 0, 79, 97,
    2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 70, 5, 0, 0, 92, 97, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 31, 31, 0,
    0, 105, 97, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 32, 31, 0, 0, 118, 97, 2, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 33, 31, 0, 0, 131, 97, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 55, 14, 0, 0, 150, 97, 2, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 79, 8, 0, 0, 159, 97, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 34, 31, 0, 0, 172, 97, 2,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 35, 31, 0, 0, 185, 97, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 36, 31, 0, 0,
    203, 97, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 37, 31, 0, 0, 216, 97, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    171, 23, 0, 0, 230, 97, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 179, 1, 0, 0, 244, 97, 2, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 38, 31, 0, 0, 253, 97, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 243, 5, 0, 0, 10, 98, 2, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 39, 31, 0, 0, 23, 98, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 40, 31, 0, 0, 37,
    98, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 41, 31, 0, 0, 46, 98, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 54, 10,
    0, 0, 65, 98, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 42, 31, 0, 0, 74, 98, 2, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 240, 4, 0, 0, 87, 98, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 179, 1, 0, 0, 100, 98, 2, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 43, 31, 0, 0, 113, 98, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 44, 31, 0, 0, 126, 98, 2,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 45, 31, 0, 0, 139, 98, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 223, 24, 0,
    0, 152, 98, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 225, 24, 0, 0, 165, 98, 2, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 46, 31, 0, 0, 178, 98, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 47, 31, 0, 0, 191, 98, 2, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 48, 31, 0, 0, 204, 98, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 49, 31, 0, 0, 217, 98, 2,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 247, 24, 0, 0, 230, 98, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 249, 24, 0,
    0, 0, 99, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 91, 8, 0, 0, 9, 99, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 50,
    31, 0, 0, 22, 99, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 33, 4, 0, 0, 35, 99, 2, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 207, 17, 0, 0, 48, 99, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 244, 17, 0, 0, 79, 99, 2, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 51, 31, 0, 0, 88, 99, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 92, 17, 0, 0, 101, 99,
    2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 51, 2, 0, 0, 114, 99, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 52, 31, 0,
    0, 127, 99, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 53, 31, 0, 0, 140, 99, 2, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 54, 31, 0, 0, 159, 99, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 85, 4, 0, 0, 169, 99, 2, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 46, 9, 0, 0, 182, 99, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 244, 6, 0, 0, 195, 99, 2,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 164, 14, 0, 0, 208, 99, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 55, 31, 0,
    0, 222, 99, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 56, 31, 0, 0, 236, 99, 2, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 57, 31, 0, 0, 250, 99, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 58, 31, 0, 0, 8, 100, 2, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 59, 31, 0, 0, 22, 100, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 60, 31, 0, 0, 36, 100, 2,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 61, 31, 0, 0, 50, 100, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 62, 31, 0, 0,
    64, 100, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 63, 31, 0, 0, 78, 100, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    64, 31, 0, 0, 92, 100, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 65, 31, 0, 0, 106, 100, 2, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 66, 31, 0, 0, 120, 100, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 67, 31, 0, 0, 134, 100, 2,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 70, 9, 0, 0, 148, 100, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 68, 31, 0, 0,
    162, 100, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 69, 31, 0, 0, 176, 100, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    70, 31, 0, 0, 190, 100, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 71, 31, 0, 0, 204, 100, 2, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 72, 31, 0, 0, 218, 100, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 73, 31, 0, 0, 232, 100,
    2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 74, 31, 0, 0, 246, 100, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 75, 31,
    0, 0, 4, 101, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 76, 31, 0, 0, 18, 101, 2, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 147, 28, 0, 0, 32, 101, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 77, 31, 0, 0, 46, 101, 2, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 78, 31, 0, 0, 60, 101, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 79, 31, 0, 0, 74, 101, 2,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 80, 31, 0, 0, 88, 101, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 149, 28, 0,
    0, 102, 101, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 81, 31, 0, 0, 116, 101, 2, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 82, 31, 0, 0, 130, 101, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 83, 31, 0, 0, 144, 101, 2, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 84, 31, 0, 0, 158, 101, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 85, 31, 0, 0, 172,
    101, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 86, 31, 0, 0, 186, 101, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 87,
    31, 0, 0, 200, 101, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 88, 31, 0, 0, 214, 101, 2, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 89, 31, 0, 0, 228, 101, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 90, 31, 0, 0, 242, 101, 2,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 91, 31, 0, 0, 0, 102, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 124, 27, 0, 0,
    14, 102, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 92, 31, 0, 0, 28, 102, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    93, 31, 0, 0, 42, 102, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 26, 29, 0, 0, 56, 102, 2, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 94, 31, 0, 0, 70, 102, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 184, 28, 0, 0, 84, 102, 2,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 95, 31, 0, 0, 99, 102, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 96, 31, 0, 0,
    108, 102, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 244, 6, 0, 0, 121, 102, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    74, 17, 0, 0, 135, 102, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 97, 31, 0, 0, 144, 102, 2, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 193, 6, 0, 0, 157, 102, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 245, 17, 0, 0, 170, 102,
    2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 98, 31, 0, 0, 183, 102, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 215, 28,
    0, 0, 196, 102, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 244, 17, 0, 0, 209, 102, 2, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 34, 6, 0, 0, 222, 102, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 99, 31, 0, 0, 235, 102, 2, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 100, 31, 0, 0, 248, 102, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 101, 31, 0, 0, 5,
    103, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 102, 31, 0, 0, 18, 103, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 103,
    31, 0, 0, 31, 103, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 104, 31, 0, 0, 44, 103, 2, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 154, 29, 0, 0, 57, 103, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 105, 31, 0, 0, 76, 103, 2, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 61, 31, 0, 0, 85, 103, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 106, 31, 0, 0,
    98, 103, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 107, 31, 0, 0, 111, 103, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    108, 31, 0, 0, 124, 103, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 109, 31, 0, 0, 137, 103, 2, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 110, 31, 0, 0, 150, 103, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 8, 0, 0, 0, 163, 103,
    2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 111, 31, 0, 0, 176, 103, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 141, 7,
    0, 0, 190, 103, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 112, 31, 0, 0, 199, 103, 2, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 239, 12, 0, 0, 212, 103, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 182, 22, 0, 0, 231, 103, 2, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 113, 31, 0, 0, 240, 103, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 114, 31, 0, 0,
    253, 103, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 129, 5, 0, 0, 10, 104, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    75, 20, 0, 0, 36, 104, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 115, 31, 0, 0, 45, 104, 2, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 116, 31, 0, 0, 58, 104, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 117, 31, 0, 0, 77, 104, 2,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 118, 31, 0, 0, 82, 104, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 119, 31, 0,
    0, 91, 104, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 74, 7, 0, 0, 110, 104, 2, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 120, 31, 0, 0, 120, 104, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 51, 23, 0, 0, 133, 104, 2, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 8, 0, 0, 0, 147, 104, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 121, 31, 0, 0, 161,
    104, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 122, 31, 0, 0, 241, 104, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    123, 31, 0, 0, 250, 104, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 133, 5, 0, 0, 7, 105, 2, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 124, 31, 0, 0, 20, 105, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 125, 31, 0, 0, 47, 105, 2,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 134, 1, 0, 0, 60, 105, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 70, 5, 0, 0,
    75, 105, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 126, 31, 0, 0, 84, 105, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    240, 4, 0, 0, 97, 105, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 212, 25, 0, 0, 110, 105, 2, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 234, 16, 0, 0, 123, 105, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 127, 31, 0, 0, 136,
    105, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 128, 31, 0, 0, 149, 105, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    129, 31, 0, 0, 163, 105, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 130, 31, 0, 0, 172, 105, 2, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 8, 0, 0, 0, 185, 105, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 228, 16, 0, 0, 198, 105,
    2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 233, 4, 0, 0, 224, 105, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 131, 31,
    0, 0, 233, 105, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 132, 31, 0, 0, 246, 105, 2, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 133, 31, 0, 0, 3, 106, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 134, 31, 0, 0, 16, 106, 2, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 11, 10, 0, 0, 30, 106, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 135, 31, 0, 0, 39,
    106, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 144, 16, 0, 0, 52, 106, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 117,
    29, 0, 0, 83, 106, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 136, 31, 0, 0, 93, 106, 2, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 196, 28, 0, 0, 106, 106, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 137, 31, 0, 0, 119, 106, 2, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 138, 31, 0, 0, 132, 106, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 139, 31, 0, 0,
    145, 106, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 140, 31, 0, 0, 159, 106, 2, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 141, 31, 0, 0, 173, 106, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 142, 31, 0, 0, 187, 106, 2, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 143, 31, 0, 0, 201, 106, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 144, 31, 0, 0, 215,
    106, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 145, 31, 0, 0, 229, 106, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    124, 31, 0, 0, 249, 106, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 139, 31, 0, 0, 3, 107, 2, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 33, 4, 0, 0, 41, 107, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 146, 31, 0, 0, 50, 107, 2,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 147, 31, 0, 0, 63, 107, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 37, 29, 0,
    0, 82, 107, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 148, 31, 0, 0, 91, 107, 2, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 70, 5, 0, 0, 104, 107, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 164, 10, 0, 0, 123, 107, 2, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 149, 31, 0, 0, 132, 107, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 146, 1, 0, 0, 173,
    107, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 150, 31, 0, 0, 186, 107, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    151, 31, 0, 0, 214, 107, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 152, 31, 0, 0, 227, 107, 2, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 153, 31, 0, 0, 242, 107, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 154, 31, 0, 0, 255,
    107, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 155, 31, 0, 0, 12, 108, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 156,
    31, 0, 0, 25, 108, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 5, 9, 0, 0, 43, 108, 2, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 157, 31, 0, 0, 52, 108, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 158, 31, 0, 0, 58, 108, 2, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 159, 31, 0, 0, 64, 108, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 160, 31, 0, 0, 70,
    108, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 161, 31, 0, 0, 77, 108, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 162,
    31, 0, 0, 86, 108, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 163, 31, 0, 0, 99, 108, 2, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 164, 31, 0, 0, 112, 108, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 165, 31, 0, 0, 131, 108, 2, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 166, 31, 0, 0, 140, 108, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 78, 3, 0, 0,
    153, 108, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 74, 17, 0, 0, 166, 108, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    167, 31, 0, 0, 179, 108, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 168, 31, 0, 0, 192, 108, 2, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 169, 31, 0, 0, 205, 108, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 102, 11, 0, 0, 218,
    108, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 103, 4, 0, 0, 231, 108, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 37,
    7, 0, 0, 244, 108, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 170, 31, 0, 0, 1, 109, 2, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 179, 1, 0, 0, 14, 109, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 243, 5, 0, 0, 33, 109, 2, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 171, 31, 0, 0, 42, 109, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 204, 10, 0, 0, 55,
    109, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 172, 31, 0, 0, 68, 109, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 116,
    1, 0, 0, 81, 109, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 44, 2, 0, 0, 172, 109, 2, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 173, 31, 0, 0, 181, 109, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 174, 31, 0, 0, 187, 109, 2, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 175, 31, 0, 0, 193, 109, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 176, 31, 0, 0,
    200, 109, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 177, 31, 0, 0, 223, 109, 2, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 141, 16, 0, 0, 236, 109, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 178, 31, 0, 0, 250, 109, 2, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 97, 5, 0, 0, 21, 110, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 179, 31, 0, 0, 39, 110,
    2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 180, 31, 0, 0, 52, 110, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 181, 31,
    0, 0, 65, 110, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 182, 31, 0, 0, 79, 110, 2, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 183, 31, 0, 0, 97, 110, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 184, 31, 0, 0, 110, 110, 2, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 181, 31, 0, 0, 124, 110, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 185, 31, 0, 0,
    142, 110, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 186, 31, 0, 0, 155, 110, 2, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 181, 31, 0, 0, 193, 110, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 187, 31, 0, 0, 202, 110, 2, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 188, 31, 0, 0, 215, 110, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 189, 31, 0, 0, 228,
    110, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 190, 31, 0, 0, 241, 110, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 34,
    30, 0, 0, 68, 111, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 191, 31, 0, 0, 77, 111, 2, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 166, 31, 0, 0, 90, 111, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 51, 2, 0, 0, 103, 111, 2, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 163, 7, 0, 0, 116, 111, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 192, 31, 0, 0,
    129, 111, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 193, 31, 0, 0, 142, 111, 2, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 44, 2, 0, 0, 161, 111, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 194, 31, 0, 0, 170, 111, 2, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 44, 2, 0, 0, 183, 111, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 112, 2, 0, 0, 196,
    111, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 129, 5, 0, 0, 209, 111, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 179,
    1, 0, 0, 222, 111, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 55, 4, 0, 0, 235, 111, 2, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 250, 6, 0, 0, 248, 111, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 21, 30, 0, 0, 5, 112, 2, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 195, 31, 0, 0, 19, 112, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 196, 31, 0, 0, 29,
    112, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 197, 31, 0, 0, 42, 112, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 67,
    30, 0, 0, 55, 112, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 198, 31, 0, 0, 68, 112, 2, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 121, 1, 0, 0, 81, 112, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 199, 31, 0, 0, 94, 112, 2, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 200, 31, 0, 0, 107, 112, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 201, 31, 0, 0,
    120, 112, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 202, 31, 0, 0, 133, 112, 2, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 203, 31, 0, 0, 146, 112, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 204, 31, 0, 0, 159, 112, 2, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 205, 31, 0, 0, 172, 112, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 206, 31, 0, 0, 185,
    112, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 207, 31, 0, 0, 198, 112, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    208, 31, 0, 0, 211, 112, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 209, 31, 0, 0, 224, 112, 2, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 210, 31, 0, 0, 237, 112, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 211, 31, 0, 0, 250,
    112, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 212, 31, 0, 0, 10, 113, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 213,
    31, 0, 0, 36, 113, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 214, 31, 0, 0, 45, 113, 2, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 215, 31, 0, 0, 58, 113, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 216, 31, 0, 0, 71, 113, 2, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 217, 31, 0, 0, 87, 113, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 9, 0, 0, 0,
    103, 113, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 163, 17, 0, 0, 119, 113, 2, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 218, 31, 0, 0, 135, 113, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 174, 6, 0, 0, 151, 113, 2, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 219, 31, 0, 0, 167, 113, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 220, 31, 0, 0, 183,
    113, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 221, 31, 0, 0, 199, 113, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    222, 31, 0, 0, 215, 113, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 223, 31, 0, 0, 231, 113, 2, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 224, 31, 0, 0, 9, 114, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 209, 31, 0, 0, 19, 114,
    2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 233, 4, 0, 0, 32, 114, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 133, 5, 0,
    0, 45, 114, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 244, 17, 0, 0, 58, 114, 2, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 47, 14, 0, 0, 89, 114, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 225, 31, 0, 0, 102, 114, 2, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 226, 31, 0, 0, 116, 114, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 213, 31, 0, 0, 126,
    114, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 195, 29, 0, 0, 139, 114, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    227, 31, 0, 0, 152, 114, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 146, 1, 0, 0, 166, 114, 2, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 228, 31, 0, 0, 176, 114, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 229, 31, 0, 0, 189,
    114, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 230, 31, 0, 0, 202, 114, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    231, 31, 0, 0, 215, 114, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 232, 31, 0, 0, 228, 114, 2, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 233, 31, 0, 0, 242, 114, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 234, 31, 0, 0, 251,
    114, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 235, 31, 0, 0, 8, 115, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 236,
    31, 0, 0, 21, 115, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 237, 31, 0, 0, 34, 115, 2, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 238, 31, 0, 0, 47, 115, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 239, 31, 0, 0, 60, 115, 2, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 240, 31, 0, 0, 73, 115, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 241, 31, 0, 0,
    86, 115, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 242, 31, 0, 0, 99, 115, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    144, 2, 0, 0, 125, 115, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 243, 31, 0, 0, 135, 115, 2, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 235, 31, 0, 0, 148, 115, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 236, 31, 0, 0, 161,
    115, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 237, 31, 0, 0, 174, 115, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    244, 31, 0, 0, 215, 115, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 245, 31, 0, 0, 228, 115, 2, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 246, 31, 0, 0, 0, 116, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 238, 31, 0, 0, 13, 116,
    2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 239, 31, 0, 0, 26, 116, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 240, 31,
    0, 0, 39, 116, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 241, 31, 0, 0, 54, 116, 2, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 247, 31, 0, 0, 67, 116, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 248, 31, 0, 0, 80, 116, 2, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 242, 31, 0, 0, 93, 116, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 249, 31, 0, 0,
    106, 116, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 32, 11, 0, 0, 135, 116, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    250, 31, 0, 0, 148, 116, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 251, 31, 0, 0, 187, 116, 2, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 252, 31, 0, 0, 196, 116, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 235, 31, 0, 0, 209,
    116, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 236, 31, 0, 0, 222, 116, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    237, 31, 0, 0, 235, 116, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 238, 31, 0, 0, 248, 116, 2, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 239, 31, 0, 0, 5, 117, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 240, 31, 0, 0, 18, 117,
    2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 241, 31, 0, 0, 31, 117, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 242, 31,
    0, 0, 44, 117, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 253, 31, 0, 0, 57, 117, 2, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 82, 28, 0, 0, 70, 117, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 254, 31, 0, 0, 83, 117, 2, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 255, 31, 0, 0, 96, 117, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 0, 32, 0, 0, 109,
    117, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 1, 32, 0, 0, 122, 117, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 116,
    7, 0, 0, 135, 117, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 2, 32, 0, 0, 154, 117, 2, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 3, 32, 0, 0, 163, 117, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 4, 32, 0, 0, 176, 117, 2, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 211, 13, 0, 0, 190, 117, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 5, 32, 0, 0, 200,
    117, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 6, 32, 0, 0, 213, 117, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 229,
    18, 0, 0, 227, 117, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 7, 32, 0, 0, 242, 117, 2, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 8, 32, 0, 0, 251, 117, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 9, 32, 0, 0, 8, 118, 2, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 10, 32, 0, 0, 21, 118, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 180, 24, 0, 0, 98,
    118, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 11, 32, 0, 0, 107, 118, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 179,
    1, 0, 0, 120, 118, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 9, 8, 0, 0, 133, 118, 2, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 7, 8, 0, 0, 146, 118, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 105, 5, 0, 0, 209, 118, 2, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 211, 6, 0, 0, 218, 118, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 193, 6, 0, 0, 231,
    118, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 12, 32, 0, 0, 244, 118, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 141,
    5, 0, 0, 51, 119, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 13, 32, 0, 0, 60, 119, 2, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 14, 32, 0, 0, 73, 119, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 211, 13, 0, 0, 86, 119, 2, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 128, 5, 0, 0, 99, 119, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 15, 32, 0, 0, 112,
    119, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 16, 32, 0, 0, 125, 119, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 17,
    32, 0, 0, 138, 119, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 109, 13, 0, 0, 166, 119, 2, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 18, 32, 0, 0, 179, 119, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 19, 32, 0, 0, 192, 119, 2,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 20, 32, 0, 0, 205, 119, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 21, 32, 0,
    0, 218, 119, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 22, 32, 0, 0, 231, 119, 2, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 23, 32, 0, 0, 244, 119, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 240, 4, 0, 0, 1, 120, 2, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 24, 32, 0, 0, 14, 120, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 25, 32, 0, 0, 27, 120, 2,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 26, 32, 0, 0, 40, 120, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 27, 32, 0, 0,
    53, 120, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 28, 32, 0, 0, 72, 120, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    29, 32, 0, 0, 81, 120, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 75, 20, 0, 0, 94, 120, 2, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 30, 32, 0, 0, 107, 120, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 122, 12, 0, 0, 136, 120, 2,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 25, 32, 0, 0, 145, 120, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 114, 2, 0,
    0, 158, 120, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 129, 5, 0, 0, 171, 120, 2, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 31, 32, 0, 0, 184, 120, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 32, 32, 0, 0, 197, 120, 2, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 33, 32, 0, 0, 210, 120, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 34, 32, 0, 0, 223,
    120, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 35, 32, 0, 0, 236, 120, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 36,
    32, 0, 0, 249, 120, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 37, 32, 0, 0, 6, 121, 2, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 38, 32, 0, 0, 19, 121, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 39, 32, 0, 0, 32, 121, 2, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 40, 32, 0, 0, 45, 121, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 41, 32, 0, 0, 58,
    121, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 42, 32, 0, 0, 77, 121, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 140,
    6, 0, 0, 86, 121, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 253, 23, 0, 0, 99, 121, 2, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 43, 32, 0, 0, 112, 121, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 44, 32, 0, 0, 126, 121, 2, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 45, 32, 0, 0, 135, 121, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 22, 10, 0, 0,
    148, 121, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 44, 2, 0, 0, 172, 121, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    46, 32, 0, 0, 181, 121, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 70, 5, 0, 0, 194, 121, 2, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 227, 8, 0, 0, 207, 121, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 11, 12, 0, 0, 238, 121, 2,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 47, 32, 0, 0, 248, 121, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 76, 3, 0, 0,
    5, 122, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 102, 10, 0, 0, 18, 122, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    48, 32, 0, 0, 31, 122, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 49, 32, 0, 0, 44, 122, 2, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 167, 7, 0, 0, 57, 122, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 50, 32, 0, 0, 70, 122, 2, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 51, 32, 0, 0, 83, 122, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 192, 11, 0, 0,
    96, 122, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 99, 6, 0, 0, 109, 122, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    52, 32, 0, 0, 122, 122, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 53, 32, 0, 0, 135, 122, 2, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 250, 6, 0, 0, 148, 122, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 54, 32, 0, 0, 161, 122,
    2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 55, 32, 0, 0, 189, 122, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 56, 32,
    0, 0, 218, 122, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 57, 32, 0, 0, 231, 122, 2, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 58, 32, 0, 0, 4, 123, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 59, 32, 0, 0, 17, 123, 2, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 13, 10, 0, 0, 46, 123, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 72, 3, 0, 0, 59, 123,
    2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 60, 32, 0, 0, 72, 123, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 61, 32, 0,
    0, 86, 123, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 62, 32, 0, 0, 100, 123, 2, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 63, 32, 0, 0, 114, 123, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 244, 6, 0, 0, 134, 123, 2, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 64, 32, 0, 0, 143, 123, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 56, 32, 0, 0, 162,
    123, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 65, 32, 0, 0, 171, 123, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 66,
    32, 0, 0, 184, 123, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 33, 4, 0, 0, 215, 123, 2, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 67, 32, 0, 0, 224, 123, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 134, 1, 0, 0, 237, 123, 2, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 68, 32, 0, 0, 250, 123, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 240, 4, 0, 0,
    7, 124, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 69, 32, 0, 0, 20, 124, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    70, 32, 0, 0, 33, 124, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 71, 32, 0, 0, 46, 124, 2, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 248, 9, 0, 0, 59, 124, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 71, 4, 0, 0, 73, 124, 2, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 150, 6, 0, 0, 82, 124, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 72, 32, 0, 0,
    101, 124, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 72, 32, 0, 0, 110, 124, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    248, 9, 0, 0, 123, 124, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 73, 32, 0, 0, 136, 124, 2, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 47, 14, 0, 0, 149, 124, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 74, 32, 0, 0, 162, 124,
    2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 55, 4, 0, 0, 175, 124, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 151, 31,
    0, 0, 189, 124, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 75, 32, 0, 0, 198, 124, 2, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 123, 1, 0, 0, 211, 124, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 55, 4, 0, 0, 224, 124, 2, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 137, 9, 0, 0, 237, 124, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 136, 9, 0, 0, 68,
    125, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 76, 32, 0, 0, 76, 125, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 77,
    32, 0, 0, 85, 125, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 77, 32, 0, 0, 103, 125, 2, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 78, 32, 0, 0, 116, 125, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 88, 6, 0, 0, 125, 125, 2, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 102, 5, 0, 0, 138, 125, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 249, 10, 0, 0,
    151, 125, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 61, 7, 0, 0, 164, 125, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    79, 32, 0, 0, 177, 125, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 34, 6, 0, 0, 190, 125, 2, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 154, 6, 0, 0, 204, 125, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 95, 6, 0, 0, 213, 125, 2,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 39, 27, 0, 0, 232, 125, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 80, 32, 0,
    0, 241, 125, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 81, 32, 0, 0, 254, 125, 2, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 82, 32, 0, 0, 11, 126, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 83, 32, 0, 0, 24, 126, 2, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 84, 32, 0, 0, 37, 126, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 85, 32, 0, 0, 50, 126, 2,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 61, 7, 0, 0, 63, 126, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 179, 1, 0, 0,
    76, 126, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 156, 1, 0, 0, 89, 126, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    146, 1, 0, 0, 102, 126, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 133, 9, 0, 0, 115, 126, 2, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 86, 32, 0, 0, 128, 126, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 173, 6, 0, 0, 146, 126,
    2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 87, 32, 0, 0, 155, 126, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 88, 32,
    0, 0, 161, 126, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 89, 32, 0, 0, 232, 126, 2, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 90, 32, 0, 0, 241, 126, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 150, 20, 0, 0, 254, 126, 2, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 91, 32, 0, 0, 11, 127, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 70, 6, 0, 0, 37,
    127, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 92, 32, 0, 0, 46, 127, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 93,
    32, 0, 0, 59, 127, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 113, 2, 0, 0, 73, 127, 2, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 94, 32, 0, 0, 82, 127, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 73, 6, 0, 0, 95, 127, 2, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 61, 6, 0, 0, 108, 127, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 62, 6, 0, 0, 121,
    127, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 138, 1, 0, 0, 134, 127, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 240,
    14, 0, 0, 147, 127, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 118, 5, 0, 0, 22, 128, 2, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 95, 32, 0, 0, 31, 128, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 123, 1, 0, 0, 44, 128, 2, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 28, 6, 0, 0, 57, 128, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 97, 5, 0, 0, 70,
    128, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 221, 6, 0, 0, 83, 128, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 132,
    2, 0, 0, 96, 128, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 179, 1, 0, 0, 123, 128, 2, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 90, 12, 0, 0, 136, 128, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 96, 32, 0, 0, 149, 128, 2, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 97, 32, 0, 0, 174, 128, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 98, 32, 0, 0,
    183, 128, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 179, 1, 0, 0, 196, 128, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    142, 7, 0, 0, 209, 128, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 41, 7, 0, 0, 222, 128, 2, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 118, 5, 0, 0, 37, 129, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 99, 32, 0, 0, 46, 129, 2, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 237, 18, 0, 0, 59, 129, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 126, 5, 0, 0,
    83, 129, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 100, 32, 0, 0, 92, 129, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    244, 17, 0, 0, 105, 129, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 101, 32, 0, 0, 118, 129, 2, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 150, 20, 0, 0, 131, 129, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 97, 5, 0, 0, 144, 129,
    2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 102, 32, 0, 0, 168, 129, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 103, 32,
    0, 0, 177, 129, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 104, 32, 0, 0, 190, 129, 2, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 105, 32, 0, 0, 203, 129, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 106, 32, 0, 0, 232, 129, 2, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 107, 32, 0, 0, 241, 129, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 175, 11, 0, 0,
    254, 129, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 129, 5, 0, 0, 11, 130, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    108, 32, 0, 0, 24, 130, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 109, 32, 0, 0, 37, 130, 2, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 110, 32, 0, 0, 50, 130, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 111, 32, 0, 0, 64, 130,
    2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 112, 32, 0, 0, 73, 130, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 28, 6, 0,
    0, 86, 130, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 13, 4, 0, 0, 100, 130, 2, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 113, 32, 0, 0, 109, 130, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 114, 32, 0, 0, 122, 130, 2, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 115, 32, 0, 0, 135, 130, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 116, 32, 0, 0, 154,
    130, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 117, 32, 0, 0, 163, 130, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    118, 32, 0, 0, 176, 130, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 119, 32, 0, 0, 189, 130, 2, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 120, 32, 0, 0, 205, 130, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 121, 32, 0, 0, 221,
    130, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 9, 0, 0, 0, 237, 130, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 73, 3,
    0, 0, 3, 131, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 122, 32, 0, 0, 12, 131, 2, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 123, 32, 0, 0, 25, 131, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 124, 32, 0, 0, 38, 131, 2, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 182, 24, 0, 0, 51, 131, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 179, 1, 0, 0, 70,
    131, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 125, 32, 0, 0, 79, 131, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 126,
    32, 0, 0, 92, 131, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 127, 32, 0, 0, 105, 131, 2, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 128, 32, 0, 0, 118, 131, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 129, 32, 0, 0, 141, 131,
    2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 130, 32, 0, 0, 149, 131, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 131, 32,
    0, 0, 158, 131, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 132, 32, 0, 0, 171, 131, 2, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 133, 32, 0, 0, 184, 131, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 134, 32, 0, 0, 197, 131, 2, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 135, 32, 0, 0, 210, 131, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 136, 32, 0, 0,
    223, 131, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 137, 32, 0, 0, 241, 131, 2, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 138, 32, 0, 0, 253, 131, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 139, 32, 0, 0, 9, 132, 2, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 140, 32, 0, 0, 21, 132, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 141, 32, 0, 0, 34,
    132, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 142, 32, 0, 0, 43, 132, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 91,
    32, 0, 0, 56, 132, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 143, 32, 0, 0, 69, 132, 2, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 70, 6, 0, 0, 95, 132, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 144, 32, 0, 0, 104, 132, 2, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 145, 32, 0, 0, 117, 132, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 150, 9, 0, 0,
    136, 132, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 146, 32, 0, 0, 145, 132, 2, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 94, 9, 0, 0, 158, 132, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 247, 6, 0, 0, 171, 132, 2, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 70, 6, 0, 0, 206, 132, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 147, 32, 0, 0, 224, 132,
    2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 148, 32, 0, 0, 233, 132, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 69, 30,
    0, 0, 246, 132, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 89, 14, 0, 0, 3, 133, 2, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 149, 32, 0, 0, 16, 133, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 150, 32, 0, 0, 45, 133, 2, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 151, 32, 0, 0, 54, 133, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 76, 30, 0, 0, 67,
    133, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 152, 32, 0, 0, 80, 133, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 153,
    32, 0, 0, 99, 133, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 154, 32, 0, 0, 108, 133, 2, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 112, 2, 0, 0, 121, 133, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 155, 32, 0, 0, 161, 133, 2,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 156, 32, 0, 0, 170, 133, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 157, 32, 0,
    0, 183, 133, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 158, 32, 0, 0, 196, 133, 2, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 159, 32, 0, 0, 209, 133, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 89, 2, 0, 0, 222, 133, 2, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 160, 32, 0, 0, 235, 133, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 161, 32, 0, 0,
    248, 133, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 162, 32, 0, 0, 19, 134, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    163, 32, 0, 0, 32, 134, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 164, 32, 0, 0, 74, 134, 2, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 165, 32, 0, 0, 83, 134, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 50, 4, 0, 0, 96, 134, 2,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 166, 32, 0, 0, 109, 134, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 13, 10, 0,
    0, 175, 134, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 167, 32, 0, 0, 184, 134, 2, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 168, 32, 0, 0, 197, 134, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 109, 13, 0, 0, 215, 134, 2, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 169, 32, 0, 0, 33, 135, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 170, 32, 0, 0,
    128, 135, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 46, 18, 0, 0, 137, 135, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    171, 32, 0, 0, 150, 135, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 172, 32, 0, 0, 163, 135, 2, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 173, 32, 0, 0, 176, 135, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 174, 32, 0, 0, 189,
    135, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 175, 32, 0, 0, 202, 135, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    176, 32, 0, 0, 215, 135, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 177, 32, 0, 0, 228, 135, 2, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 178, 32, 0, 0, 241, 135, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 179, 32, 0, 0, 254,
    135, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 180, 32, 0, 0, 11, 136, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 181,
    32, 0, 0, 24, 136, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 182, 32, 0, 0, 37, 136, 2, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 183, 32, 0, 0, 50, 136, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 184, 32, 0, 0, 63, 136, 2, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 185, 32, 0, 0, 76, 136, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 186, 32, 0, 0,
    89, 136, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 187, 32, 0, 0, 102, 136, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    188, 32, 0, 0, 115, 136, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 189, 32, 0, 0, 128, 136, 2, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 190, 32, 0, 0, 146, 136, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 191, 32, 0, 0, 159,
    136, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 192, 32, 0, 0, 172, 136, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    193, 32, 0, 0, 190, 136, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 193, 4, 0, 0, 203, 136, 2, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 146, 1, 0, 0, 216, 136, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 194, 32, 0, 0, 242, 136,
    2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 195, 32, 0, 0, 251, 136, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 196, 32,
    0, 0, 8, 137, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 197, 32, 0, 0, 61, 137, 2, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 198, 32, 0, 0, 70, 137, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 199, 32, 0, 0, 83, 137, 2, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 200, 32, 0, 0, 96, 137, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 201, 32, 0, 0,
    109, 137, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 202, 32, 0, 0, 122, 137, 2, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 203, 32, 0, 0, 135, 137, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 204, 32, 0, 0, 148, 137, 2, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 205, 32, 0, 0, 161, 137, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 206, 32, 0, 0, 27,
    138, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 207, 32, 0, 0, 36, 138, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 146,
    1, 0, 0, 49, 138, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 12, 4, 0, 0, 62, 138, 2, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 134, 1, 0, 0, 81, 138, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 208, 32, 0, 0, 86, 138, 2, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 209, 32, 0, 0, 95, 138, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 12, 4, 0, 0, 114,
    138, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 210, 32, 0, 0, 162, 139, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    211, 32, 0, 0, 171, 139, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 212, 32, 0, 0, 177, 139, 2, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 213, 32, 0, 0, 183, 139, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 214, 32, 0, 0, 189,
    139, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 215, 32, 0, 0, 195, 139, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    216, 32, 0, 0, 201, 139, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 217, 32, 0, 0, 208, 139, 2, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 218, 32, 0, 0, 217, 139, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 240, 4, 0, 0, 230, 139,
    2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 226, 7, 0, 0, 243, 139, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 219, 32,
    0, 0, 0, 140, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 140, 5, 0, 0, 13, 140, 2, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 196, 6, 0, 0, 26, 140, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 220, 32, 0, 0, 44, 140, 2, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 219, 32, 0, 0, 53, 140, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 221, 32, 0, 0, 59, 140,
    2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 222, 32, 0, 0, 65, 140, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 223, 32,
    0, 0, 71, 140, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 224, 32, 0, 0, 77, 140, 2, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 225, 32, 0, 0, 84, 140, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 226, 32, 0, 0, 93, 140, 2, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 107, 7, 0, 0, 106, 140, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 129, 5, 0, 0, 119,
    140, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 227, 32, 0, 0, 132, 140, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    182, 25, 0, 0, 145, 140, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 228, 32, 0, 0, 158, 140, 2, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 229, 32, 0, 0, 176, 140, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 230, 32, 0, 0, 205,
    140, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 231, 32, 0, 0, 214, 140, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    232, 32, 0, 0, 227, 140, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 106, 5, 0, 0, 246, 140, 2, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 233, 32, 0, 0, 255, 140, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 193, 6, 0, 0, 12, 141,
    2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 74, 3, 0, 0, 25, 141, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 72, 3, 0,
    0, 38, 141, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 114, 5, 0, 0, 51, 141, 2, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 12, 4, 0, 0, 64, 141, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 67, 28, 0, 0, 94, 141, 2, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 234, 32, 0, 0, 103, 141, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 235, 32, 0, 0, 109,
    141, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 236, 32, 0, 0, 115, 141, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    237, 32, 0, 0, 126, 141, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 238, 32, 0, 0, 135, 141, 2, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 239, 32, 0, 0, 141, 141, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 240, 32, 0, 0, 147,
    141, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 241, 32, 0, 0, 153, 141, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    242, 32, 0, 0, 159, 141, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 243, 32, 0, 0, 165, 141, 2, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 244, 32, 0, 0, 171, 141, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 245, 32, 0, 0, 188,
    141, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 246, 32, 0, 0, 197, 141, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    123, 1, 0, 0, 210, 141, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 9, 0, 0, 0, 223, 141, 2, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 211, 30, 0, 0, 236, 141, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 179, 1, 0, 0, 249, 141, 2,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 114, 2, 0, 0, 16, 142, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 247, 32, 0,
    0, 60, 142, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 248, 32, 0, 0, 69, 142, 2, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 249, 32, 0, 0, 96, 142, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 250, 32, 0, 0, 109, 142, 2, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 251, 32, 0, 0, 122, 142, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 252, 32, 0, 0, 135,
    142, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 253, 32, 0, 0, 215, 142, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    254, 32, 0, 0, 224, 142, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 255, 32, 0, 0, 237, 142, 2, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 0, 33, 0, 0, 250, 142, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 150, 4, 0, 0, 7, 143, 2,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 1, 33, 0, 0, 20, 143, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 2, 33, 0, 0,
    33, 143, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 3, 33, 0, 0, 46, 143, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 4,
    33, 0, 0, 59, 143, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 5, 33, 0, 0, 72, 143, 2, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 6, 33, 0, 0, 85, 143, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 7, 33, 0, 0, 98, 143, 2, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 8, 33, 0, 0, 111, 143, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 9, 33, 0, 0, 124, 143,
    2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 10, 33, 0, 0, 137, 143, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 11, 33,
    0, 0, 150, 143, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 12, 33, 0, 0, 163, 143, 2, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 13, 33, 0, 0, 176, 143, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 115, 9, 0, 0, 189, 143, 2, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 14, 33, 0, 0, 202, 143, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 116, 9, 0, 0, 215,
    143, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 15, 33, 0, 0, 228, 143, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 16,
    33, 0, 0, 241, 143, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 17, 33, 0, 0, 254, 143, 2, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 18, 33, 0, 0, 11, 144, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 19, 33, 0, 0, 24, 144, 2, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 20, 33, 0, 0, 37, 144, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 21, 33, 0, 0,
    122, 144, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 22, 33, 0, 0, 131, 144, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    23, 33, 0, 0, 144, 144, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 24, 33, 0, 0, 157, 144, 2, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 25, 33, 0, 0, 170, 144, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 26, 33, 0, 0, 183, 144,
    2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 27, 33, 0, 0, 196, 144, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 28, 33,
    0, 0, 212, 144, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 29, 33, 0, 0, 228, 144, 2, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 30, 33, 0, 0, 244, 144, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 31, 33, 0, 0, 4, 145, 2, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 32, 33, 0, 0, 20, 145, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 33, 33, 0, 0, 36, 145,
    2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 34, 33, 0, 0, 52, 145, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 35, 33, 0,
    0, 68, 145, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 189, 25, 0, 0, 81, 145, 2, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 103, 4, 0, 0, 94, 145, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 36, 33, 0, 0, 107, 145, 2, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 37, 33, 0, 0, 120, 145, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 38, 33, 0, 0, 133, 145,
    2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 39, 33, 0, 0, 146, 145, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 40, 33,
    0, 0, 159, 145, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 41, 33, 0, 0, 1, 146, 2, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 42, 33, 0, 0, 10, 146, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 43, 33, 0, 0, 23, 146, 2, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 44, 33, 0, 0, 36, 146, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 45, 33, 0, 0, 49, 146,
    2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 46, 33, 0, 0, 62, 146, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 47, 33, 0,
    0, 75, 146, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 48, 33, 0, 0, 88, 146, 2, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 49, 33, 0, 0, 101, 146, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 50, 33, 0, 0, 114, 146, 2, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 51, 33, 0, 0, 127, 146, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 52, 33, 0, 0, 140,
    146, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 166, 5, 0, 0, 153, 146, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 53,
    33, 0, 0, 68, 147, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 54, 33, 0, 0, 77, 147, 2, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 55, 33, 0, 0, 90, 147, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 56, 33, 0, 0, 103, 147, 2, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 57, 33, 0, 0, 116, 147, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 58, 33, 0, 0, 129,
    147, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 59, 33, 0, 0, 142, 147, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 60,
    33, 0, 0, 155, 147, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 61, 33, 0, 0, 168, 147, 2, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 62, 33, 0, 0, 181, 147, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 63, 33, 0, 0, 194, 147, 2,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 64, 33, 0, 0, 207, 147, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 65, 33, 0,
    0, 220, 147, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 66, 33, 0, 0, 234, 147, 2, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 67, 33, 0, 0, 1, 148, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 140, 5, 0, 0, 14, 148, 2, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 141, 5, 0, 0, 27, 148, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 68, 33, 0, 0, 41, 148, 2,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 9, 0, 0, 0, 59, 148, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 69, 33, 0, 0,
    72, 148, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 167, 4, 0, 0, 90, 148, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    70, 33, 0, 0, 102, 148, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 71, 33, 0, 0, 111, 148, 2, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 72, 33, 0, 0, 117, 148, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 73, 33, 0, 0, 123, 148,
    2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 74, 33, 0, 0, 130, 148, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 75, 33,
    0, 0, 139, 148, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 76, 33, 0, 0, 152, 148, 2, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 77, 33, 0, 0, 165, 148, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 78, 33, 0, 0, 178, 148, 2, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 79, 33, 0, 0, 191, 148, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 80, 33, 0, 0, 204,
    148, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 81, 33, 0, 0, 217, 148, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 82,
    33, 0, 0, 230, 148, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 83, 33, 0, 0, 243, 148, 2, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 84, 33, 0, 0, 5, 149, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 85, 33, 0, 0, 65, 149, 2, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 86, 33, 0, 0, 74, 149, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 90, 4, 0, 0, 87,
    149, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 87, 33, 0, 0, 100, 149, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 88,
    33, 0, 0, 113, 149, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 89, 33, 0, 0, 126, 149, 2, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 124, 31, 0, 0, 150, 149, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 90, 33, 0, 0, 159, 149, 2,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 91, 33, 0, 0, 172, 149, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 92, 33, 0,
    0, 185, 149, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 93, 33, 0, 0, 198, 149, 2, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 94, 33, 0, 0, 211, 149, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 95, 33, 0, 0, 224, 149, 2, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 96, 33, 0, 0, 237, 149, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 97, 33, 0, 0, 250,
    149, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 98, 33, 0, 0, 7, 150, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 99,
    33, 0, 0, 20, 150, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 100, 33, 0, 0, 33, 150, 2, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 101, 33, 0, 0, 200, 150, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 102, 33, 0, 0, 209, 150, 2, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 103, 33, 0, 0, 222, 150, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 104, 33, 0, 0,
    235, 150, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 105, 33, 0, 0, 248, 150, 2, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 106, 33, 0, 0, 5, 151, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 107, 33, 0, 0, 18, 151, 2, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 108, 33, 0, 0, 31, 151, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 109, 33, 0, 0, 44, 151,
    2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 110, 33, 0, 0, 57, 151, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 111, 33,
    0, 0, 70, 151, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 112, 33, 0, 0, 83, 151, 2, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 113, 33, 0, 0, 190, 151, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 114, 33, 0, 0, 199, 151, 2, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 115, 33, 0, 0, 212, 151, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 108, 4, 0, 0,
    225, 151, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 116, 33, 0, 0, 238, 151, 2, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 117, 33, 0, 0, 251, 151, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 118, 33, 0, 0, 8, 152, 2, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 119, 33, 0, 0, 21, 152, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 120, 33, 0, 0, 34,
    152, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 121, 33, 0, 0, 79, 152, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 122,
    33, 0, 0, 88, 152, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 123, 33, 0, 0, 101, 152, 2, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 124, 33, 0, 0, 114, 152, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 125, 33, 0, 0, 127, 152,
    2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 126, 33, 0, 0, 140, 152, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 127, 33,
    0, 0, 153, 152, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 128, 33, 0, 0, 166, 152, 2, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 129, 33, 0, 0, 179, 152, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 130, 33, 0, 0, 192, 152, 2, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 131, 33, 0, 0, 205, 152, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 132, 33, 0, 0,
    218, 152, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 133, 33, 0, 0, 231, 152, 2, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 134, 33, 0, 0, 244, 152, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 135, 33, 0, 0, 1, 153, 2, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 136, 33, 0, 0, 14, 153, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 137, 33, 0, 0, 27,
    153, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 138, 33, 0, 0, 93, 153, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 139,
    33, 0, 0, 102, 153, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 140, 33, 0, 0, 115, 153, 2, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 141, 33, 0, 0, 141, 153, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 142, 33, 0, 0, 150, 153,
    2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 179, 1, 0, 0, 163, 153, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 143, 33,
    0, 0, 176, 153, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 144, 33, 0, 0, 189, 153, 2, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 145, 33, 0, 0, 202, 153, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 146, 33, 0, 0, 215, 153, 2, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 147, 33, 0, 0, 228, 153, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 148, 33, 0, 0,
    241, 153, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 139, 5, 0, 0, 254, 153, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    149, 33, 0, 0, 11, 154, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 150, 33, 0, 0, 29, 154, 2, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 151, 33, 0, 0, 46, 154, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 152, 33, 0, 0, 55, 154,
    2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 153, 33, 0, 0, 68, 154, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 154, 33,
    0, 0, 81, 154, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 155, 33, 0, 0, 94, 154, 2, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 226, 10, 0, 0, 107, 154, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 160, 7, 0, 0, 120, 154, 2, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 156, 33, 0, 0, 133, 154, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 157, 33, 0, 0,
    146, 154, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 158, 33, 0, 0, 159, 154, 2, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 159, 33, 0, 0, 240, 154, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 160, 33, 0, 0, 7, 155, 2, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 161, 33, 0, 0, 25, 155, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 139, 5, 0, 0, 38,
    155, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 217, 18, 0, 0, 51, 155, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 162,
    33, 0, 0, 64, 155, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 36, 29, 0, 0, 78, 155, 2, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 163, 33, 0, 0, 96, 155, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 25, 28, 0, 0, 109, 155, 2, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 164, 33, 0, 0, 122, 155, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 165, 33, 0, 0,
    135, 155, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 37, 29, 0, 0, 148, 155, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    166, 33, 0, 0, 161, 155, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 167, 33, 0, 0, 175, 155, 2, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 82, 16, 0, 0, 53, 156, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 168, 33, 0, 0, 94, 156,
    2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 95, 9, 0, 0, 103, 156, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 169, 33,
    0, 0, 116, 156, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 170, 33, 0, 0, 129, 156, 2, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 183, 9, 0, 0, 142, 156, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 184, 9, 0, 0, 155, 156, 2, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 171, 33, 0, 0, 168, 156, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 185, 9, 0, 0,
    181, 156, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 186, 9, 0, 0, 194, 156, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    187, 9, 0, 0, 207, 156, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 172, 33, 0, 0, 236, 156, 2, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 173, 33, 0, 0, 245, 156, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 123, 1, 0, 0, 2, 157,
    2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 232, 32, 0, 0, 15, 157, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 179, 1,
    0, 0, 28, 157, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 134, 1, 0, 0, 41, 157, 2, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 41, 7, 0, 0, 54, 157, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 142, 7, 0, 0, 181, 157, 2, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 174, 33, 0, 0, 190, 157, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 179, 1, 0, 0, 203,
    157, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 175, 33, 0, 0, 216, 157, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    176, 33, 0, 0, 229, 157, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 177, 33, 0, 0, 242, 157, 2, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 178, 33, 0, 0, 255, 157, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 179, 33, 0, 0, 12, 158,
    2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 180, 33, 0, 0, 25, 158, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 181, 33,
    0, 0, 38, 158, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 182, 33, 0, 0, 51, 158, 2, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 183, 33, 0, 0, 64, 158, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 184, 33, 0, 0, 161, 158, 2, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 185, 33, 0, 0, 170, 158, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 215, 5, 0, 0,
    183, 158, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 186, 33, 0, 0, 196, 158, 2, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 187, 33, 0, 0, 210, 158, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 188, 33, 0, 0, 219, 158, 2, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 215, 5, 0, 0, 232, 158, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 189, 33, 0, 0, 245,
    158, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 190, 33, 0, 0, 2, 159, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 179,
    1, 0, 0, 15, 159, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 191, 33, 0, 0, 28, 159, 2, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 192, 33, 0, 0, 42, 159, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 193, 33, 0, 0, 51, 159, 2, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 215, 5, 0, 0, 64, 159, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 189, 33, 0, 0,
    77, 159, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 190, 33, 0, 0, 90, 159, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    179, 1, 0, 0, 103, 159, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 73, 25, 0, 0, 116, 159, 2, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 194, 33, 0, 0, 129, 159, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 192, 33, 0, 0, 241,
    159, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 195, 33, 0, 0, 250, 159, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    196, 33, 0, 0, 7, 160, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 197, 33, 0, 0, 20, 160, 2, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 198, 33, 0, 0, 33, 160, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 199, 33, 0, 0, 46, 160, 2,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 200, 33, 0, 0, 148, 160, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 201, 33, 0,
    0, 157, 160, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 238, 6, 0, 0, 176, 160, 2, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 202, 33, 0, 0, 181, 160, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 203, 33, 0, 0, 191, 160, 2, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 179, 1, 0, 0, 204, 160, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 204, 33, 0, 0, 217,
    160, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 14, 7, 0, 0, 230, 160, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 116,
    7, 0, 0, 243, 160, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 97, 5, 0, 0, 26, 161, 2, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 205, 33, 0, 0, 35, 161, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 206, 33, 0, 0, 48, 161, 2, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 207, 33, 0, 0, 61, 161, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 208, 33, 0, 0,
    74, 161, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 209, 33, 0, 0, 87, 161, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    210, 33, 0, 0, 100, 161, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 211, 33, 0, 0, 113, 161, 2, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 212, 33, 0, 0, 126, 161, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 213, 33, 0, 0, 139,
    161, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 214, 33, 0, 0, 158, 161, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    215, 33, 0, 0, 167, 161, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 216, 33, 0, 0, 180, 161, 2, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 217, 33, 0, 0, 193, 161, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 218, 33, 0, 0, 206,
    161, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 219, 33, 0, 0, 230, 161, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    220, 33, 0, 0, 239, 161, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 221, 33, 0, 0, 252, 161, 2, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 222, 33, 0, 0, 9, 162, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 223, 33, 0, 0, 22, 162,
    2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 224, 33, 0, 0, 35, 162, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 225, 33,
    0, 0, 48, 162, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 226, 33, 0, 0, 61, 162, 2, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 227, 33, 0, 0, 74, 162, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 101, 33, 0, 0, 100, 162, 2, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 228, 33, 0, 0, 110, 162, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 63, 4, 0, 0, 123,
    162, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 229, 33, 0, 0, 136, 162, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    230, 33, 0, 0, 162, 162, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 231, 33, 0, 0, 171, 162, 2, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 232, 33, 0, 0, 184, 162, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 233, 33, 0, 0, 197,
    162, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 234, 33, 0, 0, 210, 162, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    197, 17, 0, 0, 223, 162, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 25, 28, 0, 0, 237, 162, 2, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 235, 33, 0, 0, 246, 162, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 236, 33, 0, 0, 3, 163,
    2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 237, 33, 0, 0, 16, 163, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 238, 33,
    0, 0, 29, 163, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 239, 33, 0, 0, 43, 163, 2, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 240, 33, 0, 0, 52, 163, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 22, 10, 0, 0, 70, 163, 2, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 241, 33, 0, 0, 83, 163, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 159, 17, 0, 0, 97,
    163, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 242, 33, 0, 0, 106, 163, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    243, 33, 0, 0, 119, 163, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 244, 33, 0, 0, 132, 163, 2, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 211, 14, 0, 0, 145, 163, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 245, 33, 0, 0, 158,
    163, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 179, 1, 0, 0, 171, 163, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 134,
    1, 0, 0, 184, 163, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 244, 6, 0, 0, 197, 163, 2, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 246, 33, 0, 0, 242, 163, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 247, 33, 0, 0, 251, 163, 2, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 13, 4, 0, 0, 8, 164, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 134, 1, 0, 0, 21,
    164, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 248, 33, 0, 0, 34, 164, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 249,
    33, 0, 0, 53, 164, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 250, 33, 0, 0, 62, 164, 2, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 240, 4, 0, 0, 75, 164, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 51, 4, 0, 0, 88, 164, 2, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 251, 33, 0, 0, 101, 164, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 252, 33, 0, 0,
    115, 164, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 253, 33, 0, 0, 124, 164, 2, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 134, 1, 0, 0, 137, 164, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 252, 33, 0, 0, 156, 164, 2, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 254, 33, 0, 0, 165, 164, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 70, 5, 0, 0, 178,
    164, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 51, 4, 0, 0, 107, 166, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 255,
    33, 0, 0, 116, 166, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 0, 34, 0, 0, 129, 166, 2, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 106, 2, 0, 0, 142, 166, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 14, 13, 0, 0, 155, 166, 2, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 1, 34, 0, 0, 168, 166, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 2, 34, 0, 0,
    181, 166, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 3, 34, 0, 0, 194, 166, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    139, 5, 0, 0, 207, 166, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 18, 2, 0, 0, 220, 166, 2, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 142, 5, 0, 0, 233, 166, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 140, 5, 0, 0, 246, 166, 2,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 141, 5, 0, 0, 3, 167, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 129, 5, 0, 0,
    16, 167, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 4, 34, 0, 0, 29, 167, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 5,
    34, 0, 0, 42, 167, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 13, 25, 0, 0, 55, 167, 2, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 6, 34, 0, 0, 68, 167, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 149, 33, 0, 0, 81, 167, 2, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 156, 18, 0, 0, 157, 167, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 7, 34, 0, 0, 166,
    167, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 8, 34, 0, 0, 179, 167, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 9,
    34, 0, 0, 192, 167, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 10, 34, 0, 0, 205, 167, 2, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 11, 34, 0, 0, 224, 167, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 12, 34, 0, 0, 233, 167, 2,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 13, 34, 0, 0, 246, 167, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 14, 34, 0,
    0, 3, 168, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 15, 34, 0, 0, 16, 168, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    16, 34, 0, 0, 29, 168, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 17, 34, 0, 0, 42, 168, 2, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 18, 34, 0, 0, 166, 168, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 19, 34, 0, 0, 175, 168, 2,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 20, 34, 0, 0, 188, 168, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 21, 34, 0,
    0, 201, 168, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 22, 34, 0, 0, 214, 168, 2, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 23, 34, 0, 0, 233, 168, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 24, 34, 0, 0, 242, 168, 2, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 25, 34, 0, 0, 255, 168, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 26, 34, 0, 0, 12,
    169, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 27, 34, 0, 0, 25, 169, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 28,
    34, 0, 0, 38, 169, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 29, 34, 0, 0, 51, 169, 2, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 30, 34, 0, 0, 64, 169, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 31, 34, 0, 0, 77, 169, 2, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 32, 34, 0, 0, 90, 169, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 33, 34, 0, 0, 103,
    169, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 34, 34, 0, 0, 116, 169, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 35,
    34, 0, 0, 129, 169, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 36, 34, 0, 0, 142, 169, 2, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 37, 34, 0, 0, 156, 169, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 38, 34, 0, 0, 165, 169, 2,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 39, 34, 0, 0, 178, 169, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 40, 34, 0,
    0, 197, 169, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 41, 34, 0, 0, 206, 169, 2, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 42, 34, 0, 0, 219, 169, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 175, 11, 0, 0, 233, 169, 2, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 43, 34, 0, 0, 242, 169, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 44, 34, 0, 0, 255,
    169, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 13, 4, 0, 0, 12, 170, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 23, 6,
    0, 0, 25, 170, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 45, 34, 0, 0, 38, 170, 2, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 46, 34, 0, 0, 74, 170, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 47, 34, 0, 0, 84, 170, 2, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 48, 34, 0, 0, 97, 170, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 49, 34, 0, 0, 110,
    170, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 50, 34, 0, 0, 123, 170, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 51,
    34, 0, 0, 136, 170, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 52, 34, 0, 0, 149, 170, 2, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 53, 34, 0, 0, 162, 170, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 54, 34, 0, 0, 175, 170, 2,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 55, 34, 0, 0, 188, 170, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 56, 34, 0,
    0, 201, 170, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 57, 34, 0, 0, 214, 170, 2, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 58, 34, 0, 0, 228, 170, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 59, 34, 0, 0, 247, 170, 2, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 60, 34, 0, 0, 4, 171, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 61, 34, 0, 0, 18, 171,
    2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 62, 34, 0, 0, 32, 171, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 63, 34, 0,
    0, 46, 171, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 64, 34, 0, 0, 60, 171, 2, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 65, 34, 0, 0, 85, 171, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 66, 34, 0, 0, 94, 171, 2, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 67, 34, 0, 0, 107, 171, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 68, 34, 0, 0, 120, 171,
    2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 223, 3, 0, 0, 133, 171, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 69, 34,
    0, 0, 146, 171, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 61, 6, 0, 0, 159, 171, 2, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 74, 23, 0, 0, 172, 171, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 118, 5, 0, 0, 185, 171, 2, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 9, 0, 0, 0, 198, 171, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 70, 34, 0, 0, 211,
    171, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 71, 34, 0, 0, 224, 171, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 72,
    34, 0, 0, 121, 172, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 73, 34, 0, 0, 131, 172, 2, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 74, 34, 0, 0, 144, 172, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 75, 34, 0, 0, 173, 172, 2,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 134, 1, 0, 0, 186, 172, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 76, 34, 0,
    0, 200, 172, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 77, 34, 0, 0, 220, 172, 2, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 78, 34, 0, 0, 229, 172, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 134, 1, 0, 0, 242, 172, 2, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 79, 34, 0, 0, 255, 172, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 212, 5, 0, 0, 12,
    173, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 192, 4, 0, 0, 25, 173, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 123,
    1, 0, 0, 70, 173, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 80, 34, 0, 0, 79, 173, 2, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 81, 34, 0, 0, 92, 173, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 82, 34, 0, 0, 111, 173, 2, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 83, 34, 0, 0, 120, 173, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 134, 1, 0, 0, 133,
    173, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 74, 34, 0, 0, 160, 173, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 84,
    34, 0, 0, 173, 173, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 44, 2, 0, 0, 187, 173, 2, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 85, 34, 0, 0, 200, 173, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 49, 12, 0, 0, 213, 173, 2, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 102, 10, 0, 0, 226, 173, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 107, 17, 0, 0,
    240, 173, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 86, 34, 0, 0, 249, 173, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    87, 34, 0, 0, 6, 174, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 88, 34, 0, 0, 19, 174, 2, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 89, 34, 0, 0, 32, 174, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 90, 34, 0, 0, 45, 174, 2, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 91, 34, 0, 0, 117, 174, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 92, 34, 0, 0,
    126, 174, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 93, 34, 0, 0, 139, 174, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    94, 34, 0, 0, 206, 174, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 95, 34, 0, 0, 215, 174, 2, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 175, 11, 0, 0, 228, 174, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 96, 34, 0, 0, 241, 174,
    2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 97, 34, 0, 0, 16, 175, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 98, 34, 0,
    0, 25, 175, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 99, 34, 0, 0, 38, 175, 2, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 100, 34, 0, 0, 51, 175, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 101, 34, 0, 0, 64, 175, 2, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 102, 34, 0, 0, 77, 175, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 103, 34, 0, 0, 90,
    175, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 104, 34, 0, 0, 109, 175, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    105, 34, 0, 0, 118, 175, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 106, 34, 0, 0, 131, 175, 2, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 107, 34, 0, 0, 144, 175, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 108, 34, 0, 0, 157,
    175, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 109, 34, 0, 0, 170, 175, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    110, 34, 0, 0, 183, 175, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 111, 34, 0, 0, 207, 175, 2, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 112, 34, 0, 0, 216, 175, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 215, 5, 0, 0, 229, 175,
    2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 186, 33, 0, 0, 242, 175, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 187, 33,
    0, 0, 0, 176, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 113, 34, 0, 0, 9, 176, 2, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 215, 5, 0, 0, 22, 176, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 189, 33, 0, 0, 35, 176, 2, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 190, 33, 0, 0, 48, 176, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 179, 1, 0, 0, 61, 176,
    2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 191, 33, 0, 0, 87, 176, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 114, 34,
    0, 0, 96, 176, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 215, 5, 0, 0, 109, 176, 2, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 189, 33, 0, 0, 122, 176, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 190, 33, 0, 0, 135, 176, 2, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 179, 1, 0, 0, 148, 176, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 73, 25, 0, 0, 161,
    176, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 194, 33, 0, 0, 180, 176, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    115, 34, 0, 0, 190, 176, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 116, 34, 0, 0, 203, 176, 2, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 117, 34, 0, 0, 216, 176, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 118, 34, 0, 0, 229,
    176, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 103, 4, 0, 0, 243, 176, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 119,
    34, 0, 0, 252, 176, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 120, 34, 0, 0, 9, 177, 2, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 121, 34, 0, 0, 22, 177, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 122, 34, 0, 0, 35, 177, 2, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 123, 34, 0, 0, 48, 177, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 124, 34, 0, 0,
    61, 177, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 125, 34, 0, 0, 74, 177, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    126, 34, 0, 0, 87, 177, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 127, 34, 0, 0, 100, 177, 2, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 128, 34, 0, 0, 113, 177, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 129, 34, 0, 0, 126,
    177, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 130, 34, 0, 0, 145, 177, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    131, 34, 0, 0, 154, 177, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 39, 34, 0, 0, 167, 177, 2, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 123, 1, 0, 0, 180, 177, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 122, 34, 0, 0, 193, 177,
    2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 123, 34, 0, 0, 206, 177, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 132, 34,
    0, 0, 225, 177, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 133, 34, 0, 0, 234, 177, 2, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 223, 3, 0, 0, 247, 177, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 81, 7, 0, 0, 4, 178, 2, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 134, 34, 0, 0, 17, 178, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 135, 34, 0, 0, 30,
    178, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 136, 34, 0, 0, 43, 178, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 137,
    34, 0, 0, 56, 178, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 138, 34, 0, 0, 69, 178, 2, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 139, 34, 0, 0, 82, 178, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 42, 34, 0, 0, 95, 178, 2, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 175, 11, 0, 0, 130, 178, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 140, 34, 0, 0,
    139, 178, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 175, 11, 0, 0, 152, 178, 2, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 141, 34, 0, 0, 165, 178, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 90, 23, 0, 0, 178, 178, 2, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 5, 20, 0, 0, 191, 178, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 135, 1, 0, 0, 204,
    178, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 77, 34, 0, 0, 218, 178, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 142,
    34, 0, 0, 227, 178, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 134, 1, 0, 0, 240, 178, 2, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 139, 10, 0, 0, 253, 178, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 114, 2, 0, 0, 10, 179, 2,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 39, 34, 0, 0, 23, 179, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 179, 1, 0, 0,
    41, 179, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 143, 34, 0, 0, 149, 179, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    144, 34, 0, 0, 158, 179, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 145, 34, 0, 0, 171, 179, 2, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 146, 34, 0, 0, 184, 179, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 147, 34, 0, 0, 197,
    179, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 148, 34, 0, 0, 210, 179, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    149, 34, 0, 0, 223, 179, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 150, 34, 0, 0, 236, 179, 2, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 151, 34, 0, 0, 249, 179, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 152, 34, 0, 0, 6, 180,
    2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 153, 34, 0, 0, 19, 180, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 154, 34,
    0, 0, 32, 180, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 155, 34, 0, 0, 45, 180, 2, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 156, 34, 0, 0, 58, 180, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 157, 34, 0, 0, 71, 180, 2, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 158, 34, 0, 0, 84, 180, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 159, 34, 0, 0, 97,
    180, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 160, 34, 0, 0, 110, 180, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    161, 34, 0, 0, 123, 180, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 162, 34, 0, 0, 136, 180, 2, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 163, 34, 0, 0, 149, 180, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 164, 34, 0, 0, 162,
    180, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 165, 34, 0, 0, 175, 180, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    166, 34, 0, 0, 60, 181, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 167, 34, 0, 0, 69, 181, 2, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 128, 5, 0, 0, 82, 181, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 52, 4, 0, 0, 95, 181, 2,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 168, 34, 0, 0, 108, 181, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 169, 34, 0,
    0, 121, 181, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 170, 34, 0, 0, 103, 182, 2, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 171, 34, 0, 0, 211, 182, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 172, 34, 0, 0, 220, 182, 2, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 179, 1, 0, 0, 233, 182, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 174, 7, 0, 0, 246,
    182, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 134, 1, 0, 0, 3, 183, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 9, 0,
    0, 0, 16, 183, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 244, 17, 0, 0, 29, 183, 2, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 173, 34, 0, 0, 42, 183, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 174, 34, 0, 0, 55, 183, 2, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 175, 34, 0, 0, 68, 183, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 176, 34, 0, 0, 81,
    183, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 177, 34, 0, 0, 94, 183, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 55,
    4, 0, 0, 107, 183, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 178, 34, 0, 0, 120, 183, 2, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 179, 34, 0, 0, 133, 183, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 180, 34, 0, 0, 146, 183,
    2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 181, 34, 0, 0, 159, 183, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 182, 34,
    0, 0, 172, 183, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 183, 34, 0, 0, 185, 183, 2, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 184, 34, 0, 0, 198, 183, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 185, 34, 0, 0, 211, 183, 2, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 186, 34, 0, 0, 224, 183, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 187, 34, 0, 0,
    237, 183, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 188, 34, 0, 0, 250, 183, 2, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 240, 4, 0, 0, 7, 184, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 189, 34, 0, 0, 20, 184, 2, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 190, 34, 0, 0, 33, 184, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 191, 34, 0, 0, 46, 184,
    2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 192, 34, 0, 0, 65, 184, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 193, 34,
    0, 0, 74, 184, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 240, 4, 0, 0, 87, 184, 2, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 114, 2, 0, 0, 103, 184, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 179, 1, 0, 0, 120, 184, 2, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 194, 34, 0, 0, 129, 184, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 74, 3, 0, 0, 142,
    184, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 72, 3, 0, 0, 161, 184, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 182,
    34, 0, 0, 170, 184, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 122, 1, 0, 0, 183, 184, 2, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 44, 2, 0, 0, 231, 184, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 195, 34, 0, 0, 240, 184, 2,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 196, 34, 0, 0, 253, 184, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 197, 34, 0,
    0, 10, 185, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 74, 17, 0, 0, 23, 185, 2, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 198, 34, 0, 0, 36, 185, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 11, 10, 0, 0, 49, 185, 2, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 9, 0, 0, 0, 62, 185, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 179, 1, 0, 0, 75, 185, 2,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 97, 5, 0, 0, 88, 185, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 12, 4, 0, 0,
    102, 185, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 199, 34, 0, 0, 111, 185, 2, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 200, 34, 0, 0, 124, 185, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 201, 34, 0, 0, 137, 185, 2, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 202, 34, 0, 0, 150, 185, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 118, 5, 0, 0, 163,
    185, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 248, 17, 0, 0, 176, 185, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 31,
    12, 0, 0, 199, 185, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 203, 34, 0, 0, 208, 185, 2, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 204, 34, 0, 0, 214, 185, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 205, 34, 0, 0, 220, 185,
    2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 206, 34, 0, 0, 226, 185, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 207, 34,
    0, 0, 243, 185, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 208, 34, 0, 0, 252, 185, 2, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 209, 34, 0, 0, 9, 186, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 12, 18, 0, 0, 22, 186, 2, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 140, 24, 0, 0, 35, 186, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 210, 34, 0, 0,
    247, 186, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 211, 34, 0, 0, 0, 187, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    180, 19, 0, 0, 13, 187, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 0, 4, 0, 0, 26, 187, 2, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 255, 3, 0, 0, 39, 187, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 212, 34, 0, 0, 52, 187, 2,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 213, 34, 0, 0, 65, 187, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 214, 34, 0,
    0, 78, 187, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 215, 34, 0, 0, 91, 187, 2, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 0, 3, 0, 0, 104, 187, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 216, 34, 0, 0, 144, 187, 2, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 217, 34, 0, 0, 153, 187, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 218, 34, 0, 0, 166,
    187, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 219, 34, 0, 0, 179, 187, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    220, 34, 0, 0, 192, 187, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 221, 34, 0, 0, 205, 187, 2, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 222, 34, 0, 0, 221, 187, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 223, 34, 0, 0, 237,
    187, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 224, 34, 0, 0, 250, 187, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    225, 34, 0, 0, 7, 188, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 226, 34, 0, 0, 20, 188, 2, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 250, 2, 0, 0, 33, 188, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 227, 34, 0, 0, 46, 188, 2,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 228, 34, 0, 0, 59, 188, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 229, 34, 0,
    0, 161, 188, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 230, 34, 0, 0, 170, 188, 2, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 231, 34, 0, 0, 183, 188, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 232, 34, 0, 0, 196, 188, 2, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 233, 34, 0, 0, 209, 188, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 234, 34, 0, 0,
    222, 188, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 235, 34, 0, 0, 11, 189, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    9, 4, 0, 0, 20, 189, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 54, 3, 0, 0, 33, 189, 2, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 236, 34, 0, 0, 46, 189, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 49, 12, 0, 0, 59, 189, 2, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 106, 5, 0, 0, 78, 189, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 237, 34, 0, 0, 87,
    189, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 74, 3, 0, 0, 100, 189, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 33,
    4, 0, 0, 113, 189, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 240, 4, 0, 0, 132, 189, 2, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 238, 34, 0, 0, 144, 189, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 240, 4, 0, 0, 159, 189, 2, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 130, 18, 0, 0, 193, 189, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 239, 34, 0, 0,
    219, 189, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 240, 34, 0, 0, 232, 189, 2, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 241, 34, 0, 0, 245, 189, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 242, 34, 0, 0, 2, 190, 2, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 248, 9, 0, 0, 21, 190, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 96, 3, 0, 0, 30, 190,
    2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 133, 5, 0, 0, 43, 190, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 70, 5, 0,
    0, 56, 190, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 70, 14, 0, 0, 75, 190, 2, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 243, 34, 0, 0, 84, 190, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 13, 10, 0, 0, 97, 190, 2, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 244, 34, 0, 0, 110, 190, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 179, 1, 0, 0, 123, 190,
    2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 70, 5, 0, 0, 154, 190, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 245, 34,
    0, 0, 164, 190, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 246, 34, 0, 0, 177, 190, 2, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 205, 21, 0, 0, 190, 190, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 247, 34, 0, 0, 203, 190, 2, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 240, 4, 0, 0, 216, 190, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 133, 5, 0, 0,
    229, 190, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 109, 13, 0, 0, 242, 190, 2, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 247, 9, 0, 0, 255, 190, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 211, 21, 0, 0, 12, 191, 2, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 52, 3, 0, 0, 25, 191, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 122, 1, 0, 0, 38, 191,
    2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 209, 21, 0, 0, 51, 191, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 60, 3, 0,
    0, 64, 191, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 140, 14, 0, 0, 77, 191, 2, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 221, 21, 0, 0, 90, 191, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 241, 21, 0, 0, 103, 191, 2, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 248, 34, 0, 0, 117, 191, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 249, 34, 0, 0, 131,
    191, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 250, 34, 0, 0, 145, 191, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 9,
    0, 0, 0, 159, 191, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 222, 13, 0, 0, 173, 191, 2, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 179, 1, 0, 0, 187, 191, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 251, 34, 0, 0, 201, 191, 2,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 180, 19, 0, 0, 215, 191, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 108, 5, 0,
    0, 229, 191, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 252, 34, 0, 0, 243, 191, 2, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 253, 34, 0, 0, 1, 192, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 70, 5, 0, 0, 16, 192, 2, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 254, 34, 0, 0, 25, 192, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 7, 22, 0, 0, 38, 192,
    2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 102, 10, 0, 0, 52, 192, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 255, 34,
    0, 0, 61, 192, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 0, 35, 0, 0, 74, 192, 2, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 1, 35, 0, 0, 87, 192, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 141, 17, 0, 0, 113, 192, 2, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 2, 35, 0, 0, 122, 192, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 244, 6, 0, 0, 135, 192,
    2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 236, 19, 0, 0, 148, 192, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 3, 35,
    0, 0, 161, 192, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 214, 21, 0, 0, 174, 192, 2, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 106, 2, 0, 0, 187, 192, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 4, 35, 0, 0, 200, 192, 2, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 5, 35, 0, 0, 213, 192, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 6, 35, 0, 0, 226,
    192, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 7, 35, 0, 0, 239, 192, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 8,
    35, 0, 0, 252, 192, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 9, 35, 0, 0, 15, 193, 2, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 10, 35, 0, 0, 24, 193, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 146, 1, 0, 0, 37, 193, 2, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 9, 0, 0, 0, 50, 193, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 179, 1, 0, 0, 63,
    193, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 128, 5, 0, 0, 76, 193, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 250,
    2, 0, 0, 89, 193, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 97, 5, 0, 0, 102, 193, 2, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 248, 9, 0, 0, 120, 193, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 11, 35, 0, 0, 138, 193, 2, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 12, 35, 0, 0, 147, 193, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 180, 19, 0, 0,
    160, 193, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 12, 4, 0, 0, 173, 193, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    198, 5, 0, 0, 186, 193, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 233, 3, 0, 0, 199, 193, 2, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 219, 3, 0, 0, 212, 193, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 13, 35, 0, 0, 225, 193,
    2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 221, 3, 0, 0, 238, 193, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 14, 35,
    0, 0, 251, 193, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 192, 5, 0, 0, 8, 194, 2, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 222, 3, 0, 0, 21, 194, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 229, 3, 0, 0, 34, 194, 2, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 15, 35, 0, 0, 47, 194, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 16, 35, 0, 0, 60, 194,
    2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 225, 3, 0, 0, 73, 194, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 226, 3, 0,
    0, 86, 194, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 227, 3, 0, 0, 99, 194, 2, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 208, 5, 0, 0, 112, 194, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 230, 3, 0, 0, 125, 194, 2, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 231, 3, 0, 0, 138, 194, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 194, 5, 0, 0, 151,
    194, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 232, 3, 0, 0, 164, 194, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 205,
    5, 0, 0, 177, 194, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 17, 35, 0, 0, 190, 194, 2, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 18, 35, 0, 0, 203, 194, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 19, 35, 0, 0, 216, 194, 2, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 20, 35, 0, 0, 229, 194, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 21, 35, 0, 0,
    242, 194, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 22, 35, 0, 0, 252, 196, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    23, 35, 0, 0, 9, 197, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 17, 32, 0, 0, 22, 197, 2, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 33, 4, 0, 0, 35, 197, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 90, 12, 0, 0, 53, 197, 2, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 52, 6, 0, 0, 66, 197, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 114, 2, 0, 0, 80,
    197, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 118, 21, 0, 0, 98, 197, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 24,
    35, 0, 0, 137, 197, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 25, 35, 0, 0, 174, 197, 2, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 26, 35, 0, 0, 190, 197, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 27, 35, 0, 0, 206, 197, 2,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 95, 12, 0, 0, 222, 197, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 32, 11, 0,
    0, 235, 197, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 28, 35, 0, 0, 248, 197, 2, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 29, 35, 0, 0, 6, 198, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 167, 4, 0, 0, 52, 198, 2, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 30, 35, 0, 0, 61, 198, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 70, 5, 0, 0, 74, 198, 2,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 31, 35, 0, 0, 87, 198, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 32, 35, 0, 0,
    100, 198, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 33, 35, 0, 0, 113, 198, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    34, 35, 0, 0, 126, 198, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 35, 35, 0, 0, 142, 198, 2, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 36, 35, 0, 0, 158, 198, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 70, 14, 0, 0, 171, 198,
    2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 37, 35, 0, 0, 202, 198, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 38, 35,
    0, 0, 213, 198, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 43, 11, 0, 0, 228, 198, 2, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 134, 1, 0, 0, 243, 198, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 250, 2, 0, 0, 2, 199, 2, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 70, 5, 0, 0, 17, 199, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 240, 4, 0, 0, 50, 199,
    2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 39, 35, 0, 0, 61, 199, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 40, 35, 0,
    0, 76, 199, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 114, 2, 0, 0, 97, 199, 2, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 41, 35, 0, 0, 109, 199, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 164, 10, 0, 0, 124, 199, 2, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 113, 18, 0, 0, 140, 199, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 42, 35, 0, 0, 156,
    199, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 43, 35, 0, 0, 172, 199, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 44,
    35, 0, 0, 194, 199, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 45, 35, 0, 0, 205, 199, 2, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 134, 1, 0, 0, 220, 199, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 240, 4, 0, 0, 240, 199, 2,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 46, 35, 0, 0, 252, 199, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 47, 35, 0,
    0, 9, 200, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 48, 35, 0, 0, 18, 200, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    133, 5, 0, 0, 31, 200, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 37, 7, 0, 0, 44, 200, 2, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 125, 13, 0, 0, 57, 200, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 114, 2, 0, 0, 192, 200, 2,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 49, 35, 0, 0, 201, 200, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 50, 35, 0,
    0, 219, 200, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 51, 35, 0, 0, 233, 200, 2, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 52, 35, 0, 0, 251, 200, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 53, 35, 0, 0, 8, 201, 2, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 54, 35, 0, 0, 21, 201, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 55, 35, 0, 0, 34, 201, 2,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 56, 35, 0, 0, 47, 201, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 57, 35, 0, 0,
    60, 201, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 58, 35, 0, 0, 73, 201, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    59, 35, 0, 0, 86, 201, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 60, 35, 0, 0, 99, 201, 2, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 61, 35, 0, 0, 112, 201, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 62, 35, 0, 0, 125, 201, 2,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 63, 35, 0, 0, 138, 201, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 64, 35, 0,
    0, 151, 201, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 65, 35, 0, 0, 166, 201, 2, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 66, 35, 0, 0, 175, 201, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 143, 1, 0, 0, 188, 201, 2, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 142, 1, 0, 0, 201, 201, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 144, 1, 0, 0, 214,
    201, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 145, 1, 0, 0, 227, 201, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 186,
    1, 0, 0, 240, 201, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 239, 10, 0, 0, 254, 201, 2, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 67, 35, 0, 0, 7, 202, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 9, 0, 0, 0, 20, 202, 2, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 129, 5, 0, 0, 33, 202, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 68, 35, 0, 0, 51,
    202, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 69, 35, 0, 0, 64, 202, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 70,
    35, 0, 0, 77, 202, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 71, 35, 0, 0, 90, 202, 2, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 72, 35, 0, 0, 103, 202, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 73, 35, 0, 0, 116, 202, 2, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 74, 35, 0, 0, 129, 202, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 8, 12, 0, 0,
    142, 202, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 75, 35, 0, 0, 166, 202, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    76, 35, 0, 0, 179, 202, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 108, 2, 0, 0, 192, 202, 2, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 178, 24, 0, 0, 215, 202, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 77, 35, 0, 0, 228, 202,
    2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 56, 7, 0, 0, 241, 202, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 141, 17,
    0, 0, 8, 203, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 78, 35, 0, 0, 21, 203, 2, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 79, 35, 0, 0, 34, 203, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 80, 35, 0, 0, 47, 203, 2, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 81, 35, 0, 0, 60, 203, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 82, 35, 0, 0, 73, 203, 2,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 83, 35, 0, 0, 86, 203, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 84, 35, 0, 0,
    99, 203, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 85, 35, 0, 0, 122, 203, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    86, 35, 0, 0, 135, 203, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 87, 35, 0, 0, 158, 203, 2, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 88, 35, 0, 0, 171, 203, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 87, 35, 0, 0, 184, 203,
    2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 111, 1, 0, 0, 207, 203, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 89, 35,
    0, 0, 220, 203, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 85, 35, 0, 0, 233, 203, 2, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 90, 35, 0, 0, 246, 203, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 91, 35, 0, 0, 3, 204, 2, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 92, 35, 0, 0, 16, 204, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 93, 35, 0, 0, 29, 204,
    2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 94, 35, 0, 0, 52, 204, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 95, 35, 0,
    0, 65, 204, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 96, 35, 0, 0, 78, 204, 2, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 97, 35, 0, 0, 91, 204, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 98, 35, 0, 0, 114, 204, 2, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 99, 35, 0, 0, 127, 204, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 96, 35, 0, 0, 140, 204,
    2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 97, 35, 0, 0, 153, 204, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 98, 35,
    0, 0, 166, 204, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 100, 35, 0, 0, 31, 205, 2, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 101, 35, 0, 0, 40, 205, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 56, 2, 0, 0, 53, 205, 2, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 57, 2, 0, 0, 66, 205, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 58, 2, 0, 0, 79, 205,
    2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 59, 2, 0, 0, 92, 205, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 60, 2, 0,
    0, 105, 205, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 61, 2, 0, 0, 118, 205, 2, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 166, 1, 0, 0, 131, 205, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 167, 1, 0, 0, 144, 205, 2, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 62, 2, 0, 0, 157, 205, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 63, 2, 0, 0, 170, 205,
    2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 64, 2, 0, 0, 183, 205, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 65, 2, 0,
    0, 196, 205, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 66, 2, 0, 0, 209, 205, 2, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 67, 2, 0, 0, 222, 205, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 68, 2, 0, 0, 235, 205, 2, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 69, 2, 0, 0, 248, 205, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 70, 2, 0, 0, 5, 206, 2,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 71, 2, 0, 0, 18, 206, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 72, 2, 0, 0,
    31, 206, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 73, 2, 0, 0, 44, 206, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    74, 2, 0, 0, 57, 206, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 75, 2, 0, 0, 70, 206, 2, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 76, 2, 0, 0, 83, 206, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 168, 1, 0, 0, 217, 206, 2, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 102, 35, 0, 0, 228, 206, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 133, 5, 0, 0,
    243, 206, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 103, 35, 0, 0, 2, 207, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    104, 35, 0, 0, 17, 207, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 105, 35, 0, 0, 32, 207, 2, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 106, 35, 0, 0, 47, 207, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 70, 5, 0, 0, 68, 207, 2,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 106, 35, 0, 0, 79, 207, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 18, 2, 0, 0,
    94, 207, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 125, 10, 0, 0, 109, 207, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    123, 1, 0, 0, 124, 207, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 107, 35, 0, 0, 139, 207, 2, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 108, 35, 0, 0, 154, 207, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 202, 18, 0, 0, 169,
    207, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 109, 35, 0, 0, 184, 207, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    110, 35, 0, 0, 199, 207, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 111, 35, 0, 0, 215, 207, 2, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 112, 35, 0, 0, 226, 207, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 7, 22, 0, 0, 241, 207,
    2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 152, 14, 0, 0, 0, 208, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 221, 19,
    0, 0, 15, 208, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 13, 23, 0, 0, 30, 208, 2, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 255, 21, 0, 0, 208, 208, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 113, 35, 0, 0, 217, 208, 2, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 114, 35, 0, 0, 230, 208, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 125, 1, 0, 0,
    243, 208, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 115, 35, 0, 0, 0, 209, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    158, 11, 0, 0, 13, 209, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 116, 35, 0, 0, 26, 209, 2, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 117, 35, 0, 0, 39, 209, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 118, 35, 0, 0, 52, 209,
    2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 119, 35, 0, 0, 65, 209, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 120, 35,
    0, 0, 78, 209, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 121, 35, 0, 0, 91, 209, 2, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 55, 3, 0, 0, 174, 209, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 122, 35, 0, 0, 183, 209, 2, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 56, 2, 0, 0, 196, 209, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 57, 2, 0, 0, 209,
    209, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 58, 2, 0, 0, 222, 209, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 59,
    2, 0, 0, 235, 209, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 233, 1, 0, 0, 248, 209, 2, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 62, 2, 0, 0, 5, 210, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 166, 1, 0, 0, 18, 210, 2, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 167, 1, 0, 0, 120, 210, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 123, 35, 0, 0, 129,
    210, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 114, 35, 0, 0, 142, 210, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    124, 35, 0, 0, 35, 211, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 125, 35, 0, 0, 45, 211, 2, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 126, 35, 0, 0, 58, 211, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 127, 35, 0, 0, 71, 211,
    2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 128, 35, 0, 0, 84, 211, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 129, 35,
    0, 0, 97, 211, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 130, 35, 0, 0, 111, 211, 2, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 131, 35, 0, 0, 125, 211, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 134, 14, 0, 0, 139, 211, 2, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 132, 35, 0, 0, 159, 212, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 133, 35, 0, 0,
    168, 212, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 134, 35, 0, 0, 181, 212, 2, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 135, 35, 0, 0, 194, 212, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 136, 35, 0, 0, 207, 212, 2, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 137, 35, 0, 0, 220, 212, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 138, 35, 0, 0, 233,
    212, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 139, 35, 0, 0, 246, 212, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    140, 35, 0, 0, 81, 213, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 141, 35, 0, 0, 90, 213, 2, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 6, 23, 0, 0, 103, 213, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 142, 35, 0, 0, 116, 213,
    2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 143, 35, 0, 0, 129, 213, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 11, 10,
    0, 0, 142, 213, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 114, 2, 0, 0, 155, 213, 2, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 212, 5, 0, 0, 168, 213, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 144, 35, 0, 0, 181, 213, 2, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 180, 19, 0, 0, 194, 213, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 145, 35, 0, 0,
    207, 213, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 146, 35, 0, 0, 220, 213, 2, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 147, 35, 0, 0, 233, 213, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 241, 9, 0, 0, 246, 213, 2, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 148, 35, 0, 0, 17, 214, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 39, 27, 0, 0, 30,
    214, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 252, 5, 0, 0, 55, 214, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 149,
    35, 0, 0, 64, 214, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 150, 35, 0, 0, 77, 214, 2, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 151, 35, 0, 0, 90, 214, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 152, 35, 0, 0, 103, 214, 2, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 153, 35, 0, 0, 116, 214, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 154, 35, 0, 0,
    124, 215, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 155, 35, 0, 0, 133, 215, 2, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 244, 6, 0, 0, 146, 215, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 156, 35, 0, 0, 208, 215, 2, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 157, 35, 0, 0, 219, 215, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 9, 0, 0, 0, 234,
    215, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 136, 2, 0, 0, 249, 215, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 239,
    10, 0, 0, 8, 216, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 158, 35, 0, 0, 151, 216, 2, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 159, 35, 0, 0, 160, 216, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 160, 35, 0, 0, 201, 216, 2, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 179, 1, 0, 0, 214, 216, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 70, 14, 0, 0,
    227, 216, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 144, 35, 0, 0, 255, 216, 2, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 161, 35, 0, 0, 13, 217, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 162, 35, 0, 0, 31, 217, 2, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 163, 35, 0, 0, 44, 217, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 164, 35, 0, 0, 65,
    217, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 165, 35, 0, 0, 75, 217, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 164,
    10, 0, 0, 88, 217, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 60, 15, 0, 0, 102, 217, 2, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 166, 35, 0, 0, 116, 217, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 62, 15, 0, 0, 130, 217, 2, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 63, 15, 0, 0, 155, 217, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 167, 35, 0, 0,
    164, 217, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 175, 14, 0, 0, 177, 217, 2, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 182, 14, 0, 0, 190, 217, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 183, 14, 0, 0, 203, 217, 2, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 184, 14, 0, 0, 44, 218, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 168, 35, 0, 0, 55,
    218, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 44, 26, 0, 0, 70, 218, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 169,
    35, 0, 0, 85, 218, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 23, 10, 0, 0, 100, 218, 2, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 129, 5, 0, 0, 115, 218, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 91, 21, 0, 0, 130, 218, 2, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 170, 35, 0, 0, 145, 218, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 19, 4, 0, 0,
    160, 218, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 76, 3, 0, 0, 175, 218, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    141, 7, 0, 0, 190, 218, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 171, 35, 0, 0, 205, 218, 2, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 172, 35, 0, 0, 220, 218, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 164, 35, 0, 0, 235,
    218, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 173, 35, 0, 0, 250, 218, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    179, 1, 0, 0, 9, 219, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 244, 6, 0, 0, 24, 219, 2, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 18, 2, 0, 0, 39, 219, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 174, 35, 0, 0, 54, 219, 2, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 175, 35, 0, 0, 69, 219, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 176, 35, 0, 0,
    90, 219, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 177, 35, 0, 0, 101, 219, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    178, 35, 0, 0, 116, 219, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 179, 35, 0, 0, 131, 219, 2, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 180, 35, 0, 0, 146, 219, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 181, 35, 0, 0, 161,
    219, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 182, 35, 0, 0, 176, 219, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    183, 35, 0, 0, 191, 219, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 184, 35, 0, 0, 212, 219, 2, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 185, 35, 0, 0, 223, 219, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 186, 35, 0, 0, 238,
    219, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 187, 35, 0, 0, 253, 219, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    179, 1, 0, 0, 18, 220, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 188, 35, 0, 0, 29, 220, 2, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 44, 26, 0, 0, 44, 220, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 82, 15, 0, 0, 59, 220, 2, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 189, 35, 0, 0, 74, 220, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 238, 25, 0, 0,
    89, 220, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 190, 35, 0, 0, 104, 220, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    191, 35, 0, 0, 119, 220, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 192, 35, 0, 0, 134, 220, 2, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 193, 35, 0, 0, 149, 220, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 194, 35, 0, 0, 164,
    220, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 195, 35, 0, 0, 179, 220, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 91,
    21, 0, 0, 194, 220, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 170, 35, 0, 0, 209, 220, 2, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 196, 35, 0, 0, 224, 220, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 197, 35, 0, 0, 239, 220,
    2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 198, 35, 0, 0, 254, 220, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 199, 35,
    0, 0, 13, 221, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 18, 2, 0, 0, 28, 221, 2, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 200, 35, 0, 0, 49, 221, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 201, 35, 0, 0, 60, 221, 2, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 223, 18, 0, 0, 75, 221, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 186, 1, 0, 0, 90,
    221, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 202, 35, 0, 0, 105, 221, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 23,
    10, 0, 0, 120, 221, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 198, 35, 0, 0, 135, 221, 2, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 203, 35, 0, 0, 150, 221, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 204, 35, 0, 0, 166, 221,
    2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 205, 35, 0, 0, 175, 221, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 114, 2,
    0, 0, 188, 221, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 206, 35, 0, 0, 201, 221, 2, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 207, 35, 0, 0, 214, 221, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 208, 35, 0, 0, 227, 221, 2, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 209, 35, 0, 0, 240, 221, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 104, 35, 0, 0,
    253, 221, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 210, 35, 0, 0, 16, 222, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    211, 35, 0, 0, 25, 222, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 18, 2, 0, 0, 38, 222, 2, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 212, 35, 0, 0, 51, 222, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 253, 1, 0, 0, 64, 222, 2,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 43, 20, 0, 0, 78, 222, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 213, 35, 0,
    0, 87, 222, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 9, 0, 0, 0, 100, 222, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    244, 6, 0, 0, 119, 222, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 214, 35, 0, 0, 128, 222, 2, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 18, 2, 0, 0, 195, 222, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 215, 35, 0, 0, 204, 222,
    2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 114, 2, 0, 0, 217, 222, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 3, 3, 0,
    0, 230, 222, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 91, 21, 0, 0, 243, 222, 2, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 216, 35, 0, 0, 3, 223, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 210, 35, 0, 0, 19, 223, 2, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 43, 20, 0, 0, 32, 223, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 217, 35, 0, 0, 93, 223,
    2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 131, 1, 0, 0, 105, 223, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 134, 1,
    0, 0, 120, 223, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 218, 35, 0, 0, 135, 223, 2, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 219, 35, 0, 0, 150, 223, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 122, 1, 0, 0, 165, 223, 2, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 107, 17, 0, 0, 180, 223, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 220, 35, 0, 0,
    195, 223, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 9, 0, 0, 0, 210, 223, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    221, 35, 0, 0, 225, 223, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 222, 35, 0, 0, 240, 223, 2, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 70, 6, 0, 0, 255, 223, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 223, 35, 0, 0, 17, 224,
    2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 224, 35, 0, 0, 35, 224, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 225, 35,
    0, 0, 50, 224, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 226, 35, 0, 0, 65, 224, 2, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 227, 35, 0, 0, 86, 224, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 219, 35, 0, 0, 98, 224, 2, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 134, 1, 0, 0, 113, 224, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 228, 35, 0, 0,
    128, 224, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 131, 29, 0, 0, 143, 224, 2, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 229, 35, 0, 0, 158, 224, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 230, 35, 0, 0, 173, 224, 2, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 218, 35, 0, 0, 188, 224, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 231, 35, 0, 0, 203,
    224, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 226, 35, 0, 0, 218, 224, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    227, 35, 0, 0, 233, 224, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 232, 35, 0, 0, 248, 224, 2, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 233, 35, 0, 0, 7, 225, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 234, 35, 0, 0, 22, 225,
    2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 235, 35, 0, 0, 37, 225, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 97, 5, 0,
    0, 52, 225, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 236, 35, 0, 0, 67, 225, 2, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 18, 2, 0, 0, 82, 225, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 237, 35, 0, 0, 97, 225, 2, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 240, 4, 0, 0, 113, 225, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 238, 35, 0, 0, 132, 225,
    2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 239, 35, 0, 0, 151, 225, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 107, 17,
    0, 0, 170, 225, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 135, 1, 0, 0, 192, 225, 2, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 240, 35, 0, 0, 203, 225, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 241, 35, 0, 0, 218, 225, 2, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 242, 35, 0, 0, 244, 225, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 243, 35, 0, 0,
    255, 225, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 123, 1, 0, 0, 14, 226, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    244, 6, 0, 0, 29, 226, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 80, 30, 0, 0, 44, 226, 2, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 244, 35, 0, 0, 59, 226, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 115, 5, 0, 0, 80, 226, 2,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 245, 35, 0, 0, 91, 226, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 123, 1, 0,
    0, 106, 226, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 244, 6, 0, 0, 121, 226, 2, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 246, 35, 0, 0, 136, 226, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 247, 35, 0, 0, 162, 226, 2, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 248, 35, 0, 0, 174, 226, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 249, 35, 0, 0, 189,
    226, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 250, 35, 0, 0, 204, 226, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    251, 35, 0, 0, 219, 226, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 252, 35, 0, 0, 234, 226, 2, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 253, 35, 0, 0, 249, 226, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 254, 35, 0, 0, 8, 227,
    2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 255, 35, 0, 0, 23, 227, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 0, 36, 0,
    0, 38, 227, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 1, 36, 0, 0, 53, 227, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    2, 36, 0, 0, 68, 227, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 3, 36, 0, 0, 83, 227, 2, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 4, 36, 0, 0, 98, 227, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 5, 36, 0, 0, 113, 227, 2, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 6, 36, 0, 0, 128, 227, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 7, 36, 0, 0,
    143, 227, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 8, 36, 0, 0, 158, 227, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    9, 36, 0, 0, 173, 227, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 10, 36, 0, 0, 188, 227, 2, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 11, 36, 0, 0, 203, 227, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 12, 36, 0, 0, 218, 227, 2,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 13, 36, 0, 0, 233, 227, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 14, 36, 0,
    0, 248, 227, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 15, 36, 0, 0, 7, 228, 2, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 16, 36, 0, 0, 22, 228, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 17, 36, 0, 0, 37, 228, 2, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 18, 36, 0, 0, 52, 228, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 19, 36, 0, 0, 67, 228, 2,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 20, 36, 0, 0, 82, 228, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 21, 36, 0, 0,
    97, 228, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 22, 36, 0, 0, 112, 228, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    23, 36, 0, 0, 127, 228, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 24, 36, 0, 0, 142, 228, 2, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 25, 36, 0, 0, 158, 228, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 26, 36, 0, 0, 80, 229,
    2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 27, 36, 0, 0, 91, 229, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 28, 36, 0,
    0, 106, 229, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 129, 5, 0, 0, 121, 229, 2, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 29, 36, 0, 0, 136, 229, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 30, 36, 0, 0, 115, 231, 2, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 31, 36, 0, 0, 126, 231, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 62, 12, 0, 0, 209,
    231, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 32, 36, 0, 0, 220, 231, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 9,
    0, 0, 0, 235, 231, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 33, 36, 0, 0, 250, 231, 2, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 145, 23, 0, 0, 9, 232, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 244, 6, 0, 0, 24, 232, 2, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 123, 1, 0, 0, 39, 232, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 34, 36, 0, 0, 54,
    232, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 35, 36, 0, 0, 154, 232, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 36,
    36, 0, 0, 165, 232, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 123, 1, 0, 0, 180, 232, 2, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 244, 6, 0, 0, 195, 232, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 145, 23, 0, 0, 210, 232, 2,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 37, 36, 0, 0, 11, 233, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 38, 36, 0, 0,
    22, 233, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 244, 6, 0, 0, 37, 233, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    39, 36, 0, 0, 52, 233, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 40, 36, 0, 0, 67, 233, 2, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 41, 36, 0, 0, 82, 233, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 42, 36, 0, 0, 97, 233, 2, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 217, 22, 0, 0, 112, 233, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 43, 36, 0, 0,
    44, 234, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 44, 36, 0, 0, 55, 234, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    135, 9, 0, 0, 73, 234, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 45, 36, 0, 0, 91, 234, 2, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 46, 36, 0, 0, 106, 234, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 47, 36, 0, 0, 121, 234, 2,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 48, 36, 0, 0, 154, 234, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 49, 36, 0,
    0, 169, 234, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 50, 36, 0, 0, 184, 234, 2, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 51, 36, 0, 0, 201, 234, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 52, 36, 0, 0, 212, 234, 2, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 53, 36, 0, 0, 227, 234, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 54, 36, 0, 0, 243,
    234, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 55, 36, 0, 0, 254, 234, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 12,
    23, 0, 0, 14, 235, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 56, 36, 0, 0, 25, 235, 2, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 12, 23, 0, 0, 40, 235, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 114, 35, 0, 0, 87, 235, 2, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 57, 36, 0, 0, 98, 235, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 123, 1, 0, 0, 113,
    235, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 193, 4, 0, 0, 128, 235, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 108,
    4, 0, 0, 143, 235, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 58, 36, 0, 0, 158, 235, 2, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 59, 36, 0, 0, 173, 235, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 60, 36, 0, 0, 188, 235, 2, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 61, 36, 0, 0, 204, 235, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 62, 36, 0, 0,
    213, 235, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 63, 36, 0, 0, 229, 235, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    215, 5, 0, 0, 245, 235, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 10, 20, 0, 0, 2, 236, 2, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 64, 36, 0, 0, 15, 236, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 244, 6, 0, 0, 28, 236, 2, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 65, 36, 0, 0, 41, 236, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 66, 36, 0, 0,
    54, 236, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 67, 3, 0, 0, 67, 236, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    111, 7, 0, 0, 80, 236, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 236, 19, 0, 0, 93, 236, 2, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 237, 19, 0, 0, 111, 236, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 67, 36, 0, 0, 129, 236, 2,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 173, 1, 0, 0, 139, 236, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 68, 36, 0,
    0, 152, 236, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 69, 36, 0, 0, 165, 236, 2, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 70, 36, 0, 0, 178, 236, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 71, 36, 0, 0, 191, 236, 2, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 72, 36, 0, 0, 204, 236, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 73, 36, 0, 0, 217,
    236, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 74, 36, 0, 0, 230, 236, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 75,
    36, 0, 0, 243, 236, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 76, 36, 0, 0, 0, 237, 2, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 188, 4, 0, 0, 13, 237, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 77, 36, 0, 0, 26, 237, 2, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 78, 36, 0, 0, 39, 237, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 79, 36, 0, 0, 52,
    237, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 80, 36, 0, 0, 65, 237, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 81,
    36, 0, 0, 78, 237, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 82, 36, 0, 0, 91, 237, 2, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 83, 36, 0, 0, 104, 237, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 84, 36, 0, 0, 117, 237, 2, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 85, 36, 0, 0, 130, 237, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 86, 36, 0, 0,
    143, 237, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 87, 36, 0, 0, 156, 237, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    88, 36, 0, 0, 169, 237, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 89, 36, 0, 0, 182, 237, 2, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 90, 36, 0, 0, 195, 237, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 60, 7, 0, 0, 208, 237,
    2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 139, 10, 0, 0, 221, 237, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 91, 36,
    0, 0, 234, 237, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 92, 36, 0, 0, 247, 237, 2, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 93, 36, 0, 0, 4, 238, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 94, 36, 0, 0, 17, 238, 2, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 95, 36, 0, 0, 30, 238, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 96, 36, 0, 0, 43, 238,
    2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 245, 25, 0, 0, 57, 238, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 97, 36,
    0, 0, 71, 238, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 98, 36, 0, 0, 85, 238, 2, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 99, 36, 0, 0, 99, 238, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 100, 36, 0, 0, 113, 238, 2, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 101, 36, 0, 0, 127, 238, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 102, 36, 0, 0,
    141, 238, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 103, 36, 0, 0, 155, 238, 2, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 104, 36, 0, 0, 169, 238, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 105, 36, 0, 0, 183, 238, 2, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 106, 36, 0, 0, 197, 238, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 107, 36, 0, 0, 211,
    238, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 108, 36, 0, 0, 225, 238, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    109, 36, 0, 0, 239, 238, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 110, 36, 0, 0, 253, 238, 2, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 111, 36, 0, 0, 11, 239, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 112, 36, 0, 0, 25, 239,
    2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 113, 36, 0, 0, 39, 239, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 114, 36,
    0, 0, 53, 239, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 115, 36, 0, 0, 67, 239, 2, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 116, 36, 0, 0, 81, 239, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 117, 36, 0, 0, 95, 239, 2, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 118, 36, 0, 0, 109, 239, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 119, 36, 0, 0,
    123, 239, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 120, 36, 0, 0, 137, 239, 2, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 121, 36, 0, 0, 174, 239, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 122, 36, 0, 0, 183, 239, 2, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 94, 2, 0, 0, 196, 239, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 61, 10, 0, 0, 209,
    239, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 215, 5, 0, 0, 222, 239, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 123,
    36, 0, 0, 235, 239, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 124, 36, 0, 0, 248, 239, 2, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 125, 36, 0, 0, 5, 240, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 126, 36, 0, 0, 18, 240, 2,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 127, 36, 0, 0, 31, 240, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 128, 36, 0,
    0, 44, 240, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 129, 36, 0, 0, 57, 240, 2, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 130, 36, 0, 0, 70, 240, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 131, 36, 0, 0, 123, 240, 2, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 132, 36, 0, 0, 132, 240, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 94, 2, 0, 0, 145,
    240, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 215, 5, 0, 0, 158, 240, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 3,
    3, 0, 0, 171, 240, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 114, 2, 0, 0, 207, 240, 2, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 133, 36, 0, 0, 216, 240, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 94, 2, 0, 0, 229, 240, 2, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 134, 36, 0, 0, 242, 240, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 135, 36, 0, 0,
    255, 240, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 136, 36, 0, 0, 105, 241, 2, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 137, 36, 0, 0, 114, 241, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 138, 36, 0, 0, 141, 241, 2, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 139, 36, 0, 0, 154, 241, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 140, 36, 0, 0, 167,
    241, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 141, 36, 0, 0, 180, 241, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    142, 36, 0, 0, 193, 241, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 143, 36, 0, 0, 206, 241, 2, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 144, 36, 0, 0, 252, 241, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 145, 36, 0, 0, 5, 242,
    2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 94, 2, 0, 0, 18, 242, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 25, 7, 0,
    0, 31, 242, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 37, 7, 0, 0, 44, 242, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    3, 3, 0, 0, 57, 242, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 114, 2, 0, 0, 97, 242, 2, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 146, 36, 0, 0, 106, 242, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 94, 2, 0, 0, 119, 242, 2,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 147, 36, 0, 0, 132, 242, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 148, 36, 0,
    0, 145, 242, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 149, 36, 0, 0, 158, 242, 2, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 150, 36, 0, 0, 171, 242, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 151, 36, 0, 0, 184, 242, 2, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 152, 36, 0, 0, 197, 242, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 153, 36, 0, 0,
    210, 242, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 154, 36, 0, 0, 223, 242, 2, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 155, 36, 0, 0, 236, 242, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 156, 36, 0, 0, 249, 242, 2, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 157, 36, 0, 0, 6, 243, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 158, 36, 0, 0, 19,
    243, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 159, 36, 0, 0, 32, 243, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 160,
    36, 0, 0, 45, 243, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 161, 36, 0, 0, 58, 243, 2, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 162, 36, 0, 0, 71, 243, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 163, 36, 0, 0, 84, 243, 2, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 164, 36, 0, 0, 97, 243, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 165, 36, 0, 0,
    110, 243, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 166, 36, 0, 0, 123, 243, 2, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 167, 36, 0, 0, 136, 243, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 168, 36, 0, 0, 172, 243, 2, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 169, 36, 0, 0, 181, 243, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 94, 2, 0, 0, 194,
    243, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 170, 36, 0, 0, 207, 243, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    171, 36, 0, 0, 220, 243, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 172, 36, 0, 0, 233, 243, 2, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 173, 36, 0, 0, 246, 243, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 174, 36, 0, 0, 3, 244,
    2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 175, 36, 0, 0, 16, 244, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 176, 36,
    0, 0, 29, 244, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 177, 36, 0, 0, 86, 244, 2, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 178, 36, 0, 0, 95, 244, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 94, 2, 0, 0, 108, 244, 2, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 139, 36, 0, 0, 121, 244, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 179, 36, 0, 0, 134,
    244, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 180, 36, 0, 0, 196, 244, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    181, 36, 0, 0, 205, 244, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 94, 2, 0, 0, 218, 244, 2, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 179, 1, 0, 0, 231, 244, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 180, 24, 0, 0, 244, 244,
    2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 3, 3, 0, 0, 1, 245, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 114, 2, 0, 0,
    85, 245, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 182, 36, 0, 0, 94, 245, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    94, 2, 0, 0, 107, 245, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 128, 36, 0, 0, 120, 245, 2, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 114, 2, 0, 0, 186, 245, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 183, 36, 0, 0, 195, 245,
    2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 94, 2, 0, 0, 208, 245, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 184, 36,
    0, 0, 221, 245, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 114, 2, 0, 0, 234, 245, 2, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 7, 8, 0, 0, 5, 246, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 185, 36, 0, 0, 18, 246, 2, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 186, 36, 0, 0, 32, 246, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 187, 36, 0, 0, 46, 246,
    2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 188, 36, 0, 0, 55, 246, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 184, 36,
    0, 0, 68, 246, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 189, 36, 0, 0, 81, 246, 2, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 190, 36, 0, 0, 94, 246, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 191, 36, 0, 0, 107, 246, 2, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 192, 36, 0, 0, 120, 246, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 193, 36, 0, 0,
    133, 246, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 194, 36, 0, 0, 147, 246, 2, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 195, 36, 0, 0, 156, 246, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 196, 36, 0, 0, 169, 246, 2, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 197, 36, 0, 0, 182, 246, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 198, 36, 0, 0, 195,
    246, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 199, 36, 0, 0, 208, 246, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    200, 36, 0, 0, 221, 246, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 201, 36, 0, 0, 234, 246, 2, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 202, 36, 0, 0, 247, 246, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 203, 36, 0, 0, 4, 247,
    2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 204, 36, 0, 0, 17, 247, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 205, 36,
    0, 0, 30, 247, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 206, 36, 0, 0, 43, 247, 2, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 207, 36, 0, 0, 56, 247, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 208, 36, 0, 0, 69, 247, 2, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 209, 36, 0, 0, 83, 247, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 210, 36, 0, 0, 92,
    247, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 211, 36, 0, 0, 105, 247, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    212, 36, 0, 0, 118, 247, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 213, 36, 0, 0, 131, 247, 2, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 214, 36, 0, 0, 144, 247, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 10, 20, 0, 0, 158, 247,
    2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 215, 36, 0, 0, 167, 247, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 211, 36,
    0, 0, 180, 247, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 212, 36, 0, 0, 193, 247, 2, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 245, 19, 0, 0, 206, 247, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 10, 20, 0, 0, 220, 247, 2, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 216, 36, 0, 0, 229, 247, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 211, 36, 0, 0,
    242, 247, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 212, 36, 0, 0, 255, 247, 2, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 217, 36, 0, 0, 12, 248, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 10, 20, 0, 0, 25, 248, 2, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 218, 36, 0, 0, 38, 248, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 216, 3, 0, 0, 52, 248,
    2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 219, 36, 0, 0, 61, 248, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 220, 36,
    0, 0, 74, 248, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 221, 36, 0, 0, 87, 248, 2, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 213, 36, 0, 0, 100, 248, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 214, 36, 0, 0, 113, 248, 2, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 222, 36, 0, 0, 127, 248, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 223, 36, 0, 0,
    136, 248, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 220, 36, 0, 0, 149, 248, 2, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 221, 36, 0, 0, 162, 248, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 245, 19, 0, 0, 175, 248, 2, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 222, 36, 0, 0, 189, 248, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 224, 36, 0, 0, 198,
    248, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 220, 36, 0, 0, 211, 248, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    221, 36, 0, 0, 224, 248, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 217, 36, 0, 0, 237, 248, 2, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 222, 36, 0, 0, 250, 248, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 225, 36, 0, 0, 8, 249,
    2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 226, 36, 0, 0, 17, 249, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 227, 36,
    0, 0, 30, 249, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 228, 36, 0, 0, 43, 249, 2, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 229, 36, 0, 0, 81, 249, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 230, 36, 0, 0, 90, 249, 2, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 32, 11, 0, 0, 103, 249, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 227, 36, 0, 0,
    116, 249, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 231, 36, 0, 0, 129, 249, 2, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 56, 3, 0, 0, 142, 249, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 114, 2, 0, 0, 203, 249, 2, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 232, 36, 0, 0, 212, 249, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 94, 2, 0, 0, 225, 249,
    2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 233, 36, 0, 0, 238, 249, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 114, 2,
    0, 0, 178, 250, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 234, 36, 0, 0, 187, 250, 2, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 94, 2, 0, 0, 200, 250, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 235, 36, 0, 0, 213, 250, 2, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 236, 36, 0, 0, 226, 250, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 237, 36, 0, 0,
    239, 250, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 238, 36, 0, 0, 252, 250, 2, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 239, 36, 0, 0, 9, 251, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 240, 36, 0, 0, 22, 251, 2, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 241, 36, 0, 0, 35, 251, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 242, 36, 0, 0, 96, 251,
    2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 243, 36, 0, 0, 105, 251, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 94, 2,
    0, 0, 118, 251, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 215, 5, 0, 0, 131, 251, 2, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 103, 13, 0, 0, 144, 251, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 3, 3, 0, 0, 157, 251, 2, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 114, 2, 0, 0, 223, 251, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 244, 36, 0, 0, 232,
    251, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 94, 2, 0, 0, 245, 251, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 245,
    36, 0, 0, 2, 252, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 246, 36, 0, 0, 15, 252, 2, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 247, 36, 0, 0, 28, 252, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 248, 36, 0, 0, 41, 252, 2, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 249, 36, 0, 0, 54, 252, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 250, 36, 0, 0,
    94, 252, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 251, 36, 0, 0, 103, 252, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    94, 2, 0, 0, 116, 252, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 9, 0, 0, 0, 129, 252, 2, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 252, 36, 0, 0, 142, 252, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 180, 24, 0, 0, 194, 252,
    2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 253, 36, 0, 0, 203, 252, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 94, 2,
    0, 0, 216, 252, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 134, 36, 0, 0, 229, 252, 2, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 254, 36, 0, 0, 242, 252, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 255, 36, 0, 0, 255, 252, 2, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 0, 37, 0, 0, 12, 253, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 1, 37, 0, 0, 25,
    253, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 2, 37, 0, 0, 38, 253, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 3, 37,
    0, 0, 51, 253, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 180, 24, 0, 0, 101, 253, 2, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 4, 37, 0, 0, 110, 253, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 94, 2, 0, 0, 123, 253, 2, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 244, 6, 0, 0, 136, 253, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 136, 16, 0, 0, 149,
    253, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 3, 3, 0, 0, 162, 253, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 114,
    2, 0, 0, 254, 253, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 5, 37, 0, 0, 7, 254, 2, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 175, 11, 0, 0, 20, 254, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 6, 37, 0, 0, 38, 254, 2, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 134, 36, 0, 0, 51, 254, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 7, 37, 0, 0, 64, 254,
    2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 8, 37, 0, 0, 79, 254, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 9, 37, 0,
    0, 88, 254, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 94, 2, 0, 0, 101, 254, 2, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 30, 28, 0, 0, 114, 254, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 10, 37, 0, 0, 127, 254, 2, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 239, 10, 0, 0, 140, 254, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 11, 37, 0, 0, 153,
    254, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 139, 36, 0, 0, 166, 254, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 12,
    37, 0, 0, 179, 254, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 13, 37, 0, 0, 192, 254, 2, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 14, 37, 0, 0, 205, 254, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 15, 37, 0, 0, 218, 254, 2,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 16, 37, 0, 0, 231, 254, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 17, 37, 0,
    0, 244, 254, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 18, 37, 0, 0, 1, 255, 2, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 19, 37, 0, 0, 14, 255, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 180, 24, 0, 0, 27, 255, 2, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 20, 37, 0, 0, 122, 255, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 21, 37, 0, 0, 131, 255,
    2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 94, 2, 0, 0, 144, 255, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 22, 37, 0,
    0, 157, 255, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 23, 37, 0, 0, 170, 255, 2, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 180, 24, 0, 0, 194, 255, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 174, 1, 0, 0, 203, 255, 2, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 24, 37, 0, 0, 216, 255, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 25, 37, 0, 0, 229,
    255, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 26, 37, 0, 0, 242, 255, 2, 0, 0, 0, 0, 0, 10, 0, 0, 0, 27,
    37, 0, 0, 109, 0, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 175, 1, 0, 0, 118, 0, 3, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 28, 37, 0, 0, 131, 0, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 29, 37, 0, 0, 144, 0, 3, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 81, 7, 0, 0, 157, 0, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 30, 37, 0, 0, 170, 0, 3, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 31, 37, 0, 0, 183, 0, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 32, 37, 0, 0,
    244, 0, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 33, 37, 0, 0, 253, 0, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 34,
    37, 0, 0, 10, 1, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 35, 37, 0, 0, 29, 1, 3, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 36, 37, 0, 0, 38, 1, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 37, 37, 0, 0, 51, 1, 3, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 38, 37, 0, 0, 64, 1, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 39, 37, 0, 0, 77, 1, 3, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 40, 37, 0, 0, 90, 1, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 41, 37, 0, 0, 103,
    1, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 42, 37, 0, 0, 67, 2, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 43, 37,
    0, 0, 76, 2, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 9, 0, 0, 0, 89, 2, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    117, 2, 0, 0, 102, 2, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 44, 37, 0, 0, 115, 2, 3, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 180, 24, 0, 0, 131, 2, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 227, 20, 0, 0, 147, 2, 3, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 45, 37, 0, 0, 163, 2, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 105, 13, 0, 0,
    176, 2, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 46, 37, 0, 0, 189, 2, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    126, 36, 0, 0, 202, 2, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 232, 32, 0, 0, 226, 2, 3, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 176, 1, 0, 0, 235, 2, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 47, 37, 0, 0, 248, 2, 3, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 48, 37, 0, 0, 5, 3, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 49, 37, 0, 0, 18,
    3, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 50, 37, 0, 0, 31, 3, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 51, 37,
    0, 0, 76, 3, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 177, 1, 0, 0, 85, 3, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    52, 37, 0, 0, 98, 3, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 53, 37, 0, 0, 111, 3, 3, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 54, 37, 0, 0, 166, 3, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 55, 37, 0, 0, 177, 3, 3, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 215, 5, 0, 0, 192, 3, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 56, 37, 0, 0, 235, 3,
    3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 57, 37, 0, 0, 247, 3, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 58, 37, 0,
    0, 6, 4, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 59, 37, 0, 0, 24, 4, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 60,
    37, 0, 0, 42, 4, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 61, 37, 0, 0, 57, 4, 3, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 165, 3, 0, 0, 72, 4, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 62, 37, 0, 0, 87, 4, 3, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 63, 37, 0, 0, 102, 4, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 60, 15, 0, 0, 117, 4, 3,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 176, 24, 0, 0, 132, 4, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 175, 24, 0,
    0, 147, 4, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 64, 37, 0, 0, 162, 4, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    65, 37, 0, 0, 177, 4, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 66, 37, 0, 0, 192, 4, 3, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 67, 37, 0, 0, 207, 4, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 68, 37, 0, 0, 222, 4, 3, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 179, 1, 0, 0, 237, 4, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 69, 37, 0, 0,
    252, 4, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 169, 3, 0, 0, 11, 5, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 70,
    37, 0, 0, 26, 5, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 71, 37, 0, 0, 41, 5, 3, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 134, 1, 0, 0, 57, 5, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 61, 7, 0, 0, 73, 5, 3, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 70, 5, 0, 0, 90, 5, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 72, 37, 0, 0, 101, 5, 3, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 215, 5, 0, 0, 116, 5, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 56, 37, 0, 0, 131,
    5, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 73, 37, 0, 0, 146, 5, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 87, 27,
    0, 0, 161, 5, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 74, 37, 0, 0, 176, 5, 3, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 75, 37, 0, 0, 191, 5, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 76, 37, 0, 0, 206, 5, 3, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 77, 37, 0, 0, 221, 5, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 78, 37, 0, 0, 236, 5, 3, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 79, 37, 0, 0, 252, 5, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 80, 37, 0, 0, 7,
    6, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 81, 37, 0, 0, 22, 6, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 82, 37,
    0, 0, 38, 6, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 83, 37, 0, 0, 49, 6, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    116, 7, 0, 0, 82, 6, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 84, 37, 0, 0, 97, 6, 3, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 85, 37, 0, 0, 114, 6, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 86, 37, 0, 0, 125, 6, 3, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 116, 7, 0, 0, 140, 6, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 81, 37, 0, 0, 155, 6,
    3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 125, 5, 0, 0, 170, 6, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 87, 37, 0,
    0, 185, 6, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 82, 37, 0, 0, 237, 6, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    88, 37, 0, 0, 248, 6, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 116, 7, 0, 0, 7, 7, 3, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 81, 37, 0, 0, 22, 7, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 125, 5, 0, 0, 37, 7, 3, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 87, 37, 0, 0, 52, 7, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 82, 37, 0, 0, 114, 7, 3,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 178, 1, 0, 0, 123, 7, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 192, 4, 0, 0,
    136, 7, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 89, 37, 0, 0, 149, 7, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 43,
    11, 0, 0, 162, 7, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 90, 37, 0, 0, 175, 7, 3, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 26, 20, 0, 0, 188, 7, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 91, 37, 0, 0, 98, 8, 3, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 92, 37, 0, 0, 107, 8, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 134, 1, 0, 0, 120, 8, 3,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 33, 4, 0, 0, 139, 8, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 211, 1, 0, 0,
    150, 8, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 53, 22, 0, 0, 165, 8, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 91,
    32, 0, 0, 180, 8, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 93, 37, 0, 0, 195, 8, 3, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 94, 37, 0, 0, 210, 8, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 70, 5, 0, 0, 226, 8, 3, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 95, 37, 0, 0, 237, 8, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 96, 37, 0, 0, 252, 8, 3,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 42, 2, 0, 0, 11, 9, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 97, 37, 0, 0,
    54, 9, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 98, 37, 0, 0, 64, 9, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 99,
    37, 0, 0, 76, 9, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 18, 2, 0, 0, 91, 9, 3, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 133, 5, 0, 0, 106, 9, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 102, 10, 0, 0, 121, 9, 3, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 100, 37, 0, 0, 136, 9, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 120, 22, 0, 0, 151, 9, 3,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 101, 37, 0, 0, 166, 9, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 102, 37, 0,
    0, 181, 9, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 103, 37, 0, 0, 196, 9, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    121, 22, 0, 0, 211, 9, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 104, 37, 0, 0, 226, 9, 3, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 105, 37, 0, 0, 241, 9, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 106, 37, 0, 0, 0, 10, 3, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 107, 37, 0, 0, 15, 10, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 108, 37, 0, 0,
    30, 10, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 109, 37, 0, 0, 45, 10, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    110, 37, 0, 0, 60, 10, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 111, 37, 0, 0, 75, 10, 3, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 112, 37, 0, 0, 90, 10, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 113, 37, 0, 0, 105, 10, 3,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 114, 37, 0, 0, 120, 10, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 140, 22, 0,
    0, 135, 10, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 50, 2, 0, 0, 157, 10, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    115, 37, 0, 0, 168, 10, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 54, 3, 0, 0, 183, 10, 3, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 116, 37, 0, 0, 198, 10, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 117, 37, 0, 0, 213, 10, 3,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 50, 2, 0, 0, 228, 10, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 118, 37, 0, 0,
    243, 10, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 119, 37, 0, 0, 2, 11, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    120, 37, 0, 0, 17, 11, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 121, 37, 0, 0, 32, 11, 3, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 122, 37, 0, 0, 47, 11, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 123, 37, 0, 0, 62, 11, 3, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 124, 37, 0, 0, 77, 11, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 125, 37, 0, 0,
    92, 11, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 126, 37, 0, 0, 107, 11, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    127, 37, 0, 0, 122, 11, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 128, 37, 0, 0, 137, 11, 3, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 129, 37, 0, 0, 152, 11, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 130, 37, 0, 0, 173, 11,
    3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 131, 37, 0, 0, 184, 11, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 132, 37,
    0, 0, 199, 11, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 133, 37, 0, 0, 214, 11, 3, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 134, 37, 0, 0, 229, 11, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 135, 37, 0, 0, 244, 11, 3, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 136, 37, 0, 0, 3, 12, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 137, 37, 0, 0, 36,
    12, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 44, 2, 0, 0, 51, 12, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 138, 37,
    0, 0, 67, 12, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 139, 37, 0, 0, 82, 12, 3, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 247, 9, 0, 0, 97, 12, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 76, 3, 0, 0, 112, 12, 3, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 133, 5, 0, 0, 127, 12, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 240, 4, 0, 0, 142, 12, 3, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 140, 37, 0, 0, 157, 12, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 141, 37, 0, 0,
    172, 12, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 142, 37, 0, 0, 187, 12, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    143, 37, 0, 0, 202, 12, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 144, 37, 0, 0, 217, 12, 3, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 145, 37, 0, 0, 232, 12, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 70, 5, 0, 0, 253, 12, 3,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 146, 37, 0, 0, 8, 13, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 160, 22, 0, 0,
    23, 13, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 162, 22, 0, 0, 38, 13, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    147, 37, 0, 0, 53, 13, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 163, 22, 0, 0, 68, 13, 3, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 164, 22, 0, 0, 83, 13, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 165, 22, 0, 0, 109, 13, 3,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 148, 37, 0, 0, 121, 13, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 149, 37, 0,
    0, 136, 13, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 150, 37, 0, 0, 151, 13, 3, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 134, 1, 0, 0, 166, 13, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 60, 15, 0, 0, 181, 13, 3, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 151, 37, 0, 0, 196, 13, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 152, 37, 0, 0, 211, 13,
    3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 153, 37, 0, 0, 226, 13, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 154, 37,
    0, 0, 244, 13, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 155, 37, 0, 0, 3, 14, 3, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 156, 37, 0, 0, 18, 14, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 157, 37, 0, 0, 33, 14, 3, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 150, 9, 0, 0, 48, 14, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 200, 16, 0, 0, 63, 14, 3,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 158, 37, 0, 0, 78, 14, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 159, 37, 0,
    0, 93, 14, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 160, 37, 0, 0, 108, 14, 3, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 161, 37, 0, 0, 123, 14, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 162, 37, 0, 0, 138, 14, 3, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 163, 37, 0, 0, 153, 14, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 164, 37, 0, 0, 168,
    14, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 165, 37, 0, 0, 183, 14, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 166,
    37, 0, 0, 198, 14, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 26, 29, 0, 0, 213, 14, 3, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 220, 29, 0, 0, 228, 14, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 167, 37, 0, 0, 243, 14, 3, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 168, 37, 0, 0, 2, 15, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 169, 37, 0, 0,
    18, 15, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 170, 37, 0, 0, 34, 15, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    171, 37, 0, 0, 50, 15, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 172, 37, 0, 0, 66, 15, 3, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 173, 37, 0, 0, 82, 15, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 174, 37, 0, 0, 98, 15, 3, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 175, 37, 0, 0, 114, 15, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 176, 37, 0, 0,
    130, 15, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 177, 37, 0, 0, 146, 15, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    178, 37, 0, 0, 162, 15, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 179, 37, 0, 0, 178, 15, 3, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 180, 37, 0, 0, 194, 15, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 181, 37, 0, 0, 218, 15,
    3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 182, 37, 0, 0, 233, 15, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 219, 3,
    0, 0, 248, 15, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 230, 6, 0, 0, 8, 16, 3, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 183, 37, 0, 0, 24, 16, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 184, 37, 0, 0, 40, 16, 3, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 185, 37, 0, 0, 56, 16, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 186, 37, 0, 0, 72, 16, 3,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 200, 16, 0, 0, 88, 16, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 187, 37, 0,
    0, 104, 16, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 188, 37, 0, 0, 120, 16, 3, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 189, 37, 0, 0, 137, 16, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 190, 37, 0, 0, 153, 16, 3, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 191, 37, 0, 0, 169, 16, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 192, 37, 0, 0, 185,
    16, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 193, 37, 0, 0, 201, 16, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 194,
    37, 0, 0, 223, 16, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 149, 37, 0, 0, 235, 16, 3, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 195, 1, 0, 0, 250, 16, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 195, 37, 0, 0, 9, 17, 3, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 196, 37, 0, 0, 24, 17, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 197, 37, 0, 0, 39,
    17, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 198, 37, 0, 0, 54, 17, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 199,
    37, 0, 0, 69, 17, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 200, 37, 0, 0, 84, 17, 3, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 201, 37, 0, 0, 99, 17, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 202, 37, 0, 0, 114, 17, 3, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 203, 37, 0, 0, 129, 17, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 179, 1, 0, 0, 144,
    17, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 204, 37, 0, 0, 159, 17, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 156,
    1, 0, 0, 174, 17, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 205, 37, 0, 0, 189, 17, 3, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 206, 37, 0, 0, 204, 17, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 207, 37, 0, 0, 219, 17, 3, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 208, 37, 0, 0, 234, 17, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 209, 37, 0, 0,
    249, 17, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 210, 37, 0, 0, 8, 18, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    211, 37, 0, 0, 23, 18, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 212, 37, 0, 0, 38, 18, 3, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 213, 37, 0, 0, 53, 18, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 214, 37, 0, 0, 68, 18, 3, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 215, 37, 0, 0, 83, 18, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 216, 37, 0, 0,
    98, 18, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 217, 37, 0, 0, 113, 18, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    218, 37, 0, 0, 128, 18, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 219, 37, 0, 0, 143, 18, 3, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 220, 37, 0, 0, 158, 18, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 221, 37, 0, 0, 173, 18,
    3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 222, 37, 0, 0, 188, 18, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 223, 37,
    0, 0, 203, 18, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 224, 37, 0, 0, 218, 18, 3, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 225, 37, 0, 0, 233, 18, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 226, 37, 0, 0, 248, 18, 3, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 227, 37, 0, 0, 7, 19, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 228, 37, 0, 0, 22,
    19, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 123, 36, 0, 0, 37, 19, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 229,
    37, 0, 0, 52, 19, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 230, 37, 0, 0, 67, 19, 3, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 231, 37, 0, 0, 82, 19, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 232, 37, 0, 0, 97, 19, 3, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 233, 37, 0, 0, 112, 19, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 234, 37, 0, 0,
    127, 19, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 235, 37, 0, 0, 142, 19, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    236, 37, 0, 0, 157, 19, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 237, 37, 0, 0, 172, 19, 3, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 238, 37, 0, 0, 187, 19, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 239, 37, 0, 0, 202, 19,
    3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 240, 37, 0, 0, 218, 19, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 241, 37,
    0, 0, 234, 19, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 242, 37, 0, 0, 250, 19, 3, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 243, 37, 0, 0, 10, 20, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 244, 37, 0, 0, 26, 20, 3, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 245, 37, 0, 0, 42, 20, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 18, 2, 0, 0, 58, 20,
    3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 107, 17, 0, 0, 74, 20, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 246, 37,
    0, 0, 90, 20, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 247, 37, 0, 0, 106, 20, 3, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 248, 37, 0, 0, 122, 20, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 249, 37, 0, 0, 138, 20, 3, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 237, 35, 0, 0, 154, 20, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 181, 37, 0, 0,
    170, 20, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 250, 37, 0, 0, 186, 20, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    251, 37, 0, 0, 202, 20, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 252, 37, 0, 0, 218, 20, 3, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 253, 37, 0, 0, 234, 20, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 254, 37, 0, 0, 250, 20,
    3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 255, 37, 0, 0, 10, 21, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 0, 38, 0,
    0, 26, 21, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 1, 38, 0, 0, 42, 21, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    2, 38, 0, 0, 58, 21, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 3, 38, 0, 0, 74, 21, 3, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 4, 38, 0, 0, 90, 21, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 5, 38, 0, 0, 106, 21, 3, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 240, 1, 0, 0, 122, 21, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 6, 38, 0, 0, 141, 21,
    3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 7, 38, 0, 0, 160, 21, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 8, 38, 0,
    0, 176, 21, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 9, 38, 0, 0, 199, 21, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    10, 38, 0, 0, 214, 21, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 61, 20, 0, 0, 229, 21, 3, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 11, 38, 0, 0, 245, 21, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 12, 38, 0, 0, 5, 22, 3, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 135, 1, 0, 0, 27, 22, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 13, 38, 0, 0, 38,
    22, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 112, 2, 0, 0, 64, 22, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 14, 38,
    0, 0, 75, 22, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 176, 24, 0, 0, 90, 22, 3, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 175, 24, 0, 0, 116, 22, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 15, 38, 0, 0, 127, 22, 3, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 33, 26, 0, 0, 142, 22, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 16, 38, 0, 0, 157, 22, 3,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 17, 38, 0, 0, 172, 22, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 18, 38, 0, 0,
    187, 22, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 19, 38, 0, 0, 202, 22, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    20, 38, 0, 0, 217, 22, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 21, 38, 0, 0, 232, 22, 3, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 22, 38, 0, 0, 2, 23, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 23, 38, 0, 0, 13, 23, 3, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 244, 17, 0, 0, 28, 23, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 35, 15, 0, 0, 60,
    23, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 24, 38, 0, 0, 71, 23, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 25, 38,
    0, 0, 77, 23, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 26, 38, 0, 0, 83, 23, 3, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 27, 38, 0, 0, 100, 23, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 28, 38, 0, 0, 111, 23, 3, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 29, 38, 0, 0, 126, 23, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 221, 37, 0, 0, 141, 23,
    3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 220, 37, 0, 0, 167, 23, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 30, 38,
    0, 0, 178, 23, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 179, 1, 0, 0, 193, 23, 3, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 31, 38, 0, 0, 208, 23, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 32, 38, 0, 0, 223, 23, 3, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 33, 38, 0, 0, 238, 23, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 95, 14, 0, 0, 253, 23,
    3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 34, 38, 0, 0, 12, 24, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 92, 23, 0,
    0, 38, 24, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 35, 38, 0, 0, 49, 24, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    36, 38, 0, 0, 64, 24, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 37, 38, 0, 0, 79, 24, 3, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 38, 38, 0, 0, 94, 24, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 39, 38, 0, 0, 109, 24, 3, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 241, 9, 0, 0, 135, 24, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 40, 38, 0, 0,
    146, 24, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 41, 38, 0, 0, 161, 24, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    42, 38, 0, 0, 176, 24, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 43, 38, 0, 0, 197, 24, 3, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 44, 38, 0, 0, 208, 24, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 45, 38, 0, 0, 223, 24, 3, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 220, 3, 0, 0, 238, 24, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 46, 38, 0, 0,
    253, 24, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 47, 38, 0, 0, 12, 25, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    48, 38, 0, 0, 27, 25, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 49, 38, 0, 0, 42, 25, 3, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 50, 38, 0, 0, 57, 25, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 51, 38, 0, 0, 72, 25, 3, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 92, 23, 0, 0, 87, 25, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 31, 38, 0, 0,
    102, 25, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 52, 38, 0, 0, 123, 25, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    53, 38, 0, 0, 134, 25, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 49, 12, 0, 0, 149, 25, 3, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 185, 30, 0, 0, 164, 25, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 54, 38, 0, 0, 179, 25, 3,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 55, 38, 0, 0, 200, 25, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 56, 38, 0, 0,
    211, 25, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 82, 3, 0, 0, 226, 25, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    90, 23, 0, 0, 241, 25, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 114, 1, 0, 0, 0, 26, 3, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 57, 38, 0, 0, 15, 26, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 58, 38, 0, 0, 30, 26, 3, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 59, 38, 0, 0, 45, 26, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 60, 38, 0, 0, 60,
    26, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 228, 6, 0, 0, 75, 26, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 61, 38,
    0, 0, 90, 26, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 62, 38, 0, 0, 105, 26, 3, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 63, 38, 0, 0, 120, 26, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 64, 38, 0, 0, 135, 26, 3, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 65, 38, 0, 0, 150, 26, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 66, 38, 0, 0, 165, 26, 3,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 67, 38, 0, 0, 181, 26, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 68, 38, 0, 0,
    192, 26, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 107, 7, 0, 0, 207, 26, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    37, 7, 0, 0, 222, 26, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 3, 3, 0, 0, 238, 26, 3, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 69, 38, 0, 0, 249, 26, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 37, 7, 0, 0, 8, 27, 3, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 3, 3, 0, 0, 23, 27, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 70, 38, 0, 0, 44, 27, 3,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 71, 38, 0, 0, 55, 27, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 214, 21, 0, 0,
    70, 27, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 72, 38, 0, 0, 85, 27, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 73,
    38, 0, 0, 100, 27, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 74, 38, 0, 0, 115, 27, 3, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 75, 38, 0, 0, 130, 27, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 183, 37, 0, 0, 145, 27, 3, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 184, 37, 0, 0, 160, 27, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 179, 1, 0, 0, 175,
    27, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 76, 38, 0, 0, 190, 27, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 77,
    38, 0, 0, 205, 27, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 78, 38, 0, 0, 220, 27, 3, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 79, 38, 0, 0, 235, 27, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 80, 38, 0, 0, 250, 27, 3, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 81, 38, 0, 0, 9, 28, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 82, 38, 0, 0, 24, 28,
    3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 83, 38, 0, 0, 39, 28, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 84, 38, 0,
    0, 54, 28, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 85, 38, 0, 0, 69, 28, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    86, 38, 0, 0, 84, 28, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 149, 37, 0, 0, 99, 28, 3, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 18, 2, 0, 0, 114, 28, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 87, 38, 0, 0, 129, 28, 3, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 88, 38, 0, 0, 144, 28, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 50, 2, 0, 0,
    159, 28, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 176, 37, 0, 0, 174, 28, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    177, 37, 0, 0, 189, 28, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 134, 1, 0, 0, 204, 28, 3, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 89, 38, 0, 0, 225, 28, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 90, 38, 0, 0, 236, 28, 3, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 200, 16, 0, 0, 251, 28, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 158, 37, 0, 0,
    27, 29, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 91, 38, 0, 0, 38, 29, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 92,
    38, 0, 0, 44, 29, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 93, 38, 0, 0, 50, 29, 3, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 94, 38, 0, 0, 56, 29, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 95, 38, 0, 0, 62, 29, 3, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 96, 38, 0, 0, 74, 29, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 97, 38, 0, 0, 85, 29, 3,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 200, 16, 0, 0, 100, 29, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 185, 37, 0,
    0, 115, 29, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 98, 38, 0, 0, 130, 29, 3, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 99, 38, 0, 0, 163, 29, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 100, 38, 0, 0, 174, 29, 3, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 56, 7, 0, 0, 189, 29, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 101, 38, 0, 0, 205, 29, 3,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 102, 38, 0, 0, 216, 29, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 103, 38, 0,
    0, 231, 29, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 104, 38, 0, 0, 251, 29, 3, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 105, 38, 0, 0, 6, 30, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 106, 38, 0, 0, 12, 30, 3, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 107, 38, 0, 0, 18, 30, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 108, 38, 0, 0, 24, 30, 3,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 109, 38, 0, 0, 30, 30, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 110, 38, 0,
    0, 36, 30, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 111, 38, 0, 0, 60, 30, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    112, 38, 0, 0, 71, 30, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 103, 38, 0, 0, 86, 30, 3, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 113, 38, 0, 0, 101, 30, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 114, 38, 0, 0, 116, 30, 3,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 115, 38, 0, 0, 131, 30, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 179, 1, 0,
    0, 146, 30, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 116, 38, 0, 0, 161, 30, 3, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 117, 38, 0, 0, 176, 30, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 118, 38, 0, 0, 191, 30, 3, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 119, 38, 0, 0, 206, 30, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 120, 38, 0, 0, 221,
    30, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 121, 38, 0, 0, 236, 30, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 122,
    38, 0, 0, 251, 30, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 123, 38, 0, 0, 10, 31, 3, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 124, 38, 0, 0, 25, 31, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 125, 38, 0, 0, 45, 31, 3, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 126, 38, 0, 0, 56, 31, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 127, 38, 0, 0, 62,
    31, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 128, 38, 0, 0, 68, 31, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 129,
    38, 0, 0, 85, 31, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 130, 38, 0, 0, 96, 31, 3, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 150, 37, 0, 0, 111, 31, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 237, 37, 0, 0, 126, 31, 3, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 238, 37, 0, 0, 141, 31, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 239, 37, 0, 0,
    161, 31, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 131, 38, 0, 0, 172, 31, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    132, 38, 0, 0, 178, 31, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 133, 38, 0, 0, 184, 31, 3, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 134, 38, 0, 0, 190, 31, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 135, 38, 0, 0, 196, 31,
    3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 136, 38, 0, 0, 202, 31, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 137, 38,
    0, 0, 208, 31, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 138, 38, 0, 0, 214, 31, 3, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 139, 38, 0, 0, 220, 31, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 140, 38, 0, 0, 226, 31, 3, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 141, 38, 0, 0, 232, 31, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 142, 38, 0, 0,
    238, 31, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 143, 38, 0, 0, 244, 31, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    144, 38, 0, 0, 250, 31, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 145, 38, 0, 0, 0, 32, 3, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 146, 38, 0, 0, 24, 32, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 147, 38, 0, 0, 35, 32, 3, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 89, 38, 0, 0, 50, 32, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 148, 38, 0, 0,
    65, 32, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 103, 38, 0, 0, 80, 32, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    74, 38, 0, 0, 95, 32, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 149, 38, 0, 0, 110, 32, 3, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 150, 38, 0, 0, 125, 32, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 151, 38, 0, 0, 140, 32, 3,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 152, 38, 0, 0, 155, 32, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 153, 38, 0,
    0, 170, 32, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 154, 38, 0, 0, 185, 32, 3, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 155, 38, 0, 0, 206, 32, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 156, 38, 0, 0, 217, 32, 3, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 179, 1, 0, 0, 232, 32, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 102, 2, 0, 0, 247, 32,
    3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 115, 38, 0, 0, 6, 33, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 157, 38, 0,
    0, 22, 33, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 158, 38, 0, 0, 33, 33, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    156, 5, 0, 0, 48, 33, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 159, 38, 0, 0, 63, 33, 3, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 160, 38, 0, 0, 78, 33, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 161, 38, 0, 0, 93, 33, 3, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 162, 38, 0, 0, 109, 33, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 163, 38, 0, 0,
    120, 33, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 164, 38, 0, 0, 135, 33, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    165, 38, 0, 0, 150, 33, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 166, 38, 0, 0, 165, 33, 3, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 180, 24, 0, 0, 193, 33, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 167, 38, 0, 0, 204, 33,
    3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 168, 38, 0, 0, 219, 33, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 156, 5,
    0, 0, 234, 33, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 169, 38, 0, 0, 250, 33, 3, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 170, 38, 0, 0, 5, 34, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 171, 38, 0, 0, 20, 34, 3, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 165, 38, 0, 0, 35, 34, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 172, 38, 0, 0, 50, 34,
    3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 173, 38, 0, 0, 66, 34, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 174, 38,
    0, 0, 77, 34, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 175, 38, 0, 0, 92, 34, 3, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 156, 5, 0, 0, 107, 34, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 176, 38, 0, 0, 135, 34, 3, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 177, 38, 0, 0, 146, 34, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 89, 38, 0, 0, 161, 34,
    3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 178, 38, 0, 0, 181, 34, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 179, 38,
    0, 0, 192, 34, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 180, 38, 0, 0, 198, 34, 3, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 181, 38, 0, 0, 204, 34, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 182, 38, 0, 0, 210, 34, 3, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 183, 38, 0, 0, 216, 34, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 184, 38, 0, 0,
    222, 34, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 185, 38, 0, 0, 228, 34, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    186, 38, 0, 0, 234, 34, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 187, 38, 0, 0, 240, 34, 3, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 188, 38, 0, 0, 246, 34, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 189, 38, 0, 0, 252, 34,
    3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 190, 38, 0, 0, 2, 35, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 191, 38, 0,
    0, 19, 35, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 192, 38, 0, 0, 30, 35, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    193, 38, 0, 0, 45, 35, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 194, 38, 0, 0, 60, 35, 3, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 195, 38, 0, 0, 76, 35, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 196, 38, 0, 0, 87, 35, 3, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 197, 38, 0, 0, 102, 35, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 198, 38, 0, 0,
    117, 35, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 199, 38, 0, 0, 132, 35, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    200, 38, 0, 0, 148, 35, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 201, 38, 0, 0, 159, 35, 3, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 202, 38, 0, 0, 174, 35, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 203, 38, 0, 0, 202, 35,
    3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 204, 38, 0, 0, 213, 35, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 205, 38,
    0, 0, 228, 35, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 206, 38, 0, 0, 243, 35, 3, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 207, 38, 0, 0, 2, 36, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 208, 38, 0, 0, 17, 36, 3, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 209, 38, 0, 0, 32, 36, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 210, 38, 0, 0, 60, 36,
    3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 211, 38, 0, 0, 71, 36, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 212, 38,
    0, 0, 109, 36, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 213, 38, 0, 0, 120, 36, 3, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 50, 2, 0, 0, 135, 36, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 214, 38, 0, 0, 150, 36, 3, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 215, 38, 0, 0, 165, 36, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 216, 38, 0, 0, 180,
    36, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 217, 38, 0, 0, 195, 36, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 218,
    38, 0, 0, 210, 36, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 219, 38, 0, 0, 225, 36, 3, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 220, 38, 0, 0, 240, 36, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 221, 38, 0, 0, 255, 36, 3, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 134, 1, 0, 0, 19, 37, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 222, 38, 0, 0,
    30, 37, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 223, 38, 0, 0, 36, 37, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    224, 38, 0, 0, 42, 37, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 225, 38, 0, 0, 48, 37, 3, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 226, 38, 0, 0, 59, 37, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 227, 38, 0, 0, 70, 37, 3, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 228, 38, 0, 0, 76, 37, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 229, 38, 0, 0,
    82, 37, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 230, 38, 0, 0, 105, 37, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    231, 38, 0, 0, 116, 37, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 232, 38, 0, 0, 122, 37, 3, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 233, 38, 0, 0, 128, 37, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 234, 38, 0, 0, 134, 37,
    3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 235, 38, 0, 0, 145, 37, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 236, 38,
    0, 0, 156, 37, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 237, 38, 0, 0, 162, 37, 3, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 238, 38, 0, 0, 168, 37, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 239, 38, 0, 0, 185, 37, 3, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 240, 38, 0, 0, 196, 37, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 50, 2, 0, 0, 211,
    37, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 241, 38, 0, 0, 226, 37, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 217,
    38, 0, 0, 241, 37, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 218, 38, 0, 0, 0, 38, 3, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 242, 38, 0, 0, 28, 38, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 243, 38, 0, 0, 39, 38, 3, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 244, 38, 0, 0, 54, 38, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 245, 38, 0, 0, 69,
    38, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 246, 38, 0, 0, 84, 38, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 179,
    1, 0, 0, 99, 38, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 125, 38, 0, 0, 114, 38, 3, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 247, 38, 0, 0, 130, 38, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 248, 38, 0, 0, 141, 38, 3, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 249, 38, 0, 0, 156, 38, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 250, 38, 0, 0,
    171, 38, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 251, 38, 0, 0, 187, 38, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    252, 38, 0, 0, 198, 38, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 116, 38, 0, 0, 213, 38, 3, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 253, 38, 0, 0, 229, 38, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 254, 38, 0, 0, 240, 38,
    3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 255, 38, 0, 0, 255, 38, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 0, 39, 0,
    0, 27, 39, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 1, 39, 0, 0, 38, 39, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    2, 39, 0, 0, 53, 39, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 3, 39, 0, 0, 68, 39, 3, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 4, 39, 0, 0, 83, 39, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 5, 39, 0, 0, 109, 39, 3, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 6, 39, 0, 0, 120, 39, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 7, 39, 0, 0, 135, 39,
    3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 8, 39, 0, 0, 150, 39, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 162, 38, 0,
    0, 165, 39, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 9, 39, 0, 0, 180, 39, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    10, 39, 0, 0, 195, 39, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 11, 39, 0, 0, 215, 39, 3, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 12, 39, 0, 0, 233, 39, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 13, 39, 0, 0, 244, 39, 3, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 14, 39, 0, 0, 3, 40, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 15, 39, 0, 0, 29,
    40, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 16, 39, 0, 0, 40, 40, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 17, 39,
    0, 0, 55, 40, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 18, 39, 0, 0, 70, 40, 3, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 31, 38, 0, 0, 85, 40, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 32, 38, 0, 0, 100, 40, 3, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 33, 38, 0, 0, 115, 40, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 95, 14, 0, 0, 141, 40, 3,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 19, 39, 0, 0, 152, 40, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 116, 7, 0, 0,
    167, 40, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 179, 1, 0, 0, 182, 40, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    20, 39, 0, 0, 197, 40, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 21, 39, 0, 0, 212, 40, 3, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 187, 7, 0, 0, 227, 40, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 22, 39, 0, 0, 243, 40, 3, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 23, 39, 0, 0, 254, 40, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 24, 39, 0, 0,
    13, 41, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 25, 39, 0, 0, 121, 41, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    26, 39, 0, 0, 132, 41, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 27, 39, 0, 0, 147, 41, 3, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 28, 39, 0, 0, 165, 41, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 29, 39, 0, 0, 183, 41, 3, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 30, 39, 0, 0, 205, 41, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 31, 39, 0, 0,
    220, 41, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 32, 39, 0, 0, 235, 41, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    33, 39, 0, 0, 250, 41, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 34, 39, 0, 0, 9, 42, 3, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 134, 36, 0, 0, 27, 42, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 35, 39, 0, 0, 45, 42, 3, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 36, 39, 0, 0, 63, 42, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 37, 39, 0, 0, 81,
    42, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 38, 39, 0, 0, 99, 42, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 39, 39,
    0, 0, 117, 42, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 40, 39, 0, 0, 142, 42, 3, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 41, 39, 0, 0, 152, 42, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 42, 39, 0, 0, 161, 42, 3, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 43, 39, 0, 0, 172, 42, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 44, 39, 0, 0, 178, 42,
    3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 45, 39, 0, 0, 184, 42, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 46, 39, 0,
    0, 190, 42, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 47, 39, 0, 0, 196, 42, 3, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 48, 39, 0, 0, 208, 42, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 49, 39, 0, 0, 213, 42, 3, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 50, 39, 0, 0, 224, 42, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 187, 27, 0, 0, 239, 42,
    3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 51, 39, 0, 0, 254, 42, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 52, 39, 0,
    0, 13, 43, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 53, 39, 0, 0, 28, 43, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    54, 39, 0, 0, 43, 43, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 55, 39, 0, 0, 63, 43, 3, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 56, 39, 0, 0, 74, 43, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 57, 39, 0, 0, 80, 43, 3, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 58, 39, 0, 0, 86, 43, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 59, 39, 0, 0, 92,
    43, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 60, 39, 0, 0, 98, 43, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 61, 39,
    0, 0, 104, 43, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 62, 39, 0, 0, 110, 43, 3, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 63, 39, 0, 0, 116, 43, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 64, 39, 0, 0, 122, 43, 3, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 65, 39, 0, 0, 128, 43, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 66, 39, 0, 0, 134, 43,
    3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 67, 39, 0, 0, 140, 43, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 68, 39, 0,
    0, 146, 43, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 69, 39, 0, 0, 153, 43, 3, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 70, 39, 0, 0, 164, 43, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 200, 16, 0, 0, 179, 43, 3, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 185, 37, 0, 0, 194, 43, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 169, 37, 0, 0, 209, 43,
    3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 183, 37, 0, 0, 224, 43, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 158, 37,
    0, 0, 239, 43, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 184, 37, 0, 0, 254, 43, 3, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 174, 37, 0, 0, 13, 44, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 71, 39, 0, 0, 28, 44, 3, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 72, 39, 0, 0, 43, 44, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 73, 39, 0, 0, 58, 44,
    3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 74, 39, 0, 0, 73, 44, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 75, 39, 0,
    0, 88, 44, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 76, 39, 0, 0, 103, 44, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    77, 39, 0, 0, 118, 44, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 78, 39, 0, 0, 133, 44, 3, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 79, 39, 0, 0, 148, 44, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 80, 39, 0, 0, 163, 44, 3, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 81, 39, 0, 0, 196, 44, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 82, 39, 0, 0,
    207, 44, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 125, 5, 0, 0, 222, 44, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    241, 9, 0, 0, 237, 44, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 102, 18, 0, 0, 252, 44, 3, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 83, 39, 0, 0, 11, 45, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 84, 39, 0, 0, 26, 45, 3, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 60, 34, 0, 0, 41, 45, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 106, 2, 0, 0, 61,
    45, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 85, 39, 0, 0, 72, 45, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 86, 39,
    0, 0, 78, 45, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 87, 39, 0, 0, 84, 45, 3, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 88, 39, 0, 0, 91, 45, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 89, 39, 0, 0, 103, 45, 3, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 90, 39, 0, 0, 118, 45, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 91, 39, 0, 0, 133, 45, 3,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 185, 37, 0, 0, 148, 45, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 92, 39, 0,
    0, 163, 45, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 200, 16, 0, 0, 178, 45, 3, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 158, 37, 0, 0, 193, 45, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 93, 39, 0, 0, 208, 45, 3, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 183, 37, 0, 0, 223, 45, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 184, 37, 0, 0, 238, 45,
    3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 73, 39, 0, 0, 253, 45, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 94, 39, 0,
    0, 12, 46, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 95, 39, 0, 0, 27, 46, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    125, 5, 0, 0, 42, 46, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 102, 18, 0, 0, 57, 46, 3, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 96, 39, 0, 0, 72, 46, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 179, 1, 0, 0, 87, 46, 3, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 97, 39, 0, 0, 102, 46, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 78, 39, 0, 0,
    117, 46, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 79, 39, 0, 0, 132, 46, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    98, 39, 0, 0, 147, 46, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 99, 39, 0, 0, 163, 46, 3, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 100, 39, 0, 0, 179, 46, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 101, 39, 0, 0, 195, 46, 3,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 186, 37, 0, 0, 211, 46, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 102, 39, 0,
    0, 227, 46, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 103, 39, 0, 0, 243, 46, 3, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 104, 39, 0, 0, 3, 47, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 105, 39, 0, 0, 19, 47, 3, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 106, 39, 0, 0, 35, 47, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 107, 39, 0, 0, 51, 47, 3,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 108, 39, 0, 0, 67, 47, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 109, 39, 0,
    0, 83, 47, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 54, 39, 0, 0, 104, 47, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    110, 39, 0, 0, 115, 47, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 111, 39, 0, 0, 121, 47, 3, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 112, 39, 0, 0, 127, 47, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 113, 39, 0, 0, 133, 47,
    3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 114, 39, 0, 0, 139, 47, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 115, 39,
    0, 0, 145, 47, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 116, 39, 0, 0, 151, 47, 3, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 117, 39, 0, 0, 157, 47, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 118, 39, 0, 0, 163, 47, 3, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 119, 39, 0, 0, 169, 47, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 120, 39, 0, 0,
    175, 47, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 121, 39, 0, 0, 186, 47, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    122, 39, 0, 0, 197, 47, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 123, 39, 0, 0, 203, 47, 3, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 124, 39, 0, 0, 209, 47, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 125, 39, 0, 0, 216, 47,
    3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 126, 39, 0, 0, 227, 47, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 127, 39,
    0, 0, 242, 47, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 128, 39, 0, 0, 1, 48, 3, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 129, 39, 0, 0, 16, 48, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 130, 39, 0, 0, 31, 48, 3, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 220, 37, 0, 0, 46, 48, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 221, 37, 0, 0, 61, 48, 3,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 74, 39, 0, 0, 76, 48, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 131, 39, 0, 0,
    91, 48, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 132, 39, 0, 0, 106, 48, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    75, 39, 0, 0, 121, 48, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 133, 39, 0, 0, 136, 48, 3, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 80, 39, 0, 0, 151, 48, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 81, 39, 0, 0, 166, 48, 3, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 134, 39, 0, 0, 181, 48, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 135, 39, 0, 0,
    196, 48, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 136, 39, 0, 0, 224, 48, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    137, 39, 0, 0, 235, 48, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 138, 39, 0, 0, 250, 48, 3, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 113, 2, 0, 0, 16, 49, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 139, 39, 0, 0, 31, 49, 3,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 140, 39, 0, 0, 52, 49, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 141, 39, 0,
    0, 63, 49, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 142, 39, 0, 0, 69, 49, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    143, 39, 0, 0, 75, 49, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 144, 39, 0, 0, 81, 49, 3, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 145, 39, 0, 0, 87, 49, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 146, 39, 0, 0, 93, 49, 3, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 147, 39, 0, 0, 105, 49, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 148, 39, 0, 0,
    115, 49, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 149, 39, 0, 0, 126, 49, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    150, 39, 0, 0, 141, 49, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 150, 37, 0, 0, 156, 49, 3, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 134, 1, 0, 0, 171, 49, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 60, 15, 0, 0, 186, 49, 3,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 178, 1, 0, 0, 201, 49, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 151, 39, 0,
    0, 216, 49, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 151, 37, 0, 0, 231, 49, 3, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 152, 39, 0, 0, 246, 49, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 153, 39, 0, 0, 5, 50, 3, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 154, 39, 0, 0, 20, 50, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 155, 39, 0, 0, 35, 50, 3,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 156, 39, 0, 0, 50, 50, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 157, 39, 0,
    0, 65, 50, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 158, 39, 0, 0, 80, 50, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    159, 39, 0, 0, 95, 50, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 160, 39, 0, 0, 110, 50, 3, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 161, 39, 0, 0, 125, 50, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 162, 39, 0, 0, 140, 50, 3,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 163, 39, 0, 0, 161, 50, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 150, 39, 0,
    0, 173, 50, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 242, 37, 0, 0, 188, 50, 3, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 179, 1, 0, 0, 203, 50, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 164, 39, 0, 0, 218, 50, 3, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 165, 39, 0, 0, 233, 50, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 134, 36, 0, 0, 248, 50,
    3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 166, 39, 0, 0, 7, 51, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 167, 39, 0,
    0, 22, 51, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 168, 39, 0, 0, 37, 51, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    169, 39, 0, 0, 52, 51, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 170, 39, 0, 0, 67, 51, 3, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 171, 39, 0, 0, 82, 51, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 172, 39, 0, 0, 97, 51, 3, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 18, 2, 0, 0, 112, 51, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 237, 35, 0, 0,
    128, 51, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 135, 1, 0, 0, 145, 51, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    173, 39, 0, 0, 156, 51, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 89, 38, 0, 0, 171, 51, 3, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 174, 39, 0, 0, 186, 51, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 175, 39, 0, 0, 201, 51, 3,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 176, 39, 0, 0, 216, 51, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 161, 39, 0,
    0, 231, 51, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 177, 39, 0, 0, 246, 51, 3, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 178, 39, 0, 0, 5, 52, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 179, 39, 0, 0, 20, 52, 3, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 180, 39, 0, 0, 35, 52, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 181, 39, 0, 0, 50, 52, 3,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 182, 39, 0, 0, 65, 52, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 183, 39, 0,
    0, 80, 52, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 184, 39, 0, 0, 95, 52, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    185, 39, 0, 0, 110, 52, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 186, 39, 0, 0, 125, 52, 3, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 187, 39, 0, 0, 140, 52, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 188, 39, 0, 0, 160, 52,
    3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 189, 39, 0, 0, 171, 52, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 190, 39,
    0, 0, 177, 52, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 191, 39, 0, 0, 183, 52, 3, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 192, 39, 0, 0, 189, 52, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 193, 39, 0, 0, 195, 52, 3, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 194, 39, 0, 0, 201, 52, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 195, 39, 0, 0,
    208, 52, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 196, 39, 0, 0, 219, 52, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    106, 2, 0, 0, 234, 52, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 211, 30, 0, 0, 254, 52, 3, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 197, 39, 0, 0, 9, 53, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 198, 39, 0, 0, 15, 53, 3, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 199, 39, 0, 0, 21, 53, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 200, 39, 0, 0,
    27, 53, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 201, 39, 0, 0, 33, 53, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    202, 39, 0, 0, 39, 53, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 203, 39, 0, 0, 45, 53, 3, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 204, 39, 0, 0, 51, 53, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 205, 39, 0, 0, 57, 53, 3, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 206, 39, 0, 0, 68, 53, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 207, 39, 0, 0,
    79, 53, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 208, 39, 0, 0, 85, 53, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    209, 39, 0, 0, 91, 53, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 210, 39, 0, 0, 97, 53, 3, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 211, 39, 0, 0, 108, 53, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 212, 39, 0, 0, 126, 53, 3,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 213, 39, 0, 0, 137, 53, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 192, 4, 0,
    0, 199, 53, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 214, 39, 0, 0, 210, 53, 3, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 106, 2, 0, 0, 225, 53, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 152, 39, 0, 0, 2, 54, 3, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 153, 39, 0, 0, 17, 54, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 154, 39, 0, 0, 39, 54, 3,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 215, 39, 0, 0, 49, 54, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 216, 39, 0,
    0, 59, 54, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 217, 39, 0, 0, 72, 54, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    218, 39, 0, 0, 85, 54, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 27, 6, 0, 0, 98, 54, 3, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 18, 2, 0, 0, 111, 54, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 219, 39, 0, 0, 124, 54, 3, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 163, 35, 0, 0, 143, 54, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 217, 39, 0, 0,
    152, 54, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 3, 3, 0, 0, 165, 54, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 70,
    5, 0, 0, 178, 54, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 13, 12, 0, 0, 209, 54, 3, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 220, 39, 0, 0, 218, 54, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 49, 12, 0, 0, 231, 54, 3, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 70, 5, 0, 0, 244, 54, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 221, 39, 0, 0, 14,
    55, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 222, 39, 0, 0, 23, 55, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 167,
    7, 0, 0, 36, 55, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 116, 1, 0, 0, 49, 55, 3, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 223, 39, 0, 0, 72, 55, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 224, 39, 0, 0, 95, 55, 3, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 225, 39, 0, 0, 107, 55, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 226, 39, 0, 0, 116,
    55, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 227, 39, 0, 0, 122, 55, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 228,
    39, 0, 0, 128, 55, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 229, 39, 0, 0, 134, 55, 3, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 230, 39, 0, 0, 151, 55, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 231, 39, 0, 0, 160, 55, 3, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 232, 39, 0, 0, 173, 55, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 25, 28, 0, 0,
    186, 55, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 233, 39, 0, 0, 199, 55, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    234, 39, 0, 0, 212, 55, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 70, 5, 0, 0, 231, 55, 3, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 235, 39, 0, 0, 240, 55, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 44, 2, 0, 0, 253, 55, 3, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 102, 5, 0, 0, 10, 56, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 236, 39, 0, 0,
    23, 56, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 67, 3, 0, 0, 36, 56, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 174,
    7, 0, 0, 49, 56, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 114, 2, 0, 0, 62, 56, 3, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 97, 5, 0, 0, 75, 56, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 94, 20, 0, 0, 88, 56, 3, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 240, 4, 0, 0, 101, 56, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 237, 39, 0, 0, 114, 56,
    3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 133, 5, 0, 0, 127, 56, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 70, 5, 0,
    0, 140, 56, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 238, 39, 0, 0, 195, 56, 3, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 239, 39, 0, 0, 232, 56, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 85, 10, 0, 0, 245, 56, 3, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 29, 35, 0, 0, 3, 57, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 240, 39, 0, 0, 30, 57, 3,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 241, 39, 0, 0, 43, 57, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 242, 39, 0,
    0, 64, 57, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 243, 39, 0, 0, 73, 57, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    176, 21, 0, 0, 86, 57, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 244, 39, 0, 0, 99, 57, 3, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 245, 39, 0, 0, 112, 57, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 246, 39, 0, 0, 125, 57, 3,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 247, 39, 0, 0, 149, 57, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 248, 39, 0,
    0, 158, 57, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 74, 3, 0, 0, 171, 57, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    249, 39, 0, 0, 184, 57, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 236, 39, 0, 0, 197, 57, 3, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 223, 3, 0, 0, 210, 57, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 224, 3, 0, 0, 223, 57, 3,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 41, 7, 0, 0, 236, 57, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 158, 7, 0, 0,
    249, 57, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 250, 39, 0, 0, 6, 58, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    188, 19, 0, 0, 19, 58, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 251, 39, 0, 0, 32, 58, 3, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 248, 34, 0, 0, 45, 58, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 252, 39, 0, 0, 58, 58, 3, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 253, 39, 0, 0, 71, 58, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 254, 39, 0, 0,
    84, 58, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 255, 39, 0, 0, 97, 58, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 0,
    40, 0, 0, 110, 58, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 1, 40, 0, 0, 123, 58, 3, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 143, 35, 0, 0, 136, 58, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 2, 40, 0, 0, 149, 58, 3, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 3, 40, 0, 0, 162, 58, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 12, 4, 0, 0, 175,
    58, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 179, 1, 0, 0, 149, 59, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 4, 40,
    0, 0, 160, 59, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 108, 7, 0, 0, 175, 59, 3, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 224, 8, 0, 0, 190, 59, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 33, 4, 0, 0, 205, 59, 3, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 5, 40, 0, 0, 220, 59, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 137, 17, 0, 0, 235, 59,
    3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 88, 17, 0, 0, 66, 60, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 6, 40, 0,
    0, 163, 60, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 7, 40, 0, 0, 172, 60, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    8, 40, 0, 0, 185, 60, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 9, 40, 0, 0, 198, 60, 3, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 134, 1, 0, 0, 211, 60, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 25, 28, 0, 0, 224, 60, 3, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 122, 1, 0, 0, 237, 60, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 133, 5, 0, 0,
    250, 60, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 10, 40, 0, 0, 7, 61, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 11,
    40, 0, 0, 20, 61, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 12, 40, 0, 0, 33, 61, 3, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 13, 40, 0, 0, 46, 61, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 14, 40, 0, 0, 59, 61, 3, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 70, 5, 0, 0, 78, 61, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 15, 40, 0, 0, 88, 61, 3, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 240, 4, 0, 0, 101, 61, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 16, 40, 0, 0,
    114, 61, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 122, 1, 0, 0, 127, 61, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    29, 35, 0, 0, 140, 61, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 133, 5, 0, 0, 153, 61, 3, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 173, 18, 0, 0, 166, 61, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 67, 26, 0, 0, 179, 61, 3,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 17, 40, 0, 0, 192, 61, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 18, 40, 0, 0,
    205, 61, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 19, 40, 0, 0, 218, 61, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    20, 40, 0, 0, 231, 61, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 21, 40, 0, 0, 244, 61, 3, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 22, 40, 0, 0, 1, 62, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 23, 40, 0, 0, 14, 62, 3, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 24, 40, 0, 0, 32, 62, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 94, 20, 0, 0, 45,
    62, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 25, 40, 0, 0, 59, 62, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 70, 5,
    0, 0, 72, 62, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 26, 40, 0, 0, 85, 62, 3, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 27, 40, 0, 0, 105, 62, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 28, 40, 0, 0, 115, 62, 3, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 29, 40, 0, 0, 128, 62, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 30, 40, 0, 0, 141, 62, 3,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 179, 1, 0, 0, 154, 62, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 15, 32, 0, 0,
    167, 62, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 97, 5, 0, 0, 180, 62, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    31, 40, 0, 0, 193, 62, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 54, 3, 0, 0, 206, 62, 3, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 29, 28, 0, 0, 219, 62, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 34, 6, 0, 0, 232, 62, 3, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 32, 40, 0, 0, 245, 62, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 33, 40, 0, 0, 2,
    63, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 233, 39, 0, 0, 15, 63, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 234,
    39, 0, 0, 28, 63, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 182, 1, 0, 0, 41, 63, 3, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 133, 5, 0, 0, 54, 63, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 34, 40, 0, 0, 67, 63, 3, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 67, 26, 0, 0, 80, 63, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 35, 40, 0, 0, 93, 63, 3,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 183, 11, 0, 0, 106, 63, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 242, 39, 0,
    0, 119, 63, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 146, 1, 0, 0, 132, 63, 3, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 36, 40, 0, 0, 145, 63, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 37, 40, 0, 0, 158, 63, 3, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 38, 40, 0, 0, 172, 63, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 39, 40, 0, 0, 186, 63, 3,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 40, 40, 0, 0, 200, 63, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 70, 5, 0, 0,
    11, 64, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 41, 40, 0, 0, 20, 64, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 44,
    2, 0, 0, 33, 64, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 42, 40, 0, 0, 46, 64, 3, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 244, 6, 0, 0, 59, 64, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 43, 40, 0, 0, 72, 64, 3, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 44, 40, 0, 0, 85, 64, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 29, 40, 0, 0, 98, 64, 3,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 30, 40, 0, 0, 111, 64, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 45, 40, 0, 0,
    124, 64, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 223, 3, 0, 0, 137, 64, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    245, 25, 0, 0, 150, 64, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 224, 3, 0, 0, 163, 64, 3, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 250, 39, 0, 0, 176, 64, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 181, 16, 0, 0, 189, 64, 3,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 46, 40, 0, 0, 202, 64, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 143, 35, 0,
    0, 215, 64, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 47, 40, 0, 0, 228, 64, 3, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 48, 40, 0, 0, 241, 64, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 49, 40, 0, 0, 254, 64, 3, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 50, 40, 0, 0, 11, 65, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 51, 40, 0, 0, 24, 65, 3,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 12, 4, 0, 0, 53, 65, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 52, 40, 0, 0,
    62, 65, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 179, 1, 0, 0, 75, 65, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 53,
    40, 0, 0, 88, 65, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 54, 40, 0, 0, 101, 65, 3, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 53, 21, 0, 0, 114, 65, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 55, 40, 0, 0, 127, 65, 3, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 56, 40, 0, 0, 140, 65, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 250, 39, 0, 0, 153,
    65, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 188, 19, 0, 0, 166, 65, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 248,
    34, 0, 0, 179, 65, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 15, 40, 0, 0, 192, 65, 3, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 57, 40, 0, 0, 205, 65, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 58, 40, 0, 0, 218, 65, 3, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 143, 35, 0, 0, 231, 65, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 47, 40, 0, 0, 15,
    66, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 59, 40, 0, 0, 25, 66, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 18, 2,
    0, 0, 38, 66, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 239, 1, 0, 0, 51, 66, 3, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 60, 40, 0, 0, 64, 66, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 27, 6, 0, 0, 77, 66, 3, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 81, 10, 0, 0, 90, 66, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 61, 40, 0, 0, 103, 66, 3, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 62, 40, 0, 0, 116, 66, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 63, 40, 0, 0,
    129, 66, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 163, 35, 0, 0, 142, 66, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    64, 40, 0, 0, 155, 66, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 65, 40, 0, 0, 168, 66, 3, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 66, 40, 0, 0, 181, 66, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 146, 1, 0, 0, 194, 66, 3, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 67, 40, 0, 0, 208, 66, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 67, 40, 0, 0,
    217, 66, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 68, 40, 0, 0, 230, 66, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    69, 40, 0, 0, 243, 66, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 70, 40, 0, 0, 0, 67, 3, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 15, 32, 0, 0, 13, 67, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 71, 40, 0, 0, 26, 67, 3, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 72, 40, 0, 0, 39, 67, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 73, 40, 0, 0, 52,
    67, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 74, 40, 0, 0, 65, 67, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 75, 40,
    0, 0, 78, 67, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 76, 40, 0, 0, 91, 67, 3, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 77, 40, 0, 0, 104, 67, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 78, 40, 0, 0, 117, 67, 3, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 79, 40, 0, 0, 136, 67, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 80, 40, 0, 0, 145, 67, 3,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 81, 40, 0, 0, 158, 67, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 82, 40, 0, 0,
    171, 67, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 83, 40, 0, 0, 184, 67, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    84, 40, 0, 0, 197, 67, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 85, 40, 0, 0, 210, 67, 3, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 86, 40, 0, 0, 223, 67, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 87, 40, 0, 0, 165, 68, 3, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 88, 40, 0, 0, 176, 68, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 108, 7, 0, 0,
    191, 68, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 224, 8, 0, 0, 206, 68, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    33, 4, 0, 0, 221, 68, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 88, 17, 0, 0, 121, 69, 3, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 89, 40, 0, 0, 130, 69, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 240, 4, 0, 0, 143, 69, 3, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 6, 23, 0, 0, 156, 69, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 72, 3, 0, 0, 169,
    69, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 90, 40, 0, 0, 182, 69, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 91,
    40, 0, 0, 195, 69, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 92, 40, 0, 0, 208, 69, 3, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 93, 40, 0, 0, 221, 69, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 94, 40, 0, 0, 234, 69, 3, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 95, 40, 0, 0, 248, 69, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 95, 40, 0, 0, 1,
    70, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 48, 22, 0, 0, 14, 70, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 49, 22,
    0, 0, 27, 70, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 245, 39, 0, 0, 40, 70, 3, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 247, 39, 0, 0, 53, 70, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 96, 40, 0, 0, 66, 70, 3, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 97, 40, 0, 0, 79, 70, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 176, 21, 0, 0, 92, 70, 3,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 244, 39, 0, 0, 245, 70, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 98, 40, 0,
    0, 254, 70, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 70, 5, 0, 0, 11, 71, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    134, 1, 0, 0, 24, 71, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 99, 40, 0, 0, 37, 71, 3, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 133, 5, 0, 0, 50, 71, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 114, 2, 0, 0, 64, 71, 3, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 100, 40, 0, 0, 73, 71, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 101, 40, 0, 0,
    86, 71, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 102, 40, 0, 0, 99, 71, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    103, 40, 0, 0, 112, 71, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 104, 40, 0, 0, 125, 71, 3, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 105, 40, 0, 0, 138, 71, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 106, 40, 0, 0, 151, 71,
    3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 187, 1, 0, 0, 164, 71, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 107, 40,
    0, 0, 183, 71, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 108, 40, 0, 0, 193, 71, 3, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 109, 40, 0, 0, 202, 71, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 35, 40, 0, 0, 215, 71, 3, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 146, 16, 0, 0, 229, 71, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 110, 40, 0, 0, 238,
    71, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 48, 22, 0, 0, 251, 71, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 49,
    22, 0, 0, 9, 72, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 111, 40, 0, 0, 18, 72, 3, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 74, 3, 0, 0, 31, 72, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 72, 3, 0, 0, 44, 72, 3, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 176, 21, 0, 0, 57, 72, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 240, 4, 0, 0, 71, 72, 3,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 18, 40, 0, 0, 80, 72, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 104, 28, 0, 0,
    178, 72, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 112, 40, 0, 0, 187, 72, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    61, 7, 0, 0, 200, 72, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 129, 5, 0, 0, 213, 72, 3, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 232, 18, 0, 0, 226, 72, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 169, 18, 0, 0, 239, 72, 3,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 113, 40, 0, 0, 1, 73, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 122, 1, 0, 0,
    14, 73, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 114, 40, 0, 0, 46, 73, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    115, 40, 0, 0, 55, 73, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 67, 26, 0, 0, 68, 73, 3, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 116, 40, 0, 0, 81, 73, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 18, 2, 0, 0, 94, 73, 3, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 217, 35, 0, 0, 107, 73, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 33, 4, 0, 0,
    138, 73, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 117, 40, 0, 0, 147, 73, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    70, 5, 0, 0, 160, 73, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 118, 40, 0, 0, 191, 73, 3, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 119, 40, 0, 0, 200, 73, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 3, 3, 0, 0, 213, 73, 3, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 120, 40, 0, 0, 226, 73, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 70, 5, 0, 0,
    239, 73, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 121, 40, 0, 0, 14, 74, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    122, 40, 0, 0, 23, 74, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 49, 22, 0, 0, 36, 74, 3, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 48, 22, 0, 0, 49, 74, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 146, 16, 0, 0, 67, 74, 3, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 123, 40, 0, 0, 80, 74, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 168, 9, 0, 0,
    99, 74, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 124, 40, 0, 0, 108, 74, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    56, 2, 0, 0, 121, 74, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 58, 2, 0, 0, 134, 74, 3, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 57, 2, 0, 0, 147, 74, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 59, 2, 0, 0, 160, 74, 3, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 146, 16, 0, 0, 179, 74, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 125, 40, 0, 0,
    189, 74, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 16, 2, 0, 0, 199, 74, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    17, 2, 0, 0, 226, 74, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 21, 2, 0, 0, 235, 74, 3, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 134, 1, 0, 0, 248, 74, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 249, 39, 0, 0, 5, 75, 3, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 43, 40, 0, 0, 18, 75, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 138, 1, 0, 0, 31,
    75, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 126, 40, 0, 0, 44, 75, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 187,
    7, 0, 0, 57, 75, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 26, 20, 0, 0, 70, 75, 3, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 127, 40, 0, 0, 83, 75, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 128, 40, 0, 0, 96, 75, 3, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 129, 40, 0, 0, 109, 75, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 130, 40, 0, 0, 122,
    75, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 131, 40, 0, 0, 135, 75, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 132,
    40, 0, 0, 148, 75, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 133, 40, 0, 0, 161, 75, 3, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 134, 40, 0, 0, 174, 75, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 135, 40, 0, 0, 187, 75, 3, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 136, 40, 0, 0, 200, 75, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 137, 40, 0, 0,
    213, 75, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 138, 40, 0, 0, 226, 75, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    139, 40, 0, 0, 239, 75, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 140, 40, 0, 0, 252, 75, 3, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 141, 40, 0, 0, 9, 76, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 142, 40, 0, 0, 22, 76, 3,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 143, 40, 0, 0, 100, 77, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 144, 40, 0,
    0, 110, 77, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 145, 40, 0, 0, 123, 77, 3, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 146, 40, 0, 0, 136, 77, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 147, 40, 0, 0, 149, 77, 3, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 148, 40, 0, 0, 162, 77, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 149, 40, 0, 0, 175,
    77, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 150, 40, 0, 0, 188, 77, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 151,
    40, 0, 0, 201, 77, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 152, 40, 0, 0, 214, 77, 3, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 153, 40, 0, 0, 227, 77, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 154, 40, 0, 0, 240, 77, 3, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 155, 40, 0, 0, 253, 77, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 156, 40, 0, 0,
    10, 78, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 157, 40, 0, 0, 23, 78, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    158, 40, 0, 0, 36, 78, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 159, 40, 0, 0, 49, 78, 3, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 160, 40, 0, 0, 62, 78, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 161, 40, 0, 0, 75, 78, 3, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 162, 40, 0, 0, 88, 78, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 163, 40, 0, 0,
    101, 78, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 164, 40, 0, 0, 114, 78, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    165, 40, 0, 0, 127, 78, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 166, 40, 0, 0, 140, 78, 3, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 167, 40, 0, 0, 153, 78, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 168, 40, 0, 0, 166, 78,
    3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 169, 40, 0, 0, 179, 78, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 170, 40,
    0, 0, 192, 78, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 171, 40, 0, 0, 205, 78, 3, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 172, 40, 0, 0, 218, 78, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 173, 40, 0, 0, 231, 78, 3, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 174, 40, 0, 0, 244, 78, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 175, 40, 0, 0, 1,
    79, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 176, 40, 0, 0, 14, 79, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 177,
    40, 0, 0, 28, 79, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 178, 40, 0, 0, 42, 79, 3, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 179, 40, 0, 0, 56, 79, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 180, 40, 0, 0, 70, 79, 3, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 181, 40, 0, 0, 84, 79, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 182, 40, 0, 0, 98,
    79, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 183, 40, 0, 0, 112, 79, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 184,
    40, 0, 0, 126, 79, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 185, 40, 0, 0, 140, 79, 3, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 186, 40, 0, 0, 154, 79, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 187, 40, 0, 0, 168, 79, 3, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 188, 40, 0, 0, 182, 79, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 189, 40, 0, 0,
    196, 79, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 190, 40, 0, 0, 210, 79, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    191, 40, 0, 0, 224, 79, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 192, 40, 0, 0, 238, 79, 3, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 193, 40, 0, 0, 23, 80, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 194, 40, 0, 0, 32, 80, 3,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 195, 40, 0, 0, 45, 80, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 196, 40, 0,
    0, 58, 80, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 197, 40, 0, 0, 71, 80, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    198, 40, 0, 0, 84, 80, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 199, 40, 0, 0, 97, 80, 3, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 200, 40, 0, 0, 110, 80, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 201, 40, 0, 0, 123, 80, 3,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 202, 40, 0, 0, 136, 80, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 203, 40, 0,
    0, 149, 80, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 204, 40, 0, 0, 189, 80, 3, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 205, 40, 0, 0, 198, 80, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 206, 40, 0, 0, 250, 80, 3, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 207, 40, 0, 0, 4, 81, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 208, 40, 0, 0, 17, 81,
    3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 209, 40, 0, 0, 30, 81, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 210, 40,
    0, 0, 43, 81, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 211, 40, 0, 0, 56, 81, 3, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 212, 40, 0, 0, 69, 81, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 213, 40, 0, 0, 82, 81, 3, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 214, 40, 0, 0, 95, 81, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 215, 40, 0, 0, 108, 81,
    3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 216, 40, 0, 0, 121, 81, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 217, 40,
    0, 0, 135, 81, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 218, 40, 0, 0, 149, 81, 3, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 219, 40, 0, 0, 190, 81, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 220, 40, 0, 0, 199, 81, 3, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 221, 40, 0, 0, 212, 81, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 222, 40, 0, 0,
    252, 81, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 223, 40, 0, 0, 5, 82, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    224, 40, 0, 0, 18, 82, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 225, 40, 0, 0, 31, 82, 3, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 226, 40, 0, 0, 44, 82, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 79, 38, 0, 0, 57, 82, 3, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 227, 40, 0, 0, 70, 82, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 228, 40, 0, 0,
    110, 82, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 229, 40, 0, 0, 119, 82, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    140, 14, 0, 0, 132, 82, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 52, 3, 0, 0, 145, 82, 3, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 67, 3, 0, 0, 46, 84, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 230, 40, 0, 0, 55, 84, 3, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 195, 40, 0, 0, 68, 84, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 118, 21, 0, 0,
    108, 84, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 231, 40, 0, 0, 117, 84, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    195, 40, 0, 0, 130, 84, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 118, 21, 0, 0, 143, 84, 3, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 232, 40, 0, 0, 156, 84, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 233, 40, 0, 0, 169, 84,
    3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 234, 40, 0, 0, 182, 84, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 235, 40,
    0, 0, 222, 84, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 236, 40, 0, 0, 231, 84, 3, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 195, 40, 0, 0, 244, 84, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 118, 21, 0, 0, 1, 85, 3, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 225, 40, 0, 0, 14, 85, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 233, 40, 0, 0, 54, 85,
    3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 237, 40, 0, 0, 63, 85, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 238, 40,
    0, 0, 76, 85, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 239, 40, 0, 0, 89, 85, 3, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 240, 40, 0, 0, 115, 85, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 241, 40, 0, 0, 124, 85, 3, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 33, 4, 0, 0, 137, 85, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 37, 7, 0, 0, 156, 85,
    3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 242, 40, 0, 0, 165, 85, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 70, 5, 0,
    0, 178, 85, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 243, 40, 0, 0, 191, 85, 3, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 29, 2, 0, 0, 210, 85, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 244, 40, 0, 0, 222, 85, 3, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 245, 40, 0, 0, 237, 85, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 246, 40, 0, 0, 253, 85,
    3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 247, 40, 0, 0, 13, 86, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 248, 40,
    0, 0, 29, 86, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 249, 40, 0, 0, 48, 86, 3, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 250, 40, 0, 0, 67, 86, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 251, 40, 0, 0, 86, 86, 3, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 252, 40, 0, 0, 105, 86, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 253, 40, 0, 0, 124, 86,
    3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 254, 40, 0, 0, 143, 86, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 255, 40,
    0, 0, 162, 86, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 0, 41, 0, 0, 181, 86, 3, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 1, 41, 0, 0, 200, 86, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 2, 41, 0, 0, 219, 86, 3, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 139, 36, 0, 0, 238, 86, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 193, 4, 0, 0, 1, 87, 3, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 3, 41, 0, 0, 20, 87, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 210, 29, 0, 0, 39,
    87, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 146, 1, 0, 0, 55, 87, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 201,
    12, 0, 0, 71, 87, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 132, 37, 0, 0, 87, 87, 3, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 30, 28, 0, 0, 103, 87, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 10, 37, 0, 0, 119, 87, 3, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 4, 41, 0, 0, 135, 87, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 5, 41, 0, 0, 151,
    87, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 6, 41, 0, 0, 167, 87, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 7, 41,
    0, 0, 183, 87, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 18, 37, 0, 0, 199, 87, 3, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 134, 36, 0, 0, 215, 87, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 7, 37, 0, 0, 231, 87, 3, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 8, 37, 0, 0, 247, 87, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 8, 41, 0, 0, 7, 88, 3,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 9, 41, 0, 0, 23, 88, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 10, 41, 0, 0,
    39, 88, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 11, 41, 0, 0, 55, 88, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 12,
    41, 0, 0, 71, 88, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 13, 41, 0, 0, 87, 88, 3, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 145, 1, 0, 0, 103, 88, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 135, 1, 0, 0, 119, 88, 3, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 84, 6, 0, 0, 135, 88, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 6, 23, 0, 0, 151, 88,
    3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 14, 41, 0, 0, 167, 88, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 108, 18,
    0, 0, 183, 88, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 15, 41, 0, 0, 199, 88, 3, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 240, 4, 0, 0, 215, 88, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 16, 41, 0, 0, 231, 88, 3, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 31, 2, 0, 0, 247, 88, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 17, 41, 0, 0, 7, 89, 3,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 18, 41, 0, 0, 23, 89, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 19, 41, 0, 0,
    39, 89, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 20, 41, 0, 0, 55, 89, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 21,
    41, 0, 0, 71, 89, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 22, 41, 0, 0, 87, 89, 3, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 23, 41, 0, 0, 103, 89, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 37, 2, 0, 0, 120, 89, 3, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 24, 41, 0, 0, 132, 89, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 18, 2, 0, 0, 147, 89,
    3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 60, 10, 0, 0, 163, 89, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 25, 41, 0,
    0, 179, 89, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 26, 41, 0, 0, 195, 89, 3, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 27, 41, 0, 0, 211, 89, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 28, 41, 0, 0, 227, 89, 3, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 112, 2, 0, 0, 243, 89, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 179, 1, 0, 0, 3, 90, 3,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 29, 41, 0, 0, 19, 90, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 30, 41, 0, 0,
    35, 90, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 31, 41, 0, 0, 51, 90, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 32,
    41, 0, 0, 73, 90, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 33, 41, 0, 0, 85, 90, 3, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 12, 4, 0, 0, 100, 90, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 123, 1, 0, 0, 115, 90, 3, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 244, 6, 0, 0, 130, 90, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 135, 1, 0, 0, 145, 90,
    3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 185, 5, 0, 0, 160, 90, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 186, 5, 0,
    0, 175, 90, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 245, 25, 0, 0, 190, 90, 3, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 165, 1, 0, 0, 205, 90, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 34, 41, 0, 0, 221, 90, 3, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 34, 6, 0, 0, 237, 90, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 146, 1, 0, 0, 8, 91, 3, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 35, 41, 0, 0, 14, 91, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 36, 41, 0, 0, 20,
    91, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 37, 41, 0, 0, 26, 91, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 38, 41,
    0, 0, 33, 91, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 18, 2, 0, 0, 49, 91, 3, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 39, 41, 0, 0, 65, 91, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 40, 41, 0, 0, 81, 91, 3, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 41, 41, 0, 0, 97, 91, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 145, 1, 0, 0, 113, 91, 3, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 42, 41, 0, 0, 129, 91, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 43, 41, 0, 0,
    145, 91, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 44, 41, 0, 0, 161, 91, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    45, 41, 0, 0, 188, 91, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 46, 41, 0, 0, 194, 91, 3, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 47, 41, 0, 0, 200, 91, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 48, 41, 0, 0, 206, 91, 3, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 49, 41, 0, 0, 213, 91, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 50, 41, 0, 0,
    229, 91, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 84, 6, 0, 0, 87, 92, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 51,
    41, 0, 0, 98, 92, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 52, 41, 0, 0, 113, 92, 3, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 53, 41, 0, 0, 128, 92, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 54, 41, 0, 0, 143, 92, 3, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 55, 41, 0, 0, 158, 92, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 146, 16, 0, 0, 196,
    92, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 56, 41, 0, 0, 218, 92, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 57,
    41, 0, 0, 229, 92, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 112, 2, 0, 0, 244, 92, 3, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 133, 5, 0, 0, 3, 93, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 179, 1, 0, 0, 18, 93, 3, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 43, 40, 0, 0, 33, 93, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 135, 1, 0, 0, 66, 93,
    3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 58, 41, 0, 0, 76, 93, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 59, 41, 0,
    0, 88, 93, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 60, 41, 0, 0, 103, 93, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    247, 40, 0, 0, 118, 93, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 123, 1, 0, 0, 133, 93, 3, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 61, 41, 0, 0, 148, 93, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 156, 1, 0, 0, 163, 93, 3, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 179, 1, 0, 0, 178, 93, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 63, 10, 0, 0,
    193, 93, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 62, 41, 0, 0, 208, 93, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    63, 41, 0, 0, 223, 93, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 116, 10, 0, 0, 238, 93, 3, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 64, 41, 0, 0, 253, 93, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 119, 10, 0, 0, 12, 94, 3, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 120, 10, 0, 0, 27, 94, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 65, 41, 0, 0,
    42, 94, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 66, 41, 0, 0, 58, 94, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 67,
    41, 0, 0, 74, 94, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 68, 41, 0, 0, 90, 94, 3, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 69, 41, 0, 0, 106, 94, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 70, 41, 0, 0, 122, 94, 3, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 71, 41, 0, 0, 138, 94, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 118, 10, 0, 0, 154,
    94, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 72, 41, 0, 0, 170, 94, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 73,
    36, 0, 0, 186, 94, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 72, 36, 0, 0, 202, 94, 3, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 73, 41, 0, 0, 218, 94, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 74, 41, 0, 0, 234, 94, 3, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 75, 41, 0, 0, 250, 94, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 76, 41, 0, 0, 10,
    95, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 77, 41, 0, 0, 26, 95, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 78, 41,
    0, 0, 42, 95, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 79, 41, 0, 0, 58, 95, 3, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 80, 41, 0, 0, 74, 95, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 81, 41, 0, 0, 90, 95, 3, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 82, 41, 0, 0, 106, 95, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 93, 36, 0, 0, 122, 95, 3, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 88, 36, 0, 0, 138, 95, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 83, 41, 0, 0,
    154, 95, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 113, 36, 0, 0, 170, 95, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    114, 36, 0, 0, 186, 95, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 84, 41, 0, 0, 202, 95, 3, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 85, 41, 0, 0, 218, 95, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 86, 41, 0, 0, 235, 95, 3, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 87, 41, 0, 0, 246, 95, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 61, 10, 0, 0, 5,
    96, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 179, 1, 0, 0, 13, 97, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 88, 41,
    0, 0, 24, 97, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 238, 6, 0, 0, 39, 97, 3, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 223, 8, 0, 0, 54, 97, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 89, 41, 0, 0, 69, 97, 3, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 90, 41, 0, 0, 223, 97, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 91, 41, 0, 0, 234, 97, 3, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 92, 41, 0, 0, 249, 97, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 93, 41, 0, 0, 8,
    98, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 94, 41, 0, 0, 28, 98, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 95, 41,
    0, 0, 39, 98, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 96, 41, 0, 0, 45, 98, 3, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 97, 41, 0, 0, 51, 98, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 98, 41, 0, 0, 57, 98, 3, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 99, 41, 0, 0, 63, 98, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 100, 41, 0, 0, 69, 98, 3, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 101, 41, 0, 0, 75, 98, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 102, 41, 0, 0,
    86, 98, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 103, 41, 0, 0, 107, 98, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    104, 41, 0, 0, 113, 98, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 105, 41, 0, 0, 119, 98, 3, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 106, 41, 0, 0, 125, 98, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 107, 41, 0, 0, 131, 98,
    3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 108, 41, 0, 0, 137, 98, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 109, 41,
    0, 0, 143, 98, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 110, 41, 0, 0, 149, 98, 3, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 111, 41, 0, 0, 155, 98, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 112, 41, 0, 0, 161, 98, 3, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 113, 41, 0, 0, 167, 98, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 114, 41, 0, 0,
    173, 98, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 115, 41, 0, 0, 179, 98, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    116, 41, 0, 0, 185, 98, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 117, 41, 0, 0, 191, 98, 3, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 118, 41, 0, 0, 197, 98, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 119, 41, 0, 0, 203, 98,
    3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 120, 41, 0, 0, 209, 98, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 121, 41,
    0, 0, 215, 98, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 122, 41, 0, 0, 221, 98, 3, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 123, 41, 0, 0, 227, 98, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 124, 41, 0, 0, 233, 98, 3, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 125, 41, 0, 0, 239, 98, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 126, 41, 0, 0,
    245, 98, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 127, 41, 0, 0, 251, 98, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    128, 41, 0, 0, 1, 99, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 129, 41, 0, 0, 7, 99, 3, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 130, 41, 0, 0, 19, 99, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 131, 41, 0, 0, 29, 99, 3, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 31, 2, 0, 0, 40, 99, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 38, 6, 0, 0, 55,
    99, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 13, 4, 0, 0, 70, 99, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 80, 10,
    0, 0, 85, 99, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 132, 41, 0, 0, 100, 99, 3, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 133, 41, 0, 0, 115, 99, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 134, 41, 0, 0, 130, 99, 3, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 135, 41, 0, 0, 145, 99, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 136, 41, 0, 0,
    160, 99, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 137, 41, 0, 0, 175, 99, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    30, 2, 0, 0, 190, 99, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 107, 17, 0, 0, 205, 99, 3, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 108, 30, 0, 0, 231, 99, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 138, 41, 0, 0, 242, 99, 3,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 181, 16, 0, 0, 1, 100, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 6, 12, 0, 0,
    16, 100, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 107, 7, 0, 0, 31, 100, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    108, 7, 0, 0, 46, 100, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 78, 41, 0, 0, 61, 100, 3, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 79, 41, 0, 0, 94, 100, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 134, 41, 0, 0, 156, 100, 3,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 135, 41, 0, 0, 167, 100, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 124, 12, 0,
    0, 182, 100, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 129, 25, 0, 0, 197, 100, 3, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 139, 41, 0, 0, 240, 100, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 140, 41, 0, 0, 251, 100, 3, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 175, 11, 0, 0, 10, 101, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 82, 23, 0, 0, 26,
    101, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 141, 41, 0, 0, 37, 101, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 142,
    41, 0, 0, 52, 101, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 143, 41, 0, 0, 67, 101, 3, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 144, 41, 0, 0, 82, 101, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 145, 41, 0, 0, 100, 101, 3, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 146, 41, 0, 0, 118, 101, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 147, 41, 0, 0,
    136, 101, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 148, 41, 0, 0, 154, 101, 3, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 149, 41, 0, 0, 172, 101, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 150, 41, 0, 0, 190, 101, 3, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 151, 41, 0, 0, 208, 101, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 152, 41, 0, 0, 226,
    101, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 153, 41, 0, 0, 244, 101, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    154, 41, 0, 0, 6, 102, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 155, 41, 0, 0, 24, 102, 3, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 156, 41, 0, 0, 42, 102, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 157, 41, 0, 0, 60, 102, 3,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 158, 41, 0, 0, 78, 102, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 159, 41, 0,
    0, 96, 102, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 160, 41, 0, 0, 114, 102, 3, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 161, 41, 0, 0, 132, 102, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 162, 41, 0, 0, 150, 102, 3, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 163, 41, 0, 0, 168, 102, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 164, 41, 0, 0, 186,
    102, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 165, 41, 0, 0, 204, 102, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    166, 41, 0, 0, 222, 102, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 167, 41, 0, 0, 240, 102, 3, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 168, 41, 0, 0, 2, 103, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 169, 41, 0, 0, 20, 103,
    3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 170, 41, 0, 0, 38, 103, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 171, 41,
    0, 0, 56, 103, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 172, 41, 0, 0, 74, 103, 3, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 173, 41, 0, 0, 92, 103, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 174, 41, 0, 0, 110, 103, 3, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 175, 41, 0, 0, 128, 103, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 176, 41, 0, 0,
    146, 103, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 177, 41, 0, 0, 164, 103, 3, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 178, 41, 0, 0, 182, 103, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 179, 41, 0, 0, 200, 103, 3, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 180, 41, 0, 0, 218, 103, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 181, 41, 0, 0, 236,
    103, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 182, 41, 0, 0, 254, 103, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    183, 41, 0, 0, 16, 104, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 184, 41, 0, 0, 34, 104, 3, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 185, 41, 0, 0, 52, 104, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 186, 41, 0, 0, 70, 104,
    3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 187, 41, 0, 0, 88, 104, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 188, 41,
    0, 0, 106, 104, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 189, 41, 0, 0, 124, 104, 3, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 190, 41, 0, 0, 142, 104, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 191, 41, 0, 0, 160, 104, 3, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 192, 41, 0, 0, 178, 104, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 193, 41, 0, 0,
    196, 104, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 194, 41, 0, 0, 214, 104, 3, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 195, 41, 0, 0, 232, 104, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 196, 41, 0, 0, 250, 104, 3, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 197, 41, 0, 0, 12, 105, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 198, 41, 0, 0, 30,
    105, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 199, 41, 0, 0, 48, 105, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 200,
    41, 0, 0, 66, 105, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 201, 41, 0, 0, 84, 105, 3, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 202, 41, 0, 0, 102, 105, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 203, 41, 0, 0, 120, 105, 3, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 204, 41, 0, 0, 138, 105, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 205, 41, 0, 0,
    156, 105, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 206, 41, 0, 0, 174, 105, 3, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 207, 41, 0, 0, 192, 105, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 208, 41, 0, 0, 210, 105, 3, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 108, 2, 0, 0, 225, 105, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 209, 41, 0, 0, 240,
    105, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 210, 41, 0, 0, 255, 105, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    211, 41, 0, 0, 14, 106, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 212, 41, 0, 0, 29, 106, 3, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 213, 41, 0, 0, 44, 106, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 214, 41, 0, 0, 59, 106,
    3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 215, 41, 0, 0, 74, 106, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 216, 41,
    0, 0, 107, 106, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 217, 41, 0, 0, 122, 106, 3, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 218, 41, 0, 0, 137, 106, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 174, 18, 0, 0, 159, 106, 3, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 219, 41, 0, 0, 177, 106, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 220, 41, 0, 0,
    195, 106, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 221, 41, 0, 0, 213, 106, 3, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 222, 41, 0, 0, 229, 106, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 82, 4, 0, 0, 251, 106, 3, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 219, 41, 0, 0, 13, 107, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 220, 41, 0, 0, 31,
    107, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 223, 41, 0, 0, 49, 107, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 224,
    41, 0, 0, 67, 107, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 225, 41, 0, 0, 85, 107, 3, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 222, 41, 0, 0, 102, 107, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 226, 41, 0, 0, 117, 107, 3, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 227, 41, 0, 0, 133, 107, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 228, 41, 0, 0,
    144, 107, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 31, 28, 0, 0, 159, 107, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    229, 41, 0, 0, 174, 107, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 230, 41, 0, 0, 189, 107, 3, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 231, 41, 0, 0, 204, 107, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 232, 41, 0, 0, 219,
    107, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 233, 41, 0, 0, 234, 107, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    234, 41, 0, 0, 249, 107, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 235, 41, 0, 0, 8, 108, 3, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 236, 41, 0, 0, 34, 108, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 237, 41, 0, 0, 45, 108,
    3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 181, 16, 0, 0, 60, 108, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 6, 12, 0,
    0, 75, 108, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 238, 41, 0, 0, 90, 108, 3, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 239, 41, 0, 0, 105, 108, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 240, 41, 0, 0, 120, 108, 3, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 241, 41, 0, 0, 135, 108, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 242, 41, 0, 0, 150,
    108, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 243, 41, 0, 0, 165, 108, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    244, 41, 0, 0, 180, 108, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 245, 41, 0, 0, 4, 109, 3, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 17, 41, 0, 0, 14, 109, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 246, 41, 0, 0, 25, 109,
    3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 247, 41, 0, 0, 40, 109, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 248, 41,
    0, 0, 55, 109, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 249, 41, 0, 0, 70, 109, 3, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 159, 12, 0, 0, 85, 109, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 250, 41, 0, 0, 100, 109, 3, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 58, 10, 0, 0, 250, 109, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 37, 2, 0, 0, 9,
    110, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 38, 2, 0, 0, 18, 110, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 251,
    41, 0, 0, 31, 110, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 252, 41, 0, 0, 44, 110, 3, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 253, 41, 0, 0, 57, 110, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 179, 1, 0, 0, 70, 110, 3, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 32, 23, 0, 0, 148, 110, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 254, 41, 0, 0,
    157, 110, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 255, 41, 0, 0, 170, 110, 3, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 0, 42, 0, 0, 189, 110, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 39, 2, 0, 0, 206, 110, 3, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 1, 42, 0, 0, 215, 110, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 70, 14, 0, 0, 228, 110,
    3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 193, 4, 0, 0, 247, 110, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 2, 42, 0,
    0, 2, 111, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 193, 4, 0, 0, 17, 111, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    18, 2, 0, 0, 32, 111, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 179, 1, 0, 0, 48, 111, 3, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 3, 42, 0, 0, 57, 111, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 133, 5, 0, 0, 70, 111, 3, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 244, 6, 0, 0, 83, 111, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 9, 0, 0, 0, 96,
    111, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 97, 5, 0, 0, 109, 111, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 70,
    14, 0, 0, 122, 111, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 141, 7, 0, 0, 140, 111, 3, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 4, 42, 0, 0, 149, 111, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 5, 42, 0, 0, 155, 111, 3, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 6, 42, 0, 0, 161, 111, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 7, 42, 0, 0,
    167, 111, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 8, 42, 0, 0, 173, 111, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    9, 42, 0, 0, 179, 111, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 10, 42, 0, 0, 185, 111, 3, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 11, 42, 0, 0, 191, 111, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 12, 42, 0, 0, 208, 111, 3,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 13, 42, 0, 0, 217, 111, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 198, 5, 0,
    0, 230, 111, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 14, 42, 0, 0, 243, 111, 3, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 6, 12, 0, 0, 0, 112, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 15, 42, 0, 0, 13, 112, 3, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 208, 5, 0, 0, 26, 112, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 16, 42, 0, 0, 152, 112, 3,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 17, 42, 0, 0, 161, 112, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 9, 0, 0, 0,
    174, 112, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 244, 6, 0, 0, 187, 112, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    254, 14, 0, 0, 214, 112, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 8, 15, 0, 0, 232, 112, 3, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 18, 42, 0, 0, 245, 112, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 19, 42, 0, 0, 3, 113, 3,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 20, 42, 0, 0, 21, 113, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 237, 14, 0,
    0, 35, 113, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 53, 9, 0, 0, 53, 113, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    21, 42, 0, 0, 66, 113, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 237, 14, 0, 0, 80, 113, 3, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 22, 42, 0, 0, 98, 113, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 23, 42, 0, 0, 111, 113, 3,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 237, 14, 0, 0, 125, 113, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 223, 18, 0,
    0, 143, 113, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 163, 1, 0, 0, 169, 113, 3, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 24, 42, 0, 0, 180, 113, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 63, 22, 0, 0, 195, 113, 3, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 115, 1, 0, 0, 210, 113, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 25, 42, 0, 0, 225,
    113, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 116, 1, 0, 0, 240, 113, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 104,
    40, 0, 0, 255, 113, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 123, 1, 0, 0, 14, 114, 3, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 216, 3, 0, 0, 82, 114, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 26, 42, 0, 0, 93, 114, 3, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 9, 0, 0, 0, 108, 114, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 27, 42, 0, 0, 123,
    114, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 18, 2, 0, 0, 138, 114, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 51,
    2, 0, 0, 153, 114, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 28, 42, 0, 0, 168, 114, 3, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 29, 42, 0, 0, 183, 114, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 30, 42, 0, 0, 198, 114, 3, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 134, 1, 0, 0, 89, 115, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 31, 42, 0, 0,
    100, 115, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 134, 1, 0, 0, 115, 115, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    43, 21, 0, 0, 130, 115, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 122, 1, 0, 0, 145, 115, 3, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 61, 7, 0, 0, 160, 115, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 138, 1, 0, 0, 175, 115,
    3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 27, 17, 0, 0, 190, 115, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 240, 19,
    0, 0, 205, 115, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 94, 21, 0, 0, 226, 115, 3, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 32, 42, 0, 0, 237, 115, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 60, 15, 0, 0, 252, 115, 3, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 33, 42, 0, 0, 11, 116, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 34, 42, 0, 0, 26,
    116, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 52, 12, 0, 0, 47, 116, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 35,
    42, 0, 0, 59, 116, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 36, 42, 0, 0, 74, 116, 3, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 37, 42, 0, 0, 89, 116, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 60, 15, 0, 0, 104, 116, 3, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 252, 36, 0, 0, 119, 116, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 79, 10, 0, 0,
    134, 116, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 38, 42, 0, 0, 149, 116, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    39, 42, 0, 0, 164, 116, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 94, 21, 0, 0, 234, 116, 3, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 40, 42, 0, 0, 245, 116, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 138, 1, 0, 0, 4, 117, 3,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 18, 2, 0, 0, 19, 117, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 114, 1, 0, 0,
    34, 117, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 122, 1, 0, 0, 49, 117, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    41, 42, 0, 0, 64, 117, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 135, 1, 0, 0, 79, 117, 3, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 42, 42, 0, 0, 94, 117, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 97, 5, 0, 0, 109, 117, 3, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 43, 42, 0, 0, 124, 117, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 44, 42, 0, 0,
    139, 117, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 45, 42, 0, 0, 154, 117, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    46, 42, 0, 0, 169, 117, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 219, 35, 0, 0, 184, 117, 3, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 237, 1, 0, 0, 199, 117, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 47, 42, 0, 0, 214, 117,
    3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 48, 42, 0, 0, 229, 117, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 128, 1,
    0, 0, 244, 117, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 49, 42, 0, 0, 3, 118, 3, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 50, 42, 0, 0, 18, 118, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 51, 42, 0, 0, 44, 118, 3, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 52, 42, 0, 0, 56, 118, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 53, 42, 0, 0, 71, 118,
    3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 138, 1, 0, 0, 86, 118, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 54, 42, 0,
    0, 101, 118, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 55, 42, 0, 0, 116, 118, 3, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 56, 42, 0, 0, 131, 118, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 57, 42, 0, 0, 146, 118, 3, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 23, 41, 0, 0, 161, 118, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 58, 42, 0, 0, 176,
    118, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 59, 42, 0, 0, 191, 118, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 60,
    42, 0, 0, 206, 118, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 61, 42, 0, 0, 221, 118, 3, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 62, 42, 0, 0, 236, 118, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 63, 42, 0, 0, 251, 118, 3,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 64, 42, 0, 0, 10, 119, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 65, 42, 0, 0,
    25, 119, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 88, 36, 0, 0, 40, 119, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    90, 36, 0, 0, 55, 119, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 93, 36, 0, 0, 70, 119, 3, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 121, 36, 0, 0, 85, 119, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 72, 36, 0, 0, 100, 119, 3,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 73, 36, 0, 0, 115, 119, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 108, 36, 0,
    0, 130, 119, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 119, 10, 0, 0, 145, 119, 3, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 120, 10, 0, 0, 160, 119, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 66, 42, 0, 0, 175, 119, 3, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 67, 42, 0, 0, 190, 119, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 68, 42, 0, 0, 205,
    119, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 69, 42, 0, 0, 220, 119, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 78,
    36, 0, 0, 235, 119, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 79, 36, 0, 0, 250, 119, 3, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 80, 36, 0, 0, 9, 120, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 70, 36, 0, 0, 24, 120, 3, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 71, 36, 0, 0, 40, 120, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 70, 42, 0, 0,
    56, 120, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 71, 42, 0, 0, 72, 120, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    72, 42, 0, 0, 88, 120, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 73, 42, 0, 0, 104, 120, 3, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 74, 42, 0, 0, 120, 120, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 75, 42, 0, 0, 136, 120, 3,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 76, 42, 0, 0, 152, 120, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 77, 42, 0,
    0, 168, 120, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 78, 42, 0, 0, 184, 120, 3, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 79, 42, 0, 0, 200, 120, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 80, 42, 0, 0, 216, 120, 3, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 81, 42, 0, 0, 232, 120, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 82, 42, 0, 0, 248,
    120, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 83, 42, 0, 0, 8, 121, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 84,
    42, 0, 0, 24, 121, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 85, 42, 0, 0, 40, 121, 3, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 94, 36, 0, 0, 56, 121, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 95, 36, 0, 0, 72, 121, 3, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 86, 42, 0, 0, 88, 121, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 87, 42, 0, 0, 104,
    121, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 88, 42, 0, 0, 120, 121, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 89,
    42, 0, 0, 136, 121, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 90, 42, 0, 0, 152, 121, 3, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 91, 42, 0, 0, 168, 121, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 92, 42, 0, 0, 184, 121, 3,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 93, 42, 0, 0, 200, 121, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 94, 42, 0,
    0, 216, 121, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 95, 42, 0, 0, 232, 121, 3, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 96, 42, 0, 0, 248, 121, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 97, 42, 0, 0, 8, 122, 3, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 98, 42, 0, 0, 24, 122, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 99, 42, 0, 0, 40, 122, 3,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 100, 42, 0, 0, 56, 122, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 101, 42, 0,
    0, 72, 122, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 102, 42, 0, 0, 88, 122, 3, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 103, 42, 0, 0, 30, 123, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 104, 42, 0, 0, 67, 123, 3, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 105, 42, 0, 0, 78, 123, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 7, 37, 0, 0, 93, 123,
    3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 8, 37, 0, 0, 108, 123, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 132, 37,
    0, 0, 123, 123, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 30, 28, 0, 0, 138, 123, 3, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 10, 37, 0, 0, 153, 123, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 4, 41, 0, 0, 168, 123, 3, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 193, 4, 0, 0, 186, 123, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 106, 42, 0, 0, 204,
    123, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 107, 42, 0, 0, 184, 124, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    108, 42, 0, 0, 223, 124, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 109, 42, 0, 0, 103, 126, 3, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 110, 42, 0, 0, 114, 126, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 169, 18, 0, 0, 129,
    126, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 179, 1, 0, 0, 144, 126, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 111,
    42, 0, 0, 159, 126, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 112, 42, 0, 0, 175, 126, 3, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 113, 42, 0, 0, 186, 126, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 114, 42, 0, 0, 201, 126,
    3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 244, 6, 0, 0, 216, 126, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 179, 1,
    0, 0, 231, 126, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 115, 42, 0, 0, 246, 126, 3, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 139, 10, 0, 0, 10, 127, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 116, 42, 0, 0, 21, 127, 3, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 117, 42, 0, 0, 27, 127, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 118, 42, 0, 0,
    33, 127, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 119, 42, 0, 0, 39, 127, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    120, 42, 0, 0, 45, 127, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 121, 42, 0, 0, 51, 127, 3, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 122, 42, 0, 0, 57, 127, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 123, 42, 0, 0, 63, 127,
    3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 124, 42, 0, 0, 69, 127, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 125, 42,
    0, 0, 75, 127, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 126, 42, 0, 0, 81, 127, 3, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 127, 42, 0, 0, 203, 127, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 128, 42, 0, 0, 19, 128, 3, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 129, 42, 0, 0, 30, 128, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 169, 18, 0, 0, 45,
    128, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 112, 2, 0, 0, 60, 128, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 130,
    42, 0, 0, 191, 128, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 131, 42, 0, 0, 202, 128, 3, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 51, 12, 0, 0, 217, 128, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 160, 35, 0, 0, 232, 128, 3,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 137, 17, 0, 0, 247, 128, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 6, 20, 0,
    0, 6, 129, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 165, 1, 0, 0, 21, 129, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    29, 35, 0, 0, 37, 129, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 132, 42, 0, 0, 48, 129, 3, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 133, 42, 0, 0, 63, 129, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 67, 3, 0, 0, 78, 129, 3, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 174, 7, 0, 0, 93, 129, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 144, 35, 0, 0,
    113, 129, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 134, 42, 0, 0, 124, 129, 3, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 135, 42, 0, 0, 130, 129, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 136, 42, 0, 0, 136, 129, 3, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 137, 42, 0, 0, 142, 129, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 138, 42, 0, 0, 148,
    129, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 139, 42, 0, 0, 160, 129, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    140, 42, 0, 0, 171, 129, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 129, 10, 0, 0, 186, 129, 3, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 222, 13, 0, 0, 202, 129, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 141, 42, 0, 0, 213,
    129, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 142, 42, 0, 0, 228, 129, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 49,
    12, 0, 0, 243, 129, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 125, 5, 0, 0, 8, 130, 3, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 143, 42, 0, 0, 19, 130, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 144, 42, 0, 0, 34, 130, 3, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 37, 7, 0, 0, 62, 130, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 145, 42, 0, 0,
    73, 130, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 146, 42, 0, 0, 88, 130, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    75, 20, 0, 0, 116, 130, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 147, 42, 0, 0, 127, 130, 3, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 244, 6, 0, 0, 142, 130, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 148, 42, 0, 0, 157, 130,
    3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 0, 3, 0, 0, 172, 130, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 149, 42, 0,
    0, 205, 130, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 133, 42, 0, 0, 220, 130, 3, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 18, 2, 0, 0, 235, 130, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 115, 35, 0, 0, 1, 131, 3, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 130, 42, 0, 0, 16, 131, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 216, 3, 0, 0, 31,
    131, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 174, 7, 0, 0, 47, 131, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 150,
    42, 0, 0, 69, 131, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 151, 42, 0, 0, 84, 131, 3, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 37, 7, 0, 0, 99, 131, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 49, 12, 0, 0, 114, 131, 3, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 167, 4, 0, 0, 130, 131, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 230, 21, 0, 0,
    145, 131, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 152, 42, 0, 0, 160, 131, 3, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 60, 3, 0, 0, 175, 131, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 153, 42, 0, 0, 190, 131, 3, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 52, 3, 0, 0, 205, 131, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 241, 6, 0, 0, 227,
    131, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 39, 27, 0, 0, 242, 131, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 122,
    1, 0, 0, 1, 132, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 114, 35, 0, 0, 17, 132, 3, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 154, 42, 0, 0, 39, 132, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 155, 42, 0, 0, 54, 132, 3, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 156, 42, 0, 0, 69, 132, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 157, 42, 0, 0,
    84, 132, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 158, 42, 0, 0, 100, 132, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    159, 42, 0, 0, 122, 132, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 122, 1, 0, 0, 137, 132, 3, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 57, 7, 0, 0, 152, 132, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 160, 42, 0, 0, 167, 132,
    3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 187, 1, 0, 0, 183, 132, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 208, 18,
    0, 0, 205, 132, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 222, 13, 0, 0, 220, 132, 3, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 77, 23, 0, 0, 235, 132, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 161, 42, 0, 0, 251, 132, 3, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 162, 42, 0, 0, 17, 133, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 137, 17, 0, 0,
    32, 133, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 60, 3, 0, 0, 47, 133, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    163, 42, 0, 0, 63, 133, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 164, 42, 0, 0, 85, 133, 3, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 165, 42, 0, 0, 100, 133, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 216, 3, 0, 0, 115, 133,
    3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 166, 42, 0, 0, 130, 133, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 167, 42,
    0, 0, 145, 133, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 66, 36, 0, 0, 161, 133, 3, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 168, 42, 0, 0, 183, 133, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 216, 3, 0, 0, 199, 133, 3, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 169, 42, 0, 0, 221, 133, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 165, 42, 0, 0,
    236, 133, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 166, 42, 0, 0, 251, 133, 3, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 167, 42, 0, 0, 10, 134, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 66, 36, 0, 0, 26, 134, 3, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 170, 42, 0, 0, 48, 134, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 122, 1, 0, 0, 63, 134,
    3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 174, 7, 0, 0, 78, 134, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 171, 42,
    0, 0, 93, 134, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 172, 42, 0, 0, 108, 134, 3, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 173, 42, 0, 0, 123, 134, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 146, 42, 0, 0, 138, 134, 3, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 75, 20, 0, 0, 155, 134, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 137, 17, 0, 0,
    175, 134, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 174, 42, 0, 0, 186, 134, 3, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 175, 42, 0, 0, 192, 134, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 176, 42, 0, 0, 198, 134, 3, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 177, 42, 0, 0, 204, 134, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 178, 42, 0, 0, 210,
    134, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 179, 42, 0, 0, 216, 134, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    180, 42, 0, 0, 222, 134, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 181, 42, 0, 0, 228, 134, 3, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 182, 42, 0, 0, 234, 134, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 183, 42, 0, 0, 240,
    134, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 184, 42, 0, 0, 246, 134, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    185, 42, 0, 0, 252, 134, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 186, 42, 0, 0, 2, 135, 3, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 187, 42, 0, 0, 8, 135, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 188, 42, 0, 0, 14, 135,
    3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 189, 42, 0, 0, 20, 135, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 190, 42,
    0, 0, 26, 135, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 191, 42, 0, 0, 32, 135, 3, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 192, 42, 0, 0, 38, 135, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 193, 42, 0, 0, 44, 135, 3, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 194, 42, 0, 0, 50, 135, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 195, 42, 0, 0, 56,
    135, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 196, 42, 0, 0, 62, 135, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 197,
    42, 0, 0, 68, 135, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 198, 42, 0, 0, 74, 135, 3, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 199, 42, 0, 0, 80, 135, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 200, 42, 0, 0, 86, 135, 3, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 201, 42, 0, 0, 92, 135, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 202, 42, 0, 0,
    98, 135, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 203, 42, 0, 0, 104, 135, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    204, 42, 0, 0, 115, 135, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 205, 42, 0, 0, 126, 135, 3, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 206, 42, 0, 0, 132, 135, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 207, 42, 0, 0, 138,
    135, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 208, 42, 0, 0, 144, 135, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    209, 42, 0, 0, 150, 135, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 210, 42, 0, 0, 161, 135, 3, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 211, 42, 0, 0, 175, 135, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 212, 42, 0, 0, 186,
    135, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 213, 42, 0, 0, 192, 135, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    214, 42, 0, 0, 198, 135, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 215, 42, 0, 0, 204, 135, 3, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 216, 42, 0, 0, 210, 135, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 217, 42, 0, 0, 216,
    135, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 218, 42, 0, 0, 228, 135, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    219, 42, 0, 0, 239, 135, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 125, 5, 0, 0, 254, 135, 3, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 220, 42, 0, 0, 13, 136, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 221, 42, 0, 0, 28, 136,
    3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 106, 2, 0, 0, 44, 136, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 222, 42,
    0, 0, 55, 136, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 203, 19, 0, 0, 70, 136, 3, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 218, 19, 0, 0, 92, 136, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 201, 18, 0, 0, 114, 136, 3, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 90, 23, 0, 0, 129, 136, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 114, 1, 0, 0, 145,
    136, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 202, 18, 0, 0, 167, 136, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 90,
    23, 0, 0, 182, 136, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 114, 1, 0, 0, 199, 136, 3, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 223, 42, 0, 0, 214, 136, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 10, 20, 0, 0, 229, 136, 3,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 66, 36, 0, 0, 244, 136, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 165, 42, 0,
    0, 3, 137, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 224, 42, 0, 0, 18, 137, 3, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 225, 42, 0, 0, 34, 137, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 220, 42, 0, 0, 45, 137, 3, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 43, 11, 0, 0, 60, 137, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 226, 42, 0, 0, 81,
    137, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 227, 42, 0, 0, 92, 137, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 228,
    42, 0, 0, 107, 137, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 114, 1, 0, 0, 122, 137, 3, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 137, 17, 0, 0, 155, 137, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 229, 42, 0, 0, 170, 137,
    3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 230, 42, 0, 0, 192, 137, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 155, 42,
    0, 0, 203, 137, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 134, 1, 0, 0, 218, 137, 3, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 173, 18, 0, 0, 233, 137, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 231, 42, 0, 0, 248, 137, 3, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 61, 7, 0, 0, 7, 138, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 241, 9, 0, 0, 22,
    138, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 70, 5, 0, 0, 43, 138, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 232,
    42, 0, 0, 65, 138, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 233, 42, 0, 0, 76, 138, 3, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 234, 42, 0, 0, 91, 138, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 56, 7, 0, 0, 106, 138, 3, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 235, 42, 0, 0, 121, 138, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 236, 42, 0, 0,
    142, 138, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 237, 42, 0, 0, 153, 138, 3, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 19, 20, 0, 0, 168, 138, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 137, 17, 0, 0, 184, 138, 3, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 238, 42, 0, 0, 195, 138, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 239, 42, 0, 0, 210,
    138, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 48, 22, 0, 0, 225, 138, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 245,
    39, 0, 0, 240, 138, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 245, 21, 0, 0, 255, 138, 3, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 240, 42, 0, 0, 14, 139, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 241, 42, 0, 0, 66, 139, 3,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 242, 42, 0, 0, 77, 139, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 243, 42, 0,
    0, 92, 139, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 241, 39, 0, 0, 161, 139, 3, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 244, 42, 0, 0, 172, 139, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 57, 7, 0, 0, 187, 139, 3, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 245, 42, 0, 0, 134, 140, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 246, 42, 0, 0, 145,
    140, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 167, 4, 0, 0, 160, 140, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 247,
    42, 0, 0, 176, 140, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 248, 42, 0, 0, 187, 140, 3, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 249, 42, 0, 0, 202, 140, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 250, 42, 0, 0, 217, 140,
    3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 251, 42, 0, 0, 232, 140, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 252, 42,
    0, 0, 247, 140, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 253, 42, 0, 0, 11, 141, 3, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 254, 42, 0, 0, 22, 141, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 255, 42, 0, 0, 28, 141, 3, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 0, 43, 0, 0, 34, 141, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 1, 43, 0, 0, 40,
    141, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 2, 43, 0, 0, 46, 141, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 3, 43,
    0, 0, 53, 141, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 4, 43, 0, 0, 64, 141, 3, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 18, 2, 0, 0, 79, 141, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 9, 0, 0, 0, 94, 141, 3, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 49, 42, 0, 0, 109, 141, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 5, 43, 0, 0, 124, 141, 3,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 6, 43, 0, 0, 144, 141, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 7, 43, 0, 0,
    155, 141, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 8, 43, 0, 0, 161, 141, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    9, 43, 0, 0, 200, 141, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 10, 43, 0, 0, 211, 141, 3, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 178, 2, 0, 0, 236, 141, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 11, 43, 0, 0, 242, 141, 3,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 12, 43, 0, 0, 248, 141, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 13, 43, 0,
    0, 254, 141, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 14, 43, 0, 0, 4, 142, 3, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 15, 43, 0, 0, 20, 142, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 16, 43, 0, 0, 30, 142, 3, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 17, 43, 0, 0, 40, 142, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 18, 43, 0, 0, 67, 142, 3,
    0, 0, 0, 0, 0, 1, 0, 0, 0, 40, 43, 0, 0, 81, 142, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 19, 43, 0, 0,
    92, 142, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 41, 43, 0, 0, 96, 142, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    252, 5, 0, 0, 110, 142, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 114, 2, 0, 0, 121, 142, 3, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 41, 43, 0, 0, 125, 142, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 22, 10, 0, 0, 136, 142,
    3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 41, 43, 0, 0, 140, 142, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 20, 43,
    0, 0, 151, 142, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 41, 43, 0, 0, 155, 142, 3, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 21, 43, 0, 0, 166, 142, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 41, 43, 0, 0, 170, 142, 3, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 173, 6, 0, 0, 181, 142, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 43, 43, 0, 0, 186,
    142, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 41, 43, 0, 0, 190, 142, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 22,
    43, 0, 0, 201, 142, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 43, 43, 0, 0, 206, 142, 3, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 41, 43, 0, 0, 210, 142, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 23, 43, 0, 0, 223, 142, 3,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 43, 43, 0, 0, 228, 142, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 41, 43, 0,
    0, 232, 142, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 22, 43, 0, 0, 243, 142, 3, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 43, 43, 0, 0, 248, 142, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 41, 43, 0, 0, 252, 142, 3, 0, 0, 0,
    0, 0, 10, 0, 0, 0, 23, 43, 0, 0, 9, 143, 3, 0, 0, 0, 0, 0, 1, 0, 0, 0, 40, 43, 0, 0, 22, 143,
    3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 41, 43, 0, 0, 26, 143, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 22, 43, 0,
    0, 38, 143, 3, 0, 0, 0, 0, 0, 1, 0, 0, 0, 40, 43, 0, 0, 51, 143, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    41, 43, 0, 0, 55, 143, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 22, 43, 0, 0, 67, 143, 3, 0, 0, 0, 0, 0,
    1, 0, 0, 0, 40, 43, 0, 0, 80, 143, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 41, 43, 0, 0, 84, 143, 3, 0,
    0, 0, 0, 0, 10, 0, 0, 0, 22, 43, 0, 0, 96, 143, 3, 0, 0, 0, 0, 0, 1, 0, 0, 0, 40, 43, 0, 0,
    109, 143, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 41, 43, 0, 0, 113, 143, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    22, 43, 0, 0, 125, 143, 3, 0, 0, 0, 0, 0, 1, 0, 0, 0, 40, 43, 0, 0, 138, 143, 3, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 41, 43, 0, 0, 142, 143, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 22, 43, 0, 0, 154, 143, 3,
    0, 0, 0, 0, 0, 1, 0, 0, 0, 40, 43, 0, 0, 167, 143, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 41, 43, 0, 0,
    171, 143, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 22, 43, 0, 0, 183, 143, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    43, 43, 0, 0, 188, 143, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 41, 43, 0, 0, 192, 143, 3, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 22, 43, 0, 0, 203, 143, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 43, 43, 0, 0, 208, 143,
    3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 41, 43, 0, 0, 212, 143, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 23, 43,
    0, 0, 225, 143, 3, 0, 0, 0, 0, 0, 1, 0, 0, 0, 40, 43, 0, 0, 238, 143, 3, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 41, 43, 0, 0, 242, 143, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 22, 43, 0, 0, 254, 143, 3, 0, 0,
    0, 0, 0, 1, 0, 0, 0, 40, 43, 0, 0, 11, 144, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 41, 43, 0, 0, 15,
    144, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 22, 43, 0, 0, 27, 144, 3, 0, 0, 0, 0, 0, 1, 0, 0, 0, 40,
    43, 0, 0, 40, 144, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 41, 43, 0, 0, 44, 144, 3, 0, 0, 0, 0, 0, 10,
    0, 0, 0, 22, 43, 0, 0, 56, 144, 3, 0, 0, 0, 0, 0, 1, 0, 0, 0, 40, 43, 0, 0, 69, 144, 3, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 41, 43, 0, 0, 73, 144, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 22, 43, 0, 0, 85,
    144, 3, 0, 0, 0, 0, 0, 1, 0, 0, 0, 40, 43, 0, 0, 98, 144, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 41,
    43, 0, 0, 102, 144, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 24, 43, 0, 0, 113, 144, 3, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 41, 43, 0, 0, 117, 144, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 25, 43, 0, 0, 128, 144, 3,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 26, 43, 0, 0, 139, 144, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 27, 43, 0,
    0, 150, 144, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 43, 43, 0, 0, 155, 144, 3, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 41, 43, 0, 0, 159, 144, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 22, 43, 0, 0, 171, 144, 3, 0, 0, 0,
    0, 0, 1, 0, 0, 0, 40, 43, 0, 0, 184, 144, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 41, 43, 0, 0, 188,
    144, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 22, 43, 0, 0, 200, 144, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 43,
    43, 0, 0, 208, 144, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 22, 43, 0, 0, 222, 144, 3, 0, 0, 0, 0, 0,
    10, 0, 0, 0, 130, 9, 0, 0, 230, 144, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 28, 43, 0, 0, 242, 144, 3,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 165, 1, 0, 0, 255, 144, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 29, 43, 0,
    0, 7, 145, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 254, 17, 0, 0, 19, 145, 3, 0, 0, 0, 0, 0, 10, 0, 0,
    0, 22, 25, 0, 0, 31, 145, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 64, 24, 0, 0, 43, 145, 3, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 30, 43, 0, 0, 55, 145, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 167, 7, 0, 0, 67, 145, 3,
    0, 0, 0, 0, 0, 10, 0, 0, 0, 1, 8, 0, 0, 80, 145, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 31, 43, 0, 0,
    88, 145, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 250, 7, 0, 0, 100, 145, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0,
    251, 7, 0, 0, 112, 145, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 32, 43, 0, 0, 124, 145, 3, 0, 0, 0, 0,
    0, 10, 0, 0, 0, 33, 43, 0, 0, 136, 145, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 34, 43, 0, 0, 148, 145,
    3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 253, 23, 0, 0, 160, 145, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 35, 43,
    0, 0, 172, 145, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 36, 43, 0, 0, 184, 145, 3, 0, 0, 0, 0, 0, 10, 0,
    0, 0, 37, 43, 0, 0, 202, 145, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 38, 43, 0, 0, 211, 145, 3, 0, 0,
    0, 0, 0, 10, 0, 0, 0, 110, 30, 0, 0, 224, 145, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 1, 8, 0, 0, 237,
    145, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 226, 7, 0, 0, 250, 145, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 174,
    7, 0, 0, 7, 146, 3, 0, 0, 0, 0, 0, 10, 0, 0, 0, 36, 20, 0, 0, 144, 68, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 46, 43, 0, 0, 168, 68, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 45, 43, 0, 0, 44, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 40, 43, 0, 0, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 40, 43, 0, 0, 80, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 40, 43, 0, 0, 96, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 40, 43, 0, 0, 112, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 40, 43, 0, 0, 128, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 40, 43, 0, 0,
    144, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 40, 43, 0, 0, 160, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 40,
    43, 0, 0, 176, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 40, 43, 0, 0, 192, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 40, 43, 0, 0, 208, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 40, 43, 0, 0, 224, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 40, 43, 0, 0, 240, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 40, 43, 0, 0, 0, 1, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 40, 43, 0, 0, 16, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 40, 43, 0, 0, 32, 1, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 40, 43, 0, 0, 48, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 40, 43, 0, 0, 64,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 40, 43, 0, 0, 80, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 40, 43, 0,
    0, 96, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 40, 43, 0, 0, 112, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 40,
    43, 0, 0, 128, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 40, 43, 0, 0, 144, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 40, 43, 0, 0, 160, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 40, 43, 0, 0, 176, 1, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 40, 43, 0, 0, 192, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 40, 43, 0, 0, 208, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 40, 43, 0, 0, 224, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 40, 43, 0, 0, 240,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 40, 43, 0, 0, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 40, 43, 0,
    0, 16, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 40, 43, 0, 0, 32, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 40,
    43, 0, 0, 48, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 40, 43, 0, 0, 64, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 40, 43, 0, 0, 80, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 40, 43, 0, 0, 96, 2, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 40, 43, 0, 0, 112, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 40, 43, 0, 0, 128, 2, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 40, 43, 0, 0, 144, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 40, 43, 0, 0, 160, 2, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 40, 43, 0, 0, 176, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 40, 43, 0, 0,
    192, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 40, 43, 0, 0, 208, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 40,
    43, 0, 0, 224, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 40, 43, 0, 0, 240, 2, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 40, 43, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 40, 43, 0, 0, 16, 3, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 40, 43, 0, 0, 32, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 40, 43, 0, 0, 48, 3, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 40, 43, 0, 0, 64, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 40, 43, 0, 0, 80, 3, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 40, 43, 0, 0, 96, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 40, 43, 0, 0, 112,
    3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 40, 43, 0, 0, 128, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 40, 43, 0,
    0, 144, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 40, 43, 0, 0, 160, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    40, 43, 0, 0, 176, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 40, 43, 0, 0, 192, 3, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 40, 43, 0, 0, 208, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 40, 43, 0, 0, 224, 3, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 40, 43, 0, 0, 240, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 40, 43, 0, 0, 0, 4, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 40, 43, 0, 0, 16, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 40, 43, 0, 0, 32, 4,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 40, 43, 0, 0, 48, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 40, 43, 0, 0,
    64, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 40, 43, 0, 0, 80, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 40, 43,
    0, 0, 96, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 40, 43, 0, 0, 112, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    40, 43, 0, 0, 128, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 40, 43, 0, 0, 144, 4, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 40, 43, 0, 0, 160, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 40, 43, 0, 0, 176, 4, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 40, 43, 0, 0, 192, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 40, 43, 0, 0, 208, 4, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 40, 43, 0, 0, 224, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 40, 43, 0, 0,
    240, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 40, 43, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 40, 43,
    0, 0, 16, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 40, 43, 0, 0, 32, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    40, 43, 0, 0, 48, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 40, 43, 0, 0, 64, 5, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 40, 43, 0, 0, 80, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 40, 43, 0, 0, 96, 5, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 40, 43, 0, 0, 112, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 40, 43, 0, 0, 128, 5, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 40, 43, 0, 0, 156, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 40, 43, 0, 0, 172, 5,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 40, 43, 0, 0, 188, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 40, 43, 0, 0,
    204, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 40, 43, 0, 0, 220, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 40,
    43, 0, 0, 236, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 40, 43, 0, 0, 252, 5, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 40, 43, 0, 0, 12, 6, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 40, 43, 0, 0, 28, 6, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 40, 43, 0, 0, 44, 6, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 40, 43, 0, 0, 60, 6, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 40, 43, 0, 0, 76, 6, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 40, 43, 0, 0, 92, 6, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 40, 43, 0, 0, 108, 6, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 40, 43, 0, 0, 124,
    6, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 40, 43, 0, 0, 140, 6, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 40, 43, 0,
    0, 156, 6, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 40, 43, 0, 0, 172, 6, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    40, 43, 0, 0, 28, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 40, 43, 0, 0, 137, 0, 0, 0, 0, 0, 0, 0, 1,
    0, 0, 0, 40, 43, 0, 0, 175, 86, 174, 86, 173, 86, 0, 46, 100, 101, 98, 117, 103, 95, 97, 98,
    98, 114, 101, 118, 0, 46, 116, 101, 120, 116, 0, 46, 114, 101, 108, 46, 66, 84, 70, 46, 101,
    120, 116, 0, 116, 114, 97, 99, 101, 112, 111, 105, 110, 116, 95, 95, 115, 99, 104, 101, 100,
    95, 95, 115, 99, 104, 101, 100, 95, 112, 114, 111, 99, 101, 115, 115, 95, 101, 120, 105, 116,
    0, 46, 114, 101, 108, 116, 114, 97, 99, 101, 112, 111, 105, 110, 116, 47, 115, 99, 104, 101,
    100, 47, 115, 99, 104, 101, 100, 95, 112, 114, 111, 99, 101, 115, 115, 95, 101, 120, 105, 116,
    0, 101, 118, 101, 110, 116, 115, 0, 46, 109, 97, 112, 115, 0, 46, 100, 101, 98, 117, 103, 95,
    114, 97, 110, 103, 101, 115, 0, 46, 100, 101, 98, 117, 103, 95, 115, 116, 114, 0, 46, 114, 101,
    108, 46, 100, 101, 98, 117, 103, 95, 105, 110, 102, 111, 0, 46, 108, 108, 118, 109, 95, 97,
    100, 100, 114, 115, 105, 103, 0, 95, 108, 105, 99, 101, 110, 115, 101, 0, 46, 114, 101, 108,
    46, 100, 101, 98, 117, 103, 95, 108, 105, 110, 101, 0, 46, 114, 101, 108, 46, 101, 104, 95,
    102, 114, 97, 109, 101, 0, 46, 100, 101, 98, 117, 103, 95, 108, 111, 99, 0, 101, 120, 105, 116,
    115, 116, 97, 116, 46, 98, 112, 102, 46, 99, 0, 46, 115, 116, 114, 116, 97, 98, 0, 46, 115,
    121, 109, 116, 97, 98, 0, 46, 114, 101, 108, 46, 66, 84, 70, 0, 76, 66, 66, 48, 95, 50, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 245, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 182, 33,
    14, 0, 0, 0, 0, 0, 21, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 15, 0, 0, 0, 1, 0, 0, 0, 6, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 76, 0, 0, 0, 1, 0, 0, 0, 6, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 64, 0, 0, 0, 0, 0, 0, 0, 128, 6, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 8, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 72, 0, 0, 0, 9, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 16, 100, 10, 0, 0, 0, 0, 0, 16, 0, 0, 0, 0, 0, 0, 0, 22, 0, 0, 0, 3, 0, 0, 0, 8, 0,
    0, 0, 0, 0, 0, 0, 16, 0, 0, 0, 0, 0, 0, 0, 119, 0, 0, 0, 1, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 192, 6, 0, 0, 0, 0, 0, 0, 24, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    8, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 181, 0, 0, 0, 1, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 216, 6, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 219, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 220, 6, 0, 0, 0, 0, 0, 0, 155, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 119, 11, 0, 0, 0, 0, 0, 0, 88, 3, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 154, 0, 0, 0, 1, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 207, 14, 0, 0, 0, 0, 0, 0, 26, 146, 3, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 150, 0, 0, 0, 9,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 32, 100, 10, 0, 0, 0, 0, 0, 208, 182,
    3, 0, 0, 0, 0, 0, 22, 0, 0, 0, 9, 0, 0, 0, 8, 0, 0, 0, 0, 0, 0, 0, 16, 0, 0, 0, 0, 0, 0, 0,
    125, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 233, 160, 3, 0, 0, 0,
    0, 0, 128, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 139, 0, 0, 0, 1, 0, 0, 0, 48, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 105, 162,
    3, 0, 0, 0, 0, 0, 254, 46, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 1,
    0, 0, 0, 0, 0, 0, 0, 9, 1, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    103, 209, 5, 0, 0, 0, 0, 0, 62, 125, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5, 1, 0, 0, 9, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 240, 26, 14, 0, 0, 0, 0, 0, 32, 0, 0, 0, 0, 0, 0, 0, 22, 0, 0, 0, 13, 0, 0, 0, 8, 0,
    0, 0, 0, 0, 0, 0, 16, 0, 0, 0, 0, 0, 0, 0, 25, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 165, 78, 6, 0, 0, 0, 0, 0, 188, 6, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 21, 0, 0, 0, 9, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 16, 27, 14, 0, 0, 0, 0, 0, 128, 6, 0, 0, 0, 0, 0, 0, 22, 0, 0, 0,
    15, 0, 0, 0, 8, 0, 0, 0, 0, 0, 0, 0, 16, 0, 0, 0, 0, 0, 0, 0, 209, 0, 0, 0, 1, 0, 0, 0, 2, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 104, 85, 6, 0, 0, 0, 0, 0, 48, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 8, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 205, 0, 0, 0, 9, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 144, 33, 14, 0, 0, 0, 0, 0, 16, 0, 0, 0, 0,
    0, 0, 0, 22, 0, 0, 0, 17, 0, 0, 0, 8, 0, 0, 0, 0, 0, 0, 0, 16, 0, 0, 0, 0, 0, 0, 0, 193, 0, 0,
    0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 152, 85, 6, 0, 0, 0, 0, 0, 244,
    1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    189, 0, 0, 0, 9, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 160, 33, 14, 0, 0, 0,
    0, 0, 16, 0, 0, 0, 0, 0, 0, 0, 22, 0, 0, 0, 19, 0, 0, 0, 8, 0, 0, 0, 0, 0, 0, 0, 16, 0, 0, 0,
    0, 0, 0, 0, 166, 0, 0, 0, 3, 76, 255, 111, 0, 0, 0, 128, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    176, 33, 14, 0, 0, 0, 0, 0, 6, 0, 0, 0, 0, 0, 0, 0, 22, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 253, 0, 0, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 144, 87, 6, 0, 0, 0, 0, 0, 128, 12, 4, 0, 0, 0, 0, 0, 1, 0, 0, 0, 45, 43, 0, 0, 8, 0,
    0, 0, 0, 0, 0, 0, 24, 0, 0, 0, 0, 0, 0, 0,
];
